Data and processing scripts for Figure 3 of 
"Experimental Simulation of Loop Quantum Gravity on a Photonic Chip" by van der Meer, et. al


## Features
These codes automatically analysis the experimental $A_{exp}$ and generate all the pictures and data in our manuscript.

## Quick start

1. Export all the components of $A_{exp}$ into testmatrix.csv.  
2. Use Mathematica to open func.nb. Press Alt-A to select all the codes, then press Shift-Enter to run the codes and generate TotFunc.mx
3. Use Mathematica to dataanalysis-PictureGenerator.nb. Press Alt-A to select all the codes, then press Shift-Enter to run the codes. The picture will be automatically generated.
4. Use Mathematica to dataanalysis-ErrorEstimate.nb. Press Alt-A to select all the codes, then press Shift-Enter to run the codes. This analysis takes long time to estimate affections of the error in $A_{exp}$.

## File Tree
```

│  dataanalysis-ErrorEstimate.nb  
│  dataanalysis-PictureGenerator.nb 
│  DihedralAngle.nb
│  README.md
│  
├─data
│      standardmatrix.csv
│      testmatrix.csv
│      tt-high.csv
│      
└─func
        func.nb
        TotFunc.mx

```

## Descriptions
All the *.nb files are tested in Mathematica 12.0.

The file dataanalysis-ErrorEstimate.nb simulates how the errors in $A_{exp}$ effects multi-vertex spinfoam amplitude. It generates Figure 6, Figure 7, and Figure 8 in our manuscript.

The file dataanalysis-PictureGenerator.nb compares the different between $A_{th}$ and $A_{exp}$ in many aspects. This file generates Figure 3 and Figure 4 in our manuscript.

The file DihedralAngle.nb shows how the Dihedral angle operator and volume operator are defined for a spin-$1/2$ quantum tetrahedron.

The experimental data of $A_{exp}$ is stored in testmatrix.csv. The theory value of $A_{th}$ is given in standardmatrix.csv. tt-high.csv is a high precision version of standardmatrix.csv.

All the functions used in dataanalysis-PictureGenerator.nb is defined in func.nb. 

TotFunc.mx is generated by func.nb. It stores all the functions in func.nb in binary form. dataanalysis-PictureGenerator.nb needs to read TotFunc.mx to run properly.