(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     51955,       1404]
NotebookOptionsPosition[     45754,       1303]
NotebookOutlinePosition[     46166,       1320]
CellTagsIndexPosition[     46123,       1317]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Off", "[", 
  RowBox[{"ClebschGordan", "::", "phy"}], "]"}]], "Input",
 CellChangeTimes->{{3.8540818512763596`*^9, 3.85408186729315*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"b7512f6b-f15c-44cf-a9e0-be1927d401e4"],

Cell[BoxData[
 RowBox[{
  RowBox[{"JJ", "[", 
   RowBox[{"x_", ",", "y_", ",", "k_", ",", "z_"}], "]"}], ":=", 
  RowBox[{"ThreeJSymbol", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", "x"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", "y"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "z"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.85407885820712*^9, 3.8540790414291444`*^9}, {
  3.854079075673975*^9, 3.854079083315978*^9}, {3.8540810100388613`*^9, 
  3.854081020127634*^9}, {3.8540810622818575`*^9, 3.85408106986954*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"472b786c-702f-4cf1-9c91-b688fbfc435c"],

Cell[BoxData[
 RowBox[{
  RowBox[{"st", "[", 
   RowBox[{"a_", ",", "b_", ",", "c_", ",", "d_", ",", "k_"}], "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"k", "-", "z"}], ")"}]}], "*", 
     RowBox[{"ThreeJSymbol", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "2"}], ",", 
         RowBox[{"a", "-", 
          RowBox[{"1", "/", "2"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "2"}], ",", 
         RowBox[{"b", "-", 
          RowBox[{"1", "/", "2"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "z"}], "}"}]}], "]"}], "*", 
     RowBox[{"ThreeJSymbol", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", 
         RowBox[{"-", "z"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "2"}], ",", 
         RowBox[{"c", "-", 
          RowBox[{"1", "/", "2"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "/", "2"}], ",", 
         RowBox[{"d", "-", 
          RowBox[{"1", "/", "2"}]}]}], "}"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"z", ",", 
      RowBox[{"-", "k"}], ",", "k"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.854079143231703*^9, 3.854079200994563*^9}, {
  3.8540805788062468`*^9, 3.8540805923773727`*^9}, {3.8540809052256145`*^9, 
  3.854080918064589*^9}, {3.8540810326426206`*^9, 3.854081128110443*^9}, {
  3.8540811588249187`*^9, 3.854081212658805*^9}, {3.8540812546386104`*^9, 
  3.854081307671335*^9}, {3.854081355893401*^9, 3.8540813963179445`*^9}, {
  3.8540816064795113`*^9, 3.8540816691065164`*^9}, {3.8540817709679823`*^9, 
  3.854081796476409*^9}, {3.8540864665420084`*^9, 3.8540864685837984`*^9}, {
  3.8540876573541417`*^9, 3.854087667660977*^9}},
 CellLabel->"In[64]:=",ExpressionUUID->"327e72dc-4d6c-4bc2-aee7-fda915163128"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ZT", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1", ",", "0"}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.8540819017582316`*^9, 3.8540819512654257`*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"119c548a-6f34-4252-ae03-dc891e12ac2e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ET", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "1", ",", "0"}], "}"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.854081959797427*^9, 3.854082017833558*^9}},
 CellLabel->"In[66]:=",ExpressionUUID->"5ca6363a-8c89-4626-a8aa-8f4851610250"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ZTS", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"st", "[", 
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", "3", "]"}], "]"}], ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", "4", "]"}], "]"}], ",", "0"}], "]"}], ",", "#"}], 
      "}"}], "&"}], "/@", "ZT"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.854082030353177*^9, 3.8540820910481205`*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"38b26c08-9912-4ab9-91ef-bdbabd5e0c25"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ETS", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"st", "[", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}], ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}], ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "4", "]"}], "]"}], ",", "1"}], "]"}], "*", 
        RowBox[{"Sqrt", "[", "3", "]"}]}], ",", "#"}], "}"}], "&"}], "/@", 
    "ET"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8540821048602934`*^9, 3.854082112807517*^9}, {
  3.8540877282101164`*^9, 3.8540877312960663`*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"a080a8c1-3a4c-4bc8-8a56-fc21f39fd454"],

Cell[BoxData[
 RowBox[{
  RowBox[{"esp", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8540848810879145`*^9, 3.854084896901642*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"4f9f1833-7882-4c6e-b0bc-e0720e420c1a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ss", "[", 
   RowBox[{"a_", ",", "b_"}], "]"}], ":=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ConjugateTranspose", "[", 
      RowBox[{"esp", "[", 
       RowBox[{"[", 
        RowBox[{"b", "+", "1"}], "]"}], "]"}], "]"}], ".", 
     RowBox[{"PauliMatrix", "[", "x", "]"}], ".", 
     RowBox[{"esp", "[", 
      RowBox[{"[", 
       RowBox[{"a", "+", "1"}], "]"}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "1", ",", "3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8540821656340256`*^9, 3.8540821822930126`*^9}, {
  3.8540849408519993`*^9, 3.854085035089196*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"8ab55cd1-ffb5-4e3a-a571-5d3ef91c1d19"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ssw", "[", 
   RowBox[{"a_", ",", "b_", ",", "x_"}], "]"}], ":=", 
  RowBox[{"I", "*", 
   RowBox[{
    RowBox[{
     RowBox[{"ConjugateTranspose", "[", 
      RowBox[{"esp", "[", 
       RowBox[{"[", 
        RowBox[{"b", "+", "1"}], "]"}], "]"}], "]"}], ".", 
     RowBox[{"PauliMatrix", "[", "x", "]"}], ".", 
     RowBox[{"esp", "[", 
      RowBox[{"[", 
       RowBox[{"a", "+", "1"}], "]"}], "]"}]}], "/", "2"}]}]}]], "Input",
 CellChangeTimes->{{3.8541477018314877`*^9, 3.8541477159733486`*^9}, {
  3.8541618355711184`*^9, 3.854161857530862*^9}, {3.8541618922319417`*^9, 
  3.8541618924237733`*^9}, {3.8541620713228507`*^9, 3.8541620896666017`*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"a9602ada-3a56-43b2-b94d-7d4b27109847"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"A1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "I"}], "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}], ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"I", "/", 
        RowBox[{"Sqrt", "[", "2", "]"}]}], ",", "1"}], "}"}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.8540854660046535`*^9, 3.854085506882886*^9}, {
   3.854086362075094*^9, 3.8540863877714424`*^9}, 3.854088377975501*^9},
 CellLabel->"In[72]:=",ExpressionUUID->"6f5f5bdc-ebab-4f1b-941a-fadbbee69328"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FF", "[", 
   RowBox[{"A1_", ",", "A2_"}], "]"}], ":=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Conjugate", "[", 
      RowBox[{"A2", "[", 
       RowBox[{"[", 
        RowBox[{"y", ",", "1"}], "]"}], "]"}], "]"}], "*", 
     RowBox[{"A1", "[", 
      RowBox[{"[", 
       RowBox[{"x", ",", "1"}], "]"}], "]"}], "*", 
     RowBox[{"ss", "[", 
      RowBox[{
       RowBox[{"A2", "[", 
        RowBox[{"[", 
         RowBox[{"y", ",", "2"}], "]"}], "]"}], ",", 
       RowBox[{"A1", "[", 
        RowBox[{"[", 
         RowBox[{"x", ",", "2"}], "]"}], "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "1", ",", 
      RowBox[{"Length", "[", "A1", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "1", ",", 
      RowBox[{"Length", "[", "A2", "]"}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8540855140373898`*^9, 3.854085576751836*^9}, {
  3.854085678412908*^9, 3.854085689765181*^9}, {3.8540857205248857`*^9, 
  3.854085759253889*^9}, {3.854085808482427*^9, 3.8540858344228725`*^9}, {
  3.8540862295780926`*^9, 3.8540863443439703`*^9}, {3.8540872713428392`*^9, 
  3.854087285800799*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"d50e9124-258e-4830-91c8-b316672a8ea7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Pot", "[", 
   RowBox[{"a_", ",", "b_", ",", "ZTS_", ",", "ETS_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"ETS", "[", 
    RowBox[{"[", 
     RowBox[{"b", ",", "1"}], "]"}], "]"}], "*", 
   RowBox[{"ZTS", "[", 
    RowBox[{"[", 
     RowBox[{"a", ",", "1"}], "]"}], "]"}], "*", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ssw", "[", 
       RowBox[{
        RowBox[{"ETS", "[", 
         RowBox[{"[", 
          RowBox[{"b", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"ZTS", "[", 
         RowBox[{"[", 
          RowBox[{"a", ",", "2", ",", "1"}], "]"}], "]"}], ",", "x"}], "]"}], 
      "*", 
      RowBox[{"ssw", "[", 
       RowBox[{
        RowBox[{"ETS", "[", 
         RowBox[{"[", 
          RowBox[{"b", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
        RowBox[{"ZTS", "[", 
         RowBox[{"[", 
          RowBox[{"a", ",", "2", ",", "2"}], "]"}], "]"}], ",", "x"}], 
       "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "3"}], "}"}]}], "]"}], "*", 
   RowBox[{"KroneckerDelta", "[", 
    RowBox[{
     RowBox[{"ETS", "[", 
      RowBox[{"[", 
       RowBox[{"b", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
     RowBox[{"ZTS", "[", 
      RowBox[{"[", 
       RowBox[{"a", ",", "2", ",", "3"}], "]"}], "]"}]}], "]"}], "*", 
   RowBox[{"KroneckerDelta", "[", 
    RowBox[{
     RowBox[{"ETS", "[", 
      RowBox[{"[", 
       RowBox[{"b", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
     RowBox[{"ZTS", "[", 
      RowBox[{"[", 
       RowBox[{"a", ",", "2", ",", "4"}], "]"}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8541485594901695`*^9, 3.8541486973271837`*^9}, {
  3.854158417456236*^9, 3.854158553219471*^9}, {3.8541585965022316`*^9, 
  3.8541586693644614`*^9}, {3.854158811428055*^9, 3.8541588533947716`*^9}, {
  3.8541588877387695`*^9, 3.8541589112222595`*^9}, {3.8541591267332067`*^9, 
  3.8541591730449123`*^9}, {3.8541592442067685`*^9, 3.8541592466616354`*^9}, {
  3.854159392147317*^9, 3.854159418044733*^9}, {3.8541596771823463`*^9, 
  3.8541597051573496`*^9}, {3.85416149129982*^9, 3.85416149514458*^9}, {
  3.8541615749729843`*^9, 3.8541616271273937`*^9}, {3.8541616747884893`*^9, 
  3.8541616787875757`*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"e6eb4ec6-472f-4d71-9f73-b2c725ef508a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Pos", "[", 
   RowBox[{"a_", ",", "b_", ",", "ZTS_", ",", "ETS_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"ETS", "[", 
    RowBox[{"[", 
     RowBox[{"b", ",", "1"}], "]"}], "]"}], "*", 
   RowBox[{"ZTS", "[", 
    RowBox[{"[", 
     RowBox[{"a", ",", "1"}], "]"}], "]"}], "*", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ssw", "[", 
       RowBox[{
        RowBox[{"ETS", "[", 
         RowBox[{"[", 
          RowBox[{"b", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"ZTS", "[", 
         RowBox[{"[", 
          RowBox[{"a", ",", "2", ",", "1"}], "]"}], "]"}], ",", "x"}], "]"}], 
      "*", 
      RowBox[{"ssw", "[", 
       RowBox[{
        RowBox[{"ETS", "[", 
         RowBox[{"[", 
          RowBox[{"b", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
        RowBox[{"ZTS", "[", 
         RowBox[{"[", 
          RowBox[{"a", ",", "2", ",", "3"}], "]"}], "]"}], ",", "x"}], 
       "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "3"}], "}"}]}], "]"}], "*", 
   RowBox[{"KroneckerDelta", "[", 
    RowBox[{
     RowBox[{"ETS", "[", 
      RowBox[{"[", 
       RowBox[{"b", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"ZTS", "[", 
      RowBox[{"[", 
       RowBox[{"a", ",", "2", ",", "2"}], "]"}], "]"}]}], "]"}], "*", 
   RowBox[{"KroneckerDelta", "[", 
    RowBox[{
     RowBox[{"ETS", "[", 
      RowBox[{"[", 
       RowBox[{"b", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
     RowBox[{"ZTS", "[", 
      RowBox[{"[", 
       RowBox[{"a", ",", "2", ",", "4"}], "]"}], "]"}]}], 
    "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Pof", "[", 
   RowBox[{"a_", ",", "b_", ",", "ZTS_", ",", "ETS_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"ETS", "[", 
    RowBox[{"[", 
     RowBox[{"b", ",", "1"}], "]"}], "]"}], "*", 
   RowBox[{"ZTS", "[", 
    RowBox[{"[", 
     RowBox[{"a", ",", "1"}], "]"}], "]"}], "*", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"ssw", "[", 
       RowBox[{
        RowBox[{"ETS", "[", 
         RowBox[{"[", 
          RowBox[{"b", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"ZTS", "[", 
         RowBox[{"[", 
          RowBox[{"a", ",", "2", ",", "1"}], "]"}], "]"}], ",", "x"}], "]"}], 
      "*", 
      RowBox[{"ssw", "[", 
       RowBox[{
        RowBox[{"ETS", "[", 
         RowBox[{"[", 
          RowBox[{"b", ",", "2", ",", "4"}], "]"}], "]"}], ",", 
        RowBox[{"ZTS", "[", 
         RowBox[{"[", 
          RowBox[{"a", ",", "2", ",", "4"}], "]"}], "]"}], ",", "x"}], 
       "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", "3"}], "}"}]}], "]"}], "*", 
   RowBox[{"KroneckerDelta", "[", 
    RowBox[{
     RowBox[{"ETS", "[", 
      RowBox[{"[", 
       RowBox[{"b", ",", "2", ",", "2"}], "]"}], "]"}], ",", 
     RowBox[{"ZTS", "[", 
      RowBox[{"[", 
       RowBox[{"a", ",", "2", ",", "2"}], "]"}], "]"}]}], "]"}], "*", 
   RowBox[{"KroneckerDelta", "[", 
    RowBox[{
     RowBox[{"ETS", "[", 
      RowBox[{"[", 
       RowBox[{"b", ",", "2", ",", "3"}], "]"}], "]"}], ",", 
     RowBox[{"ZTS", "[", 
      RowBox[{"[", 
       RowBox[{"a", ",", "2", ",", "3"}], "]"}], "]"}]}], "]"}]}]}]}], "Input",
 CellChangeTimes->{{3.854159316505657*^9, 3.854159401816334*^9}, {
  3.85416196798629*^9, 3.854162030551564*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"06d63715-53af-47ad-9f93-bfb7e52bf489"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"M12", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"Pot", "[", 
          RowBox[{"x", ",", "y", ",", "ETS", ",", "ETS"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "6"}], "}"}]}], "]"}], "*", 
       RowBox[{"4", "/", "3"}]}], ",", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"Pot", "[", 
          RowBox[{"x", ",", "y", ",", "ETS", ",", "ZTS"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "6"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "4"}], "}"}]}], "]"}], "*", 
       RowBox[{"4", "/", "3"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"Pot", "[", 
          RowBox[{"x", ",", "y", ",", "ZTS", ",", "ETS"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "6"}], "}"}]}], "]"}], "*", 
       RowBox[{"4", "/", "3"}]}], ",", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"Pot", "[", 
          RowBox[{"x", ",", "y", ",", "ZTS", ",", "ZTS"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "4"}], "}"}]}], "]"}], "*", 
       RowBox[{"4", "/", "3"}]}]}], "}"}]}], 
   "}"}]}], "\[IndentingNewLine]", ";"}], "Input",
 CellChangeTimes->{{3.8541591806672554`*^9, 3.8541592037114315`*^9}, {
   3.8541594260961547`*^9, 3.8541595222973375`*^9}, {3.854161696472677*^9, 
   3.8541617005567102`*^9}, {3.854161925085255*^9, 3.8541619372008567`*^9}, {
   3.8541622637369537`*^9, 3.854162289232647*^9}, 3.8541636406817846`*^9},
 EmphasizeSyntaxErrors->True,
 CellLabel->"In[78]:=",ExpressionUUID->"0cda0179-a935-403f-a6a2-447da81ba6d8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", "3"]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8541616897433686`*^9, 3.8541617008689795`*^9}, 
   3.8541619376030674`*^9, {3.85416207517218*^9, 3.8541620936568327`*^9}, {
   3.854162283671728*^9, 3.8541622898345537`*^9}, 3.854163643674817*^9, 
   3.854165680474032*^9, 3.85417757027129*^9, 3.8551420520172057`*^9},
 CellLabel->"Out[78]=",ExpressionUUID->"60862f26-aec6-40a5-925d-371ea618762e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"M13", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"Pos", "[", 
             RowBox[{"x", ",", "y", ",", "ETS", ",", "ETS"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "1", ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", "1", ",", "6"}], "}"}]}], "]"}], "*", 
          RowBox[{"4", "/", "3"}]}], ",", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"Pos", "[", 
             RowBox[{"x", ",", "y", ",", "ETS", ",", "ZTS"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "1", ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", "1", ",", "4"}], "}"}]}], "]"}], "*", 
          RowBox[{"4", "/", "3"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"Pos", "[", 
             RowBox[{"x", ",", "y", ",", "ZTS", ",", "ETS"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", "1", ",", "6"}], "}"}]}], "]"}], "*", 
          RowBox[{"4", "/", "3"}]}], ",", 
         RowBox[{
          RowBox[{"Sum", "[", 
           RowBox[{
            RowBox[{"Pos", "[", 
             RowBox[{"x", ",", "y", ",", "ZTS", ",", "ZTS"}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", "1", ",", "4"}], "}"}]}], "]"}], "*", 
          RowBox[{"4", "/", "3"}]}]}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.854162040676598*^9, 3.8541620465531015`*^9}, {
   3.8541622137236166`*^9, 3.8541622472022295`*^9}, 3.854163639150544*^9},
 CellLabel->"In[79]:=",ExpressionUUID->"77ec9f65-eb90-4edd-9b98-eb80067d8720"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"M14", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"Pof", "[", 
            RowBox[{"x", ",", "y", ",", "ETS", ",", "ETS"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", "6"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "1", ",", "6"}], "}"}]}], "]"}], "*", 
         RowBox[{"4", "/", "3"}]}], ",", 
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"Pof", "[", 
            RowBox[{"x", ",", "y", ",", "ETS", ",", "ZTS"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", "6"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "1", ",", "4"}], "}"}]}], "]"}], "*", 
         RowBox[{"4", "/", "3"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"Pof", "[", 
            RowBox[{"x", ",", "y", ",", "ZTS", ",", "ETS"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "1", ",", "6"}], "}"}]}], "]"}], "*", 
         RowBox[{"4", "/", "3"}]}], ",", 
        RowBox[{
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"Pof", "[", 
            RowBox[{"x", ",", "y", ",", "ZTS", ",", "ZTS"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "1", ",", "4"}], "}"}]}], "]"}], "*", 
         RowBox[{"4", "/", "3"}]}]}], "}"}]}], "}"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.854162102684876*^9, 3.8541621109456043`*^9}, {
   3.8541621685416284`*^9, 3.8541622066716146`*^9}, 3.8541636372656527`*^9},
 CellLabel->"In[80]:=",ExpressionUUID->"d828a3a6-b510-4631-a90a-ce7709c4302d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"VV", "=", 
   RowBox[{"2", "*", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "I"}], "/", "2"}], "*", 
         RowBox[{"(", 
          RowBox[{"2", "-", "1"}], ")"}], "*", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"Pos", "[", 
            RowBox[{"x", ",", "y", ",", "ETS", ",", "ZTS"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", "6"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "1", ",", "4"}], "}"}]}], "]"}]}]}], "}"}], ",",
       "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"-", "I"}], "/", "2"}], "*", 
         RowBox[{"(", 
          RowBox[{"1", "-", "2"}], ")"}], "*", 
         RowBox[{"Sum", "[", 
          RowBox[{
           RowBox[{"Pos", "[", 
            RowBox[{"x", ",", "y", ",", "ZTS", ",", "ETS"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"x", ",", "1", ",", "4"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"y", ",", "1", ",", "6"}], "}"}]}], "]"}]}], ",", "0"}], 
       "}"}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.854163294946579*^9, 3.854163317046006*^9}, {
  3.8541633511573367`*^9, 3.854163435821742*^9}, {3.854163517999111*^9, 
  3.854163518837269*^9}, {3.854163607820515*^9, 3.8541636260242124`*^9}},
 CellLabel->"In[81]:=",ExpressionUUID->"1c6f21e7-a639-41a8-893c-87bc1b876ff7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"sta", "[", 
   RowBox[{"P1_", ",", "P2_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Exp", "[", 
      RowBox[{"I", "*", "P1"}], "]"}], 
     RowBox[{"Sin", "[", 
      RowBox[{"P2", "/", "2"}], "]"}]}], ",", 
    RowBox[{"Cos", "[", 
     RowBox[{"P2", "/", "2"}], "]"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.8541623081289577`*^9, 3.8541624130966353`*^9}},
 CellLabel->"In[82]:=",ExpressionUUID->"4056d8a8-ebca-4bc5-949e-f9d1f5b1a10b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"t12", "[", 
   RowBox[{"p_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"ComplexExpand", "[", 
   RowBox[{
    RowBox[{"Conjugate", "[", 
     RowBox[{"sta", "[", 
      RowBox[{"p", ",", "t"}], "]"}], "]"}], ".", "M12", ".", 
    RowBox[{"sta", "[", 
     RowBox[{"p", ",", "t"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.854162415988907*^9, 3.8541624467930593`*^9}, {
  3.854162511725564*^9, 3.8541625285970745`*^9}, {3.8541626264043493`*^9, 
  3.85416266073838*^9}},
 CellLabel->"In[83]:=",ExpressionUUID->"740ccf66-1b30-4c66-b85a-31bdc93746cc"],

Cell[BoxData[
 RowBox[{
  RowBox[{"t13", "[", 
   RowBox[{"p_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"ComplexExpand", "[", 
   RowBox[{
    RowBox[{"Conjugate", "[", 
     RowBox[{"sta", "[", 
      RowBox[{"p", ",", "t"}], "]"}], "]"}], ".", "M13", ".", 
    RowBox[{"sta", "[", 
     RowBox[{"p", ",", "t"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.854162681283614*^9, 3.854162684921239*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"bdb843b6-b75e-4919-ab25-cc399dc11d12"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"t14", "[", 
   RowBox[{"p_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"ComplexExpand", "[", 
   RowBox[{
    RowBox[{"Conjugate", "[", 
     RowBox[{"sta", "[", 
      RowBox[{"p", ",", "t"}], "]"}], "]"}], ".", "M14", ".", 
    RowBox[{"sta", "[", 
     RowBox[{"p", ",", "t"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"VE", "[", 
   RowBox[{"p_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"ComplexExpand", "[", 
   RowBox[{
    RowBox[{"Conjugate", "[", 
     RowBox[{"sta", "[", 
      RowBox[{"p", ",", "t"}], "]"}], "]"}], ".", "VV", ".", 
    RowBox[{"sta", "[", 
     RowBox[{"p", ",", "t"}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.8541628125552874`*^9, 3.8541628163356795`*^9}, {
  3.8541636635380187`*^9, 3.8541636764532948`*^9}},
 CellLabel->"In[85]:=",ExpressionUUID->"92d27823-fb4e-48e6-ba1f-16da23ec71e7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"VE", "[", 
   RowBox[{
    RowBox[{"Pi", "/", "2"}], ",", 
    RowBox[{
     RowBox[{"Pi", "/", "2"}], "+", "Pi"}]}], "]"}], "//", "N"}]], "Input",
 CellChangeTimes->{{3.8551421076806927`*^9, 3.8551421162965603`*^9}, {
  3.8551422591628685`*^9, 3.85514226055818*^9}},
 CellLabel->
  "In[102]:=",ExpressionUUID->"9bee8be8-368e-4c68-9208-ccd1f93d2faf"],

Cell[BoxData["0.4330127018922193`"], "Output",
 CellChangeTimes->{3.855142116808674*^9, 3.8551422613703613`*^9},
 CellLabel->
  "Out[102]=",ExpressionUUID->"4e047646-369c-4491-91c3-2335acd6be54"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"VE", "[", 
  RowBox[{"1.5707963267948966`", ",", 
   RowBox[{"1.8591262880776775`", "+", "Pi"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.854163679541353*^9, 3.8541637150517716`*^9}, {
  3.855142079844026*^9, 3.8551421015396566`*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"b0426252-6885-49ba-a855-3f395eaff5bf"],

Cell[BoxData[
 RowBox[{"0.41513797665616464`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.8541636855997863`*^9, 3.8541637177669463`*^9, 3.854165680663074*^9, 
   3.85417757040432*^9, {3.85514209468134*^9, 3.8551421021473837`*^9}},
 CellLabel->"Out[88]=",ExpressionUUID->"921e5605-3a2a-496f-81c9-b3a5a563750f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"t12", "[", 
    RowBox[{"a", ",", "b"}], "]"}], "+", 
   RowBox[{"t13", "[", 
    RowBox[{"a", ",", "b"}], "]"}], "+", 
   RowBox[{"t14", "[", 
    RowBox[{"a", ",", "b"}], "]"}]}], "//", "Simplify"}]], "Input",
 CellChangeTimes->{{3.85416282135868*^9, 3.8541628435458117`*^9}},
 CellLabel->
  "In[279]:=",ExpressionUUID->"d4b00748-7dbc-4715-9637-a7c84c925ab0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"t12", "[", 
   RowBox[{
    RowBox[{"Pi", "/", "2"}], ",", 
    RowBox[{
     RowBox[{"Pi", "/", "2"}], "+", "Pi"}]}], "]"}], "//", 
  "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t13", "[", 
   RowBox[{
    RowBox[{"Pi", "/", "2"}], ",", 
    RowBox[{
     RowBox[{"Pi", "/", "2"}], "+", "Pi"}]}], "]"}], "//", 
  "N"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t14", "[", 
   RowBox[{
    RowBox[{"Pi", "/", "2"}], ",", 
    RowBox[{
     RowBox[{"Pi", "/", "2"}], "+", "Pi"}]}], "]"}], "//", "N"}]}], "Input",
 CellChangeTimes->{{3.855142172857978*^9, 3.855142196695117*^9}},
 CellLabel->"In[96]:=",ExpressionUUID->"50e8b40a-9483-44fd-b830-224ac3a4e622"],

Cell[BoxData["0.3333333333333333`"], "Output",
 CellChangeTimes->{{3.855142185444789*^9, 3.855142198638551*^9}},
 CellLabel->"Out[96]=",ExpressionUUID->"706afdbf-1937-4690-bc58-f1ef95bf371e"],

Cell[BoxData["0.3333333333333333`"], "Output",
 CellChangeTimes->{{3.855142185444789*^9, 3.855142198641551*^9}},
 CellLabel->"Out[97]=",ExpressionUUID->"08f4f7f3-b2fd-466a-bc59-632ba92d0b8d"],

Cell[BoxData["0.3333333333333333`"], "Output",
 CellChangeTimes->{{3.855142185444789*^9, 3.8551421986455526`*^9}},
 CellLabel->"Out[98]=",ExpressionUUID->"55b32e48-d3a0-4f30-9b2f-e72e97e3a7cd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"1.8591262880776775`", "-", 
    RowBox[{"Pi", "/", "2"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"Pi", "/", "2"}], ")"}]}]], "Input",
 CellChangeTimes->{{3.8551423677324867`*^9, 3.8551424564021573`*^9}},
 CellLabel->
  "In[106]:=",ExpressionUUID->"ae1f6f01-218c-4ddd-920b-b865285ab4e9"],

Cell[BoxData["0.18355655431859758`"], "Output",
 CellChangeTimes->{{3.855142377049568*^9, 3.855142382815859*^9}, 
   3.855142416666169*^9, 3.8551424569722843`*^9},
 CellLabel->
  "Out[106]=",ExpressionUUID->"e1ce1260-4f42-43f9-b25e-5df2cd218a60"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"t12", "[", 
  RowBox[{"1.5707963267948966`", ",", 
   RowBox[{"1.8591262880776775`", "+", "Pi"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"t13", "[", 
  RowBox[{"1.5707963267948966`", ",", 
   RowBox[{"1.8591262880776775`", "+", "Pi"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"t14", "[", 
  RowBox[{"1.5707963267948966`", ",", 
   RowBox[{"1.8591262880776775`", "+", "Pi"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.855142130109645*^9, 3.855142151920867*^9}},
 CellLabel->"In[99]:=",ExpressionUUID->"0549e438-d57f-4f95-a50f-111cc3dab2bb"],

Cell[BoxData[
 RowBox[{"0.5229010151410642`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{3.854162844097383*^9, 3.8541636440156374`*^9, 
  3.8541656807360907`*^9, 3.854177570439592*^9, 3.855142152256942*^9, 
  3.855142203223868*^9},
 CellLabel->"Out[99]=",ExpressionUUID->"d1ac6acb-114a-4376-a9ad-53a64a6eabe5"],

Cell[BoxData[
 RowBox[{"0.23854949242946777`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{3.854162844097383*^9, 3.8541636440156374`*^9, 
  3.8541656807360907`*^9, 3.854177570439592*^9, 3.855142152256942*^9, 
  3.8551422032288694`*^9},
 CellLabel->
  "Out[100]=",ExpressionUUID->"788e825f-a819-4ce7-bae3-6f44242e0ce4"],

Cell[BoxData[
 RowBox[{"0.23854949242946788`", "\[VeryThinSpace]", "+", 
  RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{3.854162844097383*^9, 3.8541636440156374`*^9, 
  3.8541656807360907`*^9, 3.854177570439592*^9, 3.855142152256942*^9, 
  3.85514220323287*^9},
 CellLabel->
  "Out[101]=",ExpressionUUID->"f0f46ca3-c202-4abb-912c-2ffa34b20f2f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"StadMax", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"t12", "[", 
      RowBox[{
       RowBox[{"3", 
        RowBox[{"Pi", "/", "2"}]}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "]"}], "//", "N"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"t13", "[", 
      RowBox[{
       RowBox[{"3", 
        RowBox[{"Pi", "/", "2"}]}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "]"}], "//", "N"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"t14", "[", 
      RowBox[{
       RowBox[{"3", 
        RowBox[{"Pi", "/", "2"}]}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "]"}], "//", "N"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"VE", "[", 
      RowBox[{
       RowBox[{"3", 
        RowBox[{"Pi", "/", "2"}]}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "]"}], "//", "N"}]}], 
   "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"StadMin", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"t12", "[", 
      RowBox[{
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "]"}], "//", "N"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"t13", "[", 
      RowBox[{
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "]"}], "//", "N"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"t14", "[", 
      RowBox[{
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "]"}], "//", "N"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"VE", "[", 
      RowBox[{
       RowBox[{"Pi", "/", "2"}], ",", 
       RowBox[{"Pi", "/", "2"}]}], "]"}], "//", "N"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.8541657323539886`*^9, 3.854165743894988*^9}, {
   3.8541657831272187`*^9, 3.854165822102115*^9}, {3.8541770686446857`*^9, 
   3.854177087745118*^9}, 3.8541772465762844`*^9, {3.854177391830406*^9, 
   3.8541774062413263`*^9}, {3.8541775289517555`*^9, 3.8541775312913895`*^9}},
 CellLabel->
  "In[280]:=",ExpressionUUID->"c4ea0b70-54c1-4cff-97fc-8bcd9a44d16e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.3333333333333333`", ",", "0.3333333333333333`", ",", 
   "0.3333333333333333`", ",", "0.4330127018922193`"}], "}"}]], "Output",
 CellChangeTimes->{3.854177570486603*^9},
 CellLabel->
  "Out[280]=",ExpressionUUID->"61081ca9-9feb-4637-b106-ba59e092066a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.3333333333333333`", ",", "0.3333333333333333`", ",", 
   "0.3333333333333333`", ",", 
   RowBox[{"-", "0.4330127018922193`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8541775704946046`*^9},
 CellLabel->
  "Out[281]=",ExpressionUUID->"11d32bbf-5959-4c37-9019-6a7a2861b32c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tMax", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t12", "[", 
     RowBox[{"4.542402427526722`", ",", "1.794102865935879`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"t13", "[", 
     RowBox[{"4.542402427526722`", ",", "1.794102865935879`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"t14", "[", 
     RowBox[{"4.542402427526722`", ",", "1.794102865935879`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"VE", "[", 
     RowBox[{"4.542402427526722`", ",", "1.794102865935879`"}], "]"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.854162865663685*^9, 3.85416287178207*^9}, {
   3.8541656899809966`*^9, 3.854165724520399*^9}, {3.8541657671979914`*^9, 
   3.854165775412738*^9}, {3.8541658069633923`*^9, 3.854165811592208*^9}, {
   3.8541769519671745`*^9, 3.854176988249032*^9}, 3.8541775270752363`*^9},
 CellLabel->
  "In[282]:=",ExpressionUUID->"3f11e5fd-8fac-49d6-9849-92ce05f0d325"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.18569648843891648`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.3119070226486953`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.5023964889123881`", "\[VeryThinSpace]", "-", 
    RowBox[{"5.551115123125783`*^-17", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.41617519305243744`", "\[VeryThinSpace]", "+", 
    RowBox[{"6.938893903907228`*^-18", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8541775705326138`*^9},
 CellLabel->
  "Out[282]=",ExpressionUUID->"5a39fab1-a9a7-4e85-b91b-a32353ad44dd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tMin", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t12", "[", 
     RowBox[{"1.4008100126958496`", ",", "1.3474896689462366`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"t13", "[", 
     RowBox[{"1.4008100126958496`", ",", "1.3474896689462366`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"t14", "[", 
     RowBox[{"1.4008100126958496`", ",", "1.3474896689462366`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"VE", "[", 
     RowBox[{"1.4008100126958496`", ",", "1.3474896689462366`"}], "]"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.854165753651964*^9, 3.854165756991991*^9}, {
   3.85416589514005*^9, 3.8541659473152847`*^9}, {3.8541769930073338`*^9, 
   3.8541769997171803`*^9}, {3.8541770548236055`*^9, 3.854177059547187*^9}, 
   3.8541776071046095`*^9},
 CellLabel->
  "In[290]:=",ExpressionUUID->"98ec38b4-8a3e-49e8-bbbb-772bc3d19b33"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.4809702554012351`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.3547594703762549`", "\[VeryThinSpace]", "-", 
    RowBox[{"5.551115123125783`*^-17", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.16427027422250995`", "\[VeryThinSpace]", "+", 
    RowBox[{"5.551115123125783`*^-17", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{
    RowBox[{"-", "0.4161751988886569`"}], "-", 
    RowBox[{"6.938893903907228`*^-18", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.8541776077762523`*^9},
 CellLabel->
  "Out[290]=",ExpressionUUID->"65ce59fb-c461-4021-94b3-33de7f91722a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"dMax", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"t12", "[", 
      RowBox[{"1.7221465651186774`", ",", "1.6660189145679691`"}], "]"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"t13", "[", 
      RowBox[{"1.7221465651186774`", ",", "1.6660189145679691`"}], "]"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"t14", "[", 
      RowBox[{"1.7221465651186774`", ",", "1.6660189145679691`"}], "]"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"VE", "[", 
      RowBox[{"1.7221465651186774`", ",", "1.6660189145679691`"}], "]"}]}], 
    "}"}]}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8541768238240857`*^9, 3.854176856229184*^9}, {
   3.854177104703267*^9, 3.8541771532881956`*^9}, 3.8541775417615695`*^9},
 CellLabel->
  "In[284]:=",ExpressionUUID->"653bf69f-ed3c-4583-919d-c2df3f351e82"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.2699474997441361`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.2783717289728254`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.45168077128303846`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{
    RowBox[{"-", "0.4261234445077785`"}], "-", 
    RowBox[{"6.938893903907228`*^-18", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.854177570579623*^9},
 CellLabel->
  "Out[284]=",ExpressionUUID->"cf6fde6d-a27f-495f-89aa-563f2f3f3fa8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dMin", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t12", "[", 
     RowBox[{"4.863738983768416`", ",", "1.4755736890400748`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"t12", "[", 
     RowBox[{"4.863738983768416`", ",", "1.4755736890400748`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"t14", "[", 
     RowBox[{"4.863738983768416`", ",", "1.4755736890400748`"}], "]"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"VE", "[", 
     RowBox[{"4.863738983768416`", ",", "1.4755736890400748`"}], "]"}]}], 
   "}"}]}]], "Input",
 CellChangeTimes->{{3.854176887762661*^9, 3.854176922700572*^9}, {
   3.8541771574434257`*^9, 3.8541771668049927`*^9}, 3.8541775441141787`*^9},
 CellLabel->
  "In[285]:=",ExpressionUUID->"283fee4d-4b94-4cd1-810a-1a3bbec88cd2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"0.39671920009274353`", "\[VeryThinSpace]", "-", 
    RowBox[{"3.469446951953614`*^-18", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.39671920009274353`", "\[VeryThinSpace]", "-", 
    RowBox[{"3.469446951953614`*^-18", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.214986012696818`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"0.4261234577424891`", "\[VeryThinSpace]", "+", 
    RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{3.854177570620633*^9},
 CellLabel->
  "Out[285]=",ExpressionUUID->"799b3554-01cc-4ac1-b8f6-ddad417e3fd8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"tMax", "[", 
         RowBox[{"[", "x", "]"}], "]"}], "-", 
        RowBox[{"StadMax", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], ")"}], "]"}], "/", 
     RowBox[{"StadMax", "[", 
      RowBox[{"[", "x", "]"}], "]"}]}], "*", "100"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8541772511864505`*^9, 3.8541773640922184`*^9}},
 CellLabel->
  "In[286]:=",ExpressionUUID->"2ec60bb0-6ae6-4a21-bc9d-fbed45070e59"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "44.291053468325046`"}], ",", 
   RowBox[{"-", "6.427893205391405`"}], ",", "50.71894667371644`", ",", 
   RowBox[{"-", "3.8884561044523034`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.854177312655201*^9, 3.854177364471223*^9}, 
   3.854177570663643*^9},
 CellLabel->
  "Out[286]=",ExpressionUUID->"399a46f7-b4dc-4149-bf5c-990ff16fea53"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"tMin", "[", 
         RowBox[{"[", "x", "]"}], "]"}], "-", 
        RowBox[{"StadMin", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], ")"}], "]"}], "/", 
     RowBox[{"StadMin", "[", 
      RowBox[{"[", "x", "]"}], "]"}]}], "*", "100"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.854177413429216*^9, 3.854177421094892*^9}},
 CellLabel->
  "In[287]:=",ExpressionUUID->"cd576afb-2f59-463f-9048-019d9f3f98db"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"44.29107662037054`", ",", "6.42784111287647`", ",", 
   RowBox[{"-", "50.71891773324702`"}], ",", 
   RowBox[{"-", "3.888454756635155`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8541774218607492`*^9, 3.854177570702651*^9},
 CellLabel->
  "Out[287]=",ExpressionUUID->"20993d9d-b1b9-4af7-ac56-66f3c4b160ff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"dMax", "[", 
         RowBox[{"[", "x", "]"}], "]"}], "-", 
        RowBox[{"StadMin", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], ")"}], "]"}], "/", 
     RowBox[{"StadMin", "[", 
      RowBox[{"[", "x", "]"}], "]"}]}], "*", "100"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8541774826914663`*^9, 3.854177514673423*^9}},
 CellLabel->
  "In[288]:=",ExpressionUUID->"9ce7eb1e-c905-4ad9-aa80-ae0cb4fe4a48"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "19.015750076759158`"}], ",", 
   RowBox[{"-", "16.48848130815237`"}], ",", "35.50423138491154`", ",", 
   RowBox[{"-", "1.5910058421694042`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.85417748733904*^9, 3.854177515182159*^9}, 
   3.85417757074166*^9},
 CellLabel->
  "Out[288]=",ExpressionUUID->"cc8042b6-7b7c-4691-8bc8-2c28f07ce1ae"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"dMin", "[", 
         RowBox[{"[", "x", "]"}], "]"}], "-", 
        RowBox[{"StadMax", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], ")"}], "]"}], "/", 
     RowBox[{"StadMin", "[", 
      RowBox[{"[", "x", "]"}], "]"}]}], "*", "100"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8541775500905437`*^9, 3.854177560170104*^9}},
 CellLabel->
  "In[289]:=",ExpressionUUID->"4c3369d2-1e08-4161-a8c3-50069bcec2c5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"19.015760027823063`", ",", "19.015760027823063`", ",", 
   RowBox[{"-", "35.504196190954595`"}], ",", "1.591002785743912`"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.854177560600047*^9, 3.8541775707806687`*^9}},
 CellLabel->
  "Out[289]=",ExpressionUUID->"f5c4f079-7b2d-473c-ac68-e271039cb07c"]
}, Open  ]]
},
WindowSize->{958, 973},
WindowMargins->{{Automatic, -24}, {Automatic, 0}},
FrontEndVersion->"12.3 for Microsoft Windows (64-bit) (2021\:5e747\:670823\
\:65e5)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"dcb93991-7862-44a7-aa7d-2b8fb50ec7a8"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 240, 4, 44, "Input",ExpressionUUID->"b7512f6b-f15c-44cf-a9e0-be1927d401e4"],
Cell[801, 26, 700, 17, 44, "Input",ExpressionUUID->"472b786c-702f-4cf1-9c91-b688fbfc435c"],
Cell[1504, 45, 1982, 52, 100, "Input",ExpressionUUID->"327e72dc-4d6c-4bc2-aee7-fda915163128"],
Cell[3489, 99, 581, 15, 29, "Input",ExpressionUUID->"119c548a-6f34-4252-ae03-dc891e12ac2e"],
Cell[4073, 116, 743, 19, 29, "Input",ExpressionUUID->"5ca6363a-8c89-4626-a8aa-8f4851610250"],
Cell[4819, 137, 679, 19, 29, "Input",ExpressionUUID->"38b26c08-9912-4ab9-91ef-bdbabd5e0c25"],
Cell[5501, 158, 805, 22, 44, "Input",ExpressionUUID->"a080a8c1-3a4c-4bc8-8a56-fc21f39fd454"],
Cell[6309, 182, 371, 10, 29, "Input",ExpressionUUID->"4f9f1833-7882-4c6e-b0bc-e0720e420c1a"],
Cell[6683, 194, 725, 19, 44, "Input",ExpressionUUID->"8ab55cd1-ffb5-4e3a-a571-5d3ef91c1d19"],
Cell[7411, 215, 770, 18, 44, "Input",ExpressionUUID->"a9602ada-3a56-43b2-b94d-7d4b27109847"],
Cell[8184, 235, 960, 30, 80, "Input",ExpressionUUID->"6f5f5bdc-ebab-4f1b-941a-fadbbee69328"],
Cell[9147, 267, 1264, 33, 44, "Input",ExpressionUUID->"d50e9124-258e-4830-91c8-b316672a8ea7"],
Cell[10414, 302, 2314, 59, 100, "Input",ExpressionUUID->"e6eb4ec6-472f-4d71-9f73-b2c725ef508a"],
Cell[12731, 363, 3415, 102, 192, "Input",ExpressionUUID->"06d63715-53af-47ad-9f93-bfb7e52bf489"],
Cell[CellGroupData[{
Cell[16171, 469, 2118, 54, 102, "Input",ExpressionUUID->"0cda0179-a935-403f-a6a2-447da81ba6d8"],
Cell[18292, 525, 586, 13, 50, "Output",ExpressionUUID->"60862f26-aec6-40a5-925d-371ea618762e"]
}, Open  ]],
Cell[18893, 541, 2133, 54, 122, "Input",ExpressionUUID->"77ec9f65-eb90-4edd-9b98-eb80067d8720"],
Cell[21029, 597, 2047, 52, 100, "Input",ExpressionUUID->"d828a3a6-b510-4631-a90a-ce7709c4302d"],
Cell[23079, 651, 1544, 41, 80, "Input",ExpressionUUID->"1c6f21e7-a639-41a8-893c-87bc1b876ff7"],
Cell[24626, 694, 505, 14, 44, "Input",ExpressionUUID->"4056d8a8-ebca-4bc5-949e-f9d1f5b1a10b"],
Cell[25134, 710, 586, 14, 44, "Input",ExpressionUUID->"740ccf66-1b30-4c66-b85a-31bdc93746cc"],
Cell[25723, 726, 483, 12, 44, "Input",ExpressionUUID->"bdb843b6-b75e-4919-ab25-cc399dc11d12"],
Cell[26209, 740, 879, 23, 80, "Input",ExpressionUUID->"92d27823-fb4e-48e6-ba1f-16da23ec71e7"],
Cell[CellGroupData[{
Cell[27113, 767, 385, 10, 44, "Input",ExpressionUUID->"9bee8be8-368e-4c68-9208-ccd1f93d2faf"],
Cell[27501, 779, 195, 3, 33, "Output",ExpressionUUID->"4e047646-369c-4491-91c3-2335acd6be54"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27733, 787, 337, 6, 44, "Input",ExpressionUUID->"b0426252-6885-49ba-a855-3f395eaff5bf"],
Cell[28073, 795, 370, 6, 33, "Output",ExpressionUUID->"921e5605-3a2a-496f-81c9-b3a5a563750f"]
}, Open  ]],
Cell[28458, 804, 408, 11, 44, "Input",ExpressionUUID->"d4b00748-7dbc-4715-9637-a7c84c925ab0"],
Cell[CellGroupData[{
Cell[28891, 819, 704, 22, 116, "Input",ExpressionUUID->"50e8b40a-9483-44fd-b830-224ac3a4e622"],
Cell[29598, 843, 191, 2, 33, "Output",ExpressionUUID->"706afdbf-1937-4690-bc58-f1ef95bf371e"],
Cell[29792, 847, 191, 2, 33, "Output",ExpressionUUID->"08f4f7f3-b2fd-466a-bc59-632ba92d0b8d"],
Cell[29986, 851, 193, 2, 33, "Output",ExpressionUUID->"55b32e48-d3a0-4f30-9b2f-e72e97e3a7cd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30216, 858, 341, 9, 44, "Input",ExpressionUUID->"ae1f6f01-218c-4ddd-920b-b865285ab4e9"],
Cell[30560, 869, 246, 4, 81, "Output",ExpressionUUID->"e1ce1260-4f42-43f9-b25e-5df2cd218a60"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30843, 878, 569, 11, 116, "Input",ExpressionUUID->"0549e438-d57f-4f95-a50f-111cc3dab2bb"],
Cell[31415, 891, 366, 6, 33, "Output",ExpressionUUID->"d1ac6acb-114a-4376-a9ad-53a64a6eabe5"],
Cell[31784, 899, 373, 7, 33, "Output",ExpressionUUID->"788e825f-a819-4ce7-bae3-6f44242e0ce4"],
Cell[32160, 908, 370, 7, 33, "Output",ExpressionUUID->"f0f46ca3-c202-4abb-912c-2ffa34b20f2f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32567, 920, 2046, 63, 296, "Input",ExpressionUUID->"c4ea0b70-54c1-4cff-97fc-8bcd9a44d16e"],
Cell[34616, 985, 297, 7, 33, "Output",ExpressionUUID->"61081ca9-9feb-4637-b106-ba59e092066a"],
Cell[34916, 994, 318, 8, 33, "Output",ExpressionUUID->"11d32bbf-5959-4c37-9019-6a7a2861b32c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[35271, 1007, 950, 21, 90, "Input",ExpressionUUID->"3f11e5fd-8fac-49d6-9849-92ce05f0d325"],
Cell[36224, 1030, 669, 14, 37, "Output",ExpressionUUID->"5a39fab1-a9a7-4e85-b91b-a32353ad44dd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36930, 1049, 912, 21, 90, "Input",ExpressionUUID->"98ec38b4-8a3e-49e8-bbbb-772bc3d19b33"],
Cell[37845, 1072, 688, 15, 37, "Output",ExpressionUUID->"65ce59fb-c461-4021-94b3-33de7f91722a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38570, 1092, 859, 20, 110, "Input",ExpressionUUID->"653bf69f-ed3c-4583-919d-c2df3f351e82"],
Cell[39432, 1114, 646, 15, 37, "Output",ExpressionUUID->"cf6fde6d-a27f-495f-89aa-563f2f3f3fa8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40115, 1134, 805, 19, 90, "Input",ExpressionUUID->"283fee4d-4b94-4cd1-810a-1a3bbec88cd2"],
Cell[40923, 1155, 663, 13, 37, "Output",ExpressionUUID->"799b3554-01cc-4ac1-b8f6-ddad417e3fd8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41623, 1173, 632, 18, 44, "Input",ExpressionUUID->"2ec60bb0-6ae6-4a21-bc9d-fbed45070e59"],
Cell[42258, 1193, 395, 9, 33, "Output",ExpressionUUID->"399a46f7-b4dc-4149-bf5c-990ff16fea53"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42690, 1207, 628, 18, 44, "Input",ExpressionUUID->"cd576afb-2f59-463f-9048-019d9f3f98db"],
Cell[43321, 1227, 347, 7, 33, "Output",ExpressionUUID->"20993d9d-b1b9-4af7-ac56-66f3c4b160ff"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43705, 1239, 630, 18, 44, "Input",ExpressionUUID->"9ce7eb1e-c905-4ad9-aa80-ae0cb4fe4a48"],
Cell[44338, 1259, 393, 9, 33, "Output",ExpressionUUID->"cc8042b6-7b7c-4691-8bc8-2c28f07ce1ae"]
}, Open  ]],
Cell[CellGroupData[{
Cell[44768, 1273, 630, 18, 44, "Input",ExpressionUUID->"4c3369d2-1e08-4161-a8c3-50069bcec2c5"],
Cell[45401, 1293, 337, 7, 33, "Output",ExpressionUUID->"f5c4f079-7b2d-473c-ac68-e271039cb07c"]
}, Open  ]]
}
]
*)

