(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    203147,       5261]
NotebookOptionsPosition[    194747,       5138]
NotebookOutlinePosition[    195131,       5155]
CellTagsIndexPosition[    195088,       5152]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Code initialization", "Text",
 CellChangeTimes->{{3.8518494384622087`*^9, 3.8518494457045865`*^9}, {
  3.8518495619359226`*^9, 
  3.8518495804876137`*^9}},ExpressionUUID->"ba54befd-5267-4b10-b24e-\
cc013db7d42a"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global'*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.85175520491953*^9, 3.8517552213377757`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"c260687a-9f97-4ac9-ae40-4d37c2ad8b0e"],

Cell["\<\
Working directory (The experimental unitary matrix should be saved in \
testmatrix.csv in csv format. The file testmatrix.csv should be copied to the \
data folder. )\
\>", "Text",
 CellChangeTimes->{{3.8518499312863836`*^9, 3.8518499565092506`*^9}, {
  3.8518534686515465`*^9, 
  3.8518535851438856`*^9}},ExpressionUUID->"98bb9d20-935a-4591-964f-\
00984404b645"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Tempfile1", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<data\>\"", ",", 
      "\"\<standardmatrix.csv\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tempfile6", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<data\>\"", ",", 
      "\"\<tt-high.csv\>\""}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tempfile2", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<func\>\"", ",", 
      "\"\<TotFunc.mx\>\""}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tempfile3", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<data\>\"", ",", 
      "\"\<testmatrix.csv\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8517553916136394`*^9, 3.851755396913419*^9}, {
  3.8517556500708065`*^9, 3.851755755952202*^9}, {3.8517558202817693`*^9, 
  3.8517558901016808`*^9}, {3.8518468286743298`*^9, 3.851846853677663*^9}, {
  3.8544007482317004`*^9, 3.854400789293783*^9}, {3.8853748420966454`*^9, 
  3.88537484800089*^9}},ExpressionUUID->"4cdb6083-8012-498e-b42a-\
7ddbb80f5222"],

Cell[BoxData[
 RowBox[{"Get", "[", "Tempfile2", "]"}]], "Input",
 CellChangeTimes->{{3.8544010092711678`*^9, 3.8544010133266864`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"741513fc-649c-4c07-b887-d4f5d55c6519"],

Cell["Import the data", "Text",
 CellChangeTimes->{{3.851853699541482*^9, 
  3.8518537039353943`*^9}},ExpressionUUID->"5b6b856f-99dd-441e-bcde-\
83bdc2e582e2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"standard", "=", 
   RowBox[{"ToExpression", "@", 
    RowBox[{"Import", "[", "Tempfile1", "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.85175589727204*^9, 3.851755978028284*^9}, {
  3.8517560466608095`*^9, 3.8517560777386403`*^9}, {3.851756109006941*^9, 
  3.8517561123287706`*^9}, {3.851756161592986*^9, 3.8517561687946033`*^9}, {
  3.851832123255515*^9, 3.851832132482066*^9}, {3.8518327567115717`*^9, 
  3.851832786722639*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"59c59ab9-491a-4f67-ae1f-f9a2e9e3d552"],

Cell[BoxData[
 RowBox[{
  RowBox[{"test2", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"ToExpression", "@", 
      RowBox[{"Import", "[", "Tempfile3", "]"}]}], ")"}], "/.", 
    RowBox[{"i", "->", "I"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8517561865317264`*^9, 3.8517562039714575`*^9}, {
   3.8518321203933444`*^9, 3.8518321385211678`*^9}, {3.8518327510272446`*^9, 
   3.8518327535749855`*^9}, {3.8541646050053964`*^9, 3.854164637679715*^9}, 
   3.8619717053503294`*^9},
 CellLabel->"In[10]:=",ExpressionUUID->"dde21d8f-c6e3-4fcf-af67-bbef3c5639c8"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tth", "=", 
   RowBox[{"ToExpression", "@", 
    RowBox[{"Import", "[", "Tempfile6", "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.854400820659684*^9, 3.854400828790016*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"ae6a79c5-e4b7-451f-b42d-1f87630a2e53"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"test", "=", "test2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"test1", "=", "test"}], ";"}]}], "Input",
 CellChangeTimes->{{3.8629035221159306`*^9, 3.862903524709917*^9}, {
  3.8853732421864004`*^9, 
  3.8853732426859617`*^9}},ExpressionUUID->"03c9ac85-b1bb-41fe-871d-\
eceab1e99231"],

Cell["\<\
Constructing  the function tests to add random errors into the standard matrix\
\>", "Text",
 CellChangeTimes->{{3.885373260016765*^9, 
  3.8853732936931567`*^9}},ExpressionUUID->"194e4702-7a03-41a7-8011-\
d432994c2371"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"tests", "[", "ets_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "#", "]"}], "*", 
          RowBox[{"Exp", "[", 
           RowBox[{"I", "*", 
            RowBox[{"RandomReal", "[", 
             RowBox[{"{", 
              RowBox[{"0", ",", 
               RowBox[{"2", "Pi"}]}], "}"}], "]"}]}], "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"RandomReal", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", "ets"}], "}"}], "]"}], ")"}]}], "+", "#"}], 
        "&"}], ",", "standard", ",", 
       RowBox[{"{", "2", "}"}]}], "]"}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"1", ";;", "4"}], ",", 
      RowBox[{"1", ";;", "8"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8617052746288424`*^9, 3.861705287348364*^9}, {
   3.861705338576784*^9, 3.86170536770504*^9}, 3.8617059389675417`*^9, 
   3.861961663721636*^9, {3.8619617593039923`*^9, 3.861961761438992*^9}, {
   3.861962090296603*^9, 3.8619621015429955`*^9}, {3.861962142878598*^9, 
   3.8619621457605996`*^9}, {3.8619621988512764`*^9, 
   3.8619622105192776`*^9}, {3.861963269766292*^9, 3.8619632710062914`*^9}, {
   3.861963310642095*^9, 3.8619633167231035`*^9}, 3.8651984196102037`*^9, {
   3.8652998926528587`*^9, 3.865299905298009*^9}},
 CellLabel->
  "In[703]:=",ExpressionUUID->"5f8a71a6-20e5-4379-b9ea-8ff344962fb5"],

Cell["Save the 8x4 block as loopk", "Text",
 CellChangeTimes->{{3.8518537552888308`*^9, 
  3.8518537991881714`*^9}},ExpressionUUID->"ec1dd697-75c4-41b3-bd18-\
f0e7dbf0cc29"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DIM", "=", 
   RowBox[{"Dimensions", "[", "standard", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a1", ",", "a2"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"4", ",", "8"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"loopk", "=", 
   RowBox[{"test1", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"1", ";;", "a1"}], ",", 
      RowBox[{"1", ";;", "a2"}]}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.851832295585722*^9, 3.851832308056234*^9}, {
   3.8518537150225334`*^9, 3.8518537215758233`*^9}, 3.8541655346054683`*^9, {
   3.854194324552224*^9, 3.854194327578907*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"83f36caf-df55-43f6-85fe-e03a0936680f"],

Cell["\<\
Construct functions to compute amplitudes in multi-vertex cases\
\>", "Text",
 CellChangeTimes->{{3.885373317140661*^9, 
  3.885373340702934*^9}},ExpressionUUID->"64cb9b1a-6d26-41f5-89ed-\
65885ffa043d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"D1TTp", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"TT", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "i", ",", "z", ",", "t", ",", "a"}], "]"}], 
          "]"}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D1TTs", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"TT", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "i", ",", "z", ",", "t", ",", "a"}], "]"}], 
          "]"}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D1TTa", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"TT", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "i", ",", "j", ",", "j", ",", "a"}], "]"}], 
          "]"}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D1TTap", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{"TT", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "i", ",", "j", ",", "j", ",", "a"}], "]"}], 
          "]"}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d1tte", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D1TTs", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"z", ",", "t", ",", "a"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "t", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "a", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d1tta", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D1TTa", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", "a", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "a", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d1ttep", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D1TTp", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"z", ",", "t", ",", "a"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "t", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "a", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d1ttap", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D1TTap", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", "a", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "a", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]}], "Input",
 CellChangeTimes->{{3.863391402124915*^9, 3.863391419753286*^9}, {
   3.863391504017852*^9, 3.8633915052394*^9}, {3.865284294240447*^9, 
   3.865284341878552*^9}, {3.865284444289379*^9, 3.8652844476370287`*^9}, {
   3.865284480226657*^9, 3.8652844924181147`*^9}, {3.865284524623269*^9, 
   3.8652846038028297`*^9}, 3.86528491769412*^9, {3.86528839229307*^9, 
   3.8652884154071493`*^9}, {3.865288598624054*^9, 3.8652886211258183`*^9}, {
   3.865288710875126*^9, 3.865288714369364*^9}, {3.865288754872611*^9, 
   3.865288760090968*^9}, 3.865288809928475*^9, {3.865288844433367*^9, 
   3.8652889573581553`*^9}, {3.8653052324981413`*^9, 3.8653052352677402`*^9}},
 CellLabel->
  "In[1142]:=",ExpressionUUID->"7993ac10-3d8b-42c0-b385-1033ee49e47d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"D2TTp", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "z", ",", "t", ",", "a"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "i", ",", "k", ",", "l", ",", "s"}], "]"}], 
           "]"}]}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D2TTs", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "z", ",", "t", ",", "a"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "i", ",", "k", ",", "l", ",", "s"}], "]"}], 
           "]"}]}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D2TTap", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "z", ",", "t", ",", "a"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "i", ",", "t", ",", "z", ",", "s"}], "]"}], 
           "]"}]}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D2TTa", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "z", ",", "t", ",", "a"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "i", ",", "t", ",", "z", ",", "s"}], "]"}], 
           "]"}]}], " ", ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d2tte", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D2TTs", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"z", ",", "t", ",", "a", ",", "k", ",", "l", ",", "s"}], 
          "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "t", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "a", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "l", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "s", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d2tta", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D2TTa", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"z", ",", "t"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d2ttep", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D2TTp", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"z", ",", "t", ",", "a", ",", "k", ",", "l", ",", "s"}], 
          "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "t", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "a", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "l", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "s", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"a", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"s", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d2ttap", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D2TTap", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"z", ",", "t"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]}], "Input",
 CellChangeTimes->{{3.863296208833213*^9, 3.863296238275371*^9}, {
   3.865284648077365*^9, 3.865284711308783*^9}, {3.86528484971455*^9, 
   3.865284854967668*^9}, 3.8652850575716267`*^9, {3.865285120125725*^9, 
   3.8652851428157597`*^9}, {3.865285182432921*^9, 3.86528529071666*^9}, {
   3.8652884629463873`*^9, 3.86528847940523*^9}, {3.8652885538315763`*^9, 
   3.865288595886154*^9}, {3.865289020568528*^9, 3.865289056534832*^9}, {
   3.8652896041386127`*^9, 3.8652896074971123`*^9}, {3.8653051938047667`*^9, 
   3.865305196236065*^9}},
 CellLabel->
  "In[1126]:=",ExpressionUUID->"3b19d591-639d-49ee-a1d8-47a60f1dedeb"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"D3TTp", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "m1", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "n1", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "i", ",", "k1", ",", "k2", ",", "k3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D3TTap", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "k2", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "m2", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "i", ",", "n2", ",", "k2", ",", "k3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n2", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D3TTs", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "m1", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "n1", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "i", ",", "k1", ",", "k2", ",", "k3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D3TTa", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "k2", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "m2", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "i", ",", "n2", ",", "k2", ",", "k3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n2", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d3tte", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D3TTs", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{
          "m1", ",", "n1", ",", "k1", ",", "m2", ",", "n2", ",", "k2", ",", 
           "m3", ",", "k3", ",", "n3"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d3tta", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D3TTa", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"m3", ",", "k3", ",", "n3"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d3ttep", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D3TTp", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{
          "m1", ",", "n1", ",", "k1", ",", "m2", ",", "n2", ",", "k2", ",", 
           "m3", ",", "k3", ",", "n3"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d3ttap", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D3TTap", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"m3", ",", "k3", ",", "n3"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]}], "Input",
 CellChangeTimes->{{3.8619635154169955`*^9, 3.861963655958498*^9}, {
  3.861964593672346*^9, 3.861964605136221*^9}, {3.8619646470312243`*^9, 
  3.861964667802275*^9}, {3.8619647013474536`*^9, 3.861964775914236*^9}, {
  3.862904076591375*^9, 3.862904080561841*^9}, {3.865285417339139*^9, 
  3.8652855422566032`*^9}, {3.86528558421532*^9, 3.8652858282096024`*^9}, {
  3.865286032667326*^9, 3.8652860774898*^9}, {3.865288488768249*^9, 
  3.865288500260045*^9}, {3.8652896208510637`*^9, 3.865289663447172*^9}, {
  3.865290536076586*^9, 3.865290567914813*^9}, {3.8653052372836723`*^9, 
  3.865305242255899*^9}},
 CellLabel->
  "In[1118]:=",ExpressionUUID->"718eb660-f5ff-40bc-9713-02b94cbdb836"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"D4TTp", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x1", ",", "i", ",", "z1", ",", "z2", ",", "z3"}], "]"}], 
           "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "m1", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "n1", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "x1", ",", "k1", ",", "k2", ",", "k3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D4TTap", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x1", ",", "i", ",", "k2", ",", "z2", ",", "z3"}], "]"}], 
           "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "z2", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "m2", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "x1", ",", "n2", ",", "k2", ",", "k3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"z2", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D4TTs", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x1", ",", "i", ",", "z1", ",", "z2", ",", "z3"}], "]"}], 
           "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "m1", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "n1", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "x1", ",", "k1", ",", "k2", ",", "k3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D4TTa", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x1", ",", "i", ",", "k2", ",", "z2", ",", "z3"}], "]"}], 
           "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "z2", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "m2", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "x1", ",", "n2", ",", "k2", ",", "k3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"z2", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d4tte", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D4TTs", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{
          "m1", ",", "n1", ",", "k1", ",", "z1", ",", "m2", ",", "n2", ",", 
           "k2", ",", "z2", ",", "m3", ",", "k3", ",", "n3", ",", "z3"}], 
          "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d4tta", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D4TTa", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"m3", ",", "n3", ",", "k3", ",", "z3"}], "]"}], "]"}], 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d4ttep", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D4TTp", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{
          "m1", ",", "n1", ",", "k1", ",", "z1", ",", "m2", ",", "n2", ",", 
           "k2", ",", "z2", ",", "m3", ",", "k3", ",", "n3", ",", "z3"}], 
          "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d4ttap", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D4TTap", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{"m3", ",", "n3", ",", "k3", ",", "z3"}], "]"}], "]"}], 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]}], "Input",
 CellChangeTimes->{{3.861965898613447*^9, 3.861966056372597*^9}, 
   3.862904263603901*^9, {3.8629062276398897`*^9, 3.862906236432641*^9}, {
   3.86528626021412*^9, 3.8652863911470957`*^9}, {3.865286760192349*^9, 
   3.8652869502813063`*^9}, {3.865286993542885*^9, 3.865287055583164*^9}, {
   3.8652871010801992`*^9, 3.865287173781105*^9}, {3.8652885091026783`*^9, 
   3.8652885209023542`*^9}, {3.865290636169729*^9, 3.865290676513098*^9}, 
   3.865291873715016*^9, 3.865291928413431*^9, {3.865291970311018*^9, 
   3.865291976909749*^9}, {3.865292034870591*^9, 3.865292057281493*^9}, 
   3.865292104220821*^9, {3.865305243512908*^9, 3.865305246626089*^9}},
 CellLabel->
  "In[1110]:=",ExpressionUUID->"e4e94e29-8f27-44bb-a5a3-f32d9415d749"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"D5TTp", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x2", ",", "x1", ",", "k1", ",", "k2", ",", "k3"}], "]"}],
            "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x1", ",", "i", ",", "z1", ",", "z2", ",", "z3"}], "]"}], 
           "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "m1", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "n1", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "x2", ",", "p1", ",", "p2", ",", "p3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x2", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D5TTap", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x2", ",", "x1", ",", "p2", ",", "k2", ",", "k3"}], "]"}],
            "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x1", ",", "i", ",", "k2", ",", "z2", ",", "z3"}], "]"}], 
           "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "z2", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "m2", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "x2", ",", "n2", ",", "p2", ",", "p3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"p2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n2", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D5TTs", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x2", ",", "x1", ",", "k1", ",", "k2", ",", "k3"}], "]"}],
            "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x1", ",", "i", ",", "z1", ",", "z2", ",", "z3"}], "]"}], 
           "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "m1", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "n1", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "x2", ",", "p1", ",", "p2", ",", "p3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x2", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"D5TTa", "[", "x_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "TT", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"TT", "=", 
      RowBox[{"ArrayReshape", "[", 
       RowBox[{
        RowBox[{"tests", "[", "x", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "2", ",", "2", ",", "2", ",", "2"}], "}"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x2", ",", "x1", ",", "p2", ",", "k2", ",", "k3"}], "]"}],
            "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"x1", ",", "i", ",", "k2", ",", "z2", ",", "z3"}], "]"}], 
           "]"}], 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"i", ",", "j", ",", "z2", ",", "m2", ",", "m3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"j", ",", "l", ",", "m2", ",", "n2", ",", "n3"}], "]"}], 
           "]"}], " ", 
          RowBox[{"TT", "[", 
           RowBox[{"[", 
            RowBox[{"l", ",", "x2", ",", "n2", ",", "p2", ",", "p3"}], "]"}], 
           "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"l", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x1", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"p2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"n2", ",", "1", ",", "2"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d5tte", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D5TTs", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{
          "m1", ",", "n1", ",", "k1", ",", "z1", ",", "p1", ",", "m2", ",", 
           "n2", ",", "k2", ",", "z2", ",", "p2", ",", "m3", ",", "k3", ",", 
           "n3", ",", "z3", ",", "p3"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "p1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "p2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "p3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d5tta", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D5TTa", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{
          "m3", ",", "n3", ",", "k3", ",", "k2", ",", "z3", ",", "p3"}], 
          "]"}], "]"}], 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "p3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d5ttep", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D5TTp", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{
          "m1", ",", "n1", ",", "k1", ",", "z1", ",", "p1", ",", "m2", ",", 
           "n2", ",", "k2", ",", "z2", ",", "p2", ",", "m3", ",", "k3", ",", 
           "n3", ",", "z3", ",", "p3"}], "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "p1", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "p2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "p3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p1", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d5ttap", "[", "xx_", "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", "c1", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"c1", "=", 
      RowBox[{"D5TTap", "[", "xx", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"c1", "[", 
         RowBox[{"[", 
          RowBox[{
          "m3", ",", "n3", ",", "k3", ",", "k2", ",", "z3", ",", "p3"}], 
          "]"}], "]"}], 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "m3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "n3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k2", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "k3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "z3", "]"}], "]"}], "*", 
        RowBox[{
         RowBox[{"F1", "[", 
          RowBox[{
           RowBox[{"Pi", "/", "2"}], ",", 
           RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
         RowBox[{"[", "p3", "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"m3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"n3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k2", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z3", ",", "1", ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "1", ",", "2"}], "}"}]}], "]"}]}]}], 
   "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.862906243658024*^9, 3.862906244349637*^9}, {
   3.862906299562608*^9, 3.8629063738367367`*^9}, {3.862912796918497*^9, 
   3.8629128559797897`*^9}, 3.8629131594139633`*^9, 3.865286108834811*^9, 
   3.865287197749786*^9, {3.865287246642668*^9, 3.865287318906928*^9}, {
   3.8652873542421722`*^9, 3.865287446946616*^9}, {3.865287516080592*^9, 
   3.8652875801649437`*^9}, {3.86528761495301*^9, 3.865287625544343*^9}, {
   3.865287667937229*^9, 3.865287736700426*^9}, {3.8652878958139753`*^9, 
   3.8652879387995663`*^9}, {3.865288528486452*^9, 3.865288540310802*^9}, {
   3.8652911690734167`*^9, 3.865291199401771*^9}, {3.8652913118661613`*^9, 
   3.865291367438251*^9}, {3.865292244981997*^9, 3.865292288242529*^9}, {
   3.86529936508519*^9, 3.865299416818266*^9}, 3.865302223605311*^9, {
   3.8653052468732157`*^9, 3.86530525009149*^9}},
 CellLabel->
  "In[1150]:=",ExpressionUUID->"1f4441c1-3d9d-4842-8666-41458c607f36"],

Cell["Configure Parallel computing kernels", "Text",
 CellChangeTimes->{{3.885373484286873*^9, 
  3.8853734958993406`*^9}},ExpressionUUID->"b86ecdf0-55e1-43eb-b68e-\
5442514e82ad"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CloseKernels", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LaunchKernels", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.8619663025403495`*^9, 3.861966320965355*^9}, {
  3.862905492348014*^9, 3.8629054936106567`*^9}, {3.8853728625425987`*^9, 
  3.8853728630515833`*^9}},ExpressionUUID->"a5faeb85-8282-4d97-a571-\
35d436a7e457"],

Cell["\<\
Estimate the errors in the amplitudes  and compare with the errors in the \
matrix\
\>", "Text",
 CellChangeTimes->{{3.885373503134677*^9, 
  3.885373578465102*^9}},ExpressionUUID->"1b211ff2-0275-4b8e-82ee-\
34c7d55b4416"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"st25", "=", 
   RowBox[{"d1ttap", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st26", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d1tte", "[", "x", "]"}], "-", "st25"}], "]"}], "/", 
      RowBox[{"Abs", "[", "st25", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "10000"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st26", "=", 
   RowBox[{"Transpose", "[", "st26", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st27", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"st26", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st26", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st28", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"st26", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st26", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.863391478734668*^9, 3.86339148886228*^9}, {
   3.863391523769449*^9, 3.863391585965458*^9}, 3.863391633220099*^9, {
   3.863495275744033*^9, 3.863495299894763*^9}, {3.863495450221689*^9, 
   3.863495456020249*^9}, 3.865299484188135*^9, {3.865304183894188*^9, 
   3.865304221524749*^9}, {3.865304325205531*^9, 3.865304330143751*^9}},
 CellLabel->
  "In[1158]:=",ExpressionUUID->"9f25b7ee-3c8a-43fa-a5f9-55501b3e49b9"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"st21", "=", 
   RowBox[{"d2ttep", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st22", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d2tte", "[", "x", "]"}], "-", "st21"}], "]"}], "/", 
      RowBox[{"Abs", "[", "st21", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "500"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st22", "=", 
   RowBox[{"Transpose", "[", "st22", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st23", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"st22", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st22", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st24", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"st22", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st22", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.863315460852048*^9, 3.863315516654582*^9}, {
   3.86331569551499*^9, 3.863315724152617*^9}, {3.863341415608227*^9, 
   3.863341453540526*^9}, 3.865299485934795*^9, {3.865304114856022*^9, 
   3.865304115420135*^9}, {3.86530423894685*^9, 3.86530425007542*^9}, {
   3.865304330545084*^9, 3.865304335091056*^9}},
 CellLabel->
  "In[1163]:=",ExpressionUUID->"66315961-ae17-47b9-92c6-81eb98f64eac"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"st12", "=", 
   RowBox[{"d5ttep", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st13", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d5tte", "[", "x", "]"}], "-", "st12"}], "]"}], "/", 
      RowBox[{"Abs", "[", "st12", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "200"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st14", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"st13", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st13", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st15", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"st13", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st13", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8629064701142673`*^9, 3.862906519827774*^9}, {
   3.862907192485914*^9, 3.8629071949253607`*^9}, 3.862907313006545*^9, {
   3.8629073993466597`*^9, 3.862907406734559*^9}, {3.862907442464871*^9, 
   3.862907454838286*^9}, {3.86290748758496*^9, 3.8629074984544764`*^9}, {
   3.862907549991353*^9, 3.862907552762628*^9}, {3.862908445406528*^9, 
   3.862908446474381*^9}, {3.86334190324958*^9, 3.8633419078973417`*^9}, 
   3.865299488364307*^9, {3.865300751020718*^9, 3.865300756135395*^9}, {
   3.86530425089802*^9, 3.865304257495257*^9}, {3.8653043355090723`*^9, 
   3.8653043391407013`*^9}},
 CellLabel->
  "In[1168]:=",ExpressionUUID->"1151bc6b-770d-4928-bb2d-cb8ad9282832"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"st9", "=", 
   RowBox[{"d4ttep", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st8", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d4tte", "[", "x", "]"}], "-", "st9"}], "]"}], "/", 
      RowBox[{"Abs", "[", "st9", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "200"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st10", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"st8", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st8", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st11", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"st8", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st8", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.861970791589262*^9, 3.8619708386058817`*^9}, {
   3.861971863440366*^9, 3.861971865396366*^9}, 3.862905651089396*^9, {
   3.8629058805703487`*^9, 3.8629058808742456`*^9}, {3.865288024525189*^9, 
   3.865288024847046*^9}, 3.865299495753242*^9, 3.865303903079129*^9, {
   3.865304258154858*^9, 3.865304263212667*^9}, {3.865304339746807*^9, 
   3.865304345682502*^9}},
 CellLabel->
  "In[1172]:=",ExpressionUUID->"4ce903f0-de31-4f70-98f1-7f7574f676ff"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"st4", "=", 
   RowBox[{"d3ttep", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st6", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d3tte", "[", "x", "]"}], "-", "st4"}], "]"}], "/", 
      RowBox[{"Abs", "[", "st4", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "500"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st7", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"st6", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st6", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"st5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"st6", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "st6", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8619650913307705`*^9, 3.8619650986487556`*^9}, {
   3.865287998793983*^9, 3.8652880041977587`*^9}, 3.865299492689622*^9, {
   3.8653042637412*^9, 3.8653042849944983`*^9}, {3.86530434618746*^9, 
   3.865304350830093*^9}},
 CellLabel->
  "In[1176]:=",ExpressionUUID->"919afc6f-63f9-4373-93f1-688413cf1172"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sta25", "=", 
   RowBox[{"d1ttap", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta26", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d1tta", "[", "x", "]"}], "-", "sta25"}], "]"}], "/", 
      RowBox[{"Abs", "[", "sta25", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "10000"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta26", "=", 
   RowBox[{"Transpose", "[", "sta26", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta27", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"sta26", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta26", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta28", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"sta26", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta26", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.863391478734668*^9, 3.86339148886228*^9}, {
   3.863391523769449*^9, 3.863391585965458*^9}, 3.863391633220099*^9, {
   3.863495275744033*^9, 3.863495299894763*^9}, {3.863495450221689*^9, 
   3.863495456020249*^9}, 3.865299484188135*^9, {3.865304183894188*^9, 
   3.865304221524749*^9}, {3.8653043588560677`*^9, 3.8653043592763987`*^9}},
 CellLabel->
  "In[1180]:=",ExpressionUUID->"b8266499-d47b-4aa2-be79-cd3442bd2dfa"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sta21", "=", 
   RowBox[{"d2ttap", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta22", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d2tta", "[", "x", "]"}], "-", "sta21"}], "]"}], "/", 
      RowBox[{"Abs", "[", "sta21", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "500"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta22", "=", 
   RowBox[{"Transpose", "[", "sta22", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta23", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"sta22", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta22", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta24", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"sta22", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta22", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.863315460852048*^9, 3.863315516654582*^9}, {
   3.86331569551499*^9, 3.863315724152617*^9}, {3.863341415608227*^9, 
   3.863341453540526*^9}, 3.865299485934795*^9, {3.865304114856022*^9, 
   3.865304115420135*^9}, {3.86530423894685*^9, 3.86530425007542*^9}, {
   3.865304382596689*^9, 3.865304383467867*^9}},
 CellLabel->
  "In[1185]:=",ExpressionUUID->"259b89c5-d584-49cd-b8f0-ff78a176fac0"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sta12", "=", 
   RowBox[{"d5ttap", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta13", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d5tta", "[", "x", "]"}], "-", "sta12"}], "]"}], "/", 
      RowBox[{"Abs", "[", "sta12", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "200"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta14", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"sta13", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta13", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta15", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"sta13", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta13", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8629064701142673`*^9, 3.862906519827774*^9}, {
   3.862907192485914*^9, 3.8629071949253607`*^9}, 3.862907313006545*^9, {
   3.8629073993466597`*^9, 3.862907406734559*^9}, {3.862907442464871*^9, 
   3.862907454838286*^9}, {3.86290748758496*^9, 3.8629074984544764`*^9}, {
   3.862907549991353*^9, 3.862907552762628*^9}, {3.862908445406528*^9, 
   3.862908446474381*^9}, {3.86334190324958*^9, 3.8633419078973417`*^9}, 
   3.865299488364307*^9, {3.865300751020718*^9, 3.865300756135395*^9}, {
   3.86530425089802*^9, 3.865304257495257*^9}, {3.865304384282543*^9, 
   3.865304384721429*^9}},
 CellLabel->
  "In[1190]:=",ExpressionUUID->"a8a505d6-dbbc-4cf6-8301-af3a1fdd2647"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sta9", "=", 
   RowBox[{"d4ttap", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta8", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d4tta", "[", "x", "]"}], "-", "sta9"}], "]"}], "/", 
      RowBox[{"Abs", "[", "sta9", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "200"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta10", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"sta8", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta8", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta11", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"sta8", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta8", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.861970791589262*^9, 3.8619708386058817`*^9}, {
   3.861971863440366*^9, 3.861971865396366*^9}, 3.862905651089396*^9, {
   3.8629058805703487`*^9, 3.8629058808742456`*^9}, {3.865288024525189*^9, 
   3.865288024847046*^9}, 3.865299495753242*^9, 3.865303903079129*^9, {
   3.865304258154858*^9, 3.865304263212667*^9}, {3.865304385330531*^9, 
   3.865304386337234*^9}},
 CellLabel->
  "In[1194]:=",ExpressionUUID->"fed4bef1-345e-4912-93a2-4563679aef3a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sta4", "=", 
   RowBox[{"d3ttap", "[", "0", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta6", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"d3tta", "[", "x", "]"}], "-", "sta4"}], "]"}], "/", 
      RowBox[{"Abs", "[", "sta4", "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "500"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3", ",", "0.005"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta7", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"sta6", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta6", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sta5", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"sta6", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "sta6", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8619650913307705`*^9, 3.8619650986487556`*^9}, {
   3.865287998793983*^9, 3.8652880041977587`*^9}, 3.865299492689622*^9, {
   3.8653042637412*^9, 3.8653042849944983`*^9}, {3.86530438709261*^9, 
   3.865304387840562*^9}},
 CellLabel->
  "In[1198]:=",ExpressionUUID->"0882455d-b8e1-431d-80b5-c9ec8b9eb331"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Dimensions", "[", "st7", "]"}]], "Input",
 CellChangeTimes->{{3.865300434385805*^9, 3.865300440013769*^9}},
 CellLabel->
  "In[814]:=",ExpressionUUID->"a40860fc-9b5a-4d3d-baf0-d299574c600f"],

Cell[BoxData[
 RowBox[{"{", "61", "}"}]], "Output",
 CellChangeTimes->{3.8653004411452723`*^9},
 CellLabel->
  "Out[814]=",ExpressionUUID->"8404fe4c-01db-4ec2-a2fa-06795a5613bd"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"kd", "=", "11"}]], "Input",
 CellChangeTimes->{{3.865304919758657*^9, 3.865304921900473*^9}, {
  3.865305078134923*^9, 3.865305079026663*^9}, {3.865306398725485*^9, 
  3.86530640018646*^9}},
 CellLabel->
  "In[1260]:=",ExpressionUUID->"65395ea3-e0e4-4196-948c-25709a5ea8db"],

Cell[BoxData["11"], "Output",
 CellChangeTimes->{3.865304981585986*^9, 3.865305079823042*^9, 
  3.865306159279687*^9, 3.865306400853073*^9},
 CellLabel->
  "Out[1260]=",ExpressionUUID->"6c66f208-3378-4745-bf3e-fbc4510a596e"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sa3", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"sta7", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sa4", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"sta5", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQHbVvpYjcsTeOVbNeSYPoHfP3qYBoru9T1UH0Z28Z
WxBtprTMEURPvWPlDaLv7D0Ipj2cVwSB6DW+D8E0z7qwRBAd8TQZTMdWNPeD
6HPriyaA6BRe7ip5IP1xURqYXnRrdReIfsawugdEb5iyfuPL428c707T3QSi
JWaGLHoFpNekpIHplRuCOK6deOO4qiYNTNfUCZhynASaUx0Gpi2mq2+rPPPG
8VDVFDAdU9K7G0Q7JX4B04vLTOZUA2mfv85g+khs1SoQfdl2Cpg+ecrmFYhO
epkOpsNOLn8PpqM2gGkAeR6m+A==
  "],
 CellLabel->
  "In[1261]:=",ExpressionUUID->"82259ff5-7dd6-4515-8f29-8cb417ac87a3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sa5", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"sta10", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sa6", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"sta11", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8619711629076295`*^9, 3.861971174956314*^9}, {
  3.8629083088465*^9, 3.862908309276641*^9}, {3.862910204889592*^9, 
  3.8629102171626873`*^9}, {3.863392326639832*^9, 3.863392327689351*^9}, {
  3.8634950877423887`*^9, 3.863495090751913*^9}, {3.865300451971093*^9, 
  3.8653004546939096`*^9}, {3.865304290672801*^9, 3.865304291188827*^9}, {
  3.8653044055215*^9, 3.865304406347507*^9}, {3.865304926382339*^9, 
  3.865304927529396*^9}, {3.865304957758636*^9, 3.865304979173114*^9}},
 CellLabel->
  "In[1263]:=",ExpressionUUID->"1e54a026-757a-4719-838a-09a1b220b353"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sa7", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"sta14", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sa8", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"sta15", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.862906650975793*^9, 3.862906665259796*^9}, {
  3.862908312527499*^9, 3.862908315956011*^9}, {3.8629099738984003`*^9, 
  3.862909974951243*^9}, {3.863392330100873*^9, 3.863392330544073*^9}, {
  3.8634950948824177`*^9, 3.86349509847453*^9}, {3.865300457713866*^9, 
  3.865300460758402*^9}, {3.865304291785935*^9, 3.865304292402112*^9}, {
  3.8653044071855717`*^9, 3.865304407912917*^9}, {3.86530493138341*^9, 
  3.865304961080804*^9}},
 CellLabel->
  "In[1265]:=",ExpressionUUID->"2535a978-a2da-4ef1-96f0-1dca987d2e7d"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"sa12", "=", 
     RowBox[{"Fit", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
           RowBox[{"sta23", "[", 
            RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sa13", "=", 
     RowBox[{"Fit", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
           RowBox[{"sta24", "[", 
            RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sa14", "=", 
     RowBox[{"Fit", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
           RowBox[{"sta27", "[", 
            RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sa15", "=", 
     RowBox[{"Fit", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
           RowBox[{"sta28", "[", 
            RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.862981408538416*^9, 3.862981436927251*^9}, {
   3.862981520961784*^9, 3.862981522253743*^9}, {3.8629993712499437`*^9, 
   3.862999371478841*^9}, {3.862999414374951*^9, 3.862999437484816*^9}, {
   3.863315658292821*^9, 3.863315668005845*^9}, {3.8633157524607773`*^9, 
   3.8633157674258413`*^9}, {3.8633415567122307`*^9, 3.86334155699422*^9}, {
   3.863341598071146*^9, 3.863341598544203*^9}, {3.863391268196553*^9, 
   3.863391268360796*^9}, {3.863391331226651*^9, 3.863391331365094*^9}, {
   3.86339157129329*^9, 3.863391594816759*^9}, {3.863391670257267*^9, 
   3.863391674284939*^9}, {3.863392243097267*^9, 3.863392243237081*^9}, 
   3.863392274433496*^9, {3.863495101452932*^9, 3.863495122491835*^9}, 
   3.8652997307139387`*^9, {3.865300463016829*^9, 3.865300466174885*^9}, {
   3.865304293232643*^9, 3.865304295368696*^9}, {3.865304408908312*^9, 
   3.865304412334818*^9}, {3.86530475738028*^9, 3.865304783418825*^9}, {
   3.865304936004471*^9, 3.865304962993477*^9}},
 CellLabel->
  "In[1267]:=",ExpressionUUID->"741907c3-d206-4635-bd38-577d4e0ec39d"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s3", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"st7", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s4", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"st5", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQHbVvpYjcsTeOVbNeSYPoHfP3qYBoru9T1UH0Z28Z
WxBtprTMEURPvWPlDaLv7D0Ipj2cVwSB6DW+D8E0z7qwRBAd8TQZTMdWNPeD
6HPriyaA6BRe7ip5IP1xURqYXnRrdReIfsawugdEb5iyfuPL428c707T3QSi
JWaGLHoFpNekpIHplRuCOK6deOO4qiYNTNfUCZhynASaUx0Gpi2mq2+rPPPG
8VDVFDAdU9K7G0Q7JX4B04vLTOZUA2mfv85gegPD9zUg2uLTPzDNtvrldRCt
HC16A0T/OFz4AUQfYW4C0wBwKaZk
  "],
 CellLabel->
  "In[1271]:=",ExpressionUUID->"f0172c5f-5ad3-43bf-9386-8d7c4be6f0c2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s5", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"st10", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s6", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"st11", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8619711629076295`*^9, 3.861971174956314*^9}, {
  3.8629083088465*^9, 3.862908309276641*^9}, {3.862910204889592*^9, 
  3.8629102171626873`*^9}, {3.863392326639832*^9, 3.863392327689351*^9}, {
  3.8634950877423887`*^9, 3.863495090751913*^9}, {3.865300451971093*^9, 
  3.8653004546939096`*^9}, {3.865304290672801*^9, 3.865304291188827*^9}, {
  3.865304424291099*^9, 3.86530442479886*^9}, {3.865304770831182*^9, 
  3.865304771856585*^9}, {3.865304964460616*^9, 3.865304974442176*^9}},
 CellLabel->
  "In[1273]:=",ExpressionUUID->"429299c3-6a53-4ada-a196-20bbd0820c62"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"s7", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"st14", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"s8", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
         RowBox[{"st15", "[", 
          RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.862906650975793*^9, 3.862906665259796*^9}, {
  3.862908312527499*^9, 3.862908315956011*^9}, {3.8629099738984003`*^9, 
  3.862909974951243*^9}, {3.863392330100873*^9, 3.863392330544073*^9}, {
  3.8634950948824177`*^9, 3.86349509847453*^9}, {3.865300457713866*^9, 
  3.865300460758402*^9}, {3.865304291785935*^9, 3.865304292402112*^9}, {
  3.865304425391429*^9, 3.8653044259011583`*^9}, {3.86530480532297*^9, 
  3.86530480674559*^9}, {3.865304965810067*^9, 3.865304966248855*^9}},
 CellLabel->
  "In[1275]:=",ExpressionUUID->"cb192a65-dbad-4b40-99b0-df2ae3f97fb6"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"s12", "=", 
     RowBox[{"Fit", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
           RowBox[{"st23", "[", 
            RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s13", "=", 
     RowBox[{"Fit", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
           RowBox[{"st24", "[", 
            RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s14", "=", 
     RowBox[{"Fit", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
           RowBox[{"st27", "[", 
            RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"s15", "=", 
     RowBox[{"Fit", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
           RowBox[{"st28", "[", 
            RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "2", ",", "kd"}], "}"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.862981408538416*^9, 3.862981436927251*^9}, {
   3.862981520961784*^9, 3.862981522253743*^9}, {3.8629993712499437`*^9, 
   3.862999371478841*^9}, {3.862999414374951*^9, 3.862999437484816*^9}, {
   3.863315658292821*^9, 3.863315668005845*^9}, {3.8633157524607773`*^9, 
   3.8633157674258413`*^9}, {3.8633415567122307`*^9, 3.86334155699422*^9}, {
   3.863341598071146*^9, 3.863341598544203*^9}, {3.863391268196553*^9, 
   3.863391268360796*^9}, {3.863391331226651*^9, 3.863391331365094*^9}, {
   3.86339157129329*^9, 3.863391594816759*^9}, {3.863391670257267*^9, 
   3.863391674284939*^9}, {3.863392243097267*^9, 3.863392243237081*^9}, 
   3.863392274433496*^9, {3.863495101452932*^9, 3.863495122491835*^9}, 
   3.8652997307139387`*^9, {3.865300463016829*^9, 3.865300466174885*^9}, {
   3.865304293232643*^9, 3.865304295368696*^9}, {3.8653044266257133`*^9, 
   3.8653044284763813`*^9}, {3.86530481120326*^9, 3.8653048139306917`*^9}, {
   3.8653049669820843`*^9, 3.8653049688824987`*^9}},
 CellLabel->
  "In[1277]:=",ExpressionUUID->"a63964d0-ed52-4c9e-bc47-34db9489bdfc"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"as", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"s15", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", 
      RowBox[{"s13", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", 
      RowBox[{"s6", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.8653063448426332`*^9, 3.8653063652279053`*^9}},
 CellLabel->
  "In[1292]:=",ExpressionUUID->"0cc3287b-5906-4108-8819-f570636dc474"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0.0003654959502728326`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "0.5626406460561413`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1.028335096969637`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8653063607544193`*^9, 3.865306366157394*^9}, 
   3.8653064094258633`*^9},
 CellLabel->
  "Out[1292]=",ExpressionUUID->"a724e4bc-3d5a-4646-8fed-5309bb1dc5a6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"as", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"s15", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"2", ",", 
      RowBox[{"s13", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"3", ",", 
      RowBox[{"s4", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"4", ",", 
      RowBox[{"s6", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"5", ",", 
      RowBox[{"s8", "[", 
       RowBox[{"[", 
        RowBox[{"2", ",", "1"}], "]"}], "]"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.863341482144266*^9, 3.863341580154851*^9}, {
   3.8633416183037367`*^9, 3.863341619898938*^9}, {3.863349053713148*^9, 
   3.863349056834332*^9}, {3.863391285777141*^9, 3.863391287872017*^9}, {
   3.8633913397620573`*^9, 3.86339134093263*^9}, {3.863391650349441*^9, 
   3.863391692143855*^9}, {3.863392294462675*^9, 3.86339229781551*^9}, {
   3.8633923543043833`*^9, 3.863392398278633*^9}, {3.863495164583312*^9, 
   3.863495235575075*^9}, {3.865300328937476*^9, 3.865300361564983*^9}, {
   3.865300496338296*^9, 3.86530053210601*^9}, {3.865303770267267*^9, 
   3.865303779704427*^9}, {3.865304046207075*^9, 3.865304047111917*^9}, 
   3.8653041604322968`*^9, {3.865304854053821*^9, 3.865304895432659*^9}},
 CellLabel->
  "In[1233]:=",ExpressionUUID->"328a0716-f94f-4f6a-906a-7c619ee2f399"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0.005665310945832193`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "0.5559906908956074`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "3.644809860106591`*^14"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "1.1146343558983127`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "3.7394230542472906`*^14"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.863341621241055*^9, 3.863391252632866*^9, 
  3.863391288861824*^9, 3.863391341618973*^9, 3.863391662415744*^9, 
  3.8633916931588573`*^9, 3.863392298819974*^9, 3.86339239916203*^9, 
  3.8634952365875597`*^9, 3.865300532992057*^9, 3.865303780517048*^9, 
  3.8653040479421186`*^9, 3.86530416176857*^9, 3.865304895779254*^9, 
  3.865305087963952*^9, 3.865306159990128*^9},
 CellLabel->
  "Out[1233]=",ExpressionUUID->"9fa99a04-e796-40b6-b72b-586581b092c0"]
}, Open  ]],

Cell["\<\
Fit the relation between the errors in amplitude and the errors in matrix\
\>", "Text",
 CellChangeTimes->{{3.885373664930626*^9, 
  3.8853736826372347`*^9}},ExpressionUUID->"b6c94b30-9d72-4774-a134-\
7e97972ba159"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LM", "=", 
  RowBox[{"LinearModelFit", "[", 
   RowBox[{"as", ",", "x", ",", "x"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.863394461660646*^9, 3.863394467827599*^9}},
 CellLabel->
  "In[1256]:=",ExpressionUUID->"3f2836fb-51eb-4b10-821c-25604a320033"],

Cell[BoxData[
 TagBox[
  RowBox[{"FittedModel", "[", 
   TagBox[
    PanelBox[
     TagBox[
      RowBox[{
       RowBox[{"-", "0.10946260862220798`"}], "+", 
       RowBox[{"0.3020201131755121`", " ", "x"}]}],
      Short[#, 2]& ],
     FrameMargins->5],
    Editable -> False], "]"}],
  InterpretTemplate[
  FittedModel[{
    "Linear", {-0.10946260862220798`, 
     0.3020201131755121}, {{$CellContext`x}, {1, $CellContext`x}}, {0, 0}}, {{
    1., 1., 1., 
    1.}}, {{0, 0}, {1, 0.005665310945832193}, {2, 0.5559906908956074}, {
     4, 1.1146343558983127`}}, {{1., 0.}, {1., 1.}, {1., 2.}, {1., 4.}}, 
    Function[Null, 
     Internal`LocalizedBlock[{$CellContext`x}, #], {HoldAll}]]& ],
  Editable->False,
  SelectWithContents->True,
  Selectable->True]], "Output",
 CellChangeTimes->{{3.8633944634754057`*^9, 3.8633944685213547`*^9}, 
   3.8634952404835978`*^9, 3.865300535996511*^9, 3.8653037844049788`*^9, 
   3.865304055218087*^9, 3.865304164312682*^9, 3.865304898354084*^9, 
   3.865305087988892*^9, 3.865306160040996*^9, 3.8653063687932673`*^9},
 CellLabel->
  "Out[1256]=",ExpressionUUID->"a974ee8b-9572-4f17-829f-de1d120f8d16"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LM", "[", "\"\<ANOVATable\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.863394469630349*^9, 3.86339446988701*^9}, {
  3.863394541321497*^9, 3.863394542755077*^9}},
 CellLabel->
  "In[1257]:=",ExpressionUUID->"9a81a2e8-58a8-434f-addf-0d3c2cc5830f"],

Cell[BoxData[
 StyleBox[
  TagBox[GridBox[{
     {"\<\"\"\>", "\<\"DF\"\>", "\<\"SS\"\>", "\<\"MS\"\>", \
"\<\"F\[Hyphen]Statistic\"\>", "\<\"P\[Hyphen]Value\"\>"},
     {"x", "1", "0.7981413016723052`", "0.7981413016723052`", 
      "31.3372335074418`", "0.030460408496858715`"},
     {"\<\"Error\"\>", "2", "0.05093884892441236`", "0.02546942446220618`", 
      "", ""},
     {"\<\"Total\"\>", "3", "0.8490801505967176`", "", "", ""}
    },
    AutoDelete->False,
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Automatic}}},
    GridBoxDividers->{
     "ColumnsIndexed" -> {2 -> GrayLevel[0.7]}, 
      "RowsIndexed" -> {2 -> GrayLevel[0.7]}},
    GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
    GridBoxSpacings->{
     "ColumnsIndexed" -> {2 -> 1}, "RowsIndexed" -> {2 -> 0.75}}],
   "Grid"], "DialogStyle",
  StripOnInput->False]], "Output",
 CellChangeTimes->{3.863394470924738*^9, 3.8633945434357986`*^9, 
  3.86349524303141*^9, 3.865300539554885*^9, 3.8653037883931503`*^9, 
  3.865305088017006*^9, 3.865306371343813*^9},
 CellLabel->
  "Out[1257]=",ExpressionUUID->"2a1a9c02-016c-4417-9c84-d9a7e865dafa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"kji", "=", 
  RowBox[{"Fit", "[", 
   RowBox[{"as", ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "x"}], "}"}], ",", "x"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.863341635371739*^9, 3.863341649552589*^9}, {
   3.863341711938594*^9, 3.8633417163564034`*^9}, {3.863341804758873*^9, 
   3.8633418366264277`*^9}, {3.863391298160351*^9, 3.863391298443362*^9}, 
   3.863391712786231*^9, {3.8633922488047333`*^9, 3.863392254813641*^9}},
 CellLabel->
  "In[1293]:=",ExpressionUUID->"16a053a4-aced-4000-89e5-5f6f7ac5add1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.09299269180259012`"}], "+", 
  RowBox[{"0.2804731437409159`", " ", "x"}]}]], "Output",
 CellChangeTimes->{
  3.8633416499496803`*^9, 3.8633417171133327`*^9, {3.863341806983448*^9, 
   3.863341837594263*^9}, 3.863391299184113*^9, {3.86339170559886*^9, 
   3.863391715714546*^9}, 3.863392301686061*^9, 3.863392402747263*^9, 
   3.863495247146873*^9, 3.865300547510701*^9, 3.865303791018499*^9, 
   3.8653040573507147`*^9, 3.86530416788475*^9, 3.865305088045031*^9, 
   3.865306160086906*^9, 3.865306373516173*^9, 3.865306412148432*^9},
 CellLabel->
  "Out[1293]=",ExpressionUUID->"0f2e2659-9997-46dc-b13f-706f601e23a9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", "as", "]"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{"kji", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.863341583395954*^9, 3.863341588103998*^9}, {
  3.863341663344385*^9, 3.8633418435013733`*^9}, {3.863391305421925*^9, 
  3.863391320729609*^9}, {3.863391719689135*^9, 3.863391721963935*^9}, {
  3.863392258193655*^9, 3.863392258930264*^9}},
 CellLabel->
  "In[1294]:=",ExpressionUUID->"179956c3-23e9-4028-9a12-7e730ab3a373"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{0., 0.}, {1., 0.0003654959502728326}, {2., 
      0.5626406460561413}, {4., 1.028335096969637}}]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0ns803scx/GVtHI4KPbLNcKOdFmPysmlfL5dnVaxEuaScluUpBKii2g6
ZnNc6hSFbh7skIpYtCwdl8mtUx6VMjIl25zGJtuPcHb+eD9ej+f/b+uQ4/vC
5xIIhD2a/V/1rugC2vFkN/MvnKEDnTxBWtgv9l3kIJhT5NXBKucJOr59PsIh
R8MQ3eQxj8UTjFZtZUeRz8PD9nsXDd15ghSS0jyQnAnbHj81bxLUCNpaqF+8
yIUQlSrZt/JRteD4rbhWT3IF8K23CyZzqwQNbPbTPeR6eMJXUyhVFQLt+SeJ
kiNdQMiZ7ZfUXRfsvBDMrPZ5B6Ov77QOzUsF3plwUfE/fcBe86Rdnl4MPf5H
KSfjB4Ha+q0xsr8KDN05jAb0FWhQ2+0dxAeD7vDKDQEycNmv8i9vfQE2VlFc
ZogcaMIM7gOPFnASHWvbnDMGw5Z8g1FmGzRMJu/uvqGENBVt1EL3FUQIhML6
lO/Q8yo7LGT1a8gLLTE1PqQCeXpXy9ft3bCKPjAxE45D++zhfgXrLfQpPTvR
zimQMDxSzbnvQdFvsobkPQ0drD8+to1/gKyyxMO+vrNwKrNjGd9RBGT9BXsS
bhBQQKrfxEvPfqiJSS7LLJqD0kytBA/aPkG3XS5xb85c9OOoy86FvQNgm/rG
/kCeFnpvlnLfTmsQnGn964tuzENXXH9LF9t+BlEM043D1kYKL8ey1eu+QKWz
n15T9nxU+dKzZBN9CEg+LT2lTCJa5JIt+Rj5FUBMyH4RuwDtN9l71zRuGPJI
EXrkhIVo0sdtg3meBFIKIy87HtFBiLPP8H6pFAo6rzdnxvyEhq2vNBG6ZHAu
OnfU4qQuiiXvHxuXj4As2H6JX4geKrRxDU2Y/hcypqXz+hg/o5UXPB/UW8uh
bsRd/rO/PqqIbLKimozCWzsnsYutAaredcdOu2gUIpaHUnKLDdC33qvXrNeM
QYNPQNJmS0MUL71ZzuSNwTq6lGt02xCtLalbvYuq0Pxqx7tNZovQxk8yL/ob
BfzOWDA5J3cRctrb+7jaTwnPLIJnpUaLEePEYEqsTAm1M2laDpmL0aDejDLx
1Dh0Vm2VcgyNUK4f5bV4/ndosmI0s3OM0FrR0pH8a9/hEs/79oCOMbIR2XDz
LScgcFlvUADHGG1nu72ZejgBUzUUsxVEEuLxom7dc1bBWS1J+9XzJGRq5s8t
EKiAZOscbEfAUMWqoKVqmhrio33Gdc5gKId/2in/vRrMfw0TkpM0dvizR/VB
Dc+nT9zccg5DWddrEr1FatDhcLYlXtQ4VsU3EKuhsKzxiiQdQ5krz2y+LFND
8/BaR2E+hjJunqXGzqjBKFQ/jsnHUOrZ1EAPWxxqHSyot+s1lt6dLiPjEKRw
sHz2XGN6Y+HC5TiUXtzRPN6IoZT12gONq3BwvXWOFNaBoQsjaeGuG3AIEclq
tvRhKCmQFW1PxYFYjLOCPmn88i/9tN04lEcRDyaKMZTo1PZw0AOHiallxMoh
jY10lYVeOLBM/X2t5RhKaOfEGx/AgSI+vGLTmMYuFUtOHcShm3t6lq7UuLSz
9lUwDpbO2SVZKgzFX9L/kcHA4W9CUVI5jqE4BaVAEoFDhLDcUzil8SGam/tR
HHSz6mw+T2PodGdM/71jODzyFapmZzEUuzE7eW4MDv8B71FZxA==
        "]]},
      Annotation[#, "Charting`Private`Tag$172237#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 4.}, {0, 1.028335096969637}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.863341588503532*^9, 3.863341624471437*^9, 3.863341701845709*^9, {
   3.863341734914933*^9, 3.863341843960535*^9}, 3.8633912578230543`*^9, {
   3.8633913089889393`*^9, 3.863391345233073*^9}, {3.8633916964428368`*^9, 
   3.86339172289078*^9}, 3.863392303799811*^9, 3.863392404628521*^9, 
   3.863495250639798*^9, 3.865300550883492*^9, 3.865303792559967*^9, 
   3.865304059250473*^9, 3.865304169555126*^9, 3.865304900820014*^9, 
   3.865305088117937*^9, 3.8653061601722918`*^9, 3.865306375025508*^9, 
   3.865306413864085*^9},
 CellLabel->
  "Out[1294]=",ExpressionUUID->"52753964-b13d-451a-a448-579d0a4d0322"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
        RowBox[{"st5", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "2", ",", "61"}], "}"}]}], "]"}], "]"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{"s4", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.862981618635014*^9, 3.862981643839552*^9}, {
  3.8629993941886272`*^9, 3.8629994068708973`*^9}, {3.8653005985184107`*^9, 
  3.865300601909223*^9}},
 FontWeight->"Plain",
 CellLabel->
  "In[1295]:=",ExpressionUUID->"f41a4722-64df-4273-a496-4469ef93dfca"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwtk3tIU2EYxqeQoUYQWQaumeEfGlGYt4zirRfKvFQmKVbmysoyqmm4tBlO
Sy2kFMO7dHVe8sY0TadZujl3aZvb3DqiltgkCytKWyqF5T6/Fw6HA9/3vM/v
eTge8bzI8/YsFmv30mN7p7s0B08IUsD3yqpeq0GAAvKdDQFWUYDEJw87OTnT
RzvzIdPxzNaFB0W4fL4I2FyVlzO3AsuXB6KPO0jTPz1BCTn/CII+F4yFZ4jw
61GbwlPg8S/k+olr6X0RHAiJ3CWNq0dnpippj1MtcLWH5hzONWEFkXsOU8Py
TK95MXrHFkitXo3wsjyq/VtlK9Vvhk6uX1guvw1FS7eZKjGUZt8KaTS14TTZ
1wKrOZaTzMYO9CXzAl4J7Fxvmzvo/jZo3MDzE5Z24ZL40oZ2WIjLXx8R2o1O
xE8HyGdrEq/N92DkcgBwv7CfW/LjDeWVgNhNuSWI3YcTJLAuuC04ptnI76N+
X4FI596dpZAisZfUAzzWutFiNxnN8zV4P6mZy5LLkEWmF0IZVxd3tpzy9AIv
Zv8dy0s5HiQL+mDzPnbgr+oBytcHc3XBZQ71CixYBgD3Lyt66vKVlFcGSdPi
JC6jRILDyKAduJ7acBXl7wf7sntnhR5qdLfZ4ciBY1lsCk5+izIiJ4dTLVFu
R0Y0mEBmADzfP/9sH6+h+SiAtUnJji7UoU3NpVkBjP/aoYFKHc1LCaqHFatm
Cwfxt03OqgRJQ7rU3DVI+1XBztRpx3GxHkk8e9QwGL4ycHJKT/NUw2FWmnzb
QQMSezlvYbHlcevNCCPNVwMzbqk7KqcMqNWQAR//shuXQo2YTAS1MFkjjS6e
MCLBddEB33zO/DPNRPPXAS98YehqjQmJXOwgRAQk/lHnmWgfeqjrafCtDjJR
Hj14hYVed4wx0370kOFa8uKE1kz59JB8419qis872pcBPB8m2p3+YKa8Btie
8LEqxpOh/4MBBmqj8vb6MpTfCH/rxy3H+xnapxGEF4VrxoQMzcMIozPfq9XZ
w7TfIXg2EnI59+4w/gdnmtvt
      "]]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVxX040wkcAHCqnecm3SVll7PydqU6LyHF8c2XxDEvO1JNyExCCaV6Soyp
1OU2RS4nkq6ki1jeQt7GlMV+P/JTUjzMrvVqco7qXv74PB+j8Dg2b56Ghgbr
P/+vfr7MUuzl4GyySLG2fCcTC9JXrFy4ggGNVYwwP4UFxpnVnB5grgZbqxU5
Jb72uH16nlMjcyMc2F9c7iNwRdnwav0Kpgdk6Yw1XL3sj1qko6CUuR2+fSZw
fVQWhqYsicPvzCgYc+s/yV1/AG3o9NwS5hH45f2sX7AqBX+TT9ECjDPB0YE2
Lz9ViH08cXR7WTbYbeiZ6TqUh99b+I/VXM8DrlgVyTcqwuk1uinpZoUQc6Ur
pyW4BF0K6WzbS8UgYJl71vjewM2uzA/Zo9cgRDba7HfxFiq9TYwuG5SCi/jZ
+cO8Cpzc7am7wfAWBI+cyTTiVKKtSFOvPrQcgmYidhseE+Nr3r59PLs7MPQm
ZU6dVI161eylblWVQEtcoyOLqsXtS/iSPH8xfD2iqTkjqEfWNFA2fXfhqsXy
mk/HGzBEsVXtdrgGlkWG+gYWNqFbppR9S7cO8pZeKh/gNOPTO4N6O7Pr4c+J
EsZkYAtmTdg8T17fAGssOxLseK04WcxcqKxuBEuFlkVkeBsmxLBdpJz7YKob
9uT+wXbkJqbsSjneDKoFqa3L0yQ4ri546OTUAkl7mrW5yR34YfaFk/2iVph0
1nfvO9eJw26xIz/JW8H6ZNbI+p+laK20uZ4vbAO3C7La7Iwu1NVdGc8Mawd3
fRO+wYUH2H0iILbdSAI69F9vioQPUS/hj5hraglI4s0kVsXd2NGE5+60dIBP
0VED+W0Z+vusfPGC3wkFzm+IkNJHGB1hbO/FlsJT/6PHltb1IKcx9j6l1wX7
o7Nbgzm9WBOn3isiu2DHV9688oFevHLjMiOj+AE0vBGm5obIkWuaPZPPfQia
X0R6HxySY9V3N4de23ZDY1CHUBFB4FAMfTJ8pht2jVRn+I4RGEe/bj6/VgY8
n7OMTbtJFFpG8YZPPYLxDy9NapQknrkYTwx59oBH/5Pna/f0Ib2tx0h7US+Y
vg3Us3vXhwsmBDFOh3ph7yuxoimpH6PXDbP4/b0gNCrZC1P9qH/Xs3LUSQ6W
IiYv4PhjtArdUR5YKIeKjeaLw+Ye42e7U07Dn+VwqU2f8+rwAC7x62QJIgn4
eFpkqPPPAOacLZt27CTA5WS+0DSZwtSQdFIlJWBLhjw3KIXCaGtORf4DAjwE
WgVn+BQ6D9Cj52QEsNISS99lUKg0jn5W30fAzhNerQ1ZFDrUr27fNEpAfNKc
OqCIwmHlNZH9JwIKIzlBGW0USu8l75/4TEAxT7SrVkJhZVag10UNEkoiOrmq
TgpP2dJof80noSzc5oB/N4VWqRFHqukkVIdoZxr2U5imbxJqxyBBtu1e/V0F
hbEvZx3HvyGhN/B9s1JJ4bZGgpFjQAIRsKrTQEXhWm4aMcUkYZB9nuS/pbDv
9sgWsRkJYz4xr1gzFDbx64wjVpEwwboymTpLYWmA6J8l5iSovAdmqj5SeGJ2
c13iOhLe/+hKW645iFEyRq6JBQlTnke1WfMHkV30LoG0JGHao3xxKm0Qf0iU
+qZbk/D31nH9Kq1BXOVetM7GhoRP7gZMxZeD+C/R7V5F
        "]]},
      Annotation[#, "Charting`Private`Tag$172621#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.3}, {0, 1.0789859945047453`*^14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.862981623789194*^9, 3.862981644462204*^9}, 
   3.862999351414199*^9, {3.8629993836455593`*^9, 3.86299944362624*^9}, 
   3.863128397542645*^9, 3.865300602764954*^9, 3.865306443927194*^9},
 CellLabel->
  "Out[1295]=",ExpressionUUID->"fc9fdd77-dfe2-4752-aacc-0e0cb35e03ca"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
        RowBox[{"st24", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "2", ",", "61"}], "}"}]}], "]"}], "]"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{"s13", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.862908386864984*^9, 3.862908391062813*^9}, {
  3.865300633747045*^9, 3.86530063700245*^9}},
 CellLabel->
  "In[839]:=",ExpressionUUID->"c5dc5976-ed28-4bfd-8c00-b14419b10bbb"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwtkw0s1HEcxk/EyKS6bNKY3tkkrNHmeqJF1G4hTe2m1p1aZTrzMmNmFmlH
TlQK572kcF6OO1dd7s5FKo7ojEteqoWslZcMq9zP77v9999/+/2e7/N5nv0d
L14PjljHYDC8Vx/DO4lZ5z+WGAsTJ0l/3MlLSCTfadBbD9sVvYmDzD59OkiW
jdpPxpsLnFOxdv4uptw3upb43MTDtcHtawN/FBMCtJLzxSgN7DBL6xHiR5BB
oQyC8/lXYsLz6P1KRIZlXnyuzccGXQWfZVGFlyV3evf9eoACIlcNgY2Pi5ev
CE4coWp+Xw2Yze618vxiql+HFG756d+nSlG5eltXUQ/hFrOtE+NlmCb7GmD6
BEdGvSvhQaYJ8ZGm7P5/j+h+CYb7f+YsiR5jVXx1QzPc7EMz5pRPYEH8SKFr
MzY+WlyN4LUAsP/jHjfbqaeUtxVXU2aWbEaeYYwEJod+yHlRGlFH/b6A562C
ZYGpGMQe/yV6VqK3nW8Q0zwV2D3vYPE1tQEMMm2YuOd8wDymgfK0YdolePG7
ohHHyQIl1p/IqqnRNlI+JRYP3qgS7JJAuAaAkMxcXuNOCeVV48JI/vXEGQkI
jk6Nc6ciZtmJLZS/HZyz3xI2JbXAwWDHXoOsyaYKoxQp1EROg8UAV2GuTopL
ZF6jiJ9gwpqV0nw6MHwo1Mp1rhUGNWZdB3hR3WfF1TKaVydixFmvAh/LsWCQ
m++EU7U8I+/YC9rvGyhZFtuZw3KQeFhdKPDzbIlaeU7z7EJhZaCR7KACxF76
WywN/XW8HKKg+b5Dmi8vnOP3Cu/fkUGLq10Od1SBaCL4HuytGi5H1AaCy+zG
l1h92Pf9Spp/N75NigotnZUgcpwehJ9bWebWK2kfWojKk6X6bBXl0cK8fEHS
bKWm/WjxOch+h6xWRfm0GFSdieIfVtG+enHFOjnOkqemvL0YvG/HUrm00/+h
F8lNtvzicTXl74Olvw+DPaCmffaBHc/1tjHW0Dz6cCGgnec/1077/QBvvZdH
0V4N/gMi5dLV
      "]]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0fk71AkAx/FJKU3qKVlsatzSJkNDisbHMbSSMFFkM67ZdSa0W1nKtSss
YQubq2yIlGvcxjjmqxEq852ia8KzE127bROVStv+8H5ef8BbJzCKzVWgUCiu
X/pf+WM1Os/FysYmtJg1GOYoKEnR0lbW0sDqeJZTQKeDIMqg9fQYzQhT2S92
vV9hL/CeU2DyaduhHHoin32QKRiRGqnX077Fzs+xuwy66YJlpHVqNc0biZXp
KfdNDKHvSlhV0kJgU2rqoGnnDgaVmn+JdhzZbQfOjhRxUTz6RtFTNx3yQvrl
2PATkHB5YcIredjYqGaYdjoFW0w8/mqtKoSj15vM1TsyMPeNyqkUgzJQ1nQw
/Pk5sCujss3Pl2P5z+/yrLXPwtaBNps3VYHJ98u21AwVYGaPnk6pZjWix5aO
znGL8DrAWWXbhlrUbk994tRXCvPcRaodnDr4HgjVPMe4iJfcyEiuRQMsJW7x
StPlUG1hf8VqasRhisnUs9xL8F6bRBR68LCy9ahMLaASrnMYZ0iakVwXd5G1
5jL8nuySs461grP16XynrBqsdBG7VqUdhcFuPuUNV/Cg4Z7qwbwOVI4fPZLh
dxXZ04zHCVu7sH5MwaCLXofX5TTlmRY+mlYYDb49Uo+YcLadyFeAlf8m7932
XQOCYk8dOhXfA9VrPvuNHRohk5cMMZm9WKqcY/XnuibMzk8wLVf1YXNd3Eub
JTxIWRGT+0b7YC0XxvtKeTCbYVQV5fTj/arMbDqvGSoq2tE0fyGeRylGGRW3
YPikZ4RQh4Ao+vHm8qOtUI25Gl4hJ3CvLbLVltOGgW77rIbeARSOHSPyHdvh
sVd7YiLpOuwLJusi13cgLFjX0oUtglbx55BQxU748iME46qDmLZLWJBJO9Ea
JQ/NJQfhJ/hJbR2vCxcvl2r8Un4DSsn6n2KK+AjSz3tXFDSEEplZz57YbjQZ
1jx8aT4Mbrbcw+WQAA/Dqa8D3w1jZQTVX6bZgyhq1abFbSPgf/Qep6T1IIce
wpWm3YRS/aI2kw89yCiIFj90vgUR475iyQ+9oPbf0lmx6jb07it3bnjUiyXT
qeHMH2/DKyLBLM69D2HGUtekO7fx8eYGNfWuPqg3OzdOMUfB9NQIHDDthynH
p86rbBTyavv1LSX9WLBIY0oXRpH4vKYgSUmIte7XXVO/F6PKLTKOEy/Eucwr
c9bXxWClcoYSZoRI9Eshn4vEOGN8Psf/mRBhZr71RTfEuCeReDm8EMJmjBr2
YUSMSIPdE0qvhJjRDXvUIRGjYMB89ve3Qlh1GAl3TInxVImqVbOUgHSmItfy
kxi/ZfFi7up/+daZcHh6QYy7Fv9YthsSaMz2cimgkNCWbvpUZEQgzVxR8e1i
Es0mZWkBxgRME4OPt1BJSG+lF79gEEhW1+NYaJAwVeEMKDgQiHg2by37mkRc
xx+ZMhaB/XyxxjlNEsJAibvIicDmoGTxGxoJnybnB1m7CUiuTTryDEgke5q/
0mAT6E5q1w3eSGL44+HmD/sIVHvmfl67iYR6RXWc1IvAyXnb9lhjErWzNMVL
PgRCRjTy9UxIzJX43PjVlwD7wqsYkk7C1unsmdBDBHbGitxSzEhk/H3Tcw+H
wEanC8YMBok7+cvX0QMI/Aedk06q
        "]]},
      Annotation[#, "Charting`Private`Tag$141028#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.3}, {0, 0.16527130604819884`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.862908391817872*^9, 3.862909946516078*^9, 
  3.862909982931201*^9, 3.862910245239012*^9, 3.8631284002602167`*^9, 
  3.865300637568859*^9},
 CellLabel->
  "Out[839]=",ExpressionUUID->"f8879780-6451-4ef3-8f14-779e51e9fa39"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
        RowBox[{"st11", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "2", ",", "61"}], "}"}]}], "]"}], "]"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{"s6", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8629058539543447`*^9, 3.862905866396697*^9}, {
  3.862906154824758*^9, 3.862906158260045*^9}, {3.862908338148664*^9, 
  3.8629083415927153`*^9}},
 CellLabel->
  "In[837]:=",ExpressionUUID->"22c9a9a5-306d-46e3-9f9e-d4fd350227c9"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwtk3lI02EcxpdEtc1OZpHkUXQSYdOoNOcDZQdh5hSUjpnI3B8dm2VSTSss
TSrKii7NTFMzM4Yr25FLd7pDt7ZlGYmVYUJqLNRJplbu9f3Cjx8/eN/n+3ye
h9/SdElihh+DwYiefHzvHI5sZ7f0JLLHmAccm49ASr7zcVnemTafmQNVcEE/
X3Udg4cHHw6V52Pq/G2ogp75PRy8jOKpAcsTXzrw5wbU5HwZVnwe+5ksvo0B
vk+hAl8TOOPTW+/S+1W4wmXFzsl9AHZHZSaPVYOjy7eva80tQwmRq4XGJU8J
1FZgzcEivXf1cyzz/Kkdy3xM9WUoWvSdH+6pRNXk7Y7KeuwfP851xlWjn+yT
wxTJtte11CCCzEsIc7gViqe1dH8DRu9nRN0KqMOk+OSGV/A42jepPteBRfwo
UVi8PPsfQ4bEqQDglxfE7/PKKK8a7JBvotRYObpJYK+RweLNEjTLqV8NlAvP
VZf2vACxl/kGy3jbLjbFvqR5NqGi/oyo91MDGGS0kPZXWiWjDZRHi+HORyWq
FAV2kQU6lAeODozUKyifDufDluw4EaBE0RQAnH/nx6e/V1BeA7omklboXGoQ
nA4DMpWamcy415TfiPZVh9z5ZY0I8dkJNiF+b8EvcW0jDETOhIR76ojFHA1E
ZFoQNyP44ynJG5qPGWnl64Ujhmb41DgyM9ZuzTpmD9XSvCzgXvAXaC5oMeKT
81pwopR9euY1Le3Xipt7Gq+It+lA4uHZYFR+FOef1tE8bfi6Qx01PFsPYq+g
FeW5+hh/np7m24Zob/WIK0cPexsZpIap10hjDDhOBO2IFBRMHAgxguByHAgt
tEpcYiPN34GwSFtaVpQRRO7gW3RdvTTULjTSPpwI253njd5oojxOJNs+RCZt
NdF+nOjO7fO/V2yifE4s6FvJFNwx075cSHbP+132o4XyuiAcmyZ6EmSm/4ML
TI/6S88sC+V342zAhtKrcy20TzfmyAvDRaFWmocbvfwt+zSfLLTfd3B0pXI5
Rgv+A+zq1kg=
      "]]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwV0vs3lAkAh/FZohrSWZfYLiMklIghhfFNqVYarVn2WJJcsy5rse2qjUkm
dBOOya1SYphSjMa1htzG+7qEeZWKRU4hbXusYdbRkW1/eM7zD3wMAqM5IUo0
Go39pf8vH11nKXazd1L/mB/rYW/XdDNZf7O6vh6WTpgQW+yYTdHGtWmDDFMM
C086zJy0aPJWKLEkjN1wkVsb/VGzsalnxFS3kvEtXkwotZg0GmAl5cATMrwx
89493/GsC7aw2+0FjDAwS+YVfYd9wKTTrxcz4jGg5Gq8wToKN/rnVDwNL0Ii
umvjs8zFQIg4vO1+FrK7V6Y46qdhh4XH29rSXAgb9ZNoahlQbNPkJhsXQmPw
EIs8lg3nQjrHJr8Iuzd1pUiDc7F3P2M+a7wEYXd93Le13sDUESODWxuEWMvT
OZqdchuzAa6auzaV4wj7vuRBShFsMr/SbvCvwJVdhyIWRcX4GBIVFWIrQmVN
hn9AnQDaNRwdl0dV0BEs5vDFZfDWSmrP9RCDWx2+dmnoHtgKvGQOVKPLN60n
caQcxycOyV1+r8V6w/JOpnoFXC4SnHLNejzfvqAylFOJIdErbZ+sBqzV/MfV
LEeE9EnmaIL1E7ititrxdXkVZosY6lM1EiyQsEl5+AixERxnwrcJggL+62yp
GEFxXD/u2aeYL/5keOlVNd7Jb3axWM0Qn65LV39dg/nFMZadRgtOHV/IM52p
xYhL5Jvv+1tQpnGN6JfXwWqKWVqQ0YqzCtu8gNl6aGpujmGcaIPH3/6rL6s+
RneiZ2SbQTtyRWM3nFc9gXbsg4gSeTve8N72ZupLIG3cd1XULEXntYViwqoR
Hu6bx8aSOmAcGnTzilUTwoMN7dw4BJwFZetPGT2FrySy6aU2CZPlw/HTxU9R
Gy3/KZMiMRo3v5Uyasadslt6F4o6kftLQEnag2YEbclaKAjqwioqvnqFRQse
bb03/NGmG2ckHnx2fQuGI+izgQvdKF7zQtXPoRXR9FIz5boeFJ4OJEcbWpFh
GRYykvoM+VGVvpYH2nApJ0Y27NoL9w4h94C0DfTWXgM1jT6oCIPjTDntWDHJ
i2Cd6sMVgUld4lA7ws1H2EnP+9C1+np6ga8UutWuVeOsfqjNt9tcmJBip/+P
FV6F/VA+eCfSNqwDn21TWSOf+9FVxZv3nuyA1ncdbF6oDPxSM3fXGAL8y/cV
Dh0y6Cqd2U2bJXDueDL1gZBBMDQ95zRHINzKt7KgUwZmta8oQUHAaZAe/qlH
BnYYa9unRQJThuF/NgzIwHtG26hQJmHfYNq2Z1yGmfzU5Q86JEamSjLtlmQg
mHzp4B4SxOOEnyc/y+C1RjV5nSOJqnQvtxwahfGJ3+DlRCLVRkXlX2UKS3ne
dbJ9JHaeC46voVNg0jbe63EjcV7XyN9Wj0Jhd9HVVj8SkdOLDu++oWAu0Dqs
dILEDxKZHn8DhXouT9U5kMT2oPOyOQaF59ah3MZQEgMP3xwQG1NQyzOLqY8m
0ZhUbxhsQiE3Nn/HQgwJoWfmspYZha1H1KZ3/UoicXFvfZw5hX3LfwWK40mE
9ehdN7Kg0PvST19+hgTn9kwsZUnhWNWzIasEEo5xxNFkKwrvL38hw/3i6uBt
cyaTQnxIpWdFEon/AE3NV6o=
        "]]},
      Annotation[#, "Charting`Private`Tag$140251#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.3}, {0, 0.19630124537742016`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.862905866903751*^9, 3.862906101841599*^9, 
  3.862906159031608*^9, 3.862908343564982*^9, 3.862910249612276*^9, 
  3.863128402359511*^9, 3.86530057465324*^9},
 CellLabel->
  "Out[837]=",ExpressionUUID->"e3bccff4-bc90-44b8-902e-9dba17106cd1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
        RowBox[{"st28", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "2", ",", "61"}], "}"}]}], "]"}], "]"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{"s15", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8619648525850286`*^9, 3.8619648737898006`*^9}, {
  3.8619649088772855`*^9, 3.8619649210634785`*^9}, {3.861965046286711*^9, 
  3.8619651546291556`*^9}, {3.861965198471658*^9, 3.8619652061336837`*^9}, {
  3.861965355041464*^9, 3.8619653928457756`*^9}, {3.8619660928272495`*^9, 
  3.8619661060551257`*^9}, {3.8619674060410967`*^9, 3.861967417578732*^9}, {
  3.861967480317472*^9, 3.8619674811414704`*^9}, {3.861967556861539*^9, 
  3.8619675612895374`*^9}, {3.8619677338104224`*^9, 3.861967736794107*^9}, {
  3.8619680190726357`*^9, 3.8619680289652996`*^9}, {3.8619680642870417`*^9, 
  3.8619680691492496`*^9}, {3.8619697817116876`*^9, 3.861969808712908*^9}, {
  3.8619700929474616`*^9, 3.8619701122122526`*^9}, {3.862908348764876*^9, 
  3.8629083524681892`*^9}, {3.8653006556057777`*^9, 3.865300662024193*^9}},
 CellLabel->
  "In[840]:=",ExpressionUUID->"d04e966d-349e-4ab7-85b0-9cae1073a055"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwtkwtI01EYxcXKSCNjLE2j9SBiPS2V1NSOJVowCjRSq+WLdNV6rDTK9TBT
M6U2Q6nsIVO33NKmc06nmanz1XzNlYzAHipqaSo9rCzItrv7weXPhXvP9/3O
uf9VsWdC42xtbGz8zMvyvcRU7h4QJsIojv4+1nMQQrJPg6tM8Xa74ji0rPTx
EK0IDsoqlikoAdbzuVBkH1hU05+EPGvhR+u+2VLba6gh5/PhnG2YurgpFV9C
LAoFkL5mR4SfuEHvS7FT723clpwJB1ORwN++GI8NXz2Hnt/CAyKnwMkwV5HX
5mys44qbptmlYDitfBpae4fqK+EWORnPCsmB1HzbVFSOCKEjY0FzLsZJPxU8
JRlOopi78CClhlCmmXth3n3avxK/5Nywd4V5MIubO2jQ9HJjTArnIezJPNVQ
zTZV7Rp8hFCrAcjVcwezruRT3hr8Rjhn30IJBohhtZjK9C9MqZTQeetgZHLK
uJcLQMYTvECeS593Kr+Q+lkPvoewfiK4CDakGiDh+t0ecpZSngaAn1GY3iHF
HtKgEbU8ji8jQUb5GjHf8NGOp3wCsRUAxsWeUj67mPLq4Jag5dctk4PgmHTw
/ntVFt0hp/zNsI1wOeysVmCFZRxWCxpSxYfW+j6Fjsi1QCUXjZQcLUE8qVYI
7naW8FaXUn/acPPMQIbLcCksakxlGxwGRe1OI8+oX+1w36CJPbZXiZ8Wuel2
zKwo9+8PLKP5vgJvuC8qUV8GYo+/HqGBE6mn48qpn3q0HPkhCWgoBxkvvQPx
b/Lj97qrqL+dcK37nMyJVKGrkxTenRvWBDIqcJYIdkGse8DYGlkBgsvshq/x
wL/i0QrqfzdiHO27eW5qEDluD1qy6uxYH9Q0DwNGH+349mdaTXkMCFg6Z3+s
+d1Y8zEgOEjtOaStpHwG6HLCz7NPaWheveCwM9f7PdNQ3l54Lenestypiv4P
vfjkk6BLSqmi/EZEqQp8rjOraZ5GnHtvEgjWVFM/jPi4NvteZVo1zfc1Jmc0
Y9HbtfgPpG/PJg==
      "]]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVxXk01AkAB3ApW42KsNH2GsYRrXFFKRrfLLttSWU6ts0ixxRjWuH12A5H
tLPJXYTJNbmvcQy/IUTISBPz+ymUncp2TLvZdaXSS7v7x+d9GH4hbI6qioqK
+3/+f+bJGiuxm4PTcK4j+VpX/VZunL7BCn09uEzH5KyeftceYkL8Nkw3Q9ZP
D9o6LUedjsypstroWxF1ZsRAVqcJmcJMt5b+PWZ9T2T0RphiKeUYX04/AtGD
moHuRw4wdu9xKKEHIimF5Lkk7oEtjZZZRI/EWV7ATVWOF67LZ9UOGl6CYIka
++OaEAxxxNzuynTUCneIajZFwMLS4zlRmgX5ox6H0IYozH2tFR1nko/x8I/0
mOA4OOfT2HY5QswezivptOdjhwv9bfp4MUKNdblBhy5DuceIkbeuHLLztpOj
PimY9t2ltWV9FZ6ttXDyS0+DXdoinRYfETS55sKE3CuY4Jw8ydlch2Sl5fLJ
ixnQaWJ/6dpQjw/MeHlzwDUc0Y7tyfIQQ3C8m9jCy4b7HEZshxqRcH954eR+
Abxf7pxxjSBQbe5Q5uWdC9dLUnaVVjM69rZqWvnl43HdqM7R9BZoDjLa8woL
kPzK9sn5Ta3wnHl0IbqkENNC+gplUxv6q9f0LWQLERbMdpZ63sLD8Z15w4U3
4B8e7RV9rgOj84yi8aIivJjJ7WexOrGoIso8MbMYb+efsuxX3UYXNeiccr0E
ClfeswPy26i6WjxqnVYKG6VtqSC1C0lbjYRLYsugpWUQSj/WjWU/ZH6wuViO
e1EHed2MHlSsSCQ/RVRAJ6w6uHimBy+3RzgYRVfiTvs3SXWdd/DVfnXqTGwV
PPYaPH0a24vT84yJU2HV4AYY2ruxpeDqW2Z2RNTAs413a0SnD/GPWztqgkUg
QmaC0qg+7GHNJ52wqEVhWZ7eReFdGN3VjDMW1cLfOP29wL8fiUKlxNqsDg0b
KsYm7O7BZatjU1BlHcaCadN+7+8hee2+2SmTeoTQSjculshwgEfs1s6rR6pV
IEfBv48T53ICfQ0akHAtlBzbNYCVI069C9kNoHUNMNRXDUJ1ymtCul6MJa/i
g1mnBxF+Vm7OzBeDy1S4xz4YRITHF5UK3UboNu6qH2fJIX3eONWW0whrnx9F
h/LlqOza8MsbnSYsbOazFAtyqOu80RMnNkF7f697/HESBIMZU7aKQMblyjnH
XhLvz1iYveETiPGOo/6Skvisf6BgeQIBro1nreAuCbWeSD3TRAJOwzTuRxkJ
LY3uZX6pBJSG3N9bhkhY3Dj6ejiLgEOLWfe2cRK+/fyKrnICCmVxmv0nEn3r
xpmCfgLSm+d/frVAYqBjabFERqA++ZDbNRUKDzkW6x8OEODbqam9W0zhD1Hk
ytVDBKxjAiKbaBQ+uWj8/esYgQu6Rj6b9SjY8LaLwiYI8P6cd3yxloL9aj/T
1H8IHG4j9TLWUXBq4udXTxEw979AztIpuKlQKcq3BIZqnn0rNqHAuRp0ynuB
QHtss2GAKYXgbSnKsyoSlB9M+6y9kUK4QnwsW1WCqPkdzeFMCrFmKh5DX0gQ
KNPLNLKkwJeZ9E0tk4BdMBlGWVFICnNz1lCXYHu4dF+cDYUruqHNzJUSmH5X
wLS1pSBozbTZrSHBv2/FVGw=
        "]]},
      Annotation[#, "Charting`Private`Tag$141415#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.3}, {0, 0.09464078645940052}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.861964905881234*^9, 3.8619649221524754`*^9}, 
   3.8619649869085517`*^9, {3.861965043320711*^9, 3.861965085348768*^9}, {
   3.8619651184287214`*^9, 3.861965135880848*^9}, 3.861965190706646*^9, 
   3.8619653565214615`*^9, 3.8619654013257875`*^9, {3.8619660681152267`*^9, 
   3.861966106721125*^9}, 3.8619667355278625`*^9, 3.861966824898941*^9, {
   3.861967466323427*^9, 3.861967482269473*^9}, 3.861967562219053*^9, 
   3.8619677372781086`*^9, 3.8619680303342996`*^9, 3.8619680699702516`*^9, {
   3.8619697996009502`*^9, 3.8619698096505904`*^9}, 3.861970112696252*^9, 
   3.86290578806213*^9, 3.862908353017728*^9, 3.8629102535682783`*^9, 
   3.863128404499688*^9, 3.865300662539979*^9},
 CellLabel->
  "Out[840]=",ExpressionUUID->"8e9970d5-5a42-42f6-bee5-3d707e8cf229"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "*", "0.005"}], "-", "0.005"}], ",", 
        RowBox[{"st15", "[", 
         RowBox[{"[", "x", "]"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "2", ",", "61"}], "}"}]}], "]"}], "]"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{"s8", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "0.3"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.865303825658659*^9, 3.865303830748908*^9}},
 CellLabel->
  "In[894]:=",ExpressionUUID->"ad375b6b-2d4f-4b94-84b7-5166836134a4"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.011000000000000001`],
      AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwtk3lI02EcxpdWkh0WLQsxK4haVlYWZOV49kekg1ZphuCJiqJhc62UWEMo
84gO0yyvWlijMbWVbtU0j3lszrnNXTG6aGZUsohiWXaYba/vF378+MH7Ps/3
8zz81mUWxGf7MRiMaO/je59lKmLGRKehulQcJLlcCBH5voAIvOzeu7QU6rBS
d5z6KtbzG9Wc6GuYPV+D6rnhh8fP1KB+dtA2VTzOulGPDnJeAo7n/cZLoRJ8
jvMpNCG3sew273sTvS+F+DXzWPAxKRY67wnYgTJIU7nvWhNlaCBycghlGaNF
+XJsSqnsn2S1Yjpj4gC3sYXqK2DLuylmJygg9d523nuEMZFSx//xCG7i14Z2
2XZBQmo7dpJRgscJiF9xX0n9VUhRJidYVSp4xb0Oj7Fkw/HrwaueIJDs8xSv
005dNDerET8bAHS2cmP4zqeUtwPVvYnpJe/UXl+fYCdyYjoWPBN30n27sJJV
l97i3wWynqAbMzf4HaMBPTTPHlSJq0KnPT1gkNHAsTkyOSqzl/JokP+q6O2n
ZRrEEoM+cGr89rc6NJSvDyfaPBHL2/tQOQuA0IlecUVCP+UdwIFYp+tN2gAI
jnMAedN1387d1VL+QUjjth0RvhjEGt86YVokH9Q0nE/SYoDIadFZW94/h69D
DhkdivZ08y6/0tF8hiD0P6T9+UUHnxpTMYSV7qw7H9OHaF56uCrm2Vu26PHD
JzepR0lGVurZB8O032GUOGpbAxUjIPGwDeAe/V3ACzPRPA3w5BqSCuXDIOuV
jmDHecbqWy4jzdeIK9V/TULNCExGMmDWOWQauREniaAJb/+ponObzSC4TDMM
XI4nMttI8zdj36/ifZXrzCByKaNYtEEkW7XWQvuwQLN19xQj2Ep5LKhYnNZ8
tclC+7Hg01eJ8onJQvksKOO2uC4KLLQvK9iJ4TN8iZXyWjGf9f0DT2uj/4MV
+Z8np3YdslF+G75luec59Fbapw2ihpqQqFg7zcOGKbgerv9lp/3aEVL2J0jP
eo7/exnbqQ==
      "]]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVzn9cy3kAx/EKd4yHH6uueWD9TvnRD62ibt5ipOvi7JTIFU0uK/VQh84d
M6XQI7R7JI/WL+mnKEstrR9LvzbVavt+5vJzkR9NLrlikjvO/fF6PP99WUfE
cSNNjIyMAr/0v+MD37jUBHivzj4c8CFzPk+em2RpNcuSgXtVBxqjuRHyOPu6
U/1MRzD0WQLftN3yEIMJu4m5Es4S5cz7H8LlKp2jxXXmRjgkTNqdatku/5r4
JJczQ8B63VCpFH8ntwvs8C5hRsHIRJra6ewHdxrtQhEzEeJEB/aH67HI0byd
ttXmNM4xXjJGlpyENrKG314hguwqbIMHz2O585ZndaUXwXtWvUM0JwuGJXRB
kn0+vMWL52pbc+GbT+OysgtRcr/7Y69xIdasY74TDRZjQ2lypWdkMfTf21rn
LSjHCUGGpOdmGcZ2+9M9F13Fzhk5KgdSAVaGsZksvAoqbmlZkmsVRiL374/0
kOC1Q8gm7hIJzKRcc86NanCupLz5taYaIabCjotbarA33WPMZlcNAg24666t
xTZ/npHzaC3CXviNcw7XwTRyXqwsvw6c00ruVXo98lJeTgnbWI8HkntmO0Qy
TBxfU8LTynB2yH3g6IpGLHpgUTYsbMRYIXOWXtqEebNjpYTejPhorq8yVA51
AcdudYccvATBT4LfW1CZY/NooK4Fz8dzu9nsW9gZFFGpOXYL7yYfs71mt+I1
O8IlObgVOk7Mkx81rRgWXZIOWbbBTe9eKj7fhu7hd5rg522g060OMHe1QxRP
y01paEfPsa0x7dYdaN0bFvtzUgfM4q9FF493oP9M/Oj0nZ3obF6bLrnVCUoi
nip1VWDLJqvHj4UKeK6famX2XgH+HhuvAK4SgunLX63oVSK0KUZ+1+w2XFZm
Nppk3UZd3Pi+DHIbCj7dRhfahUtleYyThV1Yr9rsdcStGzw70YSY1w2nnB6u
YqIbNxyuPBxh9eBt9gzmHXUPHkbTxiImeuDwVcroH9kqxNFKnabcVAG/WASF
7erFeZeoSF1qL9j0ffyXnn04k3WAeujfh8sLJ0/af+4Dra3PeuZsNY5UFDvO
i1Fj6lByNPugGmZdISGZf6rBX6YLFN5RYzBv6cyxVRpY1PpXD7I1uJymM68q
1sA1fHtVUL4GWc6SyxwahU8eqWzdJw0+c89+HIihYPqDIjB5L4Xt5wIqHvRT
yEyrMPgoKOiFjroqH4LjYUnklZKCj3lt/n42Ad8t9Lq4i0J6me/upSBY3U/j
f1RRcOvb8axkLYHehv9IpqXw28L04Vx/Am+ZY/uqQQqz6v42pG0j0OmLM7z+
peDyl2xOVAKBsuFo7NAnCkKBn8b+IEH12aCALCMCQteKnh4iSGVNm/Z+CkHi
qhHz8CMErsf3JEppBC0plguDhQQnLGzDPRgEXOtkR845gpjhSZ/n8wmKauYO
G2cQBDdRjMwFBAa/3Aq5iGAp7wT1lkkgjpU6+1wg0FY+WV9jT/C0Qc9akUvQ
LKy32bOYwGPzQcNoHkH51ozPpk4EpwaNb14rIDg2uaY+YRnB8hkLfJyKCKJU
jAu2zgSCnNJ/XhR/+Sh4E09cCDQurOaiUoJvE5Sbk9wIbNtaBBHlBIs3FCxz
dyc4FBzoa1VB8B8bxFoi
        "]]},
      Annotation[#, "Charting`Private`Tag$149904#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 0.3}, {0, 0.3306141048506973}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{3.865303831379039*^9},
 CellLabel->
  "Out[894]=",ExpressionUUID->"8bbd2b9a-b128-4428-9065-910f033717a8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", "asd", "]"}], ",", 
   RowBox[{"Plot", "[", 
    RowBox[{"kjip", ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.863341583395954*^9, 3.863341588103998*^9}, {
  3.863341663344385*^9, 3.8633418435013733`*^9}, {3.863391305421925*^9, 
  3.863391320729609*^9}, {3.863391719689135*^9, 3.863391721963935*^9}, {
  3.863392258193655*^9, 3.863392258930264*^9}, {3.8653046927610407`*^9, 
  3.865304701443862*^9}},
 CellLabel->
  "In[1249]:=",ExpressionUUID->"0f1467f6-e6f2-49c8-9fc9-f3da9cc3cd19"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.012833333333333334`],
      AbsoluteThickness[1.6], 
     PointBox[{{0., 0.}, {1., 0.34866340419866904`}, {2., 
      1.3883503046622532`}, {3., 0.792026351124817}, {4., 
      1.2183475811968785`}, {5., 1.3046964808457313`}}]}, {{}, {}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJwVjXk41Hkcx4dR44hMMb+cXfqx2rIlod2dz9fxVJSHlKOSjHOyUlQUadFO
58ysYw/W5qh1DLP1hB1UZrPVmJJhJYUoVzJkMM7f72F29o/38/7j9bzfr/Wh
p3wjNCkUipc6//f8vthbPqdSmTqtr5lpD5vhSri1TQseDOkdrqY7XzRD8/hg
NA+PBfLdvRn522aYqHLjxuCX4PPIdeGh2WZIZyjNg3A+tFKZpjbbZNDU6Dl0
EM+HHMeSGVmJDE4VJjz3xu8CXpAgNM9qgQYu96EXLoYNNXr6QdWtsGx5PG0k
ugU6WAlOvMo28PiexfnL/w2UnNlrpeC3Q82FiJ7if3vBQHy7ZZ7VAZ1HvrOL
TxwAg0GJU07QW6Dv4UU2oGGwifMNZTt0gWF7RKXj0VHo6iz1kDm8g43rYgSc
UAXgyZyJ7i97wannZJNL1iRIXIY262t8gAYidX97nhKeVsUwE1UfgP23VCpO
nwGfTuv7C2N9kBtWamocMgc2ZqXU1tf9sCWwb3YpYgFeeuo5xLUNQK/SW4Y8
SFjackdiKx6EqfcmXzH8FoFYWut4r34IMiqSogICVOA+FnL1au1HwFdqe53P
oyAz3mvH87eHQXQ6tYJfoIHEZnaN9oWfoH1TNu1AliYaP/ZIROONgNXlVzbH
cqlIztvKKeHJwdnn/Y6CPC1k3xVun3t9FHpOc5g87jKk0yVz+ePsGFQ6H9Z/
lrkclTda2CWd+QwM/8bOMg4NdbILL7JZ4wD9lMx/zmojP3xYUO6pgFwGWx8/
r4NkbJ3u7o0TkJ5/4qpDtC5yWuOcOZ47AbdkORL+aT10jdkt+mgyCSmx2RMW
8SuQKv74y2u/TsIoy2bN4VB99E3aIr1mxRTcXJRr9UYaoOPLDRpf3JyCB2N7
FAZHVqK9EU7CaE0ldGxy6t9lZYgC29zTqhOUwP4izC672BDtFz15NjCthAb/
o8kulnSkfTZoV0H0NNgHygVGRXRUXhZlieTTEHN595tvzVYheg13+0nWDFyL
1CY0slehwlfZO907ZqDegqWSG61GxlH65RS/WahbukK15a9GPu2FXh5NsyCr
cpPz6EYorrYkJHHfHDxbFynhZhmh2nJ+mPfzOfihxq+oT9cYSRIyfqlizkPQ
hnfBR3nG6EGdlvNi/TyQIjuzzTQGOteRpfdqxwJcpI68/PkSA/lrUGW+ggVg
WDmzNlEwZH5nSFVjTUBirP+07gUMCSz7WYJbBJjvDJfiyRhaSg1bVltAwOPF
uN9dUzB0cGCwTFJEgC6P556Upualw4qBYgLyK57+NHIdQ4e2fU6xvEuA5NN2
B+lvGFK5zedmiwkwCluZwHmEIb8TBm0p7wmos7XwLBJjqLzpx3PcPgKCp2wt
6x9jiLKVbpI3QEBZ2m7J9FMMVUytDqkdJuDrwhRGeLP6L9lkfEpBQGjPqMi1
V73nW+myKSTQihduBH9Q7yeL/0zQJEEYQzue1K/2HbQ+wNEiYZbcQKv8qOZr
bHNua5Nww/RIwHoFhvyL7PAeQxLs+qM2fzup9lHvPx9dRUK74JwqUIkhjcjt
JwkjEiydM0sz5jAktHWoxkxIeEIpSBYuqDlPFICbkcCWCr2lJIYCFI7kDgsS
VmQ82Di4qP47UJfvtpaE+wHSOZVK7a/e5eq7noT/AKGrTTw=
        "]]},
      Annotation[#, "Charting`Private`Tag$168916#1"]& ]}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 5.}, {0, 1.3883503046622532`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.863341588503532*^9, 3.863341624471437*^9, 3.863341701845709*^9, {
   3.863341734914933*^9, 3.863341843960535*^9}, 3.8633912578230543`*^9, {
   3.8633913089889393`*^9, 3.863391345233073*^9}, {3.8633916964428368`*^9, 
   3.86339172289078*^9}, 3.863392303799811*^9, 3.863392404628521*^9, 
   3.863495250639798*^9, 3.865300550883492*^9, 3.865303792559967*^9, 
   3.865304059250473*^9, 3.865304169555126*^9, 3.86530470814639*^9, 
   3.865305054510994*^9, 3.865305103949226*^9, 3.865306160676543*^9},
 CellLabel->
  "Out[1249]=",ExpressionUUID->"e6fb9c61-cb6d-4be2-b833-ad06fb920b46"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"dd", "=", 
   RowBox[{"Abs", "[", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Instatf1", "[", 
         RowBox[{"x", ",", "y"}], "]"}], "[", 
        RowBox[{"[", "m", "]"}], "]"}], " ", "*", 
       RowBox[{
        RowBox[{"Instatf1", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "2"}], ",", 
          RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
        RowBox[{"[", "z1", "]"}], "]"}], "*", 
       RowBox[{
        RowBox[{"Instatf1", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "2"}], ",", 
          RowBox[{"Pi", "/", "2"}]}], "]"}], "[", 
        RowBox[{"[", "n", "]"}], "]"}], "*", 
       RowBox[{
        RowBox[{"Instatf1", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "2"}], ",", 
          RowBox[{"3", 
           RowBox[{"Pi", "/", "2"}]}]}], "]"}], "[", 
        RowBox[{"[", "k", "]"}], "]"}], " ", "*", 
       RowBox[{
        RowBox[{"D4TTs", "[", "0", "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"m", ",", "n", ",", "k", ",", "z1"}], "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "1", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "1", ",", "8"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"z1", ",", "1", ",", "8"}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.8619650056149035`*^9, 3.861965009833541*^9}, {
   3.8619662586672993`*^9, 3.861966275117772*^9}, {3.86197033582538*^9, 
   3.8619703371753793`*^9}, 3.861970373047045*^9, {3.8619704265405517`*^9, 
   3.8619704449937153`*^9}, 3.861970497328364*^9, {3.861970548829542*^9, 
   3.8619705529751797`*^9}, 
   3.865305250571516*^9},ExpressionUUID->"1677b9ef-e504-41aa-a143-\
9d64be9c12e0"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"tests", "[", "ets_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"standard", "+", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"I", "*", 
           RowBox[{"RandomReal", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"2", "Pi"}]}], "}"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "12"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "12"}], "}"}]}], "]"}], "*", 
       RowBox[{"RandomReal", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "ets"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"12", ",", "12"}], "}"}]}], "]"}]}]}], ")"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"1", ";;", "4"}], ",", 
      RowBox[{"1", ";;", "8"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellLabel->
  "In[101]:=",ExpressionUUID->"7d68d331-6ade-4822-87b4-2e12545d2a6b"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"testp", "[", "ets_", "]"}], ":=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"standard", "+", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Exp", "[", 
          RowBox[{"I", "*", 
           RowBox[{"RandomReal", "[", 
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"2", "Pi"}]}], "}"}], "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "12"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "1", ",", "12"}], "}"}]}], "]"}], "*", "ets"}]}], 
     ")"}], "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"1", ";;", "4"}], ",", 
      RowBox[{"1", ";;", "8"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8619685598311014`*^9, 3.8619685688181033`*^9}},
 CellLabel->
  "In[254]:=",ExpressionUUID->"5da06b88-eb71-41e9-8cfe-957a58420012"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ovs1", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"BSS", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "2"}], ",", 
          RowBox[{"Pi", "/", "2"}], ",", "x"}], "]"}], "-", 
        RowBox[{"BSS", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "2"}], ",", 
          RowBox[{"Pi", "/", "2"}], ",", "0"}], "]"}]}], "]"}], "/", 
      RowBox[{"Abs", "[", 
       RowBox[{"BSS", "[", 
        RowBox[{
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"Pi", "/", "2"}], ",", "0"}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "1200"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "2", ",", "0.01"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.8619630494962945`*^9, 3.861963087149822*^9}, {
  3.8619686365990133`*^9, 3.8619686591570187`*^9}, {3.861969051025124*^9, 
  3.8619690565842433`*^9}},
 CellLabel->
  "In[272]:=",ExpressionUUID->"ff4935bf-03a9-45e7-a006-3873fdbed866"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ovs2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"ovs1", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "ovt1", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ovs3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"ovs1", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "ovt1", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.861968670592021*^9, 3.8619686796105385`*^9}},
 CellLabel->
  "In[273]:=",ExpressionUUID->"514e24a8-9523-44b9-9897-a3b5c1410e64"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ovt1", "=", 
   RowBox[{"ParallelTable", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"BS", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "2"}], ",", 
          RowBox[{"Pi", "/", "2"}], ",", "x"}], "]"}], "-", 
        RowBox[{"BS", "[", 
         RowBox[{
          RowBox[{"Pi", "/", "2"}], ",", 
          RowBox[{"Pi", "/", "2"}], ",", "0"}], "]"}]}], "]"}], "/", 
      RowBox[{"Abs", "[", 
       RowBox[{"BS", "[", 
        RowBox[{
         RowBox[{"Pi", "/", "2"}], ",", 
         RowBox[{"Pi", "/", "2"}], ",", "0"}], "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "1", ",", "1200"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "2", ",", "0.01"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.861968204487285*^9, 3.861968228904699*^9}, {
  3.8619690735880213`*^9, 3.8619690771585417`*^9}},
 CellLabel->
  "In[275]:=",ExpressionUUID->"7ceedb48-f979-4940-a471-c21f7ebfb8aa"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ovt2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Max", "[", 
      RowBox[{"ovt1", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "ovt1", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ovt3", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Mean", "[", 
      RowBox[{"ovt1", "[", 
       RowBox[{"[", 
        RowBox[{";;", ",", "x"}], "]"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "1", ",", 
       RowBox[{
        RowBox[{"Dimensions", "[", "ovt1", "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8619682444722195`*^9, 3.8619683151468463`*^9}},
 CellLabel->
  "In[276]:=",ExpressionUUID->"9c8eb6a0-d782-4c47-97a6-a9f32a2e5117"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"ListPlot", "[", 
    RowBox[{"ovt3", "*", "2"}], "]"}], ",", 
   RowBox[{"ListPlot", "[", "ovs3", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8619626622016306`*^9, 3.861962671306947*^9}, {
  3.8619627372958546`*^9, 3.8619627975910435`*^9}, {3.8619630030731688`*^9, 
  3.861963005292553*^9}, {3.861963104195216*^9, 3.8619631196118836`*^9}, {
  3.8619631767854357`*^9, 3.861963189482086*^9}, {3.861963364488504*^9, 
  3.861963364861504*^9}, {3.8619634438455253`*^9, 3.861963446726115*^9}, {
  3.8619683223043633`*^9, 3.861968339536105*^9}, {3.8619686978053555`*^9, 
  3.8619687655024595`*^9}},
 CellLabel->
  "In[262]:=",ExpressionUUID->"057b4675-1185-448d-9d1e-a51a6559ae9b"],

Cell[BoxData[
 GraphicsBox[{{{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxVlXk0FXgfh2/rmNAdZMYg3WIkacHNkuSjJMl+7et178WtKS1KItNV0TK9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      "]]}, {{}, {}}}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxV1Xk81fkex/GfxFBNTaV9O1JMZRmUsSRv2Zcsx3Ls5+AcjoYxJRGqn1Dq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      "]]}, {{}, {}}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "OptimizePlotMarkers" -> True, "OptimizePlotMarkers" -> True, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        Identity[
         Part[#, 1]], 
        Identity[
         Part[#, 2]]}& )}},
  PlotRange->{{0., 201.}, {0, 2.316204044283482}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.861962671985948*^9, 3.8619627095569324`*^9, 3.8619627567141547`*^9, 
   3.8619628007840443`*^9, 3.861963071004547*^9, 3.861963127282898*^9, 
   3.8619632013914003`*^9, 3.8619633547524734`*^9, 3.861963388252717*^9, 
   3.8619634862253103`*^9, 3.861968340088106*^9, {3.861968709631913*^9, 
   3.8619687663379984`*^9}},
 CellLabel->
  "Out[262]=",ExpressionUUID->"25fc6ed0-56d6-44f1-9afd-c12026dfd200"]
}, Open  ]]
},
WindowSize->{1014, 673},
WindowMargins->{{5, Automatic}, {5, Automatic}},
Magnification:>0.8 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (2019\:5e744\:67088\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 218, 4, 27, "Text",ExpressionUUID->"ba54befd-5267-4b10-b24e-cc013db7d42a"],
Cell[779, 26, 218, 3, 37, "Input",ExpressionUUID->"c260687a-9f97-4ac9-ae40-4d37c2ad8b0e"],
Cell[1000, 31, 373, 8, 27, "Text",ExpressionUUID->"98bb9d20-935a-4591-964f-00984404b645"],
Cell[1376, 41, 1441, 36, 147, "Input",ExpressionUUID->"4cdb6083-8012-498e-b42a-7ddbb80f5222"],
Cell[2820, 79, 212, 3, 37, "Input",ExpressionUUID->"741513fc-649c-4c07-b887-d4f5d55c6519"],
Cell[3035, 84, 159, 3, 27, "Text",ExpressionUUID->"5b6b856f-99dd-441e-bcde-83bdc2e582e2"],
Cell[3197, 89, 547, 10, 37, "Input",ExpressionUUID->"59c59ab9-491a-4f67-ae1f-f9a2e9e3d552"],
Cell[3747, 101, 562, 12, 37, "Input",ExpressionUUID->"dde21d8f-c6e3-4fcf-af67-bbef3c5639c8"],
Cell[4312, 115, 292, 6, 37, "Input",ExpressionUUID->"ae6a79c5-e4b7-451f-b42d-1f87630a2e53"],
Cell[4607, 123, 332, 8, 38, "Input",ExpressionUUID->"03c9ac85-b1bb-41fe-871d-eceab1e99231"],
Cell[4942, 133, 230, 5, 27, "Text",ExpressionUUID->"194e4702-7a03-41a7-8011-d432994c2371"],
Cell[5175, 140, 1505, 37, 37, "Input",ExpressionUUID->"5f8a71a6-20e5-4379-b9ea-8ff344962fb5"],
Cell[6683, 179, 173, 3, 27, "Text",ExpressionUUID->"ec1dd697-75c4-41b3-bd18-f0e7dbf0cc29"],
Cell[6859, 184, 774, 21, 69, "Input",ExpressionUUID->"83f36caf-df55-43f6-85fe-e03a0936680f"],
Cell[7636, 207, 213, 5, 27, "Text",ExpressionUUID->"64cb9b1a-6d26-41f5-89ed-65885ffa043d"],
Cell[7852, 214, 9295, 257, 808, "Input",ExpressionUUID->"7993ac10-3d8b-42c0-b385-1033ee49e47d"],
Cell[17150, 473, 13406, 372, 838, "Input",ExpressionUUID->"3b19d591-639d-49ee-a1d8-47a60f1dedeb"],
Cell[30559, 847, 17684, 483, 930, "Input",ExpressionUUID->"718eb660-f5ff-40bc-9713-02b94cbdb836"],
Cell[48246, 1332, 21854, 593, 1022, "Input",ExpressionUUID->"e4e94e29-8f27-44bb-a5a3-f32d9415d749"],
Cell[70103, 1927, 26983, 728, 1129, "Input",ExpressionUUID->"1f4441c1-3d9d-4842-8666-41458c607f36"],
Cell[97089, 2657, 180, 3, 27, "Text",ExpressionUUID->"b86ecdf0-55e1-43eb-b68e-5442514e82ad"],
Cell[97272, 2662, 389, 8, 68, "Input",ExpressionUUID->"a5faeb85-8282-4d97-a571-35d436a7e457"],
Cell[97664, 2672, 232, 6, 27, "Text",ExpressionUUID->"1b211ff2-0275-4b8e-82ee-34c7d55b4416"],
Cell[97899, 2680, 1974, 54, 145, "Input",ExpressionUUID->"9f25b7ee-3c8a-43fa-a5f9-55501b3e49b9"],
Cell[99876, 2736, 1948, 54, 145, "Input",ExpressionUUID->"66315961-ae17-47b9-92c6-81eb98f64eac"],
Cell[101827, 2792, 2119, 55, 114, "Input",ExpressionUUID->"1151bc6b-770d-4928-bb2d-cb8ad9282832"],
Cell[103949, 2849, 1886, 52, 114, "Input",ExpressionUUID->"4ce903f0-de31-4f70-98f1-7f7574f676ff"],
Cell[105838, 2903, 1739, 50, 114, "Input",ExpressionUUID->"919afc6f-63f9-4373-93f1-688413cf1172"],
Cell[107580, 2955, 1990, 54, 145, "Input",ExpressionUUID->"b8266499-d47b-4aa2-be79-cd3442bd2dfa"],
Cell[109573, 3011, 1960, 54, 145, "Input",ExpressionUUID->"259b89c5-d584-49cd-b8f0-ff78a176fac0"],
Cell[111536, 3067, 2125, 55, 114, "Input",ExpressionUUID->"a8a505d6-dbbc-4cf6-8301-af3a1fdd2647"],
Cell[113664, 3124, 1896, 52, 114, "Input",ExpressionUUID->"fed4bef1-345e-4912-93a2-4563679aef3a"],
Cell[115563, 3178, 1749, 50, 114, "Input",ExpressionUUID->"0882455d-b8e1-431d-80b5-c9ec8b9eb331"],
Cell[CellGroupData[{
Cell[117337, 3232, 214, 4, 37, "Input",ExpressionUUID->"a40860fc-9b5a-4d3d-baf0-d299574c600f"],
Cell[117554, 3238, 178, 4, 26, "Output",ExpressionUUID->"8404fe4c-01db-4ec2-a2fa-06795a5613bd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[117769, 3247, 298, 6, 22, "Input",ExpressionUUID->"65395ea3-e0e4-4196-948c-25709a5ea8db"],
Cell[118070, 3255, 224, 4, 26, "Output",ExpressionUUID->"6c66f208-3378-4745-bf3e-fbc4510a596e"]
}, Open  ]],
Cell[118309, 3262, 1493, 43, 68, "Input",ExpressionUUID->"82259ff5-7dd6-4515-8f29-8cb417ac87a3"],
Cell[119805, 3307, 1620, 42, 68, "Input",ExpressionUUID->"1e54a026-757a-4719-838a-09a1b220b353"],
Cell[121428, 3351, 1574, 42, 68, "Input",ExpressionUUID->"2535a978-a2da-4ef1-96f0-1dca987d2e7d"],
Cell[123005, 3395, 3337, 86, 145, "Input",ExpressionUUID->"741907c3-d206-4635-bd38-577d4e0ec39d"],
Cell[126345, 3483, 1489, 43, 68, "Input",ExpressionUUID->"f0172c5f-5ad3-43bf-9386-8d7c4be6f0c2"],
Cell[127837, 3528, 1617, 42, 68, "Input",ExpressionUUID->"429299c3-6a53-4ada-a196-20bbd0820c62"],
Cell[129457, 3572, 1615, 42, 68, "Input",ExpressionUUID->"cb192a65-dbad-4b40-99b0-df2ae3f97fb6"],
Cell[131075, 3616, 3339, 86, 145, "Input",ExpressionUUID->"a63964d0-ed52-4c9e-bc47-34db9489bdfc"],
Cell[CellGroupData[{
Cell[134439, 3706, 747, 23, 22, "Input",ExpressionUUID->"0cc3287b-5906-4108-8819-f570636dc474"],
Cell[135189, 3731, 525, 14, 26, "Output",ExpressionUUID->"a724e4bc-3d5a-4646-8fed-5309bb1dc5a6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[135751, 3750, 1706, 42, 22, "Input",ExpressionUUID->"328a0716-f94f-4f6a-906a-7c619ee2f399"],
Cell[137460, 3794, 981, 22, 31, "Output",ExpressionUUID->"9fa99a04-e796-40b6-b72b-586581b092c0"]
}, Open  ]],
Cell[138456, 3819, 225, 5, 27, "Text",ExpressionUUID->"b6c94b30-9d72-4774-a134-7e97972ba159"],
Cell[CellGroupData[{
Cell[138706, 3828, 276, 6, 37, "Input",ExpressionUUID->"3f2836fb-51eb-4b10-821c-25604a320033"],
Cell[138985, 3836, 1141, 29, 48, "Output",ExpressionUUID->"a974ee8b-9572-4f17-829f-de1d120f8d16"]
}, Open  ]],
Cell[CellGroupData[{
Cell[140163, 3870, 270, 5, 22, "Input",ExpressionUUID->"9a81a2e8-58a8-434f-addf-0d3c2cc5830f"],
Cell[140436, 3877, 1151, 25, 71, "Output",ExpressionUUID->"2a1a9c02-016c-4417-9c84-d9a7e865dafa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[141624, 3907, 541, 11, 37, "Input",ExpressionUUID->"16a053a4-aced-4000-89e5-5f6f7ac5add1"],
Cell[142168, 3920, 659, 12, 26, "Output",ExpressionUUID->"0f2e2659-9997-46dc-b13f-706f601e23a9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[142864, 3937, 636, 14, 37, "Input",ExpressionUUID->"179956c3-23e9-4028-9a12-7e730ab3a373"],
Cell[143503, 3953, 3777, 79, 197, "Output",ExpressionUUID->"52753964-b13d-451a-a448-579d0a4d0322"]
}, Open  ]],
Cell[CellGroupData[{
Cell[147317, 4037, 829, 23, 37, "Input",ExpressionUUID->"f41a4722-64df-4273-a496-4469ef93dfca"],
Cell[148149, 4062, 4423, 90, 185, "Output",ExpressionUUID->"fc9fdd77-dfe2-4752-aacc-0e0cb35e03ca"]
}, Open  ]],
Cell[CellGroupData[{
Cell[152609, 4157, 752, 21, 37, "Input",ExpressionUUID->"c5dc5976-ed28-4bfd-8c00-b14419b10bbb"],
Cell[153364, 4180, 4342, 90, 193, "Output",ExpressionUUID->"f8879780-6451-4ef3-8f14-779e51e9fa39"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157743, 4275, 805, 22, 37, "Input",ExpressionUUID->"22c9a9a5-306d-46e3-9f9e-d4fd350227c9"],
Cell[158551, 4299, 4357, 90, 193, "Output",ExpressionUUID->"e3bccff4-bc90-44b8-902e-9dba17106cd1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[162945, 4394, 1468, 30, 37, "Input",ExpressionUUID->"d04e966d-349e-4ab7-85b0-9cae1073a055"],
Cell[164416, 4426, 4890, 97, 193, "Output",ExpressionUUID->"8e9970d5-5a42-42f6-bee5-3d707e8cf229"]
}, Open  ]],
Cell[CellGroupData[{
Cell[169343, 4528, 703, 20, 37, "Input",ExpressionUUID->"ad375b6b-2d4f-4b94-84b7-5166836134a4"],
Cell[170049, 4550, 4214, 88, 193, "Output",ExpressionUUID->"8bbd2b9a-b128-4428-9065-910f033717a8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[174300, 4643, 689, 15, 37, "Input",ExpressionUUID->"0f1467f6-e6f2-49c8-9fc9-f3da9cc3cd19"],
Cell[174992, 4660, 3807, 79, 197, "Output",ExpressionUUID->"e6fb9c61-cb6d-4be2-b833-ad06fb920b46"]
}, Open  ]],
Cell[178814, 4742, 1825, 49, 54, "Input",ExpressionUUID->"1677b9ef-e504-41aa-a143-9d64be9c12e0"],
Cell[180642, 4793, 1037, 31, 37, "Input",ExpressionUUID->"7d68d331-6ade-4822-87b4-2e12545d2a6b"],
Cell[181682, 4826, 918, 27, 37, "Input",ExpressionUUID->"5da06b88-eb71-41e9-8cfe-957a58420012"],
Cell[182603, 4855, 1084, 30, 37, "Input",ExpressionUUID->"ff4935bf-03a9-45e7-a006-3873fdbed866"],
Cell[183690, 4887, 1008, 30, 68, "Input",ExpressionUUID->"514e24a8-9523-44b9-9897-a3b5c1410e64"],
Cell[184701, 4919, 1028, 29, 37, "Input",ExpressionUUID->"7ceedb48-f979-4940-a471-c21f7ebfb8aa"],
Cell[185732, 4950, 1010, 30, 68, "Input",ExpressionUUID->"9c8eb6a0-d782-4c47-97a6-a9f32a2e5117"],
Cell[CellGroupData[{
Cell[186767, 4984, 738, 14, 37, "Input",ExpressionUUID->"057b4675-1185-448d-9d1e-a51a6559ae9b"],
Cell[187508, 5000, 7223, 135, 197, "Output",ExpressionUUID->"25fc6ed0-56d6-44f1-9afd-c12026dfd200"]
}, Open  ]]
}
]
*)

