(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   3799632,      66288]
NotebookOptionsPosition[   3793877,      66201]
NotebookOutlinePosition[   3794262,      66218]
CellTagsIndexPosition[   3794219,      66215]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Code initialization", "Text",
 CellChangeTimes->{{3.8518494384622087`*^9, 3.8518494457045865`*^9}, {
  3.8518495619359226`*^9, 
  3.8518495804876137`*^9}},ExpressionUUID->"ba54befd-5267-4b10-b24e-\
cc013db7d42a"],

Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global'*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.85175520491953*^9, 3.8517552213377757`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"c260687a-9f97-4ac9-ae40-4d37c2ad8b0e"],

Cell["\<\
Working directory (The experimental unitary matrix should be saved in \
testmatrix.csv in csv format. The file testmatrix.csv should be copied to the \
data folder. )\
\>", "Text",
 CellChangeTimes->{{3.8518499312863836`*^9, 3.8518499565092506`*^9}, {
  3.8518534686515465`*^9, 
  3.8518535851438856`*^9}},ExpressionUUID->"98bb9d20-935a-4591-964f-\
00984404b645"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Tempfile1", "=", 
    RowBox[{"FileNameJoin", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<data\>\"", ",", 
       "\"\<standardmatrix.csv\>\""}], "}"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tempfile6", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<data\>\"", ",", 
      "\"\<tt-high.csv\>\""}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tempfile2", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<func\>\"", ",", 
      "\"\<TotFunc.mx\>\""}], "}"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tempfile3", "=", 
   RowBox[{"FileNameJoin", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<data\>\"", ",", 
      "\"\<testmatrix.csv\>\""}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8517553916136394`*^9, 3.851755396913419*^9}, {
  3.8517556500708065`*^9, 3.851755755952202*^9}, {3.8517558202817693`*^9, 
  3.8517558901016808`*^9}, {3.8518468286743298`*^9, 3.851846853677663*^9}, {
  3.8544007482317004`*^9, 3.854400789293783*^9}, {3.885370181935232*^9, 
  3.885370191861515*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"4cdb6083-8012-498e-b42a-7ddbb80f5222"],

Cell[BoxData[
 RowBox[{"Get", "[", "Tempfile2", "]"}]], "Input",
 CellChangeTimes->{{3.8544010092711678`*^9, 3.8544010133266864`*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"741513fc-649c-4c07-b887-d4f5d55c6519"],

Cell["Import the data", "Text",
 CellChangeTimes->{{3.851853699541482*^9, 
  3.8518537039353943`*^9}},ExpressionUUID->"5b6b856f-99dd-441e-bcde-\
83bdc2e582e2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"standard", "=", 
   RowBox[{"ToExpression", "@", 
    RowBox[{"Import", "[", "Tempfile1", "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tth", "=", 
   RowBox[{"ToExpression", "@", 
    RowBox[{"Import", "[", "Tempfile6", "]"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.85175589727204*^9, 3.851755978028284*^9}, {
  3.8517560466608095`*^9, 3.8517560777386403`*^9}, {3.851756109006941*^9, 
  3.8517561123287706`*^9}, {3.851756161592986*^9, 3.8517561687946033`*^9}, {
  3.851832123255515*^9, 3.851832132482066*^9}, {3.8518327567115717`*^9, 
  3.851832786722639*^9}, {3.8853705588779993`*^9, 3.8853705592569*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"59c59ab9-491a-4f67-ae1f-f9a2e9e3d552"],

Cell[BoxData[
 RowBox[{
  RowBox[{"test1", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"ToExpression", "@", 
      RowBox[{"Import", "[", "Tempfile3", "]"}]}], ")"}], "/.", 
    RowBox[{"i", "->", "I"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8517561865317264`*^9, 3.8517562039714575`*^9}, {
   3.8518321203933444`*^9, 3.8518321385211678`*^9}, {3.8518327510272446`*^9, 
   3.8518327535749855`*^9}, {3.8541646050053964`*^9, 3.854164637679715*^9}, 
   3.8619717053503294`*^9, {3.885370161777008*^9, 3.885370161953086*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"dde21d8f-c6e3-4fcf-af67-bbef3c5639c8"],

Cell["Save the 8x4 block as loopk", "Text",
 CellChangeTimes->{{3.8518537552888308`*^9, 
  3.8518537991881714`*^9}},ExpressionUUID->"ec1dd697-75c4-41b3-bd18-\
f0e7dbf0cc29"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"DIM", "=", 
   RowBox[{"Dimensions", "[", "standard", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a1", ",", "a2"}], "}"}], "=", 
   RowBox[{"{", 
    RowBox[{"4", ",", "8"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"loopk", "=", 
   RowBox[{"test1", "[", 
    RowBox[{"[", 
     RowBox[{
      RowBox[{"1", ";;", "a1"}], ",", 
      RowBox[{"1", ";;", "a2"}]}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.851832295585722*^9, 3.851832308056234*^9}, {
   3.8518537150225334`*^9, 3.8518537215758233`*^9}, 3.8541655346054683`*^9, {
   3.854194324552224*^9, 3.854194327578907*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"83f36caf-df55-43f6-85fe-e03a0936680f"],

Cell["\<\
Get the standard contour plot and save it in a variable called std\
\>", "Text",
 CellChangeTimes->{{3.851853815945549*^9, 3.8518538494526253`*^9}, {
  3.85185411414285*^9, 3.8518541193216443`*^9}, {3.885370628586562*^9, 
  3.8853706313543844`*^9}},ExpressionUUID->"7f7f7123-e77c-4071-929d-\
f83728f04f95"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"std", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Contourtest", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", "1"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Contourtest5", "[", 
       RowBox[{
        RowBox[{"tth", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"1", ";;", "4"}], ",", 
           RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], ",", "1"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Contourtest2", "[", 
       RowBox[{"tth", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"1", ";;", "4"}], ",", 
          RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Contourtest3", "[", 
       RowBox[{"tth", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"1", ";;", "4"}], ",", 
          RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Contourtest4", "[", 
       RowBox[{"tth", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"1", ";;", "4"}], ",", 
          RowBox[{"1", ";;", "8"}]}], "]"}], "]"}], "]"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8543953604535756`*^9, 3.854395361913417*^9}, {
  3.8544010209817066`*^9, 3.8544010245765195`*^9}, {3.885370619926963*^9, 
  3.885370626298197*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"ab212bb8-7557-470f-a731-ce9721bd8fc6"],

Cell["\<\
Get the contour of the experimental data and save it in a variable called \
result (the factor 22398 which is provided by Lior is divided)\
\>", "Text",
 CellChangeTimes->{{3.851853853753256*^9, 3.8518538881492195`*^9}, {
  3.851854094054052*^9, 3.8518541523845177`*^9}, {3.851854353424981*^9, 
  3.8518544336448574`*^9}},ExpressionUUID->"ff150b9d-901c-48bf-8302-\
d8652e1571f1"],

Cell[BoxData[
 RowBox[{
  RowBox[{"exp", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Contourtest", "[", 
      RowBox[{"loopk", ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Contourtest5", "[", 
      RowBox[{"loopk", ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Contourtest2", "[", "loopk", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Contourtest3", "[", "loopk", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Contourtest4", "[", "loopk", "]"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.854395393683324*^9, 3.8543954024908247`*^9}, {
  3.854395804831435*^9, 3.8543958054615774`*^9}, {3.85439680766228*^9, 
  3.8543968757242603`*^9}, {3.854397304720426*^9, 3.854397329565694*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"09586bc8-55b3-4a86-aff8-11db88efb0c0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"exp", "[", 
  RowBox[{"[", 
   RowBox[{";;", ",", "1", ",", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861705490756562*^9, 3.8617055113030405`*^9}, {
  3.8617059744161725`*^9, 3.86170597491551*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"4175c198-0d87-4c4c-8f1b-637205a36d06"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0vXVclM33P7zLAktLh4iB3SgqYnDGxMTu7kCxxe6uW8UOxC7sVhQRsUAB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      "], {{
        {RGBColor[
         0.6622849496530133, 0.3199159154806739, 0.20892358936322394`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNUstKQlEU3TcTvL4uXsLQiQkJ0bjmPXAgRYM+oeYF9sCsT6hJFP1CE0PI
8DNKLWoeVJP6BVuLtcMGh33ufqy19jq3urO/vTdlZus4CZxeYNbA5Qf3LmIt
ZTZAQwlxJlD+LTRbwHe/YHYfKL+M/EfWbIw4QH0zVO4MuXP0FkPNPmJmBd9P
iA8F4b+i1o7MvpNmLcQR8mvIDxG3EtJEjk4gLUvAGefEfZU2u8ZZpc6CeGZx
7lC7SOlO/pJrYJ65oueJyUht3LvvO1ILa+Si3obrICc1Uc8htH6hrxnJj67P
NzPSGebNFnO6M3cTCq/+jzuJ85lVfEH+fVr4f772XE/dZ9tZaaE/5Opi5wru
z6G84NwtuIah3oJvMnJcy4uDXCfQ3MFsGbO1WO/E9zpFPIo0S4ym73gcqcae
FmI1lr+V2HUktA+9ZZ4+t7z/IJJu6t8ItRcxWdvNTDy4cz3URTz6RszLtPDm
YtVLqcn70kfO9/3/oFf8F/h+5CMP+bgPfaVXPe9lT9J9JiZ75mNhk5P/SMn/
Dcay9/wCiFFrTg==
            "]], PolygonBox[CompressedData["
1:eJwtkL1OQlEQhAfhJlxQbg4NiQ2SaEKstVc6g6HgEbSXAvx9B0riK1gBiSCP
oRdItJeCkPgM+G2WYpM5O7Ozs6d202nf7UmqUDlqGUvVvNTKSpsijZL0C/Ge
kbYH0jf8CfwY/nFfWqG5Al/Q+wzSW9G154xeo31KpL9IuoQfFKQ0OD6DfzWv
snTIe8jMMfgruNeE9yj4DttVp/cTe884yzgGz6lG3jNYlmbs3ilHnZJ3Fnx2
xsxH8JvsNrtpgTalttplCK4xrXkuwA/kX0euuQdXydiHi9Dc4hWXfJf9yRR9
N/HbbaYHfk5ca3/wAj4q+63mUQP/A4lvNQw=
            "]]}]}, 
        {RGBColor[0.7107965, 0.36998475, 0.227467], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVktrU1EQPjdJk9zcm+TeouIrtQ8fmEXFnX/AlYLgwpWCVtCVitTWt79A
XCjiSgVXpRWttYmtXbWCLmy1PkDxCVYsbUUXvrWtfl+/KS4uczJnzpxvZr6Z
k4aWA1v3J5xzvfiS+OqyzpXwXfeca8w4tyHt3GMYVGLnJlPO+QXnmrD/qca5
EehHE9rPwn4R7IexXo/1qaJzs/A3ETh3OyHbFPQ3cMkA1h+w9w7+7mGdgL4B
PuuzOv8qcq4Zvl5AhrDfjnUa8muI+2F7FfIa8CyD/SPfuelQ+5dw1yRwLYd+
CH7aivrdDtkEH1O4r9tTHMQc4OvzpKffg4Hi+ZkXrruGjbY8wxi3QTZkdJaS
eq634P4FGZ3rygpzjvF6wsJcbIJNLqm7KvjKSeXqgq/1o1hysem/A8dL+P8B
eT1WbUZj5e0j4loImy+IvYzfp4G9B+cmanTnG+imahTv4aLW53LIKfSDln/6
WJKUnyr8roH/W7Hqz9jHYTOb17ovUl5LKcUzGUq/LxBWYq71lIvP8Fv1VHPy
hLEyH6wlc9Lvac17jxVlcxTyRFFnj0MeKiqWVsjfecXzB7IuJb/k1HdgaMbv
y4FywDX9l2vEReJaWevcWeBeBXkTsTVi3RML79+UMKcLqjvrTx7ShlylbnVW
eeiNFZNXEAb2AHE898WLw8DyGjnqg24n/GzEfTOwWwn7t77uWYX1T+MwudwP
n2vhp89yzvomLG/1huFiIG6T48Omr1ivLbV+Y92IkzjuRNIPReI1/fO+gUj8
vA3ZmVWcPDuT1Xn2+/mcfB8pisfkGWv0MNb+++A/t8irUV+8Zq8/8JWnsVB5
bc4qZnKkZHGRe+mMckQesX/JxaFY9oOxemRdSn1SzqvfNvmy43menbYZxfue
+PI9CWx/88LsCso9eUAO9Cblh9zcW5B+T0G9RZ/sBXKaM4fxdEXCuSsQvxkD
+yBjPCFfGlDfM5xZtZohOeM2eb7D5hV5Xklqn/xgfZ756rmq7beFqnNHqFlF
HMxxyfqU8XKGEtdL4DoZCu+Irx5KWx/xDvY/60K+c84OWn2njR9jNotbAtWS
NX0cy4729PvE5kDVeoS5q9rcZrxzsztQncYhpwLNvm/A1WR5n+c+c08OcJ98
Ik5yjhzjHjGN2ttBziy2u1hL1vSp5Yp54lnGusXiJQeZJ+aFPGf83TZb5urh
iYvkyESovJaMP4yBPTyfC8r20DhnM6SxIOzsXfKxbJzssHp9DJXvG3ZvvfUU
91jbiuFmLmcs/9O2Zt6TBcXKuULbHuNJyexo0xro3RqJ9BaSn28i1YRc5vkB
m4Ws3fwdjDln/tj741avX6E402/56bY3hW8L3zi+9YHNmBGrE3WcydRHsbh9
JdCs5TtHP5utTh2BZk+nzZb7kf5DDEPuDoR1Ra3iGDJu/wNXCyQa
            "]], PolygonBox[CompressedData["
1:eJwllDlPVXEQxeexvXd5l8u9L8a4omwaX4GtX8AKjYmFlSYuiXaYgCACfgNj
gRor18qIC6IgSwUmWiiKoNGIUmiAsEQLg6BG8XecYpIz939mn7mVR0/ubygw
s71IEXI9a3Y7Y7YhbfYkNruB3oVex+OP0GySb3/h1fH+EbwlZzaEg/NwKsE1
kdkfuLmUWRV4a87fHhSadZaa1Ub+Vse3kcRsBp+b4W9CHw/MVsrMxvA3S4yX
6HfhDKNv5P0euB/ZAV7AphRfI7HnuhZpINd+9KfwnyED4Ea+VfJ2AH5evrGv
wP4+ObwCt5SbzReTH3ojeJl8dsKtJ98ZbFvQB/FVxHsz+B05ZcDzcHqx30YO
q+A+vhWCxxP3vZ0YE+C38KvBFXBmsX+c+Jt8vA+8ZtWuHJqJXx94ro+I3wZ/
OPFeKYZitcP5BndXCTWC38AvSHlN3XDvYBOkvEcD6D1IlWajGYAXQ69F3x4m
npNy0wyPUe8LelZFv8bRM8S7xbf15LJIzIvMrxV+D3ov0h56j9XrNdgMgQdj
x/t4X8j6TDSbPPYn8NdEznPF7kO+5kKftWY2H/oMNAtxToHLyfFg2ndQu7gU
uu8S5Ap6K5xe+F/ht4Fr2bfOjO+Mdkc1qBbtVBp8BJsS/H2g5iX24bB2psC/
dcVek2rrQzpCF2H1YE/gO/x/l4lRk/OeqDef8bda5jPT7NYhuwMX4TxyGXwt
67eUR77DnUbvJv8FfJwm/+OR90o3VB35jmvXq8mvKesz1+w1o+fkOxX7LaqG
T+BU5LuoHemAO0rMGfMd/oL9aOy+FFOxg8h3WTeiW1FP1JtJ3TvYIq9NOzaB
r+Uyf5PPs+T/M/Rb0c6tgG/i41DaZ6bZnSn32egGdAuvA79l3bxu/2rWZymb
OPEd1a7qH6R/0bms90o3qdv8TfypIv8Hjclf4r3VDlxiFhdKvZfi/IL7D6Kv
sSs=
            "]]}]}, 
        {RGBColor[
         0.7455657916666667, 0.40823224999999996`, 0.24066254166666665`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVl1oHFUUvruz25ndmd2Z2QimICQxbUFsbKggiOiTDyHqi1DwD//wB39o
K6IiKr4XQaVg0wd/qiioCVoD2kRTtW3SprGbiNWXRLObbIptU6iRpEmTFL/P
74gPw7lz5txzvnvOd86dtkd33b0z65w7h8fDM5dzblPg3IYM1qFz3VCeSpxr
j5y7Cd/7IJvKzv0Fu6sgl/HeifUKZCveV7A+ljo3VnRuBnvvqDjXYnp+b4H8
Avpe+L8Av7f4zr2OOC4PP4Hscp7061DfXnDuRshP4H8AQL/Bt0HsrSHGIuQo
4oxB3429S3h/IZL/FyHP4WmDv7OQXZ5iM26CvR1Yv4e4IfTXY30BPiqe9L9i
PZ0oznOxcyN4zhAX8PdBvxHrB7F3CuttwDkJ+Tmea6B/ONQ32pxH3Et45uHv
Degms7Ipwe9MKp//+b4T+HdAHoS+ABxfQQ7Brp9ryBhxemBTg40P3b5AOPnO
tYNNAHxn8f4TsOxGvHF8P4H1Ykm5ewS6LWXV+MdUWKgnHu77k76x3oxY+wPF
pO8ei9WN94fwxJ6w0g95EsLXfdBHkAs473XQ70GsAcRugv4Q5LWIu0pulVUv
nnEU8mp8/xn+2zYoDzvM57vYvxXrRfhbMz15MBHI3stoD99XrTbcn4fMw3cV
+kxGctzW9ZzehxH3zUDn/S4rjLThd0q+0/63grAMRjozz8U8s7bk1bGsMJI3
tGfOmDvmij1BXpFf9MuYtD9RFG9rxsGSJ3v64N68yYrp+d239TvWC+wJ+iVn
T+N5Hrn6BbJYVp72+LJbirT/AL7PhuqBU9g7gWcadqvgxWHg2ArcQ5D1VDyc
hbzLE1+bgHXBeMJ+eCnWTJiznqUdbarwOQW75ZL07GPyl9wnVuLsTNWj21Ll
vtVX/umfGMhDnoP+2fvkfs74fz5UjgfBpbFEPD0OLLelOu+tkOuRcjwcagbU
PMUjxn/7NKuZNItnGfrXIs2TS8B8uaQ4e1GfT6GvQ3+yKDuuOfueDuWfcfoR
rx245yPVK7baNTydgfuGsb8VHP0SOIcicWcuEi7uZR/02Vw9wPmWan+vzTBi
57zqALZ7YH9DST0YWz7XSur/dcgzoXLNeUPbTb5sxhOtq5BXrGfJEfJ2u3H3
aKoappC+zRDOkhbsy/qaI/TNuDwDedewHHI27Lf5wJ6o+MoRudJlc54zg73D
/aw7/bF+DawzvnpsC+6JvfDzlM3JizlhIqeZz0OpeMEakRvEnbe+WzbeUN9e
1mx4ArK9In49brOQZ2FcYmD/U/d2URh3xeIJuTtkvdxjM5A8475XYt17F22G
M7/MBet3MNY8GoG/jxOd64FQdxp98iycBw3rW/YZectaPBYKJ/ESB/G8BT9x
qv79MBRPu+zuI6dWbR6yhh1WR/bcZeu7Tl/znbnkOfbZ3TFg/Ub8H4Saw7xz
mJuGzf/tvmwYixzlnF60ujPXPO9oIn6chFywOcC4rE/O+pe5Y01ZJ3Kw2zj5
TKh5+HWiXE7aHfRqbJwo67+BvfpZpDP1m3+ee83OzjuH/wmMN537Pz77i7iX
7P+A2H9INEfJY3K4GfvuxxNA93ekb+8D15FUfbK5LC7Xbc4z5hXrHd4RVbsv
GHfBONNs/si/naHydgRxjyfiGu9kzsiNdu/wHpuwu4+5YE6ehc33ie7Fw4n+
xRp2JzJXvYG4dHNF649gfzRRHVlPz+533vOc++QPecT6+9a/nD0FyxFn8JTh
IV7iZ74Cu595lifLWvNM/M8aMz6wJvda/jlzTlsvVK3mPM+S/XvwH+Rb+x/g
fwHryvqulDQX5u0uK6eqSwny90Q8/gOymCpWIVXemB9iezkUX2uWs2bTz9h8
Ig93x+IC7x/O/rp9GzEeko//ANNmgTg=
            "]], PolygonBox[CompressedData["
1:eJwtlW1olmUUx69nz+3uZ7vv59l9b0YKwZybgqQ5FISQ+ibEsC9+yiw0KSPJ
loiG+PZdhRKhbxUlhqJRaqLNNN/my1YqCH7I6TZn6nwB82U5neLv778PB865
ztv/Oudc52pa2D7ns6oQwmIogrYkIewshXAXob4SQl8WwrQ4hI5CCL3wLZw9
QXcOm1n1IeR5CA0F+7yOfB3/pBjCbYJeg38J+3uRY6xEvp2G0Izch802+LV1
6EcRWzFrQliFHBPvKvJq+OFyCFewfQq2s+jHk+NLcv1O/A+Jd4T8/2D7DDoK
fxmMreS6iP5v+OOcDaNrxacTfj0+k5DnY1MvXzCEgs/uwaecvYsuImcJvosY
jchniXcS/knZWHfj8xj+RG0ITdWuSRN3PZXZVhiF9Sk2fZFzHCT+r8RsKRlz
EftvwTNF9YFG0N+BythOxuYQtgdz86qhajmMvjVyjVXrlch74B9zdon6LOVs
HHhvIFdj/xX4dhJvCPqcer6Pvir2nU6D9SI0Ff5tYgyiWwLVIzfhf1NYyD8P
eQzUju4TaDN46pD3Zq6hatkGbUhcc9VeMXsyYxCWQSiG38fZqKJjTKQ+D8kx
GV0BfLfwX4RNEf40MT6G/yhxr8di81PmmdPsyaa54pzK3aIeof+FO46jH9Mp
+dfUYx36mbF7moC1g3zV+BaQt2L/XmJe81ZFvD+z/7Fi0w0/gM9s8l3j7Eru
O+vu6ukIvf0P2sd9fgPjEPxh9A/xLXF2BP5o5rvUIB/T3SuOJQwXwPcAPK9G
7ukj+Dc0o7Fz9ueeec2+7nAn80xqNuci1+bOoVzqUQX5x9R3V4w3kR+BqSfy
TGg29nN2HjxXhRn+O85i+DI0hG9N7tiaKc3Wa/i/g/8MYjannnHNumrcyWxt
TPzWFeM++lupe3Wcs8XoOjL3toGYB+B3oB8o+k1343+Is5djv6Fd9G5pnXeN
ZnaTZjc1VtVItdIMahbl80fmN623rR10DL4Xaiu5B6fwn1DxbhiBeqnlQvwb
4d8i5gD8YOpZF+aB1G9Qb1Ez+Q36BdArkXfKJfLtzt1L7bA98Psz361fO6js
GIqlmp8hX6Hi2dKb19sXBmFRDcej+6vGWDRDa/BdAf1cNEZh/SFxb7Qjstw5
lEtvVG/1U6izym9Kb+uDxLMozDuQz2R+G+rhlLJn/MWsx94FU3PvBtVMtetM
3DvFPAHfRQ37i+6Zejca/38j7yjtKu0M7Q7tcO1y7XTtdt1heeqdpN2kHdyo
+4KnregZXIbv96lnSzm2w2+u9W6VzRd1/oP0FylnA/xzcKrvWg==
            "]]}]}, 
        {RGBColor[
         0.7799537083333333, 0.46734475000000003`, 0.25285795833333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VltsVFUUPcxM594793XuQI1Gi9IiSKpWJAUl1h+MCRKLMRr98JGgfmiM
aGJUfloSH4n6Q42Wb2NAjTFW6QgxtKJlai0JJJZoLFYUUyGS+ZGgUrRxrazN
x8157bP32nuvvc9dsW37vc+UnHMn8JXxra869zMmETZ7E+c2Ye++yLkbUudS
7B31zn0aOvdI4NwqnHVj7MY6WeLcKZw/iLXHvLPu3HLMpyB/Avf/qWCdObcV
smcC6TqNvXOwdRTzd7DfW9W8A+fDoWxP4v5VWDcxNmrO/QrdEXDFBeaQHYyd
+xDrWeh5F+MefDdBJoTseCx53pvCNwA9J3GvH7rPloRh2OSrOH8fNiqQ+QDj
rXX5WEB+Lb6dmN+MsRtxeAC4r8e4G3evBcYh+JfhfAh6D0Hna4V8fBljvZCt
N4BlJFTsGLctFa0PwvZF6GkH/r2QacD2BOSfxPzKiu428O2CbAidQSBc1EMd
zA3jtAE6ZrC3DXpmIR8WykWCsYX9T8zuKazvxvw3jAOpdL+K+VxF8SR+xoIx
YSzX0dey8C1E0l/D/pfAOQ3Z7bHyz31y4PJIsUoC8eG2QHr/TeUX/euq6i5z
E5gt5uFHLz20s7EqrjBHjAFzRqyMa7/tMw9lrPeVFGuevYLRM2+B7I1B71/Q
+V+q2DGGo9h/ONa9Ejg5Hwo3MZPP32E936Z4Hjdu/1TSmrElZ8lJcpV4Z0xm
dV08vq4u/pL/zM26QrrvhI23Q+G7wyku5A1jTgyU+Rt6PvbC+QQwvhnLf/KI
/naYzuXGBc5Zr5sx/wNyF73mCxi/9fKRvq4N5Av9YC0yN+Qec0tMxMNcZZav
vkDrS3IcWdcDiXh0BjrbM+kbA7YVmJ/D+STy2fLi0zH4uyOWDGVHvfT314WF
mBi3zop4Ro5xf8Zw7khkM4L+lVXVOONzWSJfX4fuuyryn2vWxIjVxZqyzri/
GCqntLW7Jn8GoeMHr3y/CD1PxcJxFvv3R4rHRsxb+FZif1kmHd2GeQKYerBu
FqqtzOrufFn5JfeWFtJDfcS+Cj4s4O41FclRhr2MdTBaU//bYD3w81zyDYxb
QtVMJ76JXHJf59q7IlAt9VtfbVjNLbGetC9X7EYxHslVV9O5etVO4x6x00fi
f74sGdZXy/o8z7NCtr7y6h/EyTeC/ZR9tQdjV6L7N6bqZcznskI9lTXYsPeB
XCLHNsPmVEm82RRp3ZFKd6/pXzSenG4Tn8irC5C5OhM35rC3uiq7jO3STHjr
meyT38zBR4m4M404D9Wk77lcXCEfqIs4yBv2o8lYd5sYj9R0lzp6LCa8R5vz
ZvfxWDXJd29/LkwHMJ70wv8L381c/o5jvserj3yRKKaM7SEvf4iF3Ged9l2q
wUScmQOWjkyYyWVy7bz52DROHsY4Xiin5G9XKozrC+GdNcw1eyP4VrCeWddv
wf4tiXrko1YTjCPXawL1Rb557PvkXYq7zZpixx5AXxet1lgvjDPv3F6oTvcm
ihPfM/Yv1jBr9IIXj8h18vyYV99j/3ssFTdf4nteiBd9hXo3+9tDxF5Xz9/v
1SPZK3lGjrO3k+ffR/rnaMO9F2L5c9zrDu8+jb3Duf6Bmrk4y1plnQ5H4sZI
Lr+n7P0iF1r2ttLOvP0D0AfWJ2Xuqaset9bVK1rWLxiX3y2eHAcDzceApx3z
g14Y+B/QsHwwDwuJsDBu5Oqzue7vqinn7J2MF/UNmE6OxMT5NxajaS9OkAud
qWqGuN6LVYvEQD8/83qb+I4xp4uW1z8TYZtP9A6Tz4z5/xRVVhw=
            "]], PolygonBox[CompressedData["
1:eJwtlElsVXUUxv+0j9433PfevYWaEC1UigVSENAgWIUNhASJQNjAwrBgWACG
ITEOm+JCXbiiBIEtMaIQCUNLJaatQAc6JLgxEGYKqRCILiQItDbx9/m5uLnn
/M98znfOq5t2rdtZEULYw5fhW10dQikKYUIuhLXQa6pNv8vbTf438yE8qQyh
Ev5oEsJy3t7DcDZvB6F/5C1C1obTxXEII3wvI/8beSf0vDSEZuR7+eZDD+Lv
2YQQriM/hvw37Gcje41cDsH3l8khG0JTVQhD0DlsEvQ3oJOH/rSALbE2YX8N
2z7lh7yft9Po7+IbmRjCA74WZHexWZV1Dv3wcWpfw+gXUuek3H5Hfze2L/D5
CNlK3sag7/ItUC94+4zYo4llt4l/CX8Pybnu/3pvw6f424h8HjG7ofeUnYt8
3MG2g7dGZI3wV+FrYuc/ny/C/ltilCrt4+1q91y9X0+MxmIIX2D/MHKP1KsL
6hG5LaRf3dAfYN9a4Zl9h+3R2LlqZprdGXSmoztMvK6CZ6xZL+H7M/En+jn6
N5B9SbyzFY75FXSmFMJl+EX46MPXxbJjf0M+M8l3IvIHGetId1a1ZeJ78D1e
dK+64f+B7kndq1XY1KH/Dvqn4BvAQzO5j8bGVg02Y9CTU9PLkU+CbkL/ZNaY
2Fx0Tsrtfd7uafbIR7LG3BD9bUM+o8r8NPRT3j7C30zefkLWS0/mwL9JPuPE
a8kZm+rZf73DZhTbBvh2+AHs66uMMWHtk4JnKwzuRL4vb2yJFzbfQOdz5C3o
t9KPdr4E/gD8Dmxf4P8Wsc9Tz3HiTy15Fh3ErC25h+rlK9j0QZ8qexeFoV5i
TUZnRsYYmgR9ruzalHM9vl8vut4iPuZCPybG9Ix7vJH4vYl9Cz/a/fPwUyLX
qFp78fdWlTEn7J3QzlfaZz30YNm7K169/Rqfjyt8E/5Cns0b69qxl+B/wH8m
MsaayWdv7FqFAWFBOyW8SOd7dPfnjA3NXLPfjf+D0LXILyHv55sa+U0yYUrY
0g2ZVvLOah9UQ0/ZPVfvNfM+6La8d0P35DC5LEldq2yWQtcTc1/WMbYUPEPN
Uje0LfHMNDthTthrio3Vp9h3QP8cu7fakSs5Y0xY0wy24+9W3rq6Kbotg4lr
004PQOdj3z7dEN2SztS3STPvSo1pYTvG5gz6i9BfFnyjdau3EiMbuQbVoplr
9no7gXxFzrbC6AL8ncv7VmtnWunX5cTY0Ux/he5K3KtBvl8SY15Y103/GN/F
1DJhqJS6p9Kvge9E/37qXVWPh3WLC77N2oE/kM8p+vaphoXYHomdjzAn7NUi
X5kx/nVLOxL71tsyavkQf2nkHdOubSv49uitgfrPlr3L8qla/wVvy/Yr
            "]]}]}, 
        {RGBColor[0.814341625, 0.52645725, 0.26505337500000004`], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VUtsTVEUPfrK7TvvvHfvfSht0ahPhUqoUuqXEGLQtELiO0FHSGqGif9n
7hMECQPBQIQqmihCS4WGhPpUWyXpgAmRNGmqA9bKOgYv+7x9915n77U/Z+K2
XWvqc4wxd/FL4Dc3NqYTh0vOmKqsMUdyjTmZNKYoY8yDYcbkQ+5OGfMJTvWh
Mafx/UdgzAr4VidkXwo7mzbmN2SrNeZ5BH/YtEIej2V/DHIQuFvhk4e7ZsDe
AfMqbFqB2w/fNvha6CpGGLMM+C2hzk8g/+ZBAf8Qdtfgk4HdFyt/4nTj/DVH
drRhToOQffilA+kb8L0NcUT4NhpyFfQBdOWAnprW+SNw1iWV31LEeRy5r4Dd
AO7ZnBJGATiZi28HgVMGvz6cC8HDC2COxnkH9OOhv4ZzL85NkMXDxRe5aowU
051IuTHHZ5AbM7LbBFkNvJWB4o8RUxXkS9gsANYh4kP3G7ZNCdXpZ6S8uxH7
vlB3fcH5SiRe9iP2hzh3QH8OGLOBXxeIi9ewX4wYvlnVmLXeA/sefNuZUF0H
IA8nxHs/5IGEeC9CnquANS4tvC0ek3zzXvI1y6muXVY5M/dycHUnVH5NzC8t
zArY3oO+Bpgl0C1HDpNRi2b4deI3E757EVuRFf/zyEegGpEzYrD3GFtDJF0x
cIYi1XswUs8Sh7Ugf9Wew4VZ/T8AzP1OZ+p+wb4M9p2+N5kL+/VIoDgrEd9X
xBNCP8XXv3eY4p6YVh9WxOJjIFd3dfleZt1mwn7JCNX4ghNn7DXqFnh9jhPm
bdwzCuft8CkE9viMMCdkdA/jIafzfZ/cAP4nq95mj9fmKk5ikhfy0wi+HznV
+DHkB/hMR27vIe+HsmUPBla5scfbre5jfiVO+LyHM8ras8aPkMMU2DcAo8DJ
nn6MkWfyRk4nDFctNmR0Xg9Z4PcJ90q+30Vn4DvN9yNn9l1CcbJfV2d1dw1k
cyxc6zTn7McriGUMznW4exEwL+apH4jzJqG9xHqRm1pf0+9O/d5jlQ/rUmo0
65wf4s6OpVuJuxusasRaDfkZ++P74a3viV7fJ+2h6saeYB/UpdWX3MGdSfVc
zLxT8iM2e5D8MDd+p2Tu3N3cd5chzzrx0oHaLXSa2WL4LnLaadxtHyP5kqfP
fudyRhkTY2Mvc7cyd3LA3cp5ehZp5vr97LOurO8JYE7yvdUE3UNf92bIW1b8
nnLaE6wfOe/y985x4ma75+dpSjYtkDdDnam75VSTsZBtKc3M+aTi5Zk9Sjzu
W84m9wH3AmvzItQcHUW+j0PZcDdzj7Omm1LaW3W+pqwLdyt7LnLCOM+dkNb7
dz3SDuUubbSKgzH0Af+0n03OaGlW79jTUG8b4/oTiSfuDuYzMtbdo2K9l9xd
07LC6PG9ztlir9K/2de0yul9YN057698jv9z5T5nvem/03PON4D9Ng555zvp
86x6v8P3P+/nDmXckz3n5L7b76varHY0bQqt9gv3TKXTHmcsdz3Hgd+T5U54
a5O6k7PHeP4BV/YQ2A==
            "]], PolygonBox[CompressedData["
1:eJwtlEuMjWcYx1/O6Zw533nP+b4zmrZmzIhBRoqFcR9KQkYshMYlyqZlNi4J
O7ophiJ2lBCXRReqXYkyahIzJGVcExJ1G6LaxoJVI5HIjI3fP/9ZPMn/eZ/7
7R2zfuvyLcNDCBugPFSfhLAzF8I76HIMoRZaB74PnUN2qBjCePBf0DFkJ6AW
7M7j5CT4IPJx8C+HYV8KoThk/wi6iP0x6O0nIbwnWGMlhLUl2/4Dnc6IjX53
zjrSvQr/Hr6CfB74x2oIs2tCaCfGHvCEuhAaCiEsgG8BD+BjMfyp2hAOlBxT
sZXzFfhRZeTEbkV/DP5WFG2rmtuQzYHWI++En418VMW5XaaeBvAg/t8Nc4wP
4K40hCXov+LtArip4tpS+Of4XlR0fzrRn0q+RxP7WoL/H9Bfi/5oam3hrQLu
w2cc7ppugH9P3MuN6B8hn6PQA/AmqICsFZ/lgmNMAdeXrfsWm5HglUXXs4u3
6djOQGcP+st4G4u8OzVuQ/8S+HD0rDVDzfJ4dP80wwH4/fRwUcE1N5VdU+cQ
f5585/LWAd6N/hxsVxXNf4fOCHR/5q0/Zx/ytR16Sr390BPsG8uuTfEXYnsa
eZazj8+xv5M6V+3AXfCM6NpUo2Y3qWxePZwIbkw8y3rNCN2HmXdXMbfh+1/k
X9XY3+3UO6/dl48GZP9B85BNhr+J/vzo3ZPNvdQ7pF0q4K8ZnETXonkOFr2j
0n9DvfvAP+kt7/m/xt9qZt7E/Cchf5p5B2Srt2/Afxetqx1ZA/8F/mfib0Dz
1W1g0z40/wx+WtUy9Xg6+BoxJuS88w30YxCdKXn341tkzbwtzXsntBt7q871
CG87kD1JXNtLfFyl3heJb1Hz7cHXn6nvZxr9uKZdqvPuB/L+Gvyq6t6l8oFt
lRr+z7v/pYpvWv4UbyfxLqa+JeX0B7in5NvVDmoXezLvxkP43swz0+w0I83q
DPodBdf4IbrG+qF7nhX9J+hv2Az/WfQOa3fVw33Irie+HfXsLL5rEt+Tbk63
V5vY9gX0C/zSOteqG+zKPHPNbzJ8P3x3dO8SanyGbVt077TPuo1Pq74N5azc
Z0bnqn3W7d6qOn/dwE3wb5l7pZ79mrln4rVjc6NzUm7KWbmPThxPf+gVZOOj
Z6EdGgeeGp2bZtgaPRPN5kvyeYz/70uuRTvbQay+1LPWH3gdfCHxPWlGveh2
JZ6N/gv9/dpp7bZm3k89jzL7lo1sdQPab/35O9D/CL/fzTg=
            "]]}]}, 
        {RGBColor[
         0.8452164166666667, 0.5873894583333333, 0.27568691666666667`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFlV1olmUYx+/1bnt9n+d+3+d96ECdSzfTtSkR21LQDcuSOgpKC8uDSMlD
iz70xDT6ICEIoiL6UKmw05kEEZptpaQdJJLN0gMrkayw3HSpwaB+//43dHBz
Xc99Xx//6/Pp3vD46seuCyHs41Q497SG8Hw1hF74RiOEP/heB92bhVBvD2Fn
EcKOGEJPSwhXayE8wdtgWwhPQj9C5gz3M3hfXg9hPbprkPmE+7Pc17l/l3MS
R+9AN1bM6+3B5Es+J7nbxlkJhhegj+B3FTLX4F/kNAH8Mvbv5G5KeODvgJ+A
H8bGFvDfiO4JvofQ/Qa6Fhx3cbcKv9v4ngDzm+Bag/wgMsvQf6We/PD+bN2+
VyB/udXyJW9jheVPZcbbW/X92yknn+UhfMzbT/DjTeTLEG6eEcJoaTviG7xd
Ac/D2G9B70fk7+X+HDKdmWNRTEOcbmJdiswc+EvcH8L+iab9boY/F52HG9A7
zPdibO7lbnvF+e9Cf1HpujxAbveg+w/41+XOhXLyrfIWHa/ifgP+OPy+zBjF
K59dmfOjPF3A9iIw5y2uYai6jmPRdfoCent0vboz10C1GIfOzYxZNTxQ2s5+
6MHceVP+8oZ9lNC2aPyKQz30Xy+hO5E5vq3IzOX7V/gd2OjH3jhnPt8L8N9o
t778D3OG4L8u3Ec/Y2OycJ4vZe7/65EZQOZCYfvyozfJbMfXsmhe9dlQta/1
mhl0eyrGsSLlcxR6n3oSfhqbkwmzbM/DT1+b6/o0uHuwcZz6XM6M/Tl8nUdv
U9JdnKiw7Y72NYbe2cyxKKbdhePdBb271fOg2g1F2xwG86s15+X16P7vb/es
vZQbu3LZV3qOeqGjhWW+x89AilX1O5Lbr/zPAusUtjqgT2F7IM3UYIpP/DPI
L0X3F2LcnGJRLWaWzuOe3LEuTPn/rvD7Ue6X1L0T+sH8fuH9VEbXW5jfg/+w
cO32Z65Jf8IqXvYV/+nM++XTaGyqgfCNqC/hD2fOmfhbWjyX6hvNyda642gi
szLNjvbKdOEdNcX9xoZr+ij0WMXzo/xfafX8a/aXV/0t/nTN9CL2DkTPfgd2
fm86n8prwfkTvgm9VvOe0Q5W/MrDLuhN0T3WA/07yWgnKd/yqx31Q9Pzurbh
XlJfqgafR8/1PPzOrrtvOuqug+ZBtdDOEG5hPVZ4rm+Lxqg33cuW6if5OQ3H
2Al9q2Z/2k+aP9VedVVM2qF50t1S+b/eol9Gz4T2gPbCqZplFUdb5vpsAuf8
6J7rjt5DwqQdobrqXjXrTjKdyMe67bVzN13zf2gn/Oxo/LOi+0z9NhM/R0r3
/VHt8uhZWY1eV935+YB8jGSu92uqY+750pyNROejphnJvJcvIr8gOg8LtdvT
zlf91cuaa9VVsy1+NPe+U0y/EfvJpnOiHSns2jvS08xpnhVvL/L3w/clqnvh
ls/zafaWlP7X31r6366+V04farhfzoD/UOor9ddfhWfqK+Uj/WMGo/Osnpdu
M/3Xr4LxX1S1A9A=
            "]], PolygonBox[CompressedData["
1:eJwtlVuIVWUYhv89zew9e61/r7UXleNh0hmz3Uwh5UwKOiOlRXUTlKalQaTo
pUUHvTEHOhB0FXQiTO2A4d1oXkRpNZNGdiHiITUNzEI6UenopBMI9by8++KH
713f+bi6Vz+15MmWEMIQr5XXWQvh2WtCuFgKYRr0+RweuAuhsSSEzdUQ7kWu
Dj6QhjApC+ESipd506DLMYSz6DZ4E8hO5ds4vAx8GtyAvwF7D/HtfvAb4Fng
M/B3Yb8F/Dj4CG83+CD+B8ohPNgewo/gnxL7fhn+IXjbiWF1JYRVvOuLEPqj
473I+wHZyeB10L/ydkEPktPMFut0IL8FGzXs34b/tsQxKbZbkX+nahuytYl3
O/rHm/EMIP8d9Ht866EeL2JvLvaWoLMoWH4uvnZG2+pDfjg6BsWynjcLuiOx
rHx8Br4jutariGEB+ivJ77+yaziFWm5t+msgvw16JDXdA38MPI/Xjf5i9Q/b
j8EPxHYCmXfh7YuOXT3YL3+FY38A/e6aY1AsquFk9Nej3wP/L/g1/C+E/xK8
NeCFyB+vu99/gk9AL606dun3Ibs/9SypvvugryCzFt5vxPgKeE/q/qvfbyG/
A1yU7PMYso/gMy3Z/6PQ70frqgaq/Tg9uLvk/k8ilyJzLNI5RSy/Y+Pnkuv3
B3RKzIOt7vlO8vsWnb522ziHvW/Ac9o9I5fgH8097+r5Meg63+Yj2w8eBX+e
etZVgy+gTyXmLcXHzfg6CL6p7Bmcgv23wRfavDPaHc2U+j/GOw2vF52HWz1D
s+GVmvtwiDcM/9Xo3G4hxr2FfciXdHqgTyIzp+m/AT4LHiw7fu3SGnz24n+G
8gevq7k3+rYWXtKsz32aN+gzVfdDMW9Cfkt0/1TTTxL3VPrTsTcMv5p41q8F
fwS+UnV9tN9t6H6dWFY+5OuFzLW+B36XahW9G4pZsbdH68rGv9g6TA8bFdc7
1pyDcuknvqextSexb81zF/yR5rzK/pfQU2vO7Ubqex34F+zNqzhHzd7GzPun
/enE1rnCt0czoNunHZFt9VS9Hcq8b5qf6eAZiX0ppwHtYuJbNcEbBd8ZjbU/
y7H3TObYNVMbsb04+r7J3yLtOv43VFwvze5rVceub72Fb4JmWzuuXd8cvevq
UR36q2jfsinbyzLXMyP+bblvpnZHO3Cg8E4rNsV4V/TOa/f+5uXQ9cy0ZlCz
uLLJV/1WQA8Rw4KKb9Z2ajtO/k+U3QPdjonc9dG3q7lrIH/iD6o/iWuvHugW
bs0dq26EboVuhG6FduIyuh8jf7iJ9e/4NHqXtD87oD/M3S/diw+gz0f/i2aT
7yj5jhSmtY8dmp/Cu6UbEjN/E08z8nzqG6tbq/perdqHfGnnRrD/vea/7H/o
THgXcuejGRnLbVO2NcPPpf7HKR/ltzf1TKq/yunN6Jum/ugm/YN+Z+Z/rWqs
Wr8efRuko9m4IfEsyt/86BugW6CYFNv/Xtrv0Q==
            "]]}]}, 
        {RGBColor[
         0.8745855833333335, 0.6491015416666668, 0.28565108333333333`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlllsVVUUhvftvb3lnHuGe5pI1SABStvbOCSaVhGptBqjMfGBKhqNgBHh
SUGNxthBhdA0tA5JDcYHBosY3yA+qKHGUMcHeWFQqqZoItJUUKHaVrCE+C3/
/XC69l1r7TX8a9hd/Pjmzk1Vzrkv+PJ8G/lTW3RuIgcvcu4ivz+HjmfOLUH+
euDcDXnxMy6OIrsL3cWhc1N8D3P3XOrcx5xPwV+TOPd+ybk69CfKzlWQj3Oe
Q3aU3001zh2DfuXtfIPumwXnhvja8XcG2TJ0foNuIYZrqp17EJtD+KjB1slM
MVlsy6HV2FmH/X84H+Tcgc06YunFxiA2b0TvAL9Pwi/Fzj2J7rYaxfNhJJ+r
Askr1bLbjc55vnnkux7fTfAL2Jgm1vnI+7j3O/Hdip2z0MaCzj+j/za2lqFz
D7QPGxuQLYX/L/GvI/456PGy8DGchvmdwd8LnYT3Ql73Td6CzZ+qxGsvCv/r
I8XXTC5tfPXw2uCd4f5qdM5C/yTWhfBfJPbeWPiuALfbC8LW4pxC7xH0z0Nz
6LQic7EwGCgIB8PEMF8K/Rubazh/namekz5Oq7fV/dpMeA94zCux8GuC3pIJ
87sD1d9yG6vy9czJV31eZ/M1i14DdAd5tWHvsbxwjxPdex7cCr7u+Ug+m3zt
5rhb4e6r8Fdy7kCWEcN4Tj7M/iWvM4XOncTQbzOA3VXz1OuZx9yo5TjGeX1e
d0ZKim1XKtvWTzY7i2LREXC6I1LtP/PU6m+93pwphjcC4WW4pehEkeyXoKnP
0XJtwWYX/Ovg7041C6vh14aKrwL/R2zNEMfVifrA+mE6VP92+R6+H9kC7nYm
ym+wRvnaPPzf98QykVcuNhetNepp6z3Dze5azg2ZcLaZOJqqJ49Ab6rWvFnd
PwCfw+gOh6q9+f/BMCnKt/m1PrUeth59L5XfAJ22QD3aXOvcax4TwyaK1QdH
mJuZQDXcCv9L5Ceq5K+lWr5snu8NRG2+V2bK9z540/7ujlT+1xYUg83fRl/H
npLyrks0r2uLwvRiqvMg9i6n6pl6Yr7k+RegS0LV2XZbp8e8Cf1vU+X/HXQm
VD9sQ74p1sxsht4cKxabXfNhNvcS7zOJ32HcfcvvQNuFtoNsJgbR2RdpJj8N
tW/6fc/NoPco+vMzYWP9YLi0xsq9k7sDmXSGA/kwX08kwtUwNx+HS94e9i8E
msdipBob9rPIP8lUj+3wT6SaqzHoR6HmZ2eknWjz1Mi5Fx+3gc/LiXpu3O8T
s93q/W5INNtPxarP93nNjM2PzdFQpB3R4OeyC/3l2OyBbs+0396xNyLUXttJ
PI2ZetpxbxH8FfC3oP9KovNW6O5IvnZBF4Sy2Z2oZobDrL0vJe3RSXpyX6o3
9F1oVSxMbA5sbg3zK9DfH8pvDt7CULm/hL3uWG/fs5yvCvV+9cXqP+vDQ8S7
P9J8HoCeKutd+AXaj+wh/O4JhLvhX05U/46iZq3D7yDbSQ8k2iH2rv6R6q7Z
OJ5K/1iq3WN2LIdfy9oFp8valbb/DpFXj39T7G0ZzbQrziE/mOq9H4Fe6XOx
N3nW96H12miqWS37/x0sBtMzDGyPWP9Fvv9G0H+upLPxLCY7W2/85d8vq7Pt
P4vB6mF2zL71ue0Im3eb+6cT2U/xezrTrp+AtvudaW/p5UB9tifVzFjM05z/
A/s0HR8=
            "]], PolygonBox[CompressedData["
1:eJwtll9sVFUQxs/utl3u7t299zaRolEjtLRbEzEYqghFWtGYkPgAiviPP1Hx
CUGNhthSowmGxOoLRmMiUEF8hTeJNYaixBiJAUSpmqJRpEFAQaFFLSH+Pr4+
nGTmzsw3Z858M7vTn1i/dF0+hLCJU8d5LwphViGEJVNCOJmF0BqHMJfvGU5t
yN8kIXQ3hLAZn3vQ5+E/A3tbfQgz8U+rIRzANox/grwN/5m5EG7Avh35y7Lx
7wbjW/QD6BM553gXrGG+LcLWSPytlRAuoa9A7yT+FfCe4szG93Uuuwb5u8RY
8v8aOXCnEfBaOGPgHeZbF/YN5GwsUWPJd1X8WvAj9LXYRjm7if0ic77HOWPE
Znx7GluGvgP9T87DyPPA6CF/U+z4bvAWku9v8B7D/ijnL3zfwF7jLk/i8yby
+5Ft8rmAfQB9eYMxhT1I/GjOmB+i7yfmNeR7+TYkmTt35xzzB/b2xhDuIvfP
1N/HW+6IfHfVoLd7qOq3Vw9WVJxTuefzrQ/b+ZJzC+8stnLsuwpzQeQYxV6P
/wP4T8W/F/sy/E/jvwSfLp69h29z8L2mZPk8Zy9YO7GvxHcV5z/856NvKPpO
D4K3lW815OPk2EPsQOL3PoG+Fz3lzMG+hfv0gv981bI48BzycfpVbDAHR5AT
/G+b9O/Bv1AxFw+Cl0f+FPsI+DViPibXUNm5vufbdu67LbZ8tefIn3H+LZiz
4u5L5Lwx7x5cC9avKfejnibsndTWVLJNPrM1L9jbir6D7qI31ls/In7g+wNn
St41DmGbVnUv5xJzmtjfU8vqR4X4U6ntd/LtLPK+svmlGlTLPt7gJ+yt+A8h
12Jz/xTnELlerXqWxI8LJc+0Zls1fo58HzVsKpp/4vbOxNwXJ28if0vF8yqf
O8Av4LOq4J6qty+WXave4yj3uxTZvp+zGd+tnOGC73wZ23jZvZlK/y4id4L5
Vp05tRh7LTM3molpR55IzKVmciwCq4GzGtsCYmLu9nLV3BbHNYv9kbE7sOew
h4plxRSJzU3uC3F8HN+s4llWvSnyek4/eh/1zcq8k7Rr+tEXZua4uK6Z0Gzc
H9kmvmiXnkndK/Wjt2xOiBsr0TvAai55l2rnHUu8k7SblHMd8mBirurN9fZX
OVYwp46AvWxyvvX+N2fusXotju8i17nYucc4P0a+g/QO/H9LPSOaFb35RuTe
qnebdoJ2w9uJd6lm7B3ktsy7QG/Wirwldm+k78a/veK3EKdryMvJuabOO6wb
30OJ+aadfAR5aeS3UMwtsTkurmsHVWL3aPUkfwbAv67qWjQDmpXDqXt/DP0F
aktiz4L4NQH2aOr30kxsLPuN9FbiZH1sTGFLr4vdY/VaO+RZ8Mext+Tdoyvc
95fUWJr5E6l/A2VTjapVHBee7vxPZA6JS43UuytxTapNM/AR2CdT90KYwj6T
eLeKI7cT+8wkH7Qj6/EfzFyrfmM/Qb5Y8ixox14m9oPEubS/rpD/q7J/O1TD
QeTRzL/t6oF6Mb1kuzC6Ys+UZH2bgW1P7N9G8U+/1fqNFf/1H+Ao8rnEu0w7
bxr+/wNFnQRJ
            "]], 
           PolygonBox[{{3714, 1340, 2592, 3469, 3470}, {3470, 3469, 4088, 
            1630, 4089}, {3711, 1339, 2590, 3466, 3467}, {3464, 3463, 4080, 
            1626, 4082}, {3467, 3466, 4084, 1628, 4086}, {3708, 1338, 2588, 
            3463, 3464}}]}]}, 
        {RGBColor[0.8990266250000001, 0.7009405000000001, 0.293924], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lllsVVUUhk+5hfac3ntPbxk1RREBLSBQIQwCgjJjJIBYGVoxhAcfCBij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            "]], PolygonBox[CompressedData["
1:eJwtlltsVFUUhve0Q9szc2YOUyGgQUUMaAG5KKFUgWLkbiTcrILgBX3wCYzR
RAkEREEuFREFpSgU4dF7QgyKohJiwEhEEzQqL0JbpFCNAgKV4vf7n4edWeus
f6/7WntuWLBo5sKyEMKbnCwniUN4rDyEZypDGFQK4Wb4rkwIoznVuRBuj0J4
Clk/MOuhlxZC+BMFo5AvgW7kbEXRlG4h3AJ+fjGEvtBJRQgfw19JQpgI9lgV
v9UhfAI/HfxJvu2BfhT8Lxnb6I/9NZx26CYwfyGfg80Z+DkBnXchy2KvFtlh
7uzOh7AOeR9828dZie+L+XYM/xrgO+Dfh78Wej9nNXwzOg9Bt8g+/r2b9/0v
OKuQR+i/A/0/I6+C/hbMQGKp4XzK3dXgfy+zjgvdQ7i/2rEN4Nt90O1gHuL+
OO6fgh7Mt21VzlkX+CucacTXwf2j6N5M/BOJbSPfxhPfZznnRjXYhT9fYq8D
ehg52ESs33N/JPp7wR+B3pN3bWL8a8Jeb3x+vNx3ekGXOOPA14Cvj1xD4Sfj
06/YO8j9ofDjuX8c24M5k7u5pqrteeT3pvnbgWwl37YgqwNzNfwKfNyLbD7n
HLqHwi+BbkDfH8i35Vwb5fg9dLVisx7ZJPxpga7Jubaq95qCe1C9qB5SL7UR
Y22la/oR91vgb0v5E9BjI+PVw0Vsn0zxTcS3FHwdOh9G93TsTUEex+6dr8G/
pH7A/lfl7pEP8u4B9cJsTlvknlHsysGpyDnYn+I/BL81ce7Vw69Dj1YPV7re
mpXG2LbkXyf3r4GvC+6pveAPo2+Q7iPfiexi3v71BnMB+hBnOLJ/OQeQ3xM5
d3OIqR5bPyamNWNHE/sk39QjZdjv5NsqxcOdS9Dt3Z075eg09HZyPEv7AHwz
9Pqic6Uav1x0TuW7Zm4Etn/r7t5TDY5D/4D/WfQ9CeZz9D9Y9GzVcC6Dvy52
7wpzPXRj5NhkX7XVTChXmolAPGs5pyvdf+fRtzv2rCinU7k7NXYs/blzN/Q4
8D3K3MN3Qk8oeRcpprng/8l7F6jGqvXfede2E8xb8LUFz6t6ZBR0z5xntw86
B8eeUdmfQY1aE8+IZmUu+GHgH0j3nXpQvfgi9k9VOn9ntC9SXjtsA9jn4Fvh
e8LPht+YeNdE6NwM/QYnX+EZvgr7x0qeVWGEVY+p14TZAr098a5Vvruwf4X4
5pV7h9XBf5d4l2vmjkBvSmxLmLPIX4WvqvBO0C5pSxyr4j8OfUL7usIzPST2
N8n0rSXxjvx/V8K/pt1XsC/KyTzi21l0b50h5saSbcq2doZ2R4i9O55GPqDk
Hb4vnbez+DO24FprBuqhG9C3LOscKpcvwI/B1iPYP0dtVuPDpW7GzAO/rOhe
momppdDnwSyo8B3dVQ+oF3RnjWLHv/lZ11y9dzmxbuGfVzyRfdE3yVak8anf
lkMHbB7MeN9loMtj11rfsrF3onajek69l489D5p57aYs8iEZ11hv4/CCe007
Y1rkHaldqTdjINif1GPlnoET8Bdzfov0LcNs9Sx4t+jN6gG9M3F99Cbsgu4b
e3b1Rg2q9o7RrtHO6JfzDKjeysmIgnOs2JWDb6jPrWk9euDfcOUa+YGMa7yc
uzsi50YzrdlujlwLvfF669+OPM/qj3Xw29P3XjOjWXql6FkSr1nSG6y3WDtT
u/OmkntH9mcW/YbqLdUb1gRfU+23QDkeExkjrHyeBb02Mi+f3yGeRfp/k3EN
FkLfmPNuVc90JfZRvqrmFxP3tHjFsAN9S4quj2JYDL0y7U/p2IC+SZHfYv0H
quVukvN/Kdl8Auy59L3VDOjt7ODMTvtlJPefLfrt1TfJ/gMx00au
            "]]}]}, 
        {RGBColor[
         0.9119687083333333, 0.7297421666666667, 0.29825066666666666`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV1lsVVUUPfT1vXLvfffe91oIdKAFEVGGDmACaKSMLQilOKLSYETA4QNU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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhnd7C/Wee3vPbQsyKlZQZCwFE8FEi2BbEAriBArBiIrGB4jy
Ir4IGBCZG8AwRqQqyKA4RgSNEiRq8MUhYUhQkakILTiEIoH6/fnPw0rW2mve
a9i7YtrMB2YUhhB2AUXApHQIK4pDWJoKYXQ2hC/iEAa2D2EQ8HMUwt0lIUxH
cDn8cfBrS0NYhfwy6LHQG9AfhZ0lnN0DryPyI5Hvy9lm+IOhp0A/AwwHj4Fq
8Dz2d2O/Wz6E8QXIEVR38D6cjYMeBL06F0IN8s8hvwR/o7B3DdgP/3K7EF4l
1u3IbITfohzwX4X8ZOhy9AeBDy91bIphCPQR6LrrQqjA3meZENbgbzd4V2Ab
dCP5PBycczXyZcAI8I7EuxfZNmTK4X+O/JysY1SsDfgYie3OyNcgX4FMOfz5
xNhKrBFQhewx6K7I12PvN/CvsdcbW92h92G/HXfwLHgdOR6EV5P1/dZxdgT5
fzn7Fl434CyxpvF3Z5FjGgb9a2zbLdj8FN0RnNUW2cdq8OXI34/uGOLZRDyD
c46tC2dT4G0ghj3IdgN24Otl7O2D9w8yc8EvcfY9dHfgPPYakb8KrwfyH8Pr
H7meVeS4DttzYutOhn8N/vrIdzcBaIFu4s4epB43IH9G9QS6EP9ozr5C9ieg
sr17Ur2pO9Jd3UtO15c4BsVyC3Qz+d6Dz4NJfOfgTU67X8cSw5uqVeTevQoc
yNqGbKlmncD7cPZiyj00Dt2/kvvuCpyCjtAfIpoYdqh+kXHFrNjryGc1/sbj
7135Aw4U+H5PoN+Q9Wx0QP4d5Ocn/aueewV8YWxZ6bwGviZ2L0XIrwW/L+v4
lZNyO5N2LyjGO9A/gcx45McjfxJ8EfLfID8RaCWXlzK+qxuhPwQfi06ndq6h
avkWcCDlen4Cf1FsXd3pZngLYs+e+mM7/J0Z3438vwd+Mm1a8V+A/iPtfDSz
lfiqI57FKc+0ZntYzv2kHJqQ/TOpp86q4Z3lPh+iF5rJtxX/PaEPFXiGj4K/
n7Gu5HeB74l8t5pZze5UbFQQ72z0+yP/es69qR3TF9lOeeM66wx+a+RdcwXY
T6yTythZxPQkNmvLvGO0ax7hjrdh67uMd41mVLuwgbOR+KvH5gL8N8TeNYeh
d2K7Bv2Vxd5365F9I+dZ1Nlj6F/Iez92xV4LeC/kZxU7Z+VeSUw9Cl3jgVnv
5OVJP1/C/kcZ1041XAwvlXesTxF/EXhb7FzUcyuIr1fkXfM0ZwXwf9A8Q89A
fy+yv0Cf0+6H/zv0YaAWfBRwCt7StGM9TYzziG9T7N3+Iza2wp8Xe7dqh6yF
vhzZl2qq2g4r8dujnIaCb4m9a6W/JbJN2Z5DvItj7xDtEt3JUHwvhK4rdr3L
0X8i57seABSiPzjyLCrfhhLblO1qdC6S7wzkWzQ7QAm8m7iz6uCd8yX+ZqHT
VuCZfwH88RLHop66iv85GdtSzXLwFqU9G9r52v2Tsd8lWGcK+JK0Z08zqdlc
iUzPAu/wVbF3tna3duKZUuek3PSmdgBfhr+WQtfkKvGXE/NdBY5xVs4zKf/a
4XOz7oEDyfw347s5492rN09v33/A9PZ+H/VWb072k3qgMeseVa9qpw9Adk3y
3mlm+kFvTOZJ/IHQbyfyemMqI8+sZlczNLHMO39CEp/emssZx6YYtXumJver
nXQx7Rz2JO/FcehU5NqqZtPwtRKoLPS83aZdnHXvNgEf6D0o8d9D86m39NF0
8lZjf0XOMpLVztfuP1bqt0d3oF1dlnd/ykeKWP/OeLdpx51WLZF5PuU3Vm9t
f3KsL3YP9QMvzzs23VkH8KOxZ0c1m6f7zvlt0j7X36oNmfaFthFK/WdRbWrQ
OUF+RSWeb/XU7fg7HXvXS+dU7D+D5lk1LcTWych/B82sZjfkvQv0x7gCrzHx
r3rpb6AdOTvpZ/3V9AfUX1A59iDXXORZUQ/ORPd85LdbO70p9s5TviOwuRz+
odixKybtmvpkX+mN1Fu5NZlHzXArsR2PvWv0R9JfaX3st08zsi72jtOu0xs4
Jus3XLRsVkXe2drdqllvvfU5x6I/rv66N+edq3LuCf4/1ztbdA==
            "]]}]}, 
        {RGBColor[0.9249107916666666, 0.7585438333333333, 0.3025773333333333],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFl2uMVdUVx8887r1zz71n33MGQYiljkIZIh1BZKxtUhQBwc5gYYi1xMQo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            "]], PolygonBox[CompressedData["
1:eJwtlllslFUUx++0nSnzzcw3LSD7LptiWQQUY1QQhApFoTwg0RDgQVpQdlkU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            "]], 
           PolygonBox[{{3490, 3489, 4123, 1657, 4125}, {3750, 1357, 2607, 
            3492, 3493}, {3636, 3635, 2536, 1292, 3638}, {3742, 1354, 2606, 
            3489, 3490}, {3493, 3492, 4127, 1659, 4128}, {3650, 1296, 2540, 
            3643, 3644}, {3644, 3643, 2539, 1295, 3646}, {3487, 3486, 4119, 
            1655, 4121}, {3737, 1351, 2603, 3486, 3487}, {3484, 3483, 4115, 
            1653, 4117}, {3642, 1293, 2537, 3635, 3636}, {3732, 1348, 2600, 
            3483, 3484}}]}]}, 
        {RGBColor[0.9283803749999999, 0.76638, 0.30373225], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFWAlwVtUVvn+Wf3n//+7/XspSjEri1KkJ4LQ1IrKkyKKUVdCQsCVhUWiU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            "]], PolygonBox[CompressedData["
1:eJwtl3mMVVUSxk932+/1e/e98+7rCBFbIxjXpl0SoUUURAaUBhEBaRpUaBZF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            "]], 
           PolygonBox[{{3566, 3565, 3929, 1492, 2689}, {4241, 1772, 4243, 
            3565, 3566}}]}]}, 
        {RGBColor[
         0.9307974583333334, 0.7718866666666667, 0.30453474999999997`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmWmQldURhj9mu9vce787moggUfyRUkGrEh0UCIuYoAwqEQEFRBQcQJaI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            "]], PolygonBox[CompressedData["
1:eJwtl2lwleUVx98Ebm54773v+958kQLOVGc605po6wIEkE0tQhSECAiETZYk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            "]]}]}, 
        {RGBColor[0.9280820416666666, 0.7721285416666667, 0.303619125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmXmsVtUVxe+bvvF9997vRa3g0DQkTdrEsVXAYtWqiAyCikwqCCqIBVFQ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            "]], PolygonBox[CompressedData["
1:eJwtl2eMVFUUx++uOzs7s/PemxmVoILG+EVNsEWlCCpIlbIodakuoqJ0FDEU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            "]]}]}, 
        {RGBColor[0.920234125, 0.767105625, 0.300985375], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mHuQlnUVx5/dfd933/d5L8/zPl6yJnNMm6ZmUiArUyS5KF64LDehAGMR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            "]], PolygonBox[CompressedData["
1:eJwtlnds1VUUx29f32tff31979fHNgKaGBNNZCmIUFH2LLSlUJSyhxTa9wpl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            "]]}]}, 
        {RGBColor[
         0.9091361666666665, 0.7599983749999999, 0.29733204166666666`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFl2mMVlcZx88M73Lf+77v3DsvrX5xj9W6drGWaBNpWrtZtTBMo6HUttOV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            "]], PolygonBox[CompressedData["
1:eJwtlllsllUQhg9t/+372n8D9MoYRESNyiqoJIKgAq5QIJFNsewgpS0tBUFA
QqKJaCSIS0RRSVHWiLKWtjZUtoKJZd9cbrxRr7x1fV5fLk4y75k5M3Nm5syc
XlWLK6tLQghNrDLW2YoQOiC2QzdnQjgDbgO3p0KYVQjhankIO+CNB5eAc8UQ
Xk6HsII1NA5hYT6E11B4PBnCIugB8D+Bt44z/SUbhXAqEcJJ1uO5EBqR+R7Z
Nvht2Hs3tu5xrG7on806Ct3BmgP9HvxK6AifzuLLB+CJ4AmsUvht+Lsf3ir0
V2IrxuZh9L+D/gj6XuQPgg+wJmN7HmeOcbYJHzfFtinbsiFby9BxDF2n0Hkd
3UvBR+U/+Cq4nXUAejV7E+C9lPfdu7P3A/5NBR8CN3QL4TL6nkf/fnSvxp+/
syFsYO+ztGPUD/+WId+VtL1r6L4N/hfgz1lPwnsE3Ck+qxb8FGt70nfW3VtY
+6BX4M94/OlGjNcE80uge3N+R9JnnuZsPTGvgzeilLhAz8bnT6FX4s8DyOaL
zu1edByB3xPcDr2GvZugn8jbN9mU7YHYaIZ/DDwIuhc6tsFvYo1FdgT4JHQj
/AnI1+R9F8mfA9+MzrXo3kC8riF7lL2D8NZwn4mRY6bYyd4/0DM43yJ9nBmM
fIrzNdB1rAHgmdxnfXDOpyA7Jm9fvuZ8c4VrQLWgHN2H/F/ofDPhHE0nV33Z
m1LiHA1E97ecOcTZdchMwp8PkSlJO8b/cnYc+nYn7bN8v53zu8A7Wc/CSxCT
V4NrJgldQOcrnH+b+y5E3zN5y4qv2uqOzBvIt4J7QPdB356kbYxHNlP0XeWj
fM0gszbYfgT9Y7lrUTFX7FVTqq29+L8Ae6M435n2nSrR10qOWzmfZm8Ld2sB
t4BT4I/B6Zx9KwN/BC7LubZKwZsLfsN6yxnVNHgaax+xrMK/P4nPC+DD4Png
frFtyNYJdNTnbUO2joPrwGfAw9LOcVVkndKt97cU/hLwRfS1cJ8h+DKU1Qp9
ib16ePeoBrC1nr3JnB8OvwP6Cvyl8AerXhPWIV0LWKdTzsmDsWUkqx4wMuc3
rLcsnVdi25Ctb+A/BL8BfDnlHvEwuEoxBG8kJrXEphM8NO2eNA1/Qs61rBpS
Lf2RdW0px8q13oTexm725iF/jnzG4HLWBeiGjHWrh80vOAfKhWqsNOc3rLes
Hq1e3VXu3qk3r7c/SHdMu8eq1+oN6S1txl5P+Y/8llLncBHyCXTUc/9FyCSh
hyHTnvCddfcjFX5bekNT8Hdw0blWDO6H7rjxnjfBnwq/rGhdqvFS6BnoaEZ2
K3uDwD2K7jXqCY/h29XYvUo+y/fvyt3ba8FpZH/PulfozentKUaKlXraLOj+
sWXVI9QrNNM027Zy5hbuMjbn2aQeNwZ6Mfwu+GdZNdDLM+6FqpGFBc8czZ5t
6Hs/ts/yXTW+MfZM0WxRzs5jfzE1eyLpGalZeVfOtaw3dyd035zfgt7cHTnn
XLl/HfnhsXuEesVb4LnoGxWb1szQ7FCNq9aVA+VieuRcquZUe+qp6q2rwd3x
Nc45F4q5Yv9b1rNMM0Kz4pesZ4l6uHr5kKLvqj+A/gK/Zj1rNaM0q74kPqvg
VeLTJfDPWfuivZ+y7gHqBaqh5/CtLvLb1Xu/iL/1kd+SYnAZXFtw7L/i/Dzs
3Rpbt2pyNPediXxTwj1CvWIueFfCMa6G36g/S8p/jtHcdRTreMJ74s0t+G+h
GaFZcXfOvVF/kpHYus5escx/DP01esPfkbAN2VqVcW4kc63cM02zbZnOQPdB
fk/CM1uz+/+emXaPTsF7MXLt6c/Vhfz5G+9dPakmcgwUC72xBvAc1s6EfZAv
ezP+W6mHq5fPyjtWisls6JUZ/+V0phrbkyrsm2Z0Nf4+GrsWVOOqdf1pVI/q
kY2R/zyaF4rZcvCFCudKd5ofOWfC6rlLwJ0VnlX6M56G/g9IvWuO
            "]]}]}, 
        {RGBColor[
         0.8342294861167372, 0.7119776820566827, 0.27351392029844745`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNlllvVWUUhr+e0vacs0+7zz78AhM6WKBe4HhF0H/gXSEOQTpQEpUGocWA
V97YGXAgdBK9U4QrMdFTBhNvAI3WJghGfoUkJlR9H99F6sXO+sY1ve9a337i
4Fsvv1lKKa3ra9V3vZzSp5JX9A1pY3slpeMtKR3SeK8OzGj9qtYuSB6T/Epy
RvuXJHdrPqDvTPL+e1pflHxXdx+VvLbaal3snZLcp/n7Go9p/Je+izozp29C
a/OSLYXvfpTJXj2lO+0prWhtXONbGi9r/Ftm3+5mnrP+nfy4rPuzLfbxoXSU
t9nOgWpKJ7X+fafnu8PnZofPcPa+9uZ0ZkJ2dmr/RIv9uldLqdCZZxsp3Sj7
DHaO69xPsrsq+992OmeDVefvQdnzX2uO8UP52RF2sEuck9pfkPw4c7zE/YLG
pzUe0/hyW0q3pX9K86MV+3pQ6z2hf1Z3D9Wcvw3J8ZJzTZ7R8VmrMX0uc97z
hmPD/5e0tr/u82/o7ouaz+hMf55SX2Daq+/Pkv3G5/M6s6n57zp/TfbX9E1J
11MR22vybb3Ta2/XzY9pjb+U7K9YLxj0h150giv4NrU2XfIYbo1V7SeYkDty
OKqzz0csQ/JhT8N6Xtf6FeXqx3brAFswhtPEsJqcZ3hHXuDeRuRtXXJHxXiD
9d7M/o9WjT/r5Bm5K8bkAD7A8e5YR8fhquPdkM/3pfcLnT0dsfZH7PiDf/hG
PvqDh+AJrn+UPUZSd/vkzwfYCVy4TyzY7A5/OMt4KdZ3hj/MkcuSpcI+w2XO
9sTdxbjPWXJI/qgfuPsgfICHcBBckNQacR6LnvBzzTnujbjIHTmEC8TcFz5j
A07Ah5XkGqJOm2XnCl/gKPiC83Lsc6f7fzHNxX32wRKOY3dOfn6tGhkuuaeh
H78+Cd62Rg6oNbB7pXC/e9TlWLdHTsajVxHbCDxtc61WhcE5jSuSZyW/ka3R
4B8YZ7nrpi8w3ZNZ173MduAT+hd092qHdXMfneQJvyei54AJ+ZgJHyajN1IT
1Cmxcfdk9BDq7/Oy+8tIzbV/pOqz9Cgw/afLObpQbPVoYqTH3Io+sxm5AQ/y
xfx8+D/b5hjI7Y3I7/6quUL/w//5NscA/vQHsN7s8t1XC/faHzpcz+i4Gf10
rWI/T6hvlHLracmt41rw42bYBe/hwrkdovdWXNv1hvmyHPyAC+jBr/bcOLbl
Wzy+FJwZDmzAZSQwAN/RyPtS4XlZdzsCe9aO1l2b1Ohg3W/c7sycpM/g52Dk
Z1dmG9gC32caxutpydbcthcL40QNEsfdeOMO1M37ZnACnv6HR6ytRX6Qzcj5
35Fzct+M+mb9cOH8v1NxnMT7+C0i3oXo2cTFeTh+LnIxEL2LOl+JOpyPGpuP
Hgt38BF/0DEV/X9H9Few+aXmGuTdgw9wgX59KnrzxegNK6Gb9xVuwBHwv17e
qvmx+H947Ad3zmauR94HuA7GKfc59HOP+jsTeD8M+9TsdPQ58j+QGVOwBRsw
2pb7nbkTbw28u91hvKk36q5o2AZ+4lNf7t76ZG7OLUUeeHd5f0cK9xtsUe9H
CuucrHh9JnpjT+5e3Ju7rmfjPwQuT8f/2FDUBb2nJ94Iesm/OdVaKg==
            "]], PolygonBox[CompressedData["
1:eJwlk0lPFHEQxYthmpmmZ6BnvoEH9+2iGE7j8g08QtRIUAQTNhGERLyrAyrG
mHgx6s2DnMREJ0RNvIgYtxjUr6GJCS6/l3fopF692v5Vr7cMjB0fLUREL1+R
b6AW0SpF/MJ5GrvYHXEzibjUFrFajTiFr0TgT/ilLGIXfBN7EX6kM2Ir+Cr4
OngYfJL4BfLP4DuBXYZfAs/Cv6RegBfBM+AWeDv4CbgJ/go+XI94VY5YJvRK
GtEGfwP+KTOOpvaJe9geMVSJ+MZMk/S6h28F7kIesdbhmtvI/VL1bG/xTcK1
iHmHvc53MXdP9ZZvCryXeoPUu0/9PvAG/AL8e/hp8A96/oF/TL/v2Ot85aJ3
OEHtc7z5N/wb8DB2g/es8p5r1GhkfoPeoh3864oYA6+UvPN25h0HPyt5ZyVw
D/m1onveJX88dy3tfAJ7qOZZtYOz2DvJWU48s2afpd4a9Y4Q8xx7hJj5gn3n
a96BdqGcHeS+SL0r7VC7PJb51rqJbpMSczvxjJpVmpF2HsEfhM+6rZU5cvrR
w4G6OWloP7US+FuJ36y3b3ZZK9PE9xH/uupc9egkdib37qW5o+TvyRzbZP+7
M3+yG7xvI7PGpDX16CD/E/d5EL7JZ+xa3drRDnqJn099S91It5ImpU1p+K9m
I+dywTUGK/4n9G9IkwXq53XvVjGHqNefexZpaB/4Q8Xa3AR/xL6T2dZNC9p/
aq1IQ9LSf9O/fqI=
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0stOU2EUhuFVKmqL2tY7YICCxwEHZVSRO2DWNhysIrYktIUWZYIT7sAI
EgS9CwaIxjgn4RQoeCmKPsbBm+9f37vX3n+TdpdrY3OJiFjBg66IQjbivizK
59ciZnIRLzGNfv0ZtlMRTezzB1jTJfhV2SHPdEM3Iz6Yk+Z1+VN3jmV7eS6v
e5WOOLweUfetBkZ0PZmIiv5YP6/bsv/FzoLzLe42Trim+RO3y7Wce/V9aHOL
5s/cV+6181PvvcNVvfecf6Mb1T1xj7eemXGvWS5nHtZX7c5iidtBVv9In5GP
5bTnX+AYhzjC+3+/x04FLTt7uoYsm59h0O4AHnpu0vxO9punnLvcreT7P9wt
7ZxC3e4Vuclfld+5y7ITNS4pP3KX5DeuQyYwx/25EbHBhXmXuzD/xoRuHL+c
i763wxXkPXe5izZOUcr+/y/8BSYsQkI=
            "]]},
          "0.375`"],
         Annotation[#, 0.375, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0jtPVGEQh/ERFYXFK6CVIhdjiSKBRBM0cvcKuxAtloALKAmwiwKCxko+
AV+DSgsLiTHGWCEUGOMVxcZGrGht/J1YPPmfed55Z2fPbnWukM7viIglnEhF
dByMqJKdMlcWMVkSkT0U8Xd/xK3SiBf7Im7K3YcjilGEXdiJ53onUH4gogIr
et9hFSNmHONuu7uufo9lvfP44nMey7yeOj139NTKuzJvjwLGMYkJfNf/Axft
mTGnD/3Ic0/MaXD3LD5wU2Y0ep42u0neV3/kp2WzeoY/l6T6Mz8rz6tn+Rb5
QP2Vn5MXkpq/JOfVG/xD2aqe4zvlI3WH7EYXFuxTsFel93MEFWi391H5TZbL
Nllwfwr3MKZ/xPccxXEzhs1c5XOyT/8Q3+hOpbMBbsVZVqadZZ2lZCnWzNkr
T+vdI8/IEnlKNshFWZ/4pAeD+jPuP7Nzqzrt+W3ybs3e9vuf1N/L9eBN8t75
P3wdf4O7jtd8ht/ia/lr3FW84tP8b76Gv8Jdxku+l//FV/PdXBeW+Z/cJtrV
T+30KfX/P/oPShpP0g==
            "]]},
          "0.35000000000000003`"],
         Annotation[#, 0.35000000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl00lszHEYxvFfj6jSHmjFEhcJiVqSCjJtlKFCx4zSmdKF0pa20UYvDg1a
+34QB1zFciK24CR2DdKepPZUUY091ovEp3H45nnf53nfd/7zn8z4Nc0lTWkh
hG4sGRzC1aEhRIeH8DczhLFDePqk+klGCHH5eX2CPtWn+GV4pn6Oi7KX9Cjv
Ba0ZFEIPfY3Lsjf0mKyX1sre0T5ckfXT47L3tE5Wnh5CBUZ6hmJ5XFbNP4sO
fgp/eNnyiOfNoVW8Sqwz89mdL/iEb/iK9fwf9Ce+4zd+odydlViB3KwQJmOC
e4cHbqvzccFuPR6630ILeEfkXfpOpOun6ys9yzJ1lXf0wL1VdMSwEPJk1bJS
WQ3vkayWjpPNltXJ6t1pQJG+yNwCet1ntaFQv1DfaidHPQrZSPAO2T2Ij95T
zL1iHNDftRc1s1/9QbaYX6FfRPfx7sjPeI696n75fH4Ue/S3Zadlu9V9skL+
HOzS35Kdku1Uv5Xl8yPYob8pOynbru6VzeLPxDb9DdkJWbu6R7bRd8mTxX2H
Nt5WvOI387eoY/ykvsXONHNN/Fw6FVPQ7l6j97WZlphbigI7DXZn0HoaoQn+
BjdazT02v4leQxe/E6vdHe3eWjMd+vu4hyxeJhrNXkKadzfRvZS7k2gZTdqd
R8foY3aWu1GKcwO/GX8uujP+/7f+AWQhd10=
            "]]},
          "0.325`"],
         Annotation[#, 0.325, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0klsSFEUh/ErMcTQ0hpiKImdjZjVEDFXa6y2aGuoFlW0SIzpgKQ1T5si
hqDFQlNiSklIWCChlKBlI6ERESu0C0Hwe4sv/3e+e8959768gXkb0ta3CSH8
RGLHEC51DmE3OsSFcEa2le3RDs+sD4gP4XK3EGqQ4jkZWfb1lxe4nFiDOoWQ
HxPCalTqmYx1fCE2c1twkkvBNm47yrkKnOVSsY/bj0ruGI5jijNc4xLNv6K+
ihauFd/wA9+R1SWEPDNe2PsSzzFLT4NMi+4hZ6pr9afIevV8/qlMVtfwM+QT
dSqfpB7vbuPQ6K715idZz5S91G/wGk/V0/kM2VM91v4xqNM/jX9oXg8+kRuN
W/xU/j7fnR/FjcQN/h53FyPUV9zlhHMM93zN2h3+Noaoa6290huPoeo4OUxm
O8MKa032vcUbzPGuRplu1kR7+to7STbJP1yC/CX7yd9yuRm5GKTOsO8f9xc3
zV2LmK4hxOKRMz1GHbcJvbk+eM41ROfltiLfrGJZaMa86Jua+457i1PRd/EP
nZZj5ARZ4p2zZbGcJQebWeQO7/WWclXmPDCvzHOhGUWYa98i65nIwkauwp50
vRn4wC2U1XoXyD3WsuViNFtbKi9aWyL3Wiv2vMxzufd+iv5RmaMu4XOjfvVn
fq/MU5fyK+V+9Rf+gFylLuML5EH1V/6QXKPeFX1v903ATs9T5A552Hqzs390
n+boTii0/wjfov+cO59HJl/EH+Vb+aron9Bf7+zV0f+C6yiw7z+97omu
            "]]},
          "0.30000000000000004`"],
         Annotation[#, 0.30000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0ltMz2Ecx/HHhZnOurGJTTZGxZ2mKHFDZ0WNjFpRhrGZC21OtTlciSiJ
zGZrlNXksLExhznkwoorW4qrXIlyzEVe/4v3Ps/38/k8z+/5/f+/5Or9pfum
hRB+Y/nMEGbEhjAdnVEh/IsOYRLp/KK4EIpRiAnzj4QQGmXjtIFO0LMxIXyY
FUKXvWfiQ+imTXRKf4czd+K8dQ6SdDN1M7CQP6A7jzcXfUhBKr7wh5wxSkd1
O+wtxkn3OIXmyJmI8fzgHlF0SjeabrQ/X5aHXETLx5yRKus2p+v1OiPFvCTi
ObdVvtj6prxHdguLzF2ybVgvXyeLcla588tQxX+l1yJ7TW/IX9IXqJQ9oxdk
z2mn7Cl9giJeIR5br3WX67I19JG5gP+Q5piv8VfTB+Z8/n2abe7gZ9F75jz+
XbrK3M5fSe+Yc/l9NNPcxs+gy7xPgvv/lsXTisQQtmILlsp69Vbo3bYvRj6I
AfzSj6M/aSxN0y2xp0C3nzeo/x7v8NecJc/GH/NkxEPQL+OVI8b/moB4xPK3
8yox25yEOYjjV/NqMN+8AMlI5NfxdiHV/Nbz9rpHmnWuu9Xz82gd8nRraS+v
B8U6h3WL6BG6gR6yv4QeNQ97/2O01FzPrzCX2N9k73H+iP98yPwRpdis18D/
qndOpzny7fEP6DXyP9Fh8wg2oUr/BH9Mv0W3NfJ78Gv4p/nf+Bd5bWjHJdTK
6vBddjnyPbpXv2/rivVu/h6Myzoi37Hsjeyq9UHP/oz/DIuGzg==
            "]]},
          "0.275`"],
         Annotation[#, 0.275, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2437, 2503, 4240, 3927, 3929, 3565, 4243, 4521, 2504, 
            4244, 3185, 3187, 2901, 3040, 3419, 2440}], 
           LineBox[CompressedData["
1:eJwV0ktsjVEUxfF9J21vX9oGQYJWSKuIR1sRr0hblBJ0YCjVUVUQCcJQ2olH
e6skTaUhkT5uJR0RZgzbCUK8JhKGuKUkjBS/b/DP2nutc84+57u3quNM2+lU
REyhuzjiR1HExnREQ2nEZtRjK7ZgE38H3YntaMQu1PGb6W40oQV7UVkesRz7
1d+t2UdnaSut4ueVRIwWRvTOi/jJnzX/kfmPkVH3YU5dW+Fu9FdZRA/9TSfs
u2/fU5qlT+gErbBnknaacQJnzSiSdalf0nN0Pr3Mv6A+jw/W77GvmdeERvyx
Js+cZ+al6V99Pp2jBbTN+mPu3GLtEXUDf4rW02p52r5JZxfQF3iOaXmd/BDN
16+ybiXGnZG1djz5LsnbnHvT96lUj8rG+CNYps/KBmRL1fdkd/jDWJKcI7sh
W6y+KxviD2KhfkzWL1ugHpbd4g+gPJkhy8jK1EOyXv51lOpHZH2yEvWg7Br/
KnK8lDd8pd8wg5y39ScePeg3O4CM/qH3fuYd1X+hr/CAt82eS868mPwWKOaf
cvY6/kl9FzqR4rfzV/A79MfRnnx33mGsd8creCN/i9d4j3f4yK+25hOtoYuS
74Na9RqsTuZhLTZYk3PfGdw285879vhvdOM/SRpoPw==
            "]]},
          "0.25`"],
         Annotation[#, 0.25, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0k1IVGEUxvHTTAaZzvQFRVpR2gcEarbIaGEu1BYG0TqC3LnRyEXLxiEK
MqOhTREF2Yfo2KqIoIKiaNW2RQpWljKDZdqyTPpdWjz87/Oc857z3juzo7vv
RO+KiHhJNysjzmcjBihHy2siWlZH1K+LqKNJmqBn8oL6I/3XcBxPZyJS2FMd
kcZu/g32YjWek2ewjx9yfmltxFX8ix/kX8yZpin6TJ/oaVVEyb4ylfgf+sq4
CzvV2s08irv5t7gH15uXNjeLKbxu3175Lb0bZBtppfyGfJ/8jnyTbDNVyG/L
G+R35TWyWlolfyBvlN+Xb5ftpDoalne4X5f9TervcD8ew075qHozX3CumLy7
bAxP+q7H9aST+1DQH30V+N6+FP7mm507Qm3Urn/C+8/IP+IsTmJeLZe8H99v
dosd/fxZOkOV8nF9r7GIr3BKT8G8h/zz5Lvpe4Ej/Agu2p9zj4x8wfNPWuKv
qA+5e975Qc+n1Bf5LnvvOfdEz2MaNHteflnPsLxDfZszbfhdfhjnsBW3yg9h
mT+AJTyItfJfZs3yF8ybwQW+Rt6k/o1vwK/YiFvky/ou2XmRinoH+Gn1+eQ3
d48xHKV89v///R9sQGlZ
            "]]},
          "0.225`"],
         Annotation[#, 0.225, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0r1L1WEYxvFbaMgstbSShkposU6aFZSL9ipY4NCilij4B9jeJEhykkMZ
5euxOmWDYGkFDdEL6NagixHtVgeEdIhQB7PPj4Yv13Nf99vz/M6p7Lp5rbsg
IqYwviNitSgiS3t2Rmw51xVGFO6K2I6HJREP8I4/RrMYxihGUKanQt1+7MOc
ObNqB824gIPyh/CF/1H9Iv1ED/OO7YlI4W+pi+y2m36V/ymfxxJ+4Duq1ddg
Vf6MPWdRhyZeqz13iyPuoY93n6bNG6BtchedB52r9N6RP0qHxJf4YzQlzvCP
06z4Mv+6vifOuWSu3ATN8J/SG3JX7L2KNT3NtF5NQ1Int+m+vepuY4C3JW70
zla0YF3PslkbtMCbj9BvyTvpKfXn5M5j3KzPvuUS/wS/Fs28Kvte4wA+6JuX
f08X6ATvGfaqLUcZ0mas2zMpn0t+S1rCT9nR4Y6bZnaK25O3oV5cbMZpuo3/
Vv9zPRvJHPTLZeTyZr4R38IK7xdvzTmn9hWdQZq/zP/j/Jg/TV+ij5/n/3Z+
lPwu7pVGu30n3aE2+X7ifjUviv7/T/8BHk1j0g==
            "]]},
          "0.2`"],
         Annotation[#, 0.2, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0r9L1HEcx/G3KUSddipkNGZqiqGLJKTi0BAEDqm4ueQqXmv+IBXF6sxB
MASH0/IfaAhJcGzJQW3IxYZKRbq6wc6LFKQHNDx5vd+v1/v9/nw57sajVPdQ
UUQsYuVyRCERkcd0aUT6UkRRmQAX9Rl5CS1Gm6z3SsRERUQf7TfTQ7txi1eH
MHdibpLm6UIy4hXm8UW+hzn+XdSqB+yWeGPQrSGk0MR/zE/yh/WjGEM7/4G9
d24/pC282+qr5tZoFf3hnSzuyHL6J+5cp9P6X/wZNzJ2c+ph2SieyY71z2XL
st/qMf5TpGUF/QvZiuyPepw/iTnZX31a9lp2qj7DPd9S7c0P9KPfdRMn+ik7
BXpu5ib9THfR7E6nG11uLOFAfYgt2Q62UWm+3r0tuko36Hv+Omrst5q/b/ea
rJNW8MqxKn+Dc16Grtnr9x2N5pNmz/iz9CVKkUAHr6HSb+C7j8ojfiKLEf0+
PcBXfMc3tJvfoZ9Q7M0LeJv4/9/6B6m6WPs=
            "]]},
          "0.17500000000000002`"],
         Annotation[#, 0.17500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0r8r7XEcx/G3gcI517EgScfioO5gMCpkMCvZxXiJmNyUQXJLSikDitLd
7tkUBsePZFG6xx34AxQpx4+LweBxMjx7ft7v9+vz+X4+9W0aGusfLYmIOeSq
Iq4qIjLJiBa04nsior88osO63brWfJfr+EH+ke+5wNPfIhp4XrZQnOFJPaPf
yL/0X/RqqiP+8yk/68+ap3nR/F3/Ay/qTt/p1OviJnWOD9GDbgy6Vy//lc/j
HP9wibPKiCOzY2TQjD75VZyYZdV/UO7cbfk9TvvWlvUmqs3WsYGc/AEerT/s
X+Md+SQn7blNRdyhzjvqcS3zUNznfQeo1ftp/43Mb87zFCf1q5DCgvy+7B4S
6knzC7mE88vM3p05z29cym1yA3Ib7rpevL/8iv6reUnxbe63zEvqVtkWVDor
q78mX8o/1CPOGEZWb5wnMK2fqvj6Hz4BJ51Nvw==
            "]]},
          "0.15000000000000002`"],
         Annotation[#, 0.15000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0UkrxWEUx/HDCtdYpusausJapjLEe6CMOy+AsseOrSLlWrBQdjJslKlQ
KNmZy5T3IDufm8W37//8znnO89Q/PTk9OJUTETPYL4jILYzY4xUuR01RRBIF
uJTvlEScJyIukJLVIm2uEU/6LepHPjO3LTvEi7qVX7md2zCUH9FjtiN7h/yI
U9zFvfJurlN/83VZxBUqsOXeKu4z06vXYOaUz9CPeXkfD9s/wHfe8Wnmhr/4
yvmM3rcd7+pb+Qc3m23CLqqRxK08nX2j2U5syDaxaEe9fIF/SiNKZRmsY0KW
LI4Y5y29Oa5Vp1CJVTtn3fnmDWPZORRjFCN4cuZZr8x3Ag/qexw4d2LXMdbc
82smL/te+TIvqY8S///wD8o6PGA=
            "]]},
          "0.125`"],
         Annotation[#, 0.125, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0bkvRFEUx/GjsY196xAUJDSIJZQSJSLUEnrToaKwJEoK4x8wFCrGUiCx
C61ExFCr9Gh8Jopvvu/+znnn3vte03RyfDYvIpI4Ko4oKonI8DafV0ScYago
or40olZWoLbF+bzDhVzH64mIb72/+MG9/KY84haXuMYVWqsi2nCj5w63yOpN
c7s9OtBj3oQ9+3hf3s9T5v/wL9KeayojqjGpb0B2hndzPvmDd723h0XzVvWt
YRkreHCOJzyiUu8Jn6JFb696Mx9bH+Vy9UPOoFF+YGa3nmH7dnIXDmUZjLjX
GEaRVf+SvXFDme+HlFlLzjeovsif7rGZO7/1jNkL1q+57ycrzt3J7Bfrefms
/ef42TqltqHnQHaR+P9vfwr+QoQ=
            "]]},
          "0.1`"],
         Annotation[#, 0.1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0TsoxWEYx/GHKBzXg5lD2VxWA5PNZsYgBpecw2ays7DYJQopBpRyi+Ny
FJtNbpl0FpuifE6Gb9/3eZ/f+7zvv39qJD0wXRQRs9ipjRhLRLQmI0a5hW/s
ZayvOYdbDKmLqyMGeV19VBnxWB5Raq8EVzURb3UR73hFD3qxIdcnt4JdmWxF
RKqQ5z31iVmnSJtbJV+Nc/VZ4V6ZF/UNP3MnupBxbslempd5hp/lXzBnTqP5
x3InyLu/QV2PJNb0u31jnd4FsrhEs14TnrxzzplyexUoQyUSmHc2744Hme+q
iC25frPuvGHbOsebvIodtKJDrh33hXNYNCNp1gJ/6X/gGL8yP9iXGddrM/fQ
esr6gCf5Cln8yk/wJw8n/v/hH3ZERUQ=
            "]]},
          "0.07500000000000001`"],
         Annotation[#, 0.07500000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0Mkug1EUB/DTSAw1tLyB8U28gAcQumClIoKF4QnsrI0rCRvDomWlFhZU
rI0LQYod2hoifo3FL//znXu/e8/3dWbGB7KJiBikpy2ii7umiF5ZaI84ok9d
x746IedSEbOccJqOOKNRv4F6Jpojqq0R5865b4ko8cyY/q9+zv48hxzwov9h
fVn+yBWZdteGTMl1WdZflW9yUVbko3ziU13lnW3y3smRNMuk9aI7HuSMeZeS
EV9m+ObCfAt6JWtX9lxzyS03DOlvyeHafPaXqTDvjmLt2/QzTHueYpNX9ty9
yw5r1o+dUSCrHjXTCN30d/z/8z+yhEKz
            "]]},
          "0.05`"],
         Annotation[#, 0.05, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{4560, 4527, 4528, 2516, 3050, 2515, 3584, 3583, 2708, 
            2984, 2380, 3196, 3195, 3192, 3955, 3956, 3954, 3958, 3957, 2514, 
            3302, 2513, 4526, 4525, 4645, 4644, 2706, 4640, 4641, 4639, 2915, 
            3303, 2517, 3961, 3962, 3960, 2709, 4561, 2455, 2373, 3194, 2379, 
            3370, 2930, 3593, 4533, 2519, 3191, 2520, 4535, 4534, 4563, 4562, 
            3044, 4559, 4560}]},
          "0.025`"],
         Annotation[#, 0.025, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0vXVYVc/XPkyXNBzCBhVsLGxZY2Bjt6KoiN0Kio0NdhfYioItIoqoKCjS
ICUgnR6aQ8fL7+KzZr8z5/vwz7lu1uzZU3vNyhmTFZtnrZKTkZFpqyUj8/9+
+T9y9+OITn5hwOIUikvfh21IcM3h6GKKf46be/RNRRlXXkKxUZ9xc+pNarnn
Gyh+63r9vEl3GcLWJ0txSpP2buvP8hS31q9IscL2E3Zr5ylT3Po+VYr5fmF/
WSz8Yn/Z/4spxv6y5SUUY3/Z5xsoxv6y9clSjP1l61ekGPvLvk+V8PPGtjtM
qh+I2f6KpX7Z/oq5/oq5/oq5/oq5/oq5/oq5/oq5/oq5/oq5/oql1h32l58X
xNhfvh+Isb9seeEX+8s+30Ax9petT5Zi7C9bryLF2F/2faqE/67YcQ6TWmds
u3Kk5gUxO78NUv1i57dB6ped3wZufhu4+W3g5reBm98Gbn4bOD6D9YZJfTfs
OOdIrTPE2F9+XhBjf/l+IMb+svUJv9hftn5FirG/7PtUCc/32HEKk+ID7LrJ
kfpu2PeWSa0zxOx6VpSaJ3Y9K0r1i13PilK/7HpWJOx6Fvg4O+9hUnyNfS5H
ig+w41gm9d0gxv7y6wwx9pefF8TYX74fiLG/7PuEX/b7VSfs96tO2O9XnbDf
rzphv191wn6/6oT9ftUJ+/2qE/b7VSfs96tO2HWvTtjvV52w60SdsN+vOmHH
VZ32t/U92rS/LE6hGPvL0sUUY3/Z8hKKsb/s8w0UY3/Z+mQpxv6y9StSjP1l
36dKMcuvdDh+pcPxKx2OX+lw/EqH41c6HL/S4fiVDsevdDh+pcPxKx2OX+lw
37kOx690uO9Ch5PT9Gh/WZxCMfaXpYspxv6y5SUUY3/Z5xsoxv6y9clSjP1l
61ekGPvLvk+VYpY/izj+LOL4s4jjzyKOP4s4/izi+LOI488ijj+LOP4s4viz
iOPPIo4/izj+LOL4moiTsw1pf1mcQjH2l6WLKcb+suUlFGN/2ecbKMb+svXJ
Uoz9ZetXpBj7y75PlWJ2PzLm9iNj2l/E7H5kTPuLmN2PjLn9yJjbj4xpfxGz
+5Extx8Zc/uRMbcfGXP7kTG3H+H7/Kkcye5PYaA5w2HRgJEq/8e+jPuW/3/l
jOj4Icbnecy/n31Ohdsn/YFvP9bXSvem7bhoNTfB4IUK1y/v//5vRJCOmH8P
0tn/e0u9H59H+v+WY4R+8e9n5yuOjn/r/GYAO94FFLfOdwXFcxY7Wbw60kRx
bnLxNs2HCnR+6i4/dbizRUlqvli+FEcxvp/dh0uB5dsVwH7n1RT3zmuecLqo
jmJsH+KA1U5uhRqCnB5jMvDA3iQ5irH9rNzjz+llccB+VwXAygWlwO4jFcDy
nWqKsb2Isb2Isb2Isb2Isb2IcbwR43pm5TR/qlfheLN8oIBi7A+771VQjP1B
jP1BjP1BjP1BjP1BjP1BjP1h96E4YOWKDGD5VAGwclYpsPtyBbB8vJpibD9i
bD9ibD9ibD9ibD9ibD8r5/pzengcsHJQBrB8tQBYubAUWDmiAth9p5pi7A9i
7A9i7A9i7A9i7A9i7A8rl/tzdoM4YOW2DGD3gQJg5dhSYOWeCmD3yWqKsT+I
sT+IsT+IsT+IsT+s3uD/37pVo+1HjO1HjO1HjO1HjO1HjO1HjO1HjO1HjO1H
jO1rLadJ24cY24cY24cY24cY24cY24cY24cY24cY29PaTh3aHsTYHsTYHsTY
HsTYHsTYHsTYHsT4/tZ51aXvR4zvR4zvR4zvR4z1ta4LfVoeMc4HYny+9Tsw
oO9DeQCfR4z9QYz9QYzrk5UnwoDfL1m9XLAjs/s3bz8W9m9WDy6VovP7LatH
ltHy7PMpdD9g5fTq/0NeSKH7BZbH8WDl+mpaHumsPCTYHdnnU+h+g+Vx/v63
vJJC9yMsj/OB5dnnU4Clp9D9Cp9n5Z8Uun8hHTE/T7y8wdpZUqTkJVaPy5GS
n/633TyHk+fEnFyTw82vmJs/wd7Oy19IZ+dDzNmjc7jxF3PjK+bGV8zJk2Iq
z2B9rH4g+Bt4eYfVa+Ok+sGPFy/fsXaeUopZeVTCyaMSTh6VcPKohJNHJZw8
KuHkUQm3rwryHmt385fy8/D95f0mvPzH2nHKpORB1g4gkZIPWT2yVkpeZL/j
Bin5kbWbyRBenkQ6u34auPXTwK2fBk4fEfgIP178uuXlTd6+z8ufvL2fl0d5
+z8vn/L+AF5e5f0DvPzK+wt4eZb3G/DyLe9P4OVdpLP6hsBnefmQ9x/w8i/v
T+DlYd6/wMvHvL+Bl5d5/wMvP/P+CF6e5v0TvHzN+yt4eZv3X/DyN++34OVv
9v3+nB0kRUr+5v0VvDzO+y94+Zz3Z/DyOu/f4OV33t/By/O8/4OtX4bw8j3v
D+Hlfd4/wsr3YcDL062/6pz9Q/B38PI/0tl9TtAHkM7q9YJ+gHSWP6oTlh8K
/hFeX0A6+50L+gP7vD/nf0iR0h9Y/0MGV14spU/w/g9ev+D9Iby+wftHeP2D
95fw+ghL9+f8DSlS+gjrb8jgyoul9BPWX1FKMbYf9QVsL2JsH69PsPb9OKpP
sHYnQV/h9Q/eH8HrL2x9EkrH9rL11Uq1H+m4fvj+8HTErJ1Pn/YX9SFWLtan
/Uc6a2fTp/1nnxdLjQerb5UBr4/x/guk43jg86ydSZ+OB/v+BkrH8UA6a+cR
xgfpuD8iHTFbf5jUeLHjE0f1QxwvXt/k/Rts/wqk/B1s+0u5+iWUjuPF6rO1
lM7aYwT/CNJZ+4wh5c9Ix/HC+pGOGPc7LI+Y1Y9TpMaHpYul9HHeH4J0dj8T
/CNIZ/czwV/C6/e8/4TX93l/CtLZ/U3wr/Djw/tbkI7yFz9+WJ61n2L/gqT0
yP9t7+fjy8I4vYGXm/m4GN7+n8L5F8Sc3ML7AwR9hpW7Kih/ZuVhHU7+FfYD
lp9mcP7aUopZe6oeZ08V/L08v0Q6a1/Vo/yR5U9xFLPyrYiTZ0WcfCri5FER
J3+KOHlT8Mfy/IhvD+vfLKWYtccacnZtA87+asjZXw05u7EBZ38V/KPs95pE
10Fr/wopXjp0bg/ndc3cOgni/BZJwO6jWRS3tk/Q67F+7OeBI9ezjmQpcXbc
QmDtkILfprU/lcDa9WooHvw9dfS82HqKsf3suskC1u5bSDG+j7VDVgLLN2so
xvchxvchHjvPQSXyoCydp/napg12U3k9JIjzwyRRjO1FjO1FjO1FjO1l+XgN
xdhexNhexNhexOt/pZaUGyoSvn1oB8L2Icb2Icb2Icb2sX7iGoqxPYixPawd
Kui/eW5D348Y348Y348Y60eM/Wn9vxZ9HjE+jxjbjxjbjxjHl3++dZ0b0PrR
P4zlESOd9fPk0e+vlZ+UUzq2h7XTl0t9v0ifvP+6Zb5HI+dXjab7BLaX9XMU
0+8X62ft7jW0vKma6bTvynWUju9H+rDdJzSVbspwfDeI8+NGA8sH8ygdx4f1
sxRTfHK5U6pNCO/nyqN2MCzP6hXlwMqlVRRjf3iM/ATHE+nYP1Zuy6N2NGw/
6+cpBlYvKAdWzq0CVo6roRjbgxjbgxjbg9hm4Di5aw5yFC8vapb0GKDA+V3T
gfWzpgO7j+QB6+fLo3TsD9JxPSHG/rFyehXF2B/E2B/E2B/E2B/EOx9/LPjY
qEj49qNchO1FjO1FjO1DjO1j5b4airG9iLG9iLG9iHG8WTte9H/zqEbbhxjb
hxjbx2PkZ/h+pOP7EeN4tJbToPUjxvoQY/8RY38R4/sQIz9tfa82fV8rH9eh
/A3p+H6kIz9vnVddOh6t+6YeXU9IR/7ROq76tDxifB9Pb93XRLS+1nUjou1B
fo3taeUrhrQ+xFgf8m8cL6TjekGMdJ7/Ix3HF+nYPtYvXSwlr7F6ap6U/MX6
yyopZu1j/pS/sHaGKvo+bC/Ssb38foP14/6N5XE9YnmkY3n8npGO8iEfp8Tq
3Xmcf0vwr+F4IR33B3weMeuXSaL8nB3fMrpfsXpkgRQ/5v0vPJ31I5T+n35O
Pk6KtV8p0H6w/Llaip+h/ZKVH9SpPIPfE9Lxe8P1gHRcD0jH9YB07B/ScTzx
+0N+h98ffl9IR36BdJxf1O9wfrE8zi+Wx/4gHfuDdOwP0rE/SEd+xvcPy2P/
sDyud6Tj80jH9YL8BccDMY4H8ht2P9Wn44PlcXx4eRLp+DzScTyQjuOBdBwP
pON4IB37j3TsP9Kx/0jH/iMdv2ccD9R/+PFA/offGT6P8410nG/kj9g/pGP/
kI7fA9KR//DtRzq2H59H/sQ/j3Tcz7E+1JewPNLZ+FEx1748zt5VQOms/G1M
54e3f2F5lv8YU3sF0rF/SEd5ie8PW7+Y8ndWbuf1CyFeBccD1z9rlwmS2q94
fQf3A5Z/C/vf/46X8ef4fxyw+2cK3c/4/Q3rw++BtQvX0OdZ/i3oU/z+hpgd
nxS63/H2FH7/4ceHjYsrlLKnsPEc5VL6GBs3VUOfx/by9bNxYUIcLX5viJE/
8HG2/POsX6NSSp/h41r5+rE8jicfR4oY6XzcCx/ny8eF8O3j42T59iId28fH
pWJ5nG8+DoCVH5Lofo38no+TZuNEs2h5nC8+jgcx0vk4ZV4/4+N++bgOxDi+
fH/59qG+wfpLlDj/iBLl33xcDd8exDjefFwJYmwfHwfM1h/EtS+MYhwvvv08
HfUdHD+kY/8QY3tY/UvQx3D+0d/K2je0af34PqwfMY4fYhw/xLheWf2slmIc
T8Q4nrw+iPIdtofXx1A+Q36D5VG+4eU1Xj9D+YC1PwvyCpbH9/H6G5bH8eDl
QaTjfPDyG2v/z5LS/9B+ju3n5SlefkKM7+flMawPxwvL43zx8hmWx/0Gy+P8
8fIalsf+8fIO619Il9JneXmLl68Q4/ij/IDrD+nYX14+4eUtXr5CjO3l5THE
rH+LPy8hjOqPvJ+L1asqpeLwkI7jyceZIR3bw+cNIB3lXT5uCukoL/J+QDYO
MInzw2XQfmA5Nn+lTCpOkvXjV0rllbB+2hqpuEKk43jwcXNIx/Hg8ySQjuPB
x4EhHceDz3ti4ymDuDjPOK6dGRwW4vqwfXyeBtKxfXycGdKxffz78T2s/1mI
F2Pjl5KovQ77x8YLBVH/AWvH0KT8COn4PBuPE0Ttafg8G/+fRensutGh3zP7
vITScf0gnc0z0qH8CunYPjZ/IIjuH6y8okv5P7u/CPmtbDydkE/H6gPRXN5V
EpdXlsHF56dTOo4PG9eVTueZjbMMo/Zz3l6Fz+N7cB5a/+9N+QnWz/rJsyjG
8WbjdqqkMNaH3yfSkb/yGMvj94B0XP+Icb3z48bqXd4cP0mieiCuJ9bOVU4x
9o+ns3ExNZSO+wdi7C9Px+exv0hHzOel8fwLy+N+hOVxfJCO48PGRQVx+kk6
xaw8IdCRb+D7kY7vQ4zvY/WtaOpvxvrYuIgsTv+J5vSbJIrZvBLcR72l8oLZ
+NZoSsfxR8zqMYrUHoTyOPaPz9tg40e9pfy1vD+Dx1ge+RfWh98LW18tpeN6
wvqwP1ietUsI/JqVn70pf8bxYeX3aErH+UE6yl88xvJsno3A79Gfgu9n+Xs0
pSPm/S1Ix/fxGMvj94x0/H4R4/eKmM3zEfg/6gfYXuT32D5ef2D3ixS6X+B8
Ix33D3we5VceY3nWL6JP24P6AX7/iPF9KH+yflBDur5RfsX1jZi194RR/snK
Lf4cTpHy1/OYL8fuV1lSed9sHFIeJ2cVcPtfKdeu/8u+Fkbtc2yccyktz/r5
M4D1R6RIyblsvLY/Z78T8ttYf5hgn8PvmZcT/7c/K4yz7wn5cGw8RBOtn7X/
pXD5RXGUf7PxG9L+LV5+YfWNaODlBzaOMonS2XiRHLq/sHHj6f9HnlkBF/8l
+Nn4+A/WLlVO62H9gTmcXa+AG18x5w/M4cZToPP7K68fsPpEEKcXRQO/X/Lx
YHy8CY9Zu2ExpbPrvYwbfwmwemEFxez+X0oxO74Srh1CfAobZ11Fy7NyRgU3
H0J+HJZj44Ek3HxI6Pri8z758WPrzZPCrB21mNJZ/0Ytx48auHVZR8eHjw9k
7ZblUu/j/a1snkOpVLwNG4deRetj572Js6fXcvypgY4zHy/EYz4fj7d383Zo
Pr4Hn2P9Dw1cnGMdjf/hMW/nRTrqNzxm4/YFOn5fvH2bx2zcap4UZvPo0qXk
W9bukEHpON88Zv0EeZxdoEAq/pO14xfT8qxeI0vlST5elLU7V1GM6xPLs/4a
wW7CnhNRIRUfhXRWHxL8IHz8FJZn9SFh3fD2faSz+qPgt+DjW7E8rj+ks/4l
IQ6WzXuM5uIbojk92xt4+z0fP8XS46T8KXx+Ix//xcfXsvmExZydqEAqvgKf
Z/VXQU/k48nYvIsqWp7l/4IdjI/nZeO8q2h51k8nxPtieVwvSGf3B8GuxccH
4/O4HpDO7h+KXP6SApWHeYz14fpAOrv/KHLnQSjQ9cDre6hvsvq2oJ+iPQ6/
fyzPxocK+Zq8v4fNp8yj9bFxsEK8M5tPWUzp7H6nStcH0nE++XhprI+NT1Wm
64XVt8tp/awdRaiP9T/VSr0f6bjeEON64uO1sT24HpDO7m+qXD6SEM/N6/u8
voz6N6vvCPmkSMf54TGbH5pOn2fzDYT8Ut6/x+Z/FtP6WflCnc4n0ll5QJ2w
8q86HT+sH8eLj+fE8jh+rP3YWyreEu0FrD1Ik44f+hex/ViejUfW5PZjwR+J
dNafr0nXC2LWf69J24v6OMoDrL04hbMvJ1H7MhuvrkP7h/XhfLL1iaXiT9nz
b/K49hRI2QvYfFZv6o/E/QXtCazfR4/z5+ty8c+6dPzY5yUUs/EIulx8tC63
f+rT8UJ7BY4nYja/RGg/G6+WIxWfx+ZfFlPM7n/6nF1UyA/l/bFYHtcL275a
qXg9LI/rie1fA8VsfoswHuj/xPFAzMZfCPmyvP+Xzwfl4+/Y+sVSdDZ/q5hi
dv8xpOuP97dieTYe3YCLPxfyRfH9bDy6kC+KdHb/NKL9Zf25OVLxamw+ZTHF
7H4k5Hvy/mE+fo/P/0Q6zj9iXB88HZ9n7c9G3H5kROULPh+UjbcW/MusvS6F
0yfDOH01hbPbCP6b/+1/jqN0Nn+zimLW78nHo4Vx+l4Yte/w/iVcl6z/jLcv
Cfo+y4/iKMb62HjeDC5+t5SWZ+VhId+Tj79l4/OrpeJt2XiROql4YoyHwPby
8bJsvG2GVLwsG49awPGjAkrH9iOdlb+FfFE+Xhbp2H4236CJ1of6FGLUmxCz
+UtC/ijPL/h8UpafVUjFW/DtwfJov2SfFzDrvxHy7dE+it8FG//5f527JZwb
xecXoH0Uv2fWfyvEW/J+LNa+4U/1WMRsfoL0OTnYP6TfOH59eOxRebpvsPYQ
/tydMOqvw/oQs/uQkK/Nxn9k0O+RjcOVPneMz9/D8ix/Ec6d4uNBkc7aw8Wc
fzSDGy8xNz5irn9izj4t4ezLEi5eV8LxSwlnv5dw8bMSzr4u4cZbAiz/Fu7L
YP0Ggp2aHb8GbvwauPFp4OJ7Bb8C72/l8/Z5exhrv0mQihtm41VzpOJVcV2z
+ZhCfjJrX5Knvzh++N2w/n/hO+HtL+w6T5HyJ7P2iyzOvlBIMTv/Qp4xy/cU
pfzI/PtYfTdLSv9F/ZWN91Kl/JrXd9nn5aXiR1EfY+NFBH0SMa4LrB+fR30K
n+f1K8SsPVHwr7Ln/wRR/YSNHxH8tYjZ9aLDrRfBn8yep5Ailc+D9Nb+/vmP
L+px9jPhPB1Wv6rl/L9hdD9HvsHu72VSdHY/L+P2fwm3n9dSjPOBmM3PFM6b
YesXzlNB/oP7HxuvIZyPz/p7cyjG9vP5Lnw8JcY3setVOA+Fra+BYmw/Hz+J
z2N/kM7GLwrnx6N8jPsTysOIsTy7/oVzM9n4vywp+ZLllzlS/iSks+fHC+ea
Icb28P4p9hyXJI4/qhCW3wrnoGF9/DmH+BwbD6rK2cOF+zgQY3k+3gLHj5Uf
hHgAXk5i/fDedN9n/SKlXD5HGR0fVi9Uou3G+nh7KRv/48/Fw3tLxdMgRnmN
Le8vFR/Dn2/Mx6/w48fS/aXiR/jzvZDO5rML54Wx/MRbyr6B64jNwxTO7Wfj
JLypvMTqY2Kpe/HY8RbiGlj/bq6UX52347Jx1sqcXM+fV5or5Xdn/XVlXDyt
hPP3NnD+0ijuXJU/Upj36/PnzvLnsPLn1PPfH2L8Xvhz1Hk6n5fCyw8snxf8
DIhZvs/zgzDOX/UV8DlW7hbuCeDPleXlHP68FewX9gfpbLypIC/x/hE+/vj/
OscX24O4dZ+vAPd2A6PTLqn+975KilvXVzXFbL6BEC/I2udzpOzV/HmJbDyz
mMPeUvZexKw/V7DP8udBsecfBXH2ujCpfEX+fDnk1ygf436I84QY6fx5Yfz9
ISw/8acY1xPuW6z+yp/vJQZ2Py7g9scCLv8hh4v/0eP8j0L+DmLkX6x+783J
U/5S+cxo72DjpwV7C2LsHz7P5v+L6Piz7wuj9jx8HytvxVFcJasTdXG5DHnf
cWD3vkMM6HfMzz8+1zpuIZycEsbp4yHcOMZy52QFSfm32P31K50XlO/w+2DP
t1Kj39/jGu1QT2dBP8Hy7PlXavT7xPJsPIca5TeIUf5j9+sUzt72Bzo6nvD1
rRHOW8PvDe0xbH4YxjXocnxYl8qjfHw/rjfcN/D92D6cf5ZPi8je0uapu34L
88v62Q0on0SM/BXnnz0XxpDyf1w/uJ/i/szaH0SEtXcI+QN8PBDyY5afqNL1
zvJf4X4nVi41oPyfzRcQ4hrQPsXaaRXoe9k4BeH8HPa8mb9Un8P5wvmVSSsO
WTJBlgzoN85r0ncRbTerhwjnCLPnCmnT9cLGDwv2M1a+rAN2P6sFVl8uBVbf
xX02G1i/VDaVf1rHsYruX/h9svqUN6fP+FB+gN8tL4+z/MSb7h/If0ZqmD7U
fWrAyfsp/31Xgj0RMWu3l77XidWLQui4437O2hsklF+0rlcJvIor/r7VToh/
5+MBsHzrvlVDy7N2UD0uXkO4Tw7nA++/4uVX/twZ5Es4H7y8xd8bwccH8fIP
fvcs/zUkrL2VP9fAmO4nbH5hNN1vcLyxHhxP5Lc4XojZeCcdLu5Jh44ffl/I
z/D7YuU7fe58coH/sPmnSrQ8a7cSUf6G5XG9YT8f2DsNurVeQcq+zdr1gqTs
fay/LI5irJ/1fwVxdvgwcB35ZZ1d6n3w6RDXv//1WKn7yS/lJ1urvL0EAZpH
jLLDiqTykPxFHqX7La7AR7uCsspi4f7xTmpzLqQmS98/btV5yqB9/R+C025z
B91Qwc6K7VJxO31uTtpzcImLGv0nRLiPPHjspHzLrsJ93Itlh+m+BuG+7XTX
oPFegwX7+1zR2vFzlgr3To/7ekvutppwL3Ok6ZP8i3mCXuSy3Ldw5RbBnt69
f1CZ+wBBr9h7UVu3l6VgTx93x/T3qS3CfdYrGmO0z4UI9vPz/ZRUTwcIelb3
J7JygTYCn6D2263xPqUlVdTu0Mnab82WW1VwfvML/cl3BXs48ocXHkqD96lX
weift9Z+Shfs4Qop/iaqYiEvH+srmV8h7pgqxHW3r+xsnnmuEQyMtn19qCd9
H/NX3y5nF4sFe73xbFnV6DtyJCRFy/ywknAf8hX7dneSL2dz9mgxjDAR6Rd5
CPe2TdtbmnnfXND/TN2m57gGypFKf+2IyxnJUufrV4Ts1+jURYl8vPHPa+EY
6fuEZf8MfaIlViSivBXyml9qOH2rAdReTw/b2qRIjgbsCbU2kj4v37Yxrm0n
rxa9c8LRXw6DflJ9KfXo/MwpK7MpxvZ7lu4ctGSaUH9DVcLA10NVSaH+uQ/j
2gn36Q7U2H+i/SPp+3O98orc/jlqkIlJpoavjKXv0x0MbhP3fhTuDxaV9BeN
K1AnJXYfal3Vhft0d44OMZ9gECzYjw2zVy5zFOzLRX3G/0i8LNxHO/15//hd
o0OpPrEyYOC1I9P/SZ3ve9be0KRRS5ccXFT/3dGjmaOHQXHH2qI7yvqE1Jw/
3Jj1j9MvZIj5E+OQSkXBPmy4QeHynI8i8u+zypIqO+G+0f3Tl81e5izk0/fR
fnj5yAEhH35dsP+cbSWCPXds0KuH5aXC+bkT9prGTd2UQPeLXTPlP+j4St/3
WfA05FTSKuF+0xn3JO2fXhbstVmS71NCXgn22mErnTc0ehqSkNWRK0/KSN//
+XF4YEj6QkOSvuPMkuWfBXstrmfV08NjtxQakoz2XaJ8F2aDfH9RyJ3KBFht
71Ka3jJeyc/iNc3sk2Bm2NIto3SUidpgk2F2DonwQ3HSk+iJYXB4tsu2moNi
qBAfVV/rmw3jVfvuGaP7DyTiu80GUyUwe6v28Q4B/8B0jB7pn1wPIV3b2qwe
XQCb77lPGZIjS5zONG0cZS0G75B6x48r5cmnap1ekSkFMGt418mvzRXJDG8n
s6rbBRDTIfVB7vkWPmdZHOexUgJePhs3lChIYPVrzQ3KByrBJSxz1rsWfrJD
q91NxT8VUOzeLaBfiCxx7aA5Iyy9EhITT9bvspMn6Z1fOj7UqoQqpQs9os1a
+l+WsSygrgK+x8/PcJimTMonqG0JXyeBLre3bmir+wf63zH4fWtVPWzPKvU0
rSz877cOuo8MyH4bUQYy507XmWxugPxp8TbfUyuhX3hEY83SehB5zf9WOqYB
Ct5WTA4Mq4fNA67ZjlZQJkUedRYHttSD+E1zV5FWy3gFbloeYylLlu+dMmlr
t3+wYECHUyk9ZMn7nd326i6QwDnZ55eKv8iSf1/WyjV61MDNROeBPltkyWy3
FYmjS+ohuW+DSXxLed1da6OcV8mTgUOUBnUkskS+uWC7s/NP8DwSEysnr0gM
jv29s2ZVCphtEwUX7GzhY7oFs9t2yIGTOYvSa2YrktHm4z+PCG35PurPP8/R
UyRp+Y1dbS3LQNl2p/qhMAUS4ijvlmOZAs6mBvm9ZVVJr+LuZ73nZoPPhG05
q46rkNM95+UMXyMBH4/wsKXNKkRO1fmsuaQGWn9ViOjLno9xt2TJmy7nv8AO
FeLubXhKP+8neJv+yEm1UiendU9t7x+QDZrT2kHYLHXy5kHHgQkeQRC/s5Np
3QYt0l0cYXi+ewroVLYL1zLQJvGT3a/f8BSDsURnrUxXbdK595eDy4aXwZcG
944lV7RI3b9j5xf2aQBTu6Zd+75rkXbmdx/tdwsCM3f5vUkHW/hN7PqMgIll
sOiU3cBhHjpkyvaShll7GiCiT8mq8N865MHkdomSmF+wrTY+M/OOHnl9Wt2s
88UsyHkjt2HHns/gq1u1R7wjHbKuLfrmNf83yPZ6GaQXVwilK33tfEkA9Ala
2Pvq3nyw2XJ8VOfyKNCRNXqqllwBRfum9Apr+AUTm0fU7jjeBDIrtt7OPBUG
NuO79fLco0Asejq1rWwp/6btSF/bwP93Tqhbj52HAmG55PQZ6yd+UGNzSDYj
OBvyNbKzjtr5QbB7YGCjXS4EeJAjlVPSIXnD/XULR2RC+973e+iuyIKJhf26
tn2eCf5ed0fpji6F6EHe/vrmOaCTmhJ6dG4ltCfuJvH9s2Bmv6H5laXl0LbC
4qXx93xw/Blu3aNNNXRf6ZuQ4JsL3nvDzjxfUA8lK27MnPU3C5b2vLUj1qQJ
QvYOWzDNIA8eL9eTPOsjT8Z/+PVpSkEmNI7/oe/foEAG2akuXReeCdU3rkNY
tC80y0d3C5lXBpb7yKWzpb4w6ck456BT5XCvX2C9Svt4KDnx51NbrzIY+ylS
qdPdQnB/GxJzdkcprE4YqzH+QTH8UHLY/G5CKZyIcIqpnFcBnbJNh+p2KYPh
qu5PznauAI1+o7p26l8Brsu6tvE5Uw0f13fo1/5wGcz4PW79pT1N8GVwacPu
jJZ1rVD7RXV3E6ysmLlCrk05zA6O3KL5xR8cPe9u7NDCdw+3TxixYUY6xCoE
q73dXw1OTi+dS+/n//dbA0UW4158qCkG9wlz07f9qoaJ559On3a3AkpnOslq
5NZA9ImiK0rOVfB6geZXy7XV0GfgsxcB3+qgbZBHl6URNRDxb8bEYU8bQWNa
9dE2G6th0RCHy8P05UltvFO90pAa0LbyNC8QK5BND5YeOidXAzrJ61zhxG/o
LTfA9ccaGbJIYcjyrK4ZUPdbv3nboWZITZtcEX45C2Y7j/Lp/rwJ1mwOvq78
LR/ez/dZM72sGSx2Bc3f5FIIM3+96hRV0gRGUU4xOYdK/vtthjkVhcrVVeWw
sCmXPPrcBO29D/stmlcNYd8uFeq27DOzRy0cs2d+Naz68vOFlrkMmf+s3u/M
yToIuNtTefyJZji85XDx8e+NEAxT7pZGNkFg2ShnnwtKZNKjnN/FP5rh3KE2
Oh71v0HhVWdTp5vy5FaTqvcYnQTY+mz0k6e28uTuiAEnzjjmw9Vq47R6fQVy
TlJ0smtJCZRu2tT73Rl5MsQupGT/hApo/ZUnZtayPoXXqqAp6mR4sKw8GXD1
6qTre+SIe0GSxgF5eVI0oFPy5HXvoZP3/rZ7W/atfhHfTV2f+YBluuFr0x/K
5HRYidmjKXHwb4iOlvt4ZTLLUNLlgeVvWL84YMA7L2XS0WS6ldqcDLBYrvjp
kpIymZHZYeDmv3lwx0Yy/f5bJSJ3IHPKzdnV0PqrTFZF2CalbaqG+4Zv8spH
KRPxrtNlPvl1MC6j7h1ZrEy2p2z6mvZWjljnN2dbaLS0x2/3n3krMsDO5EL5
3wdqZMd7WeMpkA7znvXY//VHG7L8xM72ZnZ5EHXJyPueuhqp+e2mmeFZARM/
Oad2T1Aj58Qyjdb6FbCrVuv7qWttiPWU3d/lTKph4+dSL7P3aiRTL2940986
aP1VI9/s4rfa9P8Nk4L8Xk7rq0l6v76v9ulLLCi6y/4cUq1JgudWmEz3y4K4
Wd2XZ93VIDkDnwdG2ufDh6XeDu3MNElkhcME24w8qKnOsZTppkXOlX1L2mke
BC8U/cxH3tUmZqsSt73tEQvWqUN7B3/VJgYxBzZrL4yF6wom67vM0SG7HC9/
G387E2YtzvuomKVNpnUdKMpclwenur0Z0fWONtEj4ksnPfOgeYVN/fgNOiSw
RlcjWa0MfF9+CD99S5tMeb0o/ZhJJSidiUkISdEmBbXDLH88rIYpDzreHZGr
TXa8Vlhxc3QcyJv8aZwTpUv6JCYfqlsSB4WjzrcfmqZLBkQM/bXfMwt2Qd2z
SRt0SW7o7B8vrAug4/DNK862lC+MuD17xPgS2FphuL2pnR6pFy/pKLvgFZyI
TlppKCMinx4Nm+cVkQ/79m3dlumnTy7/PDpfoihLtPakP5J/pk9uye9yTDQu
hWMLR1R+dzIgn9V1wX9TBmh3rO61xdaIOI3JDf/imw/vfjXWf5lnRGSi7Lu4
HauGcyY1u0y6GpEtNqUvP7bMl7h9cbebY41ISd/E/rIFcqRszNfHz3obUTvX
Q7WcBbeH/aX6jW3yzpfq4ljomyF/+VbXWKl8btJcuip7XSIE7Fa1KybS+dr3
xxqq2T/zhhV6+/OX+5TCQoPt4cY530DT9vitUd1KQOn1qfcPVWLBK7Tr+Tfn
CyF0T5sKB69MKOkztIfV4HwY65sdOHOFcM66ynPj2zvafaR2tfFbOsY7xkdD
6hXH/bYbpe8n3TGfDP/0Nh7m5X3dmrpROF+47Fac3qqBNRCvEKPxM+YTbOyZ
XddDXAXzRTKhrs+jYWjskTr7FcJ9pWgXutPJ4E6mgXBuxtSQu/Hv+lyGDabt
LWsX1sPEouq1duVBkOE4sNvx09J5qS6F8jauP9JhxQ5P2145MsReKdzZJT8K
Mg13qG6/KUceb46oNRsVQ+0Yg2RGX45YI9y7EBhDJl/aGQ/3Mi54azsJ+dnB
pY7dTH9HUL1WXrTMx7XAV9Br/0qerE4U8rG/GH6q9fmXS/Gupnvq44+ng5Gb
clNnOyH/elzOk3EXqnLhsY7/ovddpO8PnaRXObG8ZwGseeA3vPcRIf/6rV3h
7E/WQj36JrvOeVtI3xcaIHukvGt+AYyz2Ckh0wW/7Lem7cGGjsI5iTivhbaB
qz6MrYCyl20qepkJ93v+eL4o9OgUP2pf8L9oM966MBZefz68ely58F7Xdt93
5jwsh/uVT+fkDsqlz/9Ked9//jYhXzoteLF72lbpfGkvX/MbIUrCuTAD5pd1
uDq+ClQHjPbd1ySd7+y3aMuOU4EVkBN+78197SaO3sKnz4zTdrtdAetX9tZf
t1Twj2N7d+5atPzwYME/njLlacdvPrXQpaBEOcGxiNo9Bt9dKHsgXTo/eW/H
3u5XNBrg6dKFxxQtpO/vDH5yr9ysRvCvt0nrnj03sxaebmyT2z5V+j7PPbox
BYu3NsKRQ5NvbPGWzie+2nn9xtQZgt0lqn9R9reW72DCpoNOowcK+cQxofbk
faZ0/rBPfL+6i6JG6JuyqntUvHS+8KAZ9kU/WvQb80dL3TQPCfnBcj0tYjps
kc7/jastPdRNpR7qZ+XtW3c9ksYzusk6pXXxlb7f81Te40+pLe8dXbm3rb+W
cL8n+jG6r0yaZBUg2MWIffKUi14ypKOD6dTGqUI+b/b1AdeXnM+Xyue1+tYj
/PdPWbJyw1K9aaVCPu+FjL//Lr6Tzuc1v6M3t26tYH96ad8YXiInnMNj7bmf
LN8qjMPD1OchzltlSPs9E59uVpbOp218vXB4o6wcSbLa4HlTX7gPVM9dq8gM
pM8B/XVHc/z6d7Jkx8gJPaKihXzabr4b9oUVSefPGj5Jy5/jK8Q//Fqltzh3
rQwxso/tpvFH+v5Qi3cXz2bPk6PjE7N9xwpbc+E8zpqTkf0MQIGsClufF35H
On91dnPkJ6WbQlytht+jopwQefLDZdRzjevC/Z7GO7WP3LEUznXD9fz3/en8
ZaaKRGnj2uEpr4T8VRzf6AehG8u/KZCnVzXfXZQX7vt0T8zZ5+Ej5J/ieF2a
7XEk+7EQP2E77dHGzpnyZGxCwptkVSG/1I8oBM77I51Pem7DssLloEj+PfMY
P7vNS6n7O0f0TbYt+KNMuldt6Rh6PJfykRMTm50vjfz/3d95bVnmwPB8qXzQ
vr0O740qU6Htq9SKND+lqEJkLyzdnLNHjsadUb+G+9Mb8/qpkrJ+Vp16Pgyl
/lyfOWl92u7n78uMg31eaSOvPhfiK3RXbC7odbQNWbr8++0oy1z6/O889Rcn
jv+Tym/soJOnNsdUg6TEK1aVpQr5i2ptboUVhgj5iKvXK/svF0vnH9ZsfD/T
x1Cd2sFXupbbF8lpkQXtXQy6a6TS+K5Zr58PahwZS+2Hsw03fbG0L6L0zQ+v
l7w9JOQXNl+eEz30iJBf2Od2yLoDT4T7KWeKtetkdIT7Jxca3XzWMS1W6r7J
CBWbA69AhyjO992g5yHcP7kp4uePEL18Wv6rY7jSyI4x0Pv787S7uiLisDm6
5OPobBovFtAnuavyg0zwXK7hVrtLnwzcNaJCAYT8vRcjJz0x61kC+rPWnr9c
LNwP2e2HcnHUP12S6nzRavs24b7ISbPG9fnWIh/1GxB3LdJGnyg9yXAemVwO
0ceUynUNReT1iPjCki7C/ZE9xKGn+pVWw5xO4Sk9F+gTzxE+c350aQLP/pc2
lKnqkREn2xiP9K2HNLW1akOIPnF/N3j9lxeNMKavVtwxLRGpPvexIHdaFI1v
m2z/ZtmHjC/weeTpDzYThXy4Lwu/fD2Yrk9OfD9Z0OSYTMuHdZq65OfsROj0
5MNEF0MD8uey/e0xTZnw7qvZnYY+BkRp2JQZRSIhH/Cxxu7Pt9wLIN42tc37
mQYkffDum1crpe+P3PX+mMXOoUK8bs3SXTdEyfqk4bOV7HhD4T7JIjfb4T83
VMDW6QpKadeF+yQzGqrT/mbpE+1ZbxK2nBfyA03GjOk1JqIKNjy3kX37Vrhf
stBoRuXt5/pkfWjY8Wl3hfsmPXsdW3F3Yh34b1+90OCbATHpb/rxfp1w3+SK
bTccg1rW/3Y147FX/A1IQ5N7pMdAeRL1Hgz2Gwjj5+H2ZBJcNSBdJ6xNthif
LJVPGNlc8+uMjwH55Sv6nNU/Wyqf8KqL7qUh4wzJkqvzdc4X5UvlA04cMP7U
1GWGRKFjmv5qcSk4HPt2TeuPIVGZ1EHuunMJmH3zyry11Yg4Lz1ofsBIyA/8
+TPSWmtYJRj9U9ph02xIdBtNYrspVkBFlG2fMdeNyGCbiX4O66Tvmzw9Z6C9
XoEBeTh9yFP79tL5g2olF1ySZQ1J3pP58cViGRI9+1e7W+cNyHjvbVmh05rg
8uM1Mt3mG5HOsv/KjSpliPe78nL5Fn1JXaXBbO04BfJ7rftr62gDMmRfbHbW
MCF/cPiLjnMtDwjn4T92OXbvnKyQT4jr5cOvLS6W+42Ij2XXP3+TpfMHn784
0RTx14i8/XjLYno34b7IS5bb04vaKZEdL93Ts88J8Vl1NstDNhoaE+tx9S4X
ln2F1t9oAP/yQWf2F0npWza7c9Zq3U6ncpVH4Hn7xnfhUPpWSemsnnBfI85v
eI/Q0IArBTAnVClMa4pw/+KjRqfmo7lCPBZ+H052phsHntAjfcKafs7YUSGV
P9frl/zIv//0yCG1hiXmIUL8Fs7fpfRJe6+00SfTe9evc4topPxkZUpUYsyj
Oi5+vw7MV+5Ti80Q4nvq8sT9uw7VI188rRTOZ/pQfwvqr3JZH1yDakWkpFQ1
3f3Wb0rH/cnvegfZFy9EpHf64oSO24X4LxyPVwFvBm0sFvLp9t1cvcd+n4is
6rY5ckMH4b5F7E+vt89Ovb8rIumdop/H+Unn013a8MTvjYeQv6b9NLZm5jIh
fkxNu7yt6l8R+T1pWujOuzFcPGAcfHD0qXp92JA4u96dMKdUOr9uSbvp9y5c
MqT1j62MHRleJeTDNXoManDaaUDkFu1vs+y99P2LB/56/DJob0ieTdQ47vBH
uH8xxmbtzDkViWBfZ7D6ZJ84cFmh73/PNgnaT+vtfkIvDqL2fn/T7mshLF/x
4ZP7yHhYvu78tsprTaByYcnG2Y3hsPrW8LrzU5vB+9rdHCPneBjZJvftFEnC
f7958G2GrWLxh3jYqNrrvsrJfyAz2G/rP7ssiAyoWPHibwEUPVia0Xy1FH6b
ZHjNmJwHnspKQZbFpbDtmeqmiDstfHzF3JCx9QVwzNmhrj6sHHxiRHN/xxTC
/fqC4eNb5P1zs8oet31cClH+FQeLOtXBxYGuI1clVMOQ5xPUK7rUQVLN8LML
bJvBdE2o3uTYOuinPdp+gkEzHB/SPab8cj1cG0Kmnv2WCXahaXeD3GRJYO0S
uefNBbD978S+f47IkrGieRoPc0uh9bdFX/j11elTl0ownjf53PVTMqQkaPAX
vXnNMF2ywPRIrQwJnzXj2+ntsiTWborsmgoZMmaKq7bJtEwwdvGy2iuWJyp2
0/UDR7V8h9cMkrqHy5P6GUPWe52shNZfBRK+U/vX2+USaB4d3m5NvjxZ6vbj
zXpxNQw2nBE2Ya4COXj37Wfj1fXQzy+oNHqoAplq2/BOpU0z/Ja5IuNurUB2
BZXf67tXlsz8oOwZflOBqNm8CXjyWJYsLJ6jtHC+ArlR5qabEaNArHtOeV/Y
VoHordylZehVCHJnTK2q26qQtVZ/N56/UAp+ZuEjk74oE7OCuCGHsitgmq1N
p4d7lElur/VtZ0U1wZWxe6eo3VMmkDJqpMKMUAi7XfL4Zds2ZHll19TbNwoh
evKWU2lP2pDrTxcOaPxTAAczX071WKJOtp/o3s/YoRT+ZZ/JPdKrDZk57ofm
q47N0CNquvnp421IgPvki3bzy2CpnIuJgokWse42dLvK+kr4dMijx45+WsTi
ymOzEutKEO2/tfN6iBYhZTWPNtZXw7mkvJ0+PbTIlMX3Pmj8qgaTPsYhHila
xG+i5XVL9wZIftMYfeOOJllabd1GvWW9TQ87eF/k2bLfeDScm9yhDJYUxKf/
TjYg43zMep36UwjG5R3PzXtqRDruPrC9sqwQDBbtVG98ZkQq7mx76Hq9Hsq8
O6n2v2BExhnkj7mRWA+nRFHxO7yNiJKjbNvqef9g04TCPn8ff4V0A+NHdlq5
sL+H67y6R39Ac5jXiGPPyuHXiYBf84b7gsmJFwOvpJXD4oS+3vmSj/BC4bH5
AHUJzNLeOGnmkxfg8zBny3TvcvhzfWgaVMZDQ8LGo11b9LmR71/3Um+8CIpL
NIO7VDRA29BuBXX5f8B8XeL2gk7R//1mgHmkzEK/PlGw9sOTV8/8siC938Fk
sXMZkM4DrJ9COpTEPzU5k1IEGZapm0dvK4QXJ2fKpLWpgDNhnxYc/VcAF6zV
siuO1YDfpqClz36mQ8UH+ScFt2shdu2n/FUtfGH12hufXw+phd5Pu7X1yciB
lJ7Hqmtqm+G+xPT6lvVpkCf//FmBowzxSjBc/HdMIUxw+KF7bqkMOXF5hOMU
qzz4NTd0ctqIMKgPHjjoc7UYkhfsniTXJQxevP4+sXdEGbSRyN8crRUBjffr
fk+zlEBIfOi95UNyoTzF7/FA3WIYphiZXrQ5Fw7UzNJx1yyDSMfim1bXC+HZ
IO3Qh49LYJvXRU+F+8VwZfg+owjVUtjSdTz5aKtMbvd+Mux5hRi2+b3SPbxU
mej0euk/NbYMZmjWtl83Ove/3yo4H/kgcciicnCJWK+XPr8K5hGDtLMXqmBK
x1ebXXWrYdT9VatCWvo//KHW2e3vJOCUunbGxMRaOES2jD06tR525DQ+G6VQ
B9HuvsoHc+ugTfZR+cyPjXDo8YvvO9tXwxn5hW3qJsmQBbd+zR6mWwXvPll6
BE/PBaVHXTdq7m+E+K/DZbqr/oMmy9d5U+40weSGSydmjyj677cRTkZdW+nc
VAYVTXPfLOrQot/fTt06r0X+OrYx1brD70YIu69iUDuxBqLl/B9ZeTRBj+Qt
j5P61sKKRv3M5JgG+Kz2xXihqwzZdHfuksbRTRD6sdj00gQ5YrPP5PVdlSYw
utPLIb2PArEwMyt13d4E9lYzXYONFMhEwwF/rQqbYMeBzDEqu/7C3IaOPzau
lCPFk9rOP2OfBt81JQ/r0xTISKuhS2MGpcNTS6skBy8FcmLxEp39L3NB38A9
4dgxOTLol9Pir93yYP9xhy0fTikQ7e8Of7seK4J+8U/nDV4kRwx67v+eMLYM
nJf1Hn/2vhy5/snt7iOFMnjmNOHy0Cg54if+LG+uWw6tv3KkZOX1LRWSWri9
5+ldrx9yZPyav9pXPOvg+TdH/6dD5Ui7mcaLuqxvhPuVr+/7PpQjFscDLT8c
kSGfRz0Oz/aWIz1u1Y4sD1Akw9q86FawWI5sPqRxu9fqYlB+stMjdbkS6Txr
buKHeyVw6caICzczFEn4saHt57qUg6TuhfxuYyUS/GHy3IEZEmj9VSRqHZS+
BM+pgaoVk8MGnVQiQZVu+QULa8H9oL5scKAiufYXfO40NMDEqhm5CyIUyXvS
PebkdhlS07Ww6LGJErl+RbnnxhB5sj7fL8LstiKxbLdr/OCASJjvf9PSw0WV
/B3Y6ejJe3ng8yR+xNsMVWJXOevCz1tF4Bl/tjnyoioJHCrXs6dqOeialNVs
HaJKxlTUxw7ILIdHlx9dUU9pQ8qXezp9DmqAX0X9zt3sq0p6w3jjYS37muoV
95U9C1VJ1G7PtwVVMqRSJVO2cboqidkVanJj21/oehUk+8w1yH1NOfv53VOh
/vOqbllrWvTpkNkvZlsUw3yf4zuH7dAg02pe/lH8XgThLxrSRjVrkKZFhx3f
DSoHR9+C3qZ16qTDipUn37tJYOPkWQtkPqiTjSmye9da1sLlGbtXng5TJ+Z+
/44sW9UIrb8aZFPfngeeiVJA069XyNmR2mT4c4cMsXoK2Ib0JvY12qTSSDP8
Xk4KxEh66nUp1iH9DmeOqX8ghqExkWd79tEm0zdMXF9/SwwuNxZdzVDSIUPf
rj6e3rcI1Mi6AWPjdYj6yBW5769kwXWXa6k7luiSu9teFpgk5sAW7cSkci89
UrFvhu7da2Uw0DMhYKSJLnn3avPJV2dCIe6T5RxxtB7pqGg4ziI9F/LOZ226
qa9P/I2em90dlQcVhx0VlgzVJ3Ofqe3UyPkHCSM+FU6q1CO58xyCN7fwzW0z
Heb13yki0+dGbvq9uWV9v9SqCQ4TkWPuR7eneBZBecVlXee2hqQiUf+d4YRs
kF8/eNrCx4ak0w7tcYF9/sFUq+0exK9FnjwYH61yoQDqlIs+b9hmSGoL5YK6
tPDLK3cGW+VXGRFZT+PzjxWq4FTh820zLxqSc/N9bP0PVkGATHkGfDUkxUk/
Q3L+1MD19sHdKncbklB5sduFsVXw9Pjb7+5BRsRRzbo0b3YDrA0Yq6R40pAk
GXQ3Pe9SC0OHztr4ssyIlK88m7f8Txl0jk8Pcp95Esp3//DvkCYGZ6tTQ7qZ
pIBx8y95z+85UKL/WWO/tRh2/xe/xJ6DXAkjlTUXvza8Qu3RURuuLfzgFgIT
I89t6psn3D/8ZbzVoWEPJfB1gMU1zdxkmHyretKdslp4Zt75TPWIePj1XzwT
1p8zblhDn0RZ8jKzud3Jozch4794JqQH7cktvt1HmfQVJc99Z50GXX+naAdM
VCYVXzeX7O2QQ+31n5w+3Vco+gdrum6ZkyjJoXb7EI3eI1fNKaXlurQf0u/J
IuH+R8zvE03X3Rnv1cJXgp8fmNiyH5mrnhxj5iKG1P6qt27YCvdB3p4gma1a
+Qe+5rywW7GxCiKv/HKb5yDcBym5P+6EakwQXLS77pm9TbgPcnSv588VA5rh
ZMXewZeeCPdBYhz6krTPJ31ThHNYf609/0ixuwwJmvFdN294LbXro/6xeUxk
9IkN8uSx01e/gdXS90Ue2Vv09ImDcK/IgGmp+V49FYmj/z0Hx6xcqfsjdcs7
RWZoKBDfDooHs6yF+32x/bs2PEmcmSDYZ3Ut5EbOmalMXOyGLrt2uYLaB6ev
qHzlMU+4TxLj7l1GZI7aWdCG2K/t6+GaUglnNjwQJ03WJWvd75dfnSMBzUsd
A5cE6JLEHZunWEWXw+9ceYODM/RIeHBln24+5RCX6TLbcrgeWbxuvv3AXTVg
/mjKvqsTdUmnz90svg6vgqA92VdnrNYjXoFrRKr3GkD37f5rVs06pM7xhdy2
olr4tzDZxHWhHtm9a7fpgZ61cPiHjUNAqi6xW7FYbu+sJHivNCrduLc+uXjV
3r5TbBK8rJPfNW2iPunXc432gOgYMDInX+8NFJH4X3r37tf8hU9vZNNzx4hI
2dXDRZ7yuVR/HnDswIzt7crA/O+ei6t66ZOIg/n6DS3fq2xcgJF1XxEZPI84
yrXII8sfRCTHWohItwOJVvbNzdA0yerf2zw94qY6stdUUSOoa78o7BqrT7R9
fHbqy0WBo+PpoPcmhiT7Xddv607kU3sV5k9tuq+de4boE5NTsrlDFdKh65ED
mgfEBuTb6bbpE0vTYWzQMN8zIkPyzSzwSuksMZw1bGOw8oGIZP0ePd9HkgvK
vf/lvKo3IEusbN4c+VkJwx1PhciIReTAZj2lRd3KwdO2R+crowyJZNtCC4+R
NSBnMKb5aKOIGLy+ePHC0BrYvWCWkrheRD67zdYLSq6Hl99kDh2pFZEfq/uc
CLpSD6N2Z53aniYi5cXqDUWBzdArbJmMS7SIjKj2iWhuJ0f2KW3o4rZCROTr
75gPmZIEYT/arDT7bkiGnd0q2nsoEcI13CWjfIT8eMUiPbslvQzJk3gfowH9
hfsh7V3vfYuLLoOU8lO7x/YyIgluSwJnmxXBtvKbA54rGZPgrwqKo3ZL4Pqm
DZcGLzOk6zl1n9dwC10jEuj5Rv3TZeG+3mcvp68fXdUMy7s5j1x32JBsOXZ9
ofmvBjg4fK61k7ExUZuh/TCprEVPXR1Oxi4wJBq+i/zcouRJr2mVj3IPGZDE
fnM23RijSNrXyyx75GFIls9syugYJE8u/pn3z6S9cJ/i1rtWBwwlRmT4Htfn
f2oKpc7XOrXDs8+Q9sJ9kCGBiUtnOhgR///i39GehflFx09NdTVLNKL2zkU1
Cl1LdIxJzPzTP8/9Fe6X//BffDw+j/aTqSNXnCif1KJv/Rcvj3SRa5L6pRAh
HwnbX3Rat8LudTLld5Yn95yLnB8DO5fnBd92KqRxC+/LL0z8cLJJKl5g9e3u
4on7DMiDhuE3nOcGg87LHWVeWZ/BIyB/++NOn6DEImb+SnEK6H/p4DnidD6c
uxN+RHL1HohVHLaOMsyFlSZlBiVzf8LI/+yFuH8Y93ZdbTujBMQ9Ouz0bXgB
ay4qDp6oWgRy2hvWJgz5Rfl/+8JlEWdz3MF1qItJQcv+d26Ao3/m8CjwOjRH
XHOuFI4VZK2y35YE81Mrv4xTEO6PxPMZjquoxB9VSgXS4csPNVINu77P/Xlt
6THQGvR63nW5KphZstJdZlQQvPvP/ojtm/LYr9P5trWg37TySKBFOOxTfTL/
5/dq2FP0zsV8fBLk+FWY5rQT7pvE/L52yWZ3DAb8Bf1pL5Usd9RBrnXubO15
z2H9ywmnurxsBF1byaq35z9Az4cXdtYclCHHZl3zH+PxleYlplesD8+qS4DA
69vkz1nJEqVDKv4/nifB21vBaj/nJIP924QRB82yweJJl6gbm/Mh++WoqXdd
0uCP65eFT9VyoZ0o50J/t2ywWdPf9ck6MST0zIgMNM+FRXoWdampBeD/O6dk
4eh/cHawbMNra+E+yo+yVseTTlfAVNfZv/aP+wtZY3Sa5k4qh6NfUk7aDMqG
KZr91y98UwcT1gwwDXD9C49rlIZ26fX//OZfU4c45EC1rJWH055q2LYqZ1xu
VzGsslkWsHOcDFl/30NpsGc2fFlx3bf7l0K4VmwSpdCjGowaF1blnCmD9+42
g+0W1IBPN9Nzd2eVQnlx6tqENAm4WbhP7+lQCdPa5hjfTayC+6rdygtX1UNq
o8HXC3uq6L5eLumce2BzNciFRKgcaBLuszzkvLTthPIy2PjlnpmPmQxJvHZ5
1KTwUjjx6c3FTfJNsOSYyZEaUwmQlykzjx5sBr8P9S/Hl1VAndF5L5MOjTD8
XAe7tldrYElF1fph6jWwauTx8m2Rwv2X62xOpxpsqgf/jfEOAz40wvdd9Qnm
Ci36aU7oRv0LNdTPXH5g041Uh2rY0LzavXtP4dznqUNPN/TtKENycg6uHqkv
Q7a+6xA040YTOM9XWb00uwGOT1P53MHyn9R9mCfGaz6500049/2o2o5LheFN
UOzcf9xZH+F+zOpbIbPlZ1ZCVqaG3dajLfpelLvPhnk1lN62966oReU18Ldx
nOTBWXlSodarbJxHNfimVIvOjpAjEx53DBi2vgGyFHbUL9sqTwwOjnW4LqmD
16nX7n+uF/zeA9dYm2nUN0NHowZH273CfZpPHzlMep0hS5ym+Rt3UhD84n16
z10c690MI85+X9W5nxwtv2JUnzchnomg/se+afYsJbIoc96Zb7uz4bxe/MmP
g4V72rrITN5xOFOOpNcd2nT6kXDfpsbb0aIRPbPgQmngoHZmSiS3+MHR28v+
wYuHih5HdeXJrVDd12rKwn2bl7skX8zeJwaLQdfUw4Yqk2V+A/6NCy0Aveax
Q/emKZKfHt/d5hxrWU/h1Q5qBUpkbumVXgb9S+F8x19KYReFe8ZeRnU+sGKd
POkf8GrWpb/S93Hem67zdMQAefI2a5vj4R6NlN6986NpHkoy5FuPnhVWe4U4
gNglLge+j5UnBZMuXNyxVogLuHLD81Ov4ExoTti4ZYibKuXvZ9JC197oqExU
Mzw8N48t5s7bLoP7tzOvid2USI8wS5Ue+uWUPtjI07U0rRImx6zc7+KlRIau
jJ++zFy4z3NT6sFOB7fXUCxKrTy8uLIekp5/9Xx4voU+d8aB3I7CfZ6pvYuP
zk9uht2uY7/tyxDu8xzfkBER0KLP6776tvfTMOF+zyvz/WYuTQuFavfPPefG
CPd71mUny746pka8Fye8PN4hguY7+g1ssHzXMn9r+3UOSrwk3Pe5Ra+dabsO
akQncbMHJAn3fy7YmdhBxa4A7IKO3umWqE42FC/6VN23DKLOKR6M7q5G2lbI
blSZLNz/ablFf3qumgyxeC0JNHgj3P85y+vKvlkuaqTHjqy2HZ2E+0ANfXZE
xd9vGd/QK86/B2kSc9Gs3D1pwn2fskPedu5QWAmrkpZmVWVpkPf99y/uoirc
9zmsT4pDzbEa2LlYa8zzAg2isy73p8RbuP+z55f+wfYvGsDKucivylmTrier
Eau6TVunSRxuRs8rHdJIy1tFql5KaZEHr6YkVq/+oktemHsEH2jRr5a9PLPU
4Ike8Z7sEfdqWymVh3F/HH6ONBeY6hOvHm+u9+lSCyfu71mSlahLzj1btXHO
okgwGfG7U72zPhmX+v3pYcciyDnVe36L5Es+Du00c4tLIShXXe7zYYBwH6js
I++iQzYi4nH38rlrVypgz7NpRTdj9QiM2+zcs7IMeqUsr4l5oE/+GZlpZe0t
hbitSs8d7UTEbNXNx30SSqm/CNuXlj5b7/U9Eel3epEZmS2B4DJzgz9f9ImZ
Y5sLN8IrYMq+6eneh0VEkjRtzevUCvo8vW91vWrg9VQRse67cvkn3ybYFRk/
e+ZWEcl/vSDeqa6Jlsf9t/+cfdZWb0Tky21v+ZDibBh/q1zmwVUDsudA0SbL
Dpkw3940V2WqIUk7721huiiTO78xC94PcV076pwhqXOe9HPX8GI41em4/GRt
A7KOzKwdt74celzz9k4YZEDmvNgfOmpUNfy8MXPIxqsi8s5iTI/9IRK4+mez
is1MA7JoyI6PJtsqISh+HtQ3CPeRXu8U7zdI25Ac7943ZXlCHYy55mNadFlE
iozOt/EdXQvanRXcAu0MWuR/gwbf3y3yyuyvumMMDen5A8f85j1osDIk93/J
fxzcss9MPKT0WH+xAcnRbrSeP70euv89ufxIN0PSL9qq1CNMuJ8Uzw9xCqyf
29giT9s05dltqWiC4yZRP1Q7CedXDcy62n3hNEMStb3q5VbVv+AvCWjTvUV+
j325vvyyegGILjS9D1zc8ny6WXnE3lwYEqy1+22zIenhO+SHV0AJXJp8fEik
syGJfCDqYzKnCHpGav3dKjIi7do9PDrTogKy7a0WrWyR139K7EWutWVwxmmp
7oRhRuSQ2c+xfSNKoX9a7/rKCCNydcjQo4eIBD6c6zfNdnkLvtb5THf1Fv3J
zj/kZL0RMRMd657Rwq+Vl1hv+ZxqSMhrpRz7OY1w5seXo2eLDYnprYuqt3bL
kDtWGzJ9Cw3JvoudzotJM8jrbLmf+s2INH/Y2HvNWlmSkGTzZl+wcL9pvtWp
9eUmcdSfrGmWczWwayZcVOyw7n62kBd+vlRv+sxmJRJf3c1HOyIWvN4eXhH1
ppLaQzbbdG7KLxTyPB/smxLwvKYSOj+KNnOOzYPlBn1Fn93qKT1y8oDRD+SE
cwd/J4QeVkush7t/3ab21CqANw7vTvX3E+5DvX90fua/77JE9PrDEX3ZPOjt
kewmP0nYZ0cvUI4cbStPwoqMP1XeyIeoIHf/kfqC3aJmfR+vgV0ViXfnH7sl
n/NB5ljISK/e8VROObO/5OP6338pzl7/udnGOR7GeEREbGr5DiapW/fT+ZgA
485qu33YJtyb6LdorMulGOFeKRdvVwvN8y3y0+jX8glEuD+1yL3S9ui0CuF9
6rOe7a8vhb0Tg/033qgAJ5fLJQnRpbAu5PfLdUMq4evEs2qZq4T7VQueLvX/
vkAC8Xb9cxPnl4NL+6ZGFzfhXvTrE+6tv/ZNuG/1SXieS8ShatCt0/u1b3I5
2Cz8fNJPR7hv9X5z5bxBewQ5bZRsqI5Xfj1EHhmcdPNSBRyQdbIKKBDuX91w
zD0kK0+WDLMatKPctBysrT8+O7tduH/Ve8Ocmfar5cnx0xO6Dp1dAc19bIxV
Bgv3r85K72Z6v6ciGfO49MWRHRVwolfPCX0D/an9asHd21EWoTEUz/P1eZoc
5A/Jm7tkXmjh80PNwgbZqH+FP21k4i00hPMwQ6d2mFp9QLhHq/SEnnvEIuGe
SgfrDWrXpjZD2/xXnYxXCXGYN5TNTqiNlyUnvZvG75Grg8E3VT+ebBLuZf/t
lGmxr1yOdDwqa9h0tBY6Ze0PG5yoQOlvnbob3AtRILNu9cyY9FY4R/nESo+Z
51bJUP+/0zsVu99nhHtfR1xb7Os0X5niQRnKLsNa5Il5690uzVRMpPavTW16
7rqqm0HxliUu3zZPTgD1Gc9st9u2IRc1tG0VRwTT+LXE92Xp32pjKU4esHrW
6ntBYFJwt/eJ1Vqk866tZW+tsih9zOM9ZHLvfIrX5Ty8ZKiYBQ+9Og1ZqaFF
rDRf2g79ngnPXir6yuRrEbvYEO+t44NovFu6d97yP0NjKdZ/N2/7arcg2Pqu
UTn4oA7Zv8Tw1vxHmZRu2bd3tcqBPIqdkwbay37IhH/qFvL7QYd4OZiozqzJ
hOkjV3Q99VqHNLdfPHqbkXB/7M7KwYXmA8sg76zSwn6bdEjGq74TtnevpHT5
QM+3bUdWwsxJY3vMnapDylxHpHVb0UJvgllj7+kQt3I7cPCupuU/j17fXeNz
NbSPXLN55Bgd4q+rtMe5rBrEOwxqej7SIS+XbFinWv2Dxrf02XAya9jMOIp1
s2c4xT3/CQ/Dd7czaatHFn+q8C+bU0DpDpfardN/X0xxeqzM5hPHC+DIlMyg
tHJdstnmm6PD3kIIHrz15dM1wnk1gRteDLV9LZx/vXvslO4/1xmRWf/lB6O+
P8JtimGtVQS8vN303t32GpwZoFui2ykFRsb3uXxy9EW6/hcpP33ybYUPNHQ7
fjzzZCrsuLpl91qjG3DD69HowJx0yL5QMFw/7SWEe4DtApNs6Bo167PZxq8w
8NyKk6KDaXD8ea9hewtjoUZdeV7uXiWi2lD0/q/bCVh5cuz7TPn3MOlmatso
t3/wr6F8yYJvaWBte3mKx8FMsHW6NExxVTb8slyiNBCywCh/scWicVUw+nRb
zxtjMmB655h3L9ZWwY52vuMctTLBZ2Zw0aErjbD9gopD25gMMJ1xSnXfrUZY
03jS0q4xAzqrWahv3dYEm5fceN5xixiyF2ww3eUqS/wtuvmse5QBK/4kTOt6
RZZ8XpXx3tYjE6K0Jy3urSRPjM+3bWx/JA22KIJ7xywFUtx+Wam2TTqYaPqe
WN3DD06ZbXBMN5LAiNtPmj/1iwe349ciFJcVQZtd1/rV2ZSB5e/nZxRm/H9l
3Xk4VF/cAPCxM9YsY0mkKEtFpCg5J4pkS7ZsrchSZKtQllKpKGvWkD0k2oRU
smeJ7Pu+Z1/G7vU+z2/ued/mr3nOc2fO3Ln3O+d+zzn3ns8UmNlNHFA7OwO2
U0Wc7MmYBsN2s4J0W+0cZ69sHI/NJMgv89r77coCYLccP+tjNAGeHvjKpm+1
ANYkD1VnZs6AksH7lgzrs+DnoyzVi7TzwFx8kZLzCRF893AsqXgwsXWe9fQe
/1oGpSurx7RNpsBSSIy7ZtXW9d4l7jBr7DR4Haj7OoR7DeR3mySpgSmgvAh5
CLxroGbyouLrD9OAvq+Wb/jcVj6l/aF7U3QBcD2rvhKTsgyKcFbxyxuz4O+l
hTD+2xug62lRhMPUX5Aa95OjQWIDRChfld3ROg/whspKrx+h9R1VEhpNVUYo
oPbbL56+nBOg7knwJ4oxCjh+Xkvlb9UMCGE0CH5hiYMOn9osBAPnwTHtaPnD
bjg4ZHBJhFZhDoxJx1476UwF63FnyvZumwJJjYvW9Vvlsdi/p8crpoEyJYM9
39b1Id2gVYzu4hRopeXpv7FVvnH3/gXm+GlA57egkkzZA7Id9qUPuBPBqNFS
xd++fkDkfs36U5oIosvks06n94PiY9lh15WIIECXOdyqpgvwlAf5u2Wugsw2
yoB3eT1gzxFrle1eq4A+tIThTDwFnLrNaHKvdhEs7+UaDwqggB25yuN3Qrfq
r101q9rq955xmRomTC+CwcyOD4wUNPAvtc/NqpVFYEzpi3+Y2wFuOA7toN/q
Z/0a+WtgWtsPlE7pMpeHboC0ytsWgh9awS0Grwcl61v9Xz9hmoaibFCd3xaX
7EgPdfV6V48Z/wEzugx3GvTpoaiG1dWLk8uAMyjDvnoX8my13LQdFTpo4R6H
CrvyACpo0mDiXTdMA79OC3GnAypYbJAWfciQFp4SvF+f3pWK/BiPmsbriclA
cz9z4yoVE1YWNMnMzIpnhH8vHU/Q+dQG9hdczZuMZ4Bu0vWaJU9bgXvlw6pF
ITzk7KI+ZyDVA4ZucMTfbGaEJ8Vsfga9WAB/pQSGrn5kgkKsAmyPNRaB2XGd
cYV3jPBlzt4DsrUr2Pfv9re3rxBdA7InAnbqvGeAr1V7va9u5eP+/iLP63B4
OO28I9O6YBlYGfX1Zu1gguojS4Xdm8vgYvzHTw6VjFAv7LtrGTEeux49yYo4
EW1RBgy7NyNfXGWGVTaDhuZdpeBRyNofowpmOKoEL+8yjwc6HGJsuwpYsbKt
mbfSH25W+EyxksHVrRG0bro3HC5gghO8Nkw15vUg5QZf5Y9SVih3v4hI/bUf
LH2fnVd9xQyV+m9LC3wcBvemNYL0Ilghj0di1FOqeOx6gatWqWrZWwLc+LyE
m0LY4MbUq2qOs/GAvlrgsFPaNqzs0f22TdxwG3zh+E0sfV898NJd5R12YoN2
3p7z+m/qQcsrdYMHOdvg9BVK95n4PqD4h5p1RpcNhlXiOY/ZDgPO/pTXdaFs
sDj5jMdG5fBW/6RJ+1DM1vebXzg/ip8BxsRV54cRbND7g/b3U8LzgG7wy8fX
xmxQw9he1fQNEZzfYKKJ0mGD8zH1lDbFidj1J1leRt8qtxQoVRbMZeqywxuP
3V7MipcBWTb7jxFe7DA+W1ytRSsZcOn95cZbcmDliCrDnhxpDphzdo77NG8D
+O0wbT8oxA5jjT0Um8q6sPoLI0N2aXH3AD2N/ubQsxxwKrIxK3Xr/2vJOVNE
qcwBd7XVn199OQEodKP8xCXYYW89kx4H9yQQbxRw3fRmh38M3KTS/D6CV5mO
xU5q6P7KmUD8E29BHnjPLabsEj0lzE2tiyfYckM9GSsrhpuU8P5l3dsd37mh
fmCxXVvLT2w+gLQeUOGZjcJ9vj/BtVtUSdK0+dh1schFli5bqQEM8fnf/CPa
hjzPa9oxoLQblH5bE6rxa8HyOtefb71Wb/SDe2lGWpu/m7B+SyYze6zkx1bM
64g+OuMmwVANzpjf0PySNobNZyedcRBVP4q825TTQTIt7rNY/aTxA0HOPENV
vnKAz3Hz+lYzCUz8tfrDL/aC8EfWfZ3zU2TeLad8/L6YDwNA2ezPJQ6+KTL/
lmX2ebT85Ragd+FL6FtB1G9xI6yeHxJbwvZHSz3K3z0frdtDGvdleRbCugEa
QWrRC26pi+QebnMlI0cG9zdQXRySTOxDPi7TNKO1ldQaUDQ2kVGJ/4PNOzdn
CFcVXmwB0Tdzsp+6ojzeZ/znY/OvyMsl9d+/itUnVNrXYPPbR+rWPT6LNwPL
5cuWD7ajPJ80Lkvf0n0/zqQKuH9WEgQ/1rH9kTPtkrfiJfd0xy3chzu+NwDJ
xxN0wQTk60oExe2qHaeEWVED1IPB7YAp+RQnLg/5uioap+W0ztYAJxaOcTuD
IfB1heuLZXcO6MUnmfpPTWDrus0Y5loxGw1h8eHFSGQ/zjYEnrSwmimBrv9e
J8HUib91ikJdwGFeIS8BbPUb22c9Ih9PYPNgpPGqs5tj3oXq/eCJ4ZvIlwLk
fu79ajktKfYRcK6099A3NeTj7jG3r1P+uozNn+QeTx5PeoqDNvJCTErVUyBc
7ToTxTMclFPDR8paTYMz7cHCNFJVQOWwIOMK1yy44L1XYWgGebhD33aftIz4
DYx+DB0YVVoEKp/VafwHa8Gpo/5xdzuJQEH8vexwVv9/r3NAhBXvMtTaD4In
ue8lJs6BBuZfh7KvjICMiHOa/pVb+ZAsVI8gToC/La0h+6WRf1tsRe+raID8
W675DgHdmAVQdu2KJNNVcv/2HNd8xgfdJZD4PujqoYdjWByb7WixE7adwsqa
fTxfXF8hD5d0/DgLvJa/vpzH6v2puaF8LmIJZEk1Wj87Po99/mJjB0cnNxEk
33Op/8a8ANqCBX8wGCIfdyDg5xK70jJWP+n/El7SsOuG4hKQpd82RS29itVX
zH+OW8EAzZMo5qc8iLNvAbw7tbLyVFaxuJ1znznol7oKWpjSWcuy+4HoQkQX
S88KIF542dzZ3A+2PXYbnW9YAV74Wtq29yMg1UN1cl1tDUgxJcfcKUVeLul4
/hQd0i26tAx+2YV441gmQPwKf2THrWVQeXVNtkhvCiRM+WjFFqxi52Mif8BZ
49AS9vm6erCzi3IdXBrTnnhXOAvU7sgLzxcgP5foXnApcKv+bK1otbrHc+j5
0f+Ot2hc08O3fivg5dQGj8LSBNZOkL5PX1jr/Jz+GpjKIhA+HSD3dWlHki+/
m9kABk0VO485I2/XS0xgnfrLApBnGXY2uLsMjgT49LzAEUFS+4dj15nXsPUz
gUrtU4cHRED9miv5zHbk7zry31+5fBT5u6TxyJYK14h7/Gj9zdNUGyoMEusg
oED80OYD5PEWnYr8FU61DgRvUThOfl7GPN5Kv3Xv9lD0PrGalAjbwg1waDUn
KpRpFft+0vjkO+1J9ryUFWDgn7FEGF7Htj98GWP3eQIHTU3Pl2vJrWHrYoc+
ZWq3G1sHF/jeW+fsRj6vxLt7u1QSKGFS02D5qZ5VbP1fyieXXELPonkeZkqJ
wAW1FSCe8XDzYgnyeosSwtLe3aeGn35c4EuUXMPW77u5mkERp78BjNldDTRT
kdcrJ9kyMa/fBFSsOmZGjHEww7P5ZcaNIcA+GbPHLwIHeQ3OfywYHwGnjS5+
CmmhgNG0t+efcI2QebpHDygZ/zDDQTMmjQ3W1F4QlFpb2FuNvN59wgeqbCUp
oRRv8RTvVr8ro/TVuMAdHCxxUrx7OmMKLM61Hfz8Gnm9fXmcxEUuVH9pMtXJ
9/qU2Pj9ozifuy2/kM97ONGUtZiaEqZ3clUdfIt83oEyOZVw40WQGkFj20fE
QUZp8NQhHvm8pPFv4686FtR7cHCHk4idGuZyI7/X3N50b9ggDgqGrSwb7JgD
jJ2KtCU6FFBEuvI8pQLye0n/FxOXoJSg+8jvZZoJnhZvwcFB9bcyFbfJfV+V
9/yn5ycpoT3NaodDB/J+/w5RZQ+GLwPfk0aTjLE46L2ae4d3B/J+Sdfb5H1v
uDiP4eBlmRq189WL2OeD2UOmK7rXAN2ag0qVFg76EeV56s03AK6X266xHnnA
xvfMn9Nv38TiefbhgHjVAPJ/TRevlV51pYTXn1S0bIObZP5vcUZN+1wjDiZ7
XnYr2cDBcGexq9aNyP+1P8ef4u1DCSW8/iQctUTPMXeG7qVyvFYLJG5eZd84
QQ2Tn9E2hDI1/LOubR0wVjF+Z8WO1uEvHd5v8EqWDp71r/19Ua4Fmy+sTb0T
n97Yh32eNH+S8yhVcIcLWidXIzLFviiXFpYdeuzC79uHfZ5IcK7ubZkAOfIT
hXu0qaFOA660z3wUq490fdeq6eZZlKeCUGHULNh8iswLntE1X11mo4bF2tfe
fnEewer3fjh1Mvj4LAgF6XIiDNTwYeu61wGfORARnOv8Q5sGi5+aQ0m3rF9S
wRTNo6dXAxZAcLCHnnUJFQyfGqNnHloEPrKSXO58NMiL7bmpoCSI/GCbHWoj
X+tpYAZtWPk+83ns/j5S+8ilAh7ieKhhV20IRZ4W8oNJ9XH1KhuddqCBn0z4
/c94knvCQt+v3mIZoILtNvdksy6tgFiFM8Yr69SQRjfsRv3rZaw+UnxSVOu+
i1VEvvDSexqznEBq2ECvXVxXT+4Nc6469SsvU0H7k3a4VuoNwBhfdHwTTwNF
mA/7Rukhb5gUn/PT7mUlujTwipx0/l1f5A8X+PrYl69TwLJH9pr29VTYeseE
AaneJGEqeIzih8PnJRwcHTeTt79Eg8Vr3rHrTTODNBDfwdXc7ILW5y8aFjlI
s5gODEyr76VT4LHyZM4tgU5mPNwm9WY4XLkbfGl6UEm3TAfxC1bazt+QR4z5
fM09prve0kF1OblN3tha7PlxUrynmOS0bn9ED6MKqZV98UPA+HZi5YmXdJDv
76KU7fwIiPB7pSTDiDzjwPIx9rl5Wiy+3zw0WjaXwEOZ0f36LgJ9ZJ4xdyav
qu4KHVwhVI6mW4+h9covtFbF0yC/mNTeWurNGqpp08FPywUq6rpTQDGWwdIz
gR5e6+vJc7qEPGNS/Cu5uKt0sCDfOIQpbaVhNz1UET9dqcmCvONveu/YKo22
2isWW2ozEXr47tXNzt8syDsmtc86FeqDA2200EDb+gL9WSKZh1xbxbGYu40e
Rot0nz4/MwtadNmFWfTo4Y0L64LyO5CHTPp/mAnYffphg9YhNibeUOiPooPO
TypqZPBoneLnd9vhotc8+JXGwp/Rj9b/HFdMKmmvpofpk05jtDXIT6YSq0vr
ploC3P1+MQ6/GaAUv9YjockVQJ/aFLP+v79HVA7elkFeMinex94nv/l+gA7e
E+B5qVq+Dk5MD+QFWtDDitws5siGNWz/SfH+Pklbep8PPXafy6eS9H7JZjr4
qukpm/4a8peXDIz2bf+TAJZsBbiyDJmxcnQAp8HOIWb41Nz/YqVXI9hTZSsX
/ZkJErrsFdJeNWHrP3swfi7EEweBU4DzbPJu5Cnb4NJt+jjwUJ32qFEarvsf
/7gHqHmFGbf1MmLx9rxo28Hj1xghfYV+a2/+CHZ/wYSAXaxt4DQ2PkWKN5+g
sa+6Onh4ZL9RVsBW+yr6VotSRZkJiy8tY7W3ydzMWHzJ6OlozvgwwrePW86J
Dk1h+4/LzRVT8FvA9s8psstYWmkZK5OOf8C5q6qpkBFGmxo3Xj+yAXzjY3rb
bJmw400fGJND4GWG52L4hBnKkb88aUWQzJl4Dc4P6Nu12LNhZT6W/EyZUjao
+Tmz/yGuE4TtdG59+pIF5gqJ7B2GEyBg+z6R0HIW6EJD8Lz+GvnJpHgffO/y
7OJdFviqj+fmt8PIUya13z51nfGZriwwqbLpQHxiAiDGsrGoKLFj5YTS24uj
T9mh2a2embQdHYCv+j2nkRDylfcP0SyUVGyDswqmx4UvI2+5JDfQImStA7TS
BYjvWtsGT3L3qxSqdwF2mZrjoinscJflzzHl13/Bo8+fLvZybINnfshuv9uJ
fGUC62Chj85Wvsg0IVa3F3nKRyXr8/Xy2OGJ4ZnKozEj2HryKkIT2UbqE9h6
DJq7nxyO00kH1rvHl5/t48TKRjmcs2VHOGHv5oSZf+IAINSOUbJyIG9Zv62B
lsuXAzJJnGPYYCT3l+lLmEu+3GWHtaxSUcfuLoArtyisfvWwwzhRqtuWrIvY
+0nt79nDxj569Fwwru+cH+1cO8iba/etK+CEdiovcNnTnZjXWWrxGP9DcgBk
S3mpN6xyYvvzNTj8gZMZFxxfY6K66T+AvX/WqylZbyfylEn7Z3T85eJoM/KH
Rr5uJtf9RL7yumWC71ECF5SWZ155Vj6F1Xcr9/5r9a39/9dXTgi48+WXDScM
k7cWNu9eAsn6HXjjUk54I8Eh/F0Uua+8e+rmYZ57nPCk2ODhtMw1MMBtvHA6
DXnLvvy9kg0anHBviuvX7/Qd4HhjkEHGIwK8v3mOtTitm8xTXrZZ1848QIA9
abigdachMk/Z+Xa8/TVDAqzuEMbvjh4H3KpsTt05yE/mPMU/e3Jyq74pQHDy
QJ6ysNTNG6MHx/5Zj2AMmGglnXcMJUAJf5EwB7ppMm8ZPxrwIFgQecu523U8
3jFxw5NMfLuaN2f/8V5mQVNU0B69y8hbfpw8HLkSiLzl5NGMb17pBPjEUXrT
W5XcW6Yy733bE0eAi3OHOuKjkbccfsvCncOm5x8fuQc0fAo44yzDA4nH33r+
uN4PjLXWwl0ieWBE4pTG55Z+IBxqFp+XijzmzDOu1gbdPFD3o0B+CcMAdn93
0APqSX/6Eax+0u/1TOrcI7ETec0ExXK5u6eR16zxIzgv/AnymhktjS3nQ3ng
kFB7edlN5DePtUjIPmZYJPObDcXLqov2bpUtagoCAPKbHfcOKfU8XgK957j6
wRPkN9/r0o0NqeCB4YvXXXf0I9+50DFx9kkREdt/Unwqhx53+m3LA2+rDVbs
rloh854ZssupVSa5IfGsPJM2ywaZ/5x894KXBAsPjMwszcptQv4zKd+rN9om
HUuPPGiOgrmsHHse2Dfx4/E1jk0yH1q8JnVddWv7t+vO5511kBc9G8M/Zq5Q
QOZFC1m4qR2SqwN2A28frIgP/zN+OwysNIc7NBg7gV4xZ8oNwhg2XnqA5bc4
VcU8eLun8u1B2wZsnIo2ngbPsdEGbj24MP/uL/Klq9WPhF9YmcPGZ0nnR3wj
y/qyWT0Qt3xo2uCNfGlSfMuZ5Sep5FSCN1mZp0e6yb3pj1JUQGD8G1i58fm4
RRlyTEnHr8D5UGFoVQlI/tUhcKygB6xn/LI7oDEGfJq/OJ6d6sLGM0nxTm2L
M3SUHgcyjmlBGi412O/SOTYtvZu/GQQ818Dx+yN/OnLxuJDiLDus+TMU62De
hLXX41YlqsEne0H9grMv8zgHlv/ywXS2bllOKLYu82NjFPnUJV+liBnvp8h8
agaxRGdgwAFTFeWrreXmsfe73o9jv8VMBEJE6p3f+zmglPlDkbhY5FMHBhz4
Mf9rBYinLX8NrOWAnTNzcYYvV7HttbgXvy9tNoB5e2eoEr3VPr/64zwS0Yx5
SfYya39oJXqByvqVCMoCLujH/FbZU6oP237kQUxk8fut+Nh9eHvSEPKoufh2
OoXUcUJv+un+Xr4xMq/arkogluMIAS7rGVIwco9g9fWdYTxK3zlL5lcD8XLL
9BPIq3b187eIUuaCCo+OXa4uXsfe392u+1RQngLSna10UK7lhM+WtZc+vKCA
u/fObzIzIC/zQ9cl2+wzXLDJLZhXLoncrzY24YmOVuKGdwdUo8bzkV+d4cHX
9/Ua8qtJ58fPqi3qsSfyrIVNnwnk5xKgKFcpe9q+eTLf+hSjaN3Nem74MoM/
5mQC8q4LTkzqqVri4EyXfoKbNAE2uuKmn+sg73qH1yOi31cqmMspO3LeCfnW
kbve6NwSJcDMgzz+t+TLyDzrzDcSBUIypVicK92735QWUo7W+6PjH43RLACH
dd7+Cn1I7lv3+Hla7ex5hI0/9rzkkWVw+QJyhXNextog35pmJOzHH0VKGCd/
rf6IfhEItQvo2RBEvrVQUXjFISPkWZPGZ8wab90+Q9MLnlWyhtjMo+cGz7ze
d6K/nwr+OlzHPKAVDwjvCh/0ilBD7kPqlccqv4OzxGjvb0XUMGKs9axATRso
HRfbb/Ab+TWkV6/OD+dPWfeDU8/pOhzVmsi8ajPT0ckV5gHkVpb98ZC16wMB
N4ssHDrI/eoHyadDLNbGsHHdkFx+dxehQcA5erGPMmcJvV/1RKmTD/Gf9gUH
30fjM9Ye9IFXf2pOte9EfjUpP2FdWuBo8EAe9VW3A18+bC4CvbLR1e2O09h5
I7Wf0pEVxDnqRXB97mArUxTyqEn50f1c3zezElvtLD/0Ufs/HjUpfj6dYmdh
ebIA1BVF+rq50Dp6mEele02ownABEM3cPfdr/MTG10nzo/g5Ph0JvQ1g/Y2n
XZ6nm8yr9vv9OZ8mbh087C9UbxFFXjVp/23yRLhdK1ex/Y3Ot+zPaVoDpSfU
5D6kb2DvJ+W/91dZ1aJ0UTu/4KvjFkOJgy9jvGTwO0rJ/GqLK5Xu/udwWFwE
8IdMMG2dB1lVj31OS/1kXjXtSlazoQolbNlxgLdriYiNn5KuN0ZHLArFv1FA
tahkKcXNFWw7af97DoaVd8KtOOcZ8Jyfo4SJB3MeJYhSQjUHtRFmFuRXk47/
GZu9uT8ckGf962JK4HI8LbyjMd+80/gbNj7nt9OIhTKomMwP8ql47Iazo4Gi
wvkVFa1tZP4N3mNBYOkILZbfZh/RC3MbpoGCpyRVL0Qg75oUb4KxF88q2tBA
NRErPymFaWw75jV/Kq+7M0YNrw21V3lr0sAKI0n5yJNUsMRGuUHKC/nXL1lq
H5+/8K933Q+2iVbRmQyi8Q256ve5VAV4mH/yIVfhhXkyDzvuVn/wz+/Iwy6m
izo27YGHP+2fLKZUkPvYqmEvROqi0PdJ3NhvVx7ODIUu9yp/chvF+te+b+/d
oFct+ccbKQG96ivGunGsMOrMPo/OtD4y/9q/e8B9xJsNphRsRL2SQP7182su
T0EWESvXFwgQKkSRd23TZyouFoR8a9Lv47cd83PBs0NFY5y6lQjyrkm/h2bu
r08vIzvM85wxP8zWg+UH7OwLqg++NWPPN5DOt3127Gl2QU7sfApZFlx2CkPe
tYXiKW/D5+ww2cjsMWs1uX89XOb0fKmZHQofa6Y4GrqEbX89f91kd1w1mXc9
rFLRb6bACQ+IHJFcDiP3seedWpSDEjlhuviLCrU9yMu20bp3oqJ3gszLlvKd
S+OlIcAZPiLhXi+5n70iOG+vIE+AX55G3hCbmyfztBMSv9BR6hNgf+nUPuHj
S2S+dnyrq3ieOgEGnr5xOXJoFdue7PRN07gAeduk/NG6c8yK6TzytyMOF4zu
oCXAKUaBAHt+5HH3T2wkfrlJAbv/4lSj5pC/TdHWRp2FQ/52z3Hue4Yr3PBw
ULhFVFQrmcdNNJB/YtfKDRuyE7LsBMl97mUWeSXtVW6YLN17V+rZOJnXvXDK
RPrIER4sXj/4jCXbD/JA/f/WvyY9Lxu8+xHL31TkdbsVdXcTFpDXPf/0Drvi
WXKv2zFduTWphQf7fYkLMXz4nq3+mo8GbsiZFkLF+LxPO3hh4n/rU//rcV/1
377mw92M+XiEuMaqEUDE2mtZrV7vDNNVUMtcbKsijjztcNGfMxd46GCpgRmr
CN8KOMeTiK9+gJ67mm++FT19lxamsEivF0Ic1h6XZbEFpq4wwGz6UNEgGuRf
uzOesmARXgOv379fdDy/DVqwcKaFmCPvmjQ/ychipfnO+ydY3+XTNOyVi/IG
Vzdi6IccbB75ys78nX0tOVgeYfOrrrBYnQ6eN0kZtv60AGgGPtyjPEgH+WZm
yi/6LQFxtWvC58ppIYVdpvQQ9wbgy+9/8/x8Djb++uxM1gH/HY1YuUrlAwvV
5CKZb73rFi9fwX1GeF2T71nwnhLML6zhk5s2ml0FE5omR3yescFDydJK52ZW
gdzYexbqtK32LNS9l/51P/b/PvDUIPOU4jts/Ifk1b2eCh4eMN1qTz6NJtKx
TpD1H702tMrlO3oAzUkg1x9D7lF70rqZOlaPgazr5RlLotXYfRa9IhmNxj7I
o2ZimnxC45gLwmxpE/LmUB4qKbsnTGr7MmBxlw849zEPyy+4JUXyuCcGwVTe
2z9z+sij3u3ZtOf6vgVQZiNyZf+XCex+ilI6x2KeC3SwNmyV04F9q58xHlpG
oz4Egi8yvxPrWwYg2WaXZ/sQ6Fy+HDQYvQwuyHxUa10fI/Oo5dlU9Q0PrIER
9dnOgtRZdF8GbyexnxPdp/Hu6uz043DkUyfYtiVKOFUDq2wX6h42HDztczG+
6UvHVj9ZyZb1f/ORB84fXr1tBcfiLMTw6jj4VMn196v0AWw+0/fa5Lz5vXEy
n1pmFuSdjdjq5xhqVjsoLmLbiYW4RR4u5FXPa3XS+7KgdbRD3lP7RddQQeFZ
r5zfKjiYvbcKd9wdedVXwwu3pQchnzophJG4IEwLBZS4ky+YUsAj11wP0Ywg
j5rk913yMnz1MQ/51D/zLx0U2OrX5EXPdQ0eJ/eqj8gepqFOo4bL0QtC2qPI
r9YdPW7WUlgIaL9+8fEi0kBLCqOOi6yFoFey/YIKH3ISh058PaCQSw2lTWhN
MyeQb+3JsUSot0K+9bq5wqwDDfKrSfmtXpXyYsArKkiRxeK2dJYa7rnM5J7e
Rw3fU4dLOjST8mUazMc8dT1P/Bge+dbtwSy4MVNqmOVXav3oNrl3rfkoIVes
HXnXb1xMKF0b6OGddxn5R292YfMhzn0JF383DpD510sCgs/3dtPDbT9oNJ9t
nV/S9ioBpT1tkytY+0Bq727JHbme8oYWSn7KNtlPlYTlO7hAAVMNWeRdS5xg
sz/FHI/lKzoaYcZjLuTedUrnkZdCDGxw/ymr7xSTyL+m8CTmbW+Jx/KVz0XH
vsz+7cDKjSsSUVrWqVh+EqDg886otgycYrL7vu878o2lLSmq0hYIsFiZ4Rkt
UyXW35352q6+qFv0z3q1JSBAejAsLZgA7xbuO3jEhAra+Z+Jh3HIu/4Zmy0R
zsUL/YyfletaIf/aX07RMnCJEhtfI+XfmofGuHoDeWD+o3a6JEnkYUen8GXy
avzAxpu6StOOn7YoAA4sxXn4qx0g/D33PfaE7yC60I25brMJqJykD9vthDxs
0nxuoOdcyh3fX+DqbPzoWQ06uFKwtDuqfRA7b5pUKY++7R4FMV1KVJb/x8fG
5qtU12+FGCEP+8q4h4X+E+Rhx+64mhdoxQGvpeuKXIrMAbFLnhbVH7jgHjtv
3H0i8q9J9Uk1BftlOXNBo9rtdz4cIvkPyL/ew8YkYFfLBQdsPXUupVLCLjuv
yLl8Lrg/Y/UVtSHyr0m/zzH4hvbfEC6Y0BPvf5iRCsuHKHWfJ6b6NoCfIED+
3S1uuGj6sAW/1c7kuKZIJW1H3vWN89Vru9IJ8GbN0T/Oxsi/brt82y+ivBbr
TzuCUB71ggLQKXlHuN+LFm6LGTPJZ58Hhm9WpY6a4KFrs0ETbwARhNlNFzmf
wEM6h11iHOwU8A2IfKEhzgAljMr5Htq2ovEvD19GNb11gP+gETb8jB2CQLqT
5xk2wXB/+eTMXQ6Y6VtNme+Fg3878yhcNDhhjmbssUtvcFtxFyyvcoUAP9t8
NBMoo4aHBn66GB3ihpoG6ibzH2lg9vthWy52HizfEWv7JiTTudX+nwiU6Nzq
B+Zex739+oMO216R+k5DKmsO5BDo3uDmBkCCqfonu71zIPT2dRkP2kFQlxTL
csh6BXic3t7/48Ai9v8VO7mSELCEPNyv//mk/9/fawT8XDPbTXh44TMG59uf
DzcCCe4I2dvcvNCFqKhUGUcNcbjK2/jfjaCZeAEEVjSCY4MzvMJ8vPB/AH5z
HeU=
      "], {{
        {RGBColor[
         0.6683193103852548, 0.3261439870795294, 0.21123020764666417`], 
         EdgeForm[None], 
         GraphicsGroupBox[{
           PolygonBox[{{2670, 34, 2084}, {2961, 407, 3203}, {2566, 34, 
            2671}, {2280, 426, 3749}, {1936, 1935, 426}, {2266, 407, 2961}, {
            641, 1934, 407}, {3530, 1569, 3529}, {2498, 641, 2457}, {3189, 
            1281, 3190}, {2671, 34, 2658}, {3749, 426, 2281}, {1281, 641, 
            407}, {426, 1934, 34}, {3204, 1936, 3858}, {2457, 641, 3528}, {
            2958, 407, 2266}, {1281, 1569, 641}, {2281, 426, 2567}, {1935, 
            1934, 426}, {1934, 1935, 407}, {1934, 641, 34}, {2658, 34, 
            2670}}], 
           PolygonBox[{{3203, 407, 1935, 3857}, {2567, 426, 34, 2566}, {3857, 
            1935, 1936, 3204}, {2084, 34, 641, 2498}, {3858, 1936, 426, 
            2280}, {3529, 1569, 1281, 3189}, {3528, 641, 1569, 3530}, {3190, 
            1281, 407, 2958}}]}]}, 
        {RGBColor[0.7191513, 0.37860775, 0.2306606], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtUjtKQ0EUveaZ9yZmTDBGiI0k4gK0j0E3YMDaNFbaKKIJ2NhoERsVESEr
0GX4QUhcgRZaGCUBPytI4TmcKR4zc+f85t5X2dxd30mZ2Sq+CF973KwRm1Ww
b02Y5cbMtp3ZZ2K2hJpHLZMzu0a9nzWbTpt1Y92d4VwFv+XNLrBfxr4A7BCc
DvADrHcZsxsY3mONcf7FPsFah/lKJNwcOB1wE+iceHlM5c2clw+zkEcs813C
qwZ8JmB7sc7vwC0C34S+CxmYhXfU590P3jYLzim4D8h0C90FJw1q0Y/9YGb2
pA1cCfVvYIZOby/klY/4Y6/eUCfCuu/F5bsHIcObU59SaWWgfzGtt1CvGHz7
wF+h9gJ808u/N6n7mYB/xrkMThfrX1bz23LClILOq1OmL+gdZZVrA7WnjDQ4
Z/aaPdlz8iyHf+DQay6PqJ+HmXK2fN98LK1RrDz0THLiMzvvywFDb2bgv/OR
FYbYhtM9c7FPrNOXPO55R23Om1nXInlTi5mY7cBrxuxlP1Fv2QfqMG81zJpY
8smlXj38b+z5KPSdM6kF/D+cS1Z1
            "]], PolygonBox[CompressedData["
1:eJwlkj1KA3EQxcfNJvlnd7NCVNBGjHgA7TV4AgVr06TSJkH8AEtRIRYqigg5
gOg1FITEE6ighTaKHyew8PeY4sEM772Z+b/dequz0o7MbBrEoJ2YLRXMFkGL
ej8zGymaNSDPUrNB1ayObqpk9kB9lZv9UffBRzDbAL3Y9efoA3wTrkv/S/8J
P1Z0j7wddiyz64cjStRf8OPwo+CQ3e94LofMCqCp2RVuxXuD/o56K/NbpXmC
P6KfwJvT38PvsWOAfo6bg+aVzWbNb5yEWw0++wK8pb5TuzXjGy5L3KubunCV
zN+mmZq9Qz8feybb1OvBd/dAwFsb9myU4UHmGcof0T+jfQmu1Rt24ftVz1Zv
1FtvwXXkGSrLcuJZKUNleZz6/gVwmvo30yxlqmwfg79NMzaZvxb8W8gjby13
rzJ5JZuZ4NnqH9C/oBt1q/Qn6P8BY3tArQ==
            "]]}]}, 
        {RGBColor[0.7593209583333334, 0.43187725, 0.24554070833333333`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVE1rU0EUneTlY97L5BXtRrKQSlBwJf4QrZ87deHKulDSNn6LtsX6hYhC
FauiIDQk+gOsTSoupD9BRWvBVASVluJG0aDneO5imJn7zj333nPvvE2Hj+85
lnXOjWJFWNWCc99hmMBqpc5tzTv3MMDmnXuWce5S0J32B9hXgHsJxyp83wHj
YB+F/SRWhPN72BbAeS7n3DasGyXnyuA5AvsY+Kdhi4HdH4nrKb5dw70C3+vY
W8BXYLuH82071+C7E/cu8D9j5z7gngP+FGzzkeIyH8ZpYA3gPIZv62Afx97L
yTeLb5/AeRb3A+CYwv1PTvYZ5NZD3o1UNbP2b8DcKiIO1izuF4L4l734TmTk
Sz3mTRPy9YyTtdKXNVALxl0PzE3ThNo8SpVvFZwdcGxADmfwrV3W+U4szimr
K0EO93EvYfdBMagr+8c+kvcFfPuBXYvFS783yKPjlfMO+O3FuQ7fJeQQ9ame
X8CvlBTLg/OgVx+7sLUj+TL/i0Gx8on6xz6ydua1BZo/z+jMvWLx6Nv26vNa
VvrmEun5GfYnsC2aPu1Y97lYNbCW3eCYQR5N4L941bsv0t0nymEI9svAreJ8
FOcrQbECvu8K6sF5cByy+STvdFCP+/uUI+MyB84ZNaE2/+elIDt5yR8n6he5
yPMRHEPEQLcW4xdUI+MsGIZ2zj014/xyZthrarbZdHsdC3fVZjufF6YWNAeP
U/WSPY2QQy2R9r9jvcWOcVLThs0sdSI3teKb4JunftSRtmZJ/SS+bL3nDLyK
VTd7z9pZM2sfxj4ZVMdXr7oZY8LeBPGc/2XTaI7zmEqTpaL6Sp0HwTFSUI/4
vsZT6bDdaxbqNg93g+z8/sML28T5dJA+i15vt2X/k7r9e+i7ajZqtBE+w8B1
i9KB+TbtnTIP8nLO2KsBL80YlxjmyH8gMXzT9Jm1Wv/aex8JOr+1f0vZ3iy1
YVzy/QOc5LZ8
            "]], PolygonBox[CompressedData["
1:eJwtk0lrU3EUxW+apHlJXhK0G+lCKkVBN+J3cK3isKsuXFkXSlqrdSpVwXHh
AE5VUBBaGv0AalNHxIV7UbQWTB3QUhFXokV/h5PFhXveudP/3PtW7Ny7eU9H
RKzHctjzJOJQJiKfjziYRtzEVuP/JGgAbiYx9ygb8aUUMVmNeJBxTAP/GvGr
8G9QrIQ/RMxWYvs7Iz4UIuawQfwx+AS+SM4O8DQxn4j9gd2j3m6+dcG9o1+2
3e8z3DlyuvOOUexx8BLwJHi8HNGi/kCne6r3k2JEB9w/+g0S+6z9vmXENCsR
Bb7dzzhnOf3+EN8b7nkArsC3PrjD5H+k/mzBszXQYw219tNjW9b4Bbnr+LYy
bw2kxSw5Q+TOYFNwbxLP0iSnRW4emye3l5qvmCctWWtpJK2kubDefJZ6/eCF
DvdU7++JtVDMafilVWt9AnyB3t/g70or8KnUM2vWRWLGie0Bd/Hel+DRqk3+
WmbcRHyLGkdy3pF21dSbqdeixgb4OfBExm8YBWeZqSf8LYffVYu4WPCN/Er8
Zr1dmkrbqYp3rxkeVnxT2vVj7GvJNyE+eP/bxDcgPgd+D96XmtNOdbtnUr9P
mswn1kBaVMDn8cupb7Mb3ABPVK2FNDqpe0x9m+IvwR8tWwvtcAv1BkrWUjdS
x79S9C1pxrmSd6xd3yGmCfcavAj+i9Wp3Zf4llRzhNqTZd+ubuZq6hvQLeim
j4FvV50rTW/hP6Xm5YxvWre9MXUv7WSa2tdTzz6M5rWaTb52MAa3K7EWqrFA
799F71IzataR9nu18+3geuJ6+kf0rwyn1l5661/SjrQr3WSC/x/EP5iS
            "]]}]}, 
        {RGBColor[0.7992109416666667, 0.50044775, 0.25968739166666666`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNVUtMVVcUPU8u95137+U+rAiN1USTWqrRmDo24hBtBQXFaBNTHehM34M0
gmCiDjR+4qBWS1vb4icotE5wBuhAjTZiOlSjfIpR44+oraVpmbhW1h44uDn7
7rPP/q119pm3dWfDjmnOuev4SvCdTpxbVOrcpHfu98i5bihvYv0mAxmGGazf
5pxrg/widW5kmmzasc7GfzF0bg7W6fBzOnBuAeShrHO10E+WOdcEeT2+XpwZ
DrTS5w3EqED8eYi7FN9v8Pcrzt6D7Vc4m0AexPka2F/F/o848xg2AdZdieQp
5NWMvY+gOwXdZq/9jZAD+H8BmxKs/V6xv4C+MyOfjH0Z+j+hr4d+JJR9gv01
+B+Hfi9y6EcOVdgbwFqI5J9xbuSUM3M/lcrfFuwfxNkq9PM59GvgowtfDfYG
Yf81zg5Avysj/1PQH0sVczv0rYhTi7P12OuLnZsP/TX4O5qqZ1/CZkNWdtxb
ibUlkN/yRLHaYTMEfQZ2n8JXMRGWd7x6xvpZA3vKPrRivz+jWtjHUfhowfo/
clvvhXcDbH42u3+gK6LOtTjbjLUF/3/B5ij2FxJLnBtD7Gs5xSkYDuzvcfyf
R111iHEBa4cXZ8gdcoRcme6UF/nFnn6Yd+4S9JVYZ5lchXVmKHvyif1gX9i7
Si8b2v4Av9XQ5SG3mQ37dr1EtbBe5rIa33LEOoGc8tAdj7VPO9bTGwvLGP5C
+NhtOFVZPszxVST7I7DJQtcOm5WwqU4l92H927CZAfsNsHsKnz+lumcDJerP
L/ifhE0X1gL2dwbComg4U2bN7BdxpcyV/OB+i/FqJJY8HAvPgvmhv6LJT5DP
BeydQayLGeHIersSycT2AORK1HEeNuuy6jtnwe1Q2LEvvB/kCTHjPKizfjZm
dYb25BX/mQt1jYY1/a0zeYvNBM4GxicGzOeW9ZL3ojsWXvuR1wemY6wGr7of
YL/R5D2Qd3thzvvkc+LBx6nuIfs1Rh6Gwoh2e0Lhx3jsTYp1CXwNe92dJ5E4
RRxXOGFF/IgBeca975FbeanO8m5fsTv/RyTM6Yd1fpco/x7k0BkoHmORC7wz
5AN7d9/u5OeJ5FVYH0Xq98mcZuOhQNzttnMZy50+mQP5St6yV+OxbO56Yct5
xbMTsezJi09S2c9PVRPxJtasgbX8i3m4yThMLi8u1bzhnSI+rIe1dCaaf595
zVPOvbmQX8fK+VWsXvIs+3k4kQ/O9W1euR+zd+dhoNj0T+xZywT2lgGvl1jf
ROJxBeS98JOHzSP42Jcol6Ey5U0fo4gbWW7MkfORGP6XU63Vlg97mDcOEJNy
w5S8XWbcnvCKy/js50Xj7YxUM4GzgbwLbUZt8sKHc73J7hT5zxm82HpI/nGu
1dt95awnX3nnbhv3uN9hvOV7WzCe8B0gj1kb31L2mRzpTfUu9KR690ZtDhCr
qdCwj8TPB178IE+aE/ljTjV2r3mWOVfY7DgZa762vfeG1RpGxG3csOO5MTtb
l0ge9Kqj1WK89br7fHP4f8tqYV7kG9+Vc6lyPsv5marfCw2HSuMz8SZupZHu
d4f559vFt5A9aTQM2TdycJHh/iyrtSLS7Ob5HLjxDsICJjc=
            "]], PolygonBox[CompressedData["
1:eJwtlDlMVVEQhg9wgffevV5UVAo1kSguicZobcTSDVkMhdiohSYWIhCDgESl
0Lg1ooiCEVxYNdHOsNhA1AjWIqsYjAsSd1xo/P4MxeTO3P+fOXPOLOkHCvOO
xDvn9iMeUhw4Vx3n3EiSc5dC59p953IAGpETEedugq9OdC4u2bk28CzsUbA3
SDf4EFKL/zuCloKdREL4c5F3YBuQTM55Qfwq/Dujzv3DPoZPF/pD/iURuww8
gr0Xflyc5TROLn5g+ShGDL0d/n3O6gD/CfcRdjL+lfivRr8ApzfBucXg59H/
EvMyej6chBQT6fOI9wfsEzHSyHURcgZ+KngfsVZh38CuIYcH+KcgV9FbkWzy
mQ/+Ht8aYlSQTyZnds1x7lfEcvvOvwb878HPgr8LaUa/Q44zxK/FPgr3EBLA
b0GmwKMx5+pmzzsM1hs120N60JfiX4T/ZvIvhTuKTynYDHYe/NbQaqU7/MC+
HVpsnXkXPY+cRuLN5wn4JP/KsDfhM6X6cIe0JLvTBPF74GfArdCbhHZn3V13
avKtpqqt3uRaYDkpt3L+rQSbJt5W9BJi9IFFoxZLNVPtXvLdhl2E/yDx0om/
wNn53XBXhNYbyqEcrMW3t9QbLAFbzr8muNPYt7DHiLfRWQ+kYtfN9u865Dfc
5tBqLU5TaGforCb4z8mvIbRY6pkifC8GVkv1wJTmAfyDZznWhzYzmh3V8CB4
dmCzoR5Xr68JbZa2YH9UD3LGJPE6Oe8V9kzUZicXuwjsWcxyUY3yI8YRV3fU
XYtjxlVPqFce874LOb+Nf/3Y36Lmqxp2gO0kn2HPZqoA/6rAareefE6jV/rW
O+P8ywlsJjQbY+pZ7AUxy30tb9aIPR0xXW+qt63AbvBsRrU7hpESz2qq2lb7
1svn+PcVfWj2PHFGfJsBzYJy0qyoRqqVZvwpuXwOrTd1R931i2+x9mEP8D8I
Tdd7aFYyQus97RTtluOBzaZ21DCxx3zbPcphN3Y/vELNIvLaN5Gunu0D2xPY
7KnmBYHNpO6jnXEWuz6wXaP30K7sitjbaUdqV+Yibz2riWqTGLO3T4F/KrAd
qV2pnvDAtvNv0LOZvBK1mdBsKMcB32ZIsyTOjsB2nnafajAX+3pgu0v1aIM/
EbGztJO1m5dFrNbKSbmpZ9Q76pEOsP/ujtU8
            "]]}]}, 
        {RGBColor[0.83699305, 0.570110075, 0.27289695], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNV1lslVUQPu396b/eX+KCQTBIgiiQSG5xSWzYTChJhUIgyvYgIVETwYrE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            "]], PolygonBox[CompressedData["
1:eJwtlVtsVVUQhld7Tk/32XufjUZSFDBKAhgw0XhQX4xVfMCkIpCqFDDxQqIm
AhWRB62XB6NitPRBQZMWqVKuoS+2YuIlGC22xao8CMUERKENicCJJZaihKjf
n9+HyZ5Z88+sWXPbM1Y+09hcHUJ4FcpDdaUQnuZ7fW0Ih7IQPkOuz4XQAmhz
MYTdSQivwV9TFcIu+HlFY3dgfFUawtEohIsF8Mgn0W9EXlMTwuuclfF3EvoW
/2VsTsHfDnWBXcRZhbOuzL4vgd8OfyCz7W+c9cEvI5794N8E3wRfNymEw/Cf
YHs1/DtgRgq+U3f3IvcQ7/fYx8S6LbPvm7A5jb6RmEfwdxn5IeQp+OzOOwfK
RS82S/C9GPoX2w7oT+x/ArMG/U7096JbAE2gmwl1ovuO+yJ0K6H6amMuojsH
rUd3B3IF/gNoHH8vc9ZELOeg1cS+DR9vEM/5mHyR/2mcVZCL+BuSb+x7sL0W
WppzTabD/wXm5hrbjGH7HPJ08Ddy9iG+W6DTYNs5O4FuoGi9bLrQfcXZKHfv
xf4H7Ps4a0DXxFkP9Uy5Yw/2M8nPz6o79vvgD6NfoNixb4W/C9oEvi1yb6gm
qs1GMPOCMW2p36i3yn8v+I8j+1KO28HXg9kJ/qB8wg8T02i183UEfiFnx/LO
6efYzkndG59yNhe+H1pI/H/LBn1CvIuQ74cG0V3Ax2DOMZXgp9JDA7zriOoP
/rrYvSmbg+B/5ay2xjm8jK8DqXtLdwzAX/m/PBt6Cexy5DN5x/wI8oXItZgL
bdXboPnB8i74Obz5lYJ9yNct0PvBPV+GfzByr6pGD6TuGeVCd6yAHyt6VoUR
9qxirnJPVeDb8H8C//+AfxJ9Cn5xjWdkCH4t+ifg3yYnz8LPALMdeQdyP7m4
NfMsfsHZbfCPx94P6uEtyD/G7h3N1H5sp3LnC8EzNQ3+3cS9cTe0Gf69xPwq
7Cdjfx75rbxzrFxPjl075eR36rIXTHWtc1ZG38EM5gqOuRnbgdhvV8yD8H8k
7lXdOZa4B+SviRifR98d+62acc36cTCIYR34X+CPQs3ww9C+yDOl2VLPjMfe
Odo9g9CUSe5h9bJ22gbwxxL7Wg81Is/KvBs0s7Mz96B6UTVQLRSTYrukN4Nv
QH+KePZwdl/qGZR/7ZgW9GvBL8l5JvuKrpFqpZqoNp2pe6usGdC8R+4X6Zeh
20r+hrX7yWFnyT0pvHI8Hrln1bu6Q3c9hbwh7x5SL53NvMsU46aid6J2o2Z2
NfzDkf8Fx8G3gt2dOhbtHO0e7WDtYvms8LZ7Sp5d9cz8knOq3GomNZtbSo5V
NVFtqhPnSv1wptZ36C7thBX6F4FvKLgn1ZvqMfWaaqjdqp2t3a0dpl12Z+Te
ruPsa3SPlbx7NIOPlvwP0L9A/7Ae8HHmXaocJfCtqXe13qfd+01mX5pBzeKE
/Fe5Bz9K3cOKXWf9+FuXejb1D9W/9Eti7Mi5Rstj73ztfu3kGzTLiXtLb9Rb
J0ruFf3Th8C9GHkX6Z9xBb5HM/979U8aybyjNRuauVWRd75y1Q0dit3z6n3N
WDu+/wM+XinG
            "]]}]}, 
        {RGBColor[
         0.8710612833333334, 0.6416960916666667, 0.28445538333333337`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVntoVmUYP36X853znfecIm+QlkmIZsTm5qU/Wpl/VCokOjMvEy9QhJdp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            "]], PolygonBox[CompressedData["
1:eJwtlmuIVlUUhnfzffNdznfO0TSV0rALpRnhOOPlR2rljy4KibeyGplRMGIc
1EpIC5ISVKhGobLQqbG0rNTIjNJUvOSFvGZZomipmeFdR0XLfvS8vN+PDevd
a+211ll7rXef28dNGj6xIoTQwsqyrudDmJcLYTebjxRCuFgKofmGENqyJoA3
gesxHAPegHw+DmFyZQjHwDeC+6YhzOL8UXA7dEuKITyKz4ZMCO9EIVzG5kt0
XTjThH4GuAZ/ley9hvxWbN0l4ifYH8HfMOQafBxDXp2E0BH/07DfSD5t8T8C
+5XY7ERegM1v4Ab085G/wF8NeB34Kv7WEKOWeCPBq5FbWW+Ax+LzADGuRI69
Fv1l5M/wWYWup/TE3kLME9h/xff8Ij3+l1fY/z/otoK7IQ8h5jbk90qunWJc
Qn6Cvb+zzn8D9nvZawCPB+9B/ogYOWI9i8/J4IXEGIW8VXeEPIczkypd83P4
OsOq1t2AzyIvw2Z+2X4p8kpqUOS7hoL7cXYb62Q5/33oN6PvhH4i52uQ+/O9
S5Fb0VeVXGPlqjOj8X8Ym/uw345NHbnWFXx3Z9DXqhboM3nX72PwfnB38DLs
H8L+GfZOY9uBfK4UHVOxn8Ym2yaEAfirRTeTGvRBt4Azd2I/UfeJvLPgWBvI
7yT5jyHHPhnXqLZkn/KtOxoVOwflUkWMT5BbYt9VL/AS5DbYD6/0fW0B3xG5
VtrbBf6DHKry7qlG4h8A9wCvBz8Jvh+b8+S6g3gPIC+OHUs9NIVcj6bu3VfI
sTlyz6n3vsO+O7bvgwdl3SPqlZtYhzPOQbmcIb+D+Gpmbx24sWBbzZBmqZp1
Cd0E7Puin47+eoV7/nP8Xyv4+9Wji8AdI+v3cuZU3jkq11uxn4P+Z/TL0QHD
bvTfg/cH57AGuaLks7vx2QH8Lef7ZdyzC6nHlMSzPgD7seT+aexaK6Zif5N6
VnU+Qd8J+yb0Jzh/M7Zp0TrZ7wQP5UxP/C1GXyRWE2sg+ius9rHvTHcnDhAX
rEc/Fd0hzo9At6JgLpgLflj3WTS3qcfV65tSz456bqPuquBaqYeXgU9F7rUc
Nr8XfIe6S83Y15zfXI6vGYuKviPdlWqi2ogjNGua+a3g6eBa1Zd1G/Lecr3F
ae8WzTHiGnGmuHNf+fwK1q/I49ibhtwb/Z/k90JqrtAMvIjcFZtsxhx8Fpt2
3NehjHuqvbi26Nqp5nuwP57alzhWXFtfnmdx/n+6v6Jrp5hXU8+oZlV3UJ2a
U9Sru8A7sC0VLSuHH2NziLhEPdoLeSbfd1HzwZqK7WPinwpz8mDkGZFrU4OP
15FnJ7Z9EJvx2K+NXNvnwG+CJ3NmVa7MESVzvOZ7Cntd0V0ouheGgK8l5nhx
vd6cuwp+o/RWiUNngf/K+6x6QL3QGnnWGtnrkLoH1Yvi7GHIOVZLzm/i48hH
8rbVTN8L/rfMR3XslTg/MDZXiFPELVFqnXpMvdY58SwvwaYL8jnsZqNfSz4D
8ddTnC979NWxv0nfph5SL83D3+mca1qF/hZxctYcLC7WG623Wj77gecWHOs4
+G3wy7F7XT2gXuidmov1RvyQeuY1n3rjXkW/WTXLOv5Pkd80vRfaG4mvDxL3
ZyU+WpBHJ+ZOfYO+pT7xWyIOFZc2J+Z6ndHZBH9Lc+YAccHgkrlFe7V66yPP
hmqsWuvN09unnnge/aDEb88p8N2xa6haagY1i9qTbhX59ojNQeIi1awz8kv4
bK10z6p3L8TuTc3UReS5sblTPaJe6Q/ennVPqDc+TPzt6tmn0HeLzf36x9K/
lnpava1/jIOJ70B3oTdeb73+CfRvIJ8DYv8D6PuU0yzse8XuBb3JepsXFfxv
ph5QL9wTl78t77frZJnP9AbvwPZ/Ny5feA==
            "]]}]}, 
        {RGBColor[0.8995443083333333, 0.7020925666666668, 0.2940970666666667],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVm1MlmUUfuD98PlW/ICZ3y2Xm60BsuqHWrK2pm0FTqlNgVkzZ1tZhllI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            "]], PolygonBox[CompressedData["
1:eJwtlltsVFUUhjfTdjgzc86YQhERkDZKJMEYwAZ5sCLVxBQTBaSNsVREFIOJ
oki9cLFcHgSN0qImBCIitlEILT4YlaLlEsUoLbQ+irFF8U0ptrQawcTvzz8P
K1nr/Ou297rsU/HEmiXPpUIIb0HF0MpMCBdKQhiAGpMQboBGx4TQjHwj/GAc
wvmiEObz7RJ8D/oz4JeCn0XuQud6/ExKh3Ac/jrwc+BpbHrAH8mGMBf+Gvqb
wDpzIdQT+Ci0LwqhJh/CHtkiz0L/JPhy+JNQK/gI3yrx14+PUfhP8NHCAdYj
/0S8NnROFRdssH2KeP+Rzy/orIJvB+8BWw31gl8aG0JD8JnuJHYR335UfuhP
RH8U+r7I34QNoF+J/mnkCegPI+8k39PoV+P7d+TqYJtp4Fuwb4D/jZxvhn8U
H2XEHuH868n9Pb59EXznL5H/PZypG/ws8kPgdfhYjf12/NfCr4OeTvkOG/OO
qdgVxO1FPoC/7/B3Bfsd+DvH9yPoVkGPg9XF5jeSz2lsq4jRgW47dC/68/n2
dco5b846Z+WuO98ONjHnu19EjMv47stY/zG+bUW3vnC+CdAy+A3goyX+JuyO
2LU8xbcasMnEbIGfjP1c7FuRM9zn28hN4JMS914pcgvxZ8buFeWs3MuQ/x5j
H1MS95R66xZ01qiW+OzAdgM6vfDbss71InIF/CH05xBvNnQe+2H8rS0xPgH7
VeDVKev8DN4DTU+7h9RLOoPO0ol8W+yeUm+phofBuxPXTjZn4V/NuDa6D/XC
k8i/lrjG72Rdc9VePVyJv5eRl2D/Gvjric+ks11FZyPYZXReKHENVIurxOwi
9yvI7WC70V9Q7J6dqf5EnlPsGb0I35BzrdQzdcT/hx6qGeueVG/2Fc7zMfJi
7D8Dz451/echN4I/k3LN2sivL+9e1M7Q7lgInsG+nxxXkN9a8KNpn+F5zR8+
poHdBLWoNxLvDs3sicQ5KTfZvIhtR+zZPI7/a9j24zPS/KNzf+QeUa+ohkO6
P2y+SjtH5dohHynf0b/ovpF4FlVj1frDpNA74PvhH+bbrJR3zLtZz4hm5Qh0
N9j+rGujHlevHyvssx3kU4P/+xLrPoC/L8G2Fe5/Ovh07arCftuN/CDyN5F7
VTO6VLsAeTPyJs0TcnPk3aueV+/vStwLuiPN/rrEd62clfsZdBYh10HjM75j
3XU5NIiveuSBlGOcQW5Fngp/O3gb/AW+7UNuIv6G2G+C3gb1rHr306xn9X2o
K+sdo9wXQCvh/8j4LrWz/tSs5Tzrqtls+Ftj1053NgN+KOe7Uc8Ow6+IHFt3
thX5rth3pZ6sgt+eePdrRl7B//LIdyX9Leg3x97VOtNO+EF6c0fa86Jd90Hk
2VV8vUXKUbnuweYY+XdmzeuMOmt73nejHX8YPp/1rKmH1cvaGdodijEP/KPI
b5lqfCLnnlBv6I1bCP55zr3RAT6V/JLIs6aZWQb+beRdrRrVgpdm/NbqfdHb
NC7n/awd8Bd4U+T3eDFyt/ZR7Nrrm97qoYzfQr0JehvKcn6b5WN8zjtR+etN
LIfPZ+xLPfQDvsrznj3NUAX8OPDaAq5eOxQ7N8U7CD8l9tn0Ruqt3BW790rB
9+bsU7baKUnGO0W7Rf8M3cjPRtZVD45o92WNK+Y5bA8kro1q9mbGO1y7XDvs
IPL/xSwvtA==
            "]]}]}, 
        {RGBColor[0.914557125, 0.7355025000000001, 0.299116], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VllslVUQPu29t/ffjRjDIijIUo0+CTVgQlt60aIvxgWxJWFtiSYoL5SC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            "]], PolygonBox[CompressedData["
1:eJwtlVtsVFUUhndn2umZmXOGiIktiEoVikafpBjwoW1otcYHEw0FwaTIpRiT
qtFYFQsVtQ+iVkk1UULURKnxghQNKjERFaM2IKWXByvihSiYaBRDhdJWwe/3
n4eVrOu/1157rbWrVt9zy92pEEIXVAotjUL4EcWFmRA+TUKYyoVwIB3CAmzH
y0NoRLcCxxw+tVn00JmSEKbjcwm2J6GN8EuwP4ztPGgQ+27kgTiEoUIIz5aF
0AbeoHj8x5EbsT8DP4zPFfjvB2MEfhW6A9gPQjeBNY2YNeTWTQ6n8iG8ir0c
eTnxj2CvJt8h4m8Gfy58K/YBfLcir4V/FF052C3Im+BPlJv/Ad1CsKNp+KGr
A+857AeJWQfeHM4YgO8jp4tLXJNd8F8SU4n/MXR/I39HzOPwJzjzduRK5Abw
F5L/u8j34/8RWHOx30f+2xPnPg+5F74Fnz/hO6FfsE/mXfsG5Cn4Kd5nAVg1
0Nv43gH+dWnHKHY2+O0Z128CW03k86WrwvZgwWeNoqvA1kNMI3KfckbuzDqf
Ovx/J59W5Z92T6g3xrB3lli3DtsS8HozrnEDWGtz9pVPP/7vZ42l+95L/tdj
v5zYKegcdRsm/quUe6gG31eIaYafge4q8Laga4Pfgv8b5PMxtAF5JpifwG+K
3C/qsQqwd4JXWu476+71YMxL+Q13IN8VuXdUz63k04vcUmKfGnwfAnMPsT9T
3/V6bzDvTLkmqs2O2LVfBJ0ltpBz7dQT7cizYvf2cvAvgu9IjHW15gH+38i9
IAxhLSO+P7gn2sn9MLoVZb7Tt/DjUDtyxP03EzuYGKsa/yH4MWIWc98uaDG+
O6FrivGqTR32iRLXuB7+s8SzrRqqlovQHce+F/lazVbWvd/GeQ9gn4g92/K5
FNuxvHszg/wY/Cn1dJnjh7HPyTnXn6C/yOkwmCPYKqEm7Cchjv+/P9RLdTnb
OtDVwo/FnsV67CfhV8aeJfX4fu5TkTe25u0C8Yl3x3xAj8J/Ds0q3m805xlT
72lHPMV5kwX76o0n4Osj564Z/qLgO0heyRldxM9InIt21kz4t7D3pLzjjiCX
gT+Sdr9p1r+Hfk15BxyB/w2f2ozfuBm5Rz2L/zJ8NoC1PutdKd3mxHfS3VTT
07FnRvkLY7d2ba64G6FSbNOz3neq+SH8b80ZW+ept7SThKceOgPfie62tGO0
K9VTipVuI/I3sXenenA09oxoVrQjtsHvTTx7eg/tnvGivZqY03nPtGZbb34j
2Eup6ev4t6LvwX9+7NnWzG2PvNO127UTmrCvTryrtfPXwH+Q9yzpz9kD/1ri
XaCZ7Cb26cR31R/SDf9h0b8PegH8o1AW2z5i/gB/MPZfpPufn/Ub6631JzwR
OUaxzxMzO/EOVb01U/9gO5R49jRz24h/Ed2uUp+ps9+LvRu0D/r1XgXPknrm
TeRVkWdHOXXgW5X4LM3oZcRPFPebdugkfFPi2dAZN8BfGfvv1Y58OfIfoF2i
nTcZ+Y66q/5I/ZVns36bl/A/l/WOUm76Q94hNinYpp4tFPxGeiv9gfoLtVO0
W7Tjteu/TvwX6k2bC55J9YJmbh+2/wA3qxqe
            "]]}]}, 
        {RGBColor[0.9268334416666666, 0.7628557333333333, 0.30321865], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlllsVVUUhg+999J7zj3nhvggWnGgQMUhPJBWnCKDCoRBjEECQYJUjBoj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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhk97e07vOfecK/ogaqRKyyAaeDBURI0UMbQhNXGCQBCRihFj
BI2GWQnEmIgCFWRQlGhIEB8ErNQXo4AKikGZVGgZBOOADAkEkLYM+v3578NO
1r/3WuusvYZ/n55NUx6eXB4EwWpWBWtSGgTnELpLToJgFWt2LgiGovQQ8v5i
EOxELrCGxEGwBP2eYRCcB1/F+YVCECzE/pqyIHgX+RB7rTn7u4x+b/b+AY8H
9+esZxYEx8CN6N+MfJw1ELwSfxvRr0T/CvL96J+sDILXwLX4r0T/VeRVrOGl
772HPBGf92GPanAudsyK/WPwg8in8N8H/e3yh3xW9wG/js5K9Dfh4wbkUfj7
CvkbdFrwNwf8NfIm5QTchv045BCdy+jv4bwCeRvrFvB48Fbk9eRnEPlZz973
+O/CZnOZ9zZw9go4xl8tey8jP4BNSjxL0G9EvsjejpxtZDuYeOdHQXCUves5
34OP0fhqRf8n/K/IO5cpuIqz+eAE3XHoHABXcYfFyMtZd6LfwvntOdf4ffw/
khiPIIGdfKtvYvvfWWfY25h3fbqwb8bXJHzMAXeCF4JnoD86536Yiu7Vpftq
bybyLNaYnGs6j/OR2D8L/hP7mdh/mNifclDkvAHcDzyAbx8mnqmsLyLX8CXu
Pz51bTai8wTy55wXKl2P3eB9iev3mWqGvJ61IGcf8nUgsa169CByt8S9ppgV
+wnWlpxnYifxTOOb/ZC/xH469teyNpS5B7sj72FV8/3n8DEM/ZbUtd+CzhXw
D/hbm3MOlcuuonOteh/i/u3g28DzsR+Rd86Ve/VIb2xPozO23Pc/g3w5b9/q
wU9Tz5hmrYn4ivhqx35i5Jnpg25N5toPxeZA7BmXfg90vuXsCKs2cg1U205w
Y+Qc7kd3HT6exvY0e+/gvy7vWVZP3gU+wffmRO7HwZzNix1vyt5afM3KXGvN
5DTkiHzuLbPNrdhvY70Y2udW5OWxY1ON2vl+J3ecWop/Mf4Piy8i96x6OSv6
7qrZycQ5VW51p6PKL/aPhf7mr6l7Sr21k72JmWum2jWjX8fZkKJlcVQNse5C
p2/knlXvdkN/XSlf6t1L+FoemSMbOOufeha1Vy+uycw18rE7M0eJq5TjLvDj
fGNUuX1OQP9g6tlVvMqVOEH30Z1/Q/8FVlvomqg2Q9E/E5nThilXpX4tsLeI
bw0ixhuJdRk2g8BjsN8cuufqwW9k/n4HewuQP8psqxrO5bwJvCP0TGo2V4Pz
pXPVeoL4tdw6TyK/mdmX+n0k+gvRSSLHpNjEoeJS7a1R7+lNCc1RPcBbWVWR
Z3w791vKnapDz9xZbN/KzEWKWblblJmLhHWXKZm5fx97z2fmRNWjBdwAns76
I3T/iPsupOZi9WBHag4Rl4wB/4LcxTeaK/zm6e37OfWZ5m8u8e0Djw3NmeJO
9Zhqp739yB2KscIzqdnUG6m3Sz4vIv+Ij1MVnjdx1y7w+Qr3s7ioKe+3T3vP
4O8IOI/vY3z/P3I3m70k9Bv8b8E5U+7kc1zqmdPs6c4zkOsz56Ia//fivwEf
W0L3hHpDPbKsVA+9Hbqj7ioOF5frzRfX6436i/u0xn67xbEnMr9Reqs0s9Wc
rcn7bdQbW5t6RnU33UF3aS/xsWq+IjbHi+vUYwvAwxNzo3qsHvm6kn/9U/Qq
uGcUqzh4YOx/DHHJMb45APnuouVN2N+D/EHeb716QrOqN0v3UY+9Db4SO7fK
qXLbC/x3met7KfU/h+qnmnYWzIniRv0DNPK9O9BfGjpGxSrOEnepx2/KzMHC
0qkGN8fmSs2H3pqOxP2nN34v35ucuZc184+i+0nif5k2cQby8diy3hi9Nfon
EBeL89pSc7Kw3shWYn0qM/eJM8QdQxL3gnpAvVAX+19PnDEc3e+Kzp1yUMPZ
/1agY60=
            "]]}]}, 
        {RGBColor[0.9296372583333333, 0.7692434666666667, 0.30414955], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVmtMl3UUfv/w5/9/79MuZn6opcitsJyCRG4ppljqpswNZwMCKlED7Itm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            "]], PolygonBox[CompressedData["
1:eJwtlntolWUcx5+zs7Vzed8Xu1muPyK3ubmWJnNTSkgttbJRjcAQpu2s8sY2
I6iMGbnKoCKzrJRSLEKlsjRzEWlC27J/IsEzkC5qCFlpF+muk/X58j1/PJzv
7/1dn9/tOVcVetq6y0IIT3PKOf/mQ6jjdw7Ef+CfsyF0pUK4G6FT4H18a4e3
iPMp+Jc4hJkXhPA6/Aehmzl/pUPoxsb0XAgvRyEchL4SGxvALdg4C/4C+fHo
TkPmHHQrZ1MmhONZ4z0VIdwCv4hOA/QC6GHw23z7GtsxPt8B96DzYrnj3Yzv
J6BHsT0D+b3I7y/Fu4/zBrytnE/KS9/g/YqNWdjqI8YufP8OPRt6HfQa6Ebk
W/DXxbfLkhC+51tS5hgVa39kXwPQI9xlEJsd2B7kbEf3JPRU8OXY+AG8FPl5
2F6L/FfwB0ryBc4QuCrn+IeROV1JPMhUV/iO5+HPgr4HW88SzwziKUA/Xm4f
T8IPxPQZtv/Bxof4uihnLBuytSrnWvzNt0fBdcj/BJ3H3yjyD3D/RvAU+HfB
24LMtdArkNkMvj6x7xN8uwJ/86Ffgx7AfzP6Q+jfBG81+hvRP8e3h/G9mjMR
ukb5TVm/FjyCjfXoRvBPZHyE+/j2I7x7I+fuDPR94Ftj11I1mI297bFrtQJ6
nfxB90NjJhyqdE1Um4eIcTyxjsn57guR6QX3qofAN/JtCfpjUPwY3bH46EB+
B/RQeammxHMYmZaUc1YEV8fuZfXwdOg3kd9f6i/1Xp1mKO2aTc7Zp3yrxqr1
yUrHtgu6Gd1xfCum3PN90Edj5z6PvWPgzoxzo3o/he02ThP25qJ/J3hbxrVQ
vOqtU9hvw3cRmQbuU5l3b8mHfM3B5i7VBrkbiH9tqV+1AyZg6wNkVupu6OwB
9yeeRdncC16G/lL4h/m2HFwXe/Y3QdeDU7Frr5wpd2dL/TAOf9XQC3O2Xa8Z
wd8B6Ou0P7jPevgHE8sqf+r9QuJdpDt3Ju5B9dIqbNYi/wr6XWn37B3gEXR7
g2d+HvIfcfrLfP9LkD+S+O6SuRn7YxPPunbWH+jXI9Nb4ZjVy89kfJdHoEci
+5Tvi5GfhHxD7LurxyfGrrlil40AvTvnfq0ingux1UT8f6a9M6eCr8b/cMox
NoJrsvYl/8pdS+TdMgQ9H96BvHexZlCz2AG/L+UZKIBb8XdN2jlRbpZEniXJ
3A9u49sUeDvQzxFPVSmf6tkJms3Ys6A34AXwt5F7STn4Btwde1ccIZ6V4J2x
d7N65t3Yb4LeBu3UM9BtxDy50jM1LfLO1y7djf5c+K1597pmMIH3JWdNyjul
Hfn3E8+KdtwovJ3E/1za+/st8HeRa7sYe8fAnXnnWjEUwBvwcb7CPbQY+njk
3aecX0psCxLnokk7WPs267dINVKtjka2rfnVW9OeeHcoh4vAPbFzoZwr97V5
94bevBrw53nv+q34uD3xm6PYFdNL6L6a9e7UGzEI/XzWu00zsS32HXQXvVm/
QW/J++3TG6W3Sj2h3tAOmkSsM7POrWZcs64cyZ/e7NOx76i7aoaL4OVZ7xLt
xMc027FnWzVT7fQfQLlTzt/LeWY1u+pp9bbupLvpDbkt5zdZ8WnHdyN7KOO3
T2/WMuL7H3MXGVQ=
            "]]}]}, 
        {RGBColor[0.930593375, 0.773735875, 0.30446192499999997`], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVklsVlUYvf9E33QfQ1Gg0MSZtgxWpRZEF4ogtDJY0SY1TC1QAWlxqVgC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            "]], PolygonBox[CompressedData["
1:eJwtlUts1FUUxu9MO3X+M/MfnkpAmqjRviFRKUXURMVqoYKlPppUoaWFIgXb
uPLZpiRloawMGImYQN2ogFYFKbrAV1xgItZScVFEQSOoCRo1dmFb/H1+Xdzk
O/c87jnnnvvda9u6G7uSIYSdrELWiiiEoVQIR1mr4xDWIo+AKwpCWJUJoZ61
F7uv2duMfigdwi3oZhSFcAj54WwI25F3E/QhcDtrPoG/wGcWtiXEW3BFCB+j
HwV/w6pJhNBLvCT+9diMoqvCZiwfwknke4j3FzE6cpyZM96BTzt4Cz6j+A6z
N4jtbPJ7F901rCeRS9G/gr6YGMvQbSafYmzXcUYHOIW+L+UclMvOtPGz7F0m
fkXk3E7jn8b+TN65XY1/M77rkA9Re4aY9ejrkPcg/4P9UuRjxAjgz4mZJFYd
e13IL+B/L/hGYnRjso8zbgIPsmbi/zj6p9A3xL6LNfjfD34rdq+lfxMcqOkX
8AfEPEVeTZxRjXwRn1701VnXHrO3BLyKvSPomog3QK0rM77bCVZA7ozsm6ee
BuzPkn8ltuvZ+x48SH0pzqnFvBr7cezPE3sc+23oS4g/mXDPy8Bn0J9Avxe5
HDkR++5/xaYc3Z0Z97KHeHeAjxHztgL34G1s5yMfL/KMPYq+kXUguOfryeUj
YjxPrCn2jkeOoVia4TX4LyWnhcRvxeZ1Yg3hkyP/B7BZjvwvNquJ1Y/+LL6P
IVckPVOdse9AvVYOT+edg3LRDM3GvxH9DPCHxHsQ3ZLYd7mCeDeDd7Pmoa8j
xi7wZ9gMFLhG1aqeq/eaec3+uYzvUjWptnms0wnP0I/Uchn9V+AatuaAJ/QG
kSO9Sep6CbkfuZl4fepv5LsfZq1U/3P23UVOSfCl2Lnpjf4Ofo+YLxa4Rr1t
vSm9ra2sEWo9is+XBZ6J98H1sWdznL37wO9gPzJtfyrrN6O38xNrIbgDm+GU
OeV/bsnadhtrFFwWeTbmah41S5zxTMqcIe7QG9Nb+1n8g7wx71rFOZvAG7H/
s3B6JiNzhLhCe5tyvmPd9R/IbchlGc/Ct5pH8InI3HE78YfQtxCzNuk325r3
jGvWtysHcnkkYy5Rzw5rfrEZSvrOrorMQYp3K/GO4FsVezZ+w34ReFnWvRMH
TFJjNN2vVuyvxL80615M4FOSNaeIW/SG70KfiJzrSfYmOV+DoLOWsw5zXnPG
3Kscleu5yLMgjhJXTU33VxxYia4869w24PM3+bRhM1jkGW5B90POuYkjxZUb
cu6lOFpcrTN1tjjiMvJzse9KnCRuEmfpPeWJeRB8MPJf8QT+52PXoFo041Pg
VyNzpWZqBP31rD0pc4q4ZUHWvdHeDegaIv9NmjHNWkvGb20/61NwQezaVHOh
uIi9MeQx4n2iXkXmat2ZZqE08l8ge83ipci2esN6yxOcP4DtHFYX9V7IejbS
yDvAb6TNPeKUGvz7I9+F3ujLnN+etq1iXMS+IjZXikPFpd/lzL3irLn4Lsp7
VjVji8HdaZ+tP28S/57YvdTMbonMcZrvPvpdhX1l3lgzplnrzJk7xSFbwbU5
v0f98XeDX0v7rxCHLkY+EPvu1FP1dibx9if8B80CJ9grC95LZsyJ4kbNUDv6
3py5RzY94AvTf4k45Tr0TXlzgTg+w9nFWXOHatBb1Z+kv0mcuxb8H+/PGPM=

            "]]}]}, 
        {RGBColor[0.9214897916666667, 0.7679092916666667, 0.301406775], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNVltsVVUQ3fee3sd57EMRRUAsIWCkBWpAIg34KCBYSwU0StAQobWPQBWi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            "]], PolygonBox[CompressedData["
1:eJwtlllsVGUUx7+Z6Uzn3jt3LC7IJoQgkZZFVLQY3BBELNgSxQ2NLEIJVEF9
MahsgkgCLyqbyqoRYwCFROJCohIIKD4oFNQEjbSARiT4ok0fpPj75z8PX+45
39nPd5bbf8b8B+ZlQwjbOVWcRaUQ0nwIpwohdCUhZKIQDmZC2APTp9Du4RyF
cQ53rdB/hD4SeCkyhTSEPGc/vOe5Gwzt1TiEabkQunPWFEPowd1T8JbAa6E9
Dl4P/y3Ya0d2R2S4BhuT0X8B/Dl0zYfnb+BvuJsJbTp3h4Ef5nQD34fv76Gv
jfM+vD3BW6tDWILOc3nbmIJ8b+jjoN3F3RfEUsfdXxn7nIX3KD424Fs/fDgE
novMeyfnc/i7So5tMXgV9F7QZwFP57RD2wg+CNkCPo3Dt+/Bh8A/E/oZ6EVk
ZmD/FfAIuGdk2g/YDPDvLjq30nEM+vFyCAOIo0v5TB2DYqmDfhy8jngmB/tw
Fv09kf8OvA77C5DdpfeBtwf4NPQnqW3rzWLg8dxVQ9uBzHp0bY6sO+WuMfER
XMvdJmi51LFfhb/D4V9edHwzuDuN/RXcTYfWl/M2tKsj05SfNujHiKUJXW3E
0BHZJ/lWz93OyG+ut9ebPgR8Cn2Lspa5mDqnyq18vhd4NqdPlWO+XL5ErsWf
sB9De4nzPPJXIL8X+RbOibxreCz+nE5tW/WzAVtDydnSguUTZH8BPwD/augn
y64x8e6GZ1bZb67Ymjm9sf019C2qdc5e4JHQ+2J/I/wT4e+HzrM5v5nebmVk
3m7Qd+NLG/mZBzwe/4YSzzWJe0U12ge4nbsEW+dUr8i/xl0EbRn85xL3iHpF
PuyHvpO7/tA3Qk/x5cOie0c+ybcU+s8594R6I1u0ryegTwQulSwrn+TbSPg7
4b8Men3imlHt7II+reyYFc+7nIOxc6hcqufV++uIcQX4E8gvi/xGoisnfTVv
sLcWe9fCvw54BPzbgC/h83Dgw6l7UzWh2mhNXZvyYRX4SXxsBq9Hx3X4Pxcd
HVWut0fAt+FjZ8EzbiG0R8FHQBuG/ceAH6zUn2bG0/jXjs7V2O5UDuB/pmRY
M0KzYk/qt1POFyD7m94kY5st8GYS9/Yd6MtG7nHhynkpcU+oflL87g79Endr
qhyDYrkZ/QP5vgE+Bv8mwVOLrcHIz4ZWrZgKnolNettKP3Whc0nkHCqXneoB
fLvAOZBzDamWmsuVt5A+4Jll17Z0SFdTpf//gH8O+lZwpmb9hm+l3hHaFXqz
LLbui90r8rEBeG1qXxrAn0V2Evhn4DXg9wP/x2ksOGfK3b+VWI9AH4t/A/Dn
hYJzplxu4VyZcY4C9t6Bp1/OM0ez59bYs0c1erHaNmU7oGO9bJf8FppZml37
wEfn3SO70N0C/59514BqYUOl33W3GPl26EezjqEp9YyTvdfRPxpfP049e7Wz
PgIelHh2b4J/qOyX/dbq/1HI/ho5VtX4TdBfhr6/4Jml2bU8su+acc3gE8EP
wXsRm7eBN2g/5z2jpiC/NfHsUI6Uqwmxa0UzT7MvE3t2qAfUC73w4SvgUfA8
GbuGVcu6exH6pdi1o3+ALtW25nFwzlcCv1n0LtCO164fzRmQs0/yTTtC9POc
f4h7SOpcKGbFXoONWQXXpGpzYepa047Tv0FtYlnlULm8PXHs8iGD7allzx7V
qGp1e+xa1s7T7lOOlWvN9GFl73Dtcr15lXZd4n8T7eQO/PsW+Q9y/of4UrmP
/S8hH7shf3fZbz2w0ptHIv8bqUZVq2Mi17Zy0Jh6Zml2bcXejcA3pIZVM6rV
YeCbK/tUudSOV6y6uz71jtTsGg99Dvy/l7xrVL/6t1CPKJf6R2jFfkvit1SP
zgU+E3mWq2ZUO5+k3oWa0do9muGa5XtFV32UvUs080LZM1P2lRPlZmXi2aqd
o90zIbWsekK90Rh7lmomaTatquwHzdjVwP8DwnpDpw==
            "]]}]}, 
        {RGBColor[
         0.9091361666666665, 0.7599983749999999, 0.29733204166666666`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1V2tslUUQ3Xu/3nu/137ggyBUKDTEB7SYaERqRCMFG7SCQExAHlEgljcl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            "]], PolygonBox[CompressedData["
1:eJwtlklsVWUUx7839t337n2gQhTKUIhxosXoAqmRGFuwURsRjIZGJRGq0BZK
FRcGMahYLChuaBuJFQGHiMGhgkoQh2hSjLgwTAriRqEVsLhw3Aj+/vl3cZJz
vjPeM94pi1bMb0+HEDYCWWBeOYTFmRA6ebwLvDcJ4UIuhEbolVEIJ6Fr8yHs
Q3ZzMYSHSiFUZi2zFv6j8H8E/wlogj4Th9AKXpMK4TvoG9G5CFuL8NFVtE3Z
TmNzM7ozgSsqQuiGvhX/bxeQRbcKmVpsrcLfI+BfwH8Cfis2bsPWHUAb+FT4
Q+D3EN806Jew1wW9EJ1OfC0ATuQco2J9ruhYLgfqwA9jsw9eB/qHwOcAm/KO
SbHdBzQRzwXk7we/DP4u6NvJwTjwLvzPAL8a/SuJ/VdiXppzDibhux+dafAf
JJ73wauRP4etxcj/i48+dF7P2eds7HUDQ3m/ibca+cfQHcPbx+i/zNvclHOq
3F4HBPDZvHXDexL9r/LWke4/I7k9AD0Hfgr+3dDjUTsNv5oYh9H9En4e+5N5
SzJ+mwS+LnKtJvMNLdB/VThX24mvHlurgRp4J3ibgP1rkBnOOCbFdi/6x5Ft
5u0F6AQf66C7gOnwxgE/4GsP8idj+5CvKqAVPMNbL/gSYjiB74S3VMY6MXgV
/P6sc9ZDLE9j/yy2h4EV2G4DGtTL6KyBtw2dsSnbzKL7MzHtzTgnAf0j6oGU
a3RUOPK5rL9B3zI6cey1yHwPXVlwb25Cfje2tiLfgPxMzNXAOwRsRLYRfgf+
PgHmwx/gLYv+fuzt0WxAD4B/lLjWvbyth39E/QNdz7e/Cj0ee98G99Qq4ksX
PMsD0I3Q5cS9pRyPShyjYu2EjqEnQC8BP4b9MrHWROYNQldBv6eZzXvGm6FP
Qk9M20cjvg4Tx/y8Z1Cz+DUyi5Htgz8X/nl8rElb5gL4QeTVovrG/6CPRu61
Z/FZTNyT6s3XoGdAT4TfkvMMaZYOlLybtBO+AS8gsxbepdi7HsN/lp2bnfh4
EToTObfqkb2xe0a9U0uMVxW8k7SblIMh+OOhj6Xc86eg20ruPeV4IfaWx66N
eqQdfCvy1XnXRLV5E5metPfjG+BjY/e+eqgHf78T36wK50S5+SVxL0pnZ+Sc
K/faYVPAH1C90vZxNHEPqBcuhv5A9cNHAy7qif/T2DVULY8Do8ArkDmXco4i
8EOJZ+95bL6CreXITOX7tkAvU2+PwmeFd8otxJqLbLsO2If9GxLXRt+kb9tR
cK+p5vtL3rnavarZafh1Ze8G2ZTtDSXnvoj99eCjS45V36Bv2Z14N2qHfKjb
U/Iu1QwF7N1c8u5dA5nB9yzo8xn35E0l3yTl/jd8PoP+Tt7mZT1j74AvLY/c
AnRawAdj7xrVvJJv3RI5Nx3wD6P/VtGymgHNgnakdqV2/Bnwh7HRPzIfuoXN
I/dQN/LdyD2geCSzBNmDBc++euAcdClx76tGqlUce1co5gR8cuxv3Yb8GPK3
AJ0dee8g7aLHsTc15RtURrY98rdr52n3DUa+nbpZpyLvJO0m1fwSdO8selZl
swnbaxPvSvWcek83UbdROU4hv73kW6edqd3ZXHAttdPOlnzzdfv1D7Gh6BnU
LOrmrtQ+i9xrusl/QH8eu7f0DZ+B70rc27rxuvXTE98y3eRrE8+4Zl035e+R
nCg32vna/U8lrp12/DJ8/Q9kIBOt
            "]]}]}, 
        {RGBColor[0.8623320999999999, 0.7299935249999999, 0.282449725], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNV2lsVlUQfe23vu8tRQSDgpSCxI22YGKFFgWTsjQxBNoCZbOEpUEQqiVB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            "]], PolygonBox[CompressedData["
1:eJwllXtMlXUYx3/nHM7hvB7eF5faNAMG5ropZTUTWFqLULZqorWRdpuJs1JI
WmZrba00JtC6LLKtkQ2tWC0rKJyWXayNVbM/yogy+isFqwl2WZd/6vPt+8ez
97nffs/zvJXr2la1pkMIO4EioKIkhAGQA9kQmuIQPi2E0AK9AfgMvApIMiFM
pkKoBC9KQtiKDLOQAX8bXjN0P9CTD2EWPh7HVy36o1EIm9DpJWAHPjaDz0De
lbXOJcifgbcy5Rx6wC+dFsJsxQP+Kg6hHPp75CuIVwZ+mMDLsZ0H7y1ifwh9
Tda8Yvw1k8P9+DqWC6ETf+uht0MvAXaiP4FOFfmswX4cfEHBsdLwLgT/AngM
/A7kR8A/wH89voeh3wPfB281vm4A3gCvxn8NubURbw7xVgMtGftYBb6Weoex
H4E+Tryl2FSkzbsZWSs6u6VLrenSEC6P3cst+Fwc+030NvPxeTX1z0JnL7qD
6Mwnn3OAh4N5kpUR41jKb3YS2bv4LwUf0/sh24G/KfzVEfM26LOB75AdgB5X
L9F/Cfnt+Mvhbzr6HyObQqc6cg7KRcOTofY4tqwDm1Lw6dSXzthnKfgV8NpR
70e+FPzixLkcxOci8G/gLaR39cTrizwzmp3TwLfgW4BJbE8B22UfWaaazoCu
LHEvJvDRSz6pUvfyaeQd6P5OjA3g3cTbDb0HqM455v+xI8+2aiyBXgTdnfWM
alazkd9eNR0iVg28l7Oeec1+Ert2zaxm989iv5162EDss7Qj2F+L/lzwy9BZ
HxxjJrZHyfkJ5J9gN4fcn0e+LeOaVfuJyLPTS77XYf8k8texXwLvKfAc8oas
d0C7cAKdHzQ7+BsHfwioJvYYvHJijcHfiK86eOdD9+PjWXwdQv7KNL+53l47
WZ94J7Qb58IbgU4DN+a8Uz8jOwqfT2iC9y/1ZMjhAuhG5EXgrxJjuMg3Rbfl
R3S2ZhxzX+Sd1m6rho/Q/zpxLPVYve5KvMu6Obo9g/AWgK/DfiD2DGuW9aaj
0N0F11Yg/y7wZQXPqnZOu7eCGKPQh9EvI7dAvU3FvlG6VcuRt6es0wj+qOaX
fBuRtxHrK2z+QfY30Ib8j8SzqzfR25xM3Hv5mADvAEZy3oEq9GcnvhW92CfQ
m8mpEvwI8hn4vgo6VeSdLoJuQr9P+rrZ+B8ih/qcbTahe1PBt3UX+TWDdxZ8
6/QG52F/H/rXp23zG7X0Ffw2ulm6XdoZ7Y7m+R1kbcTbn/NN0m16MfLuqAcj
2DdDL057p+6F3oPNmdS6C/sc9UwmnoUueKfAFyKfQvc0UA2eLbGuZlCzeGXs
29CA/rLYNapWxegEfzNybdqJ48gfyPv2a6dK8bUm8S7o5q4F30iMcvyn8L8j
8g3QLRiEvgv5trx7rxuuW96S96xoB3+BPpj4NumfUxH55uj26Ga2Qw+RU0/G
PZqJbWvk2dBMP4LuvBL3Um+ut7+o4Nq189r9odizq53cH3uGNEvaKe3Wc7Fz
15vp7fYWfDvUY/Va/xz9e/RPeh/b1/L+V+mfVgv9U4lvuf4B5dh/XvC/XDO0
MvEN0S3RTtagWxu793qjutg3QLdgAJ071c/EuHqq3t4S+9+pGb0VfG7es6ud
fBDduxP3Wjv1a+wd066pZ+qdbpxunf7RL6D7Zd6zop26h3z+A5mzDIk=
            "]]}]}, 
        {RGBColor[0.8146635583333334, 0.699430275, 0.2673626333333333], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1V1lsVVUUve/d13fvfcN52BYrQoViNTEiFOPYATRMkqYJQoAWghrDYJRS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            "]], PolygonBox[CompressedData["
1:eJwtlllslGUUhj9mOtP5OzN/ZXMjCsVqYlxavFCZFlBpQdLUYBHaghJjVIha
axRcrtRAoxQKRRNBTZpAm5iWG4hsLVLUaNLGtt7I0hvjEqA1mkgjF7igz5vX
i5Oc8533LP93lu8ve6q14cVECKETKoIqMyEc4ODItBAuwWegd5DH0yGshM+V
htBaHMKTnD0Xh/APVId8Ctu/4V8oCaE+GcI68Gc434W8IWkf8jUX2g+/l7Pj
6N5A7iLwauhgNoQqzuah+xD7q9ivj0LYhNyBzT7476ER+L5UCEvyIWQz1imG
Yn2A3IevXujaXAjLkEfRp6CF2BYi88IIezM2SWyvIdY8dJPQOfTD+K+HryKn
P9G/wvdVgx1B3oDtRmgUPsU3N5PrWigNfwzMHvDLkI9hX0YOj3KXR8DfCl+e
Mz+A/wbyD9znYbBLoSnkFPo7OK4Dk4b/HZ9LyO1B6CP8NRNzJrpBML3EqoFu
I16CsyK+5zS4ncRrxF8y9jfoW5LoH8L2MWJ8hjwILUN3fc539Sz+roN/C8wC
NQI+3oQ/BKa+2DX+C387OCsUOcfbifc5ZzPRVYI/FTtH5aoeaCG3AvE+Sblm
ql0HZ13Y9pHfOvCL0PemXHPVvhq5KOGzxfB3ES+ZsI8q5EvY3Bl8J1PwJ6Dp
8FXE30E+u5B/xPdR5J/Up8Ssxr6Ks/N510S1qYX+QJ7Iu3erkSfhH8i7t5SD
chnAXyl+GoXB/8HIvmZwB41Z11y1b0P+FbkV+SjyGPhZ4Gfj4yt8TZHPPZFn
QrOhO56PPlviWdM3lZS4pqqteqIFX8/H7g3NnGbvFmp0uOj/niLe45oJ8t3I
/e3GdlvsWX0a/buxZ0izJJv52NaCP5lyD6gXtoL5Fn05+C3wP6NvgD+BfpXu
gxhl5D+EvB65lhhvB/tYjVwTGXuF+AvBPpE39iw2F9E9gs8u/A8Rv0D8CjA3
JF3Tu+G/5GwNuiFiFoO/AP4+5Qymn1hrY/dKBswK8K+CWZlwT15FNwndD7+Z
s/Pwl2PfxU7k/ZF7Qr3RTk4zyK0yMr8Nmo48Bv4m7KvBjML3ZD17Bb6xAtsL
efdGC2dnsp5Zza5mTrM3rdS7UDVPlDoH5aJvuKh8wC9PO2flrpqoNr9xthd+
e+xZ/Zd47ZoffL6mXQY+l/HO0e5JIy+Cv1JsXjtNu009rF5WjOORv0nfNgdc
BXIpmPqEfcq3aqRaaacVtL/Qlye88+ozvmPdtXpKvaWdod1RBC2Fn4hcW9VU
tV0QubdV01l510y164G+hm/OeJd0Qj9g3w9+X8I7sj3ynepuT0Ofgu2OXLvN
6M/hry3j3TIM7Sbe++hfR9+N/hfkCmhL2jugLPIbordEPXUo6zdGb41izsZX
Tdbfoh5WLz+T8exqp21H9zFndQnvDO2O5fTnWXTjUD/Ynsi10Zukt+m9yLno
TRuI/A36Ft35JuRV5Ned9s7T7lNNVBvthHH4b2LvXvXgCPxQ7F7swGY49kxq
NrXTOuH3xO4d1Uy1+w66nPYbpLfoRuiltN/U0px7WL2sszno1uS9+zXjmvWm
jHtPPrrQn4Sagnf6YOw3UW9jDPUjj2X99umbGpAPZDzbehP1NmrnavfqH0L/
Eg/nvAt1hytyvkPdpWZ2IrZP+daOnau3I+u3TDtHuycdeTfojf4C+8Wx70Y5
TmHTlnevqGYvR97R2tVbtWPBThS7d7Tj7lUvxdapZ9Q72uHa5XpTm+D/A2TF
G+s=
            "]]}]}, 
        {RGBColor[0.6413897889365793, 0.5879128171661001, 0.2195340174733627],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFl0tsVVUUhs8t2HtPL/fiQJAYgaADRyQdmRSoMQpEVIKhaoIxJpQEWq3a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            "]], PolygonBox[CompressedData["
1:eJwtk02IjWEUx8915b7Pfe/7XAt3SD4aFjYWNtRcXZEhidLcKFuzULooblJT
RjJqZjEGyVihLMRCVszkazPyOclHyUKyYMZqZrBgfP3+nVmc3v95zvf5n7d1
z8GOA7PMbAMyG3mbmE0DjiIfU7N10ax/jtm3nFkNfLtodpmATqQvmPXy9g77
JWJ3ELs78dhVSDfxT7F/J3ZJwew5+B4yDzw3b7aSXNeRXvA23n5jexbddyFv
q7E9Rl+EPkK999QbA2+l1idqnsHWkzh+jfSgX0AGzHsaBFeJ2UL9LtUsm53m
bS32UewDwvTYSq0K+aupz6hZVfMJeCn5X+LfRI/E3+XtQ85nuA/+xfc8uW4w
7/yS96Be3iCnwD+xN4nv5FsgPmWmCS0cfYrcZeQmagM9xT4UfLeH0LOy51Cu
CvoDcJr4rveiB+y7MrNX+Lcgm4m9hVwUN8z0F/+r6FX0ffgXy75z7V6cTs30
oF7+oV/TPvCv53wnNXx/ZJ5LnN/B1uStnvcZiuB2drYCfTn6RvCf6Fyqh2nw
qHZY8BvQLYhTcaudaXeqqdriZDLxHtWrdlJCP576LS1GX4Z+Mjp3uoE16F/o
b5BaNd7GwQ+j70ociauxzG26Md2aOBAXmlGzaofapXZ0JTgH4qKBvRmcA3Gh
G6gkfkNdM5y2YW8PfjvioE6tBSW/Bd1cC7hR9N5PYN8PHg++K93odvJ9zryW
ZtAsh/HpyPuOteuz+B/B1kbNr8yzKTjX2vnOzG9StymfYWzngvuOMPMx/Cei
114vrqP/Q/qXxMkL9MnoNtVUbcUo9hHSDf4P1uaGgg==
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0DtMU2EUB/DjQEpfwCKyEZ0dWDRpKwxYuzUh+EhcHJhRBxtHS0JLhAUf
iZpuJA6GjTC0EF+jD2DTwcloAtRJGx0UMPzu8Mv/O+ee7/vuvadnbk/fOhER
DT71R3zNRlyXdTnHGevPqYjZTMRNWumInwMRPX5xR69Ghiw98y+SZ3KMb/Yu
qx8wT4Pz+vv6D62b1k25wBve8pLXvOJscqbZCetx3vOOL95jW+7wgS0+cs78
P/OnchEjDPPEHUXzQ4MRBVlR/zWTUpfU4/ZcoOR7ixQo61/OR3yX12RFXpGX
5NUkzZfNXWSSqn6XqrP7eOpdnnGfRab0+llO/pNMu3vF/A2ek1Hn9FueD8qs
uqa/nvx/5++6c48u+6yaO3TuEQesmf0v78o/nnfkb9mWbbNLcoO8c086s6M3
KgfUm/qP+GH/Y3lP1jkGzbFL4g==
            "]]},
          "0.435`"],
         Annotation[#, 0.435, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0D1I1WEUx/Gj+ZLvVDqY+HI1B4e6KU6+lEJgLg23QS21CFyslNraiwt6
BQU30UFbxEWHgltLCm3qlGiDbr5BU+Aqfhy+fM/5Pec8/+fexJvJ1ERORMxj
rzDiRnlEHqYxhcGbEUtcXRHxR52vLsC/kogx/TRn0KI+tJ9f6hwrsq9IymvM
30WF/JN+Xb6BLX1hUcSv6x3e5NriiDo06LN26vkHd9lr5YdIIiH/yRn57TK5
/hYn+S8OUKVv4zvcypXc7u6kbz/AfXTKOnDk/DH3oAuP0I1O85d+V6O3pX2v
ib/ZW/TdhLoZVf6be5wy/8R8nrNeMz0YlY3g1P1neOaODrNrZrad72AXKflz
zNh/yS/QLx+2MyebxYVsWb/vvpXr38iv+At/5M/8gRfMvuZj/ToPuGcQQ1h1
9t497xDe/d/MW3WpepzT5nPUuZjQT6LSW7/bq+Wn3t6PPmT1Z87PcYxTnCBr
9jeuAN/5RiA=
            "]]},
          "0.406`"],
         Annotation[#, 0.406, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0D1I1HEcx/FvmT2ed0IGSpdPk2C5BKlLDT5sgTUp5SIOlg8nRhA9DBUO
59B0QYFgthQNHmSci+msLVF6Lo5qT1CDQU7a64Y37/t+fp/f7778GwYy18cO
RUQOtccjHiUjHp6KWKiIKCB7IuI9z+O+/IHzs3ofTkac5lHZCAp6uzp3+QVP
8pB8SP8W3ui/RV4+KJ/jLb2Xsic8Zn7MGX7K/VzkV7zOM/zXO8/075h7zRPc
x1OyLK4578En769iBe/s2J6IuCrf0d3GDfdu4rLzKyjT6Sjdl9XpVqUi6vm5
OzlMO+/ko/IubtPr5n/HzM4umVtxpnSn9G282W5e1ymi2Xwee/oX/U/SWQoV
aLFPJW9wgi9wvW4DGtGs/8O75+TfuZZ/8mf+xmlO6qVQibT+R3m5fJGXsYR8
6Zvjnv2S5mp71aDF/Fo+iyPyMmzas0k+Jcti0O9ffFg/4/yreZy/8G/ZH+zb
/QBr7t62wzD+A17TTRk=
            "]]},
          "0.377`"],
         Annotation[#, 0.377, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0D1IlWEYxvHb0o4ejzqnUjgJfiQKQogNlW4HgwTRhhDBxDQdnPyAhFAP
1FQRqaQuCkKCQg3lnm3iBy4u5keQu25ivzP8+T/39VzP+z7vW9Ez/HQoJyLe
ozw/YqI4Yrww4ntRxDdkCiLWeQOj8jH7pXrPkxED5pfox7TerM4If+I33Ct/
od+HZf0VrMm75V/5RO+z7DUPmNvlgzxpfsb7vMBt8i+8Z36r/w4d5lZ5p2d3
oU2WcK8n+C3fwqr1/VRE2v4N6zROnUuj2f4D5MgeOTuDDJowL5vmOX7obF6J
Djd6/2O+SES02Nuz3ke1vA738EE+5exHrucq77jUb7DOt1+ABAqRxIG73OIa
TurewV1U6Z+5e6n8mMv4L2/zKd/m0EuhCGX6P+U35T84lzd5Lfuvsx3rFP64
S627LckWEbJrPpRXyjPWMzjHv+z/8X2BY88f0n2FHb1f7ryFI/kV7zp/6Z39
5v+WfEmv
            "]]},
          "0.34800000000000003`"],
         Annotation[#, 0.34800000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0b9L1VEcxvHP1ULNCi3wB+gQLloqloJKi2KmaWWFKVhQRikpqKMOSoN/
QuriEo5CuYhOmtSiW0mTRnTbbXGsW68zvHnO5znvc77ncq+8mH40lYmIt/hS
EPHnQsSPcxGT5yMmMFwYsW/eKYrYxU/rQ17I0osRJTixzvLyZAbvdPPOLiBX
rJcZLOOy/X/I4W/y3bml35cHqHE2k85Yb+sX3ftLlqdvy7LUc27qG2UDivkV
+jr31aLaXIVCXNXn+U3f5Fl5Tebcc8Y6H038U7+njluLBl09vvOaZUtycAPX
0Z7ezW/jtuKurh9Z/oB8gHvoMt+XHfxO9JlHzMfee4R+7w/cSXt4aH8snZfj
6c70H8hb3tqNQ9/a4H/VrXJum3vQixXuc3c+w4D5tf153hOZletyUP8YQ1jj
v+K+xKj5jf0l3oxckYvpLfpxXPLNp/xKOcef1X3gvMe27pO9E/5v7Fl/xCY+
4z/Uekiz
            "]]},
          "0.319`"],
         Annotation[#, 0.319, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0Tss3WEch/HfmVqqEo0m0k1T51Cig0ubbkyts3DSREJUnONS4jJ2EUvT
ySKptQOLtoigrckiZhGXrW6RYMJmQPRjePL8f9/3+15OTml2JDOciIgJbD6I
uH4csZ8fkS2I6MLGw4he7kMOPejGVV7EIJ88ijjFV+R0z/iYb3iYv/MI3/Il
P3H2Z/5tbzhjme/MC4URdXzqDc993+j9tfYHX+T7fIA9FNu3ovNWXsWVyHP+
U/mh9XH5HafMt5zkHWwj4fdV8LW8nMP8yl0p+5N4hjLZC/yzXsEvkUQ5Unij
X6dXixo06L2XH/IR3nlPvbzRd5N8yntWzdNc7d60vJ5nzOvyH/zanJF/0h9A
PxbkW9Z3sItW5+bLMu7/6LsDaXmffaP6rTx2v5+b5S3I4IN+TjeLTvOkzjcM
6Z3zBbL3/x+KnL+oX8Jt3I5lLGFFNqc7j5+YxS90WlvDfx0CTlY=
            "]]},
          "0.29000000000000004`"],
         Annotation[#, 0.29000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwNz08o33Ecx/G3y9iGuGDUavPnoHHD1lbjsE2NsFypOXFhUoq5WMvBYaPZ
TG2ilp3msDYnccBEyVY0/+K+H0UuyGGPw7Pn+/16vz/v3+97q6XjWXtSRLzD
8NWI+WsRTZhKi3ij774e8Za/6vv5mE/QJT/iQ3yx/w3TSNj5h1X1j5SIIfNh
NNt/nh6RIZs0S+daWQ0OzPfxXfbZbBwNqMcH1KLD/AXa0eh+J0/bH3OzxryO
f7m1hAVMmZWlRjyVz+vnMIsJeYn8ifwyOaJav6V+6OYjNyv5MY/JK9yt0N/U
3+V83uXbXM457hWgECV2S1Eoz9Pfd/MBqtxZ5nz5hd8t4EselO/yHq7YL7aT
8H/uyX+qZ/DHbBMb6Je/dP8V3+Bkbw7t56r7kIFM9KIH3fZGvHuPU32We9m4
Ix/39hPOcYYdd4rkA+rXaFG3efebE96uc6u+Vb3o20d9w476Iy/pV8ybzNf4
r3wb/wEl71PG
            "]]},
          "0.261`"],
         Annotation[#, 0.261, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0LtLlQEYx/EnMMpKW3UoM6n+AR1yUFPIQ4ND1uDkJYWmRAjvObSJWmGQ
oqNLg2BF4q4o0mBqkKYptjSoiyjqOeLlc4Yv3/P8nsv7vie/ofnpq0sR8Qnz
VyMar0UcZEaksiKSWFXP8DR+6NfeiKjDuvwvNnBqPjs7Igu76i1z57IzdJs9
vB5xhBGcIIWP8ptm/1+RcQpfZBOYt/eNz9wZ51P+yjlmLtvNwLHfv2TLWDD/
h9fwG6tYwQMze+7f4/vowRv0unekf4wDzHnvWZTJi/khcj3jrrtJ/UF5nu8v
Ut/iQl42UyEv41IUmM/Xu4Mh+ZR6mG/bT8gqUeLZpUjYr0lnvGb3Sfr/8p6P
9SpRJa/Xf4EGJGSb5hr9bsIjNyvwTFbO+zxq56feEhbxXN3JXWhDB9pR7VbS
fAob6n/Ywkvz7/g9+jCA/vQd89v8Xb/FN03yjrqHJ/Ra3XktH1CPyd/yZ/7A
bfJ2/Qs0qV72
            "]]},
          "0.232`"],
         Annotation[#, 0.232, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwVzztIlmEYxvE7HDTzQEaZUqDollsOLh3QFidByKJBNE9TCeGXaEUWDR4m
T0MEBvI5dNBRRPA057E1l6BGNRRFzcHfO/z5c133/TzP+5Y+7ax/fiEixlCY
FdGdF5G6FDGVG5HG24sRkzzEL/RdyRyPsiMe442+U/+aR+xN6ga4R36i7+VB
uZ23+Sv/4i987J5x+y/lFjnFrTyqy8p3HzfYeYhVs3WsYdp3brr7O9/Piahz
ppKn5BV9mm/LtfoK/izP6yf4lnxHX+Oeu/yA58xmcdPsBg4yI6qTN7y7het2
ilGEYf1+soOrzlSZ79m/p+/zve9Qhn75A//0xqHdI1yzX4h/9svNNnQF5j/4
Cm/yGq/zZT6yk5Gc4T73zejP+EQu8W4pKpOeT/mb+X+e5hTn2dvlYXmPR/iT
+z7imXzI+c7u2PstvzJv5vf6v/iDRl2H+aJ/X8ICVrCMBrttZu048L372PBv
TXILzgFEzFcl
            "]]},
          "0.203`"],
         Annotation[#, 0.203, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0T9I1WEUh/Hjklles9TJoAxCwUUT1EFdRQfDShcVUXAtMSHBQVTQtqRC
3bJUyihoCMFEEdGG/J+TLbY4BGpliINLnzs8PO/5nvOe98e9ee2P7j1MiYjn
2EyN+H4pYhsrFyMepEcscSN/5V35KjeoT9MimnhN/Uu+zs3qVu6/HDGI2857
dp44/8MYxlEo/ynPydBzd8S9Z+iWT/E03uCj/geUyA/M33A+M/9ebwZ98nXO
8C3fOMGfzZQnc+dMrMqv8Abfcjfb+1m4hr+yP9jRH9AbRB5uog9V9hx7t8zO
q+Z/mz1Ofqv8hWyEs9XXExG5KHXnjrliFKHC3n1Umzu3J99sAeb05lEjr7Wn
BkXyUZ6ULekto875Air0KrEl20G9LA13vZdI/u7u1crbvNXtO+7zS723vKd+
xz+4g59yDw/xEx7mV2Yn0Jv8T+1pRgsaZY/t7kKn+rXZCcx6c0Hv0PwR5p2/
4BMW8R9FLVNf
            "]]},
          "0.17400000000000002`"],
         Annotation[#, 0.17400000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0L1L1mEUxvFjBNnz+AKFRjVIS1BLqKmDaOjgH6CCOiWuqeUmgo21qIM8
Lr4OkQa5mDgIgfiCGhESlNFgajVZgoGmRqCf3/DlOue6zrnv3+++1fa4vjMr
IjLouxzxNhXRgvHciAmMYRRf0hFz2RHD6hF06p/kRXThtflpzNo/07+ho/pd
9Xfs4Cd+oE12TCfpX/qS1uVEzCRn60fQ4fx2bKurZQ9QiVbeQ2zxi/UluIdm
XhO+8u/o7+I2ank1ybfzb+hv4jqu8QqxwS91/1XegPsH9f20hF7Ml9EVLOM+
ylAlX6RL+GVvH7/xjD/rTZ7TK/py+f6liCLv8E6fds86zaHvUZHMm0mpV/hr
WEUvv9vOU1pALzhzzzmF6kn5FCZwKn+V7Nl/QU/0B2YOcYRc9Cf/hUNntMsz
9BH9Q7fpf7uttMfMN7pnJ+Wb0vgn29R/xiesyZvNLdJ5bzck/8g/UR+oG/kN
8gX6gb+Bc9z8Wxc=
            "]]},
          "0.14500000000000002`"],
         Annotation[#, 0.14500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0EsrRWEUh/FlxHGLOkMGynXqY2B0SkIpBoxwYqDwETBxmbjkGmWCkRST
I5TL1F2ZKHFCuUz9zuDp2Wut/7vevXdVz2BqIC8i+nGRH3FbFHHOvyVcGNFc
HNGEmUTEW2lEFu/YN78wPyiIaDHv4An9Tn6245qH9Cf1ej1PcR9nzV54Vb2O
NaTVG/qb2EKFXiVG7K/lGuygwDtU86j8nlzG/jr1HhJmu1yPMv0xmW2ZcS5X
N+i/+q6knSvqX/15/uMTZxtzeZlvXtL/4WUezn0XZ/nL2aTMnL2zmMYnPnBj
d7HZsV0ZpGW7nGnP/Ru0YdF8Ad1mJ6gyP5Q983yKVnVK7oiv1H/+8ZPdKfU9
P+IBl+66y92Jf3TKRkI=
            "]], LineBox[{2070, 3866, 3863, 3864, 3862}]},
          "0.116`"],
         Annotation[#, 0.116, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0LlOQmEYhOHPqJFNKbgBiZ2dF4Ibd2BpIYFGGuNSaIK9WzRaQeASPNjY
2kuhCQ1qQmMMjcbG58Ri8n4z82/nlLdqmztTEVGlh0xEpRDRx1X8zkZMFyN+
8FlWl90tRNzSEj+Y0+ciZuiN39eP8ABnZU/zEYfmI2rnIz50XTxPM2es8Bfm
HOWpp7vEojuvsISTdI+1PbqRXVND1sJT+nRPSTf0lmV529yhY92YP8FtzFrX
oDr9+p5d+Yv8nX/FJv+IfW8+04/kifmevvgN/WL6bc5eN+95a5UfYpLusyah
tcL/f/wDRq4zmA==
            "]]},
          "0.08700000000000001`"],
         Annotation[#, 0.08700000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{3193, 2269, 2791, 2792, 2568, 2153, 2678, 2501, 3209, 
            2284, 3205, 2283, 3208, 2572, 2020, 3080, 3713, 3081, 2962, 2161, 
            3079, 3614, 2019, 2677, 2014, 3602, 2960, 2959, 2957, 2152, 3054, 
            3592, 2497, 2496, 3187, 2264, 2787, 3591, 3042, 2140, 2942, 2141, 
            3043, 3593, 2789, 2265, 3188, 2243, 3193}]},
          "0.058`"],
         Annotation[#, 0.058, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2457, 3528, 3530, 3529, 3189, 3190, 2958, 2266, 2961, 
            3203, 3857, 3204, 3858, 2280, 3749, 2281, 2567, 2566, 2671, 2658, 
            2670, 2084, 2498, 2457}]},
          "0.029`"],
         Annotation[#, 0.029, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0vXVYlM/3P0x3LblgoNiFimLrGQMMDEzsRFEswMZW7EDEwhYbUQxMEAyQ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      "], {{
        {RGBColor[
         0.6694351516861531, 0.32729564834462804`, 0.21165673500561336`], 
         EdgeForm[None], 
         GraphicsGroupBox[{
           PolygonBox[{{2598, 1938, 4135}, {3504, 1156, 3271}, {3271, 1156, 
            3507}, {3270, 1156, 3504}, {4197, 2054, 2597}, {4196, 2054, 
            4197}, {1156, 1311, 365}, {1938, 1579, 365}, {3255, 365, 2390}, {
            3487, 1311, 3486}, {1579, 1156, 365}, {2390, 365, 3794}, {2391, 
            365, 3255}, {3795, 1311, 3487}, {4041, 1844, 2177}, {1579, 1844, 
            1156}}], 
           PolygonBox[{{3796, 1579, 1938, 2598}, {2247, 1579, 2054, 4196}, {
            3794, 365, 1311, 3795}, {4135, 1938, 365, 2391}, {3486, 1311, 
            1156, 3270}, {2177, 1844, 1579, 2247}, {2597, 2054, 1579, 3796}, {
            3507, 1156, 1844, 4041}}]}]}, 
        {RGBColor[0.7149739, 0.37429625, 0.22906379999999998`], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtkLsyw2EQxXdcIvG/paBkRuGSaDyBVopUGqPJRKh5BLwBM2YQkndAxQO4
VW6jU3gCxgPgd+ak+Gb3O3v27Nmd6eysbg9FRI03zJsbj2gDvOUR06MR3yX/
F8A7xGYa8UqtDv5CPAVvgj8mrolzVER8jDm/Cf+Vd+EeFtbcK3uGtGfBb+m9
htvPIr6oTzG7RW2tYh/zVWtIV/Mu4NXB29R3y+45QPsncX0CzQf+i3Cu4G5U
nF9mA69wJuFsVe3xDo1j/p/gJ8RN+Osc5B2P55k93BfG/kruWRoxX75VE6cH
t0/+C6dHXEnNa6TeSXfTXuqrDXLtIb50hLcGmtpV95FX+dPMfeJZZq0ucTmx
J/nVfZSLJ4/aV/lz7llPuXeWnu70D+WoRHg=
            "]], PolygonBox[CompressedData["
1:eJwlkL8ug2EYxU8o6uP73g6STiSG+tMuLqAxlsFkkHQRaVj1EnAHTKqhvQVs
NYvEhiY2gyvQK8DvyRne5LznnOc8f1Y73f3TKUlVXol3UpG+5qQn8DH4eUE6
wjCZla6S1M+kDv893g34omxvY0Z6Rb/PpTp4BPeyKJ2XXbsCd4u2C7dVst4k
uw+3jPaD5wzvUubs6Bm9W/gPwZvo74X0Vhh/w13jHebW63BjtI/CODIP5qX1
intH3hr+XubamGGH7E/87WnvtIE2yD1bZEZ2LXNt3CRuc5k8a+gx22Pu3f/g
hsk7Rf0v/0EyF1r02Ea7S9biRg/U/gNnwDNC
            "]], 
           PolygonBox[{{3485, 1310, 2391, 3255, 3256}, {3272, 3271, 3507, 
            1323, 2401}, {2400, 1322, 3504, 3271, 3272}, {3256, 3255, 2390, 
            1309, 3483}}]}]}, 
        {RGBColor[0.752443375, 0.42005475, 0.243101625], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtk8+LzVEYxl/3Trr33O/93lnMWukmNqLb1FAi5beSRFLqmslKYiFlLLAd
CwzyY8wYa1Z+ZG5ZjAW6GUIhtoqimPIX+Dyes/h2nvOe533Oc973/S4fO7nv
RCUi9vNV+aZbEesH2BcR91LE2SURv8uItY2IPRC2En8L3gvusO5iP4rAVfIO
1R3/BP9o3blf4HTBZ8AfwSuT+cp7VYvocec51m8Vx5+x3wDvIDo74Bwnr1sx
71Iz4j7rY/SPoTNHfAXcjXynwbN4GCkcv578CYt7h9xx3tUrrCd9ebrbMtad
k+DX4Bfgv0vtSX4eknsKPMP5YtUc6XZyHfTuudL6T7O+aijPw8m5T9AYhTfO
nX04L8ldIHcdeCTZ/yZi30v7Us1uJ3uYYt0Gbw2aV/AwyX4n8UHWizV73Ezu
+ZrrM9X0XvE3rMsa5reSNYTFW80bOwPu0+7C+EDup96lfMVUC+HDFc+AetJO
3t9gvZkce1/6XPraqx961yP8zOf50RwNZv/ypfe9q/rONvsH3NMrfS6v0tH5
QuZsz/W9le/XeS/nKPc5NdhS+Gy4cG9Vf9V0VfKbP5eexf/9J/artE/1QfOq
emj2P5T2oNqP5d59Lawr/XaeL82D7taZOD/J6zfsa6Jm74t5ZmbzPGgu9I9p
Tn6UXrvZp+ZPmkPJ/4Z0pPendD/UK82x5m2G2l5r+Q7NVD97OFL3LIpzuel/
Rj2fR2+6ab8XwP8AgMOITg==
            "]], PolygonBox[CompressedData["
1:eJwtkk0rRHEUxg+mMXPv3Hs3fABJbKRYYMOGUJKUbBQzLMVCytiwZYFBXsbM
2LMiNcpirJCXsOADKIpCzSfwO527ON3n/M85z3Nebl1qbmS2UkSasAi2EhM5
4XtXJZIJRHoTIkPgcZJ6wDWOxf6wsgvGnsDvxA+IDZLTClFzFE78Wzjaqo0z
54mU4D8GD5CfIV7AFitE5vGPwIFjMdUswX0T1qfhLPqmqdr3WC25n7x1Rozj
A7zrWK8XaFyjtUN9OWo9aW8bnnFpD+vgqbjIErUL1HS5xqncOpPO1k/NGHiC
eB+427VcrZmm9tyz3tP4Kfwf32Kq9wuejFtMc07J3XeMa4a3PfCzb7iF/Bfw
KzaMXpKcRuJbgWHtaRu8GrPZdOYcfj6cR3ekuz7zrD/VTKLdkbDaIm/t4Hxg
vehMBXCDazG9Tz14NLzfJf4aWlnPdqUah+A3326rM+rursL/RfX1Vg+u1eoM
j+CsY/+G3kBvsRnYrMq5TO2Xb71qz9/gf5WpWwA=
            "]]}]}, 
        {RGBColor[0.789582325, 0.48389624999999997`, 0.256272675], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtU+1rjnEUPu5nbvfLc9/3WGk++LBGTPMyNWZiy+NlWiJZiW9P+2T1SMkf
4DUUnq1WIvJRKaXJpPaCzcRTltBWhNkKeStflevq+n34dc597nOuc851zqkr
Ht1f8szsCF4Obzg2G4eSRWb9mdlf3+xUYDbjSe+GnEnNWqF/gRzCq4W+BP6z
0DdDn4Ncj9iT0Jsg66oQA/028Jug/4F+B/pWyMb5ZhPQLyVmNdAvJ/IhZmme
2ZlMsach+zLF9kL+RI5t0H9AJsg9hpqHUHsn3nHUuAG2euB88JSrL5LeC/kN
MW2I/Qq5CN810B9Cv4A+WxHTlTd7iteD/F2h2RSwZz3hpr764T/2ehD/jsG+
G35F2O4ibjveavjsyKsOxu1FXRX4/vPlfz2Tfh45L6LnDtjOwpbB9t7T92H4
F/B9Avo+xD9HH28hf6ey/4Kc88QDfdhTuy+/x7H6Zd+FnGZK/lnvJldD8wLF
0P9zKvunVHUw/znU9Q44hxDTDnkl0KxGEvHE+piXOelDnFrkW4zvR6l4WumL
K/bOfRiE/4FQNnK8JxYmsVfFmtUoZDkQHvueAtZaxE67vas4zlk7eygjzwrk
bcT3G/iUI3E4HCj/R0/5bkaa4w3INVXCYT2c/0Jf8xtNhDeN2rbE4ut1LLxq
X7w8SOX/DDyNB8LvB+arnO6EezvhbuZapNrJFW+HO04M5qoAdxL2l7H2t+Bm
dCvSXCuBHvWGasSH4rnN1cW95G41ux3j7nPvyDtxdoXCXOpugr2T607Yd8K+
DPb6WPpyyDTSft9Df1cTcdMTiQtyMpboXqkTp8H1/CIWNu+Z9o153V4LZEuk
HfmeiifyTlzOindecjdDPjpC8ZM5npmbvusycU3ORwLtF2O5K8VQNQ0k4rvb
8X8/1bwGIJ8k2qWym9Wg2wfOZNLN5T+Nzqk0
            "]], PolygonBox[CompressedData["
1:eJwtlElIVWEYhn+17N5z7j1XDcIWBaGRRjNJajTPSQVh0LAIxDYFRRAtWzQQ
FTQTRNGwDFyVWRE4FJoNQtFoVNigUNEgtA163t67+Dnf+H7zmdC0a/3OwhDC
Ft4IXnccQgvf4eIQzuRCOJwNYSUGJfA3kxBu8HLQo0eGcBzd2kwIzej/IDuH
/V30Y4qNMRms0iiEMvhSXhu624n55UUhVKAfgp8LvxuMRrAGEtN1yD5Bb0iH
sKMAP2TniTcenyX4PuCVgL0J/c4C5zAL3UFy+IzvBIqpAa8z5diKqdiPsXla
ZJ+N+L5ENqXYvLBO51z7TPxX438g5do+g9+bMqawE2QJ8duRXQuOeQjfdvC7
iyyTrjVx797jfxL7GTnXsh/ZLOjribFUYyPx78CPhm+CX5V2T9SPv8guYj8z
Z98+YlSCdyRlnfheYr/Ff3qx+6HZLES2Gd07Xh32bRljqye3sO2HP0U9U5hn
E/GuYDNUaPs3qiVrfc2oEB4Re1XGvdGMy7Gdne/HVN5S6LPIPuBfAT8n45ko
l2fg9UGfQz8AX4V/ReSclfs07PdRS2fs2WrGK9LOWbkop6vQlbF35/9OwT+J
jb2Ftyh2T4RXr5lR31YwNhZ5xwbhL0SepXagGrqT+nqDa+yCfgXGw+CevYY+
na/nJ/xw7B1W7zSjssgxFbse/6Pkvy1tXjPox7Yj5dnrZnQ7K9Puv27qWNY7
Ib1qVu3quepV/GZsu/L3qBzuQV/CfhC6H/2L2DuqeWiHJ0XOUbmqRw1p28hW
PVAvtkfWC0+zasB/L/Ri/H+S34/EtPqtXfieWL8E2W/odeDtKXTP1sS+Id1O
Ofp29M9jx5JNDf5jI+uUo3ZHM6/K36d2Zw78QvgFvG+Jd0y7phncpz/VJc5F
OdRi+ytxLuqxev0l8ax1I/p3fE2MpXlqtz8m/pcop3mx/xnqtXp+CnpZxrur
e52BfkPGs1Q89WZB/n6Uo3KtzXi3W/L/ytasb2c++tmRMYTVg08H9Lj8/0r/
hGxkG9lqhpcj77x2XzfRA52L7Csf/etOZP2v1c7odifm918z1Cz/Aad4vUQ=

            "]]}]}, 
        {RGBColor[0.82642015, 0.547893725, 0.26930985], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVUtIVVEUPWnqu/f67n3aoKKiMglzUOYnzA8klaaWohhFEJQvIfooOTGI
BvnpZ0FICtEomjSwD2FJpOInywwcFJSW9I+CghJr3lquAw4Oe9999l5n77X3
OXd1bUN1fYwxph0rFqs/ZMwtyBOQqzxjtsG4EjIKWbTQmGfYq4P+DqsJgZtd
yS3wKYVtDKsc38Oe9CFPcbWxin3jKfY15CJXvmnQs7CqYN/nwMc3Zn28MZOQ
d7Ac6N2Q+fBpgH8G4rrCxjQDdyTRmE2JwknBfgfyHsc5ezxhEDOKvWz4noQ8
tcCY59ibgD0tYkyezb8Gtu04+wD2b+Os71iNsGdh38cqgZ6Dcz7Cngvcr5DX
kMPyOGN2O8qFei/OPh2SzAPmDXeeJ2IsixO/DxAfgX4OGMmQ34BZhv1GxH6G
3hIYU2zz6QZOCfSD0AehpwJrP3w3BqqJtfUBs9ATx598cUSu3kOvc1T3b+g5
sE+i9leesIh5BbYy+ESh3/WUB/vO71JH+T1CbL2j3k/BZ6ediSOw1Tiq6z58
1rni+zrkBHxewicd+tmw6n0SqDfs0Sz8f/iajcOOekV/1kLu2SPWyXyjdn5y
gXU1AedEdCZ5J5/pdv4eA+84sHJ4Fs68ZPl9GohH8sk+j4TlMw57viseZ3x9
0z6K/b3wqwTmC081VdncmBe5ZW5N6Nda5JCP2ZjxxFkH8ArZb/TxHzD/YBVB
/wk54AuT2GH4FANjBeI++MLlbDIP5lPgii/ydh75VFveOONVnnrBnhzFOgS9
ArZdjngYoe7JXglZbvvLHMkFObkcFu/kv8zT/PYkaHZHQ/OzPBZS3S2Qpaiz
ArkttX1gXcyJtVLnnC1x5TPnm6j5fIua2nFeEs7YYc9kj9nTIdizYR8MK/fF
8YovsH3Z6uk9Yp874XPR4lyA/GzvI+9lv6/YPsg27AXwaYWcjtHdY+9TIsLh
O/fFVw95n87Eq6e9dvaIydySXN2HVE93iT4bXPHEGPp32zdqDbCTrf9DX28T
53MU8q+dgV++7jrvF/1u2ho5g1O++ON95Vwwf95PYtGXufANYi2tgXymbV3M
t9HOZFcgzsk931a+jXwjMwPlnAE5bDk/5qgm2hnLt4fnEvueff/5H+hEzCz2
mkOaX+q8E22BchgI6R1hvj2WD+ZJrjNd5cY3lX5z/p7uDbEqbH8Yw1r+A7y2
zuA=
            "]], PolygonBox[CompressedData["
1:eJwtlEtIlWEQhieP6Tnn9/zHbFGREVlEuqi8hShCVihpaoptgqi0NgkJFhi0
Ki8VteimEK2qTQVWRBGRSXkhKXJRlGZBZAZBQUG173mds/jgnW/emXlnvvn/
Va0dzYfTzKyFk865Hjc7vsDsGJc3wINZZvuxkwvNehNmh2JmbRGzGc67wOx2
0iyWaXYQuwn7fNQsin0Aux77QtT9pcSPEr+Cu+o0z1lDrp2Bx4oj7q2kx5fA
H4FfjIZO+K1wvodmc5yyDLM93H0Ft+N/AD8X/hX4tYFzq2hmL9qn4ayH3wa/
HvskNf5gN8IpDPxOPt31U3tcHGIfMYtxuGMJ1y596vUM9iLsOfhH8D8h/3Zy
NZBjKVqeJVy7etAsfuKvglvDqcTfEPhs5Fevu5lBU8Q1ToWuSdrWoqGL+J6E
z34Wf6e0w3lpnvMveCyldzmcFnI1pvLrfTZRbyM1TmT4jOZnFfrss+E/BO+K
+eyUQ7kuwmnDX0c/l8Cvo16vC/sadm7q/fbBqSZ2Wdx7l+Zh8m0NfHeGiNkC
fs/5GPE31ltrZ6RNGtuJnyGmJN137gP4VMK1ab59aN8ceG3lmAK/5UyDX5C/
Erwu22wy4jtShJaWFF+am8EF3L2J+IyLsf+F/haqp12XRmkVZxJcmPTd0syK
wB9S+6mc5fDzqXc50/NrNnWBfw/SVIp/A6cjzTV9plZ30t9OM9PsygPfLXEq
wHcDn/c2+PfAKwPH34g5Sv6rcd9PaZyI+ptqfqqp2uKIm8PMzjG706n56Y31
7WqGmqV29iy+Huwa8n3i9Cb9G9G3onw7yPcqtX+qmU+tH6n9Vc9l2KvpP4Z9
Ez154P6EY+3PAPhX6LNVzG/wcOC11H+C+CHulmT4N1PP+48GjrVvi+O+c8IT
3I3g645679qRAfQ+Dr3XWjg5cJ8HzlWOAvD90L8F9RjG/RtV/5pJH/rWBB47
v+PUr8jyb007XA4eDH231eOd0O/kk+an2HmB61N8LfFfQt9F/ZNmwf8BGNGl
vQ==
            "]], 
           PolygonBox[{{3469, 1298, 2377, 3247, 3248}, {2412, 1332, 3521, 
            3290, 3291}, {3248, 3247, 2376, 1297, 3466}, {3291, 3290, 3525, 
            1333, 2413}}]}]}, 
        {RGBColor[0.85813885, 0.6145427750000001, 0.28007115], EdgeForm[None],
          GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VVlsVVUUPbZ9993p3NdEjcGQMIUhfii1UGKhJhRKSRkEHKLQFkOAIAI1
QgIk/NhCW+aEUib9ADUhkHQwSiJCURmDNX4BolURlcCH8aOiBPGDtbI2Hzd7
33PX3mefddbed8SSpgVripxzfXiK8dTFzm3DwquJc38Fzr2GxUV478X75/B7
YB9Ezk3AWgh/f+bcvznn9sGOBf7pnPDl+LYM9hnkqylWLGOOFZzbCjsX38fl
FEN8j3fuJOwq4D/Ecxv+P8j5HvA3gGmG7cRTXuLcnNS5PGLXwj+EmscDe71I
fnssvw32F+y5As9GvH+H/erhV1tdDfA3PYY9Avlcq0nkT4cty+tc7zvVRx7W
A38v0n57UNsTiJ2N9S5gKoB9M9DZ1oXOfYC1YcjThprnYe3FVHY4cE3I830m
uxD5fkXcVO6L768nqvkdrE/Hek2gOnehnoEiYd4NddbNXtwwnuv8fpMx5L8g
PleDh9YSnZNn3J1XDPGDmfb4H3Ybcq0Drhd1fp3pXC+hhrJE52vGni0l0gT5
WFJqeYC5Csxm1LgSfhOeVvh/YG1yIt4qE3F5z/h8EnGjkWspcJWp/Mmw11Jx
3BhJG9yH7/V2P+RhMTDt8OuQ8zM8tfg2FnZ7LH1Rm7eA2QKsBwcTA/HAPB+Z
rqiv9aHOxfO1mWY6ce4FeF+OnK/AzkCuavhDE2mIsf2I+ThWLT8l0hPrmwb7
YyLNDcBWAvMz/B/gb/HSahfqOpCJ5+5Ud1tvOuRZ2Tsr4e8Dfgj8Ti+9UzfU
yuPIeRn4c4nW+I1n4L0wnrEdoWpsAKY8J654N2FO+5J/6mGZ5aRuqVny9Uij
Q7HPYE49Rp31Zboj3tUOL21T4we8at7vpbkhVn+r1z5rQ915aPdehrzXUH+I
e/GB9Mq4E8XSP/uKXJPzFmBejpTvq1Q9MSPQPVCX1OezwL4FvwWY301H7Ely
kk9U58FMfbnYevOwVw+2I38eTyvWalHXgGlmFfIdMQyxF704uuR1/5158XvG
i98vYfdij7vwO9g3iTinTicUdN5H56YOL3JWROJ2A2LPetV1zGohjhjOwZPW
x/9Zn7Jf72bi4W/Yp2L10hfwu7x6ptur99iDR/H9JvzfkHMW9WjzjXOOfMc2
B5KC+Pm2IL7I2yncXVbQv6DOdMdeY8/OT7R+vKDe4/oY2O5MObtg01h3uxf1
zI4U9ykwEWIagOkvqM9YG2sdsNnEei6H0ug3qWY9dX4dOS/YDLqAtd5MGvok
Ux2s5zz2Gp1qDnAecOZwjrP3pgTil9y+EEmTG4FvDFQP74x6pU63evHDO6Um
JwWaI5whI0s1i0eVii/ydjXUXRHD/NWmZfbOzFj7Umu15vd5WdZE7Y5I9I8c
k2pmLDdOmOeE5aqLhBkJ7B2cuQqx5bFyVFmejrzeWcPzsd7HlWoWULP3M/0f
2Ke8m55MlndFDfIsnBXkosFyUuONxk+z/Ys5+6ti9eKfmf4ZnC07ca4HmeYZ
Z+TbkfLx/7A6Un+xzzhrB2223AC+Ajmfi/WvmGQ8v2E1c56x56h/vpPjCjsj
5ynvth37zjGNnbZ/F+cY50C/6e0K8jwEf74gAA==
            "]], PolygonBox[CompressedData["
1:eJwtlUtsVVUUhret9/aec+45l8RXfCRC5dE4UGixhhYGagsEqlHABypIiJqK
0tZXsIkOtKUWopAABaJOjAMmbcGoCaJVEVpTTXSiWK0F6yM4MCZqH74Gfn/+
O9jJWudf+19rr9eZt7V9XVtFCGEH50LO5gj5ghDe5ePRNIQrkxBuqgzh+3wI
HYUQ2sB7wHeD3wH2FudB9FXYvI38GPhO9F3gH3N/WTGEBRBfwv3L4hAWJrat
5tvT8DVH5n+H0w/2KfY9YO1wjCKnJfPJX4Y8js1ZbDvR70MexqYL+23YnEL+
BJ/1Od/5Gf0qfN6ObQt3TmYhbI/9tjPoS+E7Csdx5GbOGmLZgP4w8gSnAdu5
6EsrbHMM+Twcy3nL/qoQasGv5TwEfj/45+B94GPoizmzkd+kt93MWYk+SHw1
Oef4DPFVJ/atfNSjn+X+DfDfyFkMd005X6Oci9BvSeyrGXw5+ofw1cHXDd9P
3N+F/ip1fAq+3ci/w9eEbR/xNmL/TeK3qYaq5XWJc3MxNpfGzrlyPxfO17kf
k6PNefv4AP1u7Fv1Hvj3Ub9evj2JvAT+09h282067xqOIr+cOpZa8BHwAeKJ
8665at+v+Cr8bRC5UHJtevi2OnZMik09pF56D87XgvmGse0tOVbV+EXk58B/
y7snhpEHi/ZfwGYZ/n7N3DsrsZlC/q+cn2d587/IC4uuh2q+ALlQrr98ViXu
Od3/DH0j8vw5IewllnG+7Y2dY+X6PPobyLclngXV51H8n07dy+rP7ehdJffG
K/A9UXAOlUvVsAfb/qLzW0X89dh/VHSvX4F+OHVOlQvF91LqnEjXmw/znkOp
bRfxxi8yH8nqwQGwN9FT9GbNO/KfmXOjGqvWazi9YF34bMX/fvCpnOun3XAi
82xrB7SAz3D+yHkGenn/qcS9K/xWsGvI154q11y1r5njWRoh/lFs92WeHfk4
gHyQM5NzDpSLv+CYzfnbIbAG7txV6Zqr9poJzYZqqt4Xp7jr0c+hd6fOtfh2
pu5h9bJmfh22z6TOtd6gt2wpGlc+7gEfg6OuvJ++Rj4Se5Z+AJ8EvzpxLdQz
2h2dqXtPMSv26cy9oR5awd0X8D8QzNlH7daX9498yndHZN/aed+CNXE2VXrG
NGvqOfWeangM7qGCdeW4mtyujR2bOMXdWN7H8rkD2+8S9744J7S/iPdyYp2E
73HwA6l7Qz23nljez1xLcQxl/ifo33CO83zJd3RXMSiWpsiYZkSz8nfm2VF9
/lEuiW9F3jtVu/XHonttE3oE3/Wxa6edqN2oHhSuO79k3pHaleqBRuL/suC7
2lnaXV+hP4C8hVMs+Z+jXasZn4f9UOpdI85H4L4z8Xyqpu2Rd7LstYO1i++N
XHvt/LrE/xzlRjk7mHoHa9blMynZp3zrnzQCvi0yrplq4f7/MKTytw==
            "]]}]}, 
        {RGBColor[0.8898575500000001, 0.681191825, 0.29083245], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lluIllUUhrfO6f+/wz9zlZPjFIJaphiZR4quLEwzSNMOU5ZCqUg5Wjpa
Xmgq4ySkpekomY0RFnhIPFwopkYadiNKHso8ZZmFVmDqjCX0vLzbi4+1vrXf
vdba67R394nTRr/eOYRwma+M70IawiSYcdBXiyGMhz9VCuE5/qfAN0CnFY0Z
C3+U7wT8GegM5FPhb4EfWB3C+51CmIvsWhbCZ+UhXIU+wf9wMLvA3F0TQktV
CHXQnqzVgukFnVoIoSt878y6F+FgI9/VihD6QZ9G75nKEMZAV+NzK7raWTuA
zYTvOLLvow7ZGsSe58E38B1jLQNzAnoMzCfwAR+WwJ/lDOfBn4OmYJvY/xI2
WvMQ5sHvw5/tfLPhd0AXQRtZ34OK9xLbucX5puX27UH4jeDGwq/Exyr0DkB/
AfpQ0fwa5Nexf63KZxpYcNwUv/3snY+Nr6EjWbuE/rf5zoNZh/yPzLFTDOuh
07FbRhyadD7WloE5CS3y3wp/Ab4360fAL+X/ILbr0fsN9Hhm2WZ0HIpn+w6a
snc1/C+Z7StW8qEh1sMp6JaS47UVekP5xsaH8MOJyQvIC+i4wv429PwN3cme
Eeztm7omVBvt0DewXc7e/eDHoKcWfoViCW4JNkcm9kP+7EX+K/wa+G/h61jr
iq192G3L7b/OsSB3HrfBt6PzAfTMQVbCxgTwObQ51odqYyx6PuWMD9eYtlW5
/hZUmj8ApkeN62IY+haDv5/160XnXPWpmpwM/mjEix6JvHSsj7xysSPyWhdO
Ofu35Hz/By1L7fNs/FxVMq9zHGG9osK2VTeqAdlXHame5F87+MdZuwHths+t
2NlF7dzkfwTyDugc9PZHR0XqOF2Le9XHwijXHRXuL+EeSSx7hniuKLknPyjZ
B+2Vjbm5sdItv+VzE7IuYE+D2wCmGflF+MXQLtWOVy30scTxroj5GVLlHDcW
HNe61DWlfGkmDAC3EP61xLNGvbMZvp5vGXt71ljPRL6T7L+P/5XI+yge7J2E
jrVg78G3K2B2BtucEPELC+7vYalrYGG0OwQ5bNiaOJ/yX3lsiX2sOMyvts/y
XXleEDHlMW+aY7drSzolV161Npg9/IZ/iPNg1SjyQdBZ1a6xRuK5nri0IIeE
j8uN0QyfXLD9d8AMKnr+aA5Nge+P0j25Z6F41bzycK96P7jHz6LkLehe8non
a11jbwnzSifPCcVLsZKsrtLy06n3/gTdmBvzYtEY6ZH+Wbnrdmbumle9S9+h
GGfFW/2vWLyZO2+6a5QL+as5Jp91V/yg3AXXbRrrSjSL/I/40YxfjfjQhTOM
Aj808yxXLQqzPNblaDDdU+ubWTBWM0rnkr7aiNfMu1hmvX3jHOsDvSPq7wf/
W2rMKGSXog9fJL5LFVedUzWoWOt/U+5YHi75vtod7yzxPcqtVz7Jt16pa785
3on7S45/N/R/WXLvLoWfXrRd2de/5Jpbms3qWdWeZpZqbXbuvtS9pjPKps4l
u+pj9f64Tr4bL3f2LO4X72PVt/pG95TOsAl7O8HdLFpfU9T5bJzhL2eeE5Kr
RpVD4XU25UY2FcvxqWeQ3hTrUtsfDH89c9+p//om7t+n4j05L/rwV+beUQ/9
mblPfoY/n9r/DYlnrXpW9fdR4nv8cOr7cFHsBfW2bA0tOP/z4ll0j0mn+k73
8NrI6/2hWO0u+G7viDPz88R2jxfcr+siXvvUt+rZ3zPz58B0FL1Pc1QzrD72
zpNF1+OO1G8Lzfu7auyvMLfPINrA+sHc7xy9d3bFmaDZoBwoF7pX302cg5bE
d5NmkWbSjPiW0JtiQLSld43mstYfBT8wzpYN6BtadI42Z7Y/KdZ5ZbXfcHon
qmbFq26/yv1O03tNvmrPgZLrqizW55bcd+T4omeFeM1P5Vv6Nb91H6gGl5fc
P8r/KvYNif6odlTjmjnyVT2oO1F9Jx36l596t6nnMvDbU/fgNuj/qoN0DA==

            "]], PolygonBox[CompressedData["
1:eJwtlntolXUYx3/ubOec97zvOdt/2nSFkNoyDG3NxPKftGxqgbdq6cJB2Vjl
uqnVP16SuYRczXSTLLXEgpyFblJiapTRhSDIS5n3MousqNRNC/p8+Z4/Hnie
97lff+/QxgXTHy8JIbQDpcCfSQibQMrA/wDvA7ZAp6Evgg+PQ9gAXovSCOG5
EOaDtwwI4TXwrcBv0D+mAPhLykM4hvJADHbkQ5gJf3MGH8D4ihD6CyHUwW9G
fi7yc4BV6Ldi74kohI3odONvBTFsAh+GTnvG3z5AdjT2WpB/ARs1+KqDbgSf
BxSglwHHwbuQXwq+Cv53yA/C3jDyuRp7M/DVhs1rwH/A5gliOYfMW8h+mw3h
kPKF/yX6rxLvBXKZiU4r/IPwD8MfC/8r+JeJuTdlHy/CH4m9Ouhr8bcQ2c/I
YX2pdQ4oN2A1dC/0NvDTyGwudQ/OE98/iXuhHlwAP4r/hpRrfgP2TyL/OrwN
wDn47+Rcu7PI/IzvHuChAY6hV7VFPmSc39fgq4n5PPUZgZN38f8X9p8vcU8u
gy+Cn4I3im8Lwfci01XqmnwEPi1nX01APfan5tx7zcDb4I8CPfirxsZ25Ksq
XOtO9IeA3wn/AXzVAxnsT8m5/9I/hb1D2SKOzRPQ/xU8K4pxArLVfJsMXUlM
zVnPnPzPBxbQi5a8Y1ePa6CT2LOrGY7B8+WeFfXkJ+p3MHE/2tUj8InoPIju
RWJuJN5/8T8lbf+qVTcxvAw/pf6B34rMm8iugH8H9JbEs6IaPkksLZH7oxzv
w/+v8N/AVxs2xxHLF4lnfQ/2Piefo7FrK53vwffBXwJ/EPZmYOs26OugK9Ef
jL8d0IugFwM7wcciMxvd0fhLoX+RmJ8Dvwv5PvBLBeOaqYcj10S10QxvA99b
9LcU2A++FvlZRXvrwEeS79qMbcq2dkL53gi9Evw0No4E9+MM+CvI/F3mHbqE
v5XkfDbtfdau1xfzvR1/8xLPhGZjDjAZe0cS9+YR3RR4DZFnSz07BO9k7FlR
fXVLtiaOtwyZhdifFDtW7fgx8EHltqWbpNv0TN6y3/CtifpPjN0L6Uh3D/wx
ZZ5Zze70yLdNNVKtRiEzrcQ7dw+8WbFz103SbboJf8vT3gntRkfBt0k1WQP+
CVCV9o2rgj+h2F/VqBXdtuL92oXN7tg3SrusmbyCbhnfxpS457dEvjm6PdoR
7UpP4tnQTdZtHp74FqrnQ+FXJ94l7chL2F6cdy9Vw1rsPZt372V/HPS6vG+X
8u8E/zjxrOim6Laoh+qldrYB+8vy3n3N6PK8b5Zul3bgFLGuJ4ealHPox353
Yl991KcTXjY2X/lfiXzDlL9m8PoKvyl6W7SDs3J+IzRbVxHPXvTfB+K0d/q9
gmsoW7I5PvKbptx3Q++MfdN123XzYvAzxNNZ6hloiryz2l3d7N/hPZbzW6Qe
q9eKcVfxPdDbo5nSbJWi/xT51yLTmvYN/yXxDdEt0bex8Cpzjl0zoF3XG6S3
SDFE4PcmvkW66RuhhyA/uCiv2VmT961I+JbA+7DgWdCMDsz5pum26Y3UW7kj
du6SmUrsi4r9Vv9vhu7Iup/a0fuRnZTzrTsMnUZ/buS3RPuoW5ot9+7qjdZb
rRgUi3qwnVhmF/dDN1tvx/HYtlp1o6A/LfjfQjtxAHx31rPQD3QVvGPaNeW8
H3pfwbdQ3+6O/E/RXLwnil060lW/M/CezrsXulm61f8DdcowbA==
            "]]}]}, 
        {RGBColor[0.906791875, 0.7182215000000001, 0.29652], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1l3mM3VUVx++82d57v+U9/EcEgShV0+m0icwwLVPEpWnV0CVpSktZKgiS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            "]], PolygonBox[CompressedData["
1:eJwtlnuQlmMYxp/db3fb7/3e793NP5pSDTKm44xqD22LwRQz2mJnOtCoVBpC
RzovhmGyW/0hpqYDIbKE6TwapCSDiDKF0Oq8peigohp+l+v74565r/c+PM9z
P/d9Pe/VI8fXjssPITQiBUi3OIQ7UyFU8rErelMmhLHgH7HtQx+OzMU2Oy+E
yekQrsjY92XsLdHXRiEsxNYCvAa9LhtCD+yD+VaF/zFyvoh+EftvxSG0Kglh
MXZt4kr0z8mxD70K2YZeXRrCPUX2GUi+TxLvbwC4Dfg67JvAteC24PeRl8h/
mfwHyD+XHK2wtUB2s/461r8NfRg+a9G3IPeCHwJvRu+I/JQ7z8PE/xB7b1Ow
70EficwDn0BGoedF3qv2s4G1niXmHPutZU89wY9z/gZyTaC4U9AXcsbz2MvB
dxM/DbwT3B3/FP6/Ik3o3xOzE30APmPynXMBvpXkb0BfQfw5bGPBu8A9iCnA
f3qJcbowhFms1w8ZS679+Negj8rtpwn7k9RyIrgePB77JPQ+yFDwXnBf9HLy
zybfRvawAP0waxxKuQfUC63x6Yb/R/i3QU8h7cErwQXoFcTUE/86+A/2+yr7
qyO2GXkN/VFyTE25Z9Q7bbnPepqni+4XvQZZBZ5OzhHYl7Dni4XuqQ7kW0j+
KnBv5CvWqypxfc5iX43/mdi98Cbr/4X+duTeHYVPCb5nWH9+ns9YCS5XzfD/
Dv8K9CNp12of8gRrd+Tbjdi3Ye+EfjZ2bp1RZ30Q2YG+h/U3on+T9fq6rx3o
dYlzqd7LiT1M/l/APyMzEp9BZ1mO/RT2pexvBfWZQ45T7H0QeA65D/DtAPo0
1ri+wDPRNeOaqXYN1Ky9Zocc1dg/Jr4v9qPIkZRneiJrtyu1b55qCu5FvlMp
128V6zWAtxPbmxzLqM9JcC/83wH/S+515Psw5fX7E78DvAv9IPFLiH8Anz4F
zjEC2yx8BhH/HDUqI1//Us+m7niA9p7jE+VcL//EtbmdO5qZeMY0azpzNbkf
y7qWXYnfrNnCpw7fO8h/Af0zpF1uHoey9tbEXKFv2xLPmGZtCLiI+HGxuUk9
9aXmIbJtMFKI/WZwTW5+78L3C3wq8V0GPh67hqpl0B1ja4zNfZrHmeAZWeua
Uc3udKRTgTlvM/rT2JNC95B6qX/kXlX9B5FrYNaz0CyMviY2lynmmax7SvU4
h3RgL4s44z+F3kNvcMx5y6nFRuQyuJwzvYDtNOtXoIesZ1d3rLvej1wK5uyT
5N6eNRbHfo2+Ija3FbFGGfk+Zb8tg2dqK/r52L2vmdRsTkp7/sQfw9hLTWRd
fHoE3Jw1l4hDjqJ3SDyLmrlr0Ysy5rpG5HjaHKd66ox/g69Ju1fE+cOxvRGZ
a3RnurvnI9dC/FGPXp12PcQpi8m/PvLbtRifDZE5Wnd9A/FdwLcmrr049Rb0
dGIuEAcWq9Zp51bOd9lrYW6/um9x89SsayXOF/dXJOZmcW45eo/E3CsO6o7e
OnK/643bBJ5AfD7x3xI/hfimYver7rA5do+qV/Vm9iW2Nu23TW/efGIHx+6l
fthvwj4i614RB4mL8jN+i8Q5x8D3pf326Y1ciW/njN9GzahmVTOl2dLMa/bF
GeIO3bfeqjmR31P12+qMOVHcKI6/inn/M/bboJ46gX46NvcJj4/95ujt0Yxp
1kZn3W96w/SWaeY1+8KTwVvA3VrY5ynqNbXEtdIbp7dOM6nZVA17svf3Ive+
OOl/bsrVR5w1OjZHiav0j1TGXi4nrp16WL3cudRcI37rhL43ca+Ig8Zgr0i7
nurXVzj/7mL/S4nD32Ltsoy5WW98eSZXo5T7R72pGRVWDedF/sdS/T/g26qM
/zFUf3GIuOT32FyknhCXXUrbV/FzI+9Be1FPVqY9Q8Lao+7+YLHvT2/yI+D8
rLleM52HvqfYs6p/gEPYl0bmev3T6N9GHK9a6I2/P2OO1PzoDRqC3hjlZj3l
t+hCjh/0Ruqt3lDst053qLv8D93Ia+M=
            "]]}]}, 
        {RGBColor[0.920769325, 0.7493273, 0.3011928], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1WGdsllUUvv36jXfd9yvOqCUOQBzBgbYqgTLUiiLLgWiMZVMVGRGJDAEx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            "]], PolygonBox[CompressedData["
1:eJwtlnuQzWUYx9+9nLO/8/ud3zlLqRFNyTVSDe2KIbubXIqVUi7NuFt3y6Ap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            "]]}]}, 
        {RGBColor[0.927800275, 0.7650584, 0.30353965], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtV2lsVVUQvu3re73bu/chQiQQAZW2bGo0BgwIpSCr/hB/sFURpIVSoEAK
mghoW/aihloUiOzUNIpSElEEDAKBsqpUMKBQTBCxUGiRvQj4fX7nx8ucO2dm
zpxZvjOv/diCoVOSLcvqn2RZEdDQs6zuWCRAjwaW9UTMsg6DZvqW1THFsvZi
nYT9Ksi3h3w78NritxbrEVHL2g1jm7E3B/Qj8H8EPxoXLyu0rCbw34G+A/4u
F3rgl+JjKfgF4C/G95OwUwbdXZCZh/PO43svdHtivxvkRkJmJvxxQK/C9kzw
k/H7BN8HYXMlaDFsLoTMa7CzCHQ0+JugOzBhWRmw9Rbu9RLWk7A3CDKTQZ+D
rRqsj2G/H9ansT6O9RL8foD97YjJaOicT7WsiaB5+C4EfwLom578z4OdfPwa
cNYp27L2ME74PYW7LAM/BzZfh70Zju7aAL0KyFVD/hrj4ykmi7Gfi3UL6K3A
fhF0R0C3GPRtnLMzWffM8RTjZOhOw94DrGvgewP0v4RcBfaboNcG8kN4HuKQ
Bn4jqA3ecqwnWcoBz+X51+KK51WcG4kovoyti1zsBq2A7KPQfxX6WTgzA79W
OCMdNBv0BH4vw2YX0HaIc0/ITYdeXrJyuhp27iGnawztbvK6yVVMmuMu1YF0
24LXGCp+G23lg3lpBh+G+rK5ArzCqGJNuQUpqlueSV+WR+XP0lTxq7Cuh84W
7H8MO29g/RnstA6V26oU7V2wFc8CxOT5uGwlIP+TL9tHQaeaOmyE7HCc04S7
tEiSDnX/Ar/c5J35P2QrBvNBbyYrl8wj88D6ZC66RRTPD7H2I4o5e63JrGl/
B+JyB/LbQW9E1FfsqXJPec7AR1FE/cheHZeiuDEOjAFjxDiwR8tMn86Jqc6Z
r0LoT8F6rKe6J3+Hp7ooNPUwK6aeZD+yfvcY3ypjqtVelmp/eIryMs/Xdwno
qkC6LWDzF8Q2QDxyE9IbbnTrbN1rJ+6YHVUseJe5BhMWBoor75YN+Vqz5h0n
YS8f61W+7sC7XATNdORvJdbXI4rhp0mKK+9A/y+lSHeWpR5iPpiLiLk3e/JP
+DQbdHKgWLIemNdtccXzDM79x/RPtSvMLDL+5yVUX8vgyzRXvTzVVS0T+2jn
e0/9xT4jhmWbe2U7OusIzi1w5c+74OXj24X8b1j/68rftbBxDvYC6A6G3NO+
sHo9ZI8bm4zzY656Iy0hPGIPshc3x3Q2z33GF9Y/66tuV5o4BJ7i8wLOvRQR
7pXhd9lV/MbYwmLK3zAYybeBZ8yO6U3h2/Er4tYPvp6Ia5+Y/L8fofoxFfx0
R/dY7alezqUqd5XYz4yq35hP2iGfeuxnx+Sbee8NG8fiki/CuhP2b5t8M46M
ZxV8H4979gcvF3SCr/dpJHHOF34SR8tt9Q0xuCYqPv0jTrHeB4B2hs0u4N+F
fIOtOtiHtReonu/Zqgmu2eMtfeVrOvY7Oupl9vRhX3V2BDQWCO+uIjZZtvJw
ADbrIPc71ifBq4sJf9njW13lbDz2H2cesb7iqFfOmt5hrVGevc9eYS6Zx32m
dmd4qmPWswUbS/C9kv2LmrkfKGd9sF/o6R6rbeFZZVSYdt7gHX2Z74nXjxhg
qw9vgtcB36WQTw+Ex3VJ8u2owVvW/oa44sB40P4HEcmxji7EVEtXIDMKdl5J
CDPLYvKpGeI1DutEqDrlmnnlO8h54E6S8JK6nFca4sKdRtBvTF+fxrkPh6pP
zg63POHvbfZNKB8WgZ6Er4egOzFQDDaZ+xyIqk95VrmjN+MibHcyMwlnkxKD
k6mO8IU48zXitCwm/CV2HIwKp9hj+yH3Ob77Q3ZdoDrPNPjNHLImLpre5H2J
dU2m3ngP5o513Nq8g6Nc+WKb92gtbD6AfcsVfnDNOJcEmi1y4uo1+kffOvt6
z+87qtMZUeHqAUf37hiqdmwTB/beLXOXIQmdyRphnChHmT6h8pgJesdXz9/1
hZ1LYsKXWl/vmQWZ1EDnbsCZrRzFahj8zHJ1X9bsXE/35fsfOsLE7nG9xV+l
Kmc9QtnvYWa5QnOXek8xvQyaH8r/MXHV4Rwz8zzk6E0aAL6N3xasHdCYiRex
jfVWHhMG/BEKu4iFrF3W4eW47NJ+B9jbHxNesSY4E/Md3MY5JRC2cg7lnM36
rYfe4ITuMiihGZF5/tb4MsLUed9QPmTCzjVXs+IjiGVdVNhFvCgx/DpHNcC3
n3XG94Z5ukLMhA/V0JkQCMOIicTDxYFslYIuiSrOvQw+EifT43p718QUY/pG
v4jbw2xhwBlX8wvfJL5HxAnaop20QP3C+YIYRiwj7hHbmF/qpzmK21ic1dW8
tZwfeb8vzB2nmV7j2865lnZKQ9U36zwXdEgoPwfaml04w7T0NGPWmrcyE3Yq
8N07ED5xfT1JsVlu6n6fI16vQL1LjCA+7AlUOymu5qBSc8eNjvqWM/h4R3PC
aaxrXdmhvRxXb2rXUHrUZ1xOmRzlG38oz7PahIpRc0f/ezi38SzmjnXGWPzt
aIYoDvS+sQaYU9ojlrFnXzQY1zfQfyfaChzNH5xDvkOs5jl6k89if0Ggd43v
23wzD2+Na45nXn72NRsRS+rNfy/mgnHh28/zi13hK30gPnSCTmtisq3/E1x3
Mz4eNH7yzWOeXdjIhQ/7wc8JNAfVmJok3pDPHK33VBvrPMXrunmPMuKK7Xs4
8/1Qb+0HoeqL8wTj9h+6XQwj
            "]], PolygonBox[CompressedData["
1:eJwtlmeMVGUUhu/szOzee2f2ziKCEkkEC0uzx6gBZRFEEH+pka6RLEuVFkAT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            "]]}]}, 
        {RGBColor[0.930410725, 0.7710056, 0.30440635], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV3uQ1lMYPt/37bf7/e5fF5uoVktht1XEoIalpTaF0biNismklDZdRhtm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            "]], PolygonBox[CompressedData["
1:eJwtlmeMlVUQhs/du8ve9n33CkiTIouFti62KBrp0hY1ElsERUgARYqQCEQT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            "]]}]}, 
        {RGBColor[0.928709875, 0.772530375, 0.303829825], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV2eMFVUUnlfmvZl5Ux5FIYS2SIjSV9cooQgCyq4s4IKQGASCoQi6tAga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            "]], PolygonBox[CompressedData["
1:eJwtlmeMlVUQhr9bdvfe797vfncRS2iyaIgiCChGkCJVAdkFUflhFAlIsywt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            "]]}]}, 
        {RGBColor[0.920234125, 0.767105625, 0.300985375], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mG2wVWUVx/e9h3PuOfvsl4NcE6WSl2hiCnCwRhhFQbEPWdxrgmEzUWKA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            "]], PolygonBox[CompressedData["
1:eJwtlnmwzmUUx3/vve/7uu/6e3FlmcIlTU25RBPCWKsp5V6haMatZAthMFFZ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            "]]}]}, 
        {RGBColor[0.9059083, 0.757929075, 0.296305675], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmHuwVXUVx/e5nHPP3ufuffZReXl9IIiBo+FoTpaNQz4mmxonrqBwjatY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            "]], PolygonBox[CompressedData["
1:eJwtl3mwzmUUx393edf7+73va7l2cVHMKKZt2kna649L4iJrjSiuFmS52Ssl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            "]]}]}, 
        {RGBColor[0.8623321, 0.729993525, 0.28244972500000004`], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmHuMVdUVxs+9M3PvPXfm3jPhMQRQZgaZMUIRtOkjVZvWRlrtH8pQkacV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            "]], PolygonBox[CompressedData["
1:eJwtlldslmUUx5+v/dq+b9vve78wZVMRiCMsEzUaHBjQkCijKbSFIrQXgKCg
gAGZomCIg6E2xaiIDKU4WSItNQLeKJRCkSXDaLzACzXeAa7fP38unuSc55zn
7PGU1c4Z/3ReCGE7J82ZmwuhXxTCwVQIXTMh7E9CKCsKYTS0cu6/4BwoCKGJ
U5UNYUtpCKPgXVQYwu3w7opDeANaPsIiaE/A/yxv/wCfDr0j8l9E3nPcnYJ3
X+S3z3PugL6bu7d4/yZnMPI3gz8DPJeTBl9aHMKAlHUMAv+PN/OQ9yAnA+8u
5M1H9jnwanT9C/1kyjwBvCs8w8FfAu8EXoaMuyC9jLybgafzfjV4G/SJ0Gu5
OwLtSex/B396ga8C75wfwllsOc95ONjmIdA6EbMKeG/lriPwDPQfwreR6OyL
7knwtMA7HZ4G5NVA31toGZJVgf40tBMk5TPgn+GpB2/Hnkrs6Q7/bPg3Qa+E
/17u3gbeyBkHPhT59QWOkWJVBz2NnJnImAqtPGNfFqBvPHAH6D3wJY/3J7Dv
ce7mQfsaGTXw70VfH2RtQ//98F4AX6VaAL8IfJ6T4u098HTmfWNk3u2cB+D/
IXaslXPlfndk3bJJto1RjLCnDHwO+LiMbVUOxwJfQn5FkXOi3NQTj7tTrsFK
7GuPbatiOjnrmlJtKWd14KOQ2cj7RmyclrjGVGtb8bmhxDWsWlYMfiJeu5C/
AP3bkNEc2Qf5shr6YvgfwqYR0GrhGQF8EHkDoc/grhr+D2L3Tkfgp3i7D3wp
9D3onARv7/hGL3A2oqtaPQNtHO+XI384b7bCP4u7idjTCv0+8F7I3A18gNMP
vAr+z9HxW7Fzpx67AtwGvS3lnBWiayL+7S9wzDqBH4d+HLg3pwC8C+fXtHPY
Bjwa+rvoboF+E/6dBR+j3oE+CX09kfd9yj3QG3hh1rXdGfoi4AXwt/K+nicr
eH8GmzoQuw+5eyxyz6h3PpbPkXtMvXYb7+uKrVO6O3CuQ7/MXXf4/wKvAm8D
L863jaPATxHD17D/MPqOgldD34ys9zgXI88AzQLV2BTsq4L+PrTXNbPw90zi
2pWP54DXI68u7ZxUgbeALwPfo5pCXqliCN7KGZKxT/LtW/BbwB9B36vYtxMd
Nejqhs6VxGoW8nfEnlGaVX05+5C/kpy/ku+eV+/v4Bzl7WzoV6EvRn9P7DsC
vR/y+yj+ec5BY+ycKDeKkWK1Bnn1wAexqY73a6GfhKUIeR+BTyg2rBpTrSlG
ipVmSLnsTVx7mjGaNesz7gXFYANwTca51swvQ3+3nHN3TPzATRnnQjOrGbh/
xrGRD/LlNDqOAvfgpDUvMo6tcrhTsyexLNXQfODJ3P2p/ILPBL8UefYph8rl
YOjHoPdH3nLktyDz95RzMDzrnlJv6W5FiXtQvaiZOzlxT6u3tSM+jb2ztLs+
gV4B/c6Mc60dMQx4SrFzqxgPhF6Oz4eKvFOO8P5k4l2pHm1P3OPqdfnQB3oM
XpB2T7bGnhmaHZIhWdOQ3wX534FX5NxD6iXNpBeAm5A5oMgzpzlxDamWtKO/
TFxjqjXVyGJkLSv2LtEM0ixaW+rZpRpfB1yV825RjbRjS3niWlOOxgNfi9yL
+hPob5Cf9S7WjlsiX8DngU8AX1rqmafZp7tH5X+JZ618km/ds869eqJH1jNf
s187R7tnJzauKXAPLFGv55zbhdhYAhznDGsGR8DXEs9GzbTriXtGvaOZeQy4
EtnNhe4x9do3+l/keyeMzDnGirV22tTIfw79PbRD98B7OPbs0Ru9bbiRT81M
zU75LN+/4lzVPE68ixv1R4HeN+u/hXySbz8m3p3aacNi17RqezV4F+3LxLNd
OT6duIfVy6oZ1Y5qUrWpGTSUeG2IrUsz8Qq0LZH/Hk2ab5q1GdumP5T+Upeh
r4O2Vv0IfiEyrJmp2akdqV2pmNVqV8aelQ3cjYX+d+LdoR3zT+IZrlmuHhyE
rk2xdWvm52Xtk3zTH+gXaP8Dt8RQTw==
            "]]}]}, 
        {RGBColor[
         0.7613431181698633, 0.6651137136513545, 0.25264463614921406`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNVUtPVWcU/a544R7KPeck5RGFS6ox0U4q1BgEr3bCRWyCtSBCRRoF0ZEi
Tn0MHPkTHPQPVBM14KORtmCvDjooNT5aNSoja4ckjqwIrtW1TBh82d/ZZ3/7
sfZr3ch474lVIYTfcSpw7lWFcBenPaPD+xHwr0QhdICe/iSEf1ZDFo86/L9s
mV9BF8Drw30T6BxOG+4zVfo3gvv6OIQL2RDWgd6PZKMetD9Izz7QT9MQKqH/
Mfhf5iEHe1tA6yv0lnrv4/9z0M4g2SLux3DfC7nXkP8WdC30vcdZg9OIs4TT
DZk9ecUwDjtH8b0fZ8D2Gc9okC7yBnGy0L89I9nWvOz2J7Kz2v/47p7f9kLm
X/zrAy3Ybjv4PcaB+JRSYXUHMX4RK56z1fJ1EWcXZLrsG7F54Zg7rYc4jdpn
/if+9cbzYk0I30PnLLA6ADsbwXuJU4JMS0a6qGfR+GwLwmfRd/o441zehM5X
oOfg25VK5YC6vkpVD5dywoC1MIbv65H0b46FQda5Yb3QN/rJf5SZguwIcJyG
3sOJcjNo3Cdg/0mVbOwyj1hsdZ4p15oR3Y0zlSjfc6DX4NMG3G/j/jZRDf4I
XhN4y64Fxk8MmQvGR1x6ca+F3HxGOpcsz9xdzel/P2hdTnITxqzR+So5V/vs
a5d9p4/d9nPAvG7rL7gma63384x6p83vyTtVJf5wrLpl/ZI3YXxuJvqfj4TZ
hPUuu/YanedF9wL7iTlkXQwlip95ztWoticj6aBP9LlgnbtdP53GjXF2roi7
ZJ/fQ+c47ZmeXFH/ezwHmItx85/bF+raaxnW9ktjQb3voOs4+P8lstvjPmLO
j7tuGRvtEzvyTpifRTxF3P/E20rcdxCDRPXz2jVEH3fYH+JIPJch8xCnBP6D
RHVR6xwR/zrXwCHk5Tf02mgqGcpT91948zXuj0H/cB2yHhlfj2Okj0X7SV8o
zxq/Cx/ecJammjN3suqzMWPN+uI3e5y9xxw2VCg/LbHuz9Cz89XCeygnfDca
T2LLXia+rJlm11JLXjI1kd7w7ZNE2DQbn5Aq/qVEOuZW5ImUOfjOb2mfMTCW
A+CdqZb8ZcfXVKF+7nd/ncd+2ZnK1g33NPNK7DjLGO8k+y/V2wboGY21Ax5F
miW3KzW7+J986iceL9znxLDDs4izknNpKNZMZy2yD5iLra4N9gtnHzHjzmAP
fpPXPthufU+d179Bb7kf2ZfMAW0P4/5zIp3TifYo8eYc5ayivVbvA/pejhRH
i/fpvP+zB+si9cmzRLOVM5a+lLOqw4/76mO9sHZmXT/ElzgP5uTLG8/TDs/o
I959Re875on5+iwWvsST+5m55NtfEs35su3+UKO3I7HqdMy7ifV61N+MibH1
ehY2egZyXjW5xvo8h3/yXih4/jR5nrFfONPW+s7dyf3YGqt2CtZz2PulCz4f
9KzjzCvaFt8u2B/i3Oy9w/cDxoJ+8/+0fe7yrKHvB2Ph9jDS3uzxfCMWzAXz
UHav/7+zU/GnEN8HtSsSUw==
            "]], PolygonBox[CompressedData["
1:eJwlk81LlWEQxed6877X0Pe5i0oIiYwg2oQWEZm1s0WLsteIwmsf13UarcV1
f0P1DxRl4TX6sOjTpXZJrAyjVdkyaNf373AWA2feOTPPzJx5exuTxURbRBzA
NmAnuiK+AgZKEdc6I07ir+Mfwr+O/6oj4jv4WRZR1CLq1Yhx8hbwT+H/TRFX
wAN8m4HbJP6ynTzsYh7xgXiD2HE4q+AR6n+j/iA1b1D/NPx18E7i98BP4fzA
3489ARd8m6lEtMjZS+58cuwY/Hfgt9gQ+DPfRuCuJMdUU7Vn6WkN3GLoPfQz
R7yH+CDWTuwMnIL+5nmjQaybbz1l9/AavLoxYkvZPaiXUWocJFamXh28RM7W
zPtcBN/HtuEfxirkf8Qfzrwz7e5W1bsS5wj7m8V/zq5eYOep9w/+7pJ3GjVr
IC200wu5OeJKo2H28Rv+ZOaZNJs0lJaqeQ7ucod7lcZj+D/hXMrcczNZI2kl
TQrq3YY/kZnzK1ljaa2ZW8TuYJczv/mHeCf+rpJ33E/+zap3sYQ/xe4eJmuj
mR4k35BuSTdxFu775NvQjjZTawWrtFmDTXAfJ99GP/mPdEu5b0ec8dzfFNMN
LIO35377KjPtADep9wm/m3p9+NP09KVkze/yfitZK82k2Xpz50pzaf8m+Va0
E+1mX5dvUTP3gY/WfDv6R4bAY8lv6Y26est9e+phjvz/NC915g==
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0btSk1EUhuFlgRORKDOcWsMFaJAeKig5JIaBJAiJvbkAJAVXwaA3wJkh
iBwLR1o0IyKGhutAOfhkKN559/rW2it7/qTKlcz7RxFRxeqTiBfPInqRQqM1
IpOIeJ2M6EcabWb6OPc8ItEWsa1+aXbebB/vqF9xjdN8KZ82W0QBu/KqbNPe
HBaeRkxyWa+E4faIIXw19w0Z5yn9K3cK/MdMAxfo0r9s7pa/MVdXd2PRuwp+
u4gz9TSPeHPFzCgv6b+V5dXb7s44j8nH8VFvVv1Or6ZXcs7Is/ikV2728Mve
DjPn3Mk9fIKsc969Y+86wiF+4xwT8i0cOO/jDD+Rle3xl+b3QdKeew677nhD
Pec7DapXzA7wZ/ljeZ3X+ZZvsIMW9Q9e43/8FzV8xymusWzPh9aH//w/oThI
dA==
            "]]},
          "0.40499999999999997`"],
         Annotation[#, 0.40499999999999997`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0ktIlGEUxvHXMnKcLlJmzVSadlsUBS0jF7XoBoGO1DiTVipkLdKggsYx
NNrUyjSIbFPmpowWumiTGUTLkMwoIbUbgbpp1aLa9PsWf573POc553xeKpvb
U20FIYRxfCkKIR8LYZpmi0OYoXW0qSSEFN1La+nCyhDuyM3RPjpP3/EPyh/1
Xrc8hH/eZfQvvWhurfcRvV94ZOYC77D3khUhXFsWwh+5NTIDeoW8xejkl/JW
I6gHZXLuPJQpUD+gi+gn3jG9LXLDdm6lebObaRXqeCl8lCs00xG3nybNrkcC
T9R5/Q5UqIfUG2g5NmKKX+vGLvtG7NpNu9yIyxX7WeJYihiK8Ey2BvvlDqBH
9jZ6kTGfRZfv6MYrO/a5MUar6Q3eITsa3dwmd4pup6/1b+m1eMfsGVen5Uvp
XXV9tENv2N2M91dzq+yZ0M+q39MF3jxOy7TKnvRt5fx+8xW0QX2eX2buh7qN
nlNv8h6QuWpPDj/VjbKVdJC/I9ol+9zend73fGc/mtw6zj/Dv68+S6f1Z/AZ
e8zP0lZ+Wq5F/jcv4Z3EJb3LuIJu965Hf2P3RjBqph29vD685I3hDa8TQ7yn
mOR9wFveTbzgjeIb73v0e3Mng0m9Hjx264TvqOalaUKdRL33bPS7pbno/wg1
3v8BFxJomw==
            "]]},
          "0.378`"],
         Annotation[#, 0.378, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0ktszFEUx/EzEtRM6XhUu/DooDsiFt7xSBALEvUuSTeNjYR6TSmlYiXx
nK4stCQWjEaEJe3CYyO6aEisS1LtwmMlqUgNn7v45nfP73fO+d+5baH1xJ62
TES8xsaqiDfZiA10U40aYxhNOj2ivTrih6xCv6pH0KsumumeFjGsLtFROsTb
Jpvp/NT8LFo095uXd97Om8hF3NP/0/kf74J8XF7j3MOfoA/UHXb1qv+oK/iL
T7ydsgbnZ+YL9Lz5SfoWOu/mZdL36DjqZ0R0qTPyBfK56lqU7diBJj1T5WV5
HT9Ll9HndCmdko+YjCd6d6X3sWMzbpi5iVs4aEczLvpdlzBgdp3ZfrqeXuFt
sWMrFutrxBK8ku+XD9K99D3dR6/pv44hddb+HKrT2/vtLe7Q7PuHcIc3T88Z
M19oXv2ZHpbNp/fVRVk7zuEsvtnxHSPy2fI5qEWFd8TuY2aPp/fnLdfT5nza
XevcvR6nnA/Qk3SFvE/fbXtL+KXupnfdvQetdjbIC1iEvvQ+6Z3QiaPyJruq
aIHmaBf/Mkrpb2lfv7kBvHW3TpT5j/GB9xGDvKt4wXuJ4fQGKeM9such3vE7
0v8nfwxrfGstVmI1VuE/GhNocw==
            "]]},
          "0.351`"],
         Annotation[#, 0.351, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0l9ozXEYx/FnW1s2zmbjQhSbKy4cQpnMBUYR5yzkzknWbJnOEReWi+FO
zJEUGRcUDk7JpSkl5W5T/txoiHOICy6knYjF61y8+3yf5/l8nu/3/LaO/bmd
2ZqIeIZLMyImkW6KWDk7YjVW4VhjRJIux82WiFvI873Abd5u7J0VkcE5va0z
zdCJtUia7zIblbuKNXrH+Z7ikf4YetxRbI5o4r1HG2m7+4q8d9T16gJtoHfp
pqpf7kQiYhhZu+bx9tFF+gvxkyfPu4LWmP2g86tv1BtBUn1ZfxmdtjfrbTkc
tO8JHaTX+QdoP3rt/sWXoW36rSjJftX7ggt2vVOfcj6Ji+oF6py7DqOFv8/e
AyiZlzFhntAfp3t4TsvsoClsRw/SeGzeIbcY7djo22zAcPUbmz8076Rj9K29
k9jtnfdx1v4z6PIb1iGlV0StfB2WyD2QW1r97nQuLdB6mZS70ijwT9EKWs3n
oA3/9Ie8IfhfurNBZpveK+fXuKJfq7dZbgtumFW8IYFmDJn9pvu84xAGMSrz
vfq/Qv+YTckccUeFjttZJ9PtPOH8HCPVv595l8x6XDN7I/eXbxpH8V6dsXsA
/cjLlHnP0w9m32RKtIyP+Gz2Cf8BBxpqtw==
            "]]},
          "0.324`"],
         Annotation[#, 0.324, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0T9IFHAYxvFXFDI9zyv6h3mVq51dQS1BkRl4ZzXkHAQSVINGCkpTS/+E
/hFYQUugXjREU0tTbmkQBUGhWdTQULRcZyZB9fkNX573eZ/3fe93dx0DZ/uH
6iJiBhONEfPYmYvYhbWtERuwHqOrI+ppA45nIibpNbOvUTDbhTq9nqaIUnNE
LxazEZWWiId4ZWeaTqVavyifpdvMv6AddI6uokV3TtNuO6foDr7N/JS8np9M
dzGNg971SNZNN9KinUFvWqfOq9uxGVV56P1L++kWLqsvoaIuyMfd+0HPeOOg
z1yRdfIT8jtY5n9hwP0aXcIneZV+pLfNfFXfoE/NXFDfUt9Em3zI/QWa9Z6T
7n+Wb+L79WfpMbrG75jDFTslvoxeHEYfnpnbYncr8um/cOOA+bI3n+D7aAl7
zO5Gi2wfvx97sV2vEw36Bb4LF72n0d1W/VzK+CNuHUUlfdek8owsm27ir/6Y
ubz9J/J2WtZ74z019RKquGdvVO9Bmved7vJz/E/+PD+mXjb3GzX+kFtNqZYP
u59RP9Zrpj16L82/U7/HW4y7N6x3X3bO/lX+Of+NH+FH1PPmFrDC/8GM3nf5
ot518x/ol/R/4D9/M2aV
            "]]},
          "0.297`"],
         Annotation[#, 0.297, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0t9rzXEcx/E3N/bDnJNJFinK7Ecrl+Ria/Or5mo3LhCJyTE/pvgDOEPm
zihKZjnlQrmh+b07m1hEftXEhQtydDYn+THi8bl49nq/X+8fn+/n03fJjgNd
+2dExChOVUb8ro7opyNVEQ/wU/4D98SfKyIOij/RlzURr/AhE/EefWa6sxEv
eFvpc9o7O2Iav/BMfsHc6oT+7/YcNfPI3jG080PfqPibeK/6FC2bO6evaOYs
3WN3DtswpXbETCWtwBdcMtOGDv3/7JjklfCXVz0nomBHFb1Cy3oK/A3oFDfr
m8U/Zmcf6vUtxzJc569Uz9ATalm6Sn6Trqdz6Rl+LV1k12b3WEi3I+87hvnr
7HlIO+harMFxtU532YgGvU1oxJi+nPqbdGf6mm5yTh296Jwe3oi+G759n/ij
83rpIcxXn9A3ySuhTr4AZXEDf8CZjekeek8ij6J8Wr2ZXlYfQl5+2/5B8R9x
gZbUa9K70izNoEdPU7q7uJV/lbalPfYOYYVamB8U16m1+O5d8lZ+N73Lu4PT
/H608xfz76f/DvXeZqn8sflxPMEW+8f1PU3/Fs6b66It+ibUd6u/k9/yZsOY
mc60ayC9V3o/zOPV4lp6J7XDZnbSryjibfoP9eXwHxv9cj4=
            "]]},
          "0.27`"],
         Annotation[#, 0.27, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0j1I1HEcx/FvUJpWlw7WGBF1QlNFW5lnQQ9bEQURhmZ3J4YaZGt64pX2
MIQNDRlkUFBDS3EkLcklVIvQUFFuPSh52dIgcfX6D28+3+/n+/S7h82dfcd6
V0REGcW6iJf1EVfoFH2BPasj/qyJKIlPN0R8l/fJv9HZdRFDepfXRgzSC3r6
0av+Vf2ZOCfO4k4yJ7+s7ynt5uXxWpxRq7HryfqIWtpv3xJvlbiN95NWcNT9
RTpg5pLZX3rK4gHxRUzIM/pbUZWPu7Wg/y+/NhUxKa+hv9WX8IB/EGk9zRh0
dwgFHFffzZulKXNF3lWM4gTvgNp72qh2izeO22jnnbTzi3fNoaze4mYr9mHE
u87wD/ksR3AYM3pyanl0IYtzuK63Sf2jeo/8E62YXUSHGz1udXjHVv6E29to
p/w8f6P8h7xgLp3U7SqYG8a8fDi5oTeLR3pH5NPmSvYWxcv6xug1bFGvmKm3
ow7N8jRS4r38h7QluaH3HrarVeV3xU1qG9Bl3w7+TuxCiTfm3mjye8mn9b7C
Sn0zdBPdz7+hfhP3vXMSb3nv8CZ5Z/If4z3HZ94cQm+b2aodGfqPnnWrWy2P
U2jU04DH6pXkv5N8b3QB8/hgb05fFv8B12hvpA==
            "]]},
          "0.243`"],
         Annotation[#, 0.243, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0MtLlGEYxuFnJgktc7JdtSqHoOMibQwRtCI3pUaUFEGOhzaSunBjY2OJ
tstlGFSLooJqEVk0tAk6UHS0Vf0BlR0mInXRJrBrFj/u976fw/t+37ruwYMD
iYh4jPGKiEfLIiZogT5EQ3nEffoA/csjTuKLbLpUS0X8rYyYWRHxHgOyPvXP
6nedR+15J3+LQX3zmMMb/qKeO+Zfl+Zkv1DEK35KLYOd6gv25e15bt8zNMkT
epJY1P+bD+cyLEHRzHf6A6uxFmswLy+viqjABn4TNiKxMqJGlkYdX48MKuXb
ZbXYw7dgL6rkGVk99vGt2I+UfJdsNw7xHTiMrDe3qrWjDR99y6Rv6vOeTvX1
/HFaQ0fMnkYOs3xWnqbXfWdeNopv/Bnao9aLm2pn+af2FfyLMec5d15xx0+9
SVqkS2lZ6V49OXMjuGW2QS3vnDOf5i+bv4RG+bT+83ZN4h9/j6/GKizyW/Rv
xbaSyobtbnQuOCfM/KFJ+oK+xAXnJ3pOoY4/R6fc225ms1pGtgMf0IKj8iM4
gCb1G5gxc83MVRyTN8u69GZxgu9FB9rkKT23aVFtyHs76Sy+4pM9Pfq68R+8
TGLP
            "]]},
          "0.216`"],
         Annotation[#, 0.216, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2101, 3893, 2428, 2734, 2733, 3895, 3894, 3305, 2272, 
            3304, 2273, 3306, 3897, 3310, 2274, 3309, 3312, 3311, 2103, 3316, 
            3317, 3315, 3320, 3318, 2104, 2737, 2105}], 
           LineBox[CompressedData["
1:eJwVz81LlGEYxeE7QrHUbKc0fdDCxTizS0ko3SUEJShlUBroQgyhaaycghZi
tMggF24iktyIBdrGRqjNNKItFQQ/QKiwRf4FfQgDXbP4cZ5zzv3c7/ucHch0
3z0UEc9w+WjEt+qIDVTWRVziK2gHvXg84jq9QK/RBnk9dmoitrGJviMR87UR
k/JlvogCuuVT8jF5nv+IRTyVjWOoKuIzTtp9CgmcwWmcczdjppneo6N25JB1
HsGsPQ9oUXaf3rHnYXkOc7oW93LOj/SHves8/5a20gr6WP5E/49/fcz76Af5
c2+cwAG/wFejBiX+pTxp97BvJWWjNEXTWEIenea+2Jcw22b2BC3wn3SN5Xfy
K/xXrOKW+XXdG/k0XvmvLvfSzrv6Qf0f+he/kbKjCWu+/QIz5m+Ybzdf0o+Y
v21fv+wmvSr/Rd/TfZrV99If+I4tO97prqCH/4k9/Ad0XEjv
            "]]},
          "0.189`"],
         Annotation[#, 0.189, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0r1rk2EUxuHjlO/oVAddAlY3oSiFLE4pFhUKhkJFFMlWUNOlYEdLIYEO
hSY1cVMouGir2EmxH4NKVHBRB7VDafwHHGxtHHoFhx/3c+5zn/M8L7yFSvXq
3SMRMYu9VMRiPqKJBk5kIqaSEfeP6qNyLKIkc4oupCOey7zAKrLqZi6irL+Z
jWg7t/BZ7xldwTf+Tf1V59vy5+y8Q8/TIZqkozRBL9I3cpPyu+ZSvI/44j1p
uq63ga5eRv0JX/Wy9B3/PX7p5dR5XLJv3PdU7evSJ+odepmW6S3Zif736n+n
P3Ad19Cw9wb961sO8Bv/0MOy+Z962xhBCXPyHXyws4PH3vIIde+o4QLvpLkt
82PuO2tmQF3kH6ev+Ff4L/lrOIPTmLaz0D/LDWJetieX5CXw0NxrmbfuaDuv
yBT1Z9y9T1u8B3jKH1bf4/+hdXtqWMr//wcOAZxBSxg=
            "]]},
          "0.162`"],
         Annotation[#, 0.162, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0bsrxXEYx/HH5k5Zldsii1sZzmEhhhOKlLIok1xzKZPFLcSijj+AiQ7O
H+AsbmWxCSlGBouwe8nw7t3zfJ7n+f7qVzM2OziTFxGTaC2KGCmIeCiNeERf
cUS6LGIlP6JZtsRJvQRy8vO/GfOXsorCiHpuk9VySv+Ms6hGFRbt75RE3Li5
y1mz27yFBdkGX8k2+US2zmuYl63qV7rR426Gu/nE+6fIoK7cu8iZnUPa3j4u
3bn+Q28ZCbtJNPneF3uN/Mq3evX2W9Rv6lZ+53HvpGSjbvTyhPqeJ7mfj3zX
hXem1M9mpvlKfaw/IJ9RP3HCvSEexJ7vGOYv97/xgQ75Dx/wIZL4VLdzl9lO
3KGh8P8//QLtbTvV
            "]]},
          "0.135`"],
         Annotation[#, 0.135, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0E0rhGEUh/FjxzDjZcXCYmo2Y4UasVB2TBMjUZOlslJ8CG8Lm0EpWfkE
SjNKaprxUiIrRWblbWeBb+BXFlfXc+7zP+e+e9JLa3OrLRGxiMNkxEJbxHVH
xDyfpiJSiYiceqMzYhO1VrRHJJ3386RcncvqinwV2/Zsye7wlP6J+Tyf6/XI
nXE3Z8wVnP/ynnofl74bGMCFXK+zvPk+rqlL8vd6WfURbr1nHQfum5Fryrxg
We6bf/CFUdlsV8SD7LHvMUzY84wnzGJX78qb7+y64aZ9Da6jrDctU8SI2QLn
+JHH8eaOd7ziEx/I6A/ZNYxBrCT+//EfDH808Q==
            "]]},
          "0.108`"],
         Annotation[#, 0.108, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2576, 2846, 2575, 3007, 2864, 3141, 3140, 3124, 2595, 
            2710, 2246, 2174, 3016, 2185, 3996, 3156, 3814, 3813, 2399, 3028, 
            2718, 2719, 2612, 3508, 2402, 3289, 3817, 3818, 2615, 2879, 2404, 
            3032, 2720, 3821, 3822, 3147, 3157, 2186, 2881, 3020, 3021, 2866, 
            2393, 3797, 2599, 3146, 3986, 3987, 3013, 3128, 3127, 2708, 2666, 
            2853, 2851, 3768, 2240, 4039, 3767, 3254, 3471, 3470, 3763, 2239, 
            2705, 2576}]},
          "0.081`"],
         Annotation[#, 0.081, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{3256, 3485, 4040, 3484, 2176, 3985, 3012, 2580, 3058, 
            2581, 3018, 2713, 2714, 3988, 3148, 2600, 3798, 2403, 2878, 3999, 
            3506, 2401, 3272, 2400, 3505, 3997, 3998, 2876, 3144, 3143, 2712, 
            2711, 3792, 3793, 3142, 3984, 2175, 3482, 3483, 3256}]},
          "0.054`"],
         Annotation[#, 0.054, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2391, 3255, 2390, 3794, 3795, 3487, 3486, 3270, 3504, 
            3271, 3507, 4041, 2177, 2247, 4196, 4197, 2597, 3796, 2598, 4135, 
            2391}]},
          "0.027`"],
         Annotation[#, 0.027, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0fXVUVc33N911aexGxW5FnW1iIGKAiY2BiYqiKGBhKyg2dmBgKwYYIKAI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      "], {{
        {RGBColor[
         0.6679396872813469, 0.32575217757780606`, 0.21108509772845663`], 
         EdgeForm[None], 
         GraphicsGroupBox[{
           PolygonBox[{{839, 959, 589}, {3050, 947, 2599}, {2599, 947, 
            3065}, {2620, 589, 2908}, {2253, 156, 2179}, {2603, 950, 3053}, {
            2766, 589, 2620}, {839, 589, 156}, {2621, 589, 2766}, {3180, 947, 
            3050}, {589, 947, 156}, {2414, 839, 2906}, {3047, 156, 2253}, {
            2891, 156, 3047}, {3067, 959, 3066}, {950, 839, 156}}], 
           PolygonBox[{{3053, 950, 156, 2891}, {2908, 589, 959, 3067}, {3065, 
            947, 589, 2621}, {2179, 156, 947, 3180}, {3066, 959, 839, 2414}, {
            2906, 839, 950, 2603}}]}]}, 
        {RGBColor[0.7107965, 0.36998475, 0.227467], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtUMFKQlEQHXsSvjsP/QIXQTs/IFwk5SpQCFtqGb2Fq7CP6BfcuCg/QWjT
RgQXLl4LRfyBwI1C5VslFYRnOHcxzJmZM+fOPUfxw1X3QESOEQHiT0UuAK6R
Y8QlhudOZOGIz5BPEWNwfjCfBuR3MiIvyENwThB3oUgFdV05K6P3JOy9Bqy7
IWe/4JQce03gUUAt02n5e26QG0qND+Tngkj/EHWBXMP2dtlxfwdOz7H3neft
9pbtJ+i/ox5gt+01U6Wu4VlOZKu88wt5rXxjo/TCtG6B37xO4v1Y+b/PHfES
OlVHjzIRucUsb6opvfhUemqa5nfqb7C//iMm4FQwv4+4+5ij9sT7swdBGkBf

            "]], PolygonBox[CompressedData["
1:eJwtUD1KQ2EQnCQiL2+DOUGENFHwABKIKawEA4JloglaWEk8hFewsYgeQbSx
UcHCRjQquYBg4Q+onb8gzjCvGJhvZ3e+2a2uby338wAmiTHiLYDjAtAk1orA
fhm4Z8MBsZMCbep18o0c0KfeZO2cvQ+s3ZA3iNPsPSR/Cc9WaL5ZAm5Tzy6x
dkd+ldpPf76zd5rv2bw9//j+CvstEB3yqUyXp7yfiSNqJ0Sd2seEtd1xYI/Z
a6wdFrzDJflnuFce+muYAAM4g7Ios7KfsWeOvBW+hTzk9Rjmqi2Sr4azXRDz
1HMlc+2oXb/DXvpP2Veyfu2kWw3Kzqodnqj9hGfV80veC99KGbvk14l3UQZl
GSXOKz/d6jXLq31m6L+d+Paa0ew/0A9J4Q==
            "]]}]}, 
        {RGBColor[
         0.7455657916666667, 0.40823224999999996`, 0.24066254166666665`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtUj1Lm2EUvTHf75MmYNYSFdoqQlehFJTaLhIRyapJ/AIR0aiz/6BLh04V
7Q8Qceng2KGoiPQjGRxF0NIuioNNBiuew7nDwz3v89x77rnnvn1zjcpql5m9
w4njlPGxD7AFXAtmY8B1j6/xthgzmwnC6zmzkchsAngl6Jv3a4iXiP0Js0nE
Mmq/xVVby5pNI94iZxC16ZRZJ292BHyO3EPEpwlhajh7YjYE/LtgdgCON67j
JNL9i0jcY87/w/UMR+IizzFiB/p2wdfKmG3mpO098D3uv6L2P+J8kNYk3uM5
8TWg922kOTbw/iEjnlXgbmgqQX+xoP4Hrq03JQ/pZcJ5mpHuOBvn4vz0oQr+
GZwq8B3uXkWq+wv+Ue9bBR4A/oL6NvAO+iXR4x98O8X9BXK+Z1RPnnpWO6CW
l+4xc/hWdM1N5P+KtKefiA95ebuQ1TfvYzn5S5/H0XfKPaSXS0E+c/8PQdqo
8SaoF3X9CZp1Gz0bQbPQy1n3mX5zr+RvYc9XQR49R85HnE/Q+Rnvs+7PdZA+
6qwEzUGv6Rf9pc/cG/dJPdS3l5ZX1MGYSsn3dl74mf8jzGMO63qcc9nn5c6p
Jem1fC95ziOj7Why
            "]], PolygonBox[CompressedData["
1:eJwtks0r5XEUxo/run5+38stjZ28ZDRRslNSGnYijbvlcq+NpHHL2n9ga0X4
AyQbylJR3oq4U5ZSFJmGjZfFzOTzdO7i1HO+55znnOecb+t0MTufMLNuLIkN
xGaHlWbD2HQw28iYraTMJirMTog98bZDbB/7C56qMcsR64HkutZzJsr+Kfit
zqwq5RzL+P3YaMI5/lP/Qbw65Rx5uIrYDLiPnDzxdvK3yW0hp4FZumKPDaie
2g78XfAtb2fg38F9xcfAV5FZE7XN2BfqLW12UNZXIJ7DflC7SWgcPEe8Mek9
7/GzwbnEqV5/gs+qfs/g9/I+hvF7iY8E166cAlrmg3OrRxH8GDx3lbcH8EK5
/zd6LtK7Ku2zaQfJtGuWdmmoB3+Pff47ai7BP4PvUz3mwL8ijylHWqVZ2jWj
bndMzU3CNUprrsbvlSLnnX2uZXw23WwdvBT5bOIU9wsce3ANYZO6f3CsP6O/
U6p1/eKchLuNt61q73kU+020T3GIqyLt3NrBIPF/wf+WNM2Cv8Y+m+Z5rXMT
Fqe49Ue1L+nVbkqR70L1F/jnkd9K99Pf0B+Rrz/XCf4EPkdilw==
            "]]}]}, 
        {RGBColor[
         0.7799537083333333, 0.46734475000000003`, 0.25285795833333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VE1vTVEU3fpeueeed+99aXxUDVRoUqJiUB9hyuBJE+ljUHlUVROp0lcG
0jR9pUhI+AUGfoBIw694TRhQpTUxkDwGIlGJUPW1lnU6ONn77rPP3uusvc7d
NlgtjzaZWT9WDutOwWxv3uwu7LPY7CA2d8JuRcyvRd4asxnE9mE9MPl/m80q
iBvOPIaZj8wGnNkWxH+kZte8WRl5R1FnITFrQ/ws9pdRrxV+N/ba8+rxEOe3
x4p9w9lPOPsIsfWZWR0Aj2H1Yq8H60lOOIqZ/A/IXfKq8R72I+Ir6HEbeHqx
vyevWjXg7IR/H/HzTnd6h/yOojC/BcaWTLU3wN4qqN9h4KoHbMT4K2AjxooT
B1+A+RS+S8g5EKvn8ZzyyNNM4G1TpvgEzv1MhYFY2hDvQXwMfsMrfwT9d4VZ
cCbLyI9wr93wpyPx2MjUj33HkT/sdeffXrVYc8hr0f/qxWV74HwgfFeROwvb
aNLM3oR5vYZ9mWheL2C/p/LPOM2DZ1mHMyS2/3MEn5uRM4/8c17aoEaoD/r3
YEeoDZy97NWTc2HfG5F46kN8EmdOIucq/OtO/hUv/jgXcjuG7xP4nnLSK7kq
I1YN8VEvDTF3DrVrTn0vIX4oVh3Oud8J86tEvJP/Wew/XSd8vGu+II6aYU+H
uS96aYWa6YiVW1/VarDkhPuloIGlVJr4nEoHvM8F1PmT6q11xXoz5GPcS+Ol
8PYWE2mVmqV2qZ9Bp1qsOYV4rag+zyPhI85KeJd8F+SoWtDMVlLlMZ/c8+1R
5ztivSv23phJW8SwH/HWTPc6Av9i0Nuk0/+DM+KM5xLxSS1MF8XjTdh/18OM
Ng==
            "]], PolygonBox[CompressedData["
1:eJwtk89vTHEUxa95nfHmvfnRkFC1QEIi4tcCESIWbDQNaVkQIpRE/Oq0EmLR
qbTxK2FhbeEPEBH+BYvWUkYa1pJhqza0Rfs5OW9xM/e+e7/n3HvunS0jreHR
UkQcwXqwThrxmt9BPq5tRoxUIy6uijhIfDK3yV+qRPwgf4V4mPgNby7j/2lE
bCy7ZkcWMcC3ffjnwbgA1mRvxDL5l9S38b+DsQhWP9++1CPGqT+TROylmSe1
iF/Eg8SvqJ/HvyU+4j3kH5M/mxvrBBzn8Gcyc4lzFn86Nf4G8DvgH8482ykw
1sP9MPUs6vkr+W3k95N/i3XBm6bH96sjhoj7qB+DcxPcm7Fx/NtFPx+wo7xd
R827xByHiP+RH0qs6V/8Mm8+JtZM2s3VPbt6VK8/G+5fGs3jj1Jzupj3BfkO
mN2SMXrASrDZxN+Um6y6fgYriSvzLMKUNl36W6hYH+3mfrG/7eC3qd9FTV7x
jJr1arF/fftPP3OpuaTJFNp8y72blPwC+U/M01c2xxS1OzPnhNcCb6JqPaTX
sriLexKHuA5k3qU07KXXpzXfgu7rbm6N9VYY14mfp+5dPam345l3pZvpb5pD
9dpRG/zPdd+C9NbtXct9C7vBeFQzh7ikyT38O8U9Ss9jmU2+NG7lvkHtRvEY
8bPU7/VmouYb0a0MEF/KvRO9V/4B/bSqzmmH2qV2LDz1e5P6rZl3JU1/N/yf
1G3pRtc03bN6lx43qF9qWGvpuYi/AmjKens=
            "]], 
           PolygonBox[{{3545, 1307, 2400, 3317, 3318}, {3318, 3317, 2399, 
            1306, 3542}, {3540, 1305, 2398, 3313, 3314}, {3314, 3313, 2397, 
            1304, 3537}}]}]}, 
        {RGBColor[0.814341625, 0.52645725, 0.26505337500000004`], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVMlLV2EU/X4+fb75/SKoUCO0FILcVDil5CKMojKCyiCihCjEtME0MhUl
K8j6J4QgMGjbqlyU1iaLtAlaBKURlEMJTdo5nG/xuPfd78733Fvc3H6gLccY
04fPwVeWa0wpvrvgl1xjNuYZUweFzZAdhsI9o/e1eDuZMeYgZMfx3gF+RSp5
VWDMQmJMLvgfoJ2hMYegdxH0AeiII5+/8eZD5w/oSL4xHxgHXyH8N0BnC/j8
2JjT8J0XK26hq9wKwNc60h+F/TrQBHHrHPFD0OnPKt9Jz5hsKtsK6LRHxtRA
ZxP4NsvP4H0WfCf8jiLWoKf6v0L+HP67IF/A+zJquIB8rvjG5ESquxf800S2
9LEVNtXsXVY9YF2sZdhRzsxvMZLPt7FqLbL9bIH/Y3gfxPsX+KnHWyNkj2LV
NIY4HaH6nkBnGjrbwe+DbN7m/wq6Y/huQf8Z9KcC+dwbqPexq/6bVPxyohyN
q35+T8R/A22EzQnIMuBLAtXxGb7Phpr7NcT8lcjvx1A1s/Z3nmYxbOudg04G
8tlEude4sj8Sqv6mUL7Jsw9HfdnvtnHok32nXbW1ZS8zNmfiq9ZVrlWp+MpU
M2Ofx5HzG1sLa+qG//PwF3L++C+G/ipiBF8p+AbIVoMvAb8N/HpXcuLpL2oI
wP8DnU+UN3vT5wsPxEWZKxtil3SD5QtS8TugvwdfJfOHrCfSfl1CveW5isv8
dgbyVZQqJvtMvNbkaabsiROrZ2cQv8eXjDh9GKj3KehSLJtl0DWpchrArObs
Ts6DvrSYGfC0M6x1yBO2iLFmX2/UmYyFRWLysSc88VawxtTG5V4uIlaE3f6Z
qi7y3N9WXzkz935PfiY4I3y3wV/1hHvifz/oHUc58G0q1ky5Q/2++nY/Kwzz
dnAe44nwsQu2L2LtBfeDetTvCrVzvCnM43Kk29cNOpEozpgn/BGHn5D/ykB5
vA+1V+zDE093jfi7AduKULb0MROrJ9Ox9pnzOhUKc5ztpMVdub23vIX1dr7c
K2K8Ffp9nu5dSyS8UJ/21yPh+Rxvkr0JvA03I93rIdCerG5rL2hs79Vr7nEq
PBAX/wHaUrEN
            "]], PolygonBox[CompressedData["
1:eJwtlOtrz3EUxz/zm9/l+7tN5DbSzJTiidtmtnjApCgpt0jMfbmTzWYYE2X8
E0oUf4BHeMC2Ui7ZDOWBcksum0u5e717fx986pzPOed93p9zzudUNO5buXdY
CGEzp5RzOBdCPRf5JEoxhJICNvQ69Br0LuwzcbyO+Wg2hH8F+15LhDA2CqEn
H0Iz9gvYu5HnEFOLfRX2Q/i/5lzFVs5dGbb9mRB2loQwBX08egMYVciVnHFF
51Au3ZWjP0uHMC9pTGGvJ74O7EucAXx/wScjO5z3wXU0HA6VOGY2/l+xlyLP
wj6EfId8L4b57gt6MxhrEn7jeeKPl/G2FDo+H7C/AqMeexecOuByG/wjpdZv
IU/Bvz7lGtzHfw/8tpF/IvgjiH1bNLeFYLxDrsS/LuV6PSJ+OXw2Yq8dDkfs
NZFjq8A7Cp/Jsb9y9oK/Fr4NYJWjn4TPGzCmEfuXmDNpxyh2KqcV+Tn+l/G/
SL65yNMj81H/foD3hxPF9duL/xA+NxKeia3Io+FUkXQP1cuq+L3CGyD3lozf
ph78BGt43v0Vp7fI58BcnfBMnc25x+r1VM4SuJwqs66edyD35V0b1bMf+V/e
tVFP1dvj5DuMvAm8/fB5wbmSMAdxWZG1rLtR4G+P5y8H5+/k/la0PAP8Tvg0
ErMg9hfWy6xroxoMZj3j0lWj37xvadbzN574E2n3QL3QTN1LO6ewhLkc36ac
fTVPu5A7066d7G/g8iTye1SfgcgzrdnWzG2A24O8Z039f4jcEs9rL2cx/nfS
tk8i/mbknMJWz0dG9pGvenAE27GMa6mZa0JP5mwXZge290XPkvqv3VCIjK03
9/D+kxljKUaxT+P/r5nQbLzO+6/pD+zGdz7xk5Ou92n8q4veLcIQ1u6seylO
7egTip4NzVAKrB1Zcz2I3prxkSzMMfguirxLNENji86hXJrZWmzVnAlJ/5l1
YM2NvIv0R1rw7Up79vT+du06MKqTztFGrgNZ90Y9OpFxD9XLgM8n6lHIedfJ
nkd+HO8H/Vn9de0Q+ZfgP4h8N+35ll1/uzueB9VPu6Qz5i8Oy+DaF5mLatAf
ecY0a9pR7fh/Lhhb/dFu1J9V71Q/7dqPBXNVjHZfS7wfVBPVpi3nXaE/or/y
HzorsbM=
            "]]}]}, 
        {RGBColor[
         0.8452164166666667, 0.5873894583333333, 0.27568691666666667`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFlluI1VUUxvecmXPmnP/1lJJJKWlFkuJINToxRm+lU+pUBBmUYHSlDLOI
ccBmSKNmtMEeCu2hx3ryLSgps5rRyUvSQ5dRk0SbS4VBWU+G/b6+DT1s9vqv
/e211+Vb65wFG5+/f1MlhPAhq5U1twzhARR3JSEczkNoVkMYZ1/L4SPoN7eE
cJDvHP3n7MNZCI+hfzkN4Tzf29pCqLDfjp07aiEsaYawqhHCOu59UYSwFXwP
+L64Lwb/Ae+uRF6IfCP7Mu52cncRd99Ffgf5LfzZXQ9hH9h+3vodW3PBP42d
o8jT+HOMfRDdQJtx39Rte4j9pqp928P3/Dbb1Ftd2O/mrIW7lwrrruatR7G7
DHkB8ts13xnh7p9gHiaWMfQ78O9OzlZi4+aq330PTAVda81vKX9TrOsqztk5
1nzkM+znWcNgxgvLBTanc9upKsd8zwM7ynnB2oV+Dvo+4n+IeuzEx1fJ7Xrk
rehqfL+EbwPorsqNv5z7TJhdnH+NnRneOs5+Ets/V10b7WeifEPTmMPkbSHy
JPIh5bLdGPn8St37amxvbjj+Gd7aHfO1t3TulMNR9mcbrsEkmFA455XCeZH9
3hZjKzFv4uBgrGMvvi+vmX9LS3Owr2Hu9EROtufGX1s6Z+KG6jTD9yXuTrPf
0/A7M5m5sKhqflxRWn6O8x1113AKe2dL+3cA+UTMm3JT1hyvcD+VrudH+f+c
7krsn/yajf431hLwL6BbQ76uBzMbzG2la6RaiS/Kj2KfzFwH9Y14J/9HIo/l
7+PYONJqDihPikdx9YA/gW4a3UbWceQp9g2sJv7v5+5ebHxVOOeq7Wupz9cm
7lX17GkwSxP35JbM/BbPu0ufCbMY7IV2y+Kc+q8ZeS6/hNdceDC1HdlTP6uv
J+qupWTlSDVX7VWvPPaH4vmyMN8Ost+b+M72zP2hfIobv5S2f5Z3ultde9l5
Mvav+nhb3Xk9R55Xx1mkHHeWzslJzu9OnEvNvydSz7v+zPnrwr+Pwd1aWl4D
tiMxD1rRXSzNxUHwO1Pnvjdx38qfDPnFzPPtV7Cf5I5R3FEOZ8WcfgpuAv0h
7uWZa1lk7t0jsdaaH+pb3d9Tt185+APxrmwcjfEq7u8Sx/At+x+Fc32RfTR3
rcRxcVGc7E3dN/JZva25NRlr+nrqt/RmA5+O4U+SmU/K4TDnY4VrsAr579I5
VC4/S+zzWN22J6L95Zx1gDmVOh5h1sU5IDuqo+a7fHpGPdEwfkXq3wDVfx7v
XFOac5qL4rH4PIS8KXP//FN4hqgfNsTaqEYjqWe9Zv7lwt/Sv8G9ULpeqpvq
ozqJz3PiXL0S/FDmXjtVd0yaj4pLvw3y/ULhXCiWpzLPsM44x2RbvNUM+a/H
KuZyf8O+3hJnkuaJev5H7LyP/nRqnXKr3rkvsV/bm45NtVadfkjs2/fsgw33
qH4ftqSul7ivXMqmaj8QMSvQz4p80KzqTj17JlLXvDfmUFwX5ztKnwkzXnd/
Kr6/Sv8P0JxtE99L96xm4frI5X1xlim+N7n7L17oBY8=
            "]], PolygonBox[CompressedData["
1:eJwtlFuI1HUUx48zO7Mz///8/zNeIKRczIhSw1WrdWWUwAdFs3ZLAwtCsAeX
SEUtBIW8lGGuF+xBKR98zKfo0SLMLW+llT6YtwzEy+4qaKT1pNnny3ceDpzz
O+d8z/md25PLVr2+shARfVAb9CiPeJqHCRLqEe21iJ+LEW9CH1UjirzVyxEH
UC9OIxbw1jsiogOf77KIV5KIbvSDyL/D/wBeD/o/SxE/wk/Dvwt9L3h9+PdD
34K1DPsd8GPAWI39i9hMxbYN+UNyOYjN2UrEf8jfhGM8j77Y0j8D/nvkMooY
O5HntEdMakScQb6FrpN4XeCXsd+EfhJvq7G/g/4t4o3l7S78E2Buhl9EPvPI
/zhvF+HHQRnyOjDegb8D/tfgp7wdbLfNYfgN1OtVYi1AXg//bs3Y/eS8kfxL
rfiK0Q5/seK/qiaqTYr9L0XXZwP5TSbGbHSjsTsEf6nieul/E5HfT107va2F
H8zcG8UYgr8GfR6u0XX4ASgruWd/ESuHfisaQ1g7kJcU/cd++AL/b2L/gWqE
b8LbafRL0X+C/QB/fgr+S96uIH+GvI98O4i3Atse5CbyEDYX4G9m7lWRtwnI
p8EfQh6P/ii63tR4u8m5B747cS2fxWYk9TnG/y8hX0M+ge8XvO0t276Zukaq
lfJ/Dd/LqXsvzNHIWe750Yzk8A9z56qZf6BcwHvQyn8l+d+uexdU063gdiJP
bvOMToF/LLGv/ry/7p6oN8J/Afk+mIWyZ+xe7pmUXv1qIG+put7aMe3aucS7
oxnQLFyuuHaqYRd45xPL6lmG/o/Utdcfe6quuXJXTfYkrqFqoz8N4/8P9HbB
M/pv3TuoWVNPq/jOqLvX6nk3/Bownyt5nrQ7K6ruheZJu6cboNrMAvMN+LmJ
d0d/ehz/cdBXYYwO+Cb0Utl6/f1Q5tuhGzEfuZF4X4ehX6nPyYrzV/80a0eh
qQXP9KmKd1C7qJw347+z5lulmHvQn6gYS5i6BbsqviXq4X1y2Z56ljUT21LP
pGZTPfsb+48bniXlvLXhHqgXqk/k3gnF1o7ORDeitS+y0ex/WvNuqWfbdUvR
D6JvaH7xnZ/6NlxHPpl7pjXb2tEj6KfX3R/1bCF4w5lvl25wJ/LCqrG0Q6fw
Hch9a2/IBn0t8e1qgnEM3ZGWXjdLt+tw5t3TPXgZrOPU52bJOSrXGa39Uf3U
m76asdSD5TXfEPnK5yfs88R/UQzl8ijzLqi+ut3KSblph7+Hv5p6drRD2qX/
AVH9zeA=
            "]], 
           PolygonBox[{{3316, 3315, 3528, 1296, 2380}, {3789, 1513, 3791, 
            3315, 3316}}]}]}, 
        {RGBColor[
         0.8745855833333335, 0.6491015416666668, 0.28565108333333333`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lUtsVVUUhndf995z7nlUUNRGVBKIiSRixUcqKsWaWNFiWusAjDHRohij
RgZMSXgoLW21joyMHeFI1FaoReURDVajKEGwYguYKA5EO2Di4/v5t4Odvc7a
a6+91r/Wv86Sp1/ue6kxhLCf1cRaWA2hsyWECeRV9RBuQ/l2GUJvYvkedGdY
b3D+RS2EXYnta0UI43kIKfLi1hAeSixPoHsdu3Hsd3Ivq4SwpDmEpxpC+Bt5
b5N9/VW3biP3hrIQ2rEZZH+2yfIBbPaUtr86DeEbfG5F34z/fu52oW/ifAz9
SvQj3N2DPMm9sbrf1Ht6K8mc3yb0v5D8Me4+wX4C++3YJficEyhgsZp9lu+l
5DLH/jErQ76eHM/hZx0xP0jMDyfWT3E+Rnzvcu9Fzo/wXaK/Efu3Ig4VsBpN
nNsoMexA3oB8Q+nYJQ9w/xH0vfifzxyHchRGa7C7j1zuZv8dX//g/wL7BG90
EfPyVscrfbvyK+xH/tr4/hn9EHG8ytvP4DPN7Fu1kf9WYYXNeuSE/QzrOu4d
Kix/xv5dauy2cXc7frdgW0W+WBpDYTmEfgC/g7yzDxxq8kNsu+rWD7Fvi3dX
ca8HXb3qWijG2RjnXIu/hfWRwvqM9wO+FmHfoLwrxmRL7CHl8T22i4Q18bTx
/nxp/6M19/L5JtdpmDg2Iu9mH4nySGLfqpF6773c2P1UGuN9Vb+nfJTX+5zX
U+P0CW9O46ePGHrw81rEeRD5ztL+ThPD8YihsBSH1lTdl+KJ+kT9otqrdtP4
XF26N9QvK9XT3J1Dl6fG6Cg2XxXWt6K7g9WNnMeYFa/4IH6Kmx/l7lFh8Ca2
UzF+5XGy0fkK/77U/XivYo9nk+x/VtwfuiOOyXdnaW6ICwfxv7PVWO1gHybu
B9BfQYzXNLvPLte30f2tms20WK/eW8Ab75Dvqbo5L+7PIs+wTmP/KboThbm9
OTPGCyOGyzLXdyn7TKN5IJ/PZX57U+b5Ua0aoyp+hvm+ipjXJ7a9lLnewuHJ
zJySnwHOjtXs9zAxtBbO62bhmjqHg4U5L+4fxefXNec5nTq/ixXnrt4RjsJQ
/FH/ihMdpfv22txxdsd3by0d55W5edaP/vkGx3Kp4vi+LTznOsHp8TgbNSNV
P9XxsdS9pp6Tr1Oxvqpzb+pe0Sx5JbHvyv/cbTQHJ9XrfK/l/MPcPfBBbo62
RRvd0d3N2JTE08XZbuQVqWv9a24MTsYeE9bCfEPiubu8xXaPJubRj3XXW3X/
vOa+kKyz9tI1/wF9KMwv8Ux4LIs100zpaDGvVBNxRLw6RByFZlpubt1UMabC
Xfg3Fp6FM7F/OiJm8rM3zg9hfSF3zL/ljluy8te/pSf+X86Wflv/hCJikrP/
m7m2L5DrgYjtfvZbsL+deFbE2dhWcR+si5hoxvSnnn33l54lemc8/tuEibDR
LFC+d9XtTznITv2qvl1ADIcjDl8W7hvlpP/8VOEaiffimLh2HN353LFoxmzN
jNkfvNWdWpbuXG78z+aev5f7uTCX1CdJav4pt+7IUdkLi7J0voXmSem6LC7N
H/FoXjOh8MzRf/4/HdwGmw==
            "]], PolygonBox[CompressedData["
1:eJwtlV1o1nUUx397tmfP//0/y1lJLwyUAkszgzAltQntxtXMLjRIKO2FoKjI
3qCoVbonN7O77Lau6ioLpeYSt6JY+ZIUTR26qUFqkLmLbtQ+X77/ix/POf9z
zve8n6fr8efXPlcLIfTz2nj7kxCO8+Gz1hCugc6yEA5Cb+I14xDOFyFcqYcw
jzeVh7CGb2tbQujCZknKLzaXkXUA9hi2vYntn+C9j/wh+MPQm3nb4Q+Bsbhm
zAtg35MaS5gPgv00GNeD1SS2HmQzvGnkG5Ffgv4Fm77K/0HoGLx+9J/hWwQd
8W0l2Nc2iKsM4RbeBnyvQ7+HWF4Cvwv9rD2EhfAnohCG8bUa/ds7Qkgyx76X
bzH0Dnw+2eoclMsN4A+1Wf8O9FeWtr8PvFXQbcTwFvJNxFODns5dO/FXwbuQ
O5Zb0b8Z/ZzXAz8XvoS+qbRMMb+RugaqxRQY3+N7jBgma665ap8llp3ijSEv
SmOtwf5V6tkK3w29AptF6N5GzKuIfTsx3lk6B+WiHK7DPud1gzWbbx9Tm79y
26q+L4C3CJu7wX+Ub2+Tz7vY70a3m9cHfsS3cfz9ifwo/APY9GI7F/7L3DWW
P9VwKVg/Rp6/T7GZINcD+D+J/5jXg+2CDmMrPvVqGTZbWlzv5dDvZPa1B/mO
yN8kU0zvYbsfvBtrxhyFPpF61uRzEvq3wrOlmfhd85Q41j94I/AtYMwB61vw
O+Gfjd1L9ews+WyAX9/imdZsf6UZrDvnM8S2lZhCwzN8CPoj8L+A/px8PyHW
78CcrBtjfeyaq/bav23EdxWdzob3ZxD+B/SnK/x9YO2KLF+tHUS2C/27Wu1j
Z+IeqVcpOjPIBmLPt3ZUuz7IW6J5Ref11DusXdYOPgXdBL/R8Ewfgb5SOj7N
SIm/4cS1ukjNT5beKe2WZu6R1JjCVs/68T0UORbN52blQ73Kunf6b/z9U3o/
tNMXoWcVzk05qhYPJ8bTfqyAn4i8q5ppzfZA6topRsU6kdi3bI5Bd+aefd2I
bcTTrPRVD92u6dK3RTGdhh5BP4OeIacp+I1VfdSzBP29yBPoS8hPld5B7aJ6
lCNfnrofmu9ZiW+SbpN6sBXZUHVfNGOB+M8hv9zuedSt+jr3LvzLt5cj3wTl
rp7thB+MPRu6T2Xmmqq26pl6pxsgXjup3TwN3nzw/gPvTeQH4Isqv1ci3yzN
t3TO5O6pequclbt6pF7JZhR5rbqH2o9QOEflqv3Sf4t2WrxqsCx1jIpVOQ8R
2zz4s5W8L/ZMa7a1syPQA8gXt1lft/h4ZF/61kQ2lXqXVDPV7ifkHwbP/2ji
J1o+5mf+j9AtW0D853P3VLkrn7HcNRCvnu+Dv7e6J928dWD9XFhXNRgvfBMU
j2owB/rF2PiaYd369sK3STPXKNxD9VI3YjfyD1L3T/OtXT5auPfK4dfCPVKv
dPPHobdEnjXN3B7sj6X+79ZN68X3/aVj1cxr9s/lzlU3SLfoNXSW1n3DF6L7
DfK0ml9hz672QzrS1UxLJp1hZP8D2UcFXg==
            "]], 
           PolygonBox[{{3519, 1292, 2379, 3305, 3306}, {3513, 1290, 2377, 
            3302, 3303}, {3303, 3302, 2376, 1289, 3510}, {2443, 1347, 3598, 
            3351, 3352}, {3352, 3351, 3602, 1348, 2444}, {3306, 3305, 2378, 
            1291, 3515}}]}]}, 
        {RGBColor[0.8990266250000001, 0.7009405000000001, 0.293924], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVntMllUcPsB3ed/3e9/3AALhaJValk3NSlJaqZCXatEqjJtMg9bWbOsC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            "]], PolygonBox[CompressedData["
1:eJwtlleMVVUUhvcMc+/cc+495wwdg5QBGwaNQUZKpI066ANGAYWhqWNMjCaW
oRpgUGIDpWmMEw3GB1EhtiBgBBHFCkosIDGIoJREBQJGkaKC3+9/H1ay1l51
r/2vdU5t072j76kMISyHqqDBWQh3cFCfD2EE/PIkhJMotuRCOBWFMDyz7s42
ISwrhjAHehO/izmrRTc6DmFNdQi/EmMX/A/QzIoQrkZ/FfrTpRAeIN4J5API
N8fW9eGsBd0icszHfjr+i4idYnMf8jnYZPBJZv4tctThOwKbOmpZCXVErqDe
ucTKoz+K7QvIp5C/oP7TxL4udq19oJ7o++F/Cb6t0L/oJ1NDhv0x9HtUH9RC
/mbqGQe/tOjaVOMS7Js4m4JtA/GXIreS7zj+nyH/hfwE9BC20/DJ0hBGIlej
ux+bA+Q6xFkr/evM2WH4CZH5WehPoh+vGvQWnEXo98TOPYN4e+EPFEKYiH4S
dAu2M/EfgO1C/NtRy2TOJqC7hrP2+Pfg7EH8G+WDbhr+C8jfAf2PyBOh8ejq
kYvYn6GGOVXuacC3GzQP/3HYTMB2f8GxlEO5xkeOpfpP4Fub+P6qcQr6K+lf
L2ofw9mN2N4NXZBzjrPYbyJnJ+Su2MSxe6BYOmuMHFOyMHQK/jfiv0hp85EP
we8ruDbdQXfRm+nt1MPGzJgRdpTzIPZdU/dSb3g7+vdi5x5FfRvgN0O7kVeB
j07wC4p+S/VwIfW0TY0H3fFJ5LugXuX7qHeLi46vN1uMbkFk36mcPYbuhPAA
35f4M2pC+ID6ZwefrSXfw5HnZwT1DaO+Xfhc2sY9bKfZ4Wwj9sP1xvDnEmMA
95vD2du6HzYXVnpGdlBrN/QD0c9F/476lbhWYfBn+O7oB6FvQd6IPJ879EU/
iRg7iPUn+dcTayjyNuShmXM3QOOQb82MRfVEs3IQ/+Yq75ArIu8M7Y7O5Hi+
4B2gXaCe7SHfp9A0bAej70ktoyLP53PQNny/Lho7lyF/Ix6q1+zjM7vgHaBd
oDfT2+0tWtb9h8OfiRxLMTX7iilZPb0e3SPITW185yXE66cdQ6w3OMtR68Ci
c7dFPwt9D84uyvuN9FZNJdeint8G35C5N9JrF3ZIPYvCi2bjp6KxpTvdgH+U
GMvaqTuJP1WYqnANR9CVUs+mMKRZrivjQXfQ3eaVvEtV07Xki1PvDs2sZrd9
4t2wjvjfE387+iM519uM7xKofzm/dvvWonfjPOTe8PtL3l3acXXk+wV5apV3
7CDksdx3SJV35hj4SijNGy/Tse1R47fVG69O/caSFf8TaluRendqBjQLK8p4
EB5fgu+deXerJ73gx8SeDWFwiL5dkfEgjP5Bvd1jv51qqBA2S561LtQzsWQM
CosjydmZ3IXUs6l+PU6sV5G35oxhYXl9bF/tzI/xfRQ6m3dOYXFLwdgT5oQ9
3Vl3l81h8p9X8lvL5vySv1H6Vmln/534G6VvlXKuJPcq6Muce6xe6430Vkc5
24muY3kfD0OuRv4utU71qBevpe6dYrwOn09t246crQXvOO263Zy9j+5l6PPy
90lvHcXW6Zuob6P+AfQvIJtXUs+UZksY+jY1ZoWdAvF/z5xDuTRTmq21iXeT
+rkOvqbkfaB/jptiY0BYOE6/9meeMc2aMN5fuyfx7lI/NsDXZ/7XkP/Y2DtK
u0r/DNvh92WOpXm/HP9nC8a+MPoPumOZa9XMaHb0zde3X9/o1cTflDiXdqJ2
Y0t5vjQji+E3J+6vMPoRfGWN8aQ7PVU0JoVN/RPp3+jDgu8nzGsWnim6du3w
p+HXJO69drh2+buJe6Wdrd39/86t9DfvK2JV1PjfQ9+YAN8lLWO52rX8B+Mx
Neg=
            "]], 
           PolygonBox[{{2448, 1350, 3606, 3354, 3355}, {3355, 3354, 3609, 
            1351, 2449}}]}]}, 
        {RGBColor[
         0.9119687083333333, 0.7297421666666667, 0.29825066666666666`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV3uQ1mMU/u233+13fb+KJrtlbbvEYBAlZjSSzS2G7iq3boawrVLrlnTx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            "]], PolygonBox[CompressedData["
1:eJwtlnmQ12Mcx5/9tcfv+n6/2xYTirbdwpAsYmumjGNLOYYuq6JTDaGllBwz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            "]], 
           PolygonBox[{{3308, 3307, 3493, 1276, 2362}, {3760, 1487, 3762, 
            3307, 3308}}]}]}, 
        {RGBColor[0.9249107916666666, 0.7585438333333333, 0.3025773333333333],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFWHuM1dURPty9e+/9Pc+FTUQJr+XVpgEfKShYsVssIo9WQSBt1AQf4AN2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            "]], PolygonBox[CompressedData["
1:eJwtl2lsVGUUhq/tTDt37szcAhGUyFIoaCKIO0YFkQgIqAgCatTEsCo7bfgB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            "]]}]}, 
        {RGBColor[0.9283803749999999, 0.76638, 0.30373225], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV3uQTmUYP7v7fbvfuXznfBjJDCKXVm41UhrlOhPSUmzC1iK5tInWNUuN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            "]], PolygonBox[CompressedData["
1:eJwtl2lsVGUUhm/bGZh753amQAIaQVm1yCIRUQyIuCSAWEAoREABF5YoaaUt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            "]]}]}, 
        {RGBColor[
         0.9307974583333334, 0.7718866666666667, 0.30453474999999997`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1WGlwFVUW7rf0e6+7X99uiII1lGK0WBLFigZLp9wdqlSUjEs5bgQMQkQg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            "]], PolygonBox[CompressedData["
1:eJwtl2eMVGUUhu/szg4zc2fuDILYYuEHLLtqIrCKSAAFEkWkiBFFmkrvCixF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            "]]}]}, 
        {RGBColor[0.9280820416666666, 0.7721285416666667, 0.303619125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmH/MlmUVx+/3x/M+z3M/z30/dxu60vpDciA/RqkI+IKhIrhFC2Q1NASM
4pfyQzPlBQQE5kYiIRCEoSIKiECFIzNTQIKaKxxoa2pKSLKhzUBhCkhg38++
Z/OPZ9f1nvtc55zr/Piec72XjJs+YlpzkiS/aEqSFq0X1ZLka9r8Reuv8iR5
qZQka7S+35ok0/S7WzzPVZNknfhHFknysfYvi+dx8ZyUoIvLSTJfa6nw/vFK
kryo73/U75zO9BYtKVlWIT2L9Tsi+r8k56jWL0nvwdjn2u/U7zLtt6RJcirT
eZ1NG1r192Dp+US0qv5eL7HzpLND8g7p97b+3lhPkvNab5BtM8W/WPxPSt5Z
ybhLdoyT3Pf07Yz+PqK1XTbdL55For+i/SjxfFX7o7nPvM8qXYXonzXMz363
dOyo+S4vae0pvR9o30NrT30/LL7x+s0R7X/YIJlvBu02nV0o2T8IXTdrv0Q8
y7W/Rve5RfTRuuMVme9ySv58TN9OSFZV62Oy6aei7xJ9H/4Q/c9NlvlQ2ftz
or3VZD/ubrXMTtrvj3uid598vlfrKMlrFf9J/TolXk/Efqd4fiee4eLpq7tt
176P1ltz6xut9U/imaX997UfL/uv1bkW+eRMxI4Yfr1im4bpW9riu2PndNk/
rC1JZmtfiG+q1nslb7xkLdbZCbm/Dw+e+3R2j848of3zZX8jFrXCPlwr2wa3
ONa9mq0fmeRKf917RMh5reHcXCCd7eLvKd6R+rtDcjbqbFm5s0v7Wfr2jOx5
q2Q6PEvFO1P0FdrPbHP+kXuLSvYvvqUeOLs/8T2JAf7vLtoxnemk79NT87VK
z53kUdm5eK7ZeUPOpDr33zbHu0th/SNlzz7Z/0/Rx8qvSwuf/bnWdalz5Vnx
XK27bdT5zyr2N/HClp2F7RmT2Vfbml0Xd1Zc65sz5/7m8OHZZvsdnx+Q3nel
d7J4P6357Erp/LfidFpnDuf2J3t82iHeYZKzWvo2tNqeCvmvs9u19pC8vMV3
ORL+wTffbnLMx7Y4Xj2CPlT7n5RtHzaT/9wJ377TsG/vloLe+Eo8vWXPk4Xz
bozoB/T9df2W6FtLi31FTf06s+zB8tuVeZzVufY4c0B2T8pcOxMz5xe+wwaw
kDgRoxb54h/6+3nJWC/a2ibX8FW567yP1qdE/7BsekXy/xO1uVc+6ad1W2ob
0Yvdd+S2d7LWSyuuJejULmc7J/bhkaj3i2u2BZzYkhl331Vd3NzsGsCfa0rG
227gQd3rBbr79VVj9dbMWHw0cPp18VxNfLRfKV1/l6zP9XdDf3fWejv3k79u
19kbtZ+bGesO6FwePHu1H1jxHbjbnNw8++v2GT4k7serlt215jqbLN550jc1
9TpZcX6ucD+iL9G7sOnzqLuJbcbzAxFnYte1akyeJ7suEu/ZJvv60dz+OSQb
pjWsa2rDeUl+nhb/FO0niT4ltexJIX9Ls/OSvLmw+oUvyXvwglr9ctW4f09m
ey6N2D1aMp1e0K3muqP+xkjHTeIb0TAuE+NXq87HzmVjz8PiWSGeVQ3fiX7z
w8T4Sm6A+9TZ5jbX2pzU5/pK3iARCPGJ1LlD/oHvHSVjezVq7c2S622LdGyS
nOvEt6Hsez2QOIefaXMMNjec513qxmb4wYoBEevXxDs2M+aAPWAcfRTcRscb
JcedWr+8zXl6SWH6nor9AT8+310yRsC/QjyDRV8vvS+UHRvwtlfVs8si6Vwm
2vI220zutYc9j8jmlaKv1jq7YZya1bC9A4OnPfbEDb/2D98uLXkPz7oWyyEX
+C0LXcSHPbmBzAFRt30y40JfemNmP16ldWXDdi5Nnffk8ke6x1Ml5yu5uqPk
e5ErPaquR+ry2sBp8q1/6MI27kR/ojctCxuxZ3Q5cE083aqWDfaA0x3B3zPk
H5T8Q23OM3IMPeA7uoqa83dixbW7O+LYXHOPb6p5DmAe+FFu34FTYFT3hmPd
TWv3zP3hcvGckvzZbe7l9Czk0E876HeSc6xiv+Cf7pK9Ovec+ZXAau7G3Qe0
GuuoYXCnc2BVETjZLeauWaHrhdz5Rt71y9yr+mfOReYH5NDPh7Q6x8Ahco8Z
ANrgoKc1+2lubhxl9gWLwVF0o3dw9FtmErCCHCJn7oq+ho87Ve0nZuG5Dftk
TsPzLuc+qXlOB/uYY8CHpTFDjopej9+G6u6tsm1h7nplFqVmmTeoQ2pwe9Q/
fYQ5jj04wIy8LmYj5sEZQR+Re/9y1bMg53do/z1mbtF3MzNWjQGX1R3DB8Oe
ydHL9jRMWxT0tbrXPtn9RGFcApOwZ2PhGXFVxbPe9LC5LTUezdD3iblzjNnz
x7lljss9RzFDgYHEh5gRo9/Kttmyaat8uCvm22HRr8eXjGXX6+8J2l+n9dbU
s+aDYSP4SC3Nzh3PC2M+xE8PROzJgT+Aral75XatT+v3ivY35X6T8DbpSD1f
klsPS/4dqbHsIe2vyJ2bzLZgP72QGIOxE8LOjVXPn5tqnsOYxzYUxsL5cV/e
BGAvc9L9DcugJ/BuSOPt8Gq8Bc6nrgnqEN34Bf/wDmC2xbf4mjyi15NL5NHJ
eEMxq5L35PygunvSDMmYlXvmuC837lCPyDmdeg7rJ97D8tcxyTkoWq+acf4b
YEzquJML91Rdj7wV6BfUJ/PMs6l7+of6PkpyTuvbNXXbNT9sO5P6nXNe389U
nB8fp87T1njvvJd+MWuQ1y3x5kInbwlwgHiCxeAwecR8zNnhddcib4sumWvx
adnzm8Lz3u+19gj6PPF8WvHZ49JVrhkfdmn9ILX/j+v7qtz4DE7fUDW+Hqsb
78C9nRXPW8RiSG499BTiQq5tjzrqVHMfuUDrwNz3wvf4grsPEq173XH9SPSj
8XbmDQ3GvBhveWYK/EZNDam6nzA7741ZnDn2rxX3pK6F4zk9YtQzM17ObziX
8fOKiBmxW5hZB/ei93w39x2oGzBpZmDUuqg/au2WmKeY8XnbHQtd6ED28sK5
tj/yjf5I/6YX8b5knufb/JrzaYHWLTXXI++/bxXuKQO1rq67rzxSNx7ydiDu
5Foe7+0rM9clMxHvJ3oleD4tdZ0sKdyXyFtyiVoADztHjtEbwHdqmFr+WbwP
8C++BZ+of3RsqvqO+PVsvImx553Mcvh/CXPcGzHLfSd6wS9zr8wW5FZ75pmQ
2ZC+Sn6T29Qrcyo9nvck923X2Xtz9yZ61N8arnFqnfzibUgskc/cAA4Sf/oN
uD01t/+n5O6Ja0L+25nfdUML4w1xJ9b0yW3hkwWBq/RYZg7OzclsE7Ztkz3f
zD0nMC8MiJmNuWtr/K/kNsn/P8zmffk=
            "]], PolygonBox[CompressedData["
1:eJwtl3eMVVUQxu/29+57776ngcRgjJE/KMuKICCCIKCAiRgploVQRenNKHWX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            "]]}]}, 
        {RGBColor[0.920234125, 0.767105625, 0.300985375], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNWGtwVdUV3vfm3nvuOfeex1SjQh8zHTrSgQKFFpS3tgEL2JZHDYU+oNER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            "]], PolygonBox[CompressedData["
1:eJwtlnuQjnUUx593b+9l3+fxNOXWxdRoqqElCrmUjEuxNWGqbfmDVqVVljK6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            "]]}]}, 
        {RGBColor[
         0.9091361666666665, 0.7599983749999999, 0.29733204166666666`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNmHuwllUVxt9z+M533u873/t9L3aRExY2Y/ZHwOE2TWWheIubQUdIYcy4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            "]], PolygonBox[CompressedData["
1:eJwtllls1VUQxk/b29v/be+/vRCMICiaGH1QVo0aQQUEtAVRQEAaUASUfVEf
XKNiCoWyExMNiEFFgQItbQGh7LKDoKyi4IZgwhZIRB4Exd/n58MkM2fOfDNz
zsycc9vgcb3GZocQ6qEENCYTwod5IfyUFcJI+OqiEKpQLEaugt+aCqEc/R6M
KvND6FsYwpu5XpNuCmsVyRDO5YTQMh3CQWx+Qz4DxpQ4hPZgrgUrDQX292at
GN0d2Mfo+kPvwY8HszvY5dBi+GHsOQTedPAOYjsVzBnwu1kbhO55aA/8xxnr
OgE/P2MMYclHJfq5rO0EfxMYu/E/Dv1s9GXEu7IghG9YmygZehZdG+Tz2J6D
phJreexYWoLRCKz1YPZB7oi/miiEB1h7Gl1v6H74VinnPhw6yt7DxHwqacxp
YO1k7XZimYW/sfgLxBDlOAbFcgDahT7F2tCMz0hn1YStvbAfjDwduS3ycvyv
Bq8X2E2wWQW/KjK2clSue8Cr0F0RwwZiuZpvrCXsvwY/ELzJeb6j/+4K+4XY
fg5NxL4CmynYzsdHK/xXod+f7Ri/BbuG+CcQ6xWoJ7ovkXuBPwObWbIFozLX
53FE9wlGDvYPY38P9g8hP47uRmzaw0/BZgH6M8iT4Sdh3wjsC+w/yf7SQtfi
GuQdyKegJbmumcnoFhHDdvRvY1NNLI+T0yX2toZuZW8VMXTHXwPk5Wnv0d7r
2PzBeaxk7Un07fBfDVYb5OWqXfa0hS8GL8HeR1i7F7zTUKs851iB/zXg/Zjl
M9BZTM/3WUyHZpJPkwLnMhR9Y/jr+ChAfgv7ftiPAP998E6wNh65ecqxz1WP
oDtADHdn+Y7KCn1HuiudUQF4NUW+W51BLfyrnOn3CdvIdnvKZ6ea64/ttpR9
q6fV2+oR9Ypq5rmMe0S9opiGI88pci7qydnww1g7nHRNvwjfAh+LstzTpZot
6m/0v5DvB/C/p5zLBagaeRLnczG4xqaC9yhr57Ic703s7Yp8Hr4F1Ay5DvlK
nm1kO4P8LpLfCeyHcpZp4r0hx3c+BPk+9pehawK/Af5oymfbgD0vFbpHVZtn
odbo+oHXDOwt2KwnnrXQanSNWesGxlOxec2XnvCXIuc2h/M+Szzrimy7Gaov
8ozSrNKMHY3/Twpd+6qhT+G7gVGLPsHaY7FtZKuZVQFeFjGtSrhHloD1s+ZL
lu90AvZRgXM5js0+bCuJZ2+2e3oA/tawti5pjB6xZ6rm2Q/QzWCNil3r/ZBH
x/YhX8o5G/2gyP4a4iOFr3Jimp/tO9BdjIg9izQTR8aemZqdF6C22BdjX4//
lcjd0RVic6fmEbRMZ8PaVnTb2dMj8gzTLNPaYHSbkUvhm7O2CX5Xym/JZeJp
l/bM0ezRTNJs+pq1IXpf2LMXfmPauZUQYy36zlANvqpZ6wJ+F+TapO+gBHk5
+d2V5Zyr4JumXHuqyS4Zz1DN0m3QRviu2NclndPiyGeks9IMGID8ROzc1eOL
0s5RuWoGLY2MIayvkAexdyBrR5POYTV8x9hvcTb0N3Jp5LdHPbcD277I+5I+
ozr43tDupN+EFfBlsWeN7nwi/DFiGKm7Ae+7tHtQvagZplmmN1Bvod6Y/cjX
IvtWT3eIXaOq1RowiuFXs2chci45F6u2VUPoxoGxBl0Ja2NzXVOL8fdF5Fkv
m88439fZfyLhnJV7Q2wOJfzG661XjapWNQN+he8T+S61Z0uRa161/w/+O7P/
WMp/Gc2AURnXgGrhMPtfwddr0PGE3wy9HR3ZMyjP961a75Dx7NFap4zPSGel
GN+InZNyU07dyG1BoWtdb9rllGtUtbqXtbHqB3LcDdYuaB54Y2LrdEe6q0nI
LwT/mQ4V+Q+lv9R5qFXafw79PbRHe7vGrt0cfHSK3UPqpXn6oyCfTPtt0kyc
iVyJ/ek8z+By8P/K912pJ9WbegP1Fq5nfyn7+8fmVdOqbfmQL/0JO8O3Tju2
psSzglp/hrW1Cc9MzU7lqFz3QNPwFaVc23pT6zRbYteOelC92Cc2ljD6wtcV
+C+nM/soYwxh6Y9Ri+7dQt+1evQd+Mv5frv1B9VfNC/lv1M9+p3wf+b77VaP
q9dbxD4rvQlLwH8w47+N/nDtMn5D9JaoR+oj/yE161XTVyPPHM0ezVTNVr0p
els0E8v0F479lujPp7/f0oz/MrqDZfAvx65F9ax6tyRyrJrZmt1H/n+PVKO3
EP+/ePWhfA==
            "]]}]}, 
        {RGBColor[
         0.8242442193742708, 0.7055763914818389, 0.27033889914652787`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNVk1sVGUU/aYlM/Om8zqPbiSoVRelMzUpJrYUqxAVWlpNDFD7s0CKLQoI
/izdaexCikCrSTHxL9FgRJq0UEhA2ml0Ja0urFBo0pWJusRE3enCczhnUhdf
vvu+n/vdn3PPfQ8Nvb73taoQwp8Y1RjtGE0YD2PMp0JIUvo+XQjhZDqEU5hH
qiV/iYsF7E9BLuHMaC6Ez7H2N+aRTAjTae1TxxdV0jkLOcbYBHkYZw5iPA/5
WkFnZjHPYb8WozFI92RK+ssp6StCnsG5C9i7WNA7lDfadvrwGMaVmhCOw9ar
mK9jf3EdBu6fxptLmB/FmXrMNzC6g/zh+g7ISzhTxGiBXMpCxmi1PdN+q+R3
tgbZxLktyG7OW4Jsn/L5DSm9T/u2Q9826+U7Jesfg1yXlY385j71vJKEcAZr
r2KO4E8P1g5g75cohGbovB/z3hi+wsc4UazS1YrXDM4NYH0+D9sh74Z8GfJf
Odk1DX1/4Fwb9vqD5i2WuzBaIe/yzPW+oLnVZ5ahazPuj9aGUBUpv1/ndYbr
PL8C229nZGs/7JyFDQOx/G7KCg+ljGTGg/Epef085gbMz2Ben1V87nEe+d3i
fK33+tPwfxDfTybym/llnqeyyvkezNOJfP490n6DMXAjLxvfhS97YN8V3N8d
qxaurROW+2LJvbHy3+041VtHu7HANcZtyBjvCLJ1ZxDGbmJ9f0a5JE7PAX+r
KeWwnFYOB32mcp8y72/Oq9aa8/KHfl1EHn+KJE8ZTx1+bzSj2ttkbNKuToxb
WO+1PI9a+hZnyph/wPo71aoJ4m4ioxi9hbX5tOLBWjlbpfeuFqT/8bxi/mNa
cf2uILnXeOnz2y9n1vA14ncYE2Lzbq3i7lhBMTmVUw102h/iqs3YeoI5hq4X
ML+YUbwYq48T2fYe7nYk4pl7I/l01nXOe8Rcg/NSdM0t5uXrAuYLNfL5EcgL
uP825I8ScRSxQZ56FrbMweZvYO/7GGOQPyioDpnLnli1325eJcb57ibnc9AY
KJlzaA/1ls115Mkh5+m3SLglfrk2bH87jTPG5yWv8/xzsfLC/ByIlV/mmTkk
hplHYo1cwffoH8/QTtbxnHm4bGwsRuK0efcF+s04zJnXt7lm/81J5z85rW33
OuPeYvzvdNwZ8/pI+SSXHEft3YH8K9ZmapSvkznxHeP0VCI/W82xPNtsnuEd
fr8JXz9NhOPPEvEjz7C+iR3GkO91Wkfb/3icvB4i4YP4Yk2eMz5L9oW83Owa
ZN+jfbSTuOMaMTPp/BXcvxiH2PE8kVO/Y98jV3I9FYmLyclf4exyRhzRY5zc
dO2T6342ToiXJcvkvyX3rLmCOJZc+30kXsxEqr2Kr93uX8TlfZFw0wn7j8Xq
lUcxb4xUVzuM5bJ7M+ucuLoeyRa+yzcYl0bHlDVMPeTFS3nVQDZa65FFv8/Y
NFXqwvz/IM4dwdyFdw9nlK8KX2z1vRO1WmdNsCdP+X9jv+uAdbHPmGHPXHBd
10Wq0RFzLrmNfNTtGiImet3v+F6/eZKxI8aImzvG2zB7K+Z8jeLNnLJHME+r
qTWeX/XaXf5MCRt17mfsYwfh5zjjGIlvP8xIL/8HuE+OHS+oT/C/hn5M2OZP
EvHapRphj7or/yeTrlP6SX9pD++dsf43HN8HItX3Btc+/SAXUD7k+AyYtw+Z
u/clwt159+QxY2DJvZk4POLzA9Zz2HfJdaPmQHI/7ee9XY51pTfdNo91++0u
x3PZMW00VxaNocT2F/1/1eh7E7aBHECdzB35if+pxMzRRDFfibS/4ncX/e/Q
7t606BgNJooPe8KxRPlg32AMxh0H6rnlt/4DKV5AJw==
            "]], PolygonBox[CompressedData["
1:eJwtk7tPVFEQxmeB3Lt3nzc2GjSoBYWNmPgP+ETjExfWbKEiLMYH+OrsNFoI
KC5aaGLUBB/RxIJlMRFcIFpJ1MJnJLGysdRCOy38fY7FJDPnm5nznZnvrOw9
WTjRYGbtWBM2kjJ7xMFgo9lo3mx/bFYKzVrB9uEXs2bPSJwLzHYmzarkjONf
IGc6MttITg9+F/k94F3kxwmv2Yt/if736X+e/rfIvUZ9JfA7K/i7yZkhP4s1
0G+as5nAz4TpDt0VUP+HXsuJjxAfxrbQbylxH34Z20Scx1aF/gYDe5wxy9Hr
KXz20O8M9p24DWuJ/nM277GZ2jJWwV/L2VvwjqzXitN2cuvwuwv3us7wk+Qs
oddz7CC5i4hb8T9gp4lfRY6dg3937JzF/Si2InLO4n4IW0a8jrg79Jk2E0+k
nYtmWMM/Dn499DsG8A9gQ6G/WW8fyvnbfmDD+GOcvQdbTPySfgXeMM9bOuA/
jl/E3hCXiGv4Ge4ocd8Navpj37l2fxb+VbAdxLPEU+QXeF9n1n3NWLNORL7L
OrYL7KP21+g7v8q85iPHxFncb8Y+G810WFohXgBbTc5Xctdk/O4x8Db8e+Cf
wDulT7jcIX5N/AD8Mv2n0q7lL9R/pr6U9V1Jk9Jme+yzLlLfS/23yGclTZ0C
2xr7bjSDMvhk2rWrO26D/Uo5l2bwnynvoV7iLO6/U65VzUizEgdxEWdxf0c8
GrrGpLWLOX+rNDmIH0a+K+X0ga+P/a3SxAb8bUn/m9qpdrsQ+a6kiWOxz+Df
LLj/Cn6/NNjkO9fuZ5lhS8LPBsCeZFwL0vAk/gQ11cD/uP76SN57aYfa5VzG
taIe6vUw6bNQTS3vmpf2pakXxH8BjVST6A==
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0k0z1WEYx/GLTehI01IP9AZirwUlNSlxPLWIPLSKUjvvwEPSg53KjGGm
wYzjaSaEGSuxYjC1NYM3oB0LnzMW3/ne1++6r/t////n3G7rSr7NiIgh9OVE
/McJUpcjfmZFzOVFzGIGS9kRZ3qneKKXzI3IvRpRy1OJiBquRqXekv3PrDPN
TOhlcJV6UV6i/qNuNpuHsL7LTXiBSfOPMWq9oXcJr6x3uJ23eVq/BrPuOYcB
d/qm94G/87zsB49gwDMH8RF7Zr/wV3xKZ/Z/5l/2L+Kv/lj6Hs7OVrdwmfoe
SpGvf59b5Q/4urqcb3AFt8nH+UB9E7vetedKRC8O1d2+wS3el/fJ+nGkTpk5
5ndcwA+5kB9xuzMT7tJh/U/2mt+gE1vO2cQ1+Xtnr3uX+vTvhjX5KjrlHUjK
UliQzSPLTIt8zcwqttQvnbnJw9zv2yzLf2MFjfY+Rx0aUI+nzptxt2LnFeFO
4uJ/dA65r1Hk
            "]]},
          "0.375`"],
         Annotation[#, 0.375, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2291, 4269, 2696, 3977, 3976, 2290, 4267, 4268, 4266, 
            3975, 3974, 4248, 4247, 3104, 2288, 2794, 2687, 4244, 2686}], 
           LineBox[CompressedData["
1:eJwV0llLlGEYxvEn6MDSzCgw6agPYKZFi+3lVGO2UGHNgIFDlAppCxR1UsGM
krYcd9QGOVozFabtVJR60EYa1llknyDKkxbs9x78uZ77uq/7fh5fZ36qbWfr
lBDCCCqLQqjCxPQQYgUh1M4IYQs2IY7NqOHH6Easj2pswJ2ZIeSxzvmfzBr6
l66lOX65vcmSEBKoKw6hV/1Hf7X+w2nu4dUiy1/FWxndp74pc8N7HsjE1AM0
Tn/z4np1ckV2bqXdZid5e/Rfy9XTV7RXtgdJ9ZB6Lx2kCTrJD4UhfFDvU7+n
Kfty9uxAs70teGL3U9zj7cZUM0k65G8bxEEzBzDL/LBcq10l6n6ZNuf78k3q
ZhxWj8kdoaW0QO+dHTXmzvBOo4z/kp/zvjy+qs/yj3vLCXyUTatn2/fIHRnn
Qvl2Oi67Xf87LePNRYtM2lwGn/Q66Byz7XTU3SM451xhZkx/Ie2MsvzztFLd
RavoVXf8olfoT3qBv4h+M3eNdx0T0f/J/sV0Hu3GuP4l2YvY7z2P8YX3Gad4
J9HAG8Bb3hsc4x1FPa8PL3jPo+/LO4RdvLvRDK8fKV4jtvFuIc/LRb89XiL6
3fKyKPae2/wFvKxzOe2hP/SW0GdI++6XaYZ2oC/6XrTLN+lEhZnlvGqswDIs
xX/t0nSJ
            "]]},
          "0.35000000000000003`"],
         Annotation[#, 0.35000000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0jtsjXEcxvFfUfS4NaIiTBbEqZqo1j2lBgOpy5F0aFMECe2AEO1RrYWB
Ni6lLp200aguSiSGYiHSxi0xEYwMpE3QI9H4vMM3z/95fpf/+755F9Y1VNXn
RcQwGlMRvdMimug3/JzqPCtixcyIlUjPiGjmzyCrXiq7WxBRLG+RXSqMuIw7
0yO6cc+uQb5XTzttMDOJ5qPL7u+ol13g23ARnXprZT3OHepf8YmvwTU7r6MT
Z+1Ou3PM3Tn8QYovQLPZX+q/cdVcN3/engyfpa+wWLYIGfedpFP0PfE+k+kJ
/kMya1cbf4W20w5aqf++uzbTfvpRdtS+Ev3LMSrf7flGaJd9C2S36aCe+fbe
cv6sXqJ+zvwPOmD3A7zQu4y/oecmtut7a3+rvrT8Hb+UtvBv5IfsnGOmCF/k
W5PvYq4VKdlp+ljPbPdmnV+rz9N3PHluekrWhEbM5V+qF9Fj6kP215jNt6ea
rlVbgyN6D6NQ3zp71+MgfwD7nSfq3+u8D3V4r2+CLA/b7OlDrb4hebX6MB33
7v+wk3/G76DP6a7k/5JX0ad8mfvLkZON21MhH5AvSf41z7tR1o0Nyf/qHUrR
o7aJ73fnIzxMMJOhe7BFrRJj5vo9Y46O2N9nX5n5v/wquhrlqOBH1YvtTeM/
bq9xZA==
            "]]},
          "0.325`"],
         Annotation[#, 0.325, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0j1I1HEcx/FfRI/WeUFLLeGi3NFgag8EEVnQUFS6RKBGQZmemktWika1
RbOek3VFxXmRQhBFnoNHS1DtZlwZaBDqkkUtvX7Dm8/38336/f4PVRevNves
CSF8wI3NIeQqQrhJF7C0Ua4yhNpECHuQ3hpCPz+AfvVnep9sCmHXlhAW+UH5
IYzxFckQ6sw8Va821yBukKunj+zNm+3W24MOdJufxw+1+/oy4ox8F+2iWXua
aRs/bP9f8T+U9d/T3yLfxLfSO3bfRopPY9X5feaT9Br9Fe+j7zPt4E+YnxUv
utsCBvjj5r+Kv6GM75jHOnNZO0cxggd6x1Cr/436jPtU8a/FS+55zP5X4rXm
zvKzZgrOapQv8+PiPHrNpexIY0Wthi7Td3QnRu0o6tlhd1Y8Z3a3+l2zP+mk
/RMoxefmh/WM4KS+j868pa9G/hM/JB5Eu31J/dvwRS1B5+g03YC3mELB3nEU
xdvV++y9jqN2vY/fxJ6ce52jJX4mflP1DDpRaaakN0F7nXtZ7hLaxVeiRyvf
ggv2tPFFej7mcUi83uxLeia+B/FpOk2b4j/mbqfoFL/POftxAH/kD8tPyB+k
k/Sh3GP3LHiWF/wyv8o/53PiI/oaUW0+7znqnf9bvY7ujf9N/Hb8it60nhT+
Axfxc+k=
            "]]},
          "0.30000000000000004`"],
         Annotation[#, 0.30000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0F1ozXEcBvDfMsyZ41jKLmS1NNsS0bgQZqKINovSmPKSl9nFTnFsVi52
JXKH5Ur2ds5aXrLJOV5LRDYpuZEzL1eW1JmbScqFz//i6fk+z/f5Pb/f/195
NLmnoyiE8B7G5oVQPT+E+3g6FkIBGkpCGEmEsCYewm/zajyDNywI4bbcenwL
98nehHr6Lr0R38Gb8B/+Or1roQ6e8Bv5aX4GcvpbF4bwlJ/DWbrYfE92Nj7o
zrf4GI7hh/xSfJz+gA/pOgKHIU6/tH8Fr+GFrhbvzZaGMGEeh838vNwZ+UX4
HZ0yl7k7J3vWPEe+g07COXpSrhsvw3G77c4kcBX9HC/HV+yvwg67n3SP99Xg
Sfoav1zXM/295sXOlEPBfsw/aJRpgkpeUibj7DB85dXLjJjz3l5j30C/wVvw
A11Z2CtXpGclf2v0j3jFdAt/P5zWuc3uPB7XNQG/+PtkP8t+gU/Rd0IePsp+
x1ORlj0p90++DZd4R53uuXgaZuxT/AQui76Zt8u+Gu/EPbou2O+mD9BN+JJ/
cRG+Rf8D/vJ69bfaN5uvy7fjdvqy3Cn8CD+GUWizq3JXhfcthRP0Dz03YJZ9
X/RWZ4bdnYEB/iAvbU7rXmIewkN0TH6Vji75bj1TuMJ+0L7fvpPu4ndCrTtX
yNZCii7oHZDth/+ug3Gw
            "]]},
          "0.275`"],
         Annotation[#, 0.275, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwVz0tIFFAUxvFbbZpSi8Is0PIxRZThIoKgyB5Q9i4bi3CnqG1U1NxYizY9
NpmRFVQ4PqKsjVgjpgQ9IGo1tkhUCKMoIsaFJURQUT8Xf757vvOdc+/Nq6gv
rZsTQhhBfH4IKTQsCqEgI4Qo1qaH0KjetDiEKb0m56YFIdxZKB8JIScthM/q
LziNdWaaabNcp36mfheNy0fsKNTvVkftLXLeyNtAu+zukVkhX2X+pnM1/Yiv
esv4WbjFv24+2/mTXo17amibugO39W/oH+Sf5Lfzfjm32zGJC+67iBLeAezH
efnVdA3Oyf+gMxiTz/DOdHzHNC7x3uKv3G9Um/3g/bnumqSraIv9u71jTJ2t
rpTLoePqmPw7vVHswk602FdMG2iZbAxz5Qt565HEP3NPeIMYURerE/b9ob3e
NeG9+fyt6ld0C82l4/w6e7tllntXD31vfyeNo1Zvpdwpuo+/FymzS3lLcNUd
T/UyzbY5T+hH9c+a/UYv866gFfnqpH4ePaOfdHeV2aHZf/J3YDta/eGa3qhc
4+xOuo3/mvcGA/InzCXwkv8CaTL1dj7XH1YPYRARfiX/Gf+Ruh99mMcv5w/w
S+x5gLvuHeY/5iWwh/eTd9TfSnEEMRxDB/8QPYx7svfRixR/Cg/t2eztx/XL
8B+6MHPe
            "]]},
          "0.25`"],
         Annotation[#, 0.25, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl00tI1FEYxuETmZnaHaLEsvHaoiDbFELtLGrXgNGyTNsYqRWB0MW0VrVI
R8dGx9CybWqLoKY2tQorqKggkgS7EwW1CLpAz6HFj/d87/d+5/IfTTS2Jg/P
CSHM4sOCENqXhHAUR3B+UQgXcHFhCL3owTH+Vd4YxtWTmEAH/w7vLqbUj/EI
J/ifeJ8xrZ7BG3TyixaHUIxf6r/4g27+et4GzDUzD3loUJ/FOVwqdAc6SK/Q
DM1iCBXF9qDl9AxN0DQdkRugo7SLXqPDtIv2OzONMetOXjdto2XOHfRNatyr
lXcjvhE5tOv3xO9E2/SG5NbIZelac/l6CToca/5lWq6ezy9AlXU1yvXW0Vpe
DR0pMFMkj8Z4bzrkDVm809vvrBK5UlSYbVJvMvter9n6gJm0mZTzSszMqFfS
JtrHH7bO0D79HfJ74zt4P6177TGNpeqTMqew3HoZXsvtlNkVc+pURPa0TCXv
u7v8QBG+4Svy+Xv08+hG88fN1NK3vFkcVDfHu8W94m8o1+Be9Xqr1Pv4JfSJ
tyb5T/nPsA1b0eH8OpqU241bsgHVvCo8wD2Zm7yH1lNxzj6V9DedtO8Evpit
U1+Pf9MYdfeX7lImt4V/n26mq+lz/ov4e8us8N2z9JX5QZrBIeel6QBS6Ecf
Wvil8c10u3w9Ptozx7sd74mc3njh///Df5BmfTY=
            "]]},
          "0.225`"],
         Annotation[#, 0.225, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j1I1XEUxvFzBUGvt5S0EG6mN/deJCOXICqhKAhvmm+9eN0cbCgzKJrE
prIMSaSasixtSGlpqnCKhoKGILJIg8DELdNK+kjDl+d3nuec8/v9LzeTO9vQ
nYiIp/hVGNFTErFEL9CdRRHtqYg2tKIgGfEc0wUR5/GpOOLNuojDepvNLOlZ
xgrmZDOyI7Iu2Sov1Aksyn7To7Je2QbnUnyw8xr63Hub/tE3Yu44zeKq3s36
mpxPoAXNKFwfkUSFrFW9zd6v5tuci/gpVMra1dtls7KTzqX8MmRkp9Q7ZHOy
085ncMM7BtxZ5g0zvvszOpA20ynPrfXI0+Zv0nJ+nh2D5gbVJeYa9Q+pb+GO
3cP0gLmD2Lv2HfJ6+pHup030irnrGMBl/Rn+IX4VrcZWpNyZxDn3LNAFXq/+
Gn35zltoguahh/+D9rs/a98lmuN1IK3vvXdn7dkn26h+hU34oj7Gf0vfoQ57
cNH8LlqLVXkN/Utf02pM2fdST6XfYtJ53j2j3ngfE+onGMdjfJfVmb0nW6GP
eGP4xt+tvstfpg95DzDLr1UP83/SUd4Ldz1L/v///gMuqV3y
            "]]},
          "0.2`"],
         Annotation[#, 0.2, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0r9L1XEUxvHjYvf6494U7IdoGuToJC5iaC66KGguCiIEToFCULkFoVy1
NNwE/4ssJX+TKDiIoCnkoGiKoAWFDS1lL3F483zO85zzOZ/v5d5/0tfWmxUR
49jMj+hMRvzJi+igS6mInJyIbvVBOmLeeQ6L/CTt4u/z35tr1H+s/uBccjNi
ij5PRHyk0ziVfaKlshn6QjZL53AmW6L3ZAv0pewzXcEP2Rotl63Sb/YdoSo3
otnODdpC92ihNy2jALXqVv4D8xVY4a2794Bfjy3fsI1nsl26gx79F7Lf2NC/
qT+DM3vPkUASu7xf3vATr8w36S1zHjBfRx+rH9I2uoevaFC30xr6CPUYt2fS
XbftrvR9d2mx+2/RImTxAmP6xtydtmuUjqovzRfoeau+Y+bNVa7+xx+Wj6jz
9A/TjPovPyEfUhfpv+GcjQn7B+Xv6Gv9X7xxGwnnfr0pc2nko5p/YvYp/1J+
5Hx49du453vq+v/zH8R+U2w=
            "]]},
          "0.17500000000000002`"],
         Annotation[#, 0.17500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0UtL1HEYxfFHjXRmnHEQYWih4E4yvGwUsRdgGV4ity6E0I1GulJB0FJ0
zKJ26htxUYPlhWBUcDk4QaIIhUtfgJ/BxZfz3M75/YdpnXj3eqYqIpaRTkYc
ZiLq6REdSEVM1UdMYhytlT2KdRFLuEpHXKMaj3Bulsdbvs/0rkEuXyftwHwi
osldl7otG1Fy062ecp9wl8SaesgbebqObTdp35JBjreRPuXN0h27TTefMMLz
hW7IyOPCrkd2uKvGE94+/TPesl073cMo30e6iuf2/VjxnbUyPtAFmVvqrzyL
6mb7FtzKm7V/TN/Tf7RTVo3dG3dj6NDP8f43u9Tn9Lvqb3S6kkl3Km/alfDb
Gz/N/qjLGJbbS7NmZ37DKe74XpkX1Sc49O6ljAIdrHyH/Uv6Xf/XfI++0N+Y
D9BfPAfYR0puAT9wnHn4/+8BGk9Ddg==
            "]]},
          "0.15000000000000002`"],
         Annotation[#, 0.15000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0bsuhGEQxvHZiNNilxAhNESjddwrIBJCXIJCQliFTWQpkFBxMe6ALRwb
GofQsyJBLCqn30bxzzMzz8y87/d+XTNL09lERMwjnYwopCJS9ISO1UWs1/Dq
I+bwovaMQ36JvuMN3fL7hoiF2ogKukib0hEZ9by5Vaxh1r5P9Q9sycf5feI1
/XXyS/kVJtCv/mPXL1oxIO9tjLh1n0Hxsl05pMw14NrMDSaRcKeMnmFs2F3F
36R75lfM7Mh3kRd36Bkx005HaSetdl4linjAtjOf1HP15UdyJ/vb9H7Rb2TV
i+qPmLRzCi3l76DN9I4O4ULvsV097nEuLpk7sf8YZ/IjXjfvVPzKK6gflP3y
m/P2k///6A/HdjyU
            "]]},
          "0.125`"],
         Annotation[#, 0.125, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0L0vg1EUgPHDhCqdEJuIzawJK0sHQy0appJIRLQdSCNaWp+DP82g0kot
BgmmJtpBUgZ+jeHJc77uee975/KF7OFQRGygNx7RTEbMpyIeuT4S0eInfOk9
84Jemy/1PiYj1hMR+dGIF97h74mIHxTML45F9MWvel30sIuiuVlnV/VnuG5n
DS0771BxtmxuTf+Yj3CrdoOS+Mz5YXGVi/Jr8QFX5L98yvt8pb7HJ/Jp31mx
70Jtmafk73opXpKX1dOcU9vEuXvcD+7iXlV0/EcXn9iyr21mmzP8ZkfN7IN3
aST/3/EPDgAzQg==
            "]]},
          "0.1`"],
         Annotation[#, 0.1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{3838, 2605, 3184, 3185, 2912, 2415, 3075, 2770, 3076, 
            3077, 2915, 2913, 3072, 2260, 2187, 3196, 2930, 2627, 2927, 2926, 
            2192, 2923, 2925, 2623, 2921, 3069, 3068, 3051, 3860, 2258, 3859, 
            3858, 3861, 2597, 3045, 3179, 2760, 2758, 2759, 2595, 3829, 2596, 
            3831, 2397, 3313, 2398, 3539, 4070, 3543, 2399, 3317, 2400, 3832, 
            2602, 2763, 2601, 2898, 2404, 3838}]},
          "0.07500000000000001`"],
         Annotation[#, 0.07500000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2708, 3830, 3998, 3997, 3048, 3049, 2617, 3063, 2600, 
            3070, 2622, 2767, 2259, 3064, 2907, 2909, 2626, 3073, 2768, 2769, 
            2624, 2914, 2625, 2911, 2910, 3056, 2897, 3052, 2254, 2764, 3055, 
            3054, 2401, 2892, 2598, 2762, 2761, 3999, 2708}]},
          "0.05`"],
         Annotation[#, 0.05, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{3050, 2599, 3065, 2621, 2766, 2620, 2908, 3067, 3066, 
            2414, 2906, 2603, 3053, 2891, 3047, 2253, 2179, 3180, 3050}]},
          "0.025`"],
         Annotation[#, 0.025, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0fXVUVc33N911aexGxW5FnW1iIGKAiY2BiYqiKGBhKyg2dmBgKwYYIKAI
BhKSAgLScYFLXuDlXTx7zpq5vy//3PVhz5mz9+SumdNx2caZjgpycnIf9OTk
/v8v/wfXgyzbv4kmLE6luOx19LrfR3I4ehHFX8bbHXheIebKSyg27T1+dn3H
Wu55KcUvjlzw6dhdDtj65ClObdTbMeGDIsUt9StTrLTl0JI19qoUt7xPnWJe
LpSXxcIvysv+v4hilJctL6EY5WWfl1KM8rL1yVOM8rL1K1OM8rLvUwe+31i+
o2XkQMzKWyTzy8pbxMlbxMlbxMlbxMlbxMlbxMlbxMlbxMlbxMlbJDPuUF6+
XxCjvLwciFFetrzwi/Kyz0spRnnZ+uQpRnnZepUpRnnZ96kDP6/Ydo6WGWcs
Xzky/YKY7V+pjFxs/0plftn+lXL9K+X6V8r1r5TrXynXv1JuncF6o2XmDdvO
OTLjDDHKy/cLYpSXlwMxysvWJ/yivGz9yhSjvOz71IFf99h2ipZZB9hxkyMz
b9j3imXGGWJ2PCvL9BM7npVl5GLHs7LMLzuelYEdz8I6zvZ7tMy6xj6XI7MO
sO0olpk3iFFefpwhRnn5fkGM8vJyIEZ52fcJv+z81QJ2/moBO3+1gJ2/WsDO
Xy1g568WsPNXC9j5qwXs/NUCdv5qATvutYCdv1rAjhMtYOevFrDtqkXlbXmP
HpWXxakUo7wsvYhilJctL6EY5WWfl1KM8rL1yVOM8rL1K1OM8rLvU6eYXa9E
3Hol4tYrEbdeibj1SsStVyJuvRJx65WIW69E3Hol4tYrEbdeibh5LuLWKxE3
L0ScnmZA5WVxKsUoL0svohjlZctLKEZ52eelFKO8bH3yFKO8bP3KFKO87PvU
KWbXZyNufTbi1mcjbn024tZnI259NuLWZyNufTbi1mcjbn024tZnI259NuLW
ZyNufTbi1jUjTs82ofKyOJVilJelF1GM8rLlJRSjvOzzUopRXrY+eYpRXrZ+
ZYpRXvZ96hSz+5EZtx+ZUXkRs/uRGZUXMbsfmXH7kRm3H5lReRGz+5EZtx+Z
cfuRGbcfmXH7kRm3H+H7gqkeye5P0UTHduX8ASPV/se+jPtW8H/lTGn7Icbn
ecy/n31OjdsngwnPP9bXQg+gfJwebffb+LEaJ1fAf/83BaQj5t+DdPb/ATLv
x+eR/n/rMYJc/PvZ/oqn7d/Sv5mEbe98ilvGQxnFLf1fQdh5WU1xr9wmq+PF
dRTPXrC979P9jRS/X7X9aIG2oFf/6jjQY1eSAsX/Uko269xWorjuzP2V1zap
yPQ/u87FU4zysPMkn2KUh90XKgi7jlRTjPIgRnkQozyIkX/EOL5YvSqYs/vi
CbvvZhJ2HudTjPyz+1YFxdheiPH9rN4WzNmV8RTj+9l1Ip9irB8xO79qaf3s
PhFPWL0gk7DrTD5h9aQyivF9iPF9fH3supRPWL2qjLD7cAVh1+1qirG/EWN/
I8b+RozjFzH2P2LkHzHyz+q5wYTVezIJu47mE1YPLCOs3lBB2H2mmmKUBzHK
gxjlQYzyIEZ5EKM8iFEeVi8P/m/eaND+R4zyIUb5EKN8iFE+xCgfYpQPMcqH
GOVDjPIhRvkQI/8t9ehQ/hEj/4iRf8TIP2LkHzHyjxj5R4z8I0b+ESP/iLE/
ECP/Lc+JKP+IkX/EyD9i5B8x8o8Y+UeM/CJG/hBj+yJGfhEjvy3P6VN+ESO/
iJEfxMgPYmxPxMgfYmxPxMgvYuQXMfKLGMc7YuS/5TlDyj9i5B8xtjdibG/E
KB9ilA8xyocY5UOM8iFG+RCjfIhRPsQoH2KUr6WcMZUPMcqHGOVDjPIhRvkQ
o3yIUT7EKB9ilA8xyocY5UOM8vH8oz6H/CNG/hEj/4iRf8TIP2LkHzHyjxj5
R4z8I0b+ESP/iBNeRhsdzlPj9FAhzsDqd6l0P2ftyJz/of/x8QdeH0yl+gfr
dxD/D32Rj1cI+iKrv9b+D32Sj2cI+iTr55EDVh5Bv2T1TT7eIeif/7dfU9A/
eXvh/253Qb9j2zFVRl9l7fIcGf2Vfb5IRp9l/TZiGf2WfU4io++ydmMtx7+U
q08O2OcVKcb24THWz7ZXEae/Szj9XcK1g5jT5yUycrP6vYR7TtCXef0Vy7P6
uYTrPynXX1KuH2q5/pJy/SOl7c36kSpk9Fssz7aXlPLDtns8xay9IMQfeP2a
j0ewfo1qwvqxKmh5pCNm7Qt5YO0LYd7xcUWef9YPlCMTl+P1eT6+wOv3fLyB
fb5WRt/n4w9sfXLA6/98PIK1JxQ5v5eyjL7Pryu8vszHH9j2iefiCzkycUrW
fhDL2At8fIK1L2pl7Ac+XsHWJwe8PcHHL1j7RFHGvuDjGez7VWXsCTaekCpj
X7DxghzC6vNFnP0h5p6XcPZIrYy9wb5fKmN/IB3bh7dHkI7tw9snSGftUA06
33h7hdf/Wf6iCW8P8PEP3r7h4yG8vcPHR3j7h4+XsPVLuPK1MvYQHz/h7SPW
PpED3l7i4yu8/cTaM4oy9hQff0E6tjfSWX+EHm1fPt7C2198/IW3x/h4DG+f
sfaQWMZeY+0niYz9xsdveHuOj+cgHdufj+/w9h8f70E6tj/Ssb0RY/sixvWS
txd5OstvMBe/iedwjow9yceDkM76j4T4ENJZf5IQL+LtUz5+xNurSGf9TQac
v8mA8zcZcP4mA87fZMD5mww4f5MBbS8+fsTbr3w8ibUHi2TsWT6+xNYnkbFv
+XgTW79Uxt7l40+8/cvHo3h7mI9P8fYxH6/i7WU+fsXbz3x8Du1N1r8nxK9Y
ezSHK1/E2ddirrxExp7m41lsfVIZ+5qPb/H2Nh/vYt+nKGN/8/Ev3h7n43ls
PCWVYtZvLtjnfLyLpYtl7HU+/sXa97Uy9jsfD2PrkwPenufjY6x/QBHY+lVl
7Hl8HuMz7LwLl4kfsfGPAHJ46fa0aZHYngFcewYTNl7kR2w/p52/5WIKLc+p
0ngSrg+IW97/krT4GQR/A/LVUo8a8HR8L9JRPja+I5tHxOrvEs6uq+XsVcEe
YuPO8Rzm8+Liufcqy+hTqD/h/MD9HdcPNv8in9sPyyhm/eoi2p7Y/uhHYPvP
j0QnlrT+qCD0FzsfwrnxFkL7B9sDMas3RxPsbyzH2pfBlI7txJaPpuMR+UXM
zr8QKl8Ln0nUbm7pvyyKW9q3gOKWdhLiYC311lA8zn6l2g9PeZn5wcalkgi7
b2dRjO9j/dyC36Cl/ytlnmfjDgUU4/M8nfXb1XBxwHDa7khHvGiYXY+dTk1c
HC2JDAlLG2Mfq0nLI275racY62+pR5c+jxjlQYz8Isb6EWP9fH0t/SCi9SHG
+hBj+yDG9kWM8vLl5+h1ki6xNqDlESN/iJGftV/TSstNjOj7EePziFEexPh+
xDi+ELe8R5Hill9lij32X8jan6UC/Pta/m9M34cY34cY60eM9SPG9sX1GNuH
Xa9rKMb6ESN/iFvWpwy6brbsXyUymPXrV3F5FjUUT3G/MDjvSgPF0waOVzi/
UoHOTxf/oPygBmVg1+kY6idDftg4Zy7FyA8bV6iiePiOQzoql4S4Lz7Pxt1K
CGsXlRNWb8+ifmZ8no0jFhBWD8+ifmKks3pPLmHt8hKKcXywfv4awsYtqmh5
bF/E2J78+9m4XwnFOF54Or/+sHGRKpn1COnID9Kxv/n1qpNGJ5swVQ36PsTI
D2J8H2Lkh6fj+tby/zqKkR8sj/wiRjqWx/GCGOcfll9a3CTpMUCJ0nG8ttSj
TflBjPzydFwvkV+k43qAGOlYHvlFOsqDGOlYHuVBOq5fiJGO5bG/EON4Qozz
seU5PTqeEeN4Q4zzCddvlB/p2D6Ikc6v/0hH+ZCO/CLG9QzL43xsKadP+eEx
7hf4fqQjf4iRjuWxf5CO47tlnBjS9yPG9kGM7Yf7A84HpON8QIz8Isb1gqdj
fcgv0lEexMg/Yhx/iLG9EeN44TG+D/sD6ThfEON4Qoz6I2LUT1rKGdH2RIzt
hRjbEzHKjxjbh6fj/onyIx3lR4x0LI/tgXTESMf2QDq2B2JsD8TYHoix/3E/
Rn5Rn0Z5EGP/YnnkF+koD2Lkl8f4PPKLdOSXtT+K6P7P2mPxXDxW1u7C9RT3
Y5Sf17fZPI1yut+i/GyeRjmXVxdO2LhBEmH9iDF0v8T2w+exPOtHjJGJS+Lz
rF0g7OdoN7L5DCpcfoYS599Qo+Vxv2HzBdQo5vcvjI+w+QNqFGN5tJNx/2L1
Ny1aP9IR436BdjXSsV94jOXx/YixnRFj/+PzqN8iHccfa1/k0/0A5eHtEzbe
UUXtc5QHyyPG+lA+3r7B+hBjeZxvuP/g/op0XA94+wf3C1zPcD9BfwaWx/GE
5XF+IEY6Po/+DHwe5wd7nqJCZj9GOsqDGPdf9E/ges3zx8cbkB/kl82fKufy
rUq48xFl9HnE7P4gkdmveX860hHz+x/vX8fyiNn9WtgfcX1g861yOf90Pt1/
EeP6jvwgHTG7nwn7EfqlsDzOH/551h6s4Px9Uhl7E/2t2N/ob8X3Y3nEWB/O
Z6Rj/+D+gf3B5vdXUzq7XpnR+pCO/ig+fx39RazfEP1dt8ljzRs7CucK+VQ4
f3H8sXmOYhl7Ef1syB9iHP/4PO5f/H6G/kpcz9h8pSSZvCk2rpQlk4fO5r0W
yOT5sHloNTL1sXE94bww1sfmuRbQfRr3OzbOmSGzn7L7XxLd73A+8PYq/zxv
D7L5A0Uy9ikb5xPOT2L9bN5bDaVjfyIdxz/ud9i/uP+w/a1F9SHcP3F9x/KI
2XyCcG6/jKYY5eUxv5/x+y1iXA94+w/HO2Lc75A/pCPm4/u8vYQYxyNPx/2B
HT+Cf47fT3h7D/cPdvyKaH9heewvLI/7KdJRHt7fyK7/WXR/Qf2RjXfWUIzt
h+s9zm/EOB/4/YCN9+VSOo5nxLg/8vsZb8/x8U62Pilh+RHsMeQf9w9sH/b9
AkY6lkd5EaM+hhjta9Z+VeXqj5Gxv/jzcvz+hhj5x/2G9c+bcfNfiL9heeSf
fZ7HFXQdZvNxUrnzR/y5btm8Kva8lHAOis2zDKf+fz7vCtuTzfsTzolj/fw5
KjYPM5yTQ8jTxPnJn+tAOr4f6ez5u1r6fv6cFhsvC5fJm2XzCZMIGxcro/sN
nyeG/LD2mHDuHflh80Qy6f7D5gsoc/kAylx8X5mL5wvn5HHc4Pt4e48tJ/Qb
3468HGw8Vzh3z5/nwf2EHVdatP3Y/K8Kitn4qVCePT9eweVPRXP5R+Fc/EaR
xidxfiEdn2fzicLp+ovjgc2XSeLoUkrH9Z7V/+Xo+QlcH1h7STifgesZu/4r
Ujryz9pLypSO6x3LXzSXnxJO9Xd2/BkB6w8xovovmy8Sz+VLZHL5GPlcvkUZ
xWwcwoQ7j2XCrVNm3Hg148arGTdezbjxasblX5rR+D2u8xi/Rz2dzT8IoHFS
9px2LtWncX1i87IqaHm0F5GO+wlipLPx4jr6POofWJ7V/4IJ0vF51D/YeLNw
7wnqH/g8q/8FUz0Xy6P+yNsPrDxKtDz6O5CO45GXlz0nVEkxa79nUnkRo3yI
cT6x9SnReYv8IB35QYz9zc6DcO7caYwM5vdhNs88g7B2rQpnZ6px8yyc+gux
fh7z+zzub/g+Pp6Hz+P7WTtWjZvX4YTN80miGOvnMX8OmM2TzqV09I8gRn5Y
u1kN+Pp5fyR7zk5MMY4nLI/jBzGOd8Q4nhHj+3l7kc0rzOL8n7nUnsP3s+fK
KilGOpZH/nh7DjHSsTzyj3Scr4iRzscrkY7zleVPie4bOD+QjvMDMfoD2Lwp
NUrHec/mnwcQNr6YSVg9KIP6c7F9ESOd9d/mUjqOb9a/nEvL43hBjO2P5bF/
ECOdj78iHfsHMbY3b08jxvbH+li9S522N5bH9kaM7cnmswcQPn6J9jO2H2Js
D8TYXqw/u4TzZ4tl6Pg+bB+kY/shRjoff0U6jj/EKB+vr7H+6wCqv+H6h3TE
vP8W6SgPH79FjPwjRv4QY//wGN/H6uEiOj+Qzu77gj6J/m6Uj9X/YmTir4iR
zuqTGZSOGOk4XpGO+yVi3C95Oj6P4xnp2J+Isb14Oj6P4xnp2D48Zv3VqlR/
Rf880rE9ef2V9ScEUH0W24OPR/PxZMRYP5s/HED9w9j+rL84g/OHZ3H+gAxa
HucjYuQHy+N45eOnWB75RTr6exAjnY/f8vzz+VG8fwIx8osY1w+ejvUhv0hH
eRDj/OP960hHeRDj+ovlUR6k4/hEjHQ+/osY5WPjuZkUs/GPeMLq99FUH2Hj
xRkyfvD/+/lUaj/w+Z/sed4yjj+xTHmWnzIZ/ZnPZ/u/89t4vwtPTyWsXhhP
9W/23JlwThTXE9ZuS6JxAMR8PhqrN2bQdkLMy8nnt7LnAnMJa3fmcn6kfPqL
45HH7DmwEkpn8weLKF9sXnQMjU/g+1l/Wa6MfcDei1FCy7P5gGJaP3vuI14m
X4+/t4c9Z5MlYy9gPyJ/fH28f4q1q/MpxvHJlhcwGy9VoPY7n8/AnkfNoBj5
4e8ZYs9Z5NLyiFk/Vb5MPIY9hyVgNt9ZkeoL7PslMvkX/Plbns7Gl6pl9H/W
bpXK5Eey5/QaCW8PsPIIGPdrxKjPsO8LoPotm5euRtufv9eJp7P37xTI5Jvw
9zLx8TD+/C57L0elzLl1xNi+vF8Y6di+/DlzxNi+vB8X6di+/Llv3t5C/R7H
Na/f8+eiESMd34/2MctvABdPS6X2CrY/mx+fw+WzFFCM/YEY25+118Qy9hN7
fqSSe59Exn5i7zcS8lFxv+DPCyMd25M/L8zns7LyCxj1S2wv1r8h2FNsvDJJ
5nwwnx/K5tvk0vK4XvH2GXs+N5PSsf35+vjzNnz8HzH2D2+fsed3Kykd+4fl
T8iXxf7A53E+ID/YP1geMWuPycZnsT7sL/Z8hoCRjuWx/1n7TcA4X1j5BIx0
rA/XO5QHxwdvb/L2F3teOYbGd7G/+Hgte744lzuvnEHLs+cBhPPQvD3LY/Z+
qUruvHStTDwa6Tgf+fPPWB77mz//zMerkc76X4Xzz3z+GH8ems93xuexv9jz
M4K9jf2F5dE+5O1pPn7LxqfjOZwjE1/nz0sjHddPNp5SJENn87FyaTwe5zOf
r8znX+PziPnz0lge258/P83nM2N5xPz5aqRjf/Dnrfn8ZyyPmD+PjXTsL6Rj
f7HnsQNk7GX2vHQWtc+xvxCz50+E/AQ2v0zMxbfEXH0SGX8Aex9YDaVjf/AY
y2N/IJ09zyL0N8bPsD/581l8fVge+5f1ZzTS9sP+4893YX2sv1s4H87nc+Pz
rH4onBfn872xPGL+/Difb8HeDxdDeH8LGz9Mov4M1Hf482KIcXyw+X4F3PNF
FOP4YP0jYq4+iYz/BfnF8YF0Ng/BmMsDMObOFwnnzXl/BpbH/uIxPo/9g3TW
fy+Ux/bE/mPbI5r6V7C9ef8Qj/nz6kjH9mbzHYsoZvNATLl4iCndz9jz2BKO
v1qZ84D4POr37PulHP+Cf4g9f2pK25/lV8Con7D0EI6/SC6/049MLGi6knLS
hK5/GH9uOff8v86TR3P5OeFku7Pa4LHK6vS9aBfg8y15o2rQUs4MBtV5V/2I
QjvjJXffWzxh9cVGzu/QSFj9Qjhfzt6zWClz3hznPe7nrH0gmx+P+j2OXza+
IGBcP1F/w/WT9fcL+ifrPxHOq7P++5dc/70h5XvNXjucEvoP5yf66djz6sfI
et+eljvaC7hn2+dSlX/CeXEcDy3v/0jrx/bi82vR/4frHYuLZPyDfD4we9+A
cK8bzh+2PuFeAfY+QeG8y/99/iWH5guweuv/um8wmPotELP5FbycqTQezfpp
ozk/azh3318855dL4ugSzo8oe48de15X9p5lNt9ahfLP6qdCHhebF6PK7VOC
Xwoxu24KfhOUl89/ZvcpFW7dFPwkbHtJuXwVKfd+Kfd+Kdcfwvkiflyw9/Zk
UXrLfM6m44T1d0upv5PNWyyimM3P+F/3qKdy61wORy/i6BKK2fYSvv/D3yvO
36PI3wvO32vI3+PN3yPI35PNjyvWH5dDMcqDGPljy0tkzkuxz0u5eLsQz0b+
2Pi8cH6YzY8R8q/5fHD+fjXWf1VEMfLP+mskHF1exp+D6zs7HoX7xFj/hJjL
B5fI5Kvz56f4/G12PxHyt9n8I8H+RcyeFxTix7gfsflIIng0xq6P4wxl8PqW
NnHMWyE+ztqTSTL53ojxfex9XeHUnmDzogR7mM+/xvLsfSRCfjVi5J+tP5ra
J+w6KdhzLL2IYuwvtryEO09bS/h8a/4+JtTvkD/cz1l/q/A9Ff58KGLkh70P
RkIx8oMYxwf7vBCvZNfleC4fMJXL70ul8TXEqC/iOGDzxMTc+dUi7ryQsD5j
O7HxQ2Vg433KXP8L93zy8QU2X7mA6rHsfTPqtH7EWD9i1G9RP2TP2ahz8Vwt
YPczLe68lBaw7asFbP6iUB7XK1a/1aPvZ+9vVKUY90/+/hmcD+z5JWH8ov3M
3v9jxMVThPg7my8rfN8Hn+fvL0N7D9uXv4+Nt//YfNoCitn+M+P6z4zrPzPa
vojRfmHtJOH7Ly16MeobfnR8Ix3tGaSz+okfjV/z8WM2fppJ5wUbb67l4ryN
hPXHy1F7g8fsPllH9QlsH/a7BY30efb+SHnq78HyON/Ze+yV6LrCx/nQfsLy
uL4hRvuTjyfx339g9+cAwo9vlh4sk6/F31+JdNSP+e8f8P5bPv+H/94An+/D
39fP7icB3P38SdSO4H/Z+H08xaw9Ek9/cX7i+MT9A+ktfEhoPez6HS0TV2f3
Z8xn+M3d65NB13Mc12xeiYRi9vxgvkwcHN/DnqPI4OzGIkpnz6NIqP+AjeOX
y+Qr8PkFvL7Pnoso5+wJ4buY7PiR5+IBgh7NniPIpfsX668WvnPM3hsXQPj5
wZ7nDObuL5CdT7ifYD+z9y/HcPHVGFqezbMR4pdIZ+8lEuYnr1/z+Zd8vIvV
1wNk7udlz8MUUYzzkdWvA7j7YmM4/bSWi5cE0P3tcuuBMem+taT7rJVPPf8I
5wFZfz1/Ply4nwz7FbFGcPSnrr0VYKR2p9v694X7Oln/rQrd/7A9kI6Yv7+T
PS/+h/pzcH9D/RKfx/2UvQ/EjL4f6ez9kriefKL+oRa/oSr17+H+iesE1s/a
3WLC7ksCZs8b1tL5iu3OntfA+7qfUn5Ye6OC+ldYffO3zDltNq+mkvpn0B/A
5k3U0vWAjV/K03nN3sMsfA8Y41v8OTjcX9CeahknwvdscD7g+GbP96rR8YDz
HTHuh7jf4PuxP1E/4c+Hs/aCOp032L8t/Pwk6B/G8dPiZxT8uzh+cHzg+xCj
PoXlcb/iz5vw+fC4brXbdujVqxpFum6y9zsacucPhP0V5wOb5xJP9T02D1X2
/BXyxfpjwgnqf+j/ZtfPYLrvIh7Qb/yDyWGC/cz7qdk8JQ3an9gerH9OON+I
5ZE/9j43NTp/cDzx/hBcf9jzAGa0nXF9YM+jBRPsT9ZvLWDWbynkkbL+H3Wq
T+Hz7P1gAm5ZVwX9BX/5fEdWT4il+zp7Pr1C5rfl/TV0/W/pJ3m6fmP78+s3
G99Lpusxjg+0L1j7OJK2B2t/v+Tunw2gmNfr2P1SyBtmcSrX/qlUXuQX1102
HxTn0T/C29k4ftn5ZETHF3/fCqsX1lKM85e9h0b43hJ7f3ESNx/jufOR0XQ8
YvuifGzcXdgP2XNWwvqE85m1/4Tzh6x+qEDXe9x/Wf+ucE6T1TfwnvF/9B7N
FrnzCGsX51LMn0Nn409ltD72vHgRubBq63xF+5fE2/Ki4bNOsvGY+YmuYbcu
36X77qgba28kj/Kn8QXf6RPuTe/xlOqt37esm2Q5zZtYmim0slEVvpNC/Wvr
1AIHfs0kwZ3DomxO8vEQCelZpTt41/gMMiKipM/j8EpKx/dHJkxcPXiDEO94
aVSevXr7H8qPd7SX5bLPaSTy6JYDO0XCvSaT3Y/eXpSeTd9T2ymk49GDhRRP
uZI3YVKIoAd0102Z9sJQlfq9OkQtsJczFL7LciVB/cyRxwJfL2MXGU+uFvzo
Hw+t/TbTQPguy8DOC+Ks9CPp/Elp+BM4/7YQj4hSrOz9NlSIPyDfyQVHIOGL
lCSkbxq1zKlQKD+grfTn1BqKV/glntqlI3zXBcfR3YVXA99/EuIJd/wWd/y7
StBfPteYdJw7RIHyGZj6sM9fY+H7On/OpSRaPBL8ZKvtY9f8vqIAFT0tVMbU
yMYfSjc+jDRxVIE0zWFX79kly9yr0NXtTaNvJxVQWAen5ccI98kgPwsaQm87
2Qvxh2srgv41lgn1L/mr8Dq9v3APRAeXGFHSZaH+SSsqnl0aL/TTtOT8C6sb
hPrNi4ovi1YL9xp8vzFu+8g76mAYvtDr12Xh/hkfaxPjrUmy33tpH78hbPOr
5n7t/vzxtM4RMvbM9P5xaeN6CvGC3ifujhlWokX5W28/0zWnqzblp984I4vM
ecJ9MzP9LlWcNRfum/n0OPqep6I2RAwdW2P5sYnLz5SH/ic2j9gXpwUxj78N
bjtO+P58TOcpbxXXJMvYS9571j++v14PVr8MMnjsLPt9ebmh0q6GrkL8oTy7
JvLMFD1YuUBhkOVd2e/NT0lJjx7qrQd78uL6fCuVjTds73LYYbajHlQ6vJK0
1RO+N58z4ZnR1G1CfAH1G7uSZcMmH9CDvO+/Vp3tJnwfvrJH7LNVS4Xvvc8q
9j+vM1a4P8Y3e2afc8FfZeIFRHmNilqOATz8OcVv+40Ume9fVEWtcX+pLthz
MyyOfYhON4CsF5N8xxrIfj/d6pbFmfE/DEAzcPGsiIdCfKHc1jZ3xAwhvjA6
/UH7wBrZ7010exAiOhAu8DdsUP4mh1tCPCH6s3d1yDuBv8+6RZbHAgX/642h
rs6+p4TvvXc5Zur26rQReN2v6zFnvxBPSF/6VNF9qhAvGHz6jxbply3z/fEq
kzO/1U4K8YD5anPFGruF+2Lu79nX42Ow4J+1UetoEeBuAue1V67751hIrs90
bLRc95tYnv53ffgrMUk2nNjBNj6ZxN/O/6twr4Z0W5X7ZIE4kZw6dypjaak8
ZHzzLlXa2ry/7OzjLVVSh4/uS+oG5CeTxS/7laYmRhBbi21GjV/yibLH3AfK
YyTk7JuCwYk+hWSpgs10kZ46HJiqYfijRxG5Erh22PT67P9+K0legsuts18K
yfkSr3ibi5UkZ/l0+w/fxaRn9UedUpCQcQ+fWQ3UUoWS6y7qTUsrifmKptav
mtfnXmfeHI2YISGbn2YbXrpb9N+vlBxQk8xrUlaFCdXrO27fXk+crIa8iWgu
f0hj/w9rTym54LNGd9T1zyRWIYq8spUHt99KSf+OiUnLrzz8tZV8sWvmd8Gx
VxtW/5SHhG2xpvKTckiWyc+x69YoQ6H/Oy2VRRLS8qsMaWNMNqWslZLj87pf
Pz1KGb5+ddxDFNRhVqXu58XN/fhztJnHDP9I8jXjsV/IBzV4rJA8q1+/QvLD
YVbGPgc1GD/BV/l5WiVZ90azOGGrGgSt+fzv8igpOS2Z3rTjTrNdN3HqR7UH
8nCrb7+vt73V4N3iDxeTQpJIuveu2Gn1mtAnNd0n30pC3MO+L+m/TQskiQ/7
uE2uIW2ndTW+mqEJGh8HREavU4RLnZtSehtqgedpcYaz+2fyJDZpe/FdXXgw
Aybu31lIrqx3uSt5ogvPZ0y0L9QXk1mdulTu3KgLJ0ozFVI6SoiK9aQ3E3N1
wSX57R7vHTUkPPSebaK/LnhFRTw7tVhKHpHRFwOrdOHsVqe6LsNUYeIxN4s0
dT3odHjRx76fkknY9fwzkhciuLkwaP1a1xzystj7gGmpCIi7UdrsbDHZv3Rw
f6UiESwc47b/saWENB7q5dM+WgSdw/qMnN7URLq1ifUZHiWC+8su20YvUYSz
dzMXjjgjgm0GI/cszE8hnbVDOk67bQD716zabxReSIrLLDXH7TWALeM8pfOX
iUl/9zuDLmwzgBVvy+1eeTaPz6ab6we/NQCpfHKfv2E1xCZ/wb/X3gZgfOLZ
lPonTWRg0M9j1zcaQOmNnOzYhYr//RrA2z11BaNuRJKaOx/nrJlnBDfbbZPo
XMomDvrVNjk2RuDhoDLBr7eYWE+4HR1lbgSLQ/zcN69o1kvevZDc2m4EJ0cf
CHvarB8HjCm+NcDUCBw80/JfdJCDC4/0wp32GcEG+2nR9xPk4ezXsOff1xvB
x+H9300+oghxFUVPUuyMwLh1Z6+8ccr//RrB8UejjTsYqcKOyr2dTkw2ApHl
rKGvo7PJMYOepzO7mcDBWbN39Y8tJGevPiorbmMCOx5uEIcOEBMH8zPGYokx
vPzXpqLfYgn5d/hJ57NgApKI91HbZ9WQig8T/MxLjeHKRv0L94Y360HJA08+
MjaBIalx+rG6cuAV9imz1WgTMIkxmXLeVhHIhJP9g3ONYeeA2PaqW5XhRNEJ
gwvEBE78sfdfZJlDPAL/dWqrYwZuc86e/ddYQPyT63quf24Kc0NzlZUCxSRj
7XHfzopmEP2xc8izTzWkvOq5xu9yU1jRdah9VWMTMR4cUTy71hTUxiQt/zRe
FdrU+86x0zMDe3F8QUKVYC+g/XLw2lfzDbpm0KVT2vEeewT/hnUX95ln5uWR
v/OP9i51iSD3/n5/PT2sgLjmR/Wpsf5ANEyOJQz+U0pMvu74GdblJ7m9sW3f
kU3l5MfDvX5HXn8k3Zx62+j2qiaLDDSN3Q2+ks3zTDd2ulxNlo14N/PEtC8k
f7XI2VJUR9rs9L+gmPeO6Oo5nOrh0kgO2y3RvvD0G0l/Yp7UMU4OZoSHidU8
w0kXtzOP7y+SB9dBta9aXQ8lbb7lPhx6ooTM6T5k70eVv8Smjb//ptkV5G2f
rub707NISfV6tbmuVWTS7SHf2ijmk1G/H3deurGODN5xLKXbqSyi29clySWk
niy7UN1tsOVfcj6pUK/P4DByJNQn7+juMlJ9TWlz0oY4EjVMfPCFo5gYzdGe
XF0eS15KBp27+aGcvDVd1JQwLeO/3zKibzX0/IcBFWRQ/PVP/sll5GrelAdv
ElRgSF3sZpsFZeTttgV9PVeGEp9P2X092teQSRl//jzsFkvCYNrxf6XVZJiz
8eLkZbGk0rZ9Su3gOjJbW+oQOi2MWHpZbKmKbSS6rc+snZcfT3ptzhXtadYz
/t1plHSakUG8tqeefvawkcQsXDtrt1Mmeex+4n7wOjnYf/nV3sMr8oj7r8U7
k73kIOv+zk9//pWSqg8uIbEL5aDD5SHPdv9Uge81CpJvPxvJnomrE7wNM4mc
+8GfCX2UYHuhX1BjQh4JuLoi/FO2IvTWq9ru2lhCRu/a3HlJs/58LQM+zHIo
I2V310w1aJ532RdCN83YUUnili/eM1y5eR4aaURq5JWT7FyTHp5nlWBC6plH
7zpXk0tnFC3EYkX4HqO1LOlDPRlhqLS4tkgBim2H9jU3byQulT9dg5YqQqqC
elPm10Yye47HPcMdinDbtKJ+vYI8aF82Oz86QRGqjarHnwlTAB/jw8UG+Yqw
Td7t77h9SiCd3GPuEzdFWNbQ6ltUgRJkB70O+zpQEVbM2lJrbZlJZu4812pI
nQpc/Lthpf2Yv6T1rfrSc31V4bVjW59zEQXkRULrsa33q4D89vV63xNyie73
LQpyUlVwPr17Vg/zMhLitq6Ts50q3IoxGXa32e407KXx9m8zTtZsl/J+aiVR
WenWWBqpAl/Fp8QeGhXE2FMlr4+mGjx8OLZNae9qsmDY91tZ7qowwHxvfn6P
OqLxXEMh4pQKGDes7HR6XT1p5dDRa/lvFZj36v09q1Z15PeNyMZHPdTA08rb
y3pZI0n02qj+3VUVDtt6bZ4bIAcbrjudOm6mBsfd7x1a6KkAO3u5bOlxSwUU
B2RLQjsowo2Z3bakflaBI/bjDnkcVwLr1f2PTjVXhe99C7a8fKsEg6N8FrW2
UIUP9+97zFqoAjsnH+qj6NEsT2rF+tK2arBu3vrhpadUYV39Ybff5zJI8tEc
a7dLmmDYPmLyabM80qdk9LQQZ014pXgvYbSkhMz687Zj824KL57NfDn3Thnp
9WFiF/uNGrDeMqQhO7OE9Ix7PT/4liaMWPjrxsygCvL98Oh2nmINUE9MLhl+
rYr0t56Z4DBUA/qtWT5rTXQ1kRN3sTu+XQOG/A6WO/CuitTtjfJ39tIEo9MP
Gl1/1JNxlrN9rmtqgPalzDEdntWRqQPb2dR114QZLjd/n7RpJD3ke5WtfaUB
/7RN6rVuNZKLg5bs6v9dA7Ijrz6BefKQ2elxQ4a9Bkw7mdTe6YEc6Jy3bH/i
mSYsr5rWK+euAmiO/locZKMJS3vcumIwWAk67nW6ek5bA3ydujuWxCrBj8hj
y7+d1ADztdaBqs3ts6+k3GpBgjZc+HAit792Pjlzq80O65068OTlkXMHLPOJ
mkmcdtF2HYh6PH6NdlAp8eruOdN4hA7kNUyep7e+jHTIi1gVSnRg7Y8tO783
t0/4EcM+3Q/pwMqczjZZkVUk8Jt+W4sabXhzvef5zwHV5Gqv+OqZfXRg1Hnx
m5dBVaT1EJ2EFe11Qa6i6vrCZfXEc7pnfKauDtzwSGk1eWUd+RN6aaFEUxfs
Py7oVFDbSGZWnRrp2kxf9TwoIDyrgYxRHPjMr6su3LM1Sr8xRh48DlsegrY6
YOF/1dbshhy4pXa7PWuhLhxes0ijn4oi5EZ1MJtioQPPZu1aP/uTCmSlx3ac
nN4sf1XkBsuDYWTR7dXfyQM9iE19dbHRP5aMiB7kfDJGD6Z8CE1ZfuAXqbhz
vuH8BhFkONaN+Xguj5RJsiMWFOrBOEe5qmu/C8jzeWqd91zTg+urFJ7ciykl
1iMf9BlfogcVla5fuu8oI1eeqZatzNGDhnYRyfs2VZAf1TOCD/9rxirjvx6o
rSAPs9KWfS3Tgx2zq57oNc/HsuD9pftXi+C2tjit6msV0XlpMaX/Fz3Y+Cw9
cJdPNVH/MjVjSXP57sU2779erSIBPX1Th68Rwaei9I89UhuJSvtPY/v8bbYv
g13XnTFQhO7f+l+JidWDqS45na2WK0Fn+Q0jO0frgWhQw+YVh5XgtO6ao749
RJB2zulfYaMypDi+0rzqIQLVr5NyUuaHkpGbg9+eu6APb8z/5N4kv0htxc/S
v2MN4Ely8vGM0ZnE+uDsEKsAfejs7OWguTaTBCV0O3ynXh/kN308Lr5XQVYk
Hzn867s+vBw1veve5n1lZ/CPNmVb9SEgObdEo00dOdXaf2bQJn34mhlgN6h1
I9HOmab//pY+LJj2cL9hYAP50f183FcwgLrhr/pP7d2sT02vSGz9Vh9i1tjF
N75WgtzT0W2OheuDSnLftRb6KvDH8fU+VTd9mOrqFPlAQQX2kC1tnK0MoF/o
vdhnx8PItzaniHSMIXSbXdbR+HI88Vg9xS/ihiE8Mw6dNnlIJlnnHyu3Js4Q
Loi9ljsHF5CInu1KN402hBmToz2XrM8jiXHR5oN/GULrdpvsrAtKiUE79w/e
Rw3ha+Dhq7tsykhKeFVhho8hBA4o9GraXUFiJSk71u43hC5xwx+mmlWSsc7J
iaHbDaFXzO1FobbVpO5Ig3hE8/uVFxzs/2p5NclZtfHIqiuGUJPldNItrI5Y
z7919oC3Iai+d3incbGeNA+p1z9sDOHUH+lrhaYGcuDy06FDlxmCSVSbvdof
FcDiQKLL1WZ+HhxSlQ+ZqvTfryGU9fxzd4ZTHHm7qnv7p77GsKbp7O0/allk
pvnFK3YWxiCOPnDE9l/z+G4Y8eLlUmN43Tj8ls6MfHKq48NTKSuMwa4q52yt
WhmJirJdo9VMf9ZnS+mNyWWk/tO7V+mLjSE78aRDknUFaVQomOs01BhKFgdX
fJlfSZxzZt/708kYvhv9HOdTVk72aEzdU/fbGKZ/Wzkha0Y1af/JbJ7DBmOo
69pqQolDNfEIXlqZts4YGqV3/h3qVkeyOjQObqdtDGXbzcra7q8j579d1p97
2xhmKl01vxrbQHY4vV9mYmoMm6s9dE4HNJBCq27bH6caw0bvg4NXvpGDB+/f
6rVpYwx7jU4a9DuiAPcPq9TP6tgsn/G9M89XKUH0zxWHJww0hpjnHkO3Oqn8
92sMCSMy6hq7xpGY9Jurv602hXHGewf9eJ1J1u/vP3FHb1M45R6gJBn4l1za
413XsZcp+JGkJSPb5JHHvkcvh9aZwMoJPx23risgdZMVjX3zTSD8bV/1zQtK
yatuuddW7jCFO9sbh3fbVkG2aKW9vWFiChuq99flWFSS8FkBZn+VTcFJY8WV
qk1VJKT17FrXSBOw11p5uriuijjuq4ayNaYwsyKtSN+9jnS0j+/lomQKtQNG
dh7lX0/Me35ZNz/dBGxmrfuV69hIRHGFauemmkJ44XP1u6/kwCjuRmJpjgnI
6fRT9A9XgIzlaxJUbU1hlO9dq3tECRzVOvT9liDczxjV2iFW6uBP/eKR+dNM
UkU/idwBqy2WW/9Rv3K/Yic/1YWy95v0udNVdXLrROpH/j5ZM3CZSjyRuzih
VDcpT+a+k7cKDmuHmaaSy5Ob2hi/K5O57+RUzeMgs4bT1K/+e69fu2FDhTyU
yzFv3ozw/kkKolb7F1bK3k8yfcHjEbdjU6jfeH2Q2ZS6vTHUL389wCYsvVUa
GW22SBLoHknlDp4nsj2llUwxxjkGXFjvdS6phPT3DqyM0MkW2qmt1Un/CbL3
lq/ek9hhzI0CkrW+/aThMYW0/OUzu575KuTR8tgelR9GKk0dXkDjMneeXL39
5d0/MqSzWZ2Tq3D/yLqXG6YeCimVuW9kklvcfJXPhTSu5K+lXm0vX0aqrkyZ
/OVNDX3+SvbiL2YDVCB2XKfFWh7CPRgzpQMm7zMqIGFrXMqzR8fSdsbnVlQ+
WZH7u5wcDvL89Tclh/JJ80GmJH3/OLScPA3zszFKLuLyfcQkdWO/cpegSuK6
qa1B0kMhH0jOMvqOuWEc7Sfz3Te23orPpnGqnLTWhy8aVhK7OW0VL9xuIt3V
AntFLflFdB4YH/5yWIneF/I6HRaMe6VAzy+77luk2dFbHoZZWx3SVBHy6h8u
vR2lX/uDxjG6W/SyHCCXwd3PkU8ixkwtKxwm5Pdn9xrs2nq4ElxfYi/3tXUZ
jcNg+0/eP3ax/kll6t/7OQemZ3soUX4mXtBrF5KjDFFr99k88JCjfu6eyecy
p9bI3t/R5uPcgMybQh7TurAJqReLFelzbXsPdf4VpgiPYnVmj/gl/B/jZB2H
GvY5+F6I0x15c3H4MjnBn++UeCz/ToBwT/Mt54mThn4R7tf4fiR9uwONk9aS
0hNXDY3EqlQeg4E3w5fLC/798vFtJw7PVAVpNxOby5MaabwB5dmn2l/jbD91
cI9bvKJjlOx9GNnvTmia9FSncY5tveMOOy9UhZXvAuev2CTcf4G/hzymPD58
T5X6d1MdPuoqftWEDmZb3XxiY2Xyp2zlRDB0qxaVv3fAviG/1gr3XdjUJwYk
HRXuqwgLm7z+hJUmjBnatp38x1qarzW6cYa5so/s92QcE+aWv8zWov7cASP2
/PZ9K3wvxlR1xdSSU1q0vd6ZKs1dZK9J2+dAv7JvarZa0N1pUruAXrL3Wzj3
mXhxqLwWDBo68Xt4nBK8ufXFdWxXHYieUNC1ZpbwvXucz2OWOMVKG7RA2ufy
Po3ZUTRfU1S3a9LjtbLfu/8x/lF42jghvtJ5/CXVg8U60DrC3aHxo+x9FZM6
9a06H68Lk/vYrR+5S/Z+CiPHLj/nywnnKdzPzb0pShK+dz9qUUS/85d0wOXp
+OTC38L3bNarJq/0D5P9ns3pQTXL3Yhw/qJ4yM52Cy7owJWGkDtWh6XC89+C
XIdH1ZMrW822GF7Vg4KR2UNaB9WR9JHKvp3NhXiJvd/o3b3DdCDC3jH7foZw
vwX2x/hHP63zPHTp/OvYfkP7DUa6AH1aPfzhI9xfYUiC8oLT5GC198A+pqNF
4Lh5ir3bJSG/Dse3eo+UvyN36IHXZOtPotWpNB/2x4gHMa/nyX7vvn66Vobu
IBF0uBrpl2ws3O8w8aV7TcSC5vXJo8tZ9SjhezS6r8cFyS0VQb9Mta9118uI
77b6vyf99CHu7E0nTWkJ2S4/Z/2RPsL3c/Sjem/u2WwPTBnefm6rPOG+iHEr
4wvHylVw52dqiWpu7ZfIbcL9ECt7BufbPhHBrIX6tj2SpfR5s6YZSnsUGunz
2H4D+hwtttUVQWW/QyfUKmTvfzg4orbbF3/hfgfbtCfrg0+JoCSq/PthbeF7
9yvu5V1zlP6S+Z79vkNXY22q9WFu1piUxQtlv28fGN3hXfUyA7jvUNAh1quY
0jXWR6irnZS9j2HFnWt996kJ3zP4qGlwXVypD2Py7xwd1lH43g+ul/OUAxcc
sBe+57PCZNmCttVCe0eMuVtwUKoP1T1fHpSkS+jzuH/ZqWQf/LhK+J7PlCWT
vmVUGoDn8r0HVSS13P0R1UQqL8neJjWA4uq+B9Qey94Hofvq9ah+14T7H+4r
93vbqYchxLVtC/u+Cfc95FTEqtZ5yd7XYDZ473tnWwMYtmXczZtp/2TuUyid
lTrIxVD4/k/wxsv1oTeF8zimrp7qXf8K37e3z9x0qZefEF8zbbKbeK9EiAeO
HtqgE/zNEBwab3hPHCvcj4DynL13xmL2aCGfZXi9+EvXIiO44Rc8cbFYuB8B
5T2eGZbq2UG4D+HVund5bcqF7wvFeg1waFdiBHEqCYtLTWTvMwjyHbJHsUDI
J/1wf+9nr8/N9lp1mt4zP9n7DJYbf5odUmcED170HPPNSpXScT2WnBnrarBU
uD9g1LVp4SZXhe8Zrf7s7O65SogPvrEmRnfjjeHCsie/umcL3zMa8vnKwpvz
ZL9n5Kz/YNPRcSbQ3f/yom5S2fsEbj8ZXLV1txBfnG216PqQbcYwbu34Ez6N
st+zl297Zp7orjFsOnJ8t7uhcH8Atk/fGfv3LukonKcaffPi+DW9hfw1UeLL
WM0HwvftE6UOT7+4CN+3V/rrNtfZyhRMflx2Kw9K577XXkSUlZ4cfn1JuB+g
a5B6xtNRprBbavtzsEI5d9+AhPzevTrq6ilTKDSLGZ7kLZz/zzqd8iO0vfA9
e5w/Zw9FtQppLXxf45r3jqNzPUzBYvOE83PWC9+zx/Y71aWh1/H2wvftg8fu
ll4/aAo2G+YPVR8ofL8e+/tW49kGcXP9d17VzH7+9Qvxd/9lauYm5JP5Z8b0
XrBJ+N5T6pAlSxX2mML4B77kkMst8q/QPhAcmu0/O4u0NyVq4Hn32twy2wgy
uET59vFiNVB/ePvAhIIworLm6Irv6UJ+FOa3ucZtHnMJQml+Vp/bwzu0ayvc
d38rJ+1bp2OpZH4vz+hBZUK+MLb37QjFL+6H6ojR24knHF4LeWPY3kueLprU
JlTIm5Smr7n+aoLwPXmlrRu+T1mhCd1GvCk900M4zx/XySE+tIvsef3AES8a
li4UzusXhv0y66igR9fT3LW6j/ofEUGrlZ8irzoL35N3vbNwZfGJFyTbSpS/
b7cppP7drfl5fyC5ZhtrtLUZHzm43/Wo63Ga37fu62nLo/d8yc7upePS9U1h
f/+21T47fUjRJUf5cUXN8+nAIL2Qcj9uPPqRcxcjShwsTWEAaC/uOSyEXLQa
a+HQ3F8v8rO0rTYkkO4DtDI2dP5J9Jfmjc5yzmpe73vut7GLI/r9JfKpt7JJ
qzLLybsrY8ho18URyZvzif9Wmy3XXVJI1/Rla6+OKSNz82wTpbbfyafjJads
3KuJddSRu5IdKWTNhLYO1d2+kNR/rRcWxuaSEX9fLJswI/G/3zzyxePTqMkl
CWR1cpjTQ7tCMqdOYqKhlUW0u+ic2h+USya+yUl5PruAWMfo7ppUlku+PUip
v6wqJnaj4o0i1fLJps7qkSndxcRmdIPDkMA8Mi0+4UucTgGpmjl/4LPBSpA0
ZazD4/6FRPf+tNUNe5XAPSXbet+zamK/ar3j4tZKEON4/4PHkRrSOeK+doh9
s32089LT+4EfSeL2aPGrBDV4pzU6fOm5atLyqwqd07a2PnGrhtSGzrmQEKsK
7vbJWp2dq8mVyeX+Y1TVYfvjK2RTUCMx//x4U/fjqhD3sjjpanoTOf/r2z2t
z6rg8OCrY8rc3+R2l12jrkzQAp/pw7xhUA15HqapNSlFE+4mVrdTnlNPWn41
ofr5uEfvWkuJS9z2+JIjmnDN0Ml+m2Y9id4yo/eQS1qgFq70q9zjK0kZ8ig4
IUoHfkzQ6NwUnkiOvVdp6zZLFxZ0W2W6pMtvor3TuiYjXxcqH+g+svfNIgUn
4j4p2OnC3GsORj/aZpNruX0WDLbUhfYOqxwulucTx93Xr1Tk6oKzjuOREr1a
Ur/DvvbdGR2wUvhiYdyhhnT1qphz1qv5+dmOtd0fSMnIu9+c/U/pQDsHFc8L
d+vJtqu9Coec0YXds2v/LBmbSuyf6s4JbSOCSWaXIhq9/pI/qV8WvBsggiff
E0ZY5BeQLnptDgR6NOuP4aEqb5sKyPsrLxPH7RLBEJ/2kzt8KyAha9tNKjgk
gu6H1w9Myi8jNSuXLozYIALRs9yzD4aLiVn/R3tLnETwR0eifGSFhHwemTVa
1LFZH0xw9Bmxu5IYJvWsfe0rgnch36aOu9lEfEU9tzutEMHKnSbDn4WKiaLq
zK4NYn1Qnl10PDiyjAy8mFu3fYMBzO+k/j7/fCXxGfj4us1EAxiaHT/5RFol
6XvskV7HfgZw5sQ8BfWH1eTi49a20UoGIE0+OzI6P55075CnVfzEEOJdPXaI
3RJJxZIhFi96GYFdRMWKpoUFZHBoq+0/Kgzh05XZr7ItC8kBPzVDByUjGJoW
trHt5kpiEDVpw85GQ9gTlfX8uLiSXJ65fPpzsSHsC5paujS0nuhH+Ea46hrB
4Jvur/dpS0nh/OODUusM4aLxpNkNbZvI4eFzDrxoLj8m8GPg/N7ysKbnsCvu
YYZQOD0tZiqoQlPjBfleQYZgmXr84eXZleSeUr6ndZAxyAeaTAkxlRBnE2XX
B/eM4emnsvE2PerJSKXOOZ4njOFt43pnu071ZNSqmKnKI03glvaO2peljaTT
xgdRne4Yg/Opshr7MYrgqBD170SJMcwquTlGdXsZSduzdsDt5aZw3vHxncxS
MblD3kxuPdoU8nZtgWrvaiIXv2DKjnmmMOj8BsWLK6uJZ6sYhSwzMzB9dqGD
5flGssmtemb1BFOIe32vS9ORRjK38f68uHZmcHqQ18blrirgcWL11GGtzMD4
zjyr8Jfp5GG3soX9cl6Rvxu3/v4SkkEW2mj/ud/uObH2uVYz5H0x+Sw3/bvb
jCfkkfJaU5/0UuJaovhsby8/ovlvy6Wr/4rJ16z3bXz0Y8kq7Uf7q5Ik5H1b
u5rwzzfJlSK3XgGXa4j/haEfem0NI6l99g0oU2kgjSuzno7aepPIeV0dcalG
HkKPm+TedEol10anSz4mKID5ht13Vh5PJR66txvmXFKGmSftE709vcnCB13c
2hn9+O83nWzbe0Nxzek/JOFpmGPSkAzy8lT7y0vj/pEe+/c13izNIINLK67d
n19CVNouvPHR6i+x01+381COhKxeF3jX/0Q6yb5xTE86Rg6gS3HPz/Z/yOK+
xW4uqvLQ23zxoE0d0giYmXutavhHMpZu2kCulJK+8ceHbun/jxzu7vvWZJqY
7D7ZrevESSUkaLePzvrfpcR4dvVz507FpNzHTHvpkeZ195tRrdmvbHL01r4M
33FVpGdMdU1SVDaZOWFjRsOyGhJlXH3Z/XEOcRzno+HqKyUlRx5Ob/W8iJx6
FWne5YOUbNm3wnFb7yLyONaz7OBwBRC/cruaeCWHbBzuEpvgqQyN9+xOWz8p
Jj4vmj6CrjLoXY0LvaIsIdJs0x9aIxShwmXwXpeiGlJcv3zO8B4KMKB884tu
NyXkkUe3roc2K8PrvSGfYoqlxPV3RHYXe2VQ2bHmw91QZagMO9HTfrkCwB/Q
PzqokOwXRU1t76sCkVFn3hd1KSMp238SrRPKAG7aC0X7iomS12LbTWIV+FUa
HtHDQ0z+aS+0WNrUTH/eCWb2KSO7Mu1aq/koQ52/4Rel58Uk6J7JCbXbatBd
ZcTSQ8HN4+m2VUXbRDUYqTZ9wUb3GhKdFuK4vI8KPH0UMODuj2pyubJstLGS
CmxdsnqrY62E+B64a73+ebNeZLPg9Kle1aStmsnBLjVq4P2tXdKwuibyRS4z
MDNDGXo4JE2/dLORhL/tczzknjI8SYho1FJrIHerh/lox6rBmLYh5yw6KUC3
Xev6aoarwYj6m40fXFPJReMjnQ0GqIPch8bdLr1KiPXcP93+DtSAVj+03SYn
iEnEjaOLHIk6uAwpH3PhgpgkJfopbTmtAXt+Rgz7NaOKXPqhvOtUNw0Y3+vy
kL75NaSod6Hz5/nqoONt+lKlrIZ0mhJ393yQBkiWJ5RYvZYQy6qnbx4d1YK7
GytN2kslJPuyeUXcIk2I3lu3pu3tWnJsqnK3hsFa0Mv3x53+b+oI2By9+Gm/
FrRJ69F3xI5GYvvAZ/bm3urgP6Ph5fjRDSR8yPtvq1ZrwOrIPto38puI6Y5J
Tn6H1EHp7JDdH5rXhy+rFG+oD1EHi/4SU/NdDcROtHeRSZUmzB27IzY0t4GM
P/QuvV8bLVj+LPPl3J1ycHiIt3e9jybc2Oz/XHxIEY5NMEm/cUIdRhx1izqf
rgC5TXFFA/uoQ7myYf2PBEUwOP1yqMYRLUgr3z9RM+Yn+bEmp+toe23QuvFE
s93AajJs82lvp1QtuNm6/+P9w6vI9Rr9YsUEbTC4X7p6ebO+MKGLnvmrIdpw
/lKP76HN611c5MJ7rhVa0LD8zYqK7xLSe/DNMwYqetDbYdyLmhoJ8Wkq3var
XAeqJnS2jVOuI+3eXhxa46cNXWZFnU5RqyOTBpeV/rysDWFX3nhuXS0lwTff
VUWqa0NTqHyHcc61JOTD2we75fTA6fTUkVUTasmdEHeTgLs6YJ9+d+xppwbS
8qsNHWN9Ie1VA9nS40rPigPaMGSi4+nPOnIwsmeXYbGFWtBVucK+Nl5KQhIb
9r0w04PYwTHH7mVKSW7pMU/LhzpQ82ykp8UGOYgUy5sNnKANY2dvjd0cIAfD
v4Q80NmlDVfEevMMCuXB12q87+KvWrBnfcdibXc5KOlw8N/hfrqg+6ON3ITJ
CpAkd6t3h9u6MDIo4Ognb2VYfejN5sGd9MC396pz5v3SCZHqXFbYrgfLC8eX
mPf9R2acq346eIYeeFgdHfuvooDYzLCY5uenBz/WLq3volROJvSf/nVnoQie
Oaf3jb9aTga6By+pXy4C9WHTv44aVE0GdA9cOHS4HgQ5bVa9PLWKJJ7o8v7g
Qz0wvzq8yM+zhgTEXAn/6aoH9d7bnVfcqiZPzESt2k/Xg6WF9hOyrkuIt4Xe
hd55ImgHYZOvVkqInUXFju9jRTA38ci8SWpyoDfqbmSdlR6EfM2o/nS+gag9
GWueuU8EmTdTLHqvaSA6aw7uEzuK4Oejj867hijAx+T88wVPRLA1cOSbKc32
93irnGEwVA+MBnS+fX19DvG4Q6rl6kVw1zw5YcqcHOK5O3DehWh9OL3tenaG
dwUpVjv+I0dDH749I4ZN28tJ0udLT9vvNoBZ1RO2JHYvJyZuFlU6lfqQ2nfm
Bi+LCrLw3NMKRxcDiHy65lZqkYQMCuncMbCLPigsnS43TLuKRH5zHmx9Xh/2
d60a8bpVDVFrd6w82U4fTKr7zm13T0IiFy9W7PTEAH72V11++4WEjF1ku3N5
iT4Un3T7afuqitge1+j/ZqMBWHk31tW2qiMjyuItGhbqQ8KAGSV3bVPJPev3
Y2dHG4CcdebCY3VZxDRZc9TczoZgu/bcvVdWhcTpu+OJF5MMYYcosvJWfg75
fuObRpctRvDtxW4L21OlRHFO45DQEgPYld796ljXYjLnmMHFCS6GoNoYvMl7
qZiM7OSgOEfNEL6OmzvEJk5MVi3YFLXgTHN9VrlOy26VkdFpr3IcGwzgt/2f
q1me5ST7oJ1XmrIh7H/8atub8RXk0J1RO49KDWBv3QoDa8Nyoi6faxHqawj+
sG7KfkUJCbn6PnPFUkOY9+bbhQ1mlaTVwo3q84sMwKXwuXb72HJy0fHy3Y6t
jUA8r1zs96ec7Fw5qse+VkYg+qo8UmF1FVl38GFGcm9D6F2c0emWVxX5HJJt
0t3cEK7PVCrXuFRD7pd8H3O2uf7yulDx3/vVJHbsozF78w3AaO3zvQc+15Lk
y5O8NfQNwW9nebe4zHriO+lI3urhhjB9it26QalSsiLWQfTzpwG4L/00fLGX
HNyJH9FxX1tD2G6etu/PFDno3ebwzlarjSD53r6wHQ/lQKs+8fbKnkaQnrGn
s1ydPFRcHGVyKtwALPSTUzo7K8G5L131+lUYwMLY/Esbfis36/F97qZqGoJ9
AvTf6K8Mnu93Ptp2yBB2Gv04fnqTKsy8PufOxiQD+NN9/6Vn1lFkW7+fQ65c
N4Kg4mzXm8NSydKT5jn/LhrBBUe1snZf88jP+ykHvl8zgjv5Kjn/VP+RaHW/
QwtnGIP2gI+PbKoLyTtfTe+pQUYQaRFzcMKFIuJX87j23mpjcIlyc57lnU8O
Xmu1df0dI+hRs0Lbd2w5uX4q7onVMyN4YvYrecy5CuJlUWSZdMUING477bYY
1zw/cq46ZU8yhoVvX+44m1RJnhi3L24yMYYprSL390qrIP4Rd8u/XjCCT2rO
41W/lJOa7cMmfk02hodF72bm9q4lQefV133zNoJbb0pDbv2sJS9+xD2eamYM
e3e93jvTT0qmT7WJHNX8fEfNyF3390tJwZT+qivtjWHSubohM93rSaPelOzh
sUaw07/xbN9PtcQiVvXQiBBjyKtKd1H7WUf+7nStvmNlAmPliEN6uJQ4rz6x
e6iPEVT8SiZ7+zSQjg0Xs0sGG4Ol/ItGt+b1pTq82xebjOb3L9tsequ5f3u9
j0lva2MMW3OK384tLyatMwe89TxiCn1GBA1smlVOXq0PGnrSywR8j3sU7j5T
Qe5azDCfttYEphUcetFWUkmCV493txObQOPCR9bSlApi1GnO17AVJvBDaqV9
37SKNIpv3m+9zxTi/WNSrK2ryZ7PeaLiNmYwQ+n2q19Lasn1P8P0412ay8eP
WT3TupY8d1v1U8XcFDbGjU0NLqknd/Lv9ZT/bQJeDy22tl3YQMx3fNyV528C
W6efsvcwaySVNXXWCsdMwH43rB1j3kDM3nffPG6LKYSUnjEL9Wwk07fPilTs
YAbbPFaHd9NXgGcPL11L3WoCdyI+viSmSjD+UGDbYVkm4AGpH744yd6jt14l
Rq9nwXcab/d8tvi39Urh3JXGTwefpxtSiZuHRk3mE0WYfq6z9ZyracTKZY7j
1jdiUj7nS4Bdk4TccW6vI3omJnFeiY6BV2pIyucTG1vZlZPWlyatmlFVT1oX
zPAL0SgnLlfnbridKg/Pdk2JrKqMJPPX3Dw9zFoBAh4PPjIiN5n0Dgl82mu1
Atxdc3hX6Owqoud73uVLD3lQUAgYlRVYRSJiXZf1ni0P1VZ/R0avTyZjdff1
CmirAlOHei6fcvk7mXNxaqlLjhrEGXj/iP4TR2IUJQE1VcI9e8dmv+gfnqwE
a6MOflgWUsh9H7x5/pR22uFSo0jvl/w4YPWlkcOE+HC/b7vlguyE+OnjqSdv
m8srUf9oQq9OUw3jhe/+6Tx5+/zgfA1a/p7+obOzDwnPj+hXny+/SIPeD/NU
3WLHrhrhO3lHdrXR+e6pSnH3gX06ZoYL970NDd36yMxIi95f++h0hmPOUyGe
+eGE6aUedzXh+BbzkRV6Ndz31qqJs09MUqipDjhfvO70Sb2B+55AHXl9r5PS
7OEC3qewZPbmPG0YbPpr9zCtOu57Yo3kX1peUFSqNgwtmnQpqqKB+/6YPOwR
H/IoztaGlIe7f4d8E74P/kezYkx1sTIsr9/gk16uCUfUwUlcqAhacvFQWKVL
+2doWaJl6m/hPjePT/2OzM7SpefXXwetchxvr0PbQ+6D//MDrYX4o+UfldPh
k3VhR5f03ms/VXP38zfbI/HWW/yzhPjkzHSlb/30hfvhvPz33E6w1IH1ketK
CztLSVz99BzbT3rwYNzaSyVnmvl5E5L55o0IzL+EFib5yoOdai+Lei89MNvT
o5WXWB50b03t8E5TBG8HpDoOdM4n/SYGHd6jqg9K7yaNW3nhH/nd4PzpupsB
9ZcH2Jp/69+svx0adr/MxbGYXCzwHhDZrlm/0bg79bRNMdmoOsyt/Qt9iNl8
LKnnwzKS8Nqmx7Ah+tChjY7qsZwi0mXJyIk9XwjxqyYPxQndM0X0PpbNZ2ud
jpSIaPxizcRP88a6iqDRNqfCrr6C3g+yP+ma8t5gCY0H3rz03fZvVi3FeH52
pqen8bRh+hD86knMRosmGk/E+3GerWxTvNeyubzRvPtB+1Th/o39lksjRBAy
o+lI7hZVcJtY8nK1hXAf/suH6jYrDYX2KP2VXW7rYUDvxwoylSOLYvVhnka2
QbudFTS+hvIl5j+O2CnWB8nBtPmjZhZz96mXkH/zjNc5pRiAud7pL65Fpdz3
18qIx0VVtdqTwvfPNwW3ii94ZQDqJjnDtm+t5O6XryDdckc52XkawhOTvgdU
S6tl4n0a8T5D1/U3AIWYIufA9tWE/T5aNXmdd/h69+tCvCzv/ptLnfYbQuCf
R+4S/3gaHyvYIf2hPSGXns/D883BL4ofNR0V4nlZ8okVqemGFA+7PEfn9XIh
XjXD7F5GkpYR9LaZeWa4WgVh72OpIErPXruf6msMm9r7ZP7cVyfzPfQe0y1N
r7gL8bgqFVUlSZohuD1bcutUhBzw9d3eMGiKyhfh/WvCh0oe6wn3OafYOI9v
pWgCxj5ffV/ua6D3beP8W7f3ys4lW4zpeNuwaE5B9hIhfuayrMfT7LPGFB+J
TEg7X2VC16eEwPx5k18bC/kxH6+csF5nStt/QvDoG5mLTWl5u4+Jb9pMMqX5
Kl1zpIY7NM3AceGAt4knntD7CbRFmssfm9wjuspuSe1WmYJ6zaqOB79cJsF3
+/ecMdqU8jN9SE7i2XG6kPF31orISfV0/Zk+yzLMyk9Mnhxu03P52M+kr7nN
K3OrMjLdze9FV5WTJGzpw+7HtpeRd/PmV24ZlE7S/4uHsd+1qyKZVq9mDmp/
hnT8L/6FdNxfHGb9v66+PB7q7/t/xpgZ+25m0IJkl/aN3JMWeyoSIkLZI+ld
shQKlaiUFiltaFFpVZayZklkjSL7vu9j/c3n8X3Pncfv/ZfH0517Xvd1733d
e865z3uOWeUlnlj08UFPiJIgAW4FNx5usCpCssDIM/7DBYcyXPulI/+gyJ6z
Grv4Sficj30fv9N6ZLXM3B9k8e95GVs+O17NqRX75paf8EHrSwsunVT5jTra
ajM0Z1oxr+87E5nQlVsQ0X4dOtXB4R3mWW19vayyDd2efj/qJcPh5SW9/qyV
0t2CLhsbbSyV68C//6wpuaLPqg+1VZ/Zc+x7G+avGQ/D3xd72pBTndwRUx4m
Wuq27Z2SQjvyeTRkYKneg+J4z/CdP0rE8e/aJb1S/b4SgUT4Efv+MUsPevsy
pSKYBE1LvY8+3tGI1v51VFewIcFNW/cBV+kaVCB8+PvIETJ0png2fu2uwXwv
HA810Hj1TAcZRnimThQldaDfFv6+31eSoEjFNT2hcByRonxVA1jyoxz3f1oy
UY2OhcgFq1B5cf0XoHUjncG5h78nNUXlxk8KLJanPDpycxi9ulGr++ENFX5r
Bl7W2D+EhsPtLQdHOPmVfih6ahym80JbY7ecstAkEjFxf86oJIPqi5OvSz+P
o+IzDYuOK1LhuVXVkp72SczvYu+fQXfab9au5YXaIx9smrzmkWfKZZR8nwwT
a8PQk45ZtOtvpk2rMhVeq40bJLnNYP4U+/tU2ZJ6ZKBOALpkfpNfEAmQlxdg
d2ozP7z+tOp3dOU8atMlXgE3AbwfPM8seEx8IgAPv2Uy/Wq4wK95hR1BmRc+
1TxbW0LiAsNc827bUj4gthoNpZgSIf2ZmM+tdQI4Pg1fs4HEaycBaHomfJ8v
owRF/GmOEzoshPWxEEXaYrN1QnCTb4WU7XgZ1kd8DPaqQ+wfZE+Od2f6C0H3
+SSm9tk/yKxt7bYfFFG4q+MiMVBejdxmIo+0rRQBP3+K2WMJAhT7xb94/lwI
6uv/tLRSFlDLjVIvkR+c/DqxP29/GuEVge3N25OLSohgI3+r+1yVEBA6NQu1
lhHBh7/ZvJylT0yfir55fjMR84vY77O500lYxIcTb3caTesxpkXAOm/V6AnX
Rk48dIuEdyOybWiVqYftsbciUMyTslAX04bLDRjTpw9f6Mb7M3t+6B+o/NYt
Lgb8YVeeBTyfRtu19jSpGIhAR1t/feYrJqq9JK/P+00EahR+W+54NYX+9qpd
2KEnCrLfA86H3GXpq4zfI4nlonBddeNWZu0klr9PK88nqHsOvZUeHfx8gqUv
mbj6ahXNotyrsl5/yKKAXjzSi4yZQcghlPwuQRRKoiwPOgcSIMkxLetxmggc
oPtTtrHsDbUbe/gOCImCwZdEJTE5ImzpX959qYmlj0RRBCuc25HpC4XaLS1i
oLaOcKzKrQXl6irqBD4Qh32yNCG1dy14f2fHQ7q6Z/tMgKgEjn/kVfTRi/uP
OCeeZjKanv0qDhdOrb7zWowA6UXh/vGs/V7T68LyoIF5VMQjPaY2Jg481bPF
SJoEYm/q83gIEpBH7G8O629ENa+Ug4IPSuDvV+5yyaNSkIRjXopmlW5daOdR
Sz/hfnG4XtKulbHQjrbcVEbV4Rz+TYaRxmkpFw4/yYGQOJ50g6NvNHsnM0dM
JSD1cHjPuPEEjo9YFDW+sD52DO//7Pf7etki4+kFDj+n7s7JHftBAlpOGYS0
WDJx/SMGX55Is+wyNmbv532km+k0fwkIe2N1+KovAeeH2c0dGD8jQ4BY4Sif
0040SDu+bKJafAHJ58uXu1ZIQtMYrA+IJ8L8pfpltbskQOSJW9mWd0Rc31ZG
5egVEyJEewSZBhaz9AGtiyKjIiSYrlg2b5IjCff3P+ETaOSGp2tDuatzWfpF
XZ4LrxEVYnXV/F/elsD7759bKnd+OrLe53io27ZDVCz/x8ljl+3CypGEXJrL
ETUaMHWCl1/5Z+w/8ZjGkOlwmsLWvZz7+p5W5zPOG3PyeTRcnSh/cZAGnb6L
tEpJBNi6uZvUSGfAtMixIM2ceVRrQo5QZtnzCf/y3dl8ERyPdlGv3hxdCnwv
rqsdtJjl5FNVvrBn400SrPdrXL1cgoH5OTW6F/RiuRlYH7Kpa5Z3X1WN+d8D
Yu+v3dPh5H08+c/yjWNZVRhzr/C4V6fRiuOaVqZ8dm2OLsVY7KKbrLxJE+Iu
bLsbTuTFPA+5QH7zm4IcHrHdv/EC3gsFXVeS7kBjKvQF9TO5mEfSWzD4Z3Jd
Fca3373VesWViwoyiz20Fo8idJR7577MHBQhmsuV6DOG+LaNL5oZ5PCug1zn
jh4mUeGvW7BRLhpFPmbKvs1inDgkyv/GF4hwcTmSpz6CnlE3W7WczcF8leRE
f9E32pUYr12z/MX5Fzkok1xTO7VuGuUXqJr19uegj44uuwqvz6AjHr9MVgb3
4t+/D3EadUvrRY+M4u6+kp9GrjwjSWQJTh7BwZI8swdCVHAr2hsus3UaBV0j
w3txThwUdjyD8lz/r6XWTGTU7i25wT4fx9U5d81sz4H4AnQpskPoTi8B6qhv
W7mFanC5xY59oTyLOXF4zn4z/q1zqgZZRm3y9HckAL0u+NQ6mV8oa9aZ664p
J34+8UJqXE8wAeMve2VOe7qR4OXw2Bbhp5y4L4ZTvNboFgX2mVqesjtJgIL6
mlV6ohxed+u/8RWWbNuQ7GHEyXug8mUiYLMPN8bcHvFVLYupeD4WQNbWnhoO
P3+j696TnfcoHH6i3smAw+3cGFce2mohnMaJ00nQCxn+UUvC2Lo2grB7LQXz
lyhK/NX6XZw4T4RGh28R7ykwKK7aaULlxd9J4b/xHQJyS5dkznP4/d/rIxcL
L+bB+KRMelJpNS9ub9wfGz8BTR6M3xKefHS4y4vbe/PwrMtZcx6MMxKX/HhX
zovb2xCplB+gy4Oxi1IkY1CZD/PDHPQG/OQiqDB4vWy8I4YTN5Tdn6uv7jeL
DOHHWGE2eTbijiBur3nz8TQbb36MJ46oOxD8hDBOkLKoYk4J4PFPXfFjs+kb
fow3tR4U4tcSwhgepj4mzwvg980UrLZganCwq9EpU+ERPox5JRL+8bUTxP2/
3HLR+d1n+Dn8ySK/Vb7Dglj+jXPrNYO8hDGOf+Eqad3N4XfdSZtZe3+3CJY/
qkHatu+JMMbjY5SMyxFCGHN1jSTZ9HJ+r3Y1pKTVTgQSV1ss94nKxf6DNoEH
6z/KVXLw23X87gK5aKTdWLfLUhR0tskU38jOQfc8r8o7pojCtU77W+KrSZhf
VtS+4dbXs9wYXz7nK3vckgSCLeJtGb6iIPrBvnD14RxsrwfbrrzT3PwTY6uS
k6ggJQcFZRt3Ry8Rh5FVdzPvjuWgbwzJpLwT4lBWdEVnmVk9/n3HWdd/8g2b
MS52trZ786weEQ2+SBvKiMOU8A+S8PwMLtdPlYoGoXmM7crj3o48ZNm7NOI6
zbXi0F02c7NFgoDj+3VJGq5P4SXAvdiQ+qFJMaB0dWgQ1Ii43HSp2ol2Iy6M
X3enuj9RIELeI0+7DUOs+uQTKMWPhMtpn3ssZo+Q4NYRqwf5q8ThRlZcrEca
Ny6/5mK9yluEgrH5FV1y/XtugJowUf0eMVgRa+sdXZ+P/ROOPBaydzd+Q77r
njymzUng+U+pOnfGcYSDdfoKDi6IcezxhFjPgFBlSYxpi/h7eXI5+ATJrmjA
nobtdXm1f67XbJbEeKC3umt/FQeftp/b9MuThvc9Z8/kVv8nNPx8/n3vosaX
cO7PxfIrJqzXYODvz9r/jG6zEh3j0b4Rb/VxOm6P9j9KIQsUDp4MOv7j7zs6
fr5h062DtoIcnHBhtH7iDR2vJ9RXyfMr/9IwNhXyCCstoeP2JumU976z57TH
KDzuSeRPjr5AHzp9J6GQ41+ou61yVugDA8vj16TNzWQx8Pccks6vFWvEgDOb
jNTLZ3hgHZ/nYt0v5YhEqtAizPHAQ/qz9uVarH026Fvenfz/xknuRiUHZfg2
XcpD3edPFG4h9CL+y5LblNoysb6yse7N/vjsdOTxrnPkecwIoiZdd7j1KQe1
rZMZOkP9Xz6FlbGDbq9RtSRtcbPrGJL8+/Csr9l7lBizW8jNbwTtVW0edbv0
C93UJ8EC9yiSHDQ53t9Rg/WdTTFBr6cfpaGUvb07O6dY9kr0Nfmv17OQrbq/
vPr2WfR44+LdBdopyCCUaf7p0gxKDl1zPzj/LeqRTFIwG2Sil9aP0+x31SDt
1jWq32ms9T74gAmNVIP4s+JibgjNobEPjTa6PJz7hc7FTitunMpD30uni5RM
CWCkE6Np+esbGuMe+dUaR4TURLNXKl+ycTzD6ZDh9/oDacjQWffhQScuOJug
r/VNNQONCd3LKHflgvCP258M9aSjTUUNiZk+JGh0KY0ck3uLjCLiE9avIgHc
u20dMfAen0scjhRgcm94gvr3lxUWsPa9lAj1v0lfXyGJzCcyR09xg6hr9GO1
3YmIq3Q+a81pMqwa6C1NeXQFKbkp/mj9zg23ZL/FpfQ8QvnSnX9PFY8hYwPf
n7wHm9Fiz9WNZTFj6NEFx9WfXjajU9Gh7sl7mMhHs0x42fc29KVGg5nWOIN6
o2446Mi1IFWe5icO9nPIwOP4znhmE1qssFTUlzmH/FN06OcuNCGjod/yrTws
+1jvhhIlpRElrQzxHeibR7+MxJx4Z/5y8lwbOSuJHm9Cm0aN9L9VkUC8001T
W7QRGfDaPyP5coN4SXJeSdFfpNhn8CdFjgyD68fk/jxpRltC7q6cIpNhP8no
UoNjMzriuVTmAD8vON6l/pBf1oixXXrio+rqNjQf8vFD9Yk85HVaWT8nfxBt
i2t5au9diaSf7ee/GziGFIRbloy6/sX6rKz+w5Vd6xrR2cNWIz7fx9C3vOCj
Ab8bUaRF2pIW1jyMOVNQ1phLAf6BO+fEzAaR2NK/y86y9Fdf0basqbX9SPxf
/EYgO7fg/TAKCLvb9841BzkfCfgqGzWBhCMXt2mrViJ7U4VUhfQJFGTdKFVf
VYmoPtuvybL6GZ6GOl3va8D6qhf/Tq22rEak4jGRrv1hBi0PNfKQWdKI+JZE
evhVMdG5DELyq8O96EV8OEGvcQJRH2ZptR/qRX819MyziyfRMGXxsB2dClqu
p1XnwibQTDP1UiMLj3ZtnS9TmkK7N6ilSkvwgvCVlUyrnHGMmfuavp3qmUKy
Czq94dQ81NQnbtqwbB6FmM0kjq5vQmHXJKX/nphH+yvIXl6/KfDhmrLtAad5
tNwsv+ER6/35eT9KBk7MYvyjJu6xD2ufWvE+e5nowQHUPiZ4/nsfF7hMDyt9
SRtBAe9SZPac44alq8yeNk4yUfe7TPrYO24IEp01jJabRrqthV51WdxAta7s
HuTnAmsVQd2sQZbdVGu7vZU13saDck9al3JB1b94n/l2K8kYErxxuxBYufMv
SiZI7p59Q4GJyITT40c7ENXWx/lUIRUiSuzWlZSMoNeodtGgAwV0My0+f28a
QRenw9R2u1IgtzpV5v3mcdb64imsR6FCOeHKp6cRI0hAM/e6XS+rH9uerXMc
YSKVdLkzxDAK6FgUdLX5ziIu5RhBTTEqeJ1r3tzTw0QHipfrWS7lATPn6PSW
w6x+8En7akWhQAGjYfvBXAI0WRCnB5dSwLr//lLji0Qocd6wMdGWAj63aZdn
fYlgtYjfe8aSAm9iw8OiWXYA8ZKT4Q5eHnC4E6wXYs4FP79p/im5TgG98JD6
dxEkqAt1X6bfTcH3Nzzu3nj9P38dY3WB8s1+EkQKLCEWMClQqTn780EUGUrs
O1XnbamwmDskrrqVB9r59jTKUykg+y+WkOMeXFxPAe54Jtek23l8f3Lox0mn
ZVNn0DGV/Qyl2wIYzxx0cj8vyNF373c9lXY5zAvT784r80//QZQ3/5iuX80L
TUNtn7mPNSOB/QGf9jrywvOkTDmHxDb0+X0Jc911lh36s+JrclgLih7lGjnh
zguX9r7jkrj8F50Rz/K7+JAfrkbdK5dP6EBddA3Kgxe8cF9bNla7rhOZL7d4
a13AC0nnFm6ZUXvRYa2Hy5uneUGFr8WptLAHJcjE2DiN8wKE1W0YPtOBqkzC
NKRd+GEP2XTYRngArb1dJP/iFj/M6V5K37tkBJmonb54x5gXNgaeuLjbYhRl
vPyrO3SRF+o3dhSqrBlB0qNHuekv+WDBzW1AqnoM8fonVqTVstYBU3UTss0Y
Ggi0U07P4oXKy8uplxJH0DrL3k96FAEo9jN+o8yym1csmvTlogtAiojstYpA
Jvq/v7ywZbGiLdVuGlEnF6Pg16x1bVjBPXArE7XLL13F/4MPvryesxSrn0HP
J7YePivEBzuio5PunCPApvUrz/bX84JJ87ldTskEYG5S+UHt54VDIL/mdhUR
DjbefmT5ig/Pj1Ab49JCNz7oqRxZtWQVNwhv0a75zcsa3yhUdFD0OL5PKXtn
ydUpxWPIeWa3ZNRSEYwH/HiUf90QgoTWFtIVlQaUcdFz7rqLEIxs0LX+7cza
R5oJO+INBWHkp86xzztbUbXz69SHDoKQsltIn2rYgZZ62qh8ZAjCofayVOEr
XWhR/riAJJcgaNQaJS4z7EMGYccp8UMCUB0vprEZ9aH7dfLJWXpCYLO10ifj
ZjdyUCOVLIwKgMLfKP4T8v1oNTxZVtwvALKiGo/WFg4ip0dZ/opzAlBL8rfY
tKkf8T6jyz/eLgQiGtu5jkYPo6m071lOiwXhSGn4XousYTTS+nTWzFQIIuV1
HOg+Q4ixyV5AkiQITWt69DstBhDje9wiu2BhcFRMLLZNYq1n8X3/lPsLA/KY
FvU+OoI+FtoX/l4jCJozI/Y71EZR/+M6s6UmgmAubKJRuHQEFV45E37XUgiK
zpaXTKWNIee6j3/mLgrChPRF4YaIMWSdubbiQ4gg7BTbs0E/fQT16G049jJC
GOZquxq2zI+gCwN8EVrRwiBWYlMUJcFa91KKc6unBcD8meFe3SAu2HIl8kaM
lyDA5qX9zjIe2F4SHNKIFcrMQ88jlwSrRImAvbp6sYiiO8r8JE/s6RPFuGjk
qfA7CVH4J9bNRd2sAvkRihSyIkXBAJX91v7Yj9b73GMmO4sA1SOHHH5lEAm8
H78lYikCoUdE7/1KGUY1flpkYSMRKIgS/34ubBhlRtasMKsVAffUt1t7jw0h
kXuJrhQTEdhzvlC3SHsETamaeb8wFgGtlw23+w6MIu41a4g/rEQAuXj8PGoz
grhq3Nsj60TAZYfrQfu2MXRqewnD1l8EPAeOj+/TH0MBXCVlTz1E4EdnzYzq
Dm74HpTKQ44QAd6iX9ZGnZx8NCZGCX+MFsggM204czBEFK58Ejx6NdwN21se
t64xHQ7moB1XRdLL14iBbFBj7FGqO9LWc48PTRPH2Kful7VOkxicd23UXvP9
J2rfv46ZdEgMmld+2FlT8hMVSzKexbiLgdCRz9G+OvVohUd1Pc82MegtvrM7
fEM9olLLgg0uiMHpf+JjAx0r0GWakY61tTgEZh8VlzVoRnHtPw5ZLhGDJ4k7
nDaJzyJJXZFjiTvFwGCPoeFW2iyrf0+HCUaIQWK3jqIxbR7dDxzm7VAVg+ez
xJhd4gT4WdEXGsYjBjt0chJe0gjgWH0girdQDCSafZajpDmUkS3kG7lbHF6P
BB4jqBLhc9kB9yJhMXiheGNJ126uf/+KgVS66s67e7gg+LltVoy/GBTEudfM
+bP01aRppZn1YmCpeffoZAAJdu3N8l1xUwwujT7JPsPNBVK7v2r7vRQHms3n
odubuUB2060eB1lxGF70TWfpR26oPK+xJ48sBlPrdK6MilKg+HH2Afu9YuBn
5vPsGpECBzJ+ZWxgtU/5eOVF3nBOfqCehz2nr/1DhYkfLw8uui8OV61DGdnn
qGDHu2JDFVUc7NfZ+bQqeWH7s2LxvU1U0zz0ilQ64rFEAq74LtpV1uqNPjxb
fv5wiCTGsj03rM+mSEDjEmGZC/YD6ELd5NisrCQszTqw9vPzAbSklbbqvZwk
NNerxnp8G0dTSYt/RXpIwgF7u4NP+8dRnGaa+8kaCXDwvxCnWj+Blm4x4Usz
loSNT9+qt0+cwvc3z8apZAa8C0LrG1XkhfXoGBeq8j6ZPkMDg4irt5adbkQ/
TzhPTeZIQkHG9uuFjk1oqF5EpWJAEsq+XBw/VdCG3tDrCyMQDbIrQpMiyH9R
lYfwmj8CdOh4XJsn0NeE+PldX5+RoEP+QLdz+ZoOFL08W05NnQ5yLx+TlZy6
0M6YJuMxRTrcGeq4PBnejwoi9wdfzpIE//7u0B+eg6iX6/51X5a9vXK3ZFdD
TR/SUb2evtKVBj4Ra5uKrg8jGbotMv4sCcfsvRJs3wyjskcbfMdNacCfp6te
c3UIxe2T+5z6RRJuR8ntjPjcj15ODiwWptFBp/fRJkWlQeSXrKAoz2pvYGOF
wVfLCfShxPR3ybAkmK9dwRd2cwLp/2LSDXokQWeH2HVHASZqeNFu/OiGJOyy
GEm+ljOFbjwjivYBDZyICgPiJZNI9uydt+r5kpBG37dK7/s4Sti2PSh1HR2e
ph5fZ/1rHO0Xmy8+dJMGzPwjH+QbJtCZuyf5C6TosMDV+XrehgCfpjdvjZSj
Q4ZF2d87nwjA5dD0ToqLVb7tvW7OkzK0uaf64qwbAyKkV0QK9bYh32QdeZBg
ANfL2dvb9TtQ8V5p4VoBBvi4p1EiDXpRXMjyyyZNdNhSbK7UytOB8pUfHj7F
JQWLDTNmvoh3Iau18kEejQwYuWozudZ7AK165V22Io8OJPO364PvDSBbx+Tf
dTl08P8TvZHgMYzUlHop2+7QIfn354bwb0MoSOZ22KJEOjwyIJrusBhBz1WP
er0ZYkAYd12m8sQw6tdMnvDYwgDD7I0P81VGkanQLxetWgbkuz9ulfGeQI/+
mV5ypYgOCj2xGbJZUyhIwu6FRQQd7t1zWVFHZaKfEaf05DQZMPA3YexG7yTy
e3r92UICHR6LmJbMpzHR3vSsW341DFDJU6gx2jyNbsZZxFkXMiDp6HzFETcC
yHgQpfqZdBh+MF386CMRfku2SvtdY/Xvk/nLXs5E4EoVdhx4RQfyU5tUA1cC
fBMKXlvZxAAT0Kk7n0GAJDL/w9hyBngudb0TsooL3qqe9iKeZkBc7vXrfn4t
yKl+sDM7LQE5+CrS8ivaUWnAhbDIqR9IPEfYcj+1G2mMdxtG7/qD8y/w7JAY
aP5ehChukJYHzWjDeheqU38dzoflE6EucsS9AWU13kq8ONSC+ZHs+h0jb7ec
1OPkmTtJU6yalK5HIjPeCskXh3A8Jfb5j7LRDUEkXoxW3nxK/nZvAPMVSm2X
xTQdHEPKhd5HXawqUb2iZ+5OmERDqHkvH88ftCR8Zci2cxNYHpvP0d23JaNE
qBTbhZ4Oj1Xd+mtxeaL63sf3RRrRSqrUWaErMyivPPHgbZadG1Be3fpaaxZl
WQjYculXoM7AsrbW6HnkXbzlqqFHKc7vc161OtOE0InznQ027TN0WNuBXicv
ETAJb0YirrsM9jax7Mqfn9vuxjYhsfChAOPjgyh675JnTazxYPuF2HwKn/v1
d4TGO5BYjeGit+FdaN1oYUnUuV7cn1P8DRUydwfQ8jDm+hPJ3bi+xum3J4eW
jaDzUTvWlxh14DwaUc53q3sK29BW5R/Rs5Qh5EuPWntpbR/OQ6L2gx70c+8g
0vPol9SfH+Lkh5Buqu3Lb0eMRJehwhUjKNkuvcqxuwEp3DL+xJRn9ZvMzpLg
pgbUPhgkYBg1hTYLnGQuK+tDOa9EtqXxjiAd3beuNmZV6LaNfuYf8zk8Lw54
NLccjFxA0+esp352VOFztpOX15kHD7Whq5a/PfZkMDF/5ZCvY6uiwiyq6+x2
4VJpx36sFxHBFt+0/+J4Sez5+Mp1VVu+0TwS3538j1VvO3LceHPHA6k55Lkj
RTGrqQP1Rux1tZmeR48H5M6pdreg+sEB8tQpTp650cgC5fXVBOjNvpDNCy3Y
j8Xul3PlXqE6QwR48ffPRwWrblx+6/7gzrHhIdSmuVDWpELE53IP81+mPP5B
BGbOox+um0fR87M5mtGnuODXTr5j1/nHsN+LnS9m8H50zP3D7DyGTejKp7yd
58tIsOYpV9VfaEXplH92bG3jxueOgYLD7QH+ZBj41TiyzrILx29izxdJld3+
BHdW/Se2iv7yXah19kvoTT4KjJYfrBUy78Fxr+gq04t33R1Gl6U9mp7RuKFo
udrQ0+9DWB77+3SStRJ0+U0C/2fBtdNbx9AeQRsheR4yPm+v2fjLO9ydDNX1
JNnvfhO4Pvt7Ewu12K6TQYLA/dbheW+Z2K/l+61u4sfkOOYDsX//JuTj7s5n
ZDjSzvCe8Z5BHz6/3e5KJePzZ81izx+fjcmY//tL46au1Gky9DLvuAzLEGH9
Mss1Zqz2Lrx2PC3USAQvxbGo6B4SHLZqL7kzwAXEoyfEQrpJoHtpf+pBVrtE
O0J5xPNJcNdv+Jto6BU0P+IYR3XixXinXBMh+DnL3gt31ng234bC+bUIZ+9S
oY85tchvfSvOm8ReDxIGAvcNulGBasdNqfrSg+QknGaEzDh8aueaR1vfR/DA
+VPEyTjVIVyf3d+jIernO6Op0PmtTeLF2TEk6OSddt2ek7fcavWR7QJxPFDj
IqHUHTCB67P7L+3XmqMeZlRYWddmpXVtBklo2emaBHLylncbb83uz+aBMP+8
gIMf5nB9dn9+cXeJO7GHCtr56SF7XIiw2Cf9sIYnJ8/4hZOJiTtSeXA+vfgA
IZ9rvTwwuun3e6cIMsx7u//YdYCK821eXHOo5fs2Ft6Y5fE5mgKdH195xF+n
gsVWiwdf1lLBvqavMeM2FRgrZtPG80+go/G+q9p/CGCsaJe1qfeoEJROmj51
VP6D+daRJpp9/MRWFNXr4b/Jlx8sGrgT6gLbELPKcYUACy9RK+7dtLoHaXbk
xLw4wQ+mrxZ9yb7Ui5bbm1K0z/FDUdTGTG6+YbS1995x7zJ+oD0tCqoXGUaN
IZd2HSnnx99z5Ozq9wV9/PCpcOHTLaVh/HxdC8P29Y9HsX+Hvf66j++cCyzi
g0ApY8X6vFFUStQalxvlgxQt8+v70TjycjolK7iJH27UXLs3s2YMhRdtorlu
F8Dj69t0K/pxiADmayZUfFMcmOeDeHerl8U8C/h5bP7Uywfa1bH8/Hg8uqou
XrWQ4Ye7Th/PpVQRgN3eZz77+VW3k+DKgs+yvFZ+fE78RmlFy15vASD9WPRN
wYECK1bVnqbVCEDCPo/iZRGeqGh55J1QTRGMn34/FxJB4eQXX50Fmat0hCGW
klFUaliF+VRfv3cM3JPvQNqHzw1dLxeC+5Ou9zckdiGLOYfHK3lFgPjOkbjo
WRf2l7DXL6OM4mjep0LgVxzeWGDfjGTVO5yPkETw+ijcd+bKgqkIFPZxb9cx
bMV8UPb3RSMnu3beFMbyNpjbR9qqs+zhU+oq33iG0TulhEvxXsJ4fMMZqwk7
TwkDzcq96kXCKG4PezyrV7jmJrkJgeyr4Pne3FF0i7/r3f4LQvDCX1L+7vZx
dOvWitN9xUJATl502WXPGEIeSsKyWcJ4PJ/US1qYznL4bqpFsyFu+kLQIPvt
qSl5DscDYX9/u6rJpko2IiCWMyERZz+P34+9bx4vS0BBaSKQG/HI5tHOedzf
UVtNDvkoc+F8y5jvp9ZeVsv6fqIkyS+yz5JgSCO6KI0ojMd/wq6L2y9SGKg+
StGQSsL1S/QcRLy0SDjeF5vPelYtcOz2IyFYnWKX+PwjF5gveLiNGIiAe1nN
C8oIF84XOPTpkTq3NhnMrYpe7ZcXxvFRgjtV/GbpIkB+rGvJMCPj562fV1qb
PMeNn8deP0ok3lRLFgqB6MfxFmN+bsz/Y+fringvLT3mwpofXeQ4qdtkOPW5
4ovjehFAXFLxQxVk8FqiduBnvgg0pU+UvXZwQyd1L6wynhbFeJnCQkVrhRjI
aAo0tY78/E/8rp9IPqhd/NeIKJx3VFx1/HMHcqy4HPDTShQG6Y+G3nS1YH8R
e/3/qGSwdkeZCAQUZUt0dHbicvZ8FAhILolZJQqb9Pt0Xfya0WNy+jvZalGs
j3z8cTA057QoHDvgSrfvbMb3CaYuPQmnS/Ujj5Zj97qWi0J9Y6nNHbVBpDCZ
bnbhGYf/3/k0cZs3tyjmb23MfVkkzsKf/KuV3m9iYnnL2wy6DxOmcPvY/D7Z
kJDB37KiQDplY1h7ZhqXs9cjo38+ice2sd4v5R8ZtZ4JLI+tp9EM7+yrA1Eo
blkhvcttBpdn+2+Auq8E7F9i5x1Tzl1/cUcjZ/7r1IUs8rzI6i/hzZNerPnM
rr/B+0TQAIGIsQ2dt+ePHheOj7ZVtKrn+1tu8BT2FhxvE4XhNSntPQ+48e87
7MPnN4VT4dlq82XnFMQgb2HYI5uFxW4U+SgkiwEhJt1dUNcTZfe7z94oEMeY
2B8zmBkvAQIPNimOhFaiukOtcvIECXze3PanvDiOVb5DmK6/VrQK8wONuIbN
JqQ68H2F36LvezMLmzGuv29Ck53vRiFB71+dFxGH2vTFUV+ze5B63B1V8/3i
eD1boN3sEU4RhyGtPm4Dl+7/3I/oRGFEuXit1+IQu+vT90UWPZx80OETG+Oe
sPStXZHHjGXE4cqxotaCsmkklDe+04H1e/Z4JjE0J6WSxDAW87LdeXxGHI4K
jMF82Axu7xqnzb22C7OYL8oer5UXnscLWohDXk7fhTifefz8klvaz+63EaBb
s+bm9A1xPN4dD2S/TRMl8Hn7WLr+mUQtcTB5dr1jiIedx04c+lrSNK/MEXF8
NrbevDcmYTj+iAQEKVvwLJ7nwnzGr6MMUUIUN3ygadE3JIvDnj16foqJ3Fje
J7XGp3O9ZCyPzb83cXA+E+ooDuomy2m5x6m43CVzJskDTqCyD7KPTt6QxFjm
lsVKwhEacAu+9tI41oT9Z+z96e255bMzVyTgxu4TGw3tW9Hce+6vqZqSWH8P
VugWSHDl3D+BNfmm795KwMR64XiLFf34Psn2veWWD3qHkPK+VRfoKpx8Tdvt
84O0FTjx5s5P+PNlHGf9fkg4q0hnEv3/8dcm0H1T/5h3eRIwUn9B2FBrCjG5
jSWdGZKQH779VnPwNNLmHbxO3CcJykZP3kQfn8b12fOB2CixwjWLhdvHVYUG
ZlHt3KWe818kID//VePg7BxSGXDJm9gpiedDi9zPpT7nJEC6W1FpbDcT823Z
8n6e6itVdJcEqXKyoVf8DH5f9v64U/iVDrWG1f7PC9OVzbO4Plt+7lyzc66t
JFxQ8dSJeTiP6yupt9+8ZjqP79tEhkrzEc244Jn0u8kD3JKg955/4cYuIvw3
X2u2afgr0lEJ4HH6PPv+ORcuZ+tTiapGoTKDrPk8HsUnMULA+SXv/h43XjRG
gsS0yp3tdRJ4PxpoF1dyPikBAwsrOgyzuPDvL604kbDiJmv/23Mz8XCqBDih
PUk8D7lxeQRVR9ODqxL7P9n7z8vdXpprzGmQ56immgrnMD/XjPtS7Zqzv9AR
O64xozIarBZR9Qm3qEOLCv/Yjf6hYT48xd24cvsMDdw0zn+OEqnH94MEMy93
an5qQaPm03p8y+l4fhZo5zxzUKXDRgP9/bnN3WjW/ZvdSUU6Xo/ihU6NHpem
Q/7j4S9HG4bQzGGbopwZGp6fsj11g7+6aXDCzmq7gtEIfh57vmZOSC1x1abD
z43637S3TOL3Zc/Xr+of56LDafAlQD30EH0KKR1db9o/TgPC2XCfu6+nsDw2
T1Nja9S9RevoeP4IXjHJ/XqZBsah7dcabIgQkco4GvOFhS2P7RP7wAVBTwvW
L6ym4/GN4VX0sVtHgzcKjJq0FhKUp6fmil+n4fHsFP09fMyaBkVdxTohtuw4
y5z6OztWf/24lw4eEh2JX0/UoCD/p8HRVgy8HpBdDTYYb2bg/m0srMgt5JWC
HX/erv1c1oNMtirfvfSBARqazhNWxr2InQ+U3Z9fbFKnZWYZWB9FuZr/7FJi
gKDHRfEz98dQIuWRkukLBvzitTryPGUM3VFKsC18xsA83FlTxlxDJwPv7xHP
Sn737GDAdaWJb99ezyBd70N3yuIZ8MqvL3yOfxbVtJqszb3GwP17taxI+uMg
Ax4Gx+rfb53H8eHY/f3nJnEAqTGAuPWa5c6TRNijEqwU9YQBeZGPy89cJYIY
D134yD0GTHeo8va3c8F6yYNtD/XZ75eNDkg467idZYBkf9uAvU0R2l0ZPmLo
xwBDv0+XdmaFo0B1iSSlo3SMRZJ7Y6NT6TjfK/2+8u7DPFLwaesl+6Y2KnQZ
r/zpQpGCC+aKA/nGPBCvfO6rs6gUVDu/PhDtxcKlNHqHjBR4OcVmjFXwgLKq
T++T7LcodsvpodI6HjhydXHnPr5PyF9li9repaOIy9ixlsycw3wttTT11Zvk
FtDKtcv5S+1HsT+Ld6X04Q0q4yhO3Ph29gUCvBKOJxTSJ7C/aMWysyou58Yw
n5mtn1mjDXlR2gQoK98rOvyjAvtHfl8zHHvpQob9a7g3Na5i2Yukk7xJv8jY
nmPrxx8mux6V1/NB/Ykls1K23GDpaaPCYyCIz6u15PXDd34XBO8uGesdl7nx
/WGcvzVwlegZORFIob2stPgyg+0JpZR9UYQXBKyf87/9zncuux/rx2x90zTN
8UhLsSi8W7ZRJc5xCOt77HzCPnfvpj4MZIAPU8zBRDsdRQs8V7oUzAAnos/p
uaAYnF+YUU0rIstcQXLPbUQutrDXo3wk6yYfUMmqPybZRrvBn4Um+D7qbWTN
F8vnZ+N9y+rRw6KyHF+xfHxfLkSF3/9lWDbKN4p7ctm+EeclvirFBzMbe/+T
p/h/8eavfOt4nI/90ROf+aTGSRxekcc+NaLmsRw8br6xcrab3xfi+/6xLq8f
06hfEV1Vv+O8GReOR1m8x6uiRZwIZN3Nzx8xGtCSrofHxo4R8brM3n8ivOcK
rZ7/QWlumeaaxsXoRbyJn515G9pOD6u4ffk79oez+yOtK8rRKr8P3dg7tGmf
KCcugar+aa9VejX/ia/PRFWyJRufkNrRCb0tefmis1jey7Lpva4fyUAk2Wjp
K7ZhP9why/1JDfta0ctzDr/XrSdju0RVJ70j5CoFMu3Wa/G/6UWrxrLWvnpA
wfuCfkLlJe4zOThO5if/e3OfzHOxv5advzpG1kolo38O+9Md3IfvX8okYvtJ
nlg4VDJMhM8dRUXk7FZUVz5lUzlCBNvOSP8xxQFkVHao1bNlHv2yMbmb/6sf
f3/sc4Cuhx9MC3hIsFjYIfwwswT7W9n9zhcc+E2ZZafa1H1EY7Z/cPkv987e
2Kx2jLscLPeHSA9gzH6vnBsP9+a5k6DpiJKFhWQD9qeyy7Wd56JvSVOhcUW6
0NarTFzO7ocX0qF6UrJU7E+bt79OvRNAgWsetKLoIiLmybPt85kbL//uG+X0
c+7N0HxrBh9siXnHE/O1F+czx/k8VXb2vX/IBw9nZwmm6eP/yXfORHp9jr31
BXy4PSaHe3ZW7eTD7ekViT5rlMsHsgkfDm9awY3zubPnX3twgOsZM859OzPf
mQj6SSHIXuqUlztbjf0Z7PaSkt7OKe0Qwu2rT72/K91MCPdXhod+r/QbQXga
9fJ1uvw4vm9YoNPkfuJkDl5vSswDyvwovXh9Ystbk9Q/e7NGBM4HpXwwrxzH
5ez3lXT58Ob5fRGQdpycdxVh4nL2+2uv6jxpssCJV3C/+oPCynpRmAzZWhvt
QMD+DAnNF4RaRSK2N/PuaxyU/MCN8eVdn7T8vHOxfWQXmNveYbCAMXu/zDqd
401OFIdJh0XKGZtI2N5g+1ek9r8pCrkoDi9dJz8PkxqxPcXWH+jUwIQLPhLA
J1TrYaDdhsvZ8vtzHqSPp0ti/fb73S0/gpMlsXzzKyXrp6Ik4dybkKdugmw/
viTeT463Zto3BEjCWq43O415yrA+zX7+4IpSQw0jGh5fA/cFfnFXjv538/Kn
0l0mHH1vaqzosD6VBq9Vo2Ys2sexPPb4dKw/Feiwhobbr9HaeeysNR3+kHzv
tDdxw/QdwQi4Rsfti3x5UrjMh6OvGt0PCD4gyomfnD13Q2BNFR3ojacSuv/2
/ye//ThKWPbGcLCZE29aOlLJX0Sdo++kP17hrSnIwPvzeL826ej1ZsRu38PP
+zccs/2L88t6/1Z6mWtdi+PB8Iy2NKdmduL9xKP2moarNmd9Y2j0OD/iJmP5
z3YwpDMUyZz513i5LmQxGY/fjuYyj4IDFHz/eiu5x1hhPw/GQR9+XA2b4sXy
HNY2M91ceDA+PaD77E0pL5b/ezbqK/UyD5bPfDs9cPI0D7DzUTL05axtH3DO
M7hETKMt9gvi54l9+6nwYVAAn1e4CsYpZwoL4udZdegXRu0XwPhu8sll1uGC
eP7dP+3u/KqfH9dHRimLnL2EMZ6b0Ams/t/92n/rb1dXPOD9XRhjpmEeOcZX
BAgV99Y/HaRgf6Gv3NXFicJU8J0//H6DmDBuf2u0y6qaTZJYvpzxKol0ZQ4O
+S3Db5MlCS2hlwiLdaawPcnWl6cDOgV3Mjg4cKakVuO9JJZ/wuvRUKciHffP
ez0V5pwcHcs3s9ayuzdFw7jISf3gwQd0LE9n3LyocpiGsfqmva4ZN+l4fDZk
B+qGJ3Lk+2R+VYt9xwCryGdLf4/zwO9yAqFRqASt/Dd/KDu+wF2vB3uq77PK
B+Kd+UOjUHvk3i8OmTyw9JTEFrWYJ//aGTzQI3dfOGF1PMoK1fG49pIHx32m
Tu+bCfCcQIaZw4mekt34vLWh4+3wq7dD6Jvp0RN3CjqxXsT2Z3RryjtvfbGA
z22vO1moU15zQUWZJ/+xMCYK6QzSVrHkgsGM4oLk3dOI7HWRcusKFyQtX58/
MTyDtoVe4lo8xYX93TPhcaEvWftt5wGtzHSYQ+u2X51M3kCCrvmTHbSlBNje
WSq/MoWE9d24L+aPCg+RYCGm7NAOTTIw39Ec5Vj6wIWkT7fnIqgg9Ken4mo6
Fc56WJXoPszD+wHbH+RlMi8kfFoUup0cHzTvyUH/Z+eJwY0bKa0KR/Pwert7
4enA4vxarHew9ZmVKyfSd5oXoX0VY7+fJVYgvip+6YKhGqTdFWb7xrH8P/mj
fqKuefuBe+m/8Hk5n5DhrrZPP1HeYoOjiQ6V+P/q/+bXZo8ve/59kQ7K3PEh
GLm++pWT9XUcuZ3bsquYvxyVG6TwO7lOoEbHK71t6qVorfL1/QalHD2JvZ65
3PusqCFYgraoeKpLidWgy6I2M/bQz9HjUs5RLvb1oNLwAlufIxOYL2BdcCd4
+t0kMqDQhmXIncidvM3v3QEKPjf/uO1rQLl2O7abNCrefCmfbsByFX4zby+i
9OHysi6iNMNpBNVGvnwZUDWC+Qxz79YkBMcMo2i12rS1Ge1YnzznkZRrfGwQ
zz+2PSK4RzP6oskCurkrcj9x9QjW09nyaqr5Dh0z4ILmkbmlgloUiJ2fmYyM
IHL8gbu+l0ZxcWE9bGjJts3GTAKsVRpsrXfl3NN0WyTMa1bcjvVm9vz/ZePo
rf+XjP0H2yuJF0zukSBiwqDvc9075ClmIkx+zAM7BZV6Kn0f4ngS7HtDV0ib
pkb+8gCPEHXfUJYfjhfxruVcwvj3KpT6/Glh4gUB7B8aOCQqeIkhiNtfd3M5
r52YAIT2FOxgvqBge48Q7hVw8IIX1s/Y/guTDOkdiS3CwHdbltXPZHy+MmS9
PetwrBvWv9j77UMvuqVOuyh8m+lcedKgA9t7s0EvxzeHUbE+VB542/J3j/t/
8osw0cGrtm+vOYtDQq4aI+QgE/uXb3EZrRh464P9fep3/vnSe4mJvMUikin1
EtB3/cJaxxdMdJaWvpBVIYH11cCk1NrAfZKQuzrucvUWrv/EzyHBRX3n71XS
kuByOfNiZzYJl/uRN4QvsyNjHDpy6KP/JBHeb/t4y8WXBpP6KqFLLUnA9jdt
dLJCeZNk0N26YdPlBhqEFewqvO9Ewfkh2P1v813+y+FaGojYdasJ2XEDW//4
YKhq+JfcgLYsX2tTvIMB0gp5tzKESMD2p7D3x9CI5zFPVVj6R6KOfLU7Bbh1
fgmvXCwF4c6mQjejc1CAq+dPhzMMCBs8RYyaykOdpBjNoiAG6EWd5ynwokK1
qN6LezxSUCHW1SL/hgoOje+syvmk4FTY8EOJAR6sx7Pb+/mhTENQTzuqnnob
NlowjObzwvb4+zORuuiI9EXyCF7HY/q7KquujODvj/09qVA2nkCH5pDmSw1U
OcWOfyOA5/+xoD1mKwQEQWIDozdXdQwtCflFknIeQAmpsjlTT9uQt/7zenkn
LmhZtrnh661J1BPziMcmlQjLby9KTtYkwHQzn/GG1yQ4EPJFWfooFZwtIXfT
hAic+aX9aFUxBU7MHHzq0iYJW2dEFEycecCtqGH03gsqkP+9n8f+TmhfUhZb
TPGAVtGfDV/f/PjX78ADGzYeePOLVwriqjR405V44EkqP+mcoBR0MuUFc6R4
YI5fxJHJ6r/aUw361/144Kr/9sf8S6SwPtKbXK6w8LICrduKNlSz5ld0qOe4
Ux4J7+ehjc8L+U9w/M1Hzev0BlNo+Px8qeftbFlzBuhX6zWebOGBW3mjizy3
ZKHa5fff69g2Yfv+ilaZ1FJVlv6aXrRur8NPFKqcFdosOI7C11kqKD/6iXL8
PCJ51KvR5poKXd/hQTQcXskv2DmFak8+KfGfloCjCRFX3nYRwXzzyQMJ/jRI
2/2xbPYZEbyuzGj8uEMDwpGWOsruP+ifkw+O7DNggIf/iZO1BXXol9/3xtLd
rPk1u2aQOcK+N16Erok4LJSGNuL1mz3eMaM9uZ31dPh/dWvTMA==
      "], {{
        {RGBColor[
         0.6679396872813469, 0.32575217757780606`, 0.21108509772845663`], 
         EdgeForm[None], 
         GraphicsGroupBox[{
           PolygonBox[{{839, 959, 589}, {3050, 947, 2599}, {2599, 947, 
            3065}, {2620, 589, 2908}, {2253, 156, 2179}, {2603, 950, 3053}, {
            2766, 589, 2620}, {839, 589, 156}, {2621, 589, 2766}, {3180, 947, 
            3050}, {589, 947, 156}, {2414, 839, 2906}, {3047, 156, 2253}, {
            2891, 156, 3047}, {3067, 959, 3066}, {950, 839, 156}}], 
           PolygonBox[{{3053, 950, 156, 2891}, {2908, 589, 959, 3067}, {3065, 
            947, 589, 2621}, {2179, 156, 947, 3180}, {3066, 959, 839, 2414}, {
            2906, 839, 950, 2603}}]}]}, 
        {RGBColor[0.7107965, 0.36998475, 0.227467], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtUMFKQlEQHXsSvjsP/QIXQTs/IFwk5SpQCFtqGb2Fq7CP6BfcuCg/QWjT
RgQXLl4LRfyBwI1C5VslFYRnOHcxzJmZM+fOPUfxw1X3QESOEQHiT0UuAK6R
Y8QlhudOZOGIz5BPEWNwfjCfBuR3MiIvyENwThB3oUgFdV05K6P3JOy9Bqy7
IWe/4JQce03gUUAt02n5e26QG0qND+Tngkj/EHWBXMP2dtlxfwdOz7H3neft
9pbtJ+i/ox5gt+01U6Wu4VlOZKu88wt5rXxjo/TCtG6B37xO4v1Y+b/PHfES
OlVHjzIRucUsb6opvfhUemqa5nfqb7C//iMm4FQwv4+4+5ij9sT7swdBGkBf

            "]], PolygonBox[CompressedData["
1:eJwtUD1KQ2EQnCQiL2+DOUGENFHwABKIKawEA4JloglaWEk8hFewsYgeQbSx
UcHCRjQquYBg4Q+onb8gzjCvGJhvZ3e+2a2uby338wAmiTHiLYDjAtAk1orA
fhm4Z8MBsZMCbep18o0c0KfeZO2cvQ+s3ZA3iNPsPSR/Cc9WaL5ZAm5Tzy6x
dkd+ldpPf76zd5rv2bw9//j+CvstEB3yqUyXp7yfiSNqJ0Sd2seEtd1xYI/Z
a6wdFrzDJflnuFce+muYAAM4g7Ios7KfsWeOvBW+hTzk9Rjmqi2Sr4azXRDz
1HMlc+2oXb/DXvpP2Veyfu2kWw3Kzqodnqj9hGfV80veC99KGbvk14l3UQZl
GSXOKz/d6jXLq31m6L+d+Paa0ew/0A9J4Q==
            "]]}]}, 
        {RGBColor[
         0.7455657916666667, 0.40823224999999996`, 0.24066254166666665`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtUj1Lm2EUvTHf75MmYNYSFdoqQlehFJTaLhIRyapJ/AIR0aiz/6BLh04V
7Q8Qceng2KGoiPQjGRxF0NIuioNNBiuew7nDwz3v89x77rnnvn1zjcpql5m9
w4njlPGxD7AFXAtmY8B1j6/xthgzmwnC6zmzkchsAngl6Jv3a4iXiP0Js0nE
Mmq/xVVby5pNI94iZxC16ZRZJ292BHyO3EPEpwlhajh7YjYE/LtgdgCON67j
JNL9i0jcY87/w/UMR+IizzFiB/p2wdfKmG3mpO098D3uv6L2P+J8kNYk3uM5
8TWg922kOTbw/iEjnlXgbmgqQX+xoP4Hrq03JQ/pZcJ5mpHuOBvn4vz0oQr+
GZwq8B3uXkWq+wv+Ue9bBR4A/oL6NvAO+iXR4x98O8X9BXK+Z1RPnnpWO6CW
l+4xc/hWdM1N5P+KtKefiA95ebuQ1TfvYzn5S5/H0XfKPaSXS0E+c/8PQdqo
8SaoF3X9CZp1Gz0bQbPQy1n3mX5zr+RvYc9XQR49R85HnE/Q+Rnvs+7PdZA+
6qwEzUGv6Rf9pc/cG/dJPdS3l5ZX1MGYSsn3dl74mf8jzGMO63qcc9nn5c6p
Jem1fC95ziOj7Why
            "]], PolygonBox[CompressedData["
1:eJwtks0r5XEUxo/run5+38stjZ28ZDRRslNSGnYijbvlcq+NpHHL2n9ga0X4
AyQbylJR3oq4U5ZSFJmGjZfFzOTzdO7i1HO+55znnOecb+t0MTufMLNuLIkN
xGaHlWbD2HQw28iYraTMJirMTog98bZDbB/7C56qMcsR64HkutZzJsr+Kfit
zqwq5RzL+P3YaMI5/lP/Qbw65Rx5uIrYDLiPnDzxdvK3yW0hp4FZumKPDaie
2g78XfAtb2fg38F9xcfAV5FZE7XN2BfqLW12UNZXIJ7DflC7SWgcPEe8Mek9
7/GzwbnEqV5/gs+qfs/g9/I+hvF7iY8E166cAlrmg3OrRxH8GDx3lbcH8EK5
/zd6LtK7Ku2zaQfJtGuWdmmoB3+Pff47ai7BP4PvUz3mwL8ijylHWqVZ2jWj
bndMzU3CNUprrsbvlSLnnX2uZXw23WwdvBT5bOIU9wsce3ANYZO6f3CsP6O/
U6p1/eKchLuNt61q73kU+020T3GIqyLt3NrBIPF/wf+WNM2Cv8Y+m+Z5rXMT
Fqe49Ue1L+nVbkqR70L1F/jnkd9K99Pf0B+Rrz/XCf4EPkdilw==
            "]]}]}, 
        {RGBColor[
         0.7799537083333333, 0.46734475000000003`, 0.25285795833333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VE1vTVEU3fpeueeed+99aXxUDVRoUqJiUB9hyuBJE+ljUHlUVROp0lcG
0jR9pUhI+AUGfoBIw694TRhQpTUxkDwGIlGJUPW1lnU6ONn77rPP3uusvc7d
NlgtjzaZWT9WDutOwWxv3uwu7LPY7CA2d8JuRcyvRd4asxnE9mE9MPl/m80q
iBvOPIaZj8wGnNkWxH+kZte8WRl5R1FnITFrQ/ws9pdRrxV+N/ba8+rxEOe3
x4p9w9lPOPsIsfWZWR0Aj2H1Yq8H60lOOIqZ/A/IXfKq8R72I+Ir6HEbeHqx
vyevWjXg7IR/H/HzTnd6h/yOojC/BcaWTLU3wN4qqN9h4KoHbMT4K2AjxooT
B1+A+RS+S8g5EKvn8ZzyyNNM4G1TpvgEzv1MhYFY2hDvQXwMfsMrfwT9d4VZ
cCbLyI9wr93wpyPx2MjUj33HkT/sdeffXrVYc8hr0f/qxWV74HwgfFeROwvb
aNLM3oR5vYZ9mWheL2C/p/LPOM2DZ1mHMyS2/3MEn5uRM4/8c17aoEaoD/r3
YEeoDZy97NWTc2HfG5F46kN8EmdOIucq/OtO/hUv/jgXcjuG7xP4nnLSK7kq
I1YN8VEvDTF3DrVrTn0vIX4oVh3Oud8J86tEvJP/Wew/XSd8vGu+II6aYU+H
uS96aYWa6YiVW1/VarDkhPuloIGlVJr4nEoHvM8F1PmT6q11xXoz5GPcS+Ol
8PYWE2mVmqV2qZ9Bp1qsOYV4rag+zyPhI85KeJd8F+SoWtDMVlLlMZ/c8+1R
5ztivSv23phJW8SwH/HWTPc6Av9i0Nuk0/+DM+KM5xLxSS1MF8XjTdh/18OM
Ng==
            "]], PolygonBox[CompressedData["
1:eJwtk89vTHEUxa95nfHmvfnRkFC1QEIi4tcCESIWbDQNaVkQIpRE/Oq0EmLR
qbTxK2FhbeEPEBH+BYvWUkYa1pJhqza0Rfs5OW9xM/e+e7/n3HvunS0jreHR
UkQcwXqwThrxmt9BPq5tRoxUIy6uijhIfDK3yV+qRPwgf4V4mPgNby7j/2lE
bCy7ZkcWMcC3ffjnwbgA1mRvxDL5l9S38b+DsQhWP9++1CPGqT+TROylmSe1
iF/Eg8SvqJ/HvyU+4j3kH5M/mxvrBBzn8Gcyc4lzFn86Nf4G8DvgH8482ykw
1sP9MPUs6vkr+W3k95N/i3XBm6bH96sjhoj7qB+DcxPcm7Fx/NtFPx+wo7xd
R827xByHiP+RH0qs6V/8Mm8+JtZM2s3VPbt6VK8/G+5fGs3jj1Jzupj3BfkO
mN2SMXrASrDZxN+Um6y6fgYriSvzLMKUNl36W6hYH+3mfrG/7eC3qd9FTV7x
jJr1arF/fftPP3OpuaTJFNp8y72blPwC+U/M01c2xxS1OzPnhNcCb6JqPaTX
sriLexKHuA5k3qU07KXXpzXfgu7rbm6N9VYY14mfp+5dPam345l3pZvpb5pD
9dpRG/zPdd+C9NbtXct9C7vBeFQzh7ikyT38O8U9Ss9jmU2+NG7lvkHtRvEY
8bPU7/VmouYb0a0MEF/KvRO9V/4B/bSqzmmH2qV2LDz1e5P6rZl3JU1/N/yf
1G3pRtc03bN6lx43qF9qWGvpuYi/AmjKens=
            "]], 
           PolygonBox[{{3545, 1307, 2400, 3317, 3318}, {3318, 3317, 2399, 
            1306, 3542}, {3540, 1305, 2398, 3313, 3314}, {3314, 3313, 2397, 
            1304, 3537}}]}]}, 
        {RGBColor[0.814341625, 0.52645725, 0.26505337500000004`], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVMlLV2EU/X4+fb75/SKoUCO0FILcVDil5CKMojKCyiCihCjEtME0MhUl
K8j6J4QgMGjbqlyU1iaLtAlaBKURlEMJTdo5nG/xuPfd78733Fvc3H6gLccY
04fPwVeWa0wpvrvgl1xjNuYZUweFzZAdhsI9o/e1eDuZMeYgZMfx3gF+RSp5
VWDMQmJMLvgfoJ2hMYegdxH0AeiII5+/8eZD5w/oSL4xHxgHXyH8N0BnC/j8
2JjT8J0XK26hq9wKwNc60h+F/TrQBHHrHPFD0OnPKt9Jz5hsKtsK6LRHxtRA
ZxP4NsvP4H0WfCf8jiLWoKf6v0L+HP67IF/A+zJquIB8rvjG5ESquxf800S2
9LEVNtXsXVY9YF2sZdhRzsxvMZLPt7FqLbL9bIH/Y3gfxPsX+KnHWyNkj2LV
NIY4HaH6nkBnGjrbwe+DbN7m/wq6Y/huQf8Z9KcC+dwbqPexq/6bVPxyohyN
q35+T8R/A22EzQnIMuBLAtXxGb7Phpr7NcT8lcjvx1A1s/Z3nmYxbOudg04G
8tlEude4sj8Sqv6mUL7Jsw9HfdnvtnHok32nXbW1ZS8zNmfiq9ZVrlWp+MpU
M2Ofx5HzG1sLa+qG//PwF3L++C+G/ipiBF8p+AbIVoMvAb8N/HpXcuLpL2oI
wP8DnU+UN3vT5wsPxEWZKxtil3SD5QtS8TugvwdfJfOHrCfSfl1CveW5isv8
dgbyVZQqJvtMvNbkaabsiROrZ2cQv8eXjDh9GKj3KehSLJtl0DWpchrArObs
Ts6DvrSYGfC0M6x1yBO2iLFmX2/UmYyFRWLysSc88VawxtTG5V4uIlaE3f6Z
qi7y3N9WXzkz935PfiY4I3y3wV/1hHvifz/oHUc58G0q1ky5Q/2++nY/Kwzz
dnAe44nwsQu2L2LtBfeDetTvCrVzvCnM43Kk29cNOpEozpgn/BGHn5D/ykB5
vA+1V+zDE093jfi7AduKULb0MROrJ9Ox9pnzOhUKc5ztpMVdub23vIX1dr7c
K2K8Ffp9nu5dSyS8UJ/21yPh+Rxvkr0JvA03I93rIdCerG5rL2hs79Vr7nEq
PBAX/wHaUrEN
            "]], PolygonBox[CompressedData["
1:eJwtlOtrz3EUxz/zm9/l+7tN5DbSzJTiidtmtnjApCgpt0jMfbmTzWYYE2X8
E0oUf4BHeMC2Ui7ZDOWBcksum0u5e717fx986pzPOed93p9zzudUNO5buXdY
CGEzp5RzOBdCPRf5JEoxhJICNvQ69Br0LuwzcbyO+Wg2hH8F+15LhDA2CqEn
H0Iz9gvYu5HnEFOLfRX2Q/i/5lzFVs5dGbb9mRB2loQwBX08egMYVciVnHFF
51Au3ZWjP0uHMC9pTGGvJ74O7EucAXx/wScjO5z3wXU0HA6VOGY2/l+xlyLP
wj6EfId8L4b57gt6MxhrEn7jeeKPl/G2FDo+H7C/AqMeexecOuByG/wjpdZv
IU/Bvz7lGtzHfw/8tpF/IvgjiH1bNLeFYLxDrsS/LuV6PSJ+OXw2Yq8dDkfs
NZFjq8A7Cp/Jsb9y9oK/Fr4NYJWjn4TPGzCmEfuXmDNpxyh2KqcV+Tn+l/G/
SL65yNMj81H/foD3hxPF9duL/xA+NxKeia3Io+FUkXQP1cuq+L3CGyD3lozf
ph78BGt43v0Vp7fI58BcnfBMnc25x+r1VM4SuJwqs66edyD35V0b1bMf+V/e
tVFP1dvj5DuMvAm8/fB5wbmSMAdxWZG1rLtR4G+P5y8H5+/k/la0PAP8Tvg0
ErMg9hfWy6xroxoMZj3j0lWj37xvadbzN574E2n3QL3QTN1LO6ewhLkc36ac
fTVPu5A7066d7G/g8iTye1SfgcgzrdnWzG2A24O8Z039f4jcEs9rL2cx/nfS
tk8i/mbknMJWz0dG9pGvenAE27GMa6mZa0JP5mwXZge290XPkvqv3VCIjK03
9/D+kxljKUaxT+P/r5nQbLzO+6/pD+zGdz7xk5Ou92n8q4veLcIQ1u6seylO
7egTip4NzVAKrB1Zcz2I3prxkSzMMfguirxLNENji86hXJrZWmzVnAlJ/5l1
YM2NvIv0R1rw7Up79vT+du06MKqTztFGrgNZ90Y9OpFxD9XLgM8n6lHIedfJ
nkd+HO8H/Vn9de0Q+ZfgP4h8N+35ll1/uzueB9VPu6Qz5i8Oy+DaF5mLatAf
ecY0a9pR7fh/Lhhb/dFu1J9V71Q/7dqPBXNVjHZfS7wfVBPVpi3nXaE/or/y
HzorsbM=
            "]]}]}, 
        {RGBColor[
         0.8452164166666667, 0.5873894583333333, 0.27568691666666667`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFlluI1VUUxvecmXPmnP/1lJJJKWlFkuJINToxRm+lU+pUBBmUYHSlDLOI
ccBmSKNmtMEeCu2hx3ryLSgps5rRyUvSQ5dRk0SbS4VBWU+G/b6+DT1s9vqv
/e211+Vb65wFG5+/f1MlhPAhq5U1twzhARR3JSEczkNoVkMYZ1/L4SPoN7eE
cJDvHP3n7MNZCI+hfzkN4Tzf29pCqLDfjp07aiEsaYawqhHCOu59UYSwFXwP
+L64Lwb/Ae+uRF6IfCP7Mu52cncRd99Ffgf5LfzZXQ9hH9h+3vodW3PBP42d
o8jT+HOMfRDdQJtx39Rte4j9pqp928P3/Dbb1Ftd2O/mrIW7lwrrruatR7G7
DHkB8ts13xnh7p9gHiaWMfQ78O9OzlZi4+aq330PTAVda81vKX9TrOsqztk5
1nzkM+znWcNgxgvLBTanc9upKsd8zwM7ynnB2oV+Dvo+4n+IeuzEx1fJ7Xrk
rehqfL+EbwPorsqNv5z7TJhdnH+NnRneOs5+Ets/V10b7WeifEPTmMPkbSHy
JPIh5bLdGPn8St37amxvbjj+Gd7aHfO1t3TulMNR9mcbrsEkmFA455XCeZH9
3hZjKzFv4uBgrGMvvi+vmX9LS3Owr2Hu9EROtufGX1s6Z+KG6jTD9yXuTrPf
0/A7M5m5sKhqflxRWn6O8x1113AKe2dL+3cA+UTMm3JT1hyvcD+VrudH+f+c
7krsn/yajf431hLwL6BbQ76uBzMbzG2la6RaiS/Kj2KfzFwH9Y14J/9HIo/l
7+PYONJqDihPikdx9YA/gW4a3UbWceQp9g2sJv7v5+5ebHxVOOeq7Wupz9cm
7lX17GkwSxP35JbM/BbPu0ufCbMY7IV2y+Kc+q8ZeS6/hNdceDC1HdlTP6uv
J+qupWTlSDVX7VWvPPaH4vmyMN8Ost+b+M72zP2hfIobv5S2f5Z3ultde9l5
Mvav+nhb3Xk9R55Xx1mkHHeWzslJzu9OnEvNvydSz7v+zPnrwr+Pwd1aWl4D
tiMxD1rRXSzNxUHwO1Pnvjdx38qfDPnFzPPtV7Cf5I5R3FEOZ8WcfgpuAv0h
7uWZa1lk7t0jsdaaH+pb3d9Tt185+APxrmwcjfEq7u8Sx/At+x+Fc32RfTR3
rcRxcVGc7E3dN/JZva25NRlr+nrqt/RmA5+O4U+SmU/K4TDnY4VrsAr579I5
VC4/S+zzWN22J6L95Zx1gDmVOh5h1sU5IDuqo+a7fHpGPdEwfkXq3wDVfx7v
XFOac5qL4rH4PIS8KXP//FN4hqgfNsTaqEYjqWe9Zv7lwt/Sv8G9ULpeqpvq
ozqJz3PiXL0S/FDmXjtVd0yaj4pLvw3y/ULhXCiWpzLPsM44x2RbvNUM+a/H
KuZyf8O+3hJnkuaJev5H7LyP/nRqnXKr3rkvsV/bm45NtVadfkjs2/fsgw33
qH4ftqSul7ivXMqmaj8QMSvQz4p80KzqTj17JlLXvDfmUFwX5ztKnwkzXnd/
Kr6/Sv8P0JxtE99L96xm4frI5X1xlim+N7n7L17oBY8=
            "]], PolygonBox[CompressedData["
1:eJwtlFuI1HUUx48zO7Mz///8/zNeIKRczIhSw1WrdWWUwAdFs3ZLAwtCsAeX
SEUtBIW8lGGuF+xBKR98zKfo0SLMLW+llT6YtwzEy+4qaKT1pNnny3ceDpzz
O+d8z/md25PLVr2+shARfVAb9CiPeJqHCRLqEe21iJ+LEW9CH1UjirzVyxEH
UC9OIxbw1jsiogOf77KIV5KIbvSDyL/D/wBeD/o/SxE/wk/Dvwt9L3h9+PdD
34K1DPsd8GPAWI39i9hMxbYN+UNyOYjN2UrEf8jfhGM8j77Y0j8D/nvkMooY
O5HntEdMakScQb6FrpN4XeCXsd+EfhJvq7G/g/4t4o3l7S78E2Buhl9EPvPI
/zhvF+HHQRnyOjDegb8D/tfgp7wdbLfNYfgN1OtVYi1AXg//bs3Y/eS8kfxL
rfiK0Q5/seK/qiaqTYr9L0XXZwP5TSbGbHSjsTsEf6nieul/E5HfT107va2F
H8zcG8UYgr8GfR6u0XX4ASgruWd/ESuHfisaQ1g7kJcU/cd++AL/b2L/gWqE
b8LbafRL0X+C/QB/fgr+S96uIH+GvI98O4i3Atse5CbyEDYX4G9m7lWRtwnI
p8EfQh6P/ii63tR4u8m5B747cS2fxWYk9TnG/y8hX0M+ge8XvO0t276Zukaq
lfJ/Dd/LqXsvzNHIWe750Yzk8A9z56qZf6BcwHvQyn8l+d+uexdU063gdiJP
bvOMToF/LLGv/ry/7p6oN8J/Afk+mIWyZ+xe7pmUXv1qIG+put7aMe3aucS7
oxnQLFyuuHaqYRd45xPL6lmG/o/Utdcfe6quuXJXTfYkrqFqoz8N4/8P9HbB
M/pv3TuoWVNPq/jOqLvX6nk3/Bownyt5nrQ7K6ruheZJu6cboNrMAvMN+LmJ
d0d/ehz/cdBXYYwO+Cb0Utl6/f1Q5tuhGzEfuZF4X4ehX6nPyYrzV/80a0eh
qQXP9KmKd1C7qJw347+z5lulmHvQn6gYS5i6BbsqviXq4X1y2Z56ljUT21LP
pGZTPfsb+48bniXlvLXhHqgXqk/k3gnF1o7ORDeitS+y0ex/WvNuqWfbdUvR
D6JvaH7xnZ/6NlxHPpl7pjXb2tEj6KfX3R/1bCF4w5lvl25wJ/LCqrG0Q6fw
Hch9a2/IBn0t8e1qgnEM3ZGWXjdLt+tw5t3TPXgZrOPU52bJOSrXGa39Uf3U
m76asdSD5TXfEPnK5yfs88R/UQzl8ijzLqi+ut3KSblph7+Hv5p6drRD2qX/
AVH9zeA=
            "]], 
           PolygonBox[{{3316, 3315, 3528, 1296, 2380}, {3789, 1513, 3791, 
            3315, 3316}}]}]}, 
        {RGBColor[
         0.8745855833333335, 0.6491015416666668, 0.28565108333333333`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1lUtsVVUUhndf995z7nlUUNRGVBKIiSRixUcqKsWaWNFiWusAjDHRohij
RgZMSXgoLW21joyMHeFI1FaoReURDVajKEGwYguYKA5EO2Di4/v5t4Odvc7a
a6+91r/Wv86Sp1/ue6kxhLCf1cRaWA2hsyWECeRV9RBuQ/l2GUJvYvkedGdY
b3D+RS2EXYnta0UI43kIKfLi1hAeSixPoHsdu3Hsd3Ivq4SwpDmEpxpC+Bt5
b5N9/VW3biP3hrIQ2rEZZH+2yfIBbPaUtr86DeEbfG5F34z/fu52oW/ifAz9
SvQj3N2DPMm9sbrf1Ht6K8mc3yb0v5D8Me4+wX4C++3YJficEyhgsZp9lu+l
5DLH/jErQ76eHM/hZx0xP0jMDyfWT3E+Rnzvcu9Fzo/wXaK/Efu3Ig4VsBpN
nNsoMexA3oB8Q+nYJQ9w/xH0vfifzxyHchRGa7C7j1zuZv8dX//g/wL7BG90
EfPyVscrfbvyK+xH/tr4/hn9EHG8ytvP4DPN7Fu1kf9WYYXNeuSE/QzrOu4d
Kix/xv5dauy2cXc7frdgW0W+WBpDYTmEfgC/g7yzDxxq8kNsu+rWD7Fvi3dX
ca8HXb3qWijG2RjnXIu/hfWRwvqM9wO+FmHfoLwrxmRL7CHl8T22i4Q18bTx
/nxp/6M19/L5JtdpmDg2Iu9mH4nySGLfqpF6773c2P1UGuN9Vb+nfJTX+5zX
U+P0CW9O46ePGHrw81rEeRD5ztL+ThPD8YihsBSH1lTdl+KJ+kT9otqrdtP4
XF26N9QvK9XT3J1Dl6fG6Cg2XxXWt6K7g9WNnMeYFa/4IH6Kmx/l7lFh8Ca2
UzF+5XGy0fkK/77U/XivYo9nk+x/VtwfuiOOyXdnaW6ICwfxv7PVWO1gHybu
B9BfQYzXNLvPLte30f2tms20WK/eW8Ab75Dvqbo5L+7PIs+wTmP/KboThbm9
OTPGCyOGyzLXdyn7TKN5IJ/PZX57U+b5Ua0aoyp+hvm+ipjXJ7a9lLnewuHJ
zJySnwHOjtXs9zAxtBbO62bhmjqHg4U5L+4fxefXNec5nTq/ixXnrt4RjsJQ
/FH/ihMdpfv22txxdsd3by0d55W5edaP/vkGx3Kp4vi+LTznOsHp8TgbNSNV
P9XxsdS9pp6Tr1Oxvqpzb+pe0Sx5JbHvyv/cbTQHJ9XrfK/l/MPcPfBBbo62
RRvd0d3N2JTE08XZbuQVqWv9a24MTsYeE9bCfEPiubu8xXaPJubRj3XXW3X/
vOa+kKyz9tI1/wF9KMwv8Ux4LIs100zpaDGvVBNxRLw6RByFZlpubt1UMabC
Xfg3Fp6FM7F/OiJm8rM3zg9hfSF3zL/ljluy8te/pSf+X86Wflv/hCJikrP/
m7m2L5DrgYjtfvZbsL+deFbE2dhWcR+si5hoxvSnnn33l54lemc8/tuEibDR
LFC+d9XtTznITv2qvl1ADIcjDl8W7hvlpP/8VOEaiffimLh2HN353LFoxmzN
jNkfvNWdWpbuXG78z+aev5f7uTCX1CdJav4pt+7IUdkLi7J0voXmSem6LC7N
H/FoXjOh8MzRf/4/HdwGmw==
            "]], PolygonBox[CompressedData["
1:eJwtlV1o1nUUx397tmfP//0/y1lJLwyUAkszgzAltQntxtXMLjRIKO2FoKjI
3qCoVbonN7O77Lau6ioLpeYSt6JY+ZIUTR26qUFqkLmLbtQ+X77/ix/POf9z
zve8n6fr8efXPlcLIfTz2nj7kxCO8+Gz1hCugc6yEA5Cb+I14xDOFyFcqYcw
jzeVh7CGb2tbQujCZknKLzaXkXUA9hi2vYntn+C9j/wh+MPQm3nb4Q+Bsbhm
zAtg35MaS5gPgv00GNeD1SS2HmQzvGnkG5Ffgv4Fm77K/0HoGLx+9J/hWwQd
8W0l2Nc2iKsM4RbeBnyvQ7+HWF4Cvwv9rD2EhfAnohCG8bUa/ds7Qkgyx76X
bzH0Dnw+2eoclMsN4A+1Wf8O9FeWtr8PvFXQbcTwFvJNxFODns5dO/FXwbuQ
O5Zb0b8Z/ZzXAz8XvoS+qbRMMb+RugaqxRQY3+N7jBgma665ap8llp3ijSEv
SmOtwf5V6tkK3w29AptF6N5GzKuIfTsx3lk6B+WiHK7DPud1gzWbbx9Tm79y
26q+L4C3CJu7wX+Ub2+Tz7vY70a3m9cHfsS3cfz9ifwo/APY9GI7F/7L3DWW
P9VwKVg/Rp6/T7GZINcD+D+J/5jXg+2CDmMrPvVqGTZbWlzv5dDvZPa1B/mO
yN8kU0zvYbsfvBtrxhyFPpF61uRzEvq3wrOlmfhd85Q41j94I/AtYMwB61vw
O+Gfjd1L9ews+WyAX9/imdZsf6UZrDvnM8S2lZhCwzN8CPoj8L+A/px8PyHW
78CcrBtjfeyaq/bav23EdxWdzob3ZxD+B/SnK/x9YO2KLF+tHUS2C/27Wu1j
Z+IeqVcpOjPIBmLPt3ZUuz7IW6J5Ref11DusXdYOPgXdBL/R8Ewfgb5SOj7N
SIm/4cS1ukjNT5beKe2WZu6R1JjCVs/68T0UORbN52blQ73Kunf6b/z9U3o/
tNMXoWcVzk05qhYPJ8bTfqyAn4i8q5ppzfZA6topRsU6kdi3bI5Bd+aefd2I
bcTTrPRVD92u6dK3RTGdhh5BP4OeIacp+I1VfdSzBP29yBPoS8hPld5B7aJ6
lCNfnrofmu9ZiW+SbpN6sBXZUHVfNGOB+M8hv9zuedSt+jr3LvzLt5cj3wTl
rp7thB+MPRu6T2Xmmqq26pl6pxsgXjup3TwN3nzw/gPvTeQH4Isqv1ci3yzN
t3TO5O6pequclbt6pF7JZhR5rbqH2o9QOEflqv3Sf4t2WrxqsCx1jIpVOQ8R
2zz4s5W8L/ZMa7a1syPQA8gXt1lft/h4ZF/61kQ2lXqXVDPV7ifkHwbP/2ji
J1o+5mf+j9AtW0D853P3VLkrn7HcNRCvnu+Dv7e6J928dWD9XFhXNRgvfBMU
j2owB/rF2PiaYd369sK3STPXKNxD9VI3YjfyD1L3T/OtXT5auPfK4dfCPVKv
dPPHobdEnjXN3B7sj6X+79ZN68X3/aVj1cxr9s/lzlU3SLfoNXSW1n3DF6L7
DfK0ml9hz672QzrS1UxLJp1hZP8D2UcFXg==
            "]], 
           PolygonBox[{{3519, 1292, 2379, 3305, 3306}, {3513, 1290, 2377, 
            3302, 3303}, {3303, 3302, 2376, 1289, 3510}, {2443, 1347, 3598, 
            3351, 3352}, {3352, 3351, 3602, 1348, 2444}, {3306, 3305, 2378, 
            1291, 3515}}]}]}, 
        {RGBColor[0.8990266250000001, 0.7009405000000001, 0.293924], EdgeForm[
         None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVntMllUcPsB3ed/3e9/3AALhaJValk3NSlJaqZCXatEqjJtMg9bWbOsC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            "]], PolygonBox[CompressedData["
1:eJwtlleMVVUUhvcMc+/cc+495wwdg5QBGwaNQUZKpI066ANGAYWhqWNMjCaW
oRpgUGIDpWmMEw3GB1EhtiBgBBHFCkosIDGIoJREBQJGkaKC3+9/H1ay1l51
r/2vdU5t072j76kMISyHqqDBWQh3cFCfD2EE/PIkhJMotuRCOBWFMDyz7s42
ISwrhjAHehO/izmrRTc6DmFNdQi/EmMX/A/QzIoQrkZ/FfrTpRAeIN4J5API
N8fW9eGsBd0icszHfjr+i4idYnMf8jnYZPBJZv4tctThOwKbOmpZCXVErqDe
ucTKoz+K7QvIp5C/oP7TxL4udq19oJ7o++F/Cb6t0L/oJ1NDhv0x9HtUH9RC
/mbqGQe/tOjaVOMS7Js4m4JtA/GXIreS7zj+nyH/hfwE9BC20/DJ0hBGIlej
ux+bA+Q6xFkr/evM2WH4CZH5WehPoh+vGvQWnEXo98TOPYN4e+EPFEKYiH4S
dAu2M/EfgO1C/NtRy2TOJqC7hrP2+Pfg7EH8G+WDbhr+C8jfAf2PyBOh8ejq
kYvYn6GGOVXuacC3GzQP/3HYTMB2f8GxlEO5xkeOpfpP4Fub+P6qcQr6K+lf
L2ofw9mN2N4NXZBzjrPYbyJnJ+Su2MSxe6BYOmuMHFOyMHQK/jfiv0hp85EP
we8ruDbdQXfRm+nt1MPGzJgRdpTzIPZdU/dSb3g7+vdi5x5FfRvgN0O7kVeB
j07wC4p+S/VwIfW0TY0H3fFJ5LugXuX7qHeLi46vN1uMbkFk36mcPYbuhPAA
35f4M2pC+ID6ZwefrSXfw5HnZwT1DaO+Xfhc2sY9bKfZ4Wwj9sP1xvDnEmMA
95vD2du6HzYXVnpGdlBrN/QD0c9F/476lbhWYfBn+O7oB6FvQd6IPJ879EU/
iRg7iPUn+dcTayjyNuShmXM3QOOQb82MRfVEs3IQ/+Yq75ArIu8M7Y7O5Hi+
4B2gXaCe7SHfp9A0bAej70ktoyLP53PQNny/Lho7lyF/Ix6q1+zjM7vgHaBd
oDfT2+0tWtb9h8OfiRxLMTX7iilZPb0e3SPITW185yXE66cdQ6w3OMtR68Ci
c7dFPwt9D84uyvuN9FZNJdeint8G35C5N9JrF3ZIPYvCi2bjp6KxpTvdgH+U
GMvaqTuJP1WYqnANR9CVUs+mMKRZrivjQXfQ3eaVvEtV07Xki1PvDs2sZrd9
4t2wjvjfE387+iM519uM7xKofzm/dvvWonfjPOTe8PtL3l3acXXk+wV5apV3
7CDksdx3SJV35hj4SijNGy/Tse1R47fVG69O/caSFf8TaluRendqBjQLK8p4
EB5fgu+deXerJ73gx8SeDWFwiL5dkfEgjP5Bvd1jv51qqBA2S561LtQzsWQM
CosjydmZ3IXUs6l+PU6sV5G35oxhYXl9bF/tzI/xfRQ6m3dOYXFLwdgT5oQ9
3Vl3l81h8p9X8lvL5vySv1H6Vmln/534G6VvlXKuJPcq6Muce6xe6430Vkc5
24muY3kfD0OuRv4utU71qBevpe6dYrwOn09t246crQXvOO263Zy9j+5l6PPy
90lvHcXW6Zuob6P+AfQvIJtXUs+UZksY+jY1ZoWdAvF/z5xDuTRTmq21iXeT
+rkOvqbkfaB/jptiY0BYOE6/9meeMc2aMN5fuyfx7lI/NsDXZ/7XkP/Y2DtK
u0r/DNvh92WOpXm/HP9nC8a+MPoPumOZa9XMaHb0zde3X9/o1cTflDiXdqJ2
Y0t5vjQji+E3J+6vMPoRfGWN8aQ7PVU0JoVN/RPp3+jDgu8nzGsWnim6du3w
p+HXJO69drh2+buJe6Wdrd39/86t9DfvK2JV1PjfQ9+YAN8lLWO52rX8B+Mx
Neg=
            "]], 
           PolygonBox[{{2448, 1350, 3606, 3354, 3355}, {3355, 3354, 3609, 
            1351, 2449}}]}]}, 
        {RGBColor[
         0.9119687083333333, 0.7297421666666667, 0.29825066666666666`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV3uQ1mMU/u233+13fb+KJrtlbbvEYBAlZjSSzS2G7iq3boawrVLrlnTx
B0Ztq0212+x2kVu6GH+QdVlELhGxRlTTzSUKocEynsdzZvzxzXm/93fOec97
Ls85b/m46iF3pDzPm17kecWgGfy5EOt7sK4reN4c/L8z8Dw/8bzN2BvlPO/E
0PNmYb0FtCX2vAA87divzXneTVByP+S7QqYS+22gx9p6APhfAO2e97zFoBf4
2Ad/JfYrQq3fA92Q0vcDOKMHdF6V8bx3sX4Yemdj/22sO6c97+xi6f0bemLQ
3qHkSvOSLclr3YC9f4ynD3hC3OUdfB8Dm/dnPe8IdGXx7QN8WwKd74OWg+dK
nNsEuR2w/3t8HwT+s8G/ETaNTsle8lPvQez5OOsIbBwMuaqczngLe+34/jJ0
bDJ/1mC9HXQVeAaAvwfO8/H/MyfflJp/GIeWnGKxAzrXYH0c9leArrT9Duw/
i/UZKeki/2RPuleY/ukF8R/FXTaDvzmnONNm8vOcsmL5gPyv52XfavigF35b
oK8Ze1dkZD/zoAI+W4v1KfgtgN45kBsH+7vBP+ug8xLsf+PLHzU4/1fw57F3
Ef4/nei+f+L70bTWA7H/HP2dk8zUgtZ3gh6Azt9NfovlXhvsWZNo7w9fsaS/
9+QVh4N2rz2gP+WUO9c55dFefL/B6V778vLBQfNbFfarcN7FoCsT+WsVaE/k
+ULYcDLWC2FDLc5NwbbJxeK/Gf8XRp7XFzz1oAd4BvYnQk/vgtbcawXfq6n/
87PV1imsh2fl25GB9PWH7Chb10WSe834Z2X1n/VAW6ifMXgkkR8fBa1hjWVU
j7OdZBcV9H+K1VGL5QlzqcgpnsfjzOchvxWy60A9/HfYPwn3Psf8Xwt7l4S6
/+Pw/zasm7D+OFR+/ZxWjrVZ7RMDtuH7LfjNxfmxfee5zOtsRrl9VrH0OKvj
7la/9b7kSiLVYpyTX3rFim01bF/uCyt6wuZK6C/AJy3Q/wdkRoHnaCR/19jd
Q8jOBd9h0GFZ+Yrf5qelkzwl0HUp9ruDDsUZQ8E3DLRrQbnbCNlMItk0aKOv
+j8B65FOMR3hdJcSw6UNse67HvQ++GsM7jsftt2P9VisZ4byGfFtGOyowrff
QL+F7r34thb7k7A3H/9vxnpBqJgz75nznzvZtixWvbIGmFeME+N1Cb7vxrcK
yOwCrQ8Vl0Wgk6DDg+wg6F+LO3wInudAT+BdoOsyxLEjrX3i/kmJ6oL1MQYy
CdZjQf+KhQGHnfCAZ/E/MbW7YSPrh7nbLREWEAeWQ64b5Nthz4RA8Wbcdweq
deIAsaKvL7o/Uu0SM1i/9BF9tQl32RkLF/c5YeSxGf3v4wuH9kJ2ck6+o98e
zCoPGiwH9hhuPABd66G70gkj2S8oz/xlnlN2Uaz9x4kTsfbrQHMF9bA8aLlT
rBnzfrDhYsi9ifU+i+l/sU1pzTocDp5+xBfsn2f838LmhkA9shn6uiTCNGIb
/Us/jy9SH+6UU53/ZvhObO8fKq8uAF0ay59LQDdAz0fMSdCjTvW1ELmwHHwz
oGNcoBy/Oyf8oP5a64PsibW2X2e9oBQ6Xw4Vk7ZQdcf8Z32xRgflZHdLVrhE
LGPvmI79asj3A88MW98Vqd+knGI4Jad6Zk+stnWbnbUpL2y5zXrcgrT6FvOf
WM79weBf6iu2vawWb7d9xm2y9Y4pTrLLfOUs6/od67lTc/Iz48e4nOurr7Pe
ODfVpZXr5Ceu8QzqZ3ymmezVvvBuN3QM8VXrn4TKUd6T9xpuuFmIVKPthp+s
UcaUsWVvZi9r4jwGm/difzbkKiCzD+s5gfoS65d53OGUG4vz8j35iUs3gf8Y
8I0D/cHJ5/T91lj2fMh88VUDT8TCqk+IRSmdRz2rIdcZMrWw66tAmMt7jPJl
B+3pib1/IvngVl++32z+OT+UT4ZEwrbtxco/9njWf1OsXORec6haZc0yr5hz
zD3OI7SJtUY76vO6N+t4SaAZtBG0Kauapw7WSf+MMJ+zLLGtLNTcwvmDZ18T
qS+9FMj3nB3pC9YC5Zn/lzv5mrPARqupMuTD19g/DP5psGVmJPtGBMJoYjX7
CX3J3sZvh2L1rizkZgXq93Oc4nMQOuvwrTwSDhAP1gXCQM5cUwLNBWU4/wm7
50qnWmVdsabGWtzonyPWB9kPM4wf+HsHypd5afmO5x7KKEdLrCfT5/Rlk/lw
fCA8bwjVt/mtwfxKPKVviR/EC/pqvFNvLU1UEx2GXXOd4jIPdGNB89sroN8l
4vk+0bxEfKZeYgaxg/i3PZGdpbBlVaxetRr0MfP5TJujWm12egTfA8OxiZHw
d0KkM6mf9Xy9U48rj5WPh1PKv9FO+NKDteBU82Wxeh5tKYoVK2I440Vc+tLy
nOfyTMaCeTrcYnFqVj7nf+LcDsOBzrF4ZyC+jU462R8Ce3ONtj5H7Pgz0puD
+UbsqTWfk4dvF+YA15zhOMv1Q7zuzcvGoaHmD+ZHF+vntJtzGuuS765K8xF9
VQ8/NxSE46tw/g8Z5QrzpMZqgnHnfVgXvCNtpyzPOx38RTnlOuuE9fJGXvne
YjPuVMsN3q3afMJ7Ectp22B7F7baXLfUanyFU4/87z0ZaHZjLrJWOZcxh5g/
f8fySUeseqMtI+CDnk7xqACd4DRjc5b/1HooeylnAtbHL7GweIDNIbcZprEH
sWezRzyTKC60nTavsPcXZV60NyHfXqxF+oV2MLeYYwFkT7P35+lOecZ8i7Df
FAjHOeNzZmfOE7+Ya+12VrP18WWRMItn8dzQ3myRE14zPpc5YS/52Vf4ruYb
l29oYvwGe4OU25vomERzGOexpxLNVZyPnkw0m1LXjU49n72/zmYr+p99eYbV
L/N7oBMG8s3NOahTVrMQ5/nOtv4xln+m+qqVuYZRuwLV5s5AcpQhP/OLa/qz
JFCObkuUH8wT9oRXEuVVK987sXCIPaoxks79sDXt9KY4kzkfqzcsjlUzzOWH
8uoN7BF8M11r8z/fAV/kVfNdYs3pnDmJ11U2Vyyw9zR7LnX9C64HMp4=
            "]], PolygonBox[CompressedData["
1:eJwtlnmQ12Mcx5/9tcfv+n6/2xYTirbdwpAsYmumjGNLOYYuq6JTDaGllBwz
ZcOMq9rtbreRSkgSwx+VMQw5Oig5hkmNYkbJFUUy4/Xu/fvjmfl8ns99Pk/l
2MmD7kmFED7gFHP6JSEc5GIi5+ZsCKvB97cJ4R3wVvBFUQh/wnhlUQjNwJ/l
uIdew7kxE0LXOISP0NMETzfg8nwIO6HNhr8JemN5CK+XhXBxaQjno7sX8knK
OnYCX81dHbRJ4IvB6zi1wIdKQjgta5uyfQT9C4Afg38W/K2cxdDncfc7tOew
MRVbKehV4Odiowj4C04G+Bh3XwI349+lwK/hc3M6hC74fAO2OiFfhvxW7C/B
fjWnD/6vQmYFtmbqYO+c2LH2h78G/p3gPyM/BB8Hwf8a/pSCr4E+A/pbyEQp
69yG7hbwN8AXcZYBt8WfXdBGch6BnleM6D8Pe12wnS63b8qxcj0/ci5+UM7w
fxny09H1K6cFeCb86+HvAD2HfCs6Pw7mWQ7cBh0zoPfBxxLgxsSxPQq9AX/+
iJyb2dg4Arydcwq8a5F5GN33wdMI77XcNSDbEjm3VxH/N3nHpNgOEE8V+P3I
PI/sKs7fGfeEeuMBeJrwZ1/OvVQNfiqy29B3muLBpz3oH46OCP0xZwTwcejT
0VWL/f8i25Tto9CXgncmpuugdYSnFNszyFFFsW30xtZ07E+Gfxr066H3Bj8B
fQcyryI7AB+GYn8E/JWJe1K9eTk8LehaBH1DyjOyAvp48K+A7+DMh3cPPkxF
dxX69gG3x7/d0CZy5mBrX9bxS6YDtCWRff+ReO9Cfy06ZgbPiGZFMSiW69FX
iX99uLu4jWNSbOtj+56FfwW6OnLmQOvL3RMZ10y1OwH+E7y7cu5V6fgceCv8
DWWu8Y7IPave/RZ8M/x3omMc/FO4uw5al7xrqxrPUizoGAOehf4M/nyS8+yo
5//LOGfKnfLTDO3t2LplU7azkXtNPa/ev52cjip1f4xD/7KMe20u9DNVX868
Ys/s8ozvRFPNW8AXa/5S3hk9wQ/Gjl01UW3q0b+F/A7Fxi3AC3L2TTtrKPZa
4Umn3FOXIt8u79l8ALwCuDXjWsgH+fIu8X0K/hnnDWwNS6xbNVAtxoI3InsN
9HHAL8T2TTbWAE9HZzW8Rfh3GPrKxLtNO2Kp9lveuzmCfgzanrT3tXaGdsfT
6HgF3ZOgz8Xe49DnBe/An+EfnHG9f4FnN7zvpd1fqo920xlZ09rDPwZ9L8aO
XTvzJeD9ae+efujvQf1/LdRrBXe/RN7Rhwryo5Efis0hpd7RsxPnRLlRT1Tl
3JPqzcHQB0M/M+tdXQFeAt498VuhHaVdtTfyLGmnabfVaGdCX4e+A+gblrMv
5dwVI3si8m7Qm6O354qcd4tyoFwMQ35Cyjm8Cv584l2pnaLdMiSxbw3KP/Fc
lLVvqpFqVRx7dypGxfpvxvGpBzZAuzBrX8Q/Df72hfdCOWwXO0fKld6M0+Ht
m7i+egPrEs+UZks7phLeV5DZXuIdtQr/1saedd2tA17F2QJ8N/6vh748cu2u
Jt5e+JaP3asfYj8HvJmc/FbmHb4JeAz2bi31+7EXeAoy3UtcY83mmMR09e/p
yFclfpu0IzsDbyK/f2FrEvo3Al+Azroyz+Rw6KuR2Z3yTB5F98i8d/mD8NfA
PyHvWq6DfnveO0S75Cl4vgbuVvgvqGe7Ah+Hpwd4PTb/Af4+7dhkU7a1Q7VL
9WdZqPkr5Fsz8RC0DrF3i2ZyHv70zHkWpP+SnGdQs6gcHEb+rJzzrXzWZvzm
6u09C5875vym6W1TjG+SvyJk+qe8M4PegrTfsq+4ex/4PnxsLfPMPoUvrXnv
R70xS3Lesdq1ivG7yG+U3irp/Ff7PXYt5H8V+BkFXDVSLQck3lX64wzUfyfr
3OpP1ZL4z6K/i/4EZyNbXdjX6mH18r3QjxTZxyniTeyberQeXQO5m1zmN1pv
dTZ2rbVTM7FrqtquhGdauWdAs6CZ1ey+HDuXyql6eWHO9dCb2Iz9BeX+e+rP
tRB4U9q9JZ/WZx2zYtcbMT7xm3tH4X1WLjUDmgX9wTaofrH/Nk8isxT9G7Ou
xTfQ08D1GfeSYjoZW2Jezcjr4Jdl7K9mqhO22kXuTf0hKoC/y3p29MbrrR+d
+K1XfkcBz8n7L6Gd8yzwhYX8ayfclninardqRkcm3uHa5frTNgE3pb37ta+0
+wfl/ZfRTNwE/EPa9k/WP3FMik1/Jv2d1KPqVX32J6T9R9ZfWTtjJblZxF3b
Mr/hessPpO27fJSv/fKW1YzXAR/LuLb60+lvpx2pXSkdJ7D/P6wNhbQ=
            "]], 
           PolygonBox[{{3308, 3307, 3493, 1276, 2362}, {3760, 1487, 3762, 
            3307, 3308}}]}]}, 
        {RGBColor[0.9249107916666666, 0.7585438333333333, 0.3025773333333333],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFWHuM1dURPty9e+/9Pc+FTUQJr+XVpgEfKShYsVssIo9WQSBt1AQf4AN2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            "]], PolygonBox[CompressedData["
1:eJwtl2lsVGUUhq/tTDt37szcAhGUyFIoaCKIO0YFkQgIqAgCatTEsCo7bfgB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            "]]}]}, 
        {RGBColor[0.9283803749999999, 0.76638, 0.30373225], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV3uQTmUYP7v7fbvfuXznfBjJDCKXVm41UhrlOhPSUmzC1iK5tInWNUuN
aaYvpgmFXCrrLtNFu+4iUoQR1bjuomGiabBKKIOp38/vafrjzPuc9zzv8z7X
3/OcBs+P7j0q03GcYRmOk4W1IOY46bjjNMD7QjwDQGPLuY6Pq8B4BHsvYe2W
7TiTQN/A/mmsz4Fnhe84E/C+LHCcOjjXDHyzsZ92HacQ+1Px/UrScbpgvyqC
TKwF4LsBng6B5OzFfr24eJY6OlcEusyR7BLQ+x3dTz22gz6V0DoH61zcNRJ8
C3HXB3gmg2cRZM/zdXao5zgVru7inYNwV6Hp0AfvCRi7IcQ38HQFz0GcqwH6
MPbHYn82ZN+N52aGHtKv4Gw98I3G+nJCNg0wmYth70icPQHZ9X3xt4O8zSnH
eQ36vOhJF8qnD6/i/GLQ9+PchhzHuZAp+z2c2YX9F7BfE2fLIH8reA9AZi5k
NsPaCTzdIGsP6LqQm4tzQ3DveOhdCNkbwX8oLn7yMT6X44rRT1ibYv8N0JtC
0V0grx/OHISvdyIuMbx/Rf+AHgo9doP26SfwbADPOuzn4/0hnD0GGT8kFMNp
WOtCfklMdz0G/R5mLFO6p0am7t0VKO++wZoLnhD7FZHiMxBPdfAMxj1/ZCqu
z0KH7ZAZx53HQ9lyMpTv6MPVOLsezzbQBUnpmIH71uCOY5FiwZisg355kP0M
1jLodAl+34K1GmMH3ghrH8j4Fk8r8K3FfYuwfw/03ORJz3+wdwAyT4JnMvjP
e8rvjyPFgLGog70zMeUDcyXC3X9BTld8L48rpny/Bj2rxXXmb5xvC/454Kk0
G2kr85t5Xgv73SLVw1vQ+dFQvvrMVU4w1s19xZK+bgG6Gew7xVxiXoK/L+7s
i+/vgL4G+jfQC+KimTeHjZf5+Qi+NWQNQE4DX3RP6FAddG3GEmsQUw4wrn2g
0+u4Lx9rriv7p8I/EXydSiifsn3dwzxtCTtaZavem4D/QeiwA9+/iEtn6rQ+
rrv4LScSVrSGb+/wVYtzzU/Mb9p2KhRd31MuzctQbUZ2f33QwyPl1RlPubOI
eYX9TrDtJu7qjHUqnnux34S8sCENOon160C4uRPrmITs7x/oHubA7bssl8bB
plzQ74OnUahcZE7mZKjWiWnE1R9x+a2YMKg1fJeP91ah4nDSYrEqKZ6VWJcm
ZfuohHCij+VqXkw1Qpp5ybMNoMM++DgfdHtiKXTNZG2GivtCPG0yZF9Li8Ws
UPlJ7DntCUuHYa3Mkt+m4GkcSfc3If++bJ2lzZsD3bUlEA4y/5dBlzLQPUGX
B4oheYkXxGDiFDGK2HfBfMK8ZPyn4GwHX5hRkpAPw4TiyFph/aax194w/BTr
y3hybI2MP2U0v5d7wvSLrvy2zXKjIWw/grUY9tUF3R261QsVt/kZkjk4VN8c
iHWEJ38sxr3DXWFfBXTuFamfsR+Os1h+HyjfuU8/03e0tUeke4h3xLqm4O/N
nLZ7Cix2xDXqmeUqx4mrzPn1ofzHnsBcLo2pj59PyJZSrI2T8tMI3LUUelzF
+YvYbxeK/wroC4ZjxLMHwHMJ8ttgXeXLRto6J1RMK7F/1pOcX9hnwTveena/
QHgQw/7RUHqyDzCerGvWP3vmQqvNMZFqhLVyIksyp9G+UDyfEs/wbQboCeBt
BHom88cVLhOfy20WmGIzw6gs9VzOClnI4zuRJx8lhPvE//XQZw9kHYXPv+Mc
EkjmOU85Tn7KKs6STtSH/qjKUm9iLlRZLfPeSru7yjCKWMU5ivJ53594dyHz
MtaOCeHNRdw1Ce8TwTMR9F2e4koMIwZwf6ZhRZQjvLgeiZ4LGRPAPx17S3xh
FeUzr+jvXMND4iOxYltCOM1+w2/kL7Ja6xmJHgB5T1h/YZ+hjTsyZS9nHfax
0qSwgHGeZz2HPZH5V5xQnbJeWVesr1q+6pb7nX3hK+dIYlpeIB7W4jSbH35P
akYiD+dPzgSUvzopjCFOETtYL6yVtPVU9tIk5I8wPevZfFphOUmcIF4wJzjb
MjaMC3vabJvxPnGVb8y7Za58z7yYEaonzQzlj5Ic4f1mX3YMxZ1v24xX5El+
2vRPp/6fWzkT1bEZrDf5IecprEtc5XbNQHbPytbZn0PxD8P3z13Nr+2x1yNb
ttD2tXH1WdpMnQptdloV6X0l1rHQqRhnxoLeF0m3DdB9d7Ywmf2CfZc9trEr
X5ZZX1iaUD2txPeiSHU1DzwFKeHoxkh2Ux/aWWS5xTzkLM4YzcI6LaUZd3pK
urCujjrCVfphvmH1GsPY2ZH8MMNTT5sal57Hcfcc0GPgh9qBMGeZr57GWYE2
LPe1v9zV3PpujvCTcw9r4lKgWqIt1Jk+yDM/bHGlw3JP80Ke9QXKIBZTzqiU
MIyzDOdv5n5H0+u6xb279dnHbR7kjMe7X7W+OxoyGrny8XH7F+Fczjop8KTf
XPZS+/a0zR37rReUuvLhh7i/eSgccCFzYiSa2DCesYcPx4NeG8ku2tcrpRzu
mVKfIc9/+cd1MXjeC+VLzmUtDI84m3BmZ36zdvivkLZ/Rf47sf9u9ISLxXHF
kT5gjt7OT1c+fzLSzLLbbLkRqDZuYU26umNQqHmL9R5yxvdUm6xR1iBzm3k+
JKlZ3XWVI7ssjlXWr8nTN6V+0zaUz4jlzD32Pcpkr1xtM0I3rJNCzUWVkDk6
KZ8HnKOSiuNem++oGzGL/Z59/xzOrXCFOyus3y2wOuLcEdrscTYUBhz1FVPa
S3/m2yzX3uaPI9bDaR9rlXal7R+cOca5mLXKOOWF8vmXrvTlzEc5W13dyXol
/pfarN7fE47kRZJTbv8jVZ76Kf97OMvT1/Qj48N/ddp709XMui7U/xv1Z9yY
f8y9UtiVsH/7Ea7qnzgwHLIP+9LhkK//YWIHsZNzAf9VCs0v9E8Fsc7TfJkb
CWtoy0rO/4Fw6Vf45193cSV6
            "]], PolygonBox[CompressedData["
1:eJwtl2lsVGUUhm/bGZh753amQAIaQVm1yCIRUQyIuCSAWEAoREABF5YoaaUt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            "]]}]}, 
        {RGBColor[
         0.9307974583333334, 0.7718866666666667, 0.30453474999999997`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1WGlwFVUW7rf0e6+7X99uiII1lGK0WBLFigZLp9wdqlSUjEs5bgQMQkQg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            "]], PolygonBox[CompressedData["
1:eJwtl2eMVGUUhu/szg4zc2fuDILYYuEHLLtqIrCKSAAFEkWkiBFFmkrvCixF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            "]]}]}, 
        {RGBColor[0.9280820416666666, 0.7721285416666667, 0.303619125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmH/MlmUVx+/3x/M+z3M/z30/dxu60vpDciA/RqkI+IKhIrhFC2Q1NASM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            "]], PolygonBox[CompressedData["
1:eJwtl3eMVVUQxu/29+57776ngcRgjJE/KMuKICCCIKCAiRgploVQRenNKHWX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            "]]}]}, 
        {RGBColor[0.920234125, 0.767105625, 0.300985375], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNWGtwVdUV3vfm3nvuOfeex1SjQh8zHTrSgQKFFpS3tgEL2JZHDYU+oNER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            "]], PolygonBox[CompressedData["
1:eJwtlnuQjnUUx593b+9l3+fxNOXWxdRoqqElCrmUjEuxNWGqbfmDVqVVljK6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            "]]}]}, 
        {RGBColor[
         0.9091361666666665, 0.7599983749999999, 0.29733204166666666`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNmHuwllUVxt9z+M533u873/t9L3aRExY2Y/ZHwOE2TWWheIubQUdIYcy4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            "]], PolygonBox[CompressedData["
1:eJwtllls1VUQxk/b29v/be+/vRCMICiaGH1QVo0aQQUEtAVRQEAaUASUfVEf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            "]]}]}, 
        {RGBColor[
         0.8242442193742708, 0.7055763914818389, 0.27033889914652787`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNVk1sVGUU/aYlM/Om8zqPbiSoVRelMzUpJrYUqxAVWlpNDFD7s0CKLQoI
/izdaexCikCrSTHxL9FgRJq0UEhA2ml0Ja0urFBo0pWJusRE3enCczhnUhdf
vvu+n/vdn3PPfQ8Nvb73taoQwp8Y1RjtGE0YD2PMp0JIUvo+XQjhZDqEU5hH
qiV/iYsF7E9BLuHMaC6Ez7H2N+aRTAjTae1TxxdV0jkLOcbYBHkYZw5iPA/5
WkFnZjHPYb8WozFI92RK+ssp6StCnsG5C9i7WNA7lDfadvrwGMaVmhCOw9ar
mK9jf3EdBu6fxptLmB/FmXrMNzC6g/zh+g7ISzhTxGiBXMpCxmi1PdN+q+R3
tgbZxLktyG7OW4Jsn/L5DSm9T/u2Q9826+U7Jesfg1yXlY385j71vJKEcAZr
r2KO4E8P1g5g75cohGbovB/z3hi+wsc4UazS1YrXDM4NYH0+D9sh74Z8GfJf
Odk1DX1/4Fwb9vqD5i2WuzBaIe/yzPW+oLnVZ5ahazPuj9aGUBUpv1/ndYbr
PL8C229nZGs/7JyFDQOx/G7KCg+ljGTGg/Epef085gbMz2Ben1V87nEe+d3i
fK33+tPwfxDfTybym/llnqeyyvkezNOJfP490n6DMXAjLxvfhS97YN8V3N8d
qxaurROW+2LJvbHy3+041VtHu7HANcZtyBjvCLJ1ZxDGbmJ9f0a5JE7PAX+r
KeWwnFYOB32mcp8y72/Oq9aa8/KHfl1EHn+KJE8ZTx1+bzSj2ttkbNKuToxb
WO+1PI9a+hZnyph/wPo71aoJ4m4ioxi9hbX5tOLBWjlbpfeuFqT/8bxi/mNa
cf2uILnXeOnz2y9n1vA14ncYE2Lzbq3i7lhBMTmVUw102h/iqs3YeoI5hq4X
ML+YUbwYq48T2fYe7nYk4pl7I/l01nXOe8Rcg/NSdM0t5uXrAuYLNfL5EcgL
uP825I8ScRSxQZ56FrbMweZvYO/7GGOQPyioDpnLnli1325eJcb57ibnc9AY
KJlzaA/1ls115Mkh5+m3SLglfrk2bH87jTPG5yWv8/xzsfLC/ByIlV/mmTkk
hplHYo1cwffoH8/QTtbxnHm4bGwsRuK0efcF+s04zJnXt7lm/81J5z85rW33
OuPeYvzvdNwZ8/pI+SSXHEft3YH8K9ZmapSvkznxHeP0VCI/W82xPNtsnuEd
fr8JXz9NhOPPEvEjz7C+iR3GkO91Wkfb/3icvB4i4YP4Yk2eMz5L9oW83Owa
ZN+jfbSTuOMaMTPp/BXcvxiH2PE8kVO/Y98jV3I9FYmLyclf4exyRhzRY5zc
dO2T6342ToiXJcvkvyX3rLmCOJZc+30kXsxEqr2Kr93uX8TlfZFw0wn7j8Xq
lUcxb4xUVzuM5bJ7M+ucuLoeyRa+yzcYl0bHlDVMPeTFS3nVQDZa65FFv8/Y
NFXqwvz/IM4dwdyFdw9nlK8KX2z1vRO1WmdNsCdP+X9jv+uAdbHPmGHPXHBd
10Wq0RFzLrmNfNTtGiImet3v+F6/eZKxI8aImzvG2zB7K+Z8jeLNnLJHME+r
qTWeX/XaXf5MCRt17mfsYwfh5zjjGIlvP8xIL/8HuE+OHS+oT/C/hn5M2OZP
EvHapRphj7or/yeTrlP6SX9pD++dsf43HN8HItX3Btc+/SAXUD7k+AyYtw+Z
u/clwt159+QxY2DJvZk4POLzA9Zz2HfJdaPmQHI/7ee9XY51pTfdNo91++0u
x3PZMW00VxaNocT2F/1/1eh7E7aBHECdzB35if+pxMzRRDFfibS/4ncX/e/Q
7t606BgNJooPe8KxRPlg32AMxh0H6rnlt/4DKV5AJw==
            "]], PolygonBox[CompressedData["
1:eJwtk7tPVFEQxmeB3Lt3nzc2GjSoBYWNmPgP+ETjExfWbKEiLMYH+OrsNFoI
KC5aaGLUBB/RxIJlMRFcIFpJ1MJnJLGysdRCOy38fY7FJDPnm5nznZnvrOw9
WTjRYGbtWBM2kjJ7xMFgo9lo3mx/bFYKzVrB9uEXs2bPSJwLzHYmzarkjONf
IGc6MttITg9+F/k94F3kxwmv2Yt/if736X+e/rfIvUZ9JfA7K/i7yZkhP4s1
0G+as5nAz4TpDt0VUP+HXsuJjxAfxrbQbylxH34Z20Scx1aF/gYDe5wxy9Hr
KXz20O8M9p24DWuJ/nM277GZ2jJWwV/L2VvwjqzXitN2cuvwuwv3us7wk+Qs
oddz7CC5i4hb8T9gp4lfRY6dg3937JzF/Si2InLO4n4IW0a8jrg79Jk2E0+k
nYtmWMM/Dn499DsG8A9gQ6G/WW8fyvnbfmDD+GOcvQdbTPySfgXeMM9bOuA/
jl/E3hCXiGv4Ge4ocd8Navpj37l2fxb+VbAdxLPEU+QXeF9n1n3NWLNORL7L
OrYL7KP21+g7v8q85iPHxFncb8Y+G810WFohXgBbTc5Xctdk/O4x8Db8e+Cf
wDulT7jcIX5N/AD8Mv2n0q7lL9R/pr6U9V1Jk9Jme+yzLlLfS/23yGclTZ0C
2xr7bjSDMvhk2rWrO26D/Uo5l2bwnynvoV7iLO6/U65VzUizEgdxEWdxf0c8
GrrGpLWLOX+rNDmIH0a+K+X0ga+P/a3SxAb8bUn/m9qpdrsQ+a6kiWOxz+Df
LLj/Cn6/NNjkO9fuZ5lhS8LPBsCeZFwL0vAk/gQ11cD/uP76SN57aYfa5VzG
taIe6vUw6bNQTS3vmpf2pakXxH8BjVST6A==
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0k0z1WEYx/GLTehI01IP9AZirwUlNSlxPLWIPLSKUjvvwEPSg53KjGGm
wYzjaSaEGSuxYjC1NYM3oB0LnzMW3/ne1++6r/t////n3G7rSr7NiIgh9OVE
/McJUpcjfmZFzOVFzGIGS9kRZ3qneKKXzI3IvRpRy1OJiBquRqXekv3PrDPN
TOhlcJV6UV6i/qNuNpuHsL7LTXiBSfOPMWq9oXcJr6x3uJ23eVq/BrPuOYcB
d/qm94G/87zsB49gwDMH8RF7Zr/wV3xKZ/Z/5l/2L+Kv/lj6Hs7OVrdwmfoe
SpGvf59b5Q/4urqcb3AFt8nH+UB9E7vetedKRC8O1d2+wS3el/fJ+nGkTpk5
5ndcwA+5kB9xuzMT7tJh/U/2mt+gE1vO2cQ1+Xtnr3uX+vTvhjX5KjrlHUjK
UliQzSPLTIt8zcwqttQvnbnJw9zv2yzLf2MFjfY+Rx0aUI+nzptxt2LnFeFO
4uJ/dA65r1Hk
            "]]},
          "0.375`"],
         Annotation[#, 0.375, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2291, 4269, 2696, 3977, 3976, 2290, 4267, 4268, 4266, 
            3975, 3974, 4248, 4247, 3104, 2288, 2794, 2687, 4244, 2686}], 
           LineBox[CompressedData["
1:eJwV0llLlGEYxvEn6MDSzCgw6agPYKZFi+3lVGO2UGHNgIFDlAppCxR1UsGM
krYcd9QGOVozFabtVJR60EYa1llknyDKkxbs9x78uZ77uq/7fh5fZ36qbWfr
lBDCCCqLQqjCxPQQYgUh1M4IYQs2IY7NqOHH6Easj2pswJ2ZIeSxzvmfzBr6
l66lOX65vcmSEBKoKw6hV/1Hf7X+w2nu4dUiy1/FWxndp74pc8N7HsjE1AM0
Tn/z4np1ckV2bqXdZid5e/Rfy9XTV7RXtgdJ9ZB6Lx2kCTrJD4UhfFDvU7+n
Kfty9uxAs70teGL3U9zj7cZUM0k65G8bxEEzBzDL/LBcq10l6n6ZNuf78k3q
ZhxWj8kdoaW0QO+dHTXmzvBOo4z/kp/zvjy+qs/yj3vLCXyUTatn2/fIHRnn
Qvl2Oi67Xf87LePNRYtM2lwGn/Q66Byz7XTU3SM451xhZkx/Ie2MsvzztFLd
RavoVXf8olfoT3qBv4h+M3eNdx0T0f/J/sV0Hu3GuP4l2YvY7z2P8YX3Gad4
J9HAG8Bb3hsc4x1FPa8PL3jPo+/LO4RdvLvRDK8fKV4jtvFuIc/LRb89XiL6
3fKyKPae2/wFvKxzOe2hP/SW0GdI++6XaYZ2oC/6XrTLN+lEhZnlvGqswDIs
xX/t0nSJ
            "]]},
          "0.35000000000000003`"],
         Annotation[#, 0.35000000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0jtsjXEcxvFfUfS4NaIiTBbEqZqo1j2lBgOpy5F0aFMECe2AEO1RrYWB
Ni6lLp200aguSiSGYiHSxi0xEYwMpE3QI9H4vMM3z/95fpf/+755F9Y1VNXn
RcQwGlMRvdMimug3/JzqPCtixcyIlUjPiGjmzyCrXiq7WxBRLG+RXSqMuIw7
0yO6cc+uQb5XTzttMDOJ5qPL7u+ol13g23ARnXprZT3OHepf8YmvwTU7r6MT
Z+1Ou3PM3Tn8QYovQLPZX+q/cdVcN3/engyfpa+wWLYIGfedpFP0PfE+k+kJ
/kMya1cbf4W20w5aqf++uzbTfvpRdtS+Ev3LMSrf7flGaJd9C2S36aCe+fbe
cv6sXqJ+zvwPOmD3A7zQu4y/oecmtut7a3+rvrT8Hb+UtvBv5IfsnGOmCF/k
W5PvYq4VKdlp+ljPbPdmnV+rz9N3PHluekrWhEbM5V+qF9Fj6kP215jNt6ea
rlVbgyN6D6NQ3zp71+MgfwD7nSfq3+u8D3V4r2+CLA/b7OlDrb4hebX6MB33
7v+wk3/G76DP6a7k/5JX0ad8mfvLkZON21MhH5AvSf41z7tR1o0Nyf/qHUrR
o7aJ73fnIzxMMJOhe7BFrRJj5vo9Y46O2N9nX5n5v/wquhrlqOBH1YvtTeM/
bq9xZA==
            "]]},
          "0.325`"],
         Annotation[#, 0.325, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0j1I1HEcx/FfRI/WeUFLLeGi3NFgag8EEVnQUFS6RKBGQZmemktWika1
RbOek3VFxXmRQhBFnoNHS1DtZlwZaBDqkkUtvX7Dm8/38336/f4PVRevNves
CSF8wI3NIeQqQrhJF7C0Ua4yhNpECHuQ3hpCPz+AfvVnep9sCmHXlhAW+UH5
IYzxFckQ6sw8Va821yBukKunj+zNm+3W24MOdJufxw+1+/oy4ox8F+2iWXua
aRs/bP9f8T+U9d/T3yLfxLfSO3bfRopPY9X5feaT9Br9Fe+j7zPt4E+YnxUv
utsCBvjj5r+Kv6GM75jHOnNZO0cxggd6x1Cr/436jPtU8a/FS+55zP5X4rXm
zvKzZgrOapQv8+PiPHrNpexIY0Wthi7Td3QnRu0o6tlhd1Y8Z3a3+l2zP+mk
/RMoxefmh/WM4KS+j868pa9G/hM/JB5Eu31J/dvwRS1B5+g03YC3mELB3nEU
xdvV++y9jqN2vY/fxJ6ce52jJX4mflP1DDpRaaakN0F7nXtZ7hLaxVeiRyvf
ggv2tPFFej7mcUi83uxLeia+B/FpOk2b4j/mbqfoFL/POftxAH/kD8tPyB+k
k/Sh3GP3LHiWF/wyv8o/53PiI/oaUW0+7znqnf9bvY7ujf9N/Hb8it60nhT+
Axfxc+k=
            "]]},
          "0.30000000000000004`"],
         Annotation[#, 0.30000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwV0F1ozXEcBvDfMsyZ41jKLmS1NNsS0bgQZqKINovSmPKSl9nFTnFsVi52
JXKH5Ur2ds5aXrLJOV5LRDYpuZEzL1eW1JmbScqFz//i6fk+z/f5Pb/f/195
NLmnoyiE8B7G5oVQPT+E+3g6FkIBGkpCGEmEsCYewm/zajyDNywI4bbcenwL
98nehHr6Lr0R38Gb8B/+Or1roQ6e8Bv5aX4GcvpbF4bwlJ/DWbrYfE92Nj7o
zrf4GI7hh/xSfJz+gA/pOgKHIU6/tH8Fr+GFrhbvzZaGMGEeh838vNwZ+UX4
HZ0yl7k7J3vWPEe+g07COXpSrhsvw3G77c4kcBX9HC/HV+yvwg67n3SP99Xg
Sfoav1zXM/295sXOlEPBfsw/aJRpgkpeUibj7DB85dXLjJjz3l5j30C/wVvw
A11Z2CtXpGclf2v0j3jFdAt/P5zWuc3uPB7XNQG/+PtkP8t+gU/Rd0IePsp+
x1ORlj0p90++DZd4R53uuXgaZuxT/AQui76Zt8u+Gu/EPbou2O+mD9BN+JJ/
cRG+Rf8D/vJ69bfaN5uvy7fjdvqy3Cn8CD+GUWizq3JXhfcthRP0Dz03YJZ9
X/RWZ4bdnYEB/iAvbU7rXmIewkN0TH6Vji75bj1TuMJ+0L7fvpPu4ndCrTtX
yNZCii7oHZDth/+ug3Gw
            "]]},
          "0.275`"],
         Annotation[#, 0.275, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwVz0tIFFAUxvFbbZpSi8Is0PIxRZThIoKgyB5Q9i4bi3CnqG1U1NxYizY9
NpmRFVQ4PqKsjVgjpgQ9IGo1tkhUCKMoIsaFJURQUT8Xf757vvOdc+/Nq6gv
rZsTQhhBfH4IKTQsCqEgI4Qo1qaH0KjetDiEKb0m56YFIdxZKB8JIScthM/q
LziNdWaaabNcp36mfheNy0fsKNTvVkftLXLeyNtAu+zukVkhX2X+pnM1/Yiv
esv4WbjFv24+2/mTXo17amibugO39W/oH+Sf5Lfzfjm32zGJC+67iBLeAezH
efnVdA3Oyf+gMxiTz/DOdHzHNC7x3uKv3G9Um/3g/bnumqSraIv9u71jTJ2t
rpTLoePqmPw7vVHswk602FdMG2iZbAxz5Qt565HEP3NPeIMYURerE/b9ob3e
NeG9+fyt6ld0C82l4/w6e7tllntXD31vfyeNo1Zvpdwpuo+/FymzS3lLcNUd
T/UyzbY5T+hH9c+a/UYv866gFfnqpH4ePaOfdHeV2aHZf/J3YDta/eGa3qhc
4+xOuo3/mvcGA/InzCXwkv8CaTL1dj7XH1YPYRARfiX/Gf+Ruh99mMcv5w/w
S+x5gLvuHeY/5iWwh/eTd9TfSnEEMRxDB/8QPYx7svfRixR/Cg/t2eztx/XL
8B+6MHPe
            "]]},
          "0.25`"],
         Annotation[#, 0.25, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl00tI1FEYxuETmZnaHaLEsvHaoiDbFELtLGrXgNGyTNsYqRWB0MW0VrVI
R8dGx9CybWqLoKY2tQorqKggkgS7EwW1CLpAz6HFj/d87/d+5/IfTTS2Jg/P
CSHM4sOCENqXhHAUR3B+UQgXcHFhCL3owTH+Vd4YxtWTmEAH/w7vLqbUj/EI
J/ifeJ8xrZ7BG3TyixaHUIxf6r/4g27+et4GzDUzD3loUJ/FOVwqdAc6SK/Q
DM1iCBXF9qDl9AxN0DQdkRugo7SLXqPDtIv2OzONMetOXjdto2XOHfRNatyr
lXcjvhE5tOv3xO9E2/SG5NbIZelac/l6CToca/5lWq6ezy9AlXU1yvXW0Vpe
DR0pMFMkj8Z4bzrkDVm809vvrBK5UlSYbVJvMvter9n6gJm0mZTzSszMqFfS
JtrHH7bO0D79HfJ74zt4P6177TGNpeqTMqew3HoZXsvtlNkVc+pURPa0TCXv
u7v8QBG+4Svy+Xv08+hG88fN1NK3vFkcVDfHu8W94m8o1+Be9Xqr1Pv4JfSJ
tyb5T/nPsA1b0eH8OpqU241bsgHVvCo8wD2Zm7yH1lNxzj6V9DedtO8Evpit
U1+Pf9MYdfeX7lImt4V/n26mq+lz/ov4e8us8N2z9JX5QZrBIeel6QBS6Ecf
Wvil8c10u3w9Ptozx7sd74mc3njh///Df5BmfTY=
            "]]},
          "0.225`"],
         Annotation[#, 0.225, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j1I1XEUxvFzBUGvt5S0EG6mN/deJCOXICqhKAhvmm+9eN0cbCgzKJrE
prIMSaSasixtSGlpqnCKhoKGILJIg8DELdNK+kjDl+d3nuec8/v9LzeTO9vQ
nYiIp/hVGNFTErFEL9CdRRHtqYg2tKIgGfEc0wUR5/GpOOLNuojDepvNLOlZ
xgrmZDOyI7Iu2Sov1Aksyn7To7Je2QbnUnyw8xr63Hub/tE3Yu44zeKq3s36
mpxPoAXNKFwfkUSFrFW9zd6v5tuci/gpVMra1dtls7KTzqX8MmRkp9Q7ZHOy
085ncMM7BtxZ5g0zvvszOpA20ynPrfXI0+Zv0nJ+nh2D5gbVJeYa9Q+pb+GO
3cP0gLmD2Lv2HfJ6+pHup030irnrGMBl/Rn+IX4VrcZWpNyZxDn3LNAFXq/+
Gn35zltoguahh/+D9rs/a98lmuN1IK3vvXdn7dkn26h+hU34oj7Gf0vfoQ57
cNH8LlqLVXkN/Utf02pM2fdST6XfYtJ53j2j3ngfE+onGMdjfJfVmb0nW6GP
eGP4xt+tvstfpg95DzDLr1UP83/SUd4Ldz1L/v///gMuqV3y
            "]]},
          "0.2`"],
         Annotation[#, 0.2, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0r9L1XEUxvHjYvf6494U7IdoGuToJC5iaC66KGguCiIEToFCULkFoVy1
NNwE/4ssJX+TKDiIoCnkoGiKoAWFDS1lL3F483zO85zzOZ/v5d5/0tfWmxUR
49jMj+hMRvzJi+igS6mInJyIbvVBOmLeeQ6L/CTt4u/z35tr1H+s/uBccjNi
ij5PRHyk0ziVfaKlshn6QjZL53AmW6L3ZAv0pewzXcEP2Rotl63Sb/YdoSo3
otnODdpC92ihNy2jALXqVv4D8xVY4a2794Bfjy3fsI1nsl26gx79F7Lf2NC/
qT+DM3vPkUASu7xf3vATr8w36S1zHjBfRx+rH9I2uoevaFC30xr6CPUYt2fS
XbftrvR9d2mx+2/RImTxAmP6xtydtmuUjqovzRfoeau+Y+bNVa7+xx+Wj6jz
9A/TjPovPyEfUhfpv+GcjQn7B+Xv6Gv9X7xxGwnnfr0pc2nko5p/YvYp/1J+
5Hx49du453vq+v/zH8R+U2w=
            "]]},
          "0.17500000000000002`"],
         Annotation[#, 0.17500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0UtL1HEYxfFHjXRmnHEQYWih4E4yvGwUsRdgGV4ity6E0I1GulJB0FJ0
zKJ26htxUYPlhWBUcDk4QaIIhUtfgJ/BxZfz3M75/YdpnXj3eqYqIpaRTkYc
ZiLq6REdSEVM1UdMYhytlT2KdRFLuEpHXKMaj3Bulsdbvs/0rkEuXyftwHwi
osldl7otG1Fy062ecp9wl8SaesgbebqObTdp35JBjreRPuXN0h27TTefMMLz
hW7IyOPCrkd2uKvGE94+/TPesl073cMo30e6iuf2/VjxnbUyPtAFmVvqrzyL
6mb7FtzKm7V/TN/Tf7RTVo3dG3dj6NDP8f43u9Tn9Lvqb3S6kkl3Km/alfDb
Gz/N/qjLGJbbS7NmZ37DKe74XpkX1Sc49O6ljAIdrHyH/Uv6Xf/XfI++0N+Y
D9BfPAfYR0puAT9wnHn4/+8BGk9Ddg==
            "]]},
          "0.15000000000000002`"],
         Annotation[#, 0.15000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0bsuhGEQxvHZiNNilxAhNESjddwrIBJCXIJCQliFTWQpkFBxMe6ALRwb
GofQsyJBLCqn30bxzzMzz8y87/d+XTNL09lERMwjnYwopCJS9ISO1UWs1/Dq
I+bwovaMQ36JvuMN3fL7hoiF2ogKukib0hEZ9by5Vaxh1r5P9Q9sycf5feI1
/XXyS/kVJtCv/mPXL1oxIO9tjLh1n0Hxsl05pMw14NrMDSaRcKeMnmFs2F3F
36R75lfM7Mh3kRd36Bkx005HaSetdl4linjAtjOf1HP15UdyJ/vb9H7Rb2TV
i+qPmLRzCi3l76DN9I4O4ULvsV097nEuLpk7sf8YZ/IjXjfvVPzKK6gflP3y
m/P2k///6A/HdjyU
            "]]},
          "0.125`"],
         Annotation[#, 0.125, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0L0vg1EUgPHDhCqdEJuIzawJK0sHQy0appJIRLQdSCNaWp+DP82g0kot
BgmmJtpBUgZ+jeHJc77uee975/KF7OFQRGygNx7RTEbMpyIeuT4S0eInfOk9
84Jemy/1PiYj1hMR+dGIF97h74mIHxTML45F9MWvel30sIuiuVlnV/VnuG5n
DS0771BxtmxuTf+Yj3CrdoOS+Mz5YXGVi/Jr8QFX5L98yvt8pb7HJ/Jp31mx
70Jtmafk73opXpKX1dOcU9vEuXvcD+7iXlV0/EcXn9iyr21mmzP8ZkfN7IN3
aST/3/EPDgAzQg==
            "]]},
          "0.1`"],
         Annotation[#, 0.1, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{3838, 2605, 3184, 3185, 2912, 2415, 3075, 2770, 3076, 
            3077, 2915, 2913, 3072, 2260, 2187, 3196, 2930, 2627, 2927, 2926, 
            2192, 2923, 2925, 2623, 2921, 3069, 3068, 3051, 3860, 2258, 3859, 
            3858, 3861, 2597, 3045, 3179, 2760, 2758, 2759, 2595, 3829, 2596, 
            3831, 2397, 3313, 2398, 3539, 4070, 3543, 2399, 3317, 2400, 3832, 
            2602, 2763, 2601, 2898, 2404, 3838}]},
          "0.07500000000000001`"],
         Annotation[#, 0.07500000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{2708, 3830, 3998, 3997, 3048, 3049, 2617, 3063, 2600, 
            3070, 2622, 2767, 2259, 3064, 2907, 2909, 2626, 3073, 2768, 2769, 
            2624, 2914, 2625, 2911, 2910, 3056, 2897, 3052, 2254, 2764, 3055, 
            3054, 2401, 2892, 2598, 2762, 2761, 3999, 2708}]},
          "0.05`"],
         Annotation[#, 0.05, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{3050, 2599, 3065, 2621, 2766, 2620, 2908, 3067, 3066, 
            2414, 2906, 2603, 3053, 2891, 3047, 2253, 2179, 3180, 3050}]},
          "0.025`"],
         Annotation[#, 0.025, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}]}], "}"}]], "Output",
 CellChangeTimes->{{3.861705492214562*^9, 3.8617055121220407`*^9}, 
   3.8617057111176205`*^9, 3.861705754604045*^9, 3.8617057984484777`*^9, {
   3.861705962805488*^9, 3.861705976035*^9}, 3.8617060456412077`*^9, 
   3.8619619852798243`*^9, 3.8853719961650734`*^9, 3.885372698568512*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"ee80faff-24c7-4dc1-a101-531e513614ab"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"std", "[", 
  RowBox[{"[", 
   RowBox[{";;", ",", "1", ",", "1"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.861705551851124*^9, 3.8617055653724194`*^9}, {
  3.8617059828964624`*^9, 3.8617059835990634`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"3df78659-c97a-4904-9efa-b4f645d90e8f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0fXVcVU3X9qFDUjyE2I2tGJgzdndjd6Fid4vd3YmNouJtYtyKjQEKCqKC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      "], {{
        {RGBColor[
         0.6585790000000002, 0.31609100000000023`, 0.20750700000000008`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1Ur0yQ2EQ3Vwx7kQmV26rMAoNQ0iBO2bQKCi9gJ8H4BHwADQew5ikk0mB
NDQyqTUIhTR+ZgRJQZwzZxU7337f7jl7dvcb3d5d3wnMbA3WBxsZNKukzO4j
s6282eqA2SbOd7yfIXEvZ9aCX4b/nTWbC81mYQ3clzOIgeMN7/vIu0mbHeQU
Y04bsWdgT3H/RE4tUC2+03/s1/02LV7iCsgLIGwDGhK8LYTifc9KD3XdRcJR
+1Qs/BHqPkXifMT56jzk6w1JA7VYXr2wp16fapZg5+C5Qq0LnJewa/g1nEve
Ywc8H7Bn+It4qwLzC/xJID5ykaftOV2cX1lhycF5sMfhlPDMeckKT528U+OP
c1pa/ZIz8RmwZpMz8zmyfuD5Ha/FnXRdA/VWnKvk3IVQsyeWuyaeuuZd20So
fOKoh9zkon7W5+44J3IxXk+Lq+r8Ncck/k/IydoNx3JORd81d8bdHeb0b9jj
TCwt1MQY3+ree9W5yVP0OHm4K/KWfV6cG2fB3Jrns6fxULHpWLqO8zL6k7H+
WuKa/7la3nvi/Y/F4lnJaBecF2fFufLvsd5DpFgzUqzkGrizivt/4biRSA==

            "]], PolygonBox[CompressedData["
1:eJwlkLsuhHEQxY/PbvwjH5/9l1QKDWFRSdSIQiN6l8Sl4hF4AY8i0VG5NDQ8
gAa7ChqXwqVi/U6mmOTMzJlzZmZ4Y295t5A0SNSIn1I6pvAC/gZv90mdbuk6
SRdZ2iT/Jb8iPyNf6ZWmU3DM3SL+wLeILdD7QuMIvWf0PsHjzAx1STPMNHNw
zL0hDvrRojabgjMJXqLfTOFp7/Mc3tbsDEgPlXQKt12XnsCHaNzVYifvZg97
uTYBbsFp1WPmHrzakAq0F3ukdfBljlv9A5GvNaLnm3zbHJqjKZ61Q/5axm3W
eAO3q9jFO3v3ffY5KWJmBO2pHLf6Rt/6XsavzfkAzzMzlmLHxyo87OWae//k
3D5h
            "]]}]}, 
        {RGBColor[0.7316835, 0.39154225, 0.235451], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1ljlsXGUUhf/xzHjGM2+2JzuhoXCBhAPYYyOKLICwWCIQDdAgkAIoLErB
YrtC7AUdoiJKCDU0CClS5Cgyxg5LQYyMSYpIiUQMoRk7C5gkECQI59O5Lp7u
nf/d/95zz13eDD/3ymMv96WUvtNT1HO+nNLdUo4VUnqxkVJT8olaSu9VUrqr
mtL2kmz17JfNYV08pec+6fOy+1bnh6R/obNlPZPSF3W+T36KerdRl1+d36Pz
ozrfqrN7pZelL/bZpiJ9JlMsYclqxlKo+P3WjvUtkl09Q9LHJNd0b7hiPzs7
1ivyMZLLTphvlSzo90n5GNX7FclL/cZ2QfJiv/GT09/9xgb2vGJbuADHbMHY
iYuvhbjPXfxdDp+PCndV8tdWStPKvVEiGd9Bb+ndQfn5RM/XBfMFb8elb5N9
Jvm4fLwufVD2t+vuncK9IZuzdZ8N6WlHXDBSJ95TD85/qrou/CYfYhMXvrfo
brFoH9zBHuwfR73g42DU9CVhuCr4DwjPbcKQ6c5/wjBetd6QzQuyuSabZ/T+
FnG9pPO3myk93zAP8EGv7I+6k/MB6XMF4xiMXNaV5/3yc2ogpc9l/1Fwfimz
flHydMk1zaIvyfsDxdrVb0zgWW0Z84N6f6LknqaGw8L9peT7TcvVsvF1M/fi
G8K7r+pzcFxRLj3pj9Rcm5399v9u1ToY4Hit7F7gwR7fxNtdMS+96Gf6eil3
bX6QfK1uX1PS6+LuOj4ln1a8deH5TDh7JfPEXExGPm9x3nIsMMIJ+Kjv9/q9
Ip8nJPfI/z86G20rR/3eofMJydHcszwm+a9szuj+dWZFdiPCMNZ2T6FzvyH9
XHAy2TbXU3VzsCs4ASNYmcGZuu9cyLwv8EH+1PDhimuK3B06cz9adY7Mx9mY
EepHHenBvQPmh/2xoxT7SO8eqpljehDOerFDkGuBB9/rcQ5Ph2MWbhbOI5Jr
mc/hkZpOdDw3fZnzohe5+03JOfAbjGcC56dNx3qq5rnFx6sNzxKzDT/Yng57
9spIzO3vmeficua6sXfYnewbdh78UHP6Caw32t45C7l9gxv/X+XuZWYOnpaq
5mo6dy2oyXzMHrO2mHt22PGp4z1yPPdMLwdm8FG7ZnB2NHrsSub9cDVzz9Pv
xJ7KvF+mM8eZi1j0Fvl/KJ7Otzxf51rmcTZ6+7eGY9Gz9BpzSL+hdwfcB4fi
m0PO7M4DsT83MmMYjnrCFT1RjB1Tjn2L7XzsHmLPxT4/Gbldy7wD/woJv5vf
iIXIkXlfCD/MfS9mfzXmHszsR3icarieK+FnOSTc8j2g18c7/i4yAzdF380H
b+zRY4GNvc+ufrLhuSHH2dhJ8EHPMSNwRb2z2CczufcpuP5QzD/r7quhjvcB
c8Q8cQ+uucs3kNjE5VsxGN+Lsdgbd+S+cyR4nojdMp6bW+YEfp/tGOuejm25
w8wSc3vom98A8qX+nNNvP7eM55eWe+fHqucHPsBGP9Brxfj/QL34/7H5LeU/
Cr1CXvDCvXeaxsvO2NZxPW7U7bsb/uF0Meb9zaZxsyfgcm9w2w1/YGDO6CF+
/w+SUz2G
            "]], PolygonBox[CompressedData["
1:eJwllLlP1FEQx2fZ5cjydtf9RcDOUBgFORYNhaAgiIlBC2JnNPEoKTwWK28s
7DwSo/Fq1X/A0igGTRSMZ6eJoJAoyykIionBzzdTTDLfN+/NfOd61UeO7T1a
ZGY9SAKpjcyaysy2lph1rjJbD24AxzH2pszak2bP0e/EzZaC2Uvsb7F/4uxf
udkfzu7G/Y7uzukMXzc5m8P2AzwLnkEsa5Yv91itSAfxKjgbgFCs1KwK/Tv2
aWxTyAr2y2mzdMxsC/6voO8nRgF9ArkPbiRGN29vEG8GvZ+zFmxLhLuAfijr
+i7uHEavh38z/C+Cr4MHwcPgZeKVgxuQD/CpwJ5D7yZeMfGrwa3gOiRC7yRe
D7ZvGbMy7KPFZmPoa+Hfi78R8BfwGWpYlXAf8lXgrICtg/d7ks5BXFp4k4PL
Ts4W4TvMm3Xg0uCxlfMD5UtNakqcg7g0Zp1rG/66kl4j1Uo5NqiX3P8b8zc5
9O3ceZHwnql317j/GZxC+uDahn0Q/Rb2BewnI69Nipr0oVdmvVfbsO/g7u/g
s6Eeq9d6o7f3kOXgNVKt3sHnVeQ5K/f34GHwVHDfXeQ8iV5AHsG3GTyBvg9O
89yvgFM9eDb4bCkH5SIO4jJGTcepbR/29rjXPIf+kPwmEz7Tmu3p4LOiHJXr
68i5fITDJnJrynotNAMx7uaJHxK+I9qV0+DKhMfIY38W+WxrRgfQ12R9dzTT
C9Tjatp3RTVWrdUj9Uozp9kTZ3Efwt6J7Wnks6+ZeoIekl4L9XA85TVQLVYj
p8Dn0v5WNTuL3hT5LGkHtAtfMz6LmqnRjPdEvbmN/EKvC+5LOSm33cSbKPYZ
1axewsfjmJ9NgDfgP1fmf4D+gjzSjx64U5vyndRuquYH8DWS8d3QTmg3FoPH
1o5r138G771izAf/E/Q3yOcJ7CvImyLvwUZqWxS8V5qJzeChyGdLd2rBB7O+
6/oT9DecT/su6U/S33Q85VyVQw1v/wNvOq+l
            "]]}]}, 
        {RGBColor[
         0.7799537083333333, 0.46734475000000003`, 0.25285795833333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1Vk1onFUUffPNZGby/c6bsU0hodRWUNOaRi06SRFjqyDqQrsQpVVixYWC
VjP+FKsuighaQaGFqPhbbcVtRRcB40IpJqmLdDMzrYZakmqq0NQsihYZz8m5
XTze/d67791z/877rt69Z8czgXNuHiOP8V7q3I8558YxH8Y4i800dm6g27nZ
gnOT2FuG4hmsH8ZoVJ3bX3buecxtfPdhv4axiDMHoXcecwvrzUDrN8Qy9HDi
XL93rlJybhpnE6z/Bp0nsPYd5kmMPPT3Qa8DeRP2b8JeD/RPmM2RonO3Y2wP
nVvCtauxXwTGCOMEzrShsxq27sLex/BlDmsx7pnC2gzkEONU5twqfNexHhSE
gfYfg40/ujAy3Ve2O6+DveOYt+aEnesh5OuhH0J+Fnj3YERY2wFcf+LeQ7j/
r9hsQmcqUGy2YxzLaZ8Yvob8bSCfKF+OZGu9V7yJh/E/bjhodxznFrA+AXk+
UxwYj17kqw+jiPUm4tAqKw70j9/0sWMy12chLzGWkM9nOncv7tkQqR4ux7qj
bfqn7E7ex7qgPWK7zSvmQ7Ew9xqG/qIwM25TVWG/P5SvI+bvL7A7B19+xfwT
dKbpJ+aZqu64D/qnsfcN5LXANVWQTJ8XM+F4A3neXZA92upgfhzf3+OuZZwJ
kLM1wNhIFfterL2eKn7nMuWbcf49E3b6QL+OpKrtnaHiwVq+BXYfxPcC7v/E
9rvyWn8qkXwtsNdxTymv2D4UKu9L0H85ld97U+WikFdeBmPJDcw7E/XB3aF6
g/H+FPq7bJ371B3Jq2dYPznguejUn87qv5EIw7u0m2j9Si/SNnXYA6zDBfj+
Zqr4vQW726y/WF/3hLL1SqIcM9fDsXxi3HlmPpEcQ/dcovgvJMoBZcZnHb4n
ceYA7LxouWBO9lpM+iL1K7mGfjDPo3nh6E/Uw2NV1QRrgzW71QsbMY7F8ov8
8VWs2J9EHqJAZ9n7a7G3BetRqHz2WU7vDBW/zV56gwXpjRs3sifYx6xP9nJG
DstL/iiR/oeY76jI3hj0/4nETU8nyhPtMX88w7PkiyPYq0PnaKI+oL/0+7NU
3PRkop5h72wCtktF5Zo5b2fKAeuLnE191tKjkeLMePM8179I1XOHjHN8rH4+
WVX+ySnsh79jyRcxb0yEs4H7/o0Vpxcw57x4Y9HsDBcVM/L0mpJy1wMdB3mV
V0+wDnj+rHEt43AhFa+R88iplOnn26ns0j776NZuxb1ofMy8MOdtezNaBeWG
XHupqnerXJPuz6ZPLKOGg/zD+DHf7FXi+xI2ryoptuRF9g1n1lCtJH/5vS5S
nMgf5B7amjC+7ZhvH6R6+4a8eJp6E8YfTfOdPN1r7yv9q9sbsa0izP3ANeiF
acBqkv6xZl5NxYOvYd5vtrpixaJtdcZ6b1lMcuxZ3HMj7tkVqubJbTNWy7xz
BUO3/GV/zxk/kDsYi3cwf27/BvxHeCDUOb575MJlO3M0FYYSbP4XKW/kdfrH
nlmp/UD2KNfNf9rl29K094W1RB5mn9PX013iizn7ByG2Ya//jGKst4F98xLx
1sTf6+0da1lMhszHaePdScsX14aMr7eU9RbQ9oFQ3EZefC5SX7O/y171c8Fs
Eh+x8Z1hnbHGWGt8h67IXCeP/VBV3ZFvmLOm1Uu39Xbo1VOh5eUa5h5nN3jZ
o919qfLJ2pi1fzXm5ZFEtRNZzbMvyUsrfFbRWzxQUa/xP4b9EXnhIS7WPu/k
N2PHGI5WlVvG5YzFmvF8P5Wd0GzxbM3wbMSdHnIn0pke44SV/6aS+vxmL64I
YvEa+35zRXk+aP9IxOgNJ/uBvo3Bx/8Br0NPgg==
            "]], PolygonBox[CompressedData["
1:eJwllElsjVEUx+/3XofX9w2v36PVRIlpQQ0tGqGNaNhIrFRCUFTtJIYOSEyL
Liy0iQUJEvMYW8LCojYiadWiLHSgCaG0JKqVNCrU7+S/OMk59/7P/5x7hju3
4VDtwYRzrh7JQXaEzo0nnfuMsTXt3O+sc2sKnOsC9NfnnPt93E3lOTc9xs44
VwT+qefcHO6LOHP5ziWQcezrkbgG8b+G3hwQB/wUdhN6AikBOwNZge9rYm2A
YhR+D3sRkuFuNRx3iX0E/CqnHIawA3JsQN8AZwt3zcTsSsrHfId9cU3DXor9
i/eUEqMHn2FyP01OneijcK6H602B3nMB+QZfLWe+J852sP/g6yb3GL7F8E35
0guRMux5yAvu09gL0OfH0lPEmATbQ/zelHP9SAz/RviT8L/FpxX+5eCLwfdY
U7hvwaeG/FvBN+N7A8wH7hLw3UTvzqp2eXC8RK/Cp5hc+8AXBnqzvd0DP+Kr
Rlar88gw+p1IXB/hvI0+AOZWQj1Zie/CrHqfBrMIvaaQGOTTgf9usGti5d6L
VKFv4z2VKc2QzdLrrN5qOYfEO8lZTVIzUIGdj/QldFaN/65QuVhN6tBnEWMg
Vz06RX7fA/XGamK1aYK/E9vHpxF7JvLQ0xv76O+ZSL3+DMdc7o5hP/aEOYo+
Gglbjd1G7st430K4y5A9xu+L+xWynrvUNDDMSAf4fPQlgWbZwXE8VM+sd/nY
zdg74Sz19MZ7xCqF75GnGesnvz/gn3ua6Un0gBqsI/ZPbB/9J2cXk8LbbHZl
NWtpfDrR78OZm1SMOmKVx/KdDqbCZg+ZgO8J8VPoZ9N6q83oD3zbsevxH6Q+
78inJNbuPuN+jFyXxeKymfRsHrOaRcvRcg0C7bbN3NpYPuZrOe3n/U2hamc7
Y7tzL9Qu244/wHck0Cxaj63XX8jha65myGbpXKRa2h9kf9GmtGbddth2eSij
v8d6MoFdn1VvjGNvVj233lsNx4h1gPh5xK8k/uxQO2G7YTUqIP8rnFXkaMZt
1v20sHZ2NdSfZ3+f1cxqVxzr77A/bwb6+4xqaTM2gL4FTG+OZrQM/+2hZsV2
zHatvFC9tJmrQL8caZdsJi6hN4L3c5Tzb/AnIvXSZuh4pD/F/hbDGNZ23nbf
/hj7aw6H2l3LwXJpi7S79qdtTmvGbdbtD/0E9j9od74T
            "]]}]}, 
        {RGBColor[0.8275949166666667, 0.5503622083333334, 0.2697084166666667],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVltsVUUUHW5ve+6958xp59YoRvpAS+uDfhgjaGmJRko1CEQSNSktIOHD
BB8xUpD6phoN5cdEjCbWV1Gin/6CiSla/LFE0CZgm0JSWgs18moJrR+u1bUT
P072PjN79t6zZu09s3T7i5teyDjnruArwXcs59w1KP0YXJJ1bjG+PP77vHN3
QsYF5zoS6ZshH8N/dpFz2zA/Uu5cM/QDGFuD+Yul8If/uQrnboVcAfu6AH+R
c7dD3oid+xlxXsLaPOL8Av04vvdS537A+hqMD+ad2wP7Xtg/i7HVZc4lsFmH
sXroZRi7Bv8/Ie+jRedmMDaMse9hcx/ibYDdjqA9cW+HMN4YND+F+O8j1inE
3g/Zi7yXIudL0K9EsicOFZiPsX4x9nAdMSZgM4G9Nuakc//ziDuH7wjsN8P/
INbshZ/pcuFwEXI57CfNfjQj/WboY7CdNqwCch7H3G+IszKr/RGTFPkkkTAa
zmgN7c9mpRehL0Lch6CfBGYroVfB/gHIN4FjCj+/w+fBVOs+gDyAbxj2mwo6
Y297vIp1lzPCaiPnMPacFzbEimd5KSNMboHehHiJ6cydfqqhD8D2R3wTTuc7
bGc8Aj+jpRrnusqs/I0b1syB++Ya7r02KC7Pas44cwfG7qkQB+4mvxL5eAt5
rq0QT1ohv/biy13EBv834PtTL87RD/0xFv1wbq9XPq9Aro+EG/OZKRGHiEmF
nVET5HL4bMDaRsitJeI9a+D+RPXTAz/NwOcdw3QO432wmYf8Na8zPuQ1352X
DfHsNkyJZd7wfN2rHt/w4ifPifmQ+/wnV6sxdxT2z3v5oF/6eTzSeREj8mKg
RDxqgxzLyD+5TI6Sn3PgyiqsP4GvFhiNY+48ODyZVX48a/pvspxp22x6P87p
L+4L8hxkFcanM4pJnVz1QfUyjTi7UvFkHhjWILfq/P/rqs2etcSa6gzKk7V3
Av+7U/FsD2Q7uNqKGLuB7cepauMTyGcQYyfst0FewHcV+hSkT8S3k0VxstXO
jufJ/kY+kAO0Jw8eQX4tmFsD+XRBtTsJTJ6A/gf89CJWT6q83oVs8upFr6XC
dafV/2f4H4fN55DFIPsew4o4HbE62Ghn1uHFv06vvTHPLtjvi+Wfcf4st7qC
XA2fy7B2pqiaZ+6nILfnlQfxIy+Gc+JGLqhvFiBrMTeUU81/m6jnfgP/XxWk
f4exbsQ+jvxeTcVlcp49Jcqqb7Oujhknyc+6os6X55wan1lTxKAuEvdmy+Rz
Cj2hJWg8ScRR8oYcIPfbbD3vBsbqBAZxon7aB/9bYp0ba509dNzqNTHuk7dc
xzuIeS7sNdJ+Wd9DWeHPc6JP1gLnF9ZA7/IaZ8z6SDizfog19SeB07+x+tay
IL6k1rd5nhN2l/Cf/Zx2XM+19Mt+wLuNPYl3Qp9he7lMvZ331sMF4bQFuTQF
1cyDQbVCnVhxH9WR9kKcGYN8zRqmHwGrFUE6xy7E8s27kZxiPP43ROIez5Hx
GLc9qB+Qt1XwuRb/98KuFXJfqtiPFvQmIH67vPJgvffbfkctnx1e90BzQb2A
NkPWL+btPr0pqC7Pw7YjKGYn7N+2Xs2e/XdRnD4YxBfmQx95u+u5P/KmzXrp
bBA/rwfdbTzbDfD5YZAf+iMOrAvuecKL513AKqpULeUq9b5gbyW3eKcN2H3H
dbO2lj2SfZO9kXkz/xDU28lP1kJsPZo65XrTWetbrS+x36+yHstaGbR64Vry
itzm/uqNk09Zj2pH7i0F5UW8mUuD1SbfavRNjMmXc8Z/9u9J83kGPeUM9rYk
Fr9qjWN8l/GMiDPr+3Sp3gbs2zwDjv+Tqqfstx6ZtzfN6XLZ3xZrH/RfZW8h
crJo9chc+u3+5j3+cqyaWqifjHI5a++fkVi2h70wYv7cY79XnbEu2fPIGfaD
hqAarIf8MhWGX6S6P9nL2B/4ZuWeaqy+quxu4rmM2BuG+BJn3gljVm/kGN8s
3Du59R+5HX2Y
            "]], PolygonBox[CompressedData["
1:eJwtlW1o1mUUxu+559n2/J/n/3+ee0Il6pw6N0n9YFG+5KzIWZEpCUW5rZdV
UET6wZajMsuMyPUlyN5oZs6KghD8bCBa2pcmKA20jQrmpjXQ8g23L/0urn04
cM59zn3d5z73dc49t2vLxs3TQgg7kBxSUwqhsTaEOcjKGMKiNIRfCBjE+UEW
Qjv+hdUhtNSEsLgSworo2L/wf46/DxkmfgFrq/GtSkIYBfcI/qb6ENZprRDC
XcgE9qxiCGfzIRzH38Pef8oI9hrOeIK9zxG/HqxLYM7g7AdYGyD2Cv52cltD
Dq3kUsL/A3YDeMPsH0J+B2s5e2ZX+Yyz2HuJGSd2KZhrwe4k/kewasHcjK+7
5LP7kImSc5D9FLIPez57fmZ/gf1N6MXE9TiMNLA/I6YF3xh4+7nPAdaWoZ9g
Tz/61qJzVU1V20akhr03yPFJfJPIQB3r5HuR/RlnTHK/bWAep2Y9xE8Hb5CY
Mme9lbo2WnsbfR97RtE3EP88e19k7eYqr32Fbxpr/4I3yJk7lQsYTcSO4N+b
+Q31lg2s5fHtxj6NXQBjA3ftxf4t55yV+8bE3CggW7DL2JfZ+x9yjbM6iq6N
atQB3pvE3ELsLOQO7EvgzeWuM8B/PPGZOltvvBNfJ/FXq11T1babtbZqc6qV
+FNwqELsCDWI+Huja6U31lufxp8Rf5l6/Y3eQ8z91c5hO/67iW+u9Zp8zcQs
ITZHPg+Cvz7x3cWR9zi7bnoIXbzDKDlfJ/ZbMPo5a4KapmCtLDmXBvasQB8u
m4ursIfQr0fX5ifOuAJ3PwZzkPhj+Pegt1TMhWbwFqG/ztoJcr2GfZFa3lqx
7yEwusDqYu0ouc3GXoa9PFoX5p3o86K5Kk6JW0+T80voi5F52J3Rvace6UAf
KPgu4py493Lq9xPnbxD/SuraqMe70dvIZzWxLxCzn1rNJOZM3v2+ldxPgXdP
zv7vSr6D7nIVqYvmjLgjTj2SuIfVH8JcC/b7U/wTR3oT31l3V0/9CvY7qblU
AH8p+G3Rva2aqDa3sfYw9jrk2eieUe/swv4oukfUK+JQqvfHLolryEL0C/Xm
jjCEpTX5NHPuI78F0b2tPS3oh+v9tuLEEOfPiea27tCI/k3qWuiOX6d+A72F
OFULt87DkbG83+gZsM5hj+T9PpplJ6dmp3pMvbaL+pzMOaYRrDcy9/YF+uPe
xDVRbdQDOzhvG/6jOc9Izcox8G+q8pk6WzNVs1U914H+aOJZrh5Rr3yYmaua
0ePEf4L9B3h/Ip+izwdzPO81+TZF5yKOtaOfS90Lmqmj6Ek0Fw5ppqIfTM0X
zSjNqiUV/zXqCfWG3lBvqT/hdu72ZebZpTs8lnjmavaeR/oz/yk6Wz30mmZj
2b2rmql2mjl6H3H2DL7PMt9Ff6D+wsmS/wLdSXebrJjb2jOBvjvxrNb7iqt7
ormlP05/nXpA8ar5q5n/GP016inNxi9S303zsS/1H6O/RjNuE9gHMt9FM1yz
PEZzQfnXo39fMp9UM9VOM0ezRzO9VbUvurbyV2G/O8UXzTjNuv8B31UDmQ==

            "]]}]}, 
        {RGBColor[0.8687117500000001, 0.6367591250000001, 0.28365825], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VltsVFUUPe0UOnPv3Dtz7oBKaYQWpUVQI40FBW2qtMaoGI0m9oGJBfzw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            "]], PolygonBox[CompressedData["
1:eJwtlVtsVFUUhve0A3M5c07nzOClQISCFhHUxMZWEW1QOsYYMRqN2FKCpfhg
jPpAVRKrKCGiJibKRRO8JEJC5MGQ8IpRBNEHuUTrkxUTAQ1SY0ygHduB+P35
+7CTtfZa69//Xpe92waef/S5phDCMCvLurkcwoKZISzLhLAUuTsOYRbyZHMI
A8hT7J3H/jlBG5MQ1pdCmIv8M/Y7sZ8ohNAFzlQ+hLFKCBNpCGfxr7E3jvw3
ew1sZ4jZgb6WNU5shnULWCewj2IbwecU8iXWfDDPQO4efBtRCHEuhE70PZzX
TEwr+iziu5A/ZdUz5v9W0RzE5S78Y+IXEHMY369ZT4H1H/dpNPs+Z9G3FR27
EM43YrumGsJ2zn8Gn6uR18bm+z14K/Bdh15HP4X+APo8zsjBp8peJ1weA2MV
WA+BuQf7d/A5Dp+jnHcdvicrvmse/zz+7ezdS64iMBYhb0vsK8z56Ovg+FWz
76C7HCL+3Ezn+CJnPcF6BHkFfA6Ia9l3+5O9OvIX7HVnzWkzWO+BP4p+mrUT
eTf2W7POoXL5E/in4fcbawS5P7LtCJjz8I3wWQi3hJgh9F449uScI+XqZMG1
72RvkvhNiWstnz58l6smyL8TvxvbkYJzpxwdqziH0tVzk/DfP91vyudn5LPK
GSlyB/5L8R8ErwJWkZgOfN9Bvy3rnjwG9hBnHEbfD8aL2JdUHKscvI9tkL1f
mtyDG5Bfjt2rLeBtil0j1UqcxX0xnBahT8Chj9x8U/EsHCTmAvoOMH/NmqO4
bmDvCvJ68SP248S9rRwqlx9wp5XYC8Q3sH2UODeaQc3ivti9rJqPgrUajH/w
3cIdhjj7y4pnQfc7h32g5FwpZ5rVG1L3lmZIs/Qv61CTe7iK7Y/IsZqJK2A/
mHr2dca1xGeVf2LnaAaxvQ2/kax7VL06Fvnuqv+M1DkW3mw49BadY+VaM6vZ
/ZC9noxzchlbPTLWDHzaiO8reR7Vc2uQX4icm6fB74bf3thvQQf1PU59X1U/
YLsK/2HklWX3u2bqPuSbyvbVG7cE+cnIsy69veyZ0exo5ivM+2DsXKhn7obr
Hanv3gC/C3lj7N5X/vQW9KS2qedqqd9Izd9i6nM9tekpux7iVENeFjtfqs8b
cNmSuB6X4VMhPk0t18DvL3oGNYutxL9G7ETZs60Z0eycr7j3NbN/IX/L+iFv
zBawHi86N3pT9bb2s1fLeSY1m+px9fps8F9HfjZ2LVTjh4ndHNumGWulHveX
/TYm4A/Bf25qf70PE7pPbK6qye34r2ZvOO+Z6UXfV3It34XDJ+qX6fdUM1jA
toozf8waU1x2JX6r1IPqxZdKzo3ueJT7vJL4bVZOldsLLe499dxYi3Mof915
DedV0S/mvCcsvWnirjPfTMxJ3FQvvZ1TiWddM7qL2PHI/noz5+DbFvtv0cxv
x3c8dm7U45eQlxfdC+op9Vb79H+rnCg3men3UZzq4G1N/LeofuqNvSW/HfoD
9BfsTP226k/V37o18lugP0B/wf8FIgIQ
            "]]}]}, 
        {RGBColor[
         0.9016150416666667, 0.7067008333333333, 0.29478933333333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVm1olWUYfo7n7D077/u823ve2QfaXCs1Y3O13Jwjy4bFCitqR1L7kDY/
oKbWH3USQZS6HAmxvnMaVs6gGoURERgyvyKiomWNCVGREa0/Ws2JNbourvvH
w3Of+72/7+u+n1Pb9VjHpmnOuVM4WZzKonP/Bs4dT51Lq5ybhY8fxM71F5w7
gHN3xrkWfKsvc+6l0LnZkG0AfQN091Q4Nwb5xbQB+jrwX4FMd1b61H00J13K
fw9eB+7D3rmRcue24fe3uJdCZjFOO76dhm5PQXZ5bzP6CcjVBLIzJxDdmtF9
pdHdiKOUd24D7tcQRyP8TiGuF3BOwUYt8toL3w/CRwj6QoViY34N4LdDdzV0
m3BmgG4uKn7m1eYUK2Oqga1MpXMLwH8dfjbkRDN+0teDXgT6vwrRr4aqGW0x
/ve9anQrYujOiU/7G3PSp51a+C5HDJMR+gT57+CzH/ZW4vcEcp2bOLcWdD1r
Anoz6DbQ7YlqMttqFeRlZxj6Wdw5nDlO9d6Rl6+yvL5RZi/87gY9gHtmUfIT
sP0kzjLYvBf2r05U8xXgvWy5XURss4rydxL1/AF1KsH2UcSexbet8Dc9lM+N
liP7w3xZK9Z+C+gDhj/icEUinzeDfydyXmQ0a8W+Un8hZN6Aj9Wo5x7onbOa
9iOWsaz8HoStAes7+z+K2JbDxgmv/vTkFcPl+N0Mehl0T3r1eSdy7PWqWQTb
faDncm5AV8P2fNhMs7LNvhCHZzLq1zWQ+yYV1r9Khc2ZOclv9apPFWpS7oXx
ryEziXx+Q54TuCtNdhDfNuNbB/grwf/CYvswFiboqy4VZhtzwjrnpsfmq8Xw
QxzRBuvCmtyRCLfEMvU6wb+I2Edw1+HMgMwRi5P9bIDMQ5bn/V438bgbOdwE
ejriacWph8wafD+UlV/W47T5ZNx9Rc0d5y8MhdMjsH8p9s8g7stwHy2ozucT
xcF4iIHRrOxXT1OsjJm+B21fce984rVnuG/2h9JbiLiGvHB3O2y+6aW737Dz
c0Y99rFy3Af+Ti/+LchxXiL+s6Fmj7mviuSPs0y8fuwV13bw7zLdNtAl0O+A
/wvoTq9c0lA1Yi5dpkeaca/zwtVar/6TJl6f98JUghiPeeHiJ9j8zGtufgTd
Ess+/dzjNdN/g39JrHyZ931ePbkN/KGs8mKsk0XNYAZ9+bKgOZvHusXqwb6i
5o/7gd+uitWDh2HnXdh8BHZuBO+pSPLUIxaJLcoRz9WG6SWoYSuw+Dhkm8Cr
CzSDtE8+e9YXK07Gy13AGu+A/JJYeBqoUM+59/jW0C7ni3XhfBI/+VD1Yt3K
QdenwmVVrPxpvx/2l8aysR50IdYc90K+4BX3llh7osn21YlU9onTt0LlvjzR
3HHeOc+NifJaYznOD4TVZyL1m3g5lmq+uA9YR9bpbdC/B9oDxM36ovo/arly
dzPW4/DzR6DcpuBrnDqReOOm+0Ck9/JafC+Dnb9A/wne59A9FwhvneaX/VyQ
KM514DUnthdjvYHcv+w79wf3CPvBnci5CULtTvI559yH3BecE/qhX2J0FWyW
QPdGwit5w145layP5yO9SVcU9b6xdqwbscTesWfbrYafeu054qHGMErsHTQ8
jtqu4IyO2Zz+Gqm+FxBLFeSnQJ+NNCecl12ckUj/OTahP2ftTeHbwv867C13
dpfhkHj8J9a7NoF73Oo7DN1dofYL3yj+z6Iv4pOxjdiOJRaZ14sVkh2yeTwT
qceH7Q3hLicOuEfY2+dg8z37L8H/FHyrWAO+D0/HmoUmrx1Ee9xnh2L93/oI
9/+MADA0
            "]], PolygonBox[CompressedData["
1:eJwtlmtolXUcx/+es53tPM9zjueiZbNpqyzDuZpuulFZYmBhRW1RzUpoqVEz
7Y0WRBCVmEsjVtnFFY7yEopQ9iICw9amvehGFoQRJaWEBmW2uXBKny/f8+IP
v/v993uehu41HatTIYReXhWvKw5hdEIID6RDmFkI4YXI8F5ePhfCYBLCdhTW
IZzKh/A3tEeBm6pD2ILsJ/Dr4Xdg62Pg9+FfB39hJoS12L4Xmx3ArTUhTIEf
wb8f2+34zAIPZ0NoRr4OfksxhG3QWsAb0VmO/l8Vfz28U8BdiXUV89LEMSrW
ZbyNxHMz/hYTy1ziuwX4Rfg/EN8x5HuBXyWHfWnTXgG+CVoP+O3wFwGv403E
1w74v+D/YWIqwb8LmyuBFxec23binlwO4Z3E9WpC5zNok9C/HlsPQpsM3Mo7
DPwIbzeyBxPb+q42hK9K1Ar+jxX+u8S/E34dvm/FxjbwUWKoojZpXh3+FyB/
JO2Y9yDbTw4/AR9BZ2veMSgW1bhfvgq2LZvPYGsSNp+osg3Z+jV2rlOhPQv+
Tcm2DhPft8AtiXmd+O/Bf1/iWl5JDi8Df4jOzpRtpvH/PHh9lWuYhd9Qqf9Z
1QRfZfx3Bs/TGPa25ty7GdAGif29xLKq4UvInoa/CtnHeCM590TxnqcHZfQz
kXWPIn8bug/Bn5XxDGmWBsnhi1rPZxv4FF5bsEwztVkN/yn4c6BF2FqB/uyK
/gCyVyEzI+OZ0+ytgd8GfjXzNZ53jIpVOnORPZC1rUb4vcT3dcm1VM8j9M8h
cwLZYWjHtHvgx8H/4P0OPpR1bb8nx/nIH41dX/W4O+eZ0Gy0I39DwTOh2ajm
nUH22pz7rZ18TrUo2ZZmvhE4jfw/GdfkJPzXIseqHdOuPR7b9gLw3eB/gp/O
WEe6+xPXUngV+DLtRI1vxM+xd0K7sYN3AfAItEF4tcg0INta9K5rJrSb6+FP
S/lGrCW+4+AnM66RalUbuR7Cx8FXFT2L2knt5m/I70pZ5zz8XZX7s4i3D3hT
Yr5qPAK/XjNT45jugLe/5F7Ih2p/UaWemqkNiXNSbqpBNbyLi6619JXb54nn
eRx+Ad4GaJ0Zx6BYzuDzimD/Y8CHSvYv2kHglYlvj3S6Cq65aq8Z06wNVO7h
k+hswv7rkWdP/dItPhV7F+R/ovxHntVLwC/D3j2x4em8BvAlRd9izZRma7hk
XeUwVHJP1Vvl/CmxLUXm8or+peiX6Wlf1j0rAV9Ydq9FE+/G2Luom5gQ3zx0
mqu9c60FxyBb2rm7kX0r8q3Wjv+L/Bvg11Rw7b5yVu6incu7h6ql6tdLfP8V
vDvqsWZhT6V+S6A9HdumbCmGNyPnIP/a6ftiz9SJin4n9jYm7q1mQLNwNu9v
nWqgWvQV/S1aiP8vyXlC3rdMO9CEbk3k2NRjzZpummZJN3wqeDcyjWnffN3+
mTnb2gz/bfgfgE9PuT+6rf1F85STchvN+Rauh7al6CdY86Zv75yCv526SZsj
3zztq3y253yDdItmg69IPLPqv27qUOJvvPLRPBwAH4u9u8pnGrLzcr4/s9Cf
D1yKDOsbp2/dRznvnr7BexN/4/StU06HwJcn9q1vhL4VdxbcK9kcwNZA4m+n
/gn0b/A//AcPtQ==
            "]]}]}, 
        {RGBColor[
         0.9197339583333333, 0.7470231666666667, 0.30084666666666665`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlW1ollUYx48+c8+ee+fennsaGCE4tfCLRnOzoLKmZTnLuemMiAgsHL1t
QbGZ1QcrnW1pJkUklgkFlcOcruyF8iXXWiQUDPrUy7fwSxFYVCj1+/M/H27O
da5znev8r//1cjdv7u/umxlCOMpX4rutLoR/EKp8z9SHMJfD0TyEBTUhLES3
GJuOGMLPM0JYwfkj6FbWhtCIXTULoR+7v7GfXQ2hAX0T678NISyZFcLeAv/c
+ZW7r0Tfl58cm3tKttd+krMn2Z9rCuEpfG5Efjkah/AcwM8Q+/XoL0fejp8r
0H+IbhdyM/JH2A6z78LmT/z/xLq05LPduTEIyyLwbi55/37JOIShF7/ry8TH
OoV9N3bfsF4lf5xfx3ccbNvYTwkLXzPyvMKciI9ObNZUzc/trO3c/1F8sa7K
jekW1pMV+MH/fuTnwPQD+uuRP6sY3x7kU/gfRD8TLg/yxktgm+a8tWxuf+O9
hwvnrRXb7egnS9YfAmcvchcY9kbzuY91OOV1hPVG3n0PfR3yF5wNINfg7wH0
l4jjLfQrqY1mYlnFfgM2C7C5iM8sMy995Oss+q2qn8KxivP5YBjMnK9dnLcW
rqMJ8A+g70S/A31nrXEqlyMJWxu27eld8a76ErerkQexOc/aAcZnc9ftL8i3
5ub+bXzPy52rnciHVQ+824Yu8o1if3O999I3YVNO9s8jB945UfIby9B/j9yS
OzbF+CX+CvZjyiN+dmS+Kx997Ou434q8MOFci+6dzNhW587z4yW/vTS3ve6J
L9WQ7Bpnh3ATPF2E28uwGUc/Rz5Tzwxlxqp3FesomHrwtwL5RLT/w5zfG41B
WJRncb4Iu2uqjnEu+t7oN8XfG4XrZzHytXzTyMtzxyOc90XnSpyoJ9Wr6tmv
0H+d+vcY727N3IMj0bnbWXb+DkS/f5rYHk1ciQPNmLE0Zy7McF0pNsWjuOZk
rnlxorpX746n/r276nrbEs31+VQjqmPV8+foT6baPoKfiVSrRzPnQ7GLA/lQ
f2lWiKfRxJXinU71qXmg3hemycSBYqjkniNZ7t7TmfTCqv5R75yL9q1Zpfjl
+010beC/mjpfzvptxT28r3AO19W4Tnqq7pNNrBdy98H+zDlUnyrmUfZPsP8E
nw9xvxs/f5GfO9jPR7+WdQr/29DvKTx7VEviW/NUffoCNhO53z2bu//aE/7m
qm3vAv+dyWctb/ZE528j65HoGh7n7kG+ZfiZ5M2xzP+YG8Dzbu5aH8LP77l9
v5o5p7JXPH8kvc53p7MW3r/U5BpQf7xWuK6+E5dVY72y6toZKHtunMmdN/0r
hgvrT1U847tqPDePacYhj+XmpmWWZ4DyLL1yfTxhFnbNPs3AOnB9HM35p9H/
G9X8i9HzWnP7DPKmevMm/vSf0P+inDnnyp/e6kz/kXXR9aO6Ufzdad52sZYa
jEd4NZfF0/34fgxOnobbftYPMr97Ojr3qoEHC89c9dah6PcUo2poS/rf6b8n
/uRHvK0p3G8dhXmSH3H1euZ7qsHQaD//get/kJPyFg==
            "]], PolygonBox[CompressedData["
1:eJwtlllslUUUx6e93e53v6H3VjAkvlBA5QWNpYiJGmjrBipdpDXGKAoGF5Ca
aAqiPrjQahVFkBgRJLgkalvaQgWXKIhAKcFEEyKaKBpfjC8mGg24oP7++X8P
k5wz5z9nzj5Tv6y7Y3V5CGELq4K1Pg2hNRfCO6wrCyEsZ50tC2Ef/CXFEF5E
vgR6hNWC7Fn4duhhVjP8cxn/N+tH+E0ZfjfravjfYgi/cGELOn+From+ayZ3
VyYhHAH/MHw7xnydD+F2+AD+Z/C3pd6TrK06hBWlEMY53wa/ljOHkW9jbyr4
cfjt0APofBD6G/kDtrsuhEdrQqiv4k78+XeS9V+D/lfALkVHTbl13AH9PDrW
VRsjW15i/QR2Flubob/Anl7k3dhQTOyDfPkezCLkCXe+mzO/HX4r/Gywv+s+
+EUF+6YYn4vsT+z5A7oHnf3cPQ97m2q8J9nJvP1dg84DnL+5YF23ws/An3/A
zwfTyPmFnN+Z2lbZ/Dr0RvZmVxpzFuw98EXOdoC/D/rekmnF+Cj2nF90rJqx
4Qz3d6FjBvjpyPuRH8jb1gvYS/D9cvZOKn/cOQB2bslY2dAI/TF7Pchb2fsq
75goNorZNuinWW3IB1jz8W1r4tzUEv+y2hD62JsGfRHyW7DtmQxfoZgi6wV/
WZnjtRXZdWCasX8VmF2pY654CbMebDP2fpezzpHUd+gunVnI2V2J7T3NWgr2
CmJ2bY1jptjFou2fBP4c6LqiaeXjVfRdxZlT0PXoHFI9wc+scD42QB+JjoXu
2I/8A9ZDWXwkUw6UC/XE0dQ9pd6azroJ/k7VTM42jWLrDwXz6odDyFdGx0Yx
WoN8MquTWDezlyOfy6P1qWfXJq5B1eIc5Dug30PHeeXO51jqGEtfPfg2+OrE
tPq/FvxotO518MeQF6Jzqfv74Fekzp1i0hKNEfZbVi+6x/O+exn8G8h6s3k0
xGpCPiXxeeWsKbpGpH8a6wawi1PbIxvle3vqWMlH+Xowde8on6cKzqlo7Q2j
ezh1/tXTL5Pf/4hRQ6VnwIRmD/m9O+f58BjnV5U8i1QPK6HfTi1vpQY6we6N
zv0LYHYgf6rgWaSZtBdsY+qzytkTYE/kjZWP8lUzS3jVxCD8guhYKWZ7EsdM
vOpjHF1ViWOhmCj2mmGy9Uv4OfCzomfj49xxPO8YyH/V3yeqpyzfJ+DngW2I
Piuf5Nv1qfUrHxHZ6jr3vnqqC12XRp8Vfmfimpf/qrlB6LHoXlS/7YFewJnB
nHOsXI8krl3FQ7V9Orr/lYNAby4qebbpDbkwumelqxXMW5z9MOsfxUyxrktc
u/JJvvUl7k3N5Hy0DunSzL+/4JwoN5phTxbcw8JrZu8nXhNZvXbAT3D2zcR3
q2ZUO2ei3wLZLNs1gzSL9OY8QKx2J86VcqZcbkn8FmrGa9Z3FV07svdg9MzV
7NXM/gv606x+9Qbo7TueOraK8efQn6WOn+R6KxqK7iX19F3KD/zFVX7P9PYt
yea53uc69E2NfuuFmVv0my2ZMJr9m7P3ZBS+BHYyayznOzYkfmM027Q3JVqn
zusP8Ajy11LPeuU8je7poax/b0z9Jmj2KYfva34WfJfu70z9x9CsUY+3wh9C
x+IK52wf/LHo3Cgmis2mkmtdOdbfQzU7lNVbT+KZpvqQjsPIitF/G9m7UX+B
xPNDe5Jpxg1n87I/9R9oJJvHHalnlmKhGf8RvvwPQz0oHA==
            "]]}]}, 
        {RGBColor[0.9283803749999999, 0.76638, 0.30373225], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtV1lsVVUUPeXZ4d17z3v3PtoSNMEBiCkaKi0/KkQoVaHM2JaCAw6JoS1l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            "]], PolygonBox[CompressedData["
1:eJw1lm1MlmUUxy8iQO/nfh7uBxHmWq/QB6phiF98qSUSCKQiAanV2vpQAwRS
eUlQyIVNKyzKptYHq1Vr69UMy9lypRb04lrrW6WktdXXPrTWy+z3908fzp5z
7nOuc53rf/7nup5r7+9t6bkshDCOXI68EoXQnRvCOeT2dAiTSC2OVuQr9N6i
EKqI24j/IfS92RAq0JfwbXpuCO1JCKuJbcZuQ9/LmjLsCuzj+DuIX8SG5eh/
sP4bflcF77kf37E4hIX423JCeJNaumbztWJ3oo/xbT2xryMF5H4GOYr+G2sm
0BuJWZlP7chgKoQDseNvIsfH7LU/5fwr8qg/cQ2qZV0B+dn/YNqxv7PfAfRT
SCXxW8hxGv1pYkaIvZH1f2VC+IT8VfjbiX+H2l7Dv6/ANZ8k/gj+zbn+Jl+9
zo8+ikygT+OvZv161h9h/fzEeFVjF6MvShvLG8hRjV5c6PgN+CeJn8O3q/Gd
xb6Fs42RbwZ9IdKP/4eMfZXIVuxNibHUmbrR61lTlO89x8m1B/s6fL3kvBv/
xYx72yNysHcL36bwLSBmJGVOiBs7+HaGvYcS1ybODKN3xO6lMO9Ez5LvLuwu
9tyKfwE1daB3IlsSi/Qa8M2y3wRrLhC/CBkm9gns8+hVyMPYu2fPezMyiF1H
TcnseZ6kttGs15eS7xH0Wvw/Y7dRbxb/rdiF+cawkVyZjHupmjZTy9uRbdV/
Av9zSHuu99BeMTERev+cEJZiL0N+zDHnEnwD2LX55qS4+W7k84szp8n1XuTe
ayamsN+IjJf68wH2FNzcVmCOlwrrlLl5PfY15GvkTJ+h30Z7GtBfJuZijteM
i4vkq8Guxl6F/UvGWAi/s8R+p5kN7tch/D/hn59nPL/HP8K34jxjvAO9NHYu
cVhcfhEpo9aF1PAS+gvsV0/sYs67lPr28K2f2CHw6WbWtkXupXoyTq59sXsh
DoqLH+qOKHANM6ol9mwL85Xkao29/lIP0bdHnhXZvxK/Jnbt4sha8Y0arsp1
T5aTvys23pqhTbFnULN4iphyztsXeXY0M4/iXxcbK9Xbgv5Y5LvvOHIl8WvI
35DvmajAfh7ZgF4Gpic4S2fKWFQjSxJzRFxRTQ3k+zPt2dIdmJB7Mfa3uc7X
kzJmwq6PGtuwK/GfyXXPuzW7hZ4VcUqzVRK5F2OsGWBtUui7ThwWt3Wn625X
zIOxRfoMUofvo9jcEwffIldT4rtUPf0bfwd7jpD7GPFXpM0R4S2OnCP/l7G5
LIzfZ/0/RebmTrAonMe8Zn0WcfJZ/Ef/f1/YYze5mxP3ooQcwylzVPiXkP8C
+c9nrIsj4oowElbCRNhMxr6rm8m3E99oyneV7uA7yd2X+O6p4wzLqG114r3U
w7Xoh2PffZpZza5iFKszHUy5h+qlMBAWT8Xmnjg5FJkT4obmX2/V53P99k1i
H8LXlPIsnxRH9F6l7MuCwWDaGAiL7Xz7WlyNPeuaIc1Seva+0Z2lu+uexHev
ZvBx7F2xuSsOD0TGQFjoPfqU/EWJuakc8xK/oXpLxdld4l/i3uoOeSBlTogb
Pcir+O+L/RaJo+JqU+y9dD/coVoTv436j1COXpP2Wt0xK9C/SPtsmr9p9Ezi
t+nSmRJjImz0n+Le2JgIG2Em7AaLzG29URsTc0rc0pv8L77lRX7LNQ+Hqfc/
mFn/LA==
            "]]}]}, 
        {RGBColor[0.9317642916666666, 0.7740893333333333, 0.30485575], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVllsVVUUPfS93sd799yplJYCjUKABBRaSAmTBiPaUqRAWisEp4BSSynQ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            "]], PolygonBox[CompressedData["
1:eJwtlmlslFUUhi9dpnTmm5lvWih7FAIkoEAhVRA1GDdaBCStCMEtgNDSFijK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            "]], 
           PolygonBox[{{3596, 3595, 4204, 1638, 4206}, {3861, 1347, 2741, 
            3604, 3605}, {3553, 3552, 2684, 1304, 3815}, {3544, 3543, 2674, 
            1298, 3802}, {3818, 1305, 2685, 3552, 3553}, {3805, 1299, 2675, 
            3543, 3544}, {3854, 1344, 2730, 3595, 3596}, {3605, 3604, 4214, 
            1646, 4215}}]}]}, 
        {RGBColor[0.9218037083333332, 0.7681102083333333, 0.301512125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtV3lsFHUUnnZ3druzuzOzy1XaAqlWDjkV2oLIGdSiiBxqNAoiUo4QOTyQ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            "]], PolygonBox[CompressedData["
1:eJwtlmdsllUUx2/HS/s+73rKKqNAiEwBkUApiMwQpDIUHNEoiEAVgiKoUZC9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            "]], 
           PolygonBox[{{3546, 3545, 3775, 1277, 2662}, {3600, 3599, 3878, 
            1358, 2755}, {4085, 1526, 4087, 3545, 3546}, {4089, 1528, 4091, 
            3548, 3549}, {3603, 3602, 3886, 1361, 2757}, {3549, 3548, 3783, 
            1281, 2663}, {2756, 1360, 3882, 3602, 3603}, {2754, 1357, 3874, 
            3599, 3600}}]}]}, 
        {RGBColor[0.9010664999999999, 0.7548251249999999, 0.294766125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmHuQVnUZx8/uvu+7u+d995zzvqSAi1zjFuugAXJHUMuRREaaYr0EyC0v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            "]], PolygonBox[CompressedData["
1:eJwtl3eMVFUUxu/szizs25n33oxREHCXIoKKARWiVMEaEUExKjZYdhewUW1A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            "]]}]}, 
        {RGBColor[0.8445788333333333, 0.718612375, 0.2768047083333333], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mQe0VNUVhi/Pmfdm7sDcmSGuFZUiluhixUSNGpWSEIOapWJJQOmCggLy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            "]], PolygonBox[CompressedData["
1:eJwtl3lwVuUVxt+E5Eu4X/ju/S7/CAIhIFLRGbVFSoHSWmRxKChaUJDIIpsL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            "]]}]}, 
        {RGBColor[0.7578345416666664, 0.6628556249999998, 0.2516761666666666],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mXl0VdUVxm8ieS+5D3Lvu7GTq4N2cHVwdXV1WWtnFUEJARxxHkuZnAnW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            "]], PolygonBox[CompressedData["
1:eJwtl2dw1UUUxZcneSYv8Pb/nt1xHAvjKKOf7F1RrPRqR7EmQlCxzIhYRwWx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            "]]}]}, 
        {RGBColor[
         0.6408336249999999, 0.5875548749999999, 0.21938049999999998`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmHuQ1lUZx38u++57233P730ptPKfZpyUosycxmrCycKasYzG0ESGbg7D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            "]], PolygonBox[CompressedData["
1:eJwtl2dslWUUxx8tvfe21/Z571UB9YsmjjgiSoxi4oqKGheIiAKGGBTFmIi4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            "]]}]}, 
        {RGBColor[
         0.5339568333333332, 0.5180314166666665, 0.20213283333333332`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3uQ1mUVx3+78L773vb9ve+jRdRf1TROOmU1AzP+UZg1tU0zJZcKL22p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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhncL9/be20tP7yHxXRNHoojGGB5AUCOIDypgGBWRGF+MgAMI
ImMZSluoLUOUQlsFygwCZYjQFqTI3IJA4gMokyIqg0Nw1u/392Ena+1/rXXW
vM+tL43u/1p+CKGO05EzOQphViKEd/NCeKgohMPFIexOhvAxdx+Bredsg97B
KSjkHnwydBm6m6BHoLMM3RZ0jsH3gF/U0TJnMiE0obMRbAOnCfw97NWArU2F
UBuHsISzArqB04Jsd/SnYK8UmRJkB4PPw+Fa7jqCf46NVmw1ygZ4G/we+C3w
DfAPoz8Z2dnwU+EfhJ8EPwP+bfgpkbHtBSH8kA5hfGSsEf67tHOgXMzkbhLY
Ss7mhGNUrMsj52Yp/PPwPTmLibeMuwvEOxG8JOFv6tszIseyA/tXsb8FfxuS
1pGudKS7E3xvjlwQ7yZy0Ux+7wU7RMyNyG/ltKJbp5ogv5HzN/jvnMV8awI5
qgF7gzMNbCv2vuV7V8BLwF8FLwU7jo1PZQ+Z1fD9+N5AvreJu+vIJjuHMBK9
BejchH+Asy/pnCv3/fB5Plgd+ovQ749+eb7zEeQrMtXBMW6D7ob8O3n26U3k
f8RerfJJ/H3AusHvTdon+TayyLXWXTv86Cy1yHMPNcNXYmNAyj1UBX2Uu+ak
a7Qick3kSxN3R8DGcTc9YR/kyyhOXZ5jOgF+kpwfI1frsNmK/zfwZ1nCOVFu
Xkd/KvxEdLoqlsi9sQ2d78nT/Rn3vnpQvfgMOkPRLSMnN8G7ZuyLfJSvT8f2
TzLPQg/oFMKvyFaRs/7Qz3FXke9+y8ef39BflOce2I/+IPx9lG8/zulCbpLI
bE94RjWrnajfeL5biY0TYMeRP1jgnC+I7LN8V49OiDwDmoX/dgD8N7Frf5K7
y9Cn0G8rcI6UqxvIt0PXU78uGc+MZkc5fityD6oXJXM6555X788BnwZ2jLv9
mj3iv4j9S5yr0Nc4d6jWyIzK9w44j/3K2LOhu/nQd3HXvQM+Ij8L/ij2WsFH
g+8h3hPwh+DHwvemXkNyztV4+H3gX+Qc2w7y/VPaOVfu5VMb2B/czUf2FewP
iz1DmiX1wFh866P5LPBMPQHdjM5m+BXqQeqTI/9l6AzHxhjkh8e2pZ4bAl0a
eze8CD4Xenbs3hwBPwc6UWhZ7byh8FnsjUu7pqew3yu2rnbUV+Tikdi6svml
dklsbCR35dC9Y9PaiefAOxR6vtRjg8DyCt1rmuGB8Lv5xvqkZ0yzNowc1oDv
4u4Q2OX0/7ufmJuIvSR2rMrBTOgj3O2DLkfmPPXcErsXD2jnQNfE3vWaac32
6WJj6mH18mDqMRX5negPgq5GflnKO6Uqdk1V29no99Isx35Lxqm+2DqMjenQ
8+iRhtg2ZOsxfBqc887R7qnl9IU+m/Fsq2aq3dmc37oWdP7kbl3kt6YemZeR
r4+9KzSTmk19U9/WztTuPFlsWdVMtdPO1e5djs4H6F7h/oV897B6+U5ycD3l
GdAsrIm8m9UD2lWaEc2Kevx2ZNfBN6a889dCL4y8i9Xz19J+E/Q2fEJOD+DL
X/AbEn4z9Hb8knbv6+4Msa6K/HaqJ7R7p0eeVfWL3lLNpGZTO7E68gxpluTz
19oVsWuhGi2E7snpm3JPd47dA+oFxXwB+v3YuVCP7dLuxt7KlP8B9C9wsNi+
z0X+M+hbYvuyBLwCei/yq6APEG87/n8YWVY9+g+xro5dO+VoDfQ9WddeO1O7
UztCu0I2loI/VeRdpjdNb5t2tnZ3BfW5mPVMa7b1T6N/G+0c7R7F2AP6ySL3
knakduU89TjYXPTPod9S7LdVMSpW/QPpX0gzcjjnN11vu978g4V+8/X2q4fH
ZG1DtvRG3JZ1zIpdO127/VLWva6dpd0ln+W7Zuhn+Lszzp18km/3ZTzL+sfT
v96/fqCSeA==
            "]]}]}, 
        {RGBColor[
         0.36266197428399033`, 0.4056636090291898, 0.19008357609902563`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNVs1v1FUUfZ0Kmd/MMP39Xqlxq4nf4R/QiLrClkXbaU2nUhRrcYd06c64
wQ+YKUTrFzPTNtSY2JEPYWUpohETxc9EVi4UpCYUTMSYGG1CPGfOMbj45d25
77777j333Pvm9sm9ledyIYQf8XXj254PoQ/fQchT2GgmIcxDfh9fDfIS1gMw
fBF7xyH/kIXwPOQLWF+OIczi7EtYe/KS67D5oij7cyl8dEGXyN8U9k/gOwN5
Ebojie7g/gy+w9CfxVkGeDjKpm79x9afhc96l2JgPPT3oX0exbcL8gdBe7Ow
O4Y1g+5NfDOQR+H3SchdReX2Qk6x0Za+aP8PdK1EePyJ9SPoLpdCWMXZdeju
htxOhNVCUN5vOPdXo+56JWq/ZZuded27HHRHI1GMtGkYc8b+NL7TkJ+xvBK0
7rK8IyrXdZx5rCwstpXlp21fg/hS2DdhNwb7ScjdRWHcwdY+J33Xg6jvqbww
eAL2z0LeAPv3IJ+EfB7yAchvQ96Pdcl3LTgX1pXYc/8dc6kOu0NY7y2ozvvg
uxGEzVuuRW9eZ2i/O697meMp15TxcD3p+vKe3bbZB/81rPcUlPOS8eT+lO2J
zZLjJF7UraJ2AfnsgE0FPnKQn4L8eNS605hcwXpbohwmrF92HSdsQx/j1vfZ
fjPWqvXkTQpdlohn496jPdfU/XUevbQH+2fA7emc4mbMbdvR5ifk2Q/54Sh+
Mwbuj0flPBHlgzizvr8X1HsD0G/APeW88B+GHCG3IP8MmwHIj0TFmJrrI85j
LugM72EM9EWf1wvCh/1B3tbdx+yjlvuQMTa98vy5onqW8+NiQXPnUfi7oySM
L5bE8dPhZn7LPsu4qsbztR714F0l4dXBrSgujTq36+DzjZwwZ/2JJ7lxS1F9
VY3i1QlzjHOK8+rLorhETs+bbyvOh3gQF3KV94z4LtacWHB/bJPurm5SH2w3
tz+D39+gH0fun0C+BvnrTPges3/6G7X/Ifcwa1aBrzXYj3jlbCLuGxPVlfWm
73XPsUqiGrP/OXtoTy59l4lbnxZlyzrSnrFM24Yzjhj/lageh9zHd5bk57Ln
POOqmRtlzxneybvZ1+Rp5nk4HMX7wShdxbHthc8HcHcjCkfmP2fOpOYnaxo9
K67mlT9zZyyMmzF/77yYX6/j2+pe2N8tfH4pSb6E9fNU79nfBfGR8nHnQTyZ
F9eNltueLQ338A3jfNRcn/Ma8zfrOWf+cM4NOH7yhDOCmD7k2cUZxv1e2xCb
zHI1E5fIqT7z66B9U6b/C36L+8vKk3GzJveXFOdYJk71+ix/U39fSW9Bp2+7
1LsN9/g2vyl/AJ8tBb0N70b1JnNecW+yR9mr32aqC3lai4r11qh+4ln213RJ
8hbPjTXPDr5F5EDnfU8lkxec6cRnLVGPTvld5rmrPss6D7lH6GfGuZCj5Mc3
mXhMPg9F9ULTbzrv2eN3kP8zeJ7/L17vEZfIKXKQnP6vtsPmNt+yRf8nqfk/
TMMzcNFzkP8F+s1/1uWI7ZtRvOUMaLt/yPdfo3qYc+KSufpVprnXmWH/m6ct
c5Xzgb9ZT54lJ6kjJnXPkB7HQNyumHucm+z/Vfdjahv2A3thIUo3aD+s46zn
52b7mfe7xBw4o/8FGT9q7g==
            "]], PolygonBox[CompressedData["
1:eJwlk81vTVEUxfdrS27d0t6jNacRwV+AUGbaDtDSvqdUVJihQzMxobSViI8i
DAwwR4KWaiQEbfkTfIXBQ9KKAZWI38oarLy19zpnv3PWWXflwPGuYzURsQHU
gTUNEX9p/KiN+JoiZouI7/AFeqvRuuntzyIOgJo84jG4Ch8D59B+gqI+YpxZ
v/h9hH4F7TIYQjuTzBvBcvgwuCYOWuA94CD8EKhj7w7qCrwPBHVXMp+g/M38
LcmzRqk3w9cuibgAb1FP56E+X4oY5PyXGiP+sOcJ+gB6L/rZ5LMXoBn+hTtO
ot+nvks9nZvfA3eoZ6gfwDfhySBrt9LryOyBvLidrJ3i/17nnqnZ7eA9Z6kU
9vYf+nr2b0PvRLsOxln/EJzmvMOs+YxeXhoxDz/J+ldok+AofCO9Z00Rb3L/
1wj1S+obyZoedQqtm/1V6m/Mb2XezuS3kae74LeS955g/QvWf6KuZvZwFev3
UR/O7Elf8hvprXTnD9xnRbLXusNH6ue5vVZmbqItoj6SeUaFegH/n4Z7e5Pv
pLspM8pOtd5vuZjfuWTP5b08l/dvC2dRd3oHb0v2VhlT1tY12Ft5Vi7sqbxV
xkaSZ2q2PJbX85x5tOTMXyQfU032Tr05tD3JWVdmlJ32ZfZKmdoOLzGjP/M3
oW9DmVQ21dud7Lm8l6fydqbw2+oNp+G1ubOozCv75eTsyyN59R+ugYRP
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0TkznlEYxvHbkkIsiS29mFhifARbZWkSL/K+lsoHwCdQir2hE4UCH8FS
IJkwBFlmktquUGHMWNL4GcV//ue6zj3nPGeekt7+RF9aRAyitiCiEJ8xjOXs
iDo+eBlRxCMYxYq+ng/1xTyGcazqG/hI/4YnUGk9+dTlRLzFsXUpt+VGJPAr
P+InTvXv9PvWX50zK3/j3/IfTL+KuHZWY15EE5rxT/8Xm+bmzN/b33od8UPe
5B2e11frB5y9Jy/Iu7zIZ7r/WRHd1j3oxAt7XfygT3Gm/IkzOPl0h76D0+U2
TuN2vtMnOOQP3IqPuNWfuueGr+Vt+ynvTiLl29/bS3IVd/J3++fmyuUzLuMp
b7/yhhb5kje8bd3cjLzBX7jf3Lp+TV7jXWft4Vh/giX9pbkL31HhjCHrmoLn
f/4INrBOZA==
            "]]},
          "0.525`"],
         Annotation[#, 0.525, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0ltMz3EYx/HHTYbqX7lwunLlwibVmrlwusG0Gc2dmWHdCuV8pi5cScrG
bHLuxChcVUgbOQvhoi7YkBzWzFhDXr+5eO/zPJ/P8z39/v+pa0uL14+KiDb0
jY2YkxnRkhVxMzviW07ELVpJK3BbvSEVkT0+ot9srtlN+kzZRjowJqKMliNP
toWmZJvpoGwr3YYC2Q6aJdtOP8t20l0olO1JzpDtpl9ke+k+zJIdoDmy/fSr
7CCtwGzZW3eqVHe552EzVbijHqKd9J18rrlW77uGG7iOZRkR1WaO4ghqUYNB
8/PMz8cC9CTfxJm1zjiGJbwiTDc3xO+Vn+QP65fzi9Fkn2bUoxENeJ8e8dt8
v/nL5kePi7hE02iv+7xK7meuFT28DN/7JS+dvqAl9m0234Tn+nznTUlm1etk
jfwGPNPnySbLnqrXyOr5F/FEP1M2SfZYvVp2gX8ej/S5somyh+pVsnP8s3ig
nyGbILuvXikb0Z9JznPXu7xu3MNffh3/Dz1N+7z3h3ev8L2/0zf61/horw/4
ZW4p/UnTvLXLHnX6U8nvYn01qtDOb8Nx/gkc4n2yZrF6gC6ki9Bu745kf2dN
41+x5ipKU///6/8AF/t5vg==
            "]]},
          "0.49000000000000005`"],
         Annotation[#, 0.49000000000000005`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl08lvzVEYh/FXbFCdTUuSEgQRRMSSdiOtJrQSiYiUCJs2/gYLIsFSqdY8
lY7aovdKzK1E6XBrqKlRtMRCSLojPr9YPPme9zn3vGf45S6oqtlSPSUiMijJ
jVieE3EqLyK7IGLhjIg64+tZEZvMDapXmD/N1eMGX84P8Sv5Bu4MmvgKPsOv
4s9y59DMb+eH+TX8ee4CWvid/Et+LX+Ru4RWfjf/il/HX+auoI2/KveZyyuM
2C/Xm7/G/XbuRX7faPxhZsQ79XtU5EfMV5dnR2xGj/oJHqOIH/OblL63rUvL
W7LX3BG9f+i3Qf+NWGr8c3rECb4WpVwZlvG/+HquAVu5ClTirT5N+vfpm+W8
I+ppyR5cRnbKIdklV+tzwHmG1a+dYQRvMMH91X8oeVf0J98DA/iu3zf0Gc+z
bq8958pn6gn+qZyj3sPPlr3q8eTucpa6ii+Uj9Rf+fuyQL2Lz5f31F/4u8l7
J9+Kz5Vp9Wf+jsxR7+CzkzdUf+LH0GHciTbcRDv+uMe4+0wm9/EtBtFv3TZZ
iTbv8FzdKl/IdtmTzOu3xLpKuVjW6TXpvUrNl+Ghd3qABuNj5o7jKFJcN2r5
Q+rDKDEuxoT1U32TZvOd9miSXbJFVtvjoN90qLvtmUIaH/lRNPIDztvFjbpL
kV4nrSvO/f9f+gdyvYf0
            "]]},
          "0.45500000000000007`"],
         Annotation[#, 0.45500000000000007`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl1ElsTlEchvHTpoq2prLRUFoiIpbmWUuRUm2FUrOg6ISt2cKGNWEjwUaI
ooZWgyCpIDFE6IiWDoZqjSsWfjcWb5/zf5/znfvd+900bVN5fllMCCHen8PJ
IRyUysQQLg4MIXZwCB0JIWTqOvHIgBBuc9VcHNetW8T14DHuAXeP68X90mVz
v/EUV8udMZ+Ts/JXP8S+Vf1DKJT4QSH0lq/2tWKLvJNqe6skUV9kX7Pz30id
+bJzk3Cb/q3undSbW/AGd1O2c63mYc6Y4JrvrW/pa2QH98E8nJvItVnf0d+V
Yq7dnMpN4jqs70f3KCVcp3kEN5n7aF2rfyil3CfzSG4K99n6sf6JlHFfzGnc
VK7L+qn+mZRzX83p3DSu2/qV/rXs5HrMo7jp3DfrBvdZxw3FXfx33Q9pNNfr
U3C3/md0vz5XI188z67oGUs338S9xgr7E3C9PX1xLa6TCrkkzfavdFaBrJA/
vsNpn6nT55qXSk50Lf1J/Ut9lnm+zIvuS39U/1j/SE4487i06zOwDWO8Cxd8
n6uuf0CX18/viWlJfltslRZpsrfEWY1YitXOK8YG83jXqscd0W+vr5Kt0Tvi
c0U4jt+Cm6WzbwgbMZHbhGO5DbheOrg10TPh1uIYbjUWSjtXgH24lTg6eia4
XNq4fIznlmE6l4e58oFbgnFcDo7kFmO2vOcWYiy3CFO5BZglrVwGxnCZOIyb
i3Pkuvu7JrOtX7jvFO45zjJX6mdG75Z5Bj7Ffc7YL3vkvOe8F0fpr9p7Rcrs
azZPd84MOZT8/3/CPyB2nOg=
            "]]},
          "0.42000000000000004`"],
         Annotation[#, 0.42000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl09dvT2Ecx/EHoUOt9qpKh5ESRBEi6oKQuFLjD6DDatHaozeitHZbalSC
2LWiLa3RNjEv6EaiSPwBVhOuJBL1+sXFO5/n+/6c85wn53d+ablFywv7hRB+
Yk18CLlYhTzsiQuhMSaEnSNC2IF13Fos4BeimMs3F2C39Te5S+6NDWGGdYn8
PjSEZYNDGDU8hD7uODdLnpC/dOt1c3UhIYTz3GzdBZllnyVYjLOYPMTerq1E
rGsr5BQu2Tn+uCdFVnGLuBrXd8or5hJ7N9sv0bP2We/HVT5pWAgtfBJfypXh
Gp/MP+FH8we4gziMQ0jRpSJFd8Q8IPJc1x61TucnIE13zDxQl6ort57KZ2Cs
rsIcpUvTVVpP46djvO64OUY3RnfCugozda3mdP1J8ylcd845fBs/kT/NnUEN
n8m385P4aq7Yfjf4Lu+jG5+9pw79Za5X98nvm2y+aP5tviSbzN2uK7deaY8c
ZCPanlGo0cd5TrX3HMx99v2Lc3w0XxH5Fsxf8QWV/Ej3JyERSyPfA58lP0bO
gFL3lKHFeQbpGuR28zZ80Pcgw/X9dfHONo9PkPNlkf3fO0eh7JFbuXdyo/mN
3CDfyi18lywwd8h82Sk38/c8r826Ha/Qiteo51/Il3iK53iGOr5ZtuARmvAY
tfwD+RD30YgG3OU3eU69dZ7n1spcWSeL+Dsyx3xLZsvbkfPzN+VK8w25QvZG
vhXv4YccF/nveAeZWB3////7D+shhYw=
            "]]},
          "0.385`"],
         Annotation[#, 0.385, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl08tvjFEcxvFTnZF0akarooOWiLilGpdOUUkbJFYqLn+ARdUloRVLQrUp
KQsRRKzoxgI1JXYWbbSoy0qjI1GkiQ0bl2q0qdD6vLF48pzne37nd37vO+8s
aTi2tzkvhJCj7lQIQ8kQfswO4VsxkAhh1HpFYQgP7TXKb+3/xMZoJX5iVggH
8CleS3W0Cu9VfxAfVv9L7ThV4AP4IfwjPon9ptX4KecO4wHfYr2VKvHX6o/g
I/hftVO0Bp/mQ/Zy9MleKHKPmWNq86xbnM/NMS9tw+fKMXX5dFZup6vW9XqV
ql/P03wXv4532B/V+5J+n+UvlLR+VaCPu+P0J5qJivFBPIEVUsy5OM2kW/r0
qLmo7z79H6lt4Tfl0/xG9A7NWI43mbFTPoO3USt9wEb03qRvUFfD0/pu5Bvo
gf73KWP9Uo959l7wKrkbH3b+ubzTDAP8nZzFK+0/k0vUP+UV8j18GX8iF+H9
fKncheec65N36POYv5Hv4uX2e+Wk+h5eJt/G79B860m+gCfsp3kpvfc8g9Hv
w/uifnTNc6/ja2m/574sN/ArvJGf5Hv0Wujc7qgnL9Cr05013stmqlNXS8et
x903QWO0GFtER/GvcqrE982r5Qy1R98vj6nJuCefV/M43+6eGbxK7jDbebpA
rXgbLcfPyc1mynqeafpurmzq///pH/DOdHA=
            "]]},
          "0.35000000000000003`"],
         Annotation[#, 0.35000000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl001IlGEUBeBrkjU6ahmN/ejCKCEJo00aLYKIMmg1rdsElRGoLSJNK3DR
pqhNWVSrwqCWBU1q4kpaSATRz0yjggSFFRVhFGY/z0eLw7n3nPee+34vMw0H
O7MdJRExDk0VEafSEb9hAfohl4ooVkV8WR4xhfOVEW9wAR7yeul59fHyiJe8
Lrx0WUSLrDK8Fe+Rsxsq9Nv0KdyKy/EA/Srs19frs/hYjTNyRuXPyf4On2R/
hir6BP2OmRt2X4d79B5zjXgDFM3X8bO8+iQb9/E38wbVY/iy/pB9d+Wl5B9W
H4Gj0A6V1XZBmtehnze3ytlO9YjMNhl74bn6mqxX+AVMuluDuXVQbbYRL5hd
j6d4G3ET1PCa8R/eJjzNe20+n3yXvCKekF+gr7X3hL0rnFuZwOxJ/V+zdbxu
dQ9keDl9Lb9P3+0dbsrKyXkKz2Q+4h/gXaA/pt2ScRtq6e388/Qh+jCMwH3a
PufLZC+BeVopXgTb6YP81uTtzLUkb4fXOLMaBuBK8taQcW6XPVv4i/Vt+FLy
hjhj7qz9b/Vn8Ef373d22LfPqufUH/AM/z1+B0O8izIf4HP0nepmWadxb/L7
db9SWd/M/lJPOvPE3Dj8TO7P+8r7oS7wxuijyS59CW9H+v//4R9alW5z
            "]]},
          "0.31500000000000006`"],
         Annotation[#, 0.31500000000000006`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j9IlmEUBfDrFKZ9fp99KdZS0OLekrUFpZYlmhTV1BBommn2SeafIocU
xSzLrKUaJAIJMcMhXFqCpLWhKO0PuDREU4TU76HhcO4999zzPs/7vrvOdjZd
KIqI57C/JGJTNmIfzuL7pRHLxREzW9RwnL6TfoJ+EkZyER3lES304q0RN/V3
Nkf84J3CtfpKvkN4EnbT23kbZVzFDfgYHIVqsyY8SF9WD+Fm/VM5CzJm7b+m
n6e1wTN6SUaeugPu8b/im6PX87Wq22CaftG8rMydIGOnS/9HXhVvtzpHL4ec
2SX9htl2s570LtxvRsZbWS9oR9IZ1O3wgJ63t0jP2y3w96W7wSLfCrzje2l+
hjbKv0R7JP8xVNAL8nvhlPmI+Wk8S5+3V9DX63vx4XRmu7/hoXlNeg/0vbgV
76A34D36c/iJftwz3vh+lerbMAm3YJvsA2bX5NxVH+QfS7rdPAzQV/X9eN29
rvNO8PXpi+hX8Lh+KGXAN55f+Dv+ZP4Vf4Elz17FP83W8Aezz8kDg7QBGJZz
Wd5f3INv4H76x/Qt9O/tdONM+oZQCjXOW8dXC7ns///2H2wUXbM=
            "]]},
          "0.28`"],
         Annotation[#, 0.28, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0r1LlWEYx/GrQUzzpB7JzUEy3BzSMctOZnQUQ1E3s2zQCl+mFJwETwih
KAWiDg0qCIbai0Y4iJLpiQKH/hYTUewjDV9+L9f1PPfNw1PePdDafykipnD7
SkSiKKIEScwXRGznRcwlImb5TH5ELj9Gy+hrOqcfTEYMoMIzN3B8NeIEU8UR
Z/rCkohT+lBOo9Kzfc6qov20hnZ5zxNU8zexzLd7Vwd25VF7G7ov2JO/4yu/
4g61/Af6Tf7Bb9NVuYtfozvyPr9H1+Wn/Ed6y5163ecFjvjn9MDswN4n8zr+
M83KWf4nfvG/Me4+m/J7z/zxja7ZuyunsG6+JDfwPfx9uiiv8TP2D+0Xycf6
v4jCiHPfK6ufNH9srxPXzRqdM0TTtPTiPOzbWzDfutiXJ/DA/J3uLYrlermd
b0NSHnHeNH9P30pb8Ew/rH/Dp/SPaDNe6of04/wdfRNtREL/Sp/ha/WX5Rw5
XfD/3/kHyEdONw==
            "]]},
          "0.24500000000000002`"],
         Annotation[#, 0.24500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0s9L03Ecx/H3KsrpclMW1KHD6OK12I+DIEkFdRCyYNGxlHko5l/QpcLp
NBChQ6HROgVOoYyIoJj2C0Kv6kmifyCSeRAkekSHF8/3+/V6v9/7fGG52+PX
qomImKTBroiJVMR5TB2PeKZeTUbM4wJ18pJU64w4k4m4YS6HZaz2yvkt8/We
iP3uiBLvMe+Xnd+0S3OydTN96gX1PDXV99wYdqthvqgv0S2/2asvqBfV/fjA
3Fv1Q3yP72jTvQ94xK2PuCNbw0Pe0MIt+SfMyD/jD/l9t/LqO7y7NEYV2jb7
lb/h7d9wwux3fGX+NR12M+tNA+omf4kuqi9QRX3TN9TsvNSv0Bta5l/mX6FE
OuKp/Tb/Cf5xr8gv0EneWRyx/1w9iuf0j8xl9SfohVsN+uKdee8t0DS/TmX+
JTtzOPvve3kddg/cuK7/KZvBPX0d0/Jj8tNuXNW35VN4Sl/DLvlR+VDq/3/j
L6Q/SK8=
            "]]},
          "0.21000000000000002`"],
         Annotation[#, 0.21000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0s9L03Ecx/H3EKFNW8thiUawDmIkXTqkMNixgzcRnAukVruql+raIakg
OpRosOgHCSJC9A90saxb9Q9IRNolD4psTmzR40uHF8/P+/V+fT7v93esUJ0d
n0lFxH262hVxLhdRwaNsxGImYvd4xBL+Uc/y19RzWJJ7xV/pjnhxMuIt/y5/
gv+GX1RX9W7QqPMIrfdE/JbpkN/BTtzEabwolzKj5Zx3/476o/wGneDtyeXx
O972Vlr/Ht7EGmXoi+w3+krH1EX5ujefUynZh364P8bv0y/b9ZbsPG/S+Z1+
T94cOk2nqJeuJDmZVf1Fd5vYoH16Zte29x/xX6trcpfkH/OXzbiW/Kb861jA
p7ILlHceNvsCPVF3yF5Ovjkd8Z63Ld/2zi/8iz/xELewiS06oA/yn+Q/01k7
tJI52MAzeID9yc44gOvydbNfmvXQjlnnBzjkrSmZQSxjRX+Kzuf+/y/+AS2C
TNM=
            "]]},
          "0.17500000000000002`"],
         Annotation[#, 0.17500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j1r02EUxuGjdKm1educolCTonWopVFKtRRNQZAKgoN5KRIzSro0JQGt
NkVa2kkwbkppBUGQfgFnN3XQ0S+gppsvkDr0Kg4/7vPc5z7PyfMnZ2qLtxvH
IqKDC6mIPM7jHGrpiI+DEa+HI3bxbyjiLC+PHEZxTe463unP0SJ2TkS8PRmx
xzsu0zE3pX6YiJjVW1CX+GW0eVVaQVUvTTNY4z9FLhNxg3/PzBKaGHL3S72r
cr/17+jPqFv8R/ormFSv0XH6mH6V+4If+I6L/PtmJmidnqJP5FbRRgtJ3nO9
ffkuvYm++rNvkrTzj/Nf/PLm9/xv3vnG3DCv5/xJLqH+QLfoq6NvRIuoyV6i
l1HAgF0vvKmLZ+glI37irj3beiW6TJt6V9R1d03TEXuWeAd+Qx8Fmaz7TmOD
v4lbcg/k5+m6c1Zdtb9BK7Ripoyx1P//wCHKy0JB
            "]]},
          "0.14`"],
         Annotation[#, 0.14, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0bkvhHEQxvFRONcui44IViOiRyJRam2BuIJEoWCJOEInGkfviPtK/Dl0
rtLZ0AkaH1F888wzM8+8v+StH8tlp/IiYhrNyYjZRERTOuJcfYHL0ojr4og8
vVezFvpGi2kJivDOL6cilrCIGv62LKJV9pHW8av6T+rPCpnKiEI06I/wo3gx
e0ZvSUS/7/bQQ5kDlLrT4TtttB3luJJJ/72NJum4+ZHdY0zIn9FTnCBlPqQ3
iAF0ub2in6+/S9tk21HA7/Db2ELG+370vjGHJ9lHVNnddOPeex9wh1q7CzLz
mEU1f6PfZ++D36BrdJ2+0x/zBncakcE3P+P2F52ktUjY3ad76CyPGDarU2/I
d5vl1Fm6mfr/d7/jwjt9
            "]]},
          "0.10500000000000001`"],
         Annotation[#, 0.10500000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0Tkzg1EUh/ETjSERy4ylUaRCRPKiVAkVCkNlmDGTUmFJUtlKLV8CH0Rj
65TaNAmN0CgsP6N45rnnnv85780kV9lb201FRAVb3RGX2YhNvuLOTMRcf8SS
+rgnIlHXUMWRusCHPMUb/JyOmJXvUM/w40DEA1bMt3ojlvlD3XQ+sz8n35Z9
w1NXxAu/ou6+JldHxp40bpwXzZecExSRkp3m+HuX71/YeY5P2S87bnkcE9jX
Xzef56r6QH++z5nLnHdX1ftWT9r5w3m+d3+HVbMFdUk2QRHbMg0zGb26NzTR
wqj7E+84RVmv4fcu8JD5YQziXWaE27xjx5hvXGf//4NfDSYyqw==
            "]]},
          "0.07`"],
         Annotation[#, 0.07, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{4065, 4062, 2847, 4063, 4067, 4066, 2637, 3429, 4798, 
            4799, 4351, 3047, 3317, 3316, 3321, 3315, 2622, 3309, 3310, 3119, 
            4447, 4449, 4448, 3430, 2631, 3712, 3713, 4657, 4658, 4656, 4499, 
            4653, 4655, 4654, 3726, 3725, 2644, 3431, 4800, 4801, 4352, 3048, 
            3319, 3318, 2623, 3320, 2624, 3311, 3312, 3056, 3711, 4645, 2629, 
            3432, 2630, 4064, 4065}]},
          "0.035`"],
         Annotation[#, 0.035, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0fXVcVEH399Jd4hJ2K3a3ztjdjYGdqNjdYnd3YqOo2GKDiQEKiqKCCEiI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      "], {{
        {RGBColor[
         0.6585790000000005, 0.31609100000000045`, 0.20750700000000016`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1Ur0yQ2EQ3Vwx7kQmV26rMAoNQ0iBO2bQKCi9gJ8H4BHwADQew5ikk0mB
NDQyqTUIhTR+ZgRJQZwzZxU7337f7jl7dvcb3d5d3wnMbA3WBxsZNKukzO4j
s6282eqA2SbOd7yfIXEvZ9aCX4b/nTWbC81mYQ3clzOIgeMN7/vIu0mbHeQU
Y04bsWdgT3H/RE4tUC2+03/s1/02LV7iCsgLIGwDGhK8LYTifc9KD3XdRcJR
+1Qs/BHqPkXifMT56jzk6w1JA7VYXr2wp16fapZg5+C5Qq0LnJewa/g1nEve
Ywc8H7Bn+It4qwLzC/xJID5ykaftOV2cX1lhycF5sMfhlPDMeckKT528U+OP
c1pa/ZIz8RmwZpMz8zmyfuD5Ha/FnXRdA/VWnKvk3IVQsyeWuyaeuuZd20So
fOKoh9zkon7W5+44J3IxXk+Lq+r8Ncck/k/IydoNx3JORd81d8bdHeb0b9jj
TCwt1MQY3+ree9W5yVP0OHm4K/KWfV6cG2fB3Jrns6fxULHpWLqO8zL6k7H+
WuKa/7la3nvi/Y/F4lnJaBecF2fFufLvsd5DpFgzUqzkGrizivt/4biRSA==

            "]], PolygonBox[CompressedData["
1:eJwlkLsuhHEQxY/PbvwjH5/9l1QKDWFRSdSIQiN6l8Sl4hF4AY8i0VG5NDQ8
gAa7ChqXwqVi/U6mmOTMzJlzZmZ4Y295t5A0SNSIn1I6pvAC/gZv90mdbuk6
SRdZ2iT/Jb8iPyNf6ZWmU3DM3SL+wLeILdD7QuMIvWf0PsHjzAx1STPMNHNw
zL0hDvrRojabgjMJXqLfTOFp7/Mc3tbsDEgPlXQKt12XnsCHaNzVYifvZg97
uTYBbsFp1WPmHrzakAq0F3ukdfBljlv9A5GvNaLnm3zbHJqjKZ61Q/5axm3W
eAO3q9jFO3v3ffY5KWJmBO2pHLf6Rt/6XsavzfkAzzMzlmLHxyo87OWae//k
3D5h
            "]]}]}, 
        {RGBColor[0.7316835, 0.39154225, 0.235451], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1ljlsXGUUhf/xzHjGM2+2JzuhoXCBhAPYYyOKLICwWCIQDdAgkAIoLErB
YrtC7AUdoiJKCDU0CClS5Cgyxg5LQYyMSYpIiUQMoRk7C5gkECQI59O5Lp7u
nf/d/95zz13eDD/3ymMv96WUvtNT1HO+nNLdUo4VUnqxkVJT8olaSu9VUrqr
mtL2kmz17JfNYV08pec+6fOy+1bnh6R/obNlPZPSF3W+T36KerdRl1+d36Pz
ozrfqrN7pZelL/bZpiJ9JlMsYclqxlKo+P3WjvUtkl09Q9LHJNd0b7hiPzs7
1ivyMZLLTphvlSzo90n5GNX7FclL/cZ2QfJiv/GT09/9xgb2vGJbuADHbMHY
iYuvhbjPXfxdDp+PCndV8tdWStPKvVEiGd9Bb+ndQfn5RM/XBfMFb8elb5N9
Jvm4fLwufVD2t+vuncK9IZuzdZ8N6WlHXDBSJ95TD85/qrou/CYfYhMXvrfo
brFoH9zBHuwfR73g42DU9CVhuCr4DwjPbcKQ6c5/wjBetd6QzQuyuSabZ/T+
FnG9pPO3myk93zAP8EGv7I+6k/MB6XMF4xiMXNaV5/3yc2ogpc9l/1Fwfimz
flHydMk1zaIvyfsDxdrVb0zgWW0Z84N6f6LknqaGw8L9peT7TcvVsvF1M/fi
G8K7r+pzcFxRLj3pj9Rcm5399v9u1ToY4Hit7F7gwR7fxNtdMS+96Gf6eil3
bX6QfK1uX1PS6+LuOj4ln1a8deH5TDh7JfPEXExGPm9x3nIsMMIJ+Kjv9/q9
Ip8nJPfI/z86G20rR/3eofMJydHcszwm+a9szuj+dWZFdiPCMNZ2T6FzvyH9
XHAy2TbXU3VzsCs4ASNYmcGZuu9cyLwv8EH+1PDhimuK3B06cz9adY7Mx9mY
EepHHenBvQPmh/2xoxT7SO8eqpljehDOerFDkGuBB9/rcQ5Ph2MWbhbOI5Jr
mc/hkZpOdDw3fZnzohe5+03JOfAbjGcC56dNx3qq5rnFx6sNzxKzDT/Yng57
9spIzO3vmeficua6sXfYnewbdh78UHP6Caw32t45C7l9gxv/X+XuZWYOnpaq
5mo6dy2oyXzMHrO2mHt22PGp4z1yPPdMLwdm8FG7ZnB2NHrsSub9cDVzz9Pv
xJ7KvF+mM8eZi1j0Fvl/KJ7Otzxf51rmcTZ6+7eGY9Gz9BpzSL+hdwfcB4fi
m0PO7M4DsT83MmMYjnrCFT1RjB1Tjn2L7XzsHmLPxT4/Gbldy7wD/woJv5vf
iIXIkXlfCD/MfS9mfzXmHszsR3icarieK+FnOSTc8j2g18c7/i4yAzdF380H
b+zRY4GNvc+ufrLhuSHH2dhJ8EHPMSNwRb2z2CczufcpuP5QzD/r7quhjvcB
c8Q8cQ+uucs3kNjE5VsxGN+Lsdgbd+S+cyR4nojdMp6bW+YEfp/tGOuejm25
w8wSc3vom98A8qX+nNNvP7eM55eWe+fHqucHPsBGP9Brxfj/QL34/7H5LeU/
Cr1CXvDCvXeaxsvO2NZxPW7U7bsb/uF0Meb9zaZxsyfgcm9w2w1/YGDO6CF+
/w+SUz2G
            "]], PolygonBox[CompressedData["
1:eJwllLlP1FEQx2fZ5cjydtf9RcDOUBgFORYNhaAgiIlBC2JnNPEoKTwWK28s
7DwSo/Fq1X/A0igGTRSMZ6eJoJAoyykIionBzzdTTDLfN+/NfOd61UeO7T1a
ZGY9SAKpjcyaysy2lph1rjJbD24AxzH2pszak2bP0e/EzZaC2Uvsb7F/4uxf
udkfzu7G/Y7uzukMXzc5m8P2AzwLnkEsa5Yv91itSAfxKjgbgFCs1KwK/Tv2
aWxTyAr2y2mzdMxsC/6voO8nRgF9ArkPbiRGN29vEG8GvZ+zFmxLhLuAfijr
+i7uHEavh38z/C+Cr4MHwcPgZeKVgxuQD/CpwJ5D7yZeMfGrwa3gOiRC7yRe
D7ZvGbMy7KPFZmPoa+Hfi78R8BfwGWpYlXAf8lXgrICtg/d7ks5BXFp4k4PL
Ts4W4TvMm3Xg0uCxlfMD5UtNakqcg7g0Zp1rG/66kl4j1Uo5NqiX3P8b8zc5
9O3ceZHwnql317j/GZxC+uDahn0Q/Rb2BewnI69Nipr0oVdmvVfbsO/g7u/g
s6Eeq9d6o7f3kOXgNVKt3sHnVeQ5K/f34GHwVHDfXeQ8iV5AHsG3GTyBvg9O
89yvgFM9eDb4bCkH5SIO4jJGTcepbR/29rjXPIf+kPwmEz7Tmu3p4LOiHJXr
68i5fITDJnJrynotNAMx7uaJHxK+I9qV0+DKhMfIY38W+WxrRgfQ12R9dzTT
C9Tjatp3RTVWrdUj9Uozp9kTZ3Efwt6J7Wnks6+ZeoIekl4L9XA85TVQLVYj
p8Dn0v5WNTuL3hT5LGkHtAtfMz6LmqnRjPdEvbmN/EKvC+5LOSm33cSbKPYZ
1axewsfjmJ9NgDfgP1fmf4D+gjzSjx64U5vyndRuquYH8DWS8d3QTmg3FoPH
1o5r138G771izAf/E/Q3yOcJ7CvImyLvwUZqWxS8V5qJzeChyGdLd2rBB7O+
6/oT9DecT/su6U/S33Q85VyVQw1v/wNvOq+l
            "]]}]}, 
        {RGBColor[
         0.7799537083333333, 0.46734475000000003`, 0.25285795833333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1Vk1onFUUffPNZGby/c6bsU0hodRWUNOaRi06SRFjqyDqQrsQpVVixYWC
VjP+FKsuighaQaGFqPhbbcVtRRcB40IpJqmLdDMzrYZakmqq0NQsihYZz8m5
XTze/d67791z/877rt69Z8czgXNuHiOP8V7q3I8558YxH8Y4i800dm6g27nZ
gnOT2FuG4hmsH8ZoVJ3bX3buecxtfPdhv4axiDMHoXcecwvrzUDrN8Qy9HDi
XL93rlJybhpnE6z/Bp0nsPYd5kmMPPT3Qa8DeRP2b8JeD/RPmM2RonO3Y2wP
nVvCtauxXwTGCOMEzrShsxq27sLex/BlDmsx7pnC2gzkEONU5twqfNexHhSE
gfYfg40/ujAy3Ve2O6+DveOYt+aEnesh5OuhH0J+Fnj3YERY2wFcf+LeQ7j/
r9hsQmcqUGy2YxzLaZ8Yvob8bSCfKF+OZGu9V7yJh/E/bjhodxznFrA+AXk+
UxwYj17kqw+jiPUm4tAqKw70j9/0sWMy12chLzGWkM9nOncv7tkQqR4ux7qj
bfqn7E7ex7qgPWK7zSvmQ7Ew9xqG/qIwM25TVWG/P5SvI+bvL7A7B19+xfwT
dKbpJ+aZqu64D/qnsfcN5LXANVWQTJ8XM+F4A3neXZA92upgfhzf3+OuZZwJ
kLM1wNhIFfterL2eKn7nMuWbcf49E3b6QL+OpKrtnaHiwVq+BXYfxPcC7v/E
9rvyWn8qkXwtsNdxTymv2D4UKu9L0H85ld97U+WikFdeBmPJDcw7E/XB3aF6
g/H+FPq7bJ371B3Jq2dYPznguejUn87qv5EIw7u0m2j9Si/SNnXYA6zDBfj+
Zqr4vQW726y/WF/3hLL1SqIcM9fDsXxi3HlmPpEcQ/dcovgvJMoBZcZnHb4n
ceYA7LxouWBO9lpM+iL1K7mGfjDPo3nh6E/Uw2NV1QRrgzW71QsbMY7F8ov8
8VWs2J9EHqJAZ9n7a7G3BetRqHz2WU7vDBW/zV56gwXpjRs3sifYx6xP9nJG
DstL/iiR/oeY76jI3hj0/4nETU8nyhPtMX88w7PkiyPYq0PnaKI+oL/0+7NU
3PRkop5h72wCtktF5Zo5b2fKAeuLnE191tKjkeLMePM8179I1XOHjHN8rH4+
WVX+ySnsh79jyRcxb0yEs4H7/o0Vpxcw57x4Y9HsDBcVM/L0mpJy1wMdB3mV
V0+wDnj+rHEt43AhFa+R88iplOnn26ns0j776NZuxb1ofMy8MOdtezNaBeWG
XHupqnerXJPuz6ZPLKOGg/zD+DHf7FXi+xI2ryoptuRF9g1n1lCtJH/5vS5S
nMgf5B7amjC+7ZhvH6R6+4a8eJp6E8YfTfOdPN1r7yv9q9sbsa0izP3ANeiF
acBqkv6xZl5NxYOvYd5vtrpixaJtdcZ6b1lMcuxZ3HMj7tkVqubJbTNWy7xz
BUO3/GV/zxk/kDsYi3cwf27/BvxHeCDUOb575MJlO3M0FYYSbP4XKW/kdfrH
nlmp/UD2KNfNf9rl29K094W1RB5mn9PX013iizn7ByG2Ya//jGKst4F98xLx
1sTf6+0da1lMhszHaePdScsX14aMr7eU9RbQ9oFQ3EZefC5SX7O/y171c8Fs
Eh+x8Z1hnbHGWGt8h67IXCeP/VBV3ZFvmLOm1Uu39Xbo1VOh5eUa5h5nN3jZ
o919qfLJ2pi1fzXm5ZFEtRNZzbMvyUsrfFbRWzxQUa/xP4b9EXnhIS7WPu/k
N2PHGI5WlVvG5YzFmvF8P5Wd0GzxbM3wbMSdHnIn0pke44SV/6aS+vxmL64I
YvEa+35zRXk+aP9IxOgNJ/uBvo3Bx/8Br0NPgg==
            "]], PolygonBox[CompressedData["
1:eJwllElsjVEUx+/3XofX9w2v36PVRIlpQQ0tGqGNaNhIrFRCUFTtJIYOSEyL
Liy0iQUJEvMYW8LCojYiadWiLHSgCaG0JKqVNCrU7+S/OMk59/7P/5x7hju3
4VDtwYRzrh7JQXaEzo0nnfuMsTXt3O+sc2sKnOsC9NfnnPt93E3lOTc9xs44
VwT+qefcHO6LOHP5ziWQcezrkbgG8b+G3hwQB/wUdhN6AikBOwNZge9rYm2A
YhR+D3sRkuFuNRx3iX0E/CqnHIawA3JsQN8AZwt3zcTsSsrHfId9cU3DXor9
i/eUEqMHn2FyP01OneijcK6H602B3nMB+QZfLWe+J852sP/g6yb3GL7F8E35
0guRMux5yAvu09gL0OfH0lPEmATbQ/zelHP9SAz/RviT8L/FpxX+5eCLwfdY
U7hvwaeG/FvBN+N7A8wH7hLw3UTvzqp2eXC8RK/Cp5hc+8AXBnqzvd0DP+Kr
Rlar88gw+p1IXB/hvI0+AOZWQj1Zie/CrHqfBrMIvaaQGOTTgf9usGti5d6L
VKFv4z2VKc2QzdLrrN5qOYfEO8lZTVIzUIGdj/QldFaN/65QuVhN6tBnEWMg
Vz06RX7fA/XGamK1aYK/E9vHpxF7JvLQ0xv76O+ZSL3+DMdc7o5hP/aEOYo+
Gglbjd1G7st430K4y5A9xu+L+xWynrvUNDDMSAf4fPQlgWbZwXE8VM+sd/nY
zdg74Sz19MZ7xCqF75GnGesnvz/gn3ua6Un0gBqsI/ZPbB/9J2cXk8LbbHZl
NWtpfDrR78OZm1SMOmKVx/KdDqbCZg+ZgO8J8VPoZ9N6q83oD3zbsevxH6Q+
78inJNbuPuN+jFyXxeKymfRsHrOaRcvRcg0C7bbN3NpYPuZrOe3n/U2hamc7
Y7tzL9Qu244/wHck0Cxaj63XX8jha65myGbpXKRa2h9kf9GmtGbddth2eSij
v8d6MoFdn1VvjGNvVj233lsNx4h1gPh5xK8k/uxQO2G7YTUqIP8rnFXkaMZt
1v20sHZ2NdSfZ3+f1cxqVxzr77A/bwb6+4xqaTM2gL4FTG+OZrQM/+2hZsV2
zHatvFC9tJmrQL8caZdsJi6hN4L3c5Tzb/AnIvXSZuh4pD/F/hbDGNZ23nbf
/hj7aw6H2l3LwXJpi7S79qdtTmvGbdbtD/0E9j9od74T
            "]]}]}, 
        {RGBColor[0.8275949166666667, 0.5503622083333334, 0.2697084166666667],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVltsVUUUHW5ve+6958xp59YoRvpAS+uDfhgjaGmJRko1CEQSNSktIOHD
BB8xUpD6phoN5cdEjCbWV1Gin/6CiSla/LFE0CZgm0JSWgs18moJrR+u1bUT
P072PjN79t6zZu09s3T7i5teyDjnruArwXcs59w1KP0YXJJ1bjG+PP77vHN3
QsYF5zoS6ZshH8N/dpFz2zA/Uu5cM/QDGFuD+Yul8If/uQrnboVcAfu6AH+R
c7dD3oid+xlxXsLaPOL8Av04vvdS537A+hqMD+ad2wP7Xtg/i7HVZc4lsFmH
sXroZRi7Bv8/Ie+jRedmMDaMse9hcx/ibYDdjqA9cW+HMN4YND+F+O8j1inE
3g/Zi7yXIudL0K9EsicOFZiPsX4x9nAdMSZgM4G9Nuakc//ziDuH7wjsN8P/
INbshZ/pcuFwEXI57CfNfjQj/WboY7CdNqwCch7H3G+IszKr/RGTFPkkkTAa
zmgN7c9mpRehL0Lch6CfBGYroVfB/gHIN4FjCj+/w+fBVOs+gDyAbxj2mwo6
Y297vIp1lzPCaiPnMPacFzbEimd5KSNMboHehHiJ6cydfqqhD8D2R3wTTuc7
bGc8Aj+jpRrnusqs/I0b1syB++Ya7r02KC7Pas44cwfG7qkQB+4mvxL5eAt5
rq0QT1ohv/biy13EBv834PtTL87RD/0xFv1wbq9XPq9Aro+EG/OZKRGHiEmF
nVET5HL4bMDaRsitJeI9a+D+RPXTAz/NwOcdw3QO432wmYf8Na8zPuQ1352X
DfHsNkyJZd7wfN2rHt/w4ifPifmQ+/wnV6sxdxT2z3v5oF/6eTzSeREj8mKg
RDxqgxzLyD+5TI6Sn3PgyiqsP4GvFhiNY+48ODyZVX48a/pvspxp22x6P87p
L+4L8hxkFcanM4pJnVz1QfUyjTi7UvFkHhjWILfq/P/rqs2etcSa6gzKk7V3
Av+7U/FsD2Q7uNqKGLuB7cepauMTyGcQYyfst0FewHcV+hSkT8S3k0VxstXO
jufJ/kY+kAO0Jw8eQX4tmFsD+XRBtTsJTJ6A/gf89CJWT6q83oVs8upFr6XC
dafV/2f4H4fN55DFIPsew4o4HbE62Ghn1uHFv06vvTHPLtjvi+Wfcf4st7qC
XA2fy7B2pqiaZ+6nILfnlQfxIy+Gc+JGLqhvFiBrMTeUU81/m6jnfgP/XxWk
f4exbsQ+jvxeTcVlcp49Jcqqb7Oujhknyc+6os6X55wan1lTxKAuEvdmy+Rz
Cj2hJWg8ScRR8oYcIPfbbD3vBsbqBAZxon7aB/9bYp0ba509dNzqNTHuk7dc
xzuIeS7sNdJ+Wd9DWeHPc6JP1gLnF9ZA7/IaZ8z6SDizfog19SeB07+x+tay
IL6k1rd5nhN2l/Cf/Zx2XM+19Mt+wLuNPYl3Qp9he7lMvZ331sMF4bQFuTQF
1cyDQbVCnVhxH9WR9kKcGYN8zRqmHwGrFUE6xy7E8s27kZxiPP43ROIez5Hx
GLc9qB+Qt1XwuRb/98KuFXJfqtiPFvQmIH67vPJgvffbfkctnx1e90BzQb2A
NkPWL+btPr0pqC7Pw7YjKGYn7N+2Xs2e/XdRnD4YxBfmQx95u+u5P/KmzXrp
bBA/rwfdbTzbDfD5YZAf+iMOrAvuecKL513AKqpULeUq9b5gbyW3eKcN2H3H
dbO2lj2SfZO9kXkz/xDU28lP1kJsPZo65XrTWetbrS+x36+yHstaGbR64Vry
itzm/uqNk09Zj2pH7i0F5UW8mUuD1SbfavRNjMmXc8Z/9u9J83kGPeUM9rYk
Fr9qjWN8l/GMiDPr+3Sp3gbs2zwDjv+Tqqfstx6ZtzfN6XLZ3xZrH/RfZW8h
crJo9chc+u3+5j3+cqyaWqifjHI5a++fkVi2h70wYv7cY79XnbEu2fPIGfaD
hqAarIf8MhWGX6S6P9nL2B/4ZuWeaqy+quxu4rmM2BuG+BJn3gljVm/kGN8s
3Du59R+5HX2Y
            "]], PolygonBox[CompressedData["
1:eJwtlW1o1mUUxu+559n2/J/n/3+ee0Il6pw6N0n9YFG+5KzIWZEpCUW5rZdV
UET6wZajMsuMyPUlyN5oZs6KghD8bCBa2pcmKA20jQrmpjXQ8g23L/0urn04
cM59zn3d5z73dc49t2vLxs3TQgg7kBxSUwqhsTaEOcjKGMKiNIRfCBjE+UEW
Qjv+hdUhtNSEsLgSworo2L/wf46/DxkmfgFrq/GtSkIYBfcI/qb6ENZprRDC
XcgE9qxiCGfzIRzH38Pef8oI9hrOeIK9zxG/HqxLYM7g7AdYGyD2Cv52cltD
Dq3kUsL/A3YDeMPsH0J+B2s5e2ZX+Yyz2HuJGSd2KZhrwe4k/kewasHcjK+7
5LP7kImSc5D9FLIPez57fmZ/gf1N6MXE9TiMNLA/I6YF3xh4+7nPAdaWoZ9g
Tz/61qJzVU1V20akhr03yPFJfJPIQB3r5HuR/RlnTHK/bWAep2Y9xE8Hb5CY
Mme9lbo2WnsbfR97RtE3EP88e19k7eYqr32Fbxpr/4I3yJk7lQsYTcSO4N+b
+Q31lg2s5fHtxj6NXQBjA3ftxf4t55yV+8bE3CggW7DL2JfZ+x9yjbM6iq6N
atQB3pvE3ELsLOQO7EvgzeWuM8B/PPGZOltvvBNfJ/FXq11T1babtbZqc6qV
+FNwqELsCDWI+Huja6U31lufxp8Rf5l6/Y3eQ8z91c5hO/67iW+u9Zp8zcQs
ITZHPg+Cvz7x3cWR9zi7bnoIXbzDKDlfJ/ZbMPo5a4KapmCtLDmXBvasQB8u
m4ursIfQr0fX5ifOuAJ3PwZzkPhj+Pegt1TMhWbwFqG/ztoJcr2GfZFa3lqx
7yEwusDqYu0ouc3GXoa9PFoX5p3o86K5Kk6JW0+T80voi5F52J3Rvace6UAf
KPgu4py493Lq9xPnbxD/SuraqMe70dvIZzWxLxCzn1rNJOZM3v2+ldxPgXdP
zv7vSr6D7nIVqYvmjLgjTj2SuIfVH8JcC/b7U/wTR3oT31l3V0/9CvY7qblU
AH8p+G3Rva2aqDa3sfYw9jrk2eieUe/swv4oukfUK+JQqvfHLolryEL0C/Xm
jjCEpTX5NHPuI78F0b2tPS3oh+v9tuLEEOfPiea27tCI/k3qWuiOX6d+A72F
OFULt87DkbG83+gZsM5hj+T9PpplJ6dmp3pMvbaL+pzMOaYRrDcy9/YF+uPe
xDVRbdQDOzhvG/6jOc9Izcox8G+q8pk6WzNVs1U914H+aOJZrh5Rr3yYmaua
0ePEf4L9B3h/Ip+izwdzPO81+TZF5yKOtaOfS90Lmqmj6Ek0Fw5ppqIfTM0X
zSjNqiUV/zXqCfWG3lBvqT/hdu72ZebZpTs8lnjmavaeR/oz/yk6Wz30mmZj
2b2rmql2mjl6H3H2DL7PMt9Ff6D+wsmS/wLdSXebrJjb2jOBvjvxrNb7iqt7
ormlP05/nXpA8ar5q5n/GP016inNxi9S303zsS/1H6O/RjNuE9gHMt9FM1yz
PEZzQfnXo39fMp9UM9VOM0ezRzO9VbUvurbyV2G/O8UXzTjNuv8B31UDmQ==

            "]]}]}, 
        {RGBColor[0.8687117500000001, 0.6367591250000001, 0.28365825], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VltsVFUUPe0UOnPv3Dtz7oBKaYQWpUVQI40FBW2qtMaoGI0m9oGJBfzw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            "]], PolygonBox[CompressedData["
1:eJwtlVtsVFUUhve0A3M5c07nzOClQISCFhHUxMZWEW1QOsYYMRqN2FKCpfhg
jPpAVRKrKCGiJibKRRO8JEJC5MGQ8IpRBNEHuUTrkxUTAQ1SY0ygHduB+P35
+7CTtfZa69//Xpe92waef/S5phDCMCvLurkcwoKZISzLhLAUuTsOYRbyZHMI
A8hT7J3H/jlBG5MQ1pdCmIv8M/Y7sZ8ohNAFzlQ+hLFKCBNpCGfxr7E3jvw3
ew1sZ4jZgb6WNU5shnULWCewj2IbwecU8iXWfDDPQO4efBtRCHEuhE70PZzX
TEwr+iziu5A/ZdUz5v9W0RzE5S78Y+IXEHMY369ZT4H1H/dpNPs+Z9G3FR27
EM43YrumGsJ2zn8Gn6uR18bm+z14K/Bdh15HP4X+APo8zsjBp8peJ1weA2MV
WA+BuQf7d/A5Dp+jnHcdvicrvmse/zz+7ezdS64iMBYhb0vsK8z56Ovg+FWz
76C7HCL+3Ezn+CJnPcF6BHkFfA6Ia9l3+5O9OvIX7HVnzWkzWO+BP4p+mrUT
eTf2W7POoXL5E/in4fcbawS5P7LtCJjz8I3wWQi3hJgh9F449uScI+XqZMG1
72RvkvhNiWstnz58l6smyL8TvxvbkYJzpxwdqziH0tVzk/DfP91vyudn5LPK
GSlyB/5L8R8ErwJWkZgOfN9Bvy3rnjwG9hBnHEbfD8aL2JdUHKscvI9tkL1f
mtyDG5Bfjt2rLeBtil0j1UqcxX0xnBahT8Chj9x8U/EsHCTmAvoOMH/NmqO4
bmDvCvJ68SP248S9rRwqlx9wp5XYC8Q3sH2UODeaQc3ivti9rJqPgrUajH/w
3cIdhjj7y4pnQfc7h32g5FwpZ5rVG1L3lmZIs/Qv61CTe7iK7Y/IsZqJK2A/
mHr2dca1xGeVf2LnaAaxvQ2/kax7VL06Fvnuqv+M1DkW3mw49BadY+VaM6vZ
/ZC9noxzchlbPTLWDHzaiO8reR7Vc2uQX4icm6fB74bf3thvQQf1PU59X1U/
YLsK/2HklWX3u2bqPuSbyvbVG7cE+cnIsy69veyZ0exo5ivM+2DsXKhn7obr
Hanv3gC/C3lj7N5X/vQW9KS2qedqqd9Izd9i6nM9tekpux7iVENeFjtfqs8b
cNmSuB6X4VMhPk0t18DvL3oGNYutxL9G7ETZs60Z0eycr7j3NbN/IX/L+iFv
zBawHi86N3pT9bb2s1fLeSY1m+px9fps8F9HfjZ2LVTjh4ndHNumGWulHveX
/TYm4A/Bf25qf70PE7pPbK6qye34r2ZvOO+Z6UXfV3It34XDJ+qX6fdUM1jA
toozf8waU1x2JX6r1IPqxZdKzo3ueJT7vJL4bVZOldsLLe499dxYi3Mof915
DedV0S/mvCcsvWnirjPfTMxJ3FQvvZ1TiWddM7qL2PHI/noz5+DbFvtv0cxv
x3c8dm7U45eQlxfdC+op9Vb79H+rnCg3men3UZzq4G1N/LeofuqNvSW/HfoD
9BfsTP226k/V37o18lugP0B/wf8FIgIQ
            "]]}]}, 
        {RGBColor[
         0.9016150416666667, 0.7067008333333333, 0.29478933333333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtVm1olWUYfo7n7D077/u823ve2QfaXCs1Y3O13Jwjy4bFCitqR1L7kDY/
oKbWH3USQZS6HAmxvnMaVs6gGoURERgyvyKiomWNCVGREa0/Ws2JNbourvvH
w3Of+72/7+u+n1Pb9VjHpmnOuVM4WZzKonP/Bs4dT51Lq5ybhY8fxM71F5w7
gHN3xrkWfKsvc+6l0LnZkG0AfQN091Q4Nwb5xbQB+jrwX4FMd1b61H00J13K
fw9eB+7D3rmRcue24fe3uJdCZjFOO76dhm5PQXZ5bzP6CcjVBLIzJxDdmtF9
pdHdiKOUd24D7tcQRyP8TiGuF3BOwUYt8toL3w/CRwj6QoViY34N4LdDdzV0
m3BmgG4uKn7m1eYUK2Oqga1MpXMLwH8dfjbkRDN+0teDXgT6vwrRr4aqGW0x
/ve9anQrYujOiU/7G3PSp51a+C5HDJMR+gT57+CzH/ZW4vcEcp2bOLcWdD1r
Anoz6DbQ7YlqMttqFeRlZxj6Wdw5nDlO9d6Rl6+yvL5RZi/87gY9gHtmUfIT
sP0kzjLYvBf2r05U8xXgvWy5XURss4rydxL1/AF1KsH2UcSexbet8Dc9lM+N
liP7w3xZK9Z+C+gDhj/icEUinzeDfydyXmQ0a8W+Un8hZN6Aj9Wo5x7onbOa
9iOWsaz8HoStAes7+z+K2JbDxgmv/vTkFcPl+N0Mehl0T3r1eSdy7PWqWQTb
faDncm5AV8P2fNhMs7LNvhCHZzLq1zWQ+yYV1r9Khc2ZOclv9apPFWpS7oXx
ryEziXx+Q54TuCtNdhDfNuNbB/grwf/CYvswFiboqy4VZhtzwjrnpsfmq8Xw
QxzRBuvCmtyRCLfEMvU6wb+I2Edw1+HMgMwRi5P9bIDMQ5bn/V438bgbOdwE
ejriacWph8wafD+UlV/W47T5ZNx9Rc0d5y8MhdMjsH8p9s8g7stwHy2ozucT
xcF4iIHRrOxXT1OsjJm+B21fce984rVnuG/2h9JbiLiGvHB3O2y+6aW737Dz
c0Y99rFy3Af+Ti/+LchxXiL+s6Fmj7mviuSPs0y8fuwV13bw7zLdNtAl0O+A
/wvoTq9c0lA1Yi5dpkeaca/zwtVar/6TJl6f98JUghiPeeHiJ9j8zGtufgTd
Ess+/dzjNdN/g39JrHyZ931ePbkN/KGs8mKsk0XNYAZ9+bKgOZvHusXqwb6i
5o/7gd+uitWDh2HnXdh8BHZuBO+pSPLUIxaJLcoRz9WG6SWoYSuw+Dhkm8Cr
CzSDtE8+e9YXK07Gy13AGu+A/JJYeBqoUM+59/jW0C7ni3XhfBI/+VD1Yt3K
QdenwmVVrPxpvx/2l8aysR50IdYc90K+4BX3llh7osn21YlU9onTt0LlvjzR
3HHeOc+NifJaYznOD4TVZyL1m3g5lmq+uA9YR9bpbdC/B9oDxM36ovo/arly
dzPW4/DzR6DcpuBrnDqReOOm+0Ck9/JafC+Dnb9A/wne59A9FwhvneaX/VyQ
KM514DUnthdjvYHcv+w79wf3CPvBnci5CULtTvI559yH3BecE/qhX2J0FWyW
QPdGwit5w145layP5yO9SVcU9b6xdqwbscTesWfbrYafeu054qHGMErsHTQ8
jtqu4IyO2Zz+Gqm+FxBLFeSnQJ+NNCecl12ckUj/OTahP2ftTeHbwv867C13
dpfhkHj8J9a7NoF73Oo7DN1dofYL3yj+z6Iv4pOxjdiOJRaZ14sVkh2yeTwT
qceH7Q3hLicOuEfY2+dg8z37L8H/FHyrWAO+D0/HmoUmrx1Ee9xnh2L93/oI
9/+MADA0
            "]], PolygonBox[CompressedData["
1:eJwtlmtolXUcx/+es53tPM9zjueiZbNpqyzDuZpuulFZYmBhRW1RzUpoqVEz
7Y0WRBCVmEsjVtnFFY7yEopQ9iICw9amvehGFoQRJaWEBmW2uXBKny/f8+IP
v/v993uehu41HatTIYReXhWvKw5hdEIID6RDmFkI4YXI8F5ePhfCYBLCdhTW
IZzKh/A3tEeBm6pD2ILsJ/Dr4Xdg62Pg9+FfB39hJoS12L4Xmx3ArTUhTIEf
wb8f2+34zAIPZ0NoRr4OfksxhG3QWsAb0VmO/l8Vfz28U8BdiXUV89LEMSrW
ZbyNxHMz/hYTy1ziuwX4Rfg/EN8x5HuBXyWHfWnTXgG+CVoP+O3wFwGv403E
1w74v+D/YWIqwb8LmyuBFxec23binlwO4Z3E9WpC5zNok9C/HlsPQpsM3Mo7
DPwIbzeyBxPb+q42hK9K1Ar+jxX+u8S/E34dvm/FxjbwUWKoojZpXh3+FyB/
JO2Y9yDbTw4/AR9BZ2veMSgW1bhfvgq2LZvPYGsSNp+osg3Z+jV2rlOhPQv+
Tcm2DhPft8AtiXmd+O/Bf1/iWl5JDi8Df4jOzpRtpvH/PHh9lWuYhd9Qqf9Z
1QRfZfx3Bs/TGPa25ty7GdAGif29xLKq4UvInoa/CtnHeCM590TxnqcHZfQz
kXWPIn8bug/Bn5XxDGmWBsnhi1rPZxv4FF5bsEwztVkN/yn4c6BF2FqB/uyK
/gCyVyEzI+OZ0+ytgd8GfjXzNZ53jIpVOnORPZC1rUb4vcT3dcm1VM8j9M8h
cwLZYWjHtHvgx8H/4P0OPpR1bb8nx/nIH41dX/W4O+eZ0Gy0I39DwTOh2ajm
nUH22pz7rZ18TrUo2ZZmvhE4jfw/GdfkJPzXIseqHdOuPR7b9gLw3eB/gp/O
WEe6+xPXUngV+DLtRI1vxM+xd0K7sYN3AfAItEF4tcg0INta9K5rJrSb6+FP
S/lGrCW+4+AnM66RalUbuR7Cx8FXFT2L2knt5m/I70pZ5zz8XZX7s4i3D3hT
Yr5qPAK/XjNT45jugLe/5F7Ih2p/UaWemqkNiXNSbqpBNbyLi6619JXb54nn
eRx+Ad4GaJ0Zx6BYzuDzimD/Y8CHSvYv2kHglYlvj3S6Cq65aq8Z06wNVO7h
k+hswv7rkWdP/dItPhV7F+R/ovxHntVLwC/D3j2x4em8BvAlRd9izZRma7hk
XeUwVHJP1Vvl/CmxLUXm8or+peiX6Wlf1j0rAV9Ydq9FE+/G2Luom5gQ3zx0
mqu9c60FxyBb2rm7kX0r8q3Wjv+L/Bvg11Rw7b5yVu6incu7h6ql6tdLfP8V
vDvqsWZhT6V+S6A9HdumbCmGNyPnIP/a6ftiz9SJin4n9jYm7q1mQLNwNu9v
nWqgWvQV/S1aiP8vyXlC3rdMO9CEbk3k2NRjzZpummZJN3wqeDcyjWnffN3+
mTnb2gz/bfgfgE9PuT+6rf1F85STchvN+Rauh7al6CdY86Zv75yCv526SZsj
3zztq3y253yDdItmg69IPLPqv27qUOJvvPLRPBwAH4u9u8pnGrLzcr4/s9Cf
D1yKDOsbp2/dRznvnr7BexN/4/StU06HwJcn9q1vhL4VdxbcK9kcwNZA4m+n
/gn0b/A//AcPtQ==
            "]]}]}, 
        {RGBColor[
         0.9197339583333333, 0.7470231666666667, 0.30084666666666665`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlW1ollUYx48+c8+ee+fennsaGCE4tfCLRnOzoLKmZTnLuemMiAgsHL1t
QbGZ1QcrnW1pJkUklgkFlcOcruyF8iXXWiQUDPrUy7fwSxFYVCj1+/M/H27O
da5znev8r//1cjdv7u/umxlCOMpX4rutLoR/EKp8z9SHMJfD0TyEBTUhLES3
GJuOGMLPM0JYwfkj6FbWhtCIXTULoR+7v7GfXQ2hAX0T678NISyZFcLeAv/c
+ZW7r0Tfl58cm3tKttd+krMn2Z9rCuEpfG5Efjkah/AcwM8Q+/XoL0fejp8r
0H+IbhdyM/JH2A6z78LmT/z/xLq05LPduTEIyyLwbi55/37JOIShF7/ry8TH
OoV9N3bfsF4lf5xfx3ccbNvYTwkLXzPyvMKciI9ObNZUzc/trO3c/1F8sa7K
jekW1pMV+MH/fuTnwPQD+uuRP6sY3x7kU/gfRD8TLg/yxktgm+a8tWxuf+O9
hwvnrRXb7egnS9YfAmcvchcY9kbzuY91OOV1hPVG3n0PfR3yF5wNINfg7wH0
l4jjLfQrqY1mYlnFfgM2C7C5iM8sMy995Oss+q2qn8KxivP5YBjMnK9dnLcW
rqMJ8A+g70S/A31nrXEqlyMJWxu27eld8a76ErerkQexOc/aAcZnc9ftL8i3
5ub+bXzPy52rnciHVQ+824Yu8o1if3O999I3YVNO9s8jB945UfIby9B/j9yS
OzbF+CX+CvZjyiN+dmS+Kx997Ou434q8MOFci+6dzNhW587z4yW/vTS3ve6J
L9WQ7Bpnh3ATPF2E28uwGUc/Rz5Tzwxlxqp3FesomHrwtwL5RLT/w5zfG41B
WJRncb4Iu2uqjnEu+t7oN8XfG4XrZzHytXzTyMtzxyOc90XnSpyoJ9Wr6tmv
0H+d+vcY727N3IMj0bnbWXb+DkS/f5rYHk1ciQPNmLE0Zy7McF0pNsWjuOZk
rnlxorpX746n/r276nrbEs31+VQjqmPV8+foT6baPoKfiVSrRzPnQ7GLA/lQ
f2lWiKfRxJXinU71qXmg3hemycSBYqjkniNZ7t7TmfTCqv5R75yL9q1Zpfjl
+010beC/mjpfzvptxT28r3AO19W4Tnqq7pNNrBdy98H+zDlUnyrmUfZPsP8E
nw9xvxs/f5GfO9jPR7+WdQr/29DvKTx7VEviW/NUffoCNhO53z2bu//aE/7m
qm3vAv+dyWctb/ZE528j65HoGh7n7kG+ZfiZ5M2xzP+YG8Dzbu5aH8LP77l9
v5o5p7JXPH8kvc53p7MW3r/U5BpQf7xWuK6+E5dVY72y6toZKHtunMmdN/0r
hgvrT1U847tqPDePacYhj+XmpmWWZ4DyLL1yfTxhFnbNPs3AOnB9HM35p9H/
G9X8i9HzWnP7DPKmevMm/vSf0P+inDnnyp/e6kz/kXXR9aO6Ufzdad52sZYa
jEd4NZfF0/34fgxOnobbftYPMr97Ojr3qoEHC89c9dah6PcUo2poS/rf6b8n
/uRHvK0p3G8dhXmSH3H1euZ7qsHQaD//get/kJPyFg==
            "]], PolygonBox[CompressedData["
1:eJwtlllslUUUx6e93e53v6H3VjAkvlBA5QWNpYiJGmjrBipdpDXGKAoGF5Ca
aAqiPrjQahVFkBgRJLgkalvaQgWXKIhAKcFEEyKaKBpfjC8mGg24oP7++X8P
k5wz5z9nzj5Tv6y7Y3V5CGELq4K1Pg2hNRfCO6wrCyEsZ50tC2Ef/CXFEF5E
vgR6hNWC7Fn4duhhVjP8cxn/N+tH+E0ZfjfravjfYgi/cGELOn+From+ayZ3
VyYhHAH/MHw7xnydD+F2+AD+Z/C3pd6TrK06hBWlEMY53wa/ljOHkW9jbyr4
cfjt0APofBD6G/kDtrsuhEdrQqiv4k78+XeS9V+D/lfALkVHTbl13AH9PDrW
VRsjW15i/QR2Flubob/Anl7k3dhQTOyDfPkezCLkCXe+mzO/HX4r/Gywv+s+
+EUF+6YYn4vsT+z5A7oHnf3cPQ97m2q8J9nJvP1dg84DnL+5YF23ws/An3/A
zwfTyPmFnN+Z2lbZ/Dr0RvZmVxpzFuw98EXOdoC/D/rekmnF+Cj2nF90rJqx
4Qz3d6FjBvjpyPuRH8jb1gvYS/D9cvZOKn/cOQB2bslY2dAI/TF7Pchb2fsq
75goNorZNuinWW3IB1jz8W1r4tzUEv+y2hD62JsGfRHyW7DtmQxfoZgi6wV/
WZnjtRXZdWCasX8VmF2pY654CbMebDP2fpezzpHUd+gunVnI2V2J7T3NWgr2
CmJ2bY1jptjFou2fBP4c6LqiaeXjVfRdxZlT0PXoHFI9wc+scD42QB+JjoXu
2I/8A9ZDWXwkUw6UC/XE0dQ9pd6azroJ/k7VTM42jWLrDwXz6odDyFdGx0Yx
WoN8MquTWDezlyOfy6P1qWfXJq5B1eIc5Dug30PHeeXO51jqGEtfPfg2+OrE
tPq/FvxotO518MeQF6Jzqfv74Fekzp1i0hKNEfZbVi+6x/O+exn8G8h6s3k0
xGpCPiXxeeWsKbpGpH8a6wawi1PbIxvle3vqWMlH+Xowde8on6cKzqlo7Q2j
ezh1/tXTL5Pf/4hRQ6VnwIRmD/m9O+f58BjnV5U8i1QPK6HfTi1vpQY6we6N
zv0LYHYgf6rgWaSZtBdsY+qzytkTYE/kjZWP8lUzS3jVxCD8guhYKWZ7EsdM
vOpjHF1ViWOhmCj2mmGy9Uv4OfCzomfj49xxPO8YyH/V3yeqpyzfJ+DngW2I
Piuf5Nv1qfUrHxHZ6jr3vnqqC12XRp8Vfmfimpf/qrlB6LHoXlS/7YFewJnB
nHOsXI8krl3FQ7V9Orr/lYNAby4qebbpDbkwumelqxXMW5z9MOsfxUyxrktc
u/JJvvUl7k3N5Hy0DunSzL+/4JwoN5phTxbcw8JrZu8nXhNZvXbAT3D2zcR3
q2ZUO2ei3wLZLNs1gzSL9OY8QKx2J86VcqZcbkn8FmrGa9Z3FV07svdg9MzV
7NXM/gv606x+9Qbo7TueOraK8efQn6WOn+R6KxqK7iX19F3KD/zFVX7P9PYt
yea53uc69E2NfuuFmVv0my2ZMJr9m7P3ZBS+BHYyayznOzYkfmM027Q3JVqn
zusP8Ajy11LPeuU8je7poax/b0z9Jmj2KYfva34WfJfu70z9x9CsUY+3wh9C
x+IK52wf/LHo3Cgmis2mkmtdOdbfQzU7lNVbT+KZpvqQjsPIitF/G9m7UX+B
xPNDe5Jpxg1n87I/9R9oJJvHHalnlmKhGf8RvvwPQz0oHA==
            "]]}]}, 
        {RGBColor[0.9283803749999999, 0.76638, 0.30373225], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtV1lsVVUUPeXZ4d17z3v3PtoSNMEBiCkaKi0/KkQoVaHM2JaCAw6JoS1l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            "]], PolygonBox[CompressedData["
1:eJw1lm1MlmUUxy8iQO/nfh7uBxHmWq/QB6phiF98qSUSCKQiAanV2vpQAwRS
eUlQyIVNKyzKptYHq1Vr69UMy9lypRb04lrrW6WktdXXPrTWy+z3908fzp5z
7nOuc53rf/7nup5r7+9t6bkshDCOXI68EoXQnRvCOeT2dAiTSC2OVuQr9N6i
EKqI24j/IfS92RAq0JfwbXpuCO1JCKuJbcZuQ9/LmjLsCuzj+DuIX8SG5eh/
sP4bflcF77kf37E4hIX423JCeJNaumbztWJ3oo/xbT2xryMF5H4GOYr+G2sm
0BuJWZlP7chgKoQDseNvIsfH7LU/5fwr8qg/cQ2qZV0B+dn/YNqxv7PfAfRT
SCXxW8hxGv1pYkaIvZH1f2VC+IT8VfjbiX+H2l7Dv6/ANZ8k/gj+zbn+Jl+9
zo8+ikygT+OvZv161h9h/fzEeFVjF6MvShvLG8hRjV5c6PgN+CeJn8O3q/Gd
xb6Fs42RbwZ9IdKP/4eMfZXIVuxNibHUmbrR61lTlO89x8m1B/s6fL3kvBv/
xYx72yNysHcL36bwLSBmJGVOiBs7+HaGvYcS1ybODKN3xO6lMO9Ez5LvLuwu
9tyKfwE1daB3IlsSi/Qa8M2y3wRrLhC/CBkm9gns8+hVyMPYu2fPezMyiF1H
TcnseZ6kttGs15eS7xH0Wvw/Y7dRbxb/rdiF+cawkVyZjHupmjZTy9uRbdV/
Av9zSHuu99BeMTERev+cEJZiL0N+zDHnEnwD2LX55qS4+W7k84szp8n1XuTe
ayamsN+IjJf68wH2FNzcVmCOlwrrlLl5PfY15GvkTJ+h30Z7GtBfJuZijteM
i4vkq8Guxl6F/UvGWAi/s8R+p5kN7tch/D/hn59nPL/HP8K34jxjvAO9NHYu
cVhcfhEpo9aF1PAS+gvsV0/sYs67lPr28K2f2CHw6WbWtkXupXoyTq59sXsh
DoqLH+qOKHANM6ol9mwL85Xkao29/lIP0bdHnhXZvxK/Jnbt4sha8Y0arsp1
T5aTvys23pqhTbFnULN4iphyztsXeXY0M4/iXxcbK9Xbgv5Y5LvvOHIl8WvI
35DvmajAfh7ZgF4Gpic4S2fKWFQjSxJzRFxRTQ3k+zPt2dIdmJB7Mfa3uc7X
kzJmwq6PGtuwK/GfyXXPuzW7hZ4VcUqzVRK5F2OsGWBtUui7ThwWt3Wn625X
zIOxRfoMUofvo9jcEwffIldT4rtUPf0bfwd7jpD7GPFXpM0R4S2OnCP/l7G5
LIzfZ/0/RebmTrAonMe8Zn0WcfJZ/Ef/f1/YYze5mxP3ooQcwylzVPiXkP8C
+c9nrIsj4oowElbCRNhMxr6rm8m3E99oyneV7uA7yd2X+O6p4wzLqG114r3U
w7Xoh2PffZpZza5iFKszHUy5h+qlMBAWT8Xmnjg5FJkT4obmX2/V53P99k1i
H8LXlPIsnxRH9F6l7MuCwWDaGAiL7Xz7WlyNPeuaIc1Seva+0Z2lu+uexHev
ZvBx7F2xuSsOD0TGQFjoPfqU/EWJuakc8xK/oXpLxdld4l/i3uoOeSBlTogb
Pcir+O+L/RaJo+JqU+y9dD/coVoTv436j1COXpP2Wt0xK9C/SPtsmr9p9Ezi
t+nSmRJjImz0n+Le2JgIG2Em7AaLzG29URsTc0rc0pv8L77lRX7LNQ+Hqfc/
mFn/LA==
            "]]}]}, 
        {RGBColor[0.9317642916666666, 0.7740893333333333, 0.30485575], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVllsVVUUPfS93sd799yplJYCjUKABBRaSAmTBiPaUqRAWisEp4BSSynQ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            "]], PolygonBox[CompressedData["
1:eJwtlmlslFUUhi9dpnTmm5lvWih7FAIkoEAhVRA1GDdaBCStCMEtgNDSFijK
XiiIS1zYlEUWYxSDURN/IMqq8MMQTVAxxigE4gJCVAIuYNAA6vPmnR83c853
1nvuOe+ZnlNm184qCCHs4BRxxsYh3MtvdYJf6KGcSughnIZUCIs4I6EPFYbQ
Nx3CW8kQ6tqFMIZvdej24HSFXtg+hFp0X+BMhL8b53vR/yQTwiPQnYhxCLoe
/QEk8Cg6M6BbcyFMLwnhBD6PIl+Wsu9R2BzA/jynAXoE9hliv8kZh+796DyA
fRv2DdhXIP8O+wTfipHNJZ8b8bUmIk9yb0LnCenGjn1bcQjpbAiLkX+Gv1fR
uQr9MjYNyAfDN8K3I/62QvtYTOzZ2Ncjnwe/H/mVyLZjOCugl6NThb9BxLuD
eB0j0324w1p8PaSc0e1DDVYS6wQ5l5NLPTpL0H8K/bGFvtNS+G74GwI/UzGx
3Zhy/OmcmfDPpVyL8ZxJ8O2SroXuNAJf/3FeK7TPeciKyWE7dDn61dh2TtqX
fOpuw/h2HNsJ6CThP0D/BnJtQd4KPzfpu8qnfOvO4pX/7tIQuiOfJV/qCfRn
RK7lKc4ofDVFvs9pzmj4xbF9y2Y+9JaU7yqdZnS/4VQSfzJ3+jrym+pteyAf
Cd9U5t6rRF5K7GzWunrDFvwVwrdQ++F8K8i6hvJ/BzUvh9+m+yEfqJqmfAfd
RW9ynLdp5FsB8avgh2P7KfL+wTareJ+J5HCBeg1VzaA/x9/4Ir/xEfjjnCrs
6/h2GNkZfHYudj/uxddScu4CnyN+B/zvRueuIvuQr3v4Ngc6xscCcrmP0wPd
6/i2CXlV7NzPaiaR/U5O5/H9MPJL3C8Vu1Z605tSninN1mhs2uArsn7fSch3
k8s7Sc/GNOSN2B4j37Jiz+gu8m1BPgDdBPL2wouUac2cZu8q8f9GdxkxHlds
7n8R/0c0Q8guZvxWmum/oI+VujZ6b/X6OGxG4asEm2Z8d4xdmzPEXEnuV/Bx
Cf9T8NGb3L/F/9TgGh+F/jcfX9+uR14b+67CuH7Y13BOFrqnvor8Zno71fRa
dCs4HRKe4WXksyFybPGa7Tpy6pYw5gn7NiHvhe8IPo6NmcLOPcToSqwM31IJ
1/Ax7HPw6YRrWI3tzSnbqn4lyKLYWCibLHSCO9QE93AJdM98f7fB98oaU4Qt
fTkvQi+KPXt6U72tZlyzLp01yBeUGSsm4GM+9IPoT0j4/XeR3+V8feV/TmxM
Vj7Kdw7ypti9IQz/WNiYM5ZVct83oAel/dbr8LEdfi76zQm/R1f1F/Jbi7xT
tFvGxN49evNW+AvY/IZtZ/R/IvafeV475HLWO0W7ZSRnH3S/rHtB/dYfenvk
WR+Mv2H4/jAyVgvfhJ3T+DY54R32NvkcRt5a6Bw3I/8jPz/aVz8Qv0PWWCHM
EDatx6Z/sfv3XNoYJiyTj/eRteXxXz1zFvsK/P9aYMy9M+cdpNkXBvycsY50
m/m2Atm+UtPChF8yjqFY/eDXaf9F3oUr0dmaM4bIn/bTamQ7ImOFdqR25Zp8
f6ina7TbIr+VdrR2tWqsWjfiY3nOGCIsEeZ1w3ZZzrJabFZpP0beDZoBzcKi
pGXakdqVBzPGHu2gj6CfzTn3qeRZWk5uWfeWelhYrRnXrJ/j9Ma+LOu31Jvm
oJ/h2zXwX5LT7cTenDb2aeYO4POltHtfmNwp7RiKJUwej+89eTxVjz8Pvz/t
3tFMvYe/JbF7/2l2yELm4ZWUadkIiw/m8VI9sz7lGZG+5usL7KfH7iXNg/7b
LI2cq2raCr0xbSxQD2yArkh69tZS09epTafId1dPVeeMCZo1zVyN9keZ/3sJ
Q7tH/o+g/aSd+6R2e86+lK/uqh2rXauef5dYW5PeXcKPf9KeSc2m7qS7ncy4
1zVfpzLGIGGRMOqWlP9T6S31pt9DFyStrxnRrtmfny9hajX+6lOePf2H1H/J
Lkm/pTBF2LIzcq1UM/2X7JvvB8mF7Vty7m1hhLBCmCHsEKZrt5zO/58UJggr
fsz3m/LR7OqOuqt25mXogfl+kr12w+r8/0H11E76pDDpt5I/Yc3/mblMgA==

            "]], 
           PolygonBox[{{3596, 3595, 4204, 1638, 4206}, {3861, 1347, 2741, 
            3604, 3605}, {3553, 3552, 2684, 1304, 3815}, {3544, 3543, 2674, 
            1298, 3802}, {3818, 1305, 2685, 3552, 3553}, {3805, 1299, 2675, 
            3543, 3544}, {3854, 1344, 2730, 3595, 3596}, {3605, 3604, 4214, 
            1646, 4215}}]}]}, 
        {RGBColor[0.9218037083333332, 0.7681102083333333, 0.301512125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtV3lsFHUUnnZ3druzuzOzy1XaAqlWDjkV2oLIGdSiiBxqNAoiUo4QOTyQ
cpZLNB4EL4iCJgoqJqjBRAKESwU0akSlWKjGaIwgWmw5ilAOv4/v/TF5b3/z
5v3e+b23xRNnjpmR6zjOmBzHiYBmPMd5POo4l9KO08p3nGrwrQLH6QLaGU9X
yDRAtgTCZaDPQK4WdCXokJTjFOB8MOhAPG3BDwAdZHwOdN8fc5wK6HkA35Tn
ir8POruCvwN8G9AjeFcE+WKc1yQcZzzo99SNO3LwfmrScY6BHwi5VdD5Txx2
u47zIL7PDfXtLZTHcxryozKO8xvkJ+D9Cfjk4hmNb6Og3+K8DDJb6QeecZD5
BedNUfEtcfd2nJdAZhvoUXzXHuctcD4Mdy4BX+nIl94R+VUImybh7Ahsz/cl
0w8xPA8773EV08uwaTT4Hji/CH4k+I7gH01JTzvoqARtybhAZ00WeqFzEd7P
yMiGFbDnI/Drofdj0BTuWohzH3quJGTjZtBP8LQF/2JKftLfdYhhgys93aB/
EPgFUcWaZ/ST55fwTQXsmAfahHtud3XHNovJc9CT5yq2vOObiGI+Enxf2DEZ
9Ffc/1RotQQbZ4TSQXuLUA9VeY7TiLtqfeVxPnyJx1RXtGGo1dXTuLN9qG86
gMZC2VkOGwaAL8f5QNAM7i+Hnooc/eb5TVnpGxGRziUp8dWgxQnVNOs5Hujb
GOhSvGsF+y+CnnJVE6yHC658pr/lgfLLPG/2FfN/cdaIWBVC5mG824B7TkD3
oRzlijXAmukKuVHgv0Curze+C2gRnuHgd3qKE/mHIH8Nzu8EXwx6rfGfQWat
5WUCZBKB4s/aj4TqpT6Iz/NJ9d64UL95HgU/M9R3+dCTDnTPVMvV3a7quHcg
/kvIlCUVc8a+RaD3T1rMB7jqK/Yy64m1NCap2LaDTDKQjAd6xlVdMb6er9or
CIQBE2PCgcF5yvUQfD/W9KyBX4s9xbY1dM72VDOsnZN4OoD3kYR94HPAHwCd
FZF9tG26p9wdxPkUTzL7wY9IKkcvs8d99T7xYDbub44rx82QbYir1qfg7kfw
bjLoK0n5vBvyx3y9J97Qxqt1AB9X4fdx6K+A7At4OkJ+J852Qv4S5HeDdo9L
hvIvQaYLZCaGwjviXjn4fZ5woztidVtKuWBOWMPMKTGzX1aY8RZxKKJvBxpG
swd6Q/4rT3XYB3pCV3pYu90C6Sc+EX+GIQcxfF+Ks1L4GwH/e1p1XeMrrw2W
n06QGWS93CmpnmkMhMe1ZlsRbP4DMnVZ5ZbyzO8a6KwHvSupfuW99KGzqzqg
TGlW+WWe+0EuAbkk7l8KWwtw/jfOJ3uK5y7wV4itOO9pssQU9r6Hb/LA903q
jDxto41x43NC5SEKfcs8YUMf3P8D7F8Kf4bD3j1p1ete0FLrKfYc64T3FuD7
euT0tKs6vxzo3aVAeHbBMOQU7P8PfAT3NOFdE/izoBcCnZ8HbcjoPNdTDTab
/tOB9J8yesbuIi4Tn6cazhHr6fuhtObkh77q92xcvTfJE75t8YUlxHriQutA
c64KflUlNY8+sL64EBe+P2E85wp77daY+o31xZlXaZjI+uJcGp5UnbMnOqal
k7p3ebq7HWQ3ecKQSty71ZMNtCU3UC1GQEsCzU3OzxLrb+4Sn3s6vy5Qv/Eu
F/dUpOXTjpTmaKHlmTsI5zdn9zablX/66hn2Dnce9h75KUnVKd/xvD/8uzku
vNqSkv87cI8PG6ZB70nwozOai/Pw7diM5NtBdmGoe9/E+Y9WV3vw3WNx9RL7
iLvYyrjiSbwgbmzIaB8ivtYl5DfP6XujL/tWZrSjNdpc4wxmrn7Gd81WV6y7
c1ZvrK++ofBiI2QO4VkG/jDowYiwiD4yt5yPtOdG2P0e3rXBd9tg92Lw48H3
iGvmcd7lh5Kh7FTIDAe/ADrnxFQ3jDl1Mz7cGdLce+Dzcfj6hmHQu5DfmBHG
9sT51oRqnPOZmMtzvv8a/ArI16WEScRE9jJxnTYwX04o7CKGfZrQPD/CXgjl
Zy+cD4OuXvChNfQsCWXnYtD5Kdm/MKWzMqsZ+l1u8X81rV35tbTyT+wkdnGn
m2P+7vUU2xromRuqP4o87UEdLO/VecK+mO2vnOmFKfUe++X1jGYDY7c6qbsW
xiXPecy5XGixnB8XbkfSyksUdFEou5k31nAX29kYp3qr7UE2f2lPQyDcIH4Q
m5kX4jP1R2y+cD6wfvibd5a54mkX5Wlbpae5X5VSH7IfuYPwvwVjzpphH6w1
/NkEP9eAfz+jPYg8dxTizWzLAXd9zhgXer5L6Yx7fZ39d2hjewXrhL8Tnnpj
elZ7NnNTBT4/EBZyH+EOwnpoY/t3S4sPZ3QPs5P1da/NXc6sapuV7Fn2B/fP
5RnFnLHnO+aU9cB9al1ceSq1OFGeWNXd9LuBYhgFnZuVvwtC4cEA68E6X72w
1WyhTWX2/4w4wtwRd9hfk0L9ByC+Eeeu7hqucJA7E2uv3ld/FNh8OQL55fh2
P+J0zpf9TaDTbP/hHsQZQp55IQ6xrtgLnMfUswjfDs3Ir8NZ9SPzTR/pN2uG
9XPAU/8exZ1/+bp/O+xcn1R/ES9Zk50shnmhdpdZnvSdsLplbbA/iXf0n36V
2W5HmWXWT8wrc0obyuz/AnNCG5iXapudz1rNM8fMIfcX9sxIw1PeU2292N9m
wTu4YzX4t0FrLYY/pYQvrKsb7P8T5wXxu9nqmbq4z/I/LbHprC9/z/jCfcY3
5gvf621v4vziXYw5e5Qx4azlPsD9g7vs/7nUzTo=
            "]], PolygonBox[CompressedData["
1:eJwtlmdsllUUx2/HS/s+73rKKqNAiEwBkUApiMwQpDIUHNEoiEAVgiKoUZC9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            "]], 
           PolygonBox[{{3546, 3545, 3775, 1277, 2662}, {3600, 3599, 3878, 
            1358, 2755}, {4085, 1526, 4087, 3545, 3546}, {4089, 1528, 4091, 
            3548, 3549}, {3603, 3602, 3886, 1361, 2757}, {3549, 3548, 3783, 
            1281, 2663}, {2756, 1360, 3882, 3602, 3603}, {2754, 1357, 3874, 
            3599, 3600}}]}]}, 
        {RGBColor[0.9010664999999999, 0.7548251249999999, 0.294766125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmHuQVnUZx8/uvu+7u+d995zzvqSAi1zjFuugAXJHUMuRREaaYr0EyC0v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            "]], PolygonBox[CompressedData["
1:eJwtl3eMVFUUxu/szizs25n33oxREHCXIoKKARWiVMEaEUExKjZYdhewUW1A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            "]]}]}, 
        {RGBColor[0.8445788333333333, 0.718612375, 0.2768047083333333], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mQe0VNUVhi/Pmfdm7sDcmSGuFZUiluhixUSNGpWSEIOapWJJQOmCggLy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            "]], PolygonBox[CompressedData["
1:eJwtl3lwVuUVxt+E5Eu4X/ju/S7/CAIhIFLRGbVFSoHSWmRxKChaUJDIIpsL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            "]]}]}, 
        {RGBColor[0.7578345416666664, 0.6628556249999998, 0.2516761666666666],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mXl0VdUVxm8ieS+5D3Lvu7GTq4N2cHVwdXV1WWtnFUEJARxxHkuZnAnW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            "]], PolygonBox[CompressedData["
1:eJwtl2dw1UUUxZcneSYv8Pb/nt1xHAvjKKOf7F1RrPRqR7EmQlCxzIhYRwWx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            "]]}]}, 
        {RGBColor[
         0.6408336249999999, 0.5875548749999999, 0.21938049999999998`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFmHuQ1lUZx38u++57233P730ptPKfZpyUosycxmrCycKasYzG0ESGbg7D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            "]], PolygonBox[CompressedData["
1:eJwtl2dslWUUxx8tvfe21/Z571UB9YsmjjgiSoxi4oqKGheIiAKGGBTFmIi4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            "]]}]}, 
        {RGBColor[
         0.5339568333333332, 0.5180314166666665, 0.20213283333333332`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtl3uQ1mUVx3+78L773vb9ve+jRdRf1TROOmU1AzP+UZg1tU0zJZcKL22p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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhncL9/be20tP7yHxXRNHoojGGB5AUCOIDypgGBWRGF+MgAMI
ImMZSluoLUOUQlsFygwCZYjQFqTI3IJA4gMokyIqg0Nw1u/392Ena+1/rXXW
vM+tL43u/1p+CKGO05EzOQphViKEd/NCeKgohMPFIexOhvAxdx+Bredsg97B
KSjkHnwydBm6m6BHoLMM3RZ0jsH3gF/U0TJnMiE0obMRbAOnCfw97NWArU2F
UBuHsISzArqB04Jsd/SnYK8UmRJkB4PPw+Fa7jqCf46NVmw1ygZ4G/we+C3w
DfAPoz8Z2dnwU+EfhJ8EPwP+bfgpkbHtBSH8kA5hfGSsEf67tHOgXMzkbhLY
Ss7mhGNUrMsj52Yp/PPwPTmLibeMuwvEOxG8JOFv6tszIseyA/tXsb8FfxuS
1pGudKS7E3xvjlwQ7yZy0Ux+7wU7RMyNyG/ltKJbp5ogv5HzN/jvnMV8awI5
qgF7gzMNbCv2vuV7V8BLwF8FLwU7jo1PZQ+Z1fD9+N5AvreJu+vIJjuHMBK9
BejchH+Asy/pnCv3/fB5Plgd+ovQ749+eb7zEeQrMtXBMW6D7ob8O3n26U3k
f8RerfJJ/H3AusHvTdon+TayyLXWXTv86Cy1yHMPNcNXYmNAyj1UBX2Uu+ak
a7Qick3kSxN3R8DGcTc9YR/kyyhOXZ5jOgF+kpwfI1frsNmK/zfwZ1nCOVFu
Xkd/KvxEdLoqlsi9sQ2d78nT/Rn3vnpQvfgMOkPRLSMnN8G7ZuyLfJSvT8f2
TzLPQg/oFMKvyFaRs/7Qz3FXke9+y8ef39BflOce2I/+IPx9lG8/zulCbpLI
bE94RjWrnajfeL5biY0TYMeRP1jgnC+I7LN8V49OiDwDmoX/dgD8N7Frf5K7
y9Cn0G8rcI6UqxvIt0PXU78uGc+MZkc5fityD6oXJXM6555X788BnwZ2jLv9
mj3iv4j9S5yr0Nc4d6jWyIzK9w44j/3K2LOhu/nQd3HXvQM+Ij8L/ij2WsFH
g+8h3hPwh+DHwvemXkNyztV4+H3gX+Qc2w7y/VPaOVfu5VMb2B/czUf2FewP
iz1DmiX1wFh866P5LPBMPQHdjM5m+BXqQeqTI/9l6AzHxhjkh8e2pZ4bAl0a
eze8CD4Xenbs3hwBPwc6UWhZ7byh8FnsjUu7pqew3yu2rnbUV+Tikdi6svml
dklsbCR35dC9Y9PaiefAOxR6vtRjg8DyCt1rmuGB8Lv5xvqkZ0yzNowc1oDv
4u4Q2OX0/7ufmJuIvSR2rMrBTOgj3O2DLkfmPPXcErsXD2jnQNfE3vWaac32
6WJj6mH18mDqMRX5negPgq5GflnKO6Uqdk1V29no99Isx35Lxqm+2DqMjenQ
8+iRhtg2ZOsxfBqc887R7qnl9IU+m/Fsq2aq3dmc37oWdP7kbl3kt6YemZeR
r4+9KzSTmk19U9/WztTuPFlsWdVMtdPO1e5djs4H6F7h/oV897B6+U5ycD3l
GdAsrIm8m9UD2lWaEc2Kevx2ZNfBN6a889dCL4y8i9Xz19J+E/Q2fEJOD+DL
X/AbEn4z9Hb8knbv6+4Msa6K/HaqJ7R7p0eeVfWL3lLNpGZTO7E68gxpluTz
19oVsWuhGi2E7snpm3JPd47dA+oFxXwB+v3YuVCP7dLuxt7KlP8B9C9wsNi+
z0X+M+hbYvuyBLwCei/yq6APEG87/n8YWVY9+g+xro5dO+VoDfQ9WddeO1O7
UztCu0I2loI/VeRdpjdNb5t2tnZ3BfW5mPVMa7b1T6N/G+0c7R7F2AP6ySL3
knakduU89TjYXPTPod9S7LdVMSpW/QPpX0gzcjjnN11vu978g4V+8/X2q4fH
ZG1DtvRG3JZ1zIpdO127/VLWva6dpd0ln+W7Zuhn+Lszzp18km/3ZTzL+sfT
v96/fqCSeA==
            "]]}]}, 
        {RGBColor[
         0.36266197428399033`, 0.4056636090291898, 0.19008357609902563`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNVs1v1FUUfZ0Kmd/MMP39Xqlxq4nf4R/QiLrClkXbaU2nUhRrcYd06c64
wQ+YKUTrFzPTNtSY2JEPYWUpohETxc9EVi4UpCYUTMSYGG1CPGfOMbj45d25
77777j333Pvm9sm9ledyIYQf8XXj254PoQ/fQchT2GgmIcxDfh9fDfIS1gMw
fBF7xyH/kIXwPOQLWF+OIczi7EtYe/KS67D5oij7cyl8dEGXyN8U9k/gOwN5
Ebojie7g/gy+w9CfxVkGeDjKpm79x9afhc96l2JgPPT3oX0exbcL8gdBe7Ow
O4Y1g+5NfDOQR+H3SchdReX2Qk6x0Za+aP8PdK1EePyJ9SPoLpdCWMXZdeju
htxOhNVCUN5vOPdXo+56JWq/ZZuded27HHRHI1GMtGkYc8b+NL7TkJ+xvBK0
7rK8IyrXdZx5rCwstpXlp21fg/hS2DdhNwb7ScjdRWHcwdY+J33Xg6jvqbww
eAL2z0LeAPv3IJ+EfB7yAchvQ96Pdcl3LTgX1pXYc/8dc6kOu0NY7y2ozvvg
uxGEzVuuRW9eZ2i/O697meMp15TxcD3p+vKe3bbZB/81rPcUlPOS8eT+lO2J
zZLjJF7UraJ2AfnsgE0FPnKQn4L8eNS605hcwXpbohwmrF92HSdsQx/j1vfZ
fjPWqvXkTQpdlohn496jPdfU/XUevbQH+2fA7emc4mbMbdvR5ifk2Q/54Sh+
Mwbuj0flPBHlgzizvr8X1HsD0G/APeW88B+GHCG3IP8MmwHIj0TFmJrrI85j
LugM72EM9EWf1wvCh/1B3tbdx+yjlvuQMTa98vy5onqW8+NiQXPnUfi7oySM
L5bE8dPhZn7LPsu4qsbztR714F0l4dXBrSgujTq36+DzjZwwZ/2JJ7lxS1F9
VY3i1QlzjHOK8+rLorhETs+bbyvOh3gQF3KV94z4LtacWHB/bJPurm5SH2w3
tz+D39+gH0fun0C+BvnrTPges3/6G7X/Ifcwa1aBrzXYj3jlbCLuGxPVlfWm
73XPsUqiGrP/OXtoTy59l4lbnxZlyzrSnrFM24Yzjhj/lageh9zHd5bk57Ln
POOqmRtlzxneybvZ1+Rp5nk4HMX7wShdxbHthc8HcHcjCkfmP2fOpOYnaxo9
K67mlT9zZyyMmzF/77yYX6/j2+pe2N8tfH4pSb6E9fNU79nfBfGR8nHnQTyZ
F9eNltueLQ338A3jfNRcn/Ma8zfrOWf+cM4NOH7yhDOCmD7k2cUZxv1e2xCb
zHI1E5fIqT7z66B9U6b/C36L+8vKk3GzJveXFOdYJk71+ix/U39fSW9Bp2+7
1LsN9/g2vyl/AJ8tBb0N70b1JnNecW+yR9mr32aqC3lai4r11qh+4ln213RJ
8hbPjTXPDr5F5EDnfU8lkxec6cRnLVGPTvld5rmrPss6D7lH6GfGuZCj5Mc3
mXhMPg9F9ULTbzrv2eN3kP8zeJ7/L17vEZfIKXKQnP6vtsPmNt+yRf8nqfk/
TMMzcNFzkP8F+s1/1uWI7ZtRvOUMaLt/yPdfo3qYc+KSufpVprnXmWH/m6ct
c5Xzgb9ZT54lJ6kjJnXPkB7HQNyumHucm+z/Vfdjahv2A3thIUo3aD+s46zn
52b7mfe7xBw4o/8FGT9q7g==
            "]], PolygonBox[CompressedData["
1:eJwlk81vTVEUxfdrS27d0t6jNacRwV+AUGbaDtDSvqdUVJihQzMxobSViI8i
DAwwR4KWaiQEbfkTfIXBQ9KKAZWI38oarLy19zpnv3PWWXflwPGuYzURsQHU
gTUNEX9p/KiN+JoiZouI7/AFeqvRuuntzyIOgJo84jG4Ch8D59B+gqI+YpxZ
v/h9hH4F7TIYQjuTzBvBcvgwuCYOWuA94CD8EKhj7w7qCrwPBHVXMp+g/M38
LcmzRqk3w9cuibgAb1FP56E+X4oY5PyXGiP+sOcJ+gB6L/rZ5LMXoBn+hTtO
ot+nvks9nZvfA3eoZ6gfwDfhySBrt9LryOyBvLidrJ3i/17nnqnZ7eA9Z6kU
9vYf+nr2b0PvRLsOxln/EJzmvMOs+YxeXhoxDz/J+ldok+AofCO9Z00Rb3L/
1wj1S+obyZoedQqtm/1V6m/Mb2XezuS3kae74LeS955g/QvWf6KuZvZwFev3
UR/O7Elf8hvprXTnD9xnRbLXusNH6ue5vVZmbqItoj6SeUaFegH/n4Z7e5Pv
pLspM8pOtd5vuZjfuWTP5b08l/dvC2dRd3oHb0v2VhlT1tY12Ft5Vi7sqbxV
xkaSZ2q2PJbX85x5tOTMXyQfU032Tr05tD3JWVdmlJ32ZfZKmdoOLzGjP/M3
oW9DmVQ21dud7Lm8l6fydqbw2+oNp+G1ubOozCv75eTsyyN59R+ugYRP
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0TkznlEYxvHbkkIsiS29mFhifARbZWkSL/K+lsoHwCdQir2hE4UCH8FS
IJkwBFlmktquUGHMWNL4GcV//ue6zj3nPGeekt7+RF9aRAyitiCiEJ8xjOXs
iDo+eBlRxCMYxYq+ng/1xTyGcazqG/hI/4YnUGk9+dTlRLzFsXUpt+VGJPAr
P+InTvXv9PvWX50zK3/j3/IfTL+KuHZWY15EE5rxT/8Xm+bmzN/b33od8UPe
5B2e11frB5y9Jy/Iu7zIZ7r/WRHd1j3oxAt7XfygT3Gm/IkzOPl0h76D0+U2
TuN2vtMnOOQP3IqPuNWfuueGr+Vt+ynvTiLl29/bS3IVd/J3++fmyuUzLuMp
b7/yhhb5kje8bd3cjLzBX7jf3Lp+TV7jXWft4Vh/giX9pbkL31HhjCHrmoLn
f/4INrBOZA==
            "]]},
          "0.525`"],
         Annotation[#, 0.525, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0ltMz3EYx/HHTYbqX7lwunLlwibVmrlwusG0Gc2dmWHdCuV8pi5cScrG
bHLuxChcVUgbOQvhoi7YkBzWzFhDXr+5eO/zPJ/P8z39/v+pa0uL14+KiDb0
jY2YkxnRkhVxMzviW07ELVpJK3BbvSEVkT0+ot9srtlN+kzZRjowJqKMliNP
toWmZJvpoGwr3YYC2Q6aJdtOP8t20l0olO1JzpDtpl9ke+k+zJIdoDmy/fSr
7CCtwGzZW3eqVHe552EzVbijHqKd9J18rrlW77uGG7iOZRkR1WaO4ghqUYNB
8/PMz8cC9CTfxJm1zjiGJbwiTDc3xO+Vn+QP65fzi9Fkn2bUoxENeJ8e8dt8
v/nL5kePi7hE02iv+7xK7meuFT28DN/7JS+dvqAl9m0234Tn+nznTUlm1etk
jfwGPNPnySbLnqrXyOr5F/FEP1M2SfZYvVp2gX8ej/S5somyh+pVsnP8s3ig
nyGbILuvXikb0Z9JznPXu7xu3MNffh3/Dz1N+7z3h3ev8L2/0zf61/horw/4
ZW4p/UnTvLXLHnX6U8nvYn01qtDOb8Nx/gkc4n2yZrF6gC6ki9Bu745kf2dN
41+x5ipKU///6/8AF/t5vg==
            "]]},
          "0.49000000000000005`"],
         Annotation[#, 0.49000000000000005`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl08lvzVEYh/FXbFCdTUuSEgQRRMSSdiOtJrQSiYiUCJs2/gYLIsFSqdY8
lY7aovdKzK1E6XBrqKlRtMRCSLojPr9YPPme9zn3vGf45S6oqtlSPSUiMijJ
jVieE3EqLyK7IGLhjIg64+tZEZvMDapXmD/N1eMGX84P8Sv5Bu4MmvgKPsOv
4s9y59DMb+eH+TX8ee4CWvid/Et+LX+Ru4RWfjf/il/HX+auoI2/KveZyyuM
2C/Xm7/G/XbuRX7faPxhZsQ79XtU5EfMV5dnR2xGj/oJHqOIH/OblL63rUvL
W7LX3BG9f+i3Qf+NWGr8c3rECb4WpVwZlvG/+HquAVu5ClTirT5N+vfpm+W8
I+ppyR5cRnbKIdklV+tzwHmG1a+dYQRvMMH91X8oeVf0J98DA/iu3zf0Gc+z
bq8958pn6gn+qZyj3sPPlr3q8eTucpa6ii+Uj9Rf+fuyQL2Lz5f31F/4u8l7
J9+Kz5Vp9Wf+jsxR7+CzkzdUf+LH0GHciTbcRDv+uMe4+0wm9/EtBtFv3TZZ
iTbv8FzdKl/IdtmTzOu3xLpKuVjW6TXpvUrNl+Ghd3qABuNj5o7jKFJcN2r5
Q+rDKDEuxoT1U32TZvOd9miSXbJFVtvjoN90qLvtmUIaH/lRNPIDztvFjbpL
kV4nrSvO/f9f+gdyvYf0
            "]]},
          "0.45500000000000007`"],
         Annotation[#, 0.45500000000000007`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl1ElsTlEchvHTpoq2prLRUFoiIpbmWUuRUm2FUrOg6ISt2cKGNWEjwUaI
ooZWgyCpIDFE6IiWDoZqjSsWfjcWb5/zf5/znfvd+900bVN5fllMCCHen8PJ
IRyUysQQLg4MIXZwCB0JIWTqOvHIgBBuc9VcHNetW8T14DHuAXeP68X90mVz
v/EUV8udMZ+Ts/JXP8S+Vf1DKJT4QSH0lq/2tWKLvJNqe6skUV9kX7Pz30id
+bJzk3Cb/q3undSbW/AGd1O2c63mYc6Y4JrvrW/pa2QH98E8nJvItVnf0d+V
Yq7dnMpN4jqs70f3KCVcp3kEN5n7aF2rfyil3CfzSG4K99n6sf6JlHFfzGnc
VK7L+qn+mZRzX83p3DSu2/qV/rXs5HrMo7jp3DfrBvdZxw3FXfx33Q9pNNfr
U3C3/md0vz5XI188z67oGUs338S9xgr7E3C9PX1xLa6TCrkkzfavdFaBrJA/
vsNpn6nT55qXSk50Lf1J/Ut9lnm+zIvuS39U/1j/SE4487i06zOwDWO8Cxd8
n6uuf0CX18/viWlJfltslRZpsrfEWY1YitXOK8YG83jXqscd0W+vr5Kt0Tvi
c0U4jt+Cm6WzbwgbMZHbhGO5DbheOrg10TPh1uIYbjUWSjtXgH24lTg6eia4
XNq4fIznlmE6l4e58oFbgnFcDo7kFmO2vOcWYiy3CFO5BZglrVwGxnCZOIyb
i3Pkuvu7JrOtX7jvFO45zjJX6mdG75Z5Bj7Ffc7YL3vkvOe8F0fpr9p7Rcrs
azZPd84MOZT8/3/CPyB2nOg=
            "]]},
          "0.42000000000000004`"],
         Annotation[#, 0.42000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl09dvT2Ecx/EHoUOt9qpKh5ESRBEi6oKQuFLjD6DDatHaozeitHZbalSC
2LWiLa3RNjEv6EaiSPwBVhOuJBL1+sXFO5/n+/6c85wn53d+ablFywv7hRB+
Yk18CLlYhTzsiQuhMSaEnSNC2IF13Fos4BeimMs3F2C39Te5S+6NDWGGdYn8
PjSEZYNDGDU8hD7uODdLnpC/dOt1c3UhIYTz3GzdBZllnyVYjLOYPMTerq1E
rGsr5BQu2Tn+uCdFVnGLuBrXd8or5hJ7N9sv0bP2We/HVT5pWAgtfBJfypXh
Gp/MP+FH8we4gziMQ0jRpSJFd8Q8IPJc1x61TucnIE13zDxQl6ort57KZ2Cs
rsIcpUvTVVpP46djvO64OUY3RnfCugozda3mdP1J8ylcd845fBs/kT/NnUEN
n8m385P4aq7Yfjf4Lu+jG5+9pw79Za5X98nvm2y+aP5tviSbzN2uK7deaY8c
ZCPanlGo0cd5TrX3HMx99v2Lc3w0XxH5Fsxf8QWV/Ej3JyERSyPfA58lP0bO
gFL3lKHFeQbpGuR28zZ80Pcgw/X9dfHONo9PkPNlkf3fO0eh7JFbuXdyo/mN
3CDfyi18lywwd8h82Sk38/c8r826Ha/Qiteo51/Il3iK53iGOr5ZtuARmvAY
tfwD+RD30YgG3OU3eU69dZ7n1spcWSeL+Dsyx3xLZsvbkfPzN+VK8w25QvZG
vhXv4YccF/nveAeZWB3////7D+shhYw=
            "]]},
          "0.385`"],
         Annotation[#, 0.385, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl08tvjFEcxvFTnZF0akarooOWiLilGpdOUUkbJFYqLn+ARdUloRVLQrUp
KQsRRKzoxgI1JXYWbbSoy0qjI1GkiQ0bl2q0qdD6vLF48pzne37nd37vO+8s
aTi2tzkvhJCj7lQIQ8kQfswO4VsxkAhh1HpFYQgP7TXKb+3/xMZoJX5iVggH
8CleS3W0Cu9VfxAfVv9L7ThV4AP4IfwjPon9ptX4KecO4wHfYr2VKvHX6o/g
I/hftVO0Bp/mQ/Zy9MleKHKPmWNq86xbnM/NMS9tw+fKMXX5dFZup6vW9XqV
ql/P03wXv4532B/V+5J+n+UvlLR+VaCPu+P0J5qJivFBPIEVUsy5OM2kW/r0
qLmo7z79H6lt4Tfl0/xG9A7NWI43mbFTPoO3USt9wEb03qRvUFfD0/pu5Bvo
gf73KWP9Uo959l7wKrkbH3b+ubzTDAP8nZzFK+0/k0vUP+UV8j18GX8iF+H9
fKncheec65N36POYv5Hv4uX2e+Wk+h5eJt/G79B860m+gCfsp3kpvfc8g9Hv
w/uifnTNc6/ja2m/574sN/ArvJGf5Hv0Wujc7qgnL9Cr05013stmqlNXS8et
x903QWO0GFtER/GvcqrE982r5Qy1R98vj6nJuCefV/M43+6eGbxK7jDbebpA
rXgbLcfPyc1mynqeafpurmzq///pH/DOdHA=
            "]]},
          "0.35000000000000003`"],
         Annotation[#, 0.35000000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl001IlGEUBeBrkjU6ahmN/ejCKCEJo00aLYKIMmg1rdsElRGoLSJNK3DR
pqhNWVSrwqCWBU1q4kpaSATRz0yjggSFFRVhFGY/z0eLw7n3nPee+34vMw0H
O7MdJRExDk0VEafSEb9hAfohl4ooVkV8WR4xhfOVEW9wAR7yeul59fHyiJe8
Lrx0WUSLrDK8Fe+Rsxsq9Nv0KdyKy/EA/Srs19frs/hYjTNyRuXPyf4On2R/
hir6BP2OmRt2X4d79B5zjXgDFM3X8bO8+iQb9/E38wbVY/iy/pB9d+Wl5B9W
H4Gj0A6V1XZBmtehnze3ytlO9YjMNhl74bn6mqxX+AVMuluDuXVQbbYRL5hd
j6d4G3ET1PCa8R/eJjzNe20+n3yXvCKekF+gr7X3hL0rnFuZwOxJ/V+zdbxu
dQ9keDl9Lb9P3+0dbsrKyXkKz2Q+4h/gXaA/pt2ScRtq6e388/Qh+jCMwH3a
PufLZC+BeVopXgTb6YP81uTtzLUkb4fXOLMaBuBK8taQcW6XPVv4i/Vt+FLy
hjhj7qz9b/Vn8Ef373d22LfPqufUH/AM/z1+B0O8izIf4HP0nepmWadxb/L7
db9SWd/M/lJPOvPE3Dj8TO7P+8r7oS7wxuijyS59CW9H+v//4R9alW5z
            "]]},
          "0.31500000000000006`"],
         Annotation[#, 0.31500000000000006`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j9IlmEUBfDrFKZ9fp99KdZS0OLekrUFpZYlmhTV1BBommn2SeafIocU
xSzLrKUaJAIJMcMhXFqCpLWhKO0PuDREU4TU76HhcO4999zzPs/7vrvOdjZd
KIqI57C/JGJTNmIfzuL7pRHLxREzW9RwnL6TfoJ+EkZyER3lES304q0RN/V3
Nkf84J3CtfpKvkN4EnbT23kbZVzFDfgYHIVqsyY8SF9WD+Fm/VM5CzJm7b+m
n6e1wTN6SUaeugPu8b/im6PX87Wq22CaftG8rMydIGOnS/9HXhVvtzpHL4ec
2SX9htl2s570LtxvRsZbWS9oR9IZ1O3wgJ63t0jP2y3w96W7wSLfCrzje2l+
hjbKv0R7JP8xVNAL8nvhlPmI+Wk8S5+3V9DX63vx4XRmu7/hoXlNeg/0vbgV
76A34D36c/iJftwz3vh+lerbMAm3YJvsA2bX5NxVH+QfS7rdPAzQV/X9eN29
rvNO8PXpi+hX8Lh+KGXAN55f+Dv+ZP4Vf4Elz17FP83W8Aezz8kDg7QBGJZz
Wd5f3INv4H76x/Qt9O/tdONM+oZQCjXOW8dXC7ns///2H2wUXbM=
            "]]},
          "0.28`"],
         Annotation[#, 0.28, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0r1LlWEYx/GrQUzzpB7JzUEy3BzSMctOZnQUQ1E3s2zQCl+mFJwETwih
KAWiDg0qCIbai0Y4iJLpiQKH/hYTUewjDV9+L9f1PPfNw1PePdDafykipnD7
SkSiKKIEScwXRGznRcwlImb5TH5ELj9Gy+hrOqcfTEYMoMIzN3B8NeIEU8UR
Z/rCkohT+lBOo9Kzfc6qov20hnZ5zxNU8zexzLd7Vwd25VF7G7ov2JO/4yu/
4g61/Af6Tf7Bb9NVuYtfozvyPr9H1+Wn/Ed6y5163ecFjvjn9MDswN4n8zr+
M83KWf4nfvG/Me4+m/J7z/zxja7ZuyunsG6+JDfwPfx9uiiv8TP2D+0Xycf6
v4jCiHPfK6ufNH9srxPXzRqdM0TTtPTiPOzbWzDfutiXJ/DA/J3uLYrlermd
b0NSHnHeNH9P30pb8Ew/rH/Dp/SPaDNe6of04/wdfRNtREL/Sp/ha/WX5Rw5
XfD/3/kHyEdONw==
            "]]},
          "0.24500000000000002`"],
         Annotation[#, 0.24500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0s9L03Ecx/H3KsrpclMW1KHD6OK12I+DIEkFdRCyYNGxlHko5l/QpcLp
NBChQ6HROgVOoYyIoJj2C0Kv6kmifyCSeRAkekSHF8/3+/V6v9/7fGG52+PX
qomImKTBroiJVMR5TB2PeKZeTUbM4wJ18pJU64w4k4m4YS6HZaz2yvkt8/We
iP3uiBLvMe+Xnd+0S3OydTN96gX1PDXV99wYdqthvqgv0S2/2asvqBfV/fjA
3Fv1Q3yP72jTvQ94xK2PuCNbw0Pe0MIt+SfMyD/jD/l9t/LqO7y7NEYV2jb7
lb/h7d9wwux3fGX+NR12M+tNA+omf4kuqi9QRX3TN9TsvNSv0Bta5l/mX6FE
OuKp/Tb/Cf5xr8gv0EneWRyx/1w9iuf0j8xl9SfohVsN+uKdee8t0DS/TmX+
JTtzOPvve3kddg/cuK7/KZvBPX0d0/Jj8tNuXNW35VN4Sl/DLvlR+VDq/3/j
L6Q/SK8=
            "]]},
          "0.21000000000000002`"],
         Annotation[#, 0.21000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0s9L03Ecx/H3EKFNW8thiUawDmIkXTqkMNixgzcRnAukVruql+raIakg
OpRosOgHCSJC9A90saxb9Q9IRNolD4psTmzR40uHF8/P+/V+fT7v93esUJ0d
n0lFxH262hVxLhdRwaNsxGImYvd4xBL+Uc/y19RzWJJ7xV/pjnhxMuIt/y5/
gv+GX1RX9W7QqPMIrfdE/JbpkN/BTtzEabwolzKj5Zx3/476o/wGneDtyeXx
O972Vlr/Ht7EGmXoi+w3+krH1EX5ujefUynZh364P8bv0y/b9ZbsPG/S+Z1+
T94cOk2nqJeuJDmZVf1Fd5vYoH16Zte29x/xX6trcpfkH/OXzbiW/Kb861jA
p7ILlHceNvsCPVF3yF5Ovjkd8Z63Ld/2zi/8iz/xELewiS06oA/yn+Q/01k7
tJI52MAzeID9yc44gOvydbNfmvXQjlnnBzjkrSmZQSxjRX+Kzuf+/y/+AS2C
TNM=
            "]]},
          "0.17500000000000002`"],
         Annotation[#, 0.17500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j1r02EUxuGjdKm1educolCTonWopVFKtRRNQZAKgoN5KRIzSro0JQGt
NkVa2kkwbkppBUGQfgFnN3XQ0S+gppsvkDr0Kg4/7vPc5z7PyfMnZ2qLtxvH
IqKDC6mIPM7jHGrpiI+DEa+HI3bxbyjiLC+PHEZxTe463unP0SJ2TkS8PRmx
xzsu0zE3pX6YiJjVW1CX+GW0eVVaQVUvTTNY4z9FLhNxg3/PzBKaGHL3S72r
cr/17+jPqFv8R/ormFSv0XH6mH6V+4If+I6L/PtmJmidnqJP5FbRRgtJ3nO9
ffkuvYm++rNvkrTzj/Nf/PLm9/xv3vnG3DCv5/xJLqH+QLfoq6NvRIuoyV6i
l1HAgF0vvKmLZ+glI37irj3beiW6TJt6V9R1d03TEXuWeAd+Qx8Fmaz7TmOD
v4lbcg/k5+m6c1Zdtb9BK7Ripoyx1P//wCHKy0JB
            "]]},
          "0.14`"],
         Annotation[#, 0.14, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0bkvhHEQxvFRONcui44IViOiRyJRam2BuIJEoWCJOEInGkfviPtK/Dl0
rtLZ0AkaH1F888wzM8+8v+StH8tlp/IiYhrNyYjZRERTOuJcfYHL0ojr4og8
vVezFvpGi2kJivDOL6cilrCIGv62LKJV9pHW8av6T+rPCpnKiEI06I/wo3gx
e0ZvSUS/7/bQQ5kDlLrT4TtttB3luJJJ/72NJum4+ZHdY0zIn9FTnCBlPqQ3
iAF0ub2in6+/S9tk21HA7/Db2ELG+370vjGHJ9lHVNnddOPeex9wh1q7CzLz
mEU1f6PfZ++D36BrdJ2+0x/zBncakcE3P+P2F52ktUjY3ad76CyPGDarU2/I
d5vl1Fm6mfr/d7/jwjt9
            "]]},
          "0.10500000000000001`"],
         Annotation[#, 0.10500000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0Tkzg1EUh/ETjSERy4ylUaRCRPKiVAkVCkNlmDGTUmFJUtlKLV8CH0Rj
65TaNAmN0CgsP6N45rnnnv85780kV9lb201FRAVb3RGX2YhNvuLOTMRcf8SS
+rgnIlHXUMWRusCHPMUb/JyOmJXvUM/w40DEA1bMt3ojlvlD3XQ+sz8n35Z9
w1NXxAu/ou6+JldHxp40bpwXzZecExSRkp3m+HuX71/YeY5P2S87bnkcE9jX
Xzef56r6QH++z5nLnHdX1ftWT9r5w3m+d3+HVbMFdUk2QRHbMg0zGb26NzTR
wqj7E+84RVmv4fcu8JD5YQziXWaE27xjx5hvXGf//4NfDSYyqw==
            "]]},
          "0.07`"],
         Annotation[#, 0.07, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{4065, 4062, 2847, 4063, 4067, 4066, 2637, 3429, 4798, 
            4799, 4351, 3047, 3317, 3316, 3321, 3315, 2622, 3309, 3310, 3119, 
            4447, 4449, 4448, 3430, 2631, 3712, 3713, 4657, 4658, 4656, 4499, 
            4653, 4655, 4654, 3726, 3725, 2644, 3431, 4800, 4801, 4352, 3048, 
            3319, 3318, 2623, 3320, 2624, 3311, 3312, 3056, 3711, 4645, 2629, 
            3432, 2630, 4064, 4065}]},
          "0.035`"],
         Annotation[#, 0.035, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0fXVcVUvUNnUAJQ+cQ4jdXOOqoKKiM3Z3J3aiYl67A7tbrGtcFcVOLAQT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      "], {{
        {RGBColor[
         0.6585790000000001, 0.31609100000000007`, 0.20750700000000002`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtU7tOAlEUPKwQCexCdlsro4XRgodo4iegjfETLNXoh6gfoP9ADDYQOwpN
VAilsdRG47OQwkdYnMmc4nLOvec1M2eZ3T7Y2g/MbB1nCmeMn4W8WQ+P87CW
NevCfyubPeTM3mHbuHdwnhHuZhQfmWp4p39UMuuj9hj2PFAN81uwAWY8mfp1
veYKsyZTyl2Cf4/aYaD8nvcf4C1FzkWgXOYxhxg7PmMSqnc2Ui5nsUc9Lzys
reR1p5+JhGu9YNbw9xnguU2EqQ+7WBTGV9eAuhD3NWKX8G8S4WBf4lzEfQ7+
JnquhcKwE0Nfn7VRENah87qLNbOeCDfxp6hbSfTOeBX9ao4tdY7NgvBW/J22
6j41IYaOc284f+padd3ImXiIq+J6jBwf339D7Y91q8CyBxzNabPdWDt5zEkX
xgeu7V+omb/Q7Me5UwPugrW8n/leyWE5EabTkupbjqHmXBjjroe+38+y5n6U
VcP4CWwU69sZFdUn9b1XXR/Wh7FmfxV16FskO/Z8akpc36H6cTbncs9jx/5S
Fm9+F+RJvoclfRPUve39es6H/ydi7jk+9g0i5bed7z8sOou1
            "]], PolygonBox[CompressedData["
1:eJwlkMsuQ2EUhVdPNeSkf096hoxEB8IIxTOYVUdmEkOVuj0GL+ApJCa8AAnq
AQyZENepS2i/lT3Yydr/3v9ae63prd1uP5M0SY1R+0n6r0p3NN1cWiylqYq0
MCG1we+F9FCTLnh7AZ80pHt255lvsr/CzoC+Tb8K3uBtFvwH5x7cP3XpGZ1z
RH/BX9QTfcb8G3zUiNkMf+b438kD+7jDFJzm9k3L4A9ueKyFhrVueLsEn8JR
b0o9am08PNnbgPkV8zPmidl2M7S9swN+LcKbOT+LyMBZ2NMxt2Up/tpDBawU
WvYw5P4D+mE1NG7L8Gzvvum6DA/20qJfzyNTZ+sMl8rI0Fmaw1ze8a4zf+Oe
EcdlPCg=
            "]]}]}, 
        {RGBColor[0.7316835, 0.39154225, 0.235451], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFlk1onFUUhm8yM5nJzPfN5BvTdmt0YVu0iLUp1kmJG5GCoF0EVwoqij/4
S1baLgQRf1bSxMSKdOvCEpq0EtLQVC1qW4PUP6gLC4LQ1DQipraaoO/De4qL
yz33u2fOz3vec+4MPPr83ue6U0qntEpaR5opLZVTeqKe0iXtF7WqXSnNdVmu
xL4U8o52SttrKe3U/k+W0riM/K39vO5/1GpJ5zvdfS2d77XP6nxfNaUr8rVU
kS2tE/p2S83+8JUXKa30pHRW+psbKc3o26psntG5KfmlPKVJ+flA61OdX9Xd
bsn7MuviA/sbZeea7GzSflhJjknnmO6uZZavZr7/Ur5ndZ9Jb1nn0/Kzp+o4
0Z/S3UHpn5Q8XHK8813GYKBqHMj3bM05ny47BmLpSH+h23ZKJeOIPv73hP3R
3pQGtZ6S3s8Vy6vJsVzusS/iHA2ddcV9XN9uFTYTJeeG3SHJ5yR/IvkeyW3Z
/0bnRubvdym/q7Jzpmydu3XeIJ1dhX+LjN5k4IrfCxX7+jgZI35LbL/Lzvvk
prt7C+NQyE+u+5+i7uznQ96vuw/1u9vFq01l16sStepEXagr9X1EOiPy1Sn7
DH6l4MYL0qlpf0g6L+au8zOFcXus5jhHc+uvCZ+Xc8f7QN0+N5Zdhw3a/9De
J1u7C8u/NpwjWIDPeq/trSn2xW5jSr7Dsplpf7hu/D8ruwbUe6jsPMHm87K5
82T00nTTXKSWx9rmyS8VY0AtwfndpuMsBT7UHH3ieq8vpdckj/cZGzDC17fd
5uV89Gkp8nq2MIefLv7nFvmA04WQ4fUpYtP9oYZtjsn+R1pj8jXdMIfwOxJ+
lqJnj8jOgR5jwU5/IGMTe5zp0Yng0/HgE/X7reW6PChs1tqeAyN1270YnCMf
fkcuX1SdM/kebTifv1SX/rJric5Syzkut1yTseiNQeWf6VyT/mrL9vG5XWub
crhT+0rLsV1qOQb8E+fh6N3rM5AzMjzqDy7BV3g62XTPgRWYXcmMMTzan7s3
6pnjIJ59uecivIJf8BXe3qx4qzFDSzeYl/Dz8dw12arf5ODfcA1m2o5xIWLD
N7VqBh/BDtymoiZ54DoX2PKNetGnf0af0q/MIfAEa+pEvegnYide7CzEfETe
GW/BoPbXc+MzmLkP4AR623S3RTq3tZ0rc78acc7E3IaP48Gh++vuk7eaPtOX
xDlUmPdZZozA6qB0vmq7bswJatMf3AAz4ibOo23nBI+YI+hfVt331u2fucIc
Pxm+mOtbYrbvKJx7b2bewJ872tblHv7T08y02ZgRfHsld49QP2Ig9vnAnx5F
lxpubXvGvt30u8QsovfBg9l9fbZTY7DnnWQWI9+k2Lpka6BwfSfivaGOzBHs
EBc6cGW94f1G6Q83zZlD0e8rYZM36ET0wg+KbREc2p5vUxED35gL5ET94Rv1
XIk+gIe8K3m8BeAEnlnERlxwi/8Vc9Fr2ADbTrxV54KfuzK/H2/k7iVsdgq/
k5MxA7tyx9edO/bleEP/zayTcmM8G3yaDnyR32maA3BhMfLLo0cORO3ebJqr
m6MvyZs6/gd2GETi
            "]], PolygonBox[CompressedData["
1:eJwllE9Mz3EYx59fvz/91Pf7+/X9TbmKg2nEtGqlWi5GhmaTg5uM+TNOTuRg
w/y7mCI1Zw4OKk4ONgyV30Fo48DmVOnPqFSE13vP4dmev+/n+Tx/PuWHTu87
VWBmrVACupoxG4QZiJldgY8Cs/JCs3F0fcj9xWadKbNb0P0Ss9WR2TMAYvis
ga+D3iGXIm+Fr4+cb4yb7S0yqyC+PW32JQlm1uwGmI1gz5P7Onw+Z/Ya+yL4
ZcTeRdeAvRJdFbYRaBj+E7pCalsCbwHfLvB/I/fi/xlbCJ0PwSXHOLmasR8g
fxs0lnSdbDfxfxpz3RxyeeRvacB/D761yDnkbcgHkfdDyZj3ZDu2ncjPyXUH
+1/yd9GTCymPUeww9U4jZ4gZgn+S87cdo0eP4WugqrT3QL04TswOYlugOvCu
oRtK+Bv11kH8J+HT4L2Bnwt8Vvfo3yx8AI2A/YN6miKvSbX1Qgn68Qi8MfAm
oKPU/gGMt+TPE1ON/yhyPu0YjcgrArcF+NdEjiGsbugftobIe62ZFyN3Z/yt
mplmt4CuM+49Uq8GwO8DP8CnGaxWdHPmb6zAtgv5JXwPMXHsLcgvhIUcQ14K
fNbyke8ldGXwTejOBR6jWMUothZdKfxK6CK2tdQbT/jOLtPPmsBtwhDW4dB7
pxjFdoT+9gpq3kR9HYHnWoWuHv5E5LurmZ2MfGaand68CP+THFMpn1mA/XLo
sdoh7dKRIr8tzUSzUQ7l0o09YJc2Iq9P+85r92fY0W9Jv9HdxI6C+arQd6ga
+1TWd+MrPtPwG9CtS/ubz5D7bOi9F2Yltlnqm0n5joaR37RuWzPqw7a5yHer
jX41Z/yGdcu6Ud2qbkS3oppUm25Mt6Yd+oi9J+O3qpvUbeqGdEvauffYO0sc
WzdzG74/47upmlX7RNbfoj9Df0dB6LugmlX7ZNb/Eu3Qd/hfgd/WQ+R5+D+B
87rxZXgLfXc1E81mS87/FvVQvfwPxv2zOA==
            "]]}]}, 
        {RGBColor[
         0.7799537083333333, 0.46734475000000003`, 0.25285795833333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1Vk1slFUUfZ3OT+f7nfcNnZK0C9FEY7StidpSUIGKxo2aaNSFuvBvakKi
LjQxKhoES3RhjAhto6aLqlHAop3CwsSyMSYFNCFOaY2RCFrFHRUKMYHUczjX
xcu787777s+55943a558/oHncs65P7BasebanDuBNQm5UnLOYx3Laf2A9THO
+71zQYtzeyrO9XnplCPndiTONXB+Xejcb9DtLDtXxO/5Ntk9hbMSnBzHvh92
WvLOVUv6fSin30s4P57X3RncrcDuAr59Ctsp5HnIn0Gu4d4qu3saK4c732J/
K1Yi/dBtxSri/GWcXSzKPv2cLDi3BToHYb+O30exQshfVJRjb+bcE4Fzi9Df
l+gefTG2LxP5ejFWjF2WI2NkbFXIw4YD8ah6+fwXmNwBeTXsRIgrD/8zOcW8
tixciMl62O4vS+a+1uQBk49Avy2v2rAmvawF5B6vc8rf47xpmLOOaVVYdiOG
9V65DHjZGzDf9JvifBZ3O0qKcwLyPdCr4fudiHkxdW4Q8lPAZoG+8sKO9eqB
nW9aVPcOu8tYmQNt5nDmsA5D3g1cdkD3NOysoC4jeZ0TI2K1M1Hdjhnfal7Y
/5ipbrRz1knmfd4lD5aKwmq0KDu8Qy6s5ITDeeSwC7+XI2HAuvJeoVU2xqHz
BnxPIbZrEcvrsbD5CGejWHOQN8XiLH3xLm2zlqzjYKJcNiXKm5gy9wvw9wF0
LkbCa9b41tUi3/RLTpM/m5FrI9bd6Vg1bFrvsA4nLZdunJ0pCO97A+FxNhWn
fjYeTiWSPfx+ZxzlORd9tWK/y+ucfXa1F7ZXefXGbF5YsA/Ome83DR/i9FKs
+G9EXSYT9eHqSLzqN65uhE4TOtPQGU3FzUIkfrA2zIX5rVgvbGhVzP/3xozF
eSZV3/6NfSN87UFMNwXiI+UrfLI71B9H/WbxrS9Wr7Jnv8K9dw1nzhLmusVq
T+6zvrOGX5fhRF6T3+wf8v2I1e9zzIoh7A34+RMxtePuIGyGefUhudtAXmNF
8ZE+yA3Wmt+JA2fotqJkxk+MWU9iczgSly+V1U8855zZBf2b85pbHZF48QLq
1ROqxkXk+kkieQL7+VQ8OZfKBmXmss5m0FbsN4Tq3ffIX5wtFvSbPRhaLqVI
uf+U6X2oWe2GY9WuL1KfsF8+xH6fcXKN10wdsl7+OhG2dXxf5TWX27FfDjUj
rvGq5/aiMJkKdZd4j1SE1+6K+pu4cs5eH4qv2xNxdMJ6hP3AGBgL+y6wfuzJ
JL8aK1fWl/ne7cW/hwLN9U6r/e+BYuHcIp/IqxHIQ4FyYU63es3kuUzYkzvj
NovGLM4Z6z/y87VIuA2bvbrNhDDS23Yb7D0SqOYXUs1fYr4Z+6OBuMN3mN+o
8zDO3k7Us+9gr2eqNevPuK68DdB7JZafxwPxlbxdgs5ew64Wab6zr8ZSYUFM
duLe7V5cnM9Uk7rVlLXaZvViLuRo3ebiBnvn9sXi7d5Y84JzowGfvxQ0kzlT
Lkfi36VIvcAZR87y+6DpVG1uEtvHAuXCnPjec548Dfn+QLN/nddbTv5tjZUr
7bPW5At7n/xgrIyNuRRiewdg72CmHj6UqYac4awj3yHap59bYt3rDdSLnGWc
QZ2R/vf8mundZc89k6lXqbff/kecspk1YT3LPua8XLC3dSgWX+qx+pOx/5MK
/6bxpm46DwbiN+cYcWE9iSP7IfF6s5ZDzRvWi3xYyTTjKlXZO2p15TtHO9Oh
+oB1YA7LqXri/USzgDOhG3szkz1ykxwkvsSWmLUbbpz79N3txf2m/T85kYnD
5DvfD87xZ+H/r1R22N8H7H2ZNI6TN+TDf0NlbJ8=
            "]], PolygonBox[CompressedData["
1:eJwllElsjWEUhr97b+/Q//733t5bWkFiSpDQkhhinoLY2JBYIQgqkbCSSEwx
h4WFqRUREkRMIa1aWLARCWEh0ZYYEkOLnRo3bep58y5O/nP+M3zvOef9vlEb
tq/YlgwhrEOqkH1xCBf5NmMsKoYwOQrhrPRUCHvx3eLfRxKS/LuNvrDo2IFM
CCPKIWwskEzsZWJ68iH0VZPDr178RfznSq51KBHCZ2pXUTNHfh7ZTW4v/sH4
H+CfQP5N6nfj+0C9G+i7iImwXyNryV9Mfh3xnbkQhsauoVoZJBUbs847hfxG
7692/dPIX+x7xM+uMsZH2H85M4H9D7yDwPsnb+y12RBmYG8i/lfKmNZz/pma
EPbjP4hcUr+VEIZzxkv8f+hlC/GfwJ6inyb0RmpEWfes3seS05owxm7iN1Nz
OPYbclrpty527+pxmfDE7uVtOoTx5Dbw70nSNSehT8c/kPQODnNeGzFN2C+Q
62D9FHn2ymnhvAwxjxPeeRp9A/6GnHtUr/9iz+oc/bVTqxlMT7Hz5Kwm9ij2
fWq1YR9Bv0f/r1I+s5X4g/xrT7jHA+hXkddJn3kF/TsYPqQd87VkDolLW6nx
hfqzsHvBNoj+ZqNPRUpZ76wNfH2c8Yh6aeJ3YJ8sevbd1JyIbyTxgfgk0o89
s+xadUie3uqxWzI+o67sHWvX4oC40EA/z5LmXCN6RM5L7KzuA+eNy7t3caoH
/KPI/xF85mj0HPHPiS9jT8eOsYeg1yNzy74juiv6Nw+7OnZsDTIN+27Rd00c
uoO+iplkEuaYuHa+aCwzsVO1YCl6FuJQU+SdaXdt7LSd+KNgno+/Cpkl/uPv
SHmmmq04JW495cxj1LoGZ05lvPOL+M5iRwlzvhm9jxrNKfevu6WdaXfa6Tfm
cbzoWprJ8sh3VndXHFkAljWRuSQMLcROwr5A7BRibuLfUzB3NUPNUndMd01v
0gLibxQcK4zC+rPkt6MRLAP0+wv7W9qcFrfFCXFDmPupN6ZsbohD4tLOgt8O
YZha8Ew1W3EgG/uN0VvTgbyj/v2KZysOiUuDy347dCdq0RcjXUlzfgl6Ta2x
PQRjCb2rYi5op53oe2LvRnd4t7gQ+y3Qzpbq/ak4Vz1tRl8Z+W3RGSeYx3v+
deX8RteTO6dsrouz4m5HxdzSDl9V3IN6Uc4w/P8B+K7Hiw==
            "]]}]}, 
        {RGBColor[0.8275949166666667, 0.5503622083333334, 0.2697084166666667],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VltsFWUQ/ss5PXt2z17OnkqpQIsmtkSJFg0mWjAKrRUjiPEajUYlFg41
sQ8+qIkJ9YLiJRikAXwoRAMxthBv9UkTgUaKMcoDkYihlmptIRjFSgstGv0+
vvFhM7OzM/PPfHP59/LVHXc/NcM5N44ng+dOz7kVeKYg3B47dzTr3COBczek
zvVBNlFw7kLOuWk8n+Pdz0rnEPhPI+fKoIugewd8rIdODk6fgdyvcO7BQO+U
3we9AfAebL8C/3ZR8s2gs0PnRiBrAV0DXwehswGxxHg/Cvl74Icg+63SuX74
nSwoNsZ4HLIW+N0A+TTOexr8PtgNlWAP/ifQtYhnAnwZdCXi/D2vbxM4fzgj
X53gGzOKc47Fcxy2c3FuDR4f37YUpdcFujUnDMqmR33m8R106zxhdSvimwe+
JRVG1O1D7HW+5CXEvBzyK8BXw/b7rPAlZucT504jt3OJ3ikfgP0QnnroD4KO
ZGVbV6F4Yk8xLQNezcQ9VH7jOeXYiLN86FwNmgCDach2z1DsUUZ+iA+xqanQ
WTynukL+Thv+2VA1vAZ+ppH717A5Bn4tnlp8L6MOJ7KqGXP8FrY3QmcCNg+k
4u8HnRnK/weItx7xjMF/FvphRv04C/w/JeX7GHxugd4hfLsedWwFbfAUYxPw
HMsqH9L5nvI6U1Kt/wD9MlRv9EWK9zlf+j2xcOwFfQXPAPhXQccS9dapRNj4
hs9s9hV8zgF1yOEA+IGS+pV9W4asJtW8TJWUe60vHHbFwmU3aCeefeDz0L09
VY7M9eFAfbAN3z/EcxL8R7HmhrkT90d94TWK+H6B/k7QdxBnrafzODML0Gcj
kP8JeXdG9WPtzsG2Cb4+AQ43h+rvTeCHs6oP+3ZjpJ5/LdJuKFg92gLNWifs
dsD3N3nNeY/NQy9oUqX4ilWK8QmrKzGoMxxYL+LPOtci98M46y3k2G5xcpb5
Tvlm0P6C+viuSHasH23ZA6w/63IW/P686v4ibA7A9qVYtaJ8F+Q/pLJlz85C
DkXoDJY0W5wbzhe/H8nL/7JUmDaDLsBzBHpd8JlFbosRx5QvusR6iTO12HjG
ypg3Qv/jSL5zoeaeOBBvxky8GVtVqn00E3RNSbi1lYQ1MX8hVm8TO87F6kBz
+VciTJrs3GHba6eczrrM9sz7Re22nkh9dww1uRTyTbF21j2Bejk2rLhru61n
GCd1GOvSVP3F3UzdxDAfCVS3efg+iph+hP181O3XRGc1gH/cYm6L1JusL/fF
XsQwCn5PLIzZW+yrl6FXxTqCXmL3EXf//3POc9lb3CHcG+xT+iE+kznNMnFY
EYiuizRPY6bD+WGP0rbLzt5qc8z4GRt3GPMlhkus93g+a8L9MAq/C0PNxxvw
v7MgnIk386y2WrEfiTv1m2zHD9gOH7Id2xHp+22BYmvIC6PtiTD5GfJFke7R
Z0GfjBT7+kh3zrDViHky3zZgNlips+mX90NodwRz4q5gXm8azsSbO7Xe9uqQ
xcf54h3SnFUNGmz38OxVnjAn9tyTvEt4d3De6Z87hT14wu6C9lD37LpQe5r3
Muv4b0k+xxPNR63NyBee/j/oh3PMXmR/Lg+UEzFjLqxTv/UAdxZjIM78LyHW
9EWf9HNdKhyuTYUXdzV93hJqJq5KtbspP++rp9nbS2PtxVa7D+JUmPztK4+z
lgt7gXGwx7hLiC33SWx2jI1xXLB/qv02d7Tl3cm+m5vKhrb0l7E79/lI9wDv
cb7fFOofriOV71a7p3yrB8+6uKc9zdRDgSj/0dgHxIF9WLQaUt9LhQPx4M7i
94WQjRWE02eR9k1oOfJe3ZbT/82VJfU577d7A/UI+5Tz0m67/Yyvuh6Gz5OJ
ZNwflZF2Tg709Uh48T+OOTNX/ndwt03afuP8DdoMctYP2rzzPuQsMwf2wkrr
B2JwETvwvZH6sDHQ/wTlOwraJdwpnEdissruv71F5biH/4CR9Pj/8m6svuuO
1fu04Vn/AQzug1g=
            "]], PolygonBox[CompressedData["
1:eJwtlVlsVVUUhre9U+/tPfve0yoUoYiJlGADRTEmCsbQVkVFTRyjkTjRUkkE
E31QX4rggEMaEQV8KARBEktxRF/USCBajFEeiESMVdHaQjSKSIWiiX5/fh9W
stb+1/7PXuM5994VNy6vCSH0IFnkUBrCZ4UQ5hdDWIz+WgzhB4BpnFXLIWyq
C2FfJoQCZ48m3EOyZ4QwBMlK9Ao+U/H9EryXuxdzlsf/FvDN3H2Vs4Poe7mz
Bf1EJYTRXAhLakPoqg/hfe4vw78D6SyFsBaf/XA1g7eAPwNfI/YU5HJ8O+t9
dzoyC/653KmgR+RssD7OBuFqRZbhP4uYirzvc/Ac9hvwj8J1BHkz+kzYJt60
kbcNwVEFG+bNk8EGsfeAb8MehftW+C6B7wv4t2LfX/a3VuZDWFcN4UHwGwrm
mAh2N++bjt2MXAPWgZyDfhh8O9//Dv7I/d/4xjH0B8CvBb8U/CQ1mQDHedjD
2P3RNVFtxHEFvr/X++51qiFYR9lvn0q+29EbkRkFx6zYdSZMnAu5P8435hWd
Q+VSPTD//7NsQwhjxLgLvnbuR7DWkuNVji9KXAPV4i5x4L8EvD3jmqq2ilmx
X4m9Cvv16N5RTq5OfSZMNV6TOAbFsghZDt5TNl8fkgMfQMZqXIPbwCeBH6h1
D3+NXYvshmsSMRbQ28Cb0L+hviPUdzf2QxnH8xFc7yWu7Wnq1yg+5G/0D+E7
RkyT691b6oEAVkGOgx+GYy+xjyN/YY8hDWCniuYSh7h6E/duEf95fLs/8Wwo
hzsSz5RmS/lU73Yrvoxrptr1RMezB1mF/hh4Ef0r5E5ynU+cm1+Jbzb3V0f7
DmHPxH4C+1PxI0+hb0W+z3rGt6HvSpyPbt70Lvo7iXtvEPtt9Jeq7m29ubfq
mdRsagfczPePktNv+daT2EfQX0E255z/+8DXROfqKOlbhL0jupcngN+D/Vb0
LE7Efpjv/cH94Zxrptp1p36/7KXoK5Dryc0475kDvj91rdQT6o127KaCd84C
9LNS10Y9fCb6er53QPWA7w69h5jW5x3/B9x/PHoXjfDeheCzufNJjXdIK/oj
iWulswzf3xBdC+087b4/K45NO0677uno3KtH1CsXwFGGKyJz0Z9LHEsDPs+j
r+U9PXnvAO2C1Ykx9bh6XTVQLeTzIvoA/CNZ7xztngHONuRd09Ml94R6QzVX
7TVTmi3l8DL4TvLGX3KeMc1uX/Su1tmpintIvaQaj2LPqPMsqSbqLe0w7TL9
A/QvUM1V+0P4/Iz/jyXvVuX8ZXyPczaS845/Abu5zr7qcfW6ZkSzop34LLGf
n5pP91vQF0T3mt7bpv6tc+32qd74d6buNb2vK3VNhSsnO8lNtcG7Sm/4t947
XLtcPdOWuiaqjXqiH/8u7p/IeCaXov9T9O5Qfj8uOya9TT3/U8kxKTb1cAvc
U1L3rs6a0K8qubcU70y+f1PJ/059Q9/SThK/dox2zWLwg1nPvGZ/TurZVA9d
mDpmxS6fjdEzpFlST+zEvr3kXtc/fB32f+DPDIo=
            "]]}]}, 
        {RGBColor[0.8687117500000001, 0.6367591250000001, 0.28365825], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VmlsVFUUvu0Ms7w3b2buTE3swmJdK0QLxKBRa0DrFmJjJS5EEmNEloTi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            "]], PolygonBox[CompressedData["
1:eJwtlWuIVGUYx9/ZGWdm58yZPeeMQu5uN4NiS2oVRPuQpWUWBKXZTQoi2FqN
3C5EQUWKBXZRM0VQzFRsvawZRltQZolRZoWX+lDtZmZFEZRbH9pxTej3578f
Xs7zvM/lfS7/5zkX3tczd1FTCOEZToGzPAnhqWIIu8shrIu4qIZwAIXJCC9O
Q/gqC+FEPoR+7oaRF7n7D74Pfgj+GPJD2H4C34FsAedf5DnONHw9wnmyyT5u
jkMoI/+jaPvFtRBe4wzy1nHOZuil6PyMrAX956CP438A/4OcH6HPci5oRgf9
G/E1F5uF6K/IhTAH+m7uRrBtcHcFb+8iv7XIZqL/JvSa0XyXcrcaOkOnjP6E
Ugizse3nzeno/orOb+S3Fp/fFJzfGuhH0R+AHuQ8Bn0JNmMKrlkOfm/st7Zh
vx/7J2LL5WN+JYSe2PXbD38D/IeqEfzXvH8SX9OQfwn/BWcL9kvgG3m/WUf3
dnTuhJ6C/R3Qt8TujWp8AP2Hq85XvGq/mbtDefuU7wdH/R3Bfh7vvwTfCp1x
OtF/n7MobxvZHqHen1P7vfhr5b3PMtfmF06A31Jz79qJv4bt1Nix/8Dd68iu
4a6ed89L6G+qWZYSYwe6t3HG5tyzh6C70bm+ZPw8j+4+7q5Dfx09b6uDr9j4
OsjdTcS/HZ2TBfuQrz+b/Z4weZRYl9Rc613CG7Gsqjl35bMS+qPEWHkH/ffQ
/zQyvZN49yWeCc3G5fjsrhqzwu4E7jrQ70U+v8k1W4/+P5HfUo8jctkD39Xk
HvciH6oYq7LpbQnhWnTaSu7pTOh7kY/LGePCeoPvJpWa72nlQwyz8u7JYfjv
sJmOfYZ8BL6TM7HsmdpIrB8kxqIwcabimqv20pmE7o7Ysz6P9/vx/Tb8lfAb
eHMYn4dTY00xDMGvQD5e/SOGq9G/C5/HCsa4sN6TGksV5FchnxJ7NqSzmniG
ybk15/ga0Mtq7qUwLCz3JZ6fPt7bCb2j5lm/iBzH4a8d/2eLrkE3b388ul+U
3wh8AfnvRWNAWDhR8aw/zd3KxD1X7+Xj3NQ9Vq+FMWFtfWRd7Qjtxhdi56qe
LINelbg2kr+auMbKZTzxxcRyKnPu2llDmXeWdpdq9iL2ZyK/rxk8j/dfSYyt
W7nbgOz8urH+uOR17wTtBtVEu0U5K3fNyAPITsEvzxljb1DPqfBJ2TrCSiNy
bTUzGfpdnFkl85qlpqp3m/o3EdlB4h2bN4b/jowpYUs7+Vvkz2JTKzh+7RLt
aO1q7ZCXoXcnjl07+V3s2zLvireoWWtmDAvL2rHn4G9ri3NXDn9VPPOafcV4
P/JJqbEQwU9OvYMVbwn+MvjZFc+i5k279Z5Re9WgXfOReVcfhR+AXlA1HoT3
hdDfZ5bpH6B/QWfqt2JOEf50s2PXjBXox8bItsK0sC1MCpuqyeLYNrLVDO2J
PVPS15s/VfyP0b9GO2sbsV6aOhfhVbtSGBKW1IMZVe9U7VbtiBmpd5h6oxnq
wl8+9T4S5sdA/w8JHAyA
            "]]}]}, 
        {RGBColor[
         0.9016150416666667, 0.7067008333333333, 0.29478933333333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVltsVFUUPe1M79C5507n3v6BgpiI4REUJbY/gP2RH9FQY4z4IBoTS6Ii
SloqwaRE+2GCiImhlEIfKW0ttS2+AKHF1irEKFQUIlWxSIpBBAGNj2CIa3Xt
xI/J2bPOPvvsx9r73JlPrq58rtA5dwK/FH6jU5xbV+zcMazvFDm3JXCuG/jl
0LnzkIPYufe8c09D+abIuaUZ7Ked64CRCWC7IXdBboCNXvy2Fjg3AlsXcPYN
2LkH+0vw64dcgvVG/BKcm1bq3Es4Nwibr0K3DHg9zg5kJLdCP8Hdf2Dvb/jy
OfBWs3MC5xZCfgjrlaxzffC7s0Rri511wA9g+Rq+N+H8y/Qn71wB8IPATwEf
zMuHz7BfCHwA+Pdecf/MPGCvBzZ3wuZ2p/tbzIdLWe21494KYG9C/y3435GX
vAc227DXDZ2ViXLTGCg/K3PKWzlsNCD+CtzzlOV4AfBK/K9OKafUn408BIj/
OOxMhfwv7IxC7ob9PbB/FXZmw84gzrTk5CNx+sm76cNF6Ax72f0Ea3NOeSzD
uWvYWwv8QF6xUp/xDnnhy6HTCf0x6C/F/e+ar+TFg9g7B7krp7PkEPlDH3qL
VItdJcJ/y4oXv1puw1jyVeSqPVAemcMtJtMOc0b+MA+7QnFlG/wcglwNGwcj
xcO4VkTi0ySvoNNRIh8u496mvHyZj/0PQ9ntBTZod++DfBi8/T0Qb7iSe+R5
c9ryAnwR6rA7EOcn+R/ovg4vvs+C/UcgLwK2EbYvooabgacR6zjw9cAPQafJ
dOqgcz/+3wlba7ziYVw/xeqThSnxknvUeR7ri174C1YH8mUj8lNbKB36T+4w
J/SN/V1jPd7i5c8tkXxnDIxlU152GuHPiBd3+oAtg94d0FkNrAK/b6ATeXGN
Mrm7H3JVSvHsTWT3EM6eTuks4zln9zD+PpsV9LE/L66Syztg93XcOxN3Vnn5
sw3+HI3FSfbTUa/42N9nU4qXcd+XU51OQnd+Vvz9pVh30wfy6gfL/+FQftN/
1uyGRDPtMdh4APWdZjOqKNYcSGGdmtHMYc9szivecdxzcyT5fdj+GHgP9I+E
4myP9ftJr5nD2TO9VPHPwLozJx9ux/2JV3+NQf4u0Vw+hfUJr165BJtfeMX6
KeR9kJ/BvXtZEy+enge+yurAPD4OfBjy9VCzlzF1FmoGkz+J1ZX5uQu+TWQ1
g+dEmq20z/+cTcxXfaj5VGWcYz6oQ90xL9sXoPNPVvm+F3bqLPYyYGey8u8D
YBsCzc/tNs/JJ97BvHHWk39/herJLxPNg+MZ9eCZWPI41j+LhS2O1G+Mnb21
xGp2dyz+M5/Mb7nXG7YK+JVQb9WRRHON+6wD+cf8zYG/MyL11o+QH45Uz7Ve
c4VvFWfKmlg9yjdkUyT+LPaaBeTXvKzen3WBbL0GntRCbgiF1RrO3Oy3+kXW
a+QIe5U9Oxd2bvOaQY/izgWJ8sbZvxW2ehBLf6I6MZddXrUnB5ohl3rxoC7S
PGBPsh+etRnOWT4PdqfAfqGXDnPHvPD9IU5bs6CThuy8Zgr11tvMYr8NAE9l
pMM80naN2eHbdT0QV4oy0hu2Pq+0OTQ9ls41YAVeerfG6lvewzlaHatXa2LV
ln6wBuwN9siovQkTNgNHDGcPHUvEyTp7387aDJn8LknLN+KnbXax99iDbdAv
t95oBfZVorpwxreFwrnfavJHXj3J3vzWqz6sNzk/N1LvsI+JbTB8mc0xzrOh
SN9Pw9H/3zc78vo+eiUQ9xrykttD9RU59Db0l+f0vVKJtRE69XzLQvvOCtTX
/wEwDW6/
            "]], PolygonBox[CompressedData["
1:eJwtlllslGUUhr/OTGfamX+mM1OvWNXgBgRFieUGsDd6AYhUE+OG0RskcUVS
RaMJRomQaNHEUArYQqBAqW0xhkqRpaRRYiJURQJVthhQKbJpFINRn9f3vziZ
c/6zfO93tm+ue/K5hmcTIYTlUAqalQ/hg4oQbk+GMBu+qxhCS5rf6hBG14Zw
gd8pGI7IhDCj5G/SdUNj4LfjMwP93VA//J1ZxzoOzUS+F9rJOXcgz4E/Ug7h
YFUIrwLiWBRCH/Qg/FIwnMF3AWfcw1ntfPs5F8JJvj2F7w5oHP7DnDuZs+Yj
f4zvCvC+Dt438J+P3IJPQ8I+TeiGiPdlxhh78W+AfkS3CLpK7FXI32FfDzXD
b47MrwBzO/xJ/L/Bvx7/PvTniL8Z/Rn8n0G+AX0SfSVUgX1bIYTdScdshU+i
/wl8v0AX8Z2OT0dwzFPoduHTmHANroCnyLffsP2CHP2Zcw6Px3j7sc2iH0Y/
gP4S+kHFIFZXJXhrnEPlcik2Ldz/Gnx2cd4U/F+E31+2r+53nlzWxfdXDdYT
7zb0hxK+w2T4K3z7PW1MwjYuvu+7+K8l3s3IaeR9+MyLHFOxFaMeOQFVZWxz
C7a9yE8n3VPqrQngbQrWK1YPZ3aCbzXfJqEL2KcyPlO5bo18lmRhGZ/3fRVz
gupTbWzyuRH9BfB3YH8O/Dnk5yP3onpAvTCIvDjhHj0AfxT6DP5v7Edi34VN
HVjfQt5IrE8i95Z6UL04ixp/CN9J/s+D9yw2m4j3D/Zj8D/KfQarXAPVYmfR
tVTN+7G9qeTe0Z3+Rb6as6/OH4Fubt72wjiAbiHfyknHewH+28jYVZ+SerXs
XCqnX8Mvwb8mZUzCppnSbKmmZexnxvhbodkFz5Bm6f8Zgl9V9N2V49Pcbwvx
FiSdY+X6rpJ3g3pIszQJWofuTXya8V0YufdGE78JXapkbJqJSvixtd4lzdAo
+Oq4v1WzJ/BdH5mXfQLdNvC/n/Y87iDePDB3pFyzw9heBuM2atHGt/vQfQqG
DWnP11/oPsf/FeJt5Vsv+dlQ49q9hrwa3X6oM+19od22BHlavE+uzzvHyrVy
eChyj6hWyu8Q8iJoZYVj7OXsiVnPg+6ku+mOuqswjIR/G5uX0+75lZy1J+/d
qB2zV/uKO6xLeYdpl43POvfC9Ahndcf9qR2gXTBdmJDvR25EnlNwLhRjbsE5
U+7e48we9ULOu0IxFKsv1itnu3PeScqdct4O1sGy76t8Hyw7x4rfTQ4vYfso
Z07LGL925cWsd5NshGU4ng9hfIez1hbtq55ZIx7qCa5hD/xU/Ldie5r8P4D9
5ZxnWfnULhwCw1DCM/a96plz7+k+mt0jkWulHlGvKKfCppiPIz+M3Jh0zR7K
ewY1i9pZE0vOkXL1EXg20ivX5v32aEbGKlbBb4EwbCr4jdJbpRk5Bfa6rHOl
80eB76uyd7tmVm+jek69px5YVnSPq9c1I21gP1vtXdjB+Qe0z7LGopnV7nmp
5FprJ2g3PBbPg97QqZHfPPWy3vTtnPVr1rHkr9n/IX4f9CbrbV4W96Pe1DU5
z6xmVzukFtt0yW+ZZlK79UTWuVjMt+X4NufMK4Z6e0/Rs6aeuFW7O+//Cqrx
APLhkneP3sQ/ql1j1Vo12Yf+P+Q8Qk8=
            "]]}]}, 
        {RGBColor[
         0.9197339583333333, 0.7470231666666667, 0.30084666666666665`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlW1o1WUYxp92zo7b+f//2znzSxC9UsxmSVBJUVjQC5UJmyzS7czVkvow
VjRmIylFS4hMok9tTHt/WYa6xDTMnI4RhTTHZmo5tRIhkxALiqKk39X1fHi4
73Od+7me+7nv637+V3Y9tfjJqhDCCCvHOlsbwgbsjjSEHoBR1l0EzM3sN2Hb
sLtyjnu5FMLj+CeLIZxh7w35EIaJuZG15qIQToBX2D9GzD3YFfAOgLfz/2ni
G4nfiL89NZ/OHyg5fh74K4n3rcW/KvO5a8Aa8ffgr8Nvytl/jf0LwXdj53Nu
L9gMq4/9l8Z8ZsBvzcwp7j+xU8Qsx5bLxOBPk8sDmbEe/Lujv434AfxryHkQ
e39m/vuwx4vm1zk/g93Meq7K5wlXPXTXnljP67GfzwqhBf9CQwiL8fs4v411
O347trOOPNmzj71/xft8Rm2q+K+C/w65TbBW409inwZvZm8vdkXZnOJWLofw
n+esm+B5F85WuE+VjV+g5rO421rijsBzOed9in8F9mpi2vHfBC/MDuFeYi/G
Lqtz/FHw1rzPKvH7mbLtAvBxVj/+GDz5xHkeBFuFbcm7TxNl1+EXeI/z34vi
bPA9xCuu00XXbZC7/0Hcl/x3mH37M9d4J3Y6M+cU9ndiRomZKrtn6p36eSp1
Db6Off+4Gg3Qmw2qL/xnwRfWGfu1aI6Rauv3pYI1+b+fuIebU/fkJKs/8op/
POalu0vrO+Pvr/h/f+p7S6dnok60Zwx8L3hr5iX/FnLYnVm/P6jnmfk0Q9up
0ZaaED7Bvg5vs/KKc7O0yvpu5i6vEv8bPCsLjpfe/i2aR3zvJ47fmnkmhf8j
jdS7PofKng/loDoOF3xn3XdHzm+B5lZnK4cB+PaUHPdFyTXorjKv3ga9FYr7
Juogl1hrwm8Dr9Q4V+W5seS6bypZc9Je9WzPh3zlpzlSrGZMutZZuvOPMe8F
3GmE/UPwbMNujXrQTO9NfC/V+HzR+1SzBHyd+kqO36Z+Ewpgl8D5Av53YEOZ
NSAtTGaux1jiOqqe7yXWivQj3o/q7Q/XuybKpzvu0d4DcC7KrKUHM8+AZmEG
/KecayXdHEudQw37TsR5KeI/lHfO0s3h1LOpGV2Suq6riTlG/geo3d/UblXi
/l3GWftK1mEfsbXEXIt/HfU4WPTsvwG+KbWv9+Ct1O+P3qHJov23weYV3Y8R
cn84voNLMvdLvdLMKUe9acqzjT2N0qu4o98ExyOpc+jEzuGMOfhzwSeK1tsQ
+NI4P23YjtQxldRvc1P8FkwT34n/YWrNKTfp5Fyt/98F3lXj2dc7U5v49/IG
vzfz8+7leOIetHDWlsz4+ai/jhq/F9JsJfp6r3XH0cy6fqLgHnREbSvmjrJz
OBffM2lV9elOPbv6Ri2Kb5HepA9S32UYu7JkzmdL/i4qfn3iHuucPvDvo06k
2cdS16QLuyzWSnVdX4r5YB+NNVf/j2TW09HMMyXNSKuD8dt3p74bcS70zeyN
351+7H9/PR8p
            "]], PolygonBox[CompressedData["
1:eJwtlmtolmUYx2995w7PYXvf9b2yMI9JH0qKjhBGQYabdticrZYUpE6qpSRl
eYrIJPoQLTYrtXIa5jQPy+mWSy2y5nBzWqYzTWpFgQWJHaTfn//z4YL7uq/r
uY7/67qf0Q0LqhtHhhDehIqgpnwIN3PxRHEIizn/UhZCZ0kI1+ZCmByFMOqy
EO7i7hbuagshbEhCqEfWCa2IQ/gKfjd2qjDWn4ZwG3QE2UH0/+K7Zeh0wI+F
ZqE7GXkP51fw14q/7dyt5vtd3F2FbB58HfFMheZy3otOG7qL4PuQt1c6tunw
b2F7rfThd0PL4ZfGtlULtSJ7Lu/cHoffCn+EHLpL7EO+zkBd+H8B/iznl/h+
ZxZvLfw8fF7k3FAaQhmyw9y9CF9NvgPIxqT2rRjeQzaSms1ENh0fT+FrAPpo
lGtYTC2LFSO6F6An+fYO5GPQf4MYbufckjj27dASdEenjmcWtAZZf+Lv5T/g
653EMuko9lb0xyK7k3xaOM+Afsw55iLk4yPXWz1/SPVI3bslyL+BH4pcqx3Q
FalrJv46dIbJoQ5+nGzBL0Q+WHCvL2DvvnL8Qa+PoE/kvLECH+j8jP7zyA/y
7cTI36tmql07d1XINlPfbfS2irszOWNqH7Lj0LKsXsPCEv18mnMT33TBNyY+
f8/dPXzbljpW4WMLsn/x10w8c+EPwG+ttK/FYGIVtmoS91oYvVr4hc/n3PPV
8KfhV3L+CfoCf3en9qUYupB9GTu3G+A/w96hxFhV/JqNvgwv6sEBdL+FX855
BjGOILZJ0Phsnq7B9oTI8aif6v2uxNhQPzs4z4Em5IyZZuRrqfHsUmNsPeff
+P418q3jrp5c2yrcC2H+T/q3IItvCBvTUutIVz1Yh24td8M5z8PnwlbBs6/+
3oosIocVWT0eUC0S88K8sH9vatuqz0XFknetFaNi3VThXrRw1573zAoLwsTs
xBiSL+Uwrdw9V++F+YHEMyNemChB9jc5HSK+9fi/Hn/dyKcWuWfqnXJSbtpp
vQXnIPtzoI/5/tfYvVZPvlNtCp5dYWAh5z8i41kxK/ZJfF/DeQo+NnN+mxzm
53z3AbZehvbm3CP1qjS2bfnQLlEP1ctu+Inw41Lra6f24+t8mW3L5qfo3hh5
PymneuqRiz2rwpNmW5jtyPZdL7rzE+emmdBsbMzws0c7Dd2Vsc+K7zFkpwvW
1c7+oeAZUa6q6YmCMdmZxfdh4p0vXph9BH5KZKwLU8KWdpJ2kzDfm3hHilf/
jsJfIr+BEs/LTejuT4013Z3F33H4+4ucs3bzUDZ/ujuG7OvE+WtH7I89Q5ol
4WFQuyCxbWG4RvOUutaq5zl0r0y927T/PkF3Td5vkd6DDfT3UuzdJjw+jPx3
+H+yfB+Fb0zNa9/3YW9T1k/VWLVuIofqEs/DYOodKXva0YfRf6ZgbEnnWc7H
sv2mHI6mjkGxCHPnI9uQLc3YqcQ7VPtGO+2/yBhRbtr558r85tVm+0xv77vZ
+6AYlJt2onbjUr4/yfenIp81I9rF2mmaXb25e/KukWqlN2Ob3v7EtVANVIt1
2fsrXrXSjtRuULwnkbVl/wvCuGZDOSpXzcQJZJenfutkX29TQ7bfpK/Z2JL3
rlikfgvblX6LVUPVUhhSv/XGPJh6x2o2hBFh5f3Ys6l/jmZszSz3rlB99VZp
hyleYSxGtzl2ffTmvYp+T2rfqvm+1DtReBU+eziviv2vIh/aDf8DyypQoA==

            "]]}]}, 
        {RGBColor[0.9283803749999999, 0.76638, 0.30373225], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VllsVVUUPfLKe333ntt3Xw0h/mgIESWC0mhIKJN/yo9RGcqgsVBQFKxG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            "]], PolygonBox[CompressedData["
1:eJwtlktsVVUUhnd7+7r3nNt7WydONHEgDhSVaDTUBw5MfAyMGpIWiuFRNCpB
E6WWPoDEBKm2oKKYWKC2JVJKAxUUeQgW2opBKKUtSEsFwytRcCLMjBK/P/8d
7GStsx7732v9a+9z16K3X34rP4SwllXAml0aQhfCLuSHUyHcZH2Sh70ohM5s
CL/HIXxMQCffoiiEKb4NYVtYEkJNOXHom9DbWfuwL8V/RiKE86zn0yG0Yu8p
DKGN/C3IndifJF8D+U6xVy/6QnzfIH4N8fvJuYfcK/E5gv+JMr4VE4v/dfzP
oA+hjxBTQf79+Iwj1+LfT/xZ8q1F/gr/4sgYhXUd3ybQK8jxSMJ77MM2hv9H
2NrxL8TeRL5p1KMJvRG5Nrb/ddY89ltKvTryXINz2Hsj16qV1YH+G/lr8P2W
dQf+l5LUCLyfUYMPMyE8K8zBNXoO+RtWNfv/iM8oZ/sn6V4sxz6FvjN2vgfA
9Ae2Mb49iN6Fz030EewtOfwFYHmffGX4HsGnFX0V63WwTUOvwvdR8Nfjux48
zeD5NXJ8P/pZ8HenvdcLfNuKPM63zXmu0Wnk18hxH7kOgHcYLHWx91aO5ciJ
yLr8h9FXoz+FvICYe8i3Ke36rgf/VfDXx+aWONYQmwPignza8P0lMhcaiB9g
/3dZNdi30r9GbEWRe639zxD/E5hmIW/gPEeRm7EvyeXbSL4B9B70F9FPoV/B
Z1W+e3wV+d+Ua3+NVZ32GXXWXvbrgy83ku6V6jsdeyoyfvHrgriUca9VY9V6
b9ZcfQf7QfGLNTPfPa3Ddgx9h7iPfpn4a+w3WWx8o+TfqHlLmCPd+A6iNyeM
+Th6SWQ+ivNTxH8du96NfBvjLPNiY9HMvYLcHbs+so+nPKOaVc1QH7n+SnnW
HgPDHLCcUD3QK4j5MnbNVfu78a+MXRPVRjP6BbbF6C8VG1MSfTurr8RnmMFe
E2mfVf0+q/PFzq09TrLXxdi1VE1jYg9Hnu0mcY6zP4HPAPUaZE2iH8d/RcI9
VW/vj429glUF/m3ssVizAN/+pHdPo0+ij7J24j+E/kyBe6BetNC/zws9s5rd
/RnPhjj2Jv0cKvPsPA6mQeQq4uvJ1U/+yrTvCN0V+vYfWP9OmuuH0XekPZPi
zknWzLTvCN0VwnhetY/sqxnWLG+PPTvisLh8+20hfEDOQfAVIddSg7o8z8R7
yD+A93Ch66+76s60Z181XhmZ0+K2+K677Rb9mp50z2o5z0PYjybMT91l4oS4
oZqpdsIs7LqDlhA/J3bvVI+5krPmhji+gthDGfe6C580+ljad4N6No68OmNs
OsNx9tsQ+e7RHbOGXIO5/lSyziGfLvPZ9aZsIfa7rGeri/N/jzw/9tsiji9A
3pO1TWeYRXxbbKzCPMx+Y1nPmu64UeSfY981m4nZG3lP7a2Zu4JtW8Z3r97M
HuT2XD7N2Aj5DuXy6Y4/mPWboLdBM6BZKKRnPcE9VC+Pxea2Zl6z35E2P27o
DUO+lTS3VIPL2O+NbdObORt9NOVZ1nm3YNtV7rf2Vey7y81ZcVczMwGW6jJz
XxjmItdnPRviTwPyotj5dIfUIJ9O+S2U/innvZBybnFEXKkodb01M60Z10y1
0z+B/g0uZt174b+EvCx3f+tN0tukGdYsi7MHiF+X8d2tnMq9O+t/C/2TVJZ6
pjXb+gfQv8CyMt8X4rC4/D9zPU2v
            "]]}]}, 
        {RGBColor[0.9317642916666666, 0.7740893333333333, 0.30485575], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV2lsVFUUvkxnHu3Mm743gz9MTEzcMQKupGUxEBMDkhCMYakxlIQCP1iF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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhnd724vce9p7WqYHHxTigBGIUwISFGJiFBKiMTI9WAwCD8oQ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            "]], 
           PolygonBox[{{4023, 1470, 2818, 3687, 3688}, {3974, 1425, 2763, 
            3635, 3636}, {3645, 3644, 2772, 1430, 3984}, {3688, 3687, 4307, 
            1727, 4309}, {3697, 3696, 4317, 1735, 4318}, {4030, 1473, 2829, 
            3696, 3697}, {3987, 1431, 2773, 3644, 3645}, {3636, 3635, 2762, 
            1424, 3971}}]}]}, 
        {RGBColor[0.9218037083333332, 0.7681102083333333, 0.301512125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV2dslWUUfmvp7e397u373YuAgAMkjggmgECMwRUQgyxliOy2QUChlu1A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            "]], PolygonBox[CompressedData["
1:eJwtlndsllUUxm93+w3e9yuioBEh4AoYFcUYIdEEHMhwAAIiowVFFAFBjFoB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            "]], 
           PolygonBox[{{4188, 1615, 4190, 3637, 3638}, {2844, 1486, 4051, 
            3694, 3695}, {4192, 1617, 4194, 3640, 3641}, {3692, 3691, 4047, 
            1484, 2843}, {2842, 1483, 4043, 3691, 3692}, {3638, 3637, 3949, 
            1408, 2750}, {3641, 3640, 3956, 1411, 2751}, {3695, 3694, 4055, 
            1487, 2845}}]}]}, 
        {RGBColor[0.9010664999999999, 0.7548251249999999, 0.294766125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mHmQVNUVxh+zMNP9uvu9bohRoqgsiihWOYmpSvmH5QaJUrFCSgSGwWF3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            "]], PolygonBox[CompressedData["
1:eJwtl3uQjmUYxp9d7W77fbvf++6ng6QTkjSaKH81U4OiMDWpFHa1uzlXlqIU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            "]]}]}, 
        {RGBColor[0.8445788333333333, 0.718612375, 0.2768047083333333], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mQmQVdURhu8Mb5Z338y7970hKu7jErcyKiapLOIC7itg3FB03KIMuALD
oomiEZSAuERJiUkF3AAto1UCsiqCqKkYFcEFFBDEisKAuygK+T//TtXcOX37
9unTp7tPL+e1XnJN36trkyTpr39dNPYtJslkPWsEv5MlyQqNX+VJ8rLgdwR/
KnhtveC6JFml91mNSTJTzzWa/7po3hXuC9GsEc3bonlf7yuEX6nxG+FX1/sb
+D0a/Q78V8ETGpLkTj3XVpPkoJok2dScJKdqzmB93zPVu/AbRbdR47yq156j
8WnJ+5SeB/QsEf2tkuW1UpJM1LhIMizX/ETr/Eb0B+h9meBXNL4t9NZayz5D
8OmaO0Rjq9aaou8P6XlU7xPFd77mPlrjcZ6eN4S/RGu0au7vNK9RezxQ9Ldo
7uOS6XDhn68kySThpop+YuK1ofmZ4JEaE/SWeH10uDjxmk81et2bxeuXWvM2
9p143aUa79a6J2vOzVr3L0Xr4UXhh2nudunvasGL0Yvm7iva+VWvMbtk+o6i
19tR9D/RUxZ9p75NE02NZB4q3DbxuUr4zfq4g96HSpZlNZ4D/aTMsn4i/FLp
c4ngtxLrCP0vEnxVo/W+h4YTJet1GncX/Sjhm+uth3M1nqP3BzT/pthvj7D/
QOE1LTlEsr2o9yuEb9dzhfADNJ6sj9fjR5rXWTAeuuvF87xG2xCYEf03ad8l
PSeGfyDnR022CTIhzwTRXyh4lnDdm61n9I18k4IPOHjcL/hY0Q8WvkPwA5Jh
cp3x/SRfP8nyiGS7XfxaRNeD/Qb+4dRrPFtn3xvUaH2hK/Y9KODDNK97vW2B
bLPCJ6dqrZmCHxH8pOB5gp8R/HRm/JfiPyMzfntqex4WfI7OzfMi7evY3D64
a2qbHKl1u2tOD+EP0fsRuWVFZvYE7lA9gxLvqafojxT96UV/A98ztw/uonnH
C75W8G6Cj8otw5G5/YLzwB7R2cmhzzbJ2VXvUn1S1diiRyZKjhP9ZK21p+je
FNwNG2nfbwjeiRhUMA3fh4m+q8azNXeg4PEaGxpto+lV85mmcaJkOkP7ukdw
q3R1PLYTbozGukbHgpEF409JrJ/ucX53Ff1Rgu9KrY9z6rz3k5scE4gNZdEc
LvzY1DqC/tTQG+/4wy6i6SH4ztS8Dw/8kILxRwjunTkGEgt71Xsvd+r7u0Xr
9gp9L7ZYvm6iSVu8Rqvg4Tqss0X7imiu4vxo7tUaZwv/ufDzNX6op6y1/qtx
iZ7vhP+Xxm5F25V93RH+wTpjRVsvPkOFf150X4t+scZ9Ss4LH2qtuZonUyav
lu0X8PlTwedzrfDkHGLQJ4nj3g2im6fvKzU3Jf6K4ErJOVL4uexV+BGC52Bz
wY/p2z80f6rGJXrWaY3t2m9ro+HViUfenys4PrA267L+khrHFnytGv72gfhr
C8lzkvXTsmmGV+yznJ/bxGNK5EfyJHnh/qLj8pbc8rOPz3PrHN3X1doX8cNN
tX4/H5uJd4vgAYJXik5bThaI12GZ8f1L1s0G8V6msT3xXPhMrZjnNI3LNVfT
kvlF58YNkQsejPfRovs6tw7R5Ze5dYguB2k8THs/mPwq2g/qndPPyez75MPx
wo9rtN/yHboFmrct9/sPMa6Nue1Fz+FcnZo5PhOnT8wc/0+MGoDcP198js3s
w8SJ1Zo7UvB9OkNHZ45LxKfmzHLeLiX11Nzr6+x7R2SOM8Sb5cLvLJ7Piudc
6WW0aEbo+73ieU/R+XiCvh1S6zgwpM7nFN/eWHacGSz+bSWv0Tt33iZ/EPPJ
ycRfYu9w+cKwBuuNMzqqwed0LH7Rxbb9bW74Tu2lI+jJbYwdMbfcYp4P5a4F
qAnGFJzDyeWjC9YFOrlMcg0tOC4Qi8Y0+B34vWbXOp0V10HA1Dwb9b5SdBsq
1t/wWPfakvVwYJNrrhvEpx8xTXxGa/yoaNzIwMMXnv31/Z2i7XJp5jNBrcC5
aCrb5iWNKxq8LjUSZ4X3NYIPF/zzsPH7FddeF2ocT+7Qs1zze6aeV0hdCyIf
MvD90KCpaTFcyh13WR87kutebXAerCt6PdbCPlcVbCPiULeIReQHRs7UlTWm
B6bWWhHyr9KeJ0vO9zX+oslnq5fgPoIHa85g6fLhis92s/a+uuR57OOz8MvN
uWtBfLCv5s0p/pj+kpfKnje1i882dRb5j1iEP17U4NxXLbmuekFx7g7hpzf4
fM4jvmicXfQDvFC4s/X9M+1Lfz+OmwO+qWKef6w4xhHr1pcdd4g/q4nBxR9d
MXlT8IyK8+kzGgcULSuxq4/eNwver8nxnvjK2V9VtP/gR/jX5jhr0yveY6XZ
snxacK8xq2x4oBZfWXSsGCq/urjoWvRDvXeI/5SoRQdVjadWHVFxjiBXUO8s
bHAtRMzHXsT/EcI/HPUw65zV4HXHCf94g2PIF02mx87kB3iSHzaJfmPIuahs
e2G318rWD3qidju6wX78Stn5jryHXtj7TuK5f8DobGPkIXIQsmwK/m0V87mo
Yj8dFL46Jc4Xe6cG4cxz3sdHn8S5YB9jIx5SS1On3i74xsy+sjj1+uOjRh1f
MB7/GRZ1xXuSeUDE5xWCxxUcP/l2bcRw7IPfjYm51B/jYt3LI4ZTj2Az+gR6
hD5F12TUY8Q17IEtbs48d0nq+IzcyDyw6rm/kn0vyGz7Z1PLhGxXZ7bnsOBD
LUT9zb6I9ci8UPTfiM8Tonuu4tqQGpHehP6TPvS41D0tve2xgr8V/B46Frwm
+kZiKnFlSNR1xOKOsMVZufEzU9eu19W7fiWOjdPTquf7yHNbNW7ILcMnuWtX
+k96T2rYNwO+JTefUblrQHoG6sDOmLMxeCyNvZDriC305PTb9N29Usca8Js0
tmXW+ZzUPRX5h56yb9SRfXL3Q7V6xiTu18nt9ONdhCsUfY7p7ai1WfcW4c6I
OcDQYd9ldc7n6JHemjzMvgpBQ1xYWnI90ilZ6ouO0cTnmZLlnwX3YwMjdrdH
nCXezo2eCb+nXkLmpuDZUDQv+DDyTlyuC/yIxL1aKfZYGz0gc8n/3aK+JSdj
t90T1wk7x97xYWBwxJhJBccZzv7WuDeYVnA/Rt7p2Ww8+Y3eeoeoLZn3QMyl
fu8Vfntf5r5yRer9owd6Z8YnAyanTQv+1D6cvaGRE5EZu3YJObEFtTkxgbNO
H8OZ5UyT69gvuY6elT0hA3ck9E/LQ7bxsQb3L/ThnRonpO4p6C2oNak539Uh
P0k+NFa0+wo+oOx1+mhP+wn+s+DTBP+0bJrrBB9UtlznCt5L8O2Cfy94H8F3
CG7PHIOXRJ9AHiYfUz/Ql6N3euBviNGJacgXbVEbbE38bZ2ezYnjEbFo7+B/
nPjvH7INz+wj+At+0it3nNqj7Jrx7vj2QvQ49Dpzo2+if+oS52B0xN57o87c
seQz8JL4H5M7duzGmvp+ZtH5hjsP7E68Rv5LIudRL1I3zqy47ibvknPJvcDU
WOx1fWJf3RA13otV2xafxr73Vl2H3111XVMXtQ17Y489JNu3zE/cZ1xT9Z3D
dVXLisy/zlz3IO967WlS0Xdt3LNdmVmf2O243HZsFXxZZhjbIhf24x6KWExM
fkL8T8vtJ/jLtKLrZc71kNT9WKfwi6q+a1uo8aXcMeJljR+nrsmbWywvdyX4
6Cm5bYrf7Rwxh/OLfYYnPvv0ROyBHmnf8MmTMt8hcoe2oOo9IP8xme/M6E05
49dkpseXsUN72GJ7+JvAH22Ljdnv54n1i25bIy9gr8c19o49twUev10Q+iF3
tZR8Jj/Wnl6I+4iRmX3x7ohprEUPujriwPiIBey9T8SBcYFfHvPwafJs74jh
/6dpC9mw85nBcwU1j9Z9R+Ma+lPBqzR2LTkfLM7cC58Z+60NnugaX7441m0L
mHP4UdwzcN/wHz3bpM9/l21LbHprbr9uC3pqz94hJ76MzjkT1BR9IiZzl8md
JnnipdSxq2/FZ4h+DB7YuyNouK/iHob7l1rJ951wH4StftDzJvk0MZ6483Lc
h3AvsjZiTm3ocGzYsRS9D/dJW/Ttez1Z+MXW8I1loqnVmkvLpgG5PtZBjs7E
9rk3bLQu5rMmMeWeiEXEtC0R1/BZ9s49CvLX1Pg8M34bezkj8vSw4Lc99vBi
6hzxh8wybAs9dAn62uCL3vDhjszni9h5ceZedY70/FXqHpZedlvs54vQwZaI
wdyR3Ff03fUPoWvOB/cm9weeO49+EQeI/QfF/Qw26Iz4f3zZefSEsufyjV5r
r5Lrj1Wxl86Yx5rwp3dqj/tu6su5qeVnH8QY7nHgNzt1bdk/cx9NrKNeuaHi
nupGjXuXXCety8x7YvCflbpWPz9zHGcdbESshBe5ldjzYPCcFHF0WcQI7Eas
wVcnBf7z+Ab8TbN7gy3Nvtd5MOIYe2bv3+X2LXzsrbLPKmd2rcbpRcdZzibj
9PBbYvPkOL8zUtcE/TLfAVODdo/zTxx4r+yzypl9XeMzqWuR8zLzmBJ8RtFI
ckfZ4t9buFvnnpfY1BF3IPQu1HLYG1keD3nwl/Xh209HrEZXxbLvI1KNNWXf
e9SW7dvTY1+9gw846venYi59Z9e4dyO+kqc5T4+lvjvonjmGTYl4SowZEHGG
fpX5j1R818h9Qde4+yefcF/NPtlvU+4zvSXO/n3hF9Rvo6u+97mr4vsP8jE5
mt8o+A2F3yfOyF0XUR9dXvL3k5osN7UwNQC/M5HfL9X388uuCS8ou66D/v+1
M/mhPXLN9NBJR/gL/tQZdd2w1HGSs4f+21P3pDPE829V/yb3d40HN3nPE0qO
eb0jrn4R54zze0LueoA6a13ELVQyKPUdxLPC/w+g5dM6
            "]], PolygonBox[CompressedData["
1:eJwtl3twVdUVxndicu/Nucm5557Q2ipSYmvroDaCbUetIEqCYmWUdBQQwVSw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            "]]}]}, 
        {RGBColor[0.7578345416666664, 0.6628556249999998, 0.2516761666666666],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNmHmwFdURxuc+Hu/eO/fdmblDibLJEhPUuIuyyeOJKC7BFdHHZkDcUOEB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            "]], PolygonBox[CompressedData["
1:eJwtl3WwVVUUxvd9wb3v3Hf3ufc6SgtP7G7i0QiPFhhE3iNUQhAl1VHGFlsk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            "]]}]}, 
        {RGBColor[
         0.6408336249999999, 0.5875548749999999, 0.21938049999999998`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFWGtwVdUVPje595579uWefe5JAnmIVIEaCAlaBC1CQ4NUWgp2HDGU8pIY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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhvdte3vb0957zj200BYQZ0axIoOCiIpolQhGQVARsAjBKKBo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            "]]}]}, 
        {RGBColor[
         0.5339568333333332, 0.5180314166666665, 0.20213283333333332`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFl+uPVeUVxvdh5sw5e58z57LBcWzlNgyDQ1EuhQpIWkZsHASEGRBt+s20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            "]], PolygonBox[CompressedData["
1:eJwlltlv1VUQx08Lt7f319v7+93TUkAptIUWKEtZVZYHMbKUtZQtxjcTJW4Q
xQValigUKaAQLAgCipjov+FujBof9M24sYiGRAkIsoqfb74Pk8ycmTMzZ9bT
/NjG7g2VIYRTwGDg79oQngAZngthcxJCSxrCIvDFwDHo1iyEhqoQDlSH0FUT
wiXk1yPfBn87/OMxhAF4SytCeBv8FvyN8HflQzhRDmEuZ7/Cmw5sRf5DzlZx
dx22fyiEMBl7XdBr4Q8rhTAH+V/ApwG9yM+G/hl8KtADfQX9l8DnApfB98Lf
hf3dwEL86wYqeOCyQSEcgbccex34MhVoK4bQh45Z3L0I1GC7Hnpt8J2F8I8j
vxPZfXoTul7jbDT8n5DfA/5Jwfg96E+5OxEdK/B/DWcN+B+gm3P2/wL+LcaH
bvCF0gdezhzrFkQz8CXRvAT736H7Lexvw/524Cj4P+i8F/kOdPyGvvnIz0M+
kpN92N9b9FtL3P+e+4OxPzrneP+JfIR+EPn7OasHbweWg6+GX4/uY9jYkXdM
FdumzLr7uLOA9+eRPwNvBrANewPI9yD/F/Qi+OPgL0PfKuiIvt3404k/F/Cn
Efw2Z6Nyzt959F+HboSeAn0WuqbWsuOJRwKeAl3gU7CxAlsj8SfDny3Qh8p+
o966Gv/WEosdwIa8fdwO/mbZssqZctdatC7VgGqhri6E59GxCZiJ7g78X5lz
TZ7mfV3oKFb6PScT+yTferl/hPsPwX887xqaF/1mybbg42T09WNvKe+/y9k3
2BiamDca6IB/B33P0R8Pw78t3Zw1witgcyz4EKAdewXOGsCXYaOm0jV0HF2T
OGuucszH4nuEzle5h9XL+6J7YTbyC4quSdVmGzLTkD0NP0VfO/T74PdlxrvR
917inlBv7ERHP/w90XiKzAhkX4XeVm0fX4muIdXSGPhT4A9LjLcCU1XriW2P
BaZnBuHq+UmpZSSrHpqQOkaKlWp0PPSY1LFZqfmCrrrMsdEM0iwawtlI6FHA
BHifEvOn8q6xf/Gtvs651psfoV434fOP6FqPzAvgH8N7Mu8eu4L8RwX3pnLc
R76PRs8qzbhj4J/DfybvHr+rei9bl3KgXJyC7lftcudrZL8Ans27Jwfxls+g
n867J25xPys5t03cn8j989g4i61zQHPRIHwW8kNUq7xhaJVnsmZzqeTYKAbt
0Ku4X1vpnLybOCaKzVLut3K/BX3nq21DthoS21ZNqbbOcXam2j3eVHQNqZbK
irHmFfavVVjH78jOrzFPPapeHUDfkgr72AZ9AJm9yF5VjUC/FN37mukvg/dE
z0rtiF7wC0BnhWP4R/SM1azdhI4XoXOqiZxjqthKp3Q/Cl5Dri/WelZJpir1
jtKu0ozoJzenEveDYrQGfcO5s6fgmrhMLDs186s9gzWLb6Bvw2DvtJvgN5AZ
mXONqdYaM/eGZqxmbYievT3QW8HvIN+Uc86Ve71Bb5kJPBDts3zXmw/h2+HE
u/S6coq+WdGyitmdsneK4iWd/6F7IHo3a4dpl1UoxznXqGpVO0D+6KwS3ubo
Wawdu0W9DPRWe2Zrdh+M3n3KoXKpGa9Zr5jsh/dO4trSjOyGPpF4/mlGrYie
aZptc7A3DHszMu92zVzN3qzWs1EzXrP+KPc7c/5z6O9xuOxZqxpULWaJYykf
5evQ1Lq1s75E587ov4Bm0q7oGaZZppmu2f5twb0oGx+U/afR30Yzdxy+rYve
JaqJ1eBbEu9a1YRqQ38Y/WX0J9DfQDtLuRiBjmvE/2rJuGaIZol2nOKrGrlZ
cg6Vyz74J7V/Uu9i9cQb2NufuLe107XbX9efJ+eaU+11lf13Uc+p99pS97Jm
hmbHVwXr1k6Jif8M+jtIR0PqHa5drj+S/kr6Y+ivoR2lXfU/Uh0RLw==
            "]]}]}, 
        {RGBColor[
         0.36266197428399033`, 0.4056636090291898, 0.19008357609902563`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVsluHFUUfU4W7qquyF1PDAumBGGTdTx0Q9hg0+0ePbQT2PMBsCGJM7Bl
SILTxCEgxUCEY7FxtmbPGikLlkgQiUEiimVix1gBJeIczmllUXq3br13h/PO
vbcOvf1u9519IYSf8OzH0y2EsIDnGOStgRCm8FQgDx0I4VtsKGFtFUNYhTyX
h3AHhyex53Xs+TEJ4TjW81kIY1jfwDPltVGQ/NdgCO9BHoZch51vYOcK7GxD
fxL6EejPxhAWIZ+J0p2y/p8DiucB1hTPdZwtYg2IoQn9NMSbiGEdz1Ii+RKe
I0HxUTeJ9feouF/MFDv38DvjOuHYqOv57DXEt4d9K7l80FcN6+aA9kwapz3H
8DNsPA39Ych/D0rexXra+SxiHTU2jOcE3l8ixinwi8L/OuQ3o/AkrsTzHmyM
Y50v6J54RxdS+a9G6fiNZ2awzvIujX2TZyC3LVPfKWgfZdqt+q6o69j+RFCu
Vd/d1qBi7UbZ/wr+52yH+6tYa4wD8nZB+5lr3fqusV0y5ncR+9EB4VxzbvRV
T5TvmPH8FXvKtrlTUAxN7NkxJsyp4Vzaxpuxn4q615NYVxP5oJ2eseL7OeRQ
gfwa9nyHPTcScf5PcGQtke/WfvGM98t37qGdRzj30PkumXvMl99piz5vJfre
gv0fLH+cySf58TLeH+bC95UovlB/2Px45Pq6YXtlY0V52ne343wZC2PimYmC
6op8vj+oPayjViL9iO+XWJV9dzzf97m577HfNWMyk0s/nOne1l0jI5n0M67l
e/a7YRx4dt01yf2slw3rybkx57Fk/Cb7uQxI5ln6G3WcrB1y6YF7wiepOEvu
kIdfpuL6HPA8C7kM+WhUvV5yzZ5JhdGr0F9LxdEO5Mu5ePl8SZxifAuugXFj
xpw2fB9PDqmfHMqEE3lTMc9vmuvsl3eMJ2O5b/xrtkf8n8t05x9kuv9dc4O5
jhqjVfudtm7LNdJJZJP7G4m41Md/yn2J99JyXVVd/8yNfGON0d+H8N1ErMvA
oAb5GcgXouy3XW+sTfro86pjPe2yJsfdG3n2iLlJPfN9Ajg/y54f1b+JFevp
jyiMOFtYyy33ipGSau9Kqr7bKzzuEz33urmianO4JN2n1n/t3rQQFVvdMdMW
bfaicGIuxHHPdU6syGXGw/u6GDWnOK9WPAv+Be+W7avpObDpPsa871pmnbPe
bxkjYsj7ZrzE4f+5lUkmNp/nmrsN+LqaCyPOutsFycTqqSHt+SLXzGAv/B52
z0XxJmB9oaQ4eIf0yTsiN5jHlmf6wUz4/xaFQd04MHZygPU2m2vuc/5/ZG6Q
I6wN7qsWxVfy9v2o3swezbO7zpd+z0fhUysqbsbAXMnHpjnJWBgfY7vKOiQH
ioqp7hlIvC/7fo955r0V5Y9+Rz0vfvHM4FxkrV9M9R9R9r8E/y9OFxQbZ/6E
5z5zYC6lVDZoi+/tqPnVjIpn2zOIOXIP67fiOc55zt5V9Vwgvszts1w2bzs2
9gv2BP6PMJaK4yEeLdfLmucR95Mjy+Zbuyge8t9kNqpeVhDzdFE4E++O5yFr
vGb9wZLqhPybL6q3VN3za465a5x79tWwbsr1vug4yQvWCXv0fH/+4/kPfe1A
NQ==
            "]], PolygonBox[CompressedData["
1:eJwlk9tujXEQxacqsff+dmP//wk3TiU0noBWxTGU3c3evq3ce4C6oSd9ANFK
6OnGqeHCe7h2gRcgLiREQ6ohIcpvZV1MMvOt+a+ZWTPf/hs3y/EtETGEbcUi
R/zcFjFYiZitRXSIW/hdoLfViHm+nemJ+MKjHdsj/qWIDfKPknMHrF1EbIJv
Em/w9gE22hvxi28tYeSvk38EfIb8LngH/yr87+A/UDf3C958Ait5swD+EFsm
LvoiVsE+EO+t2+S/xz6C34fzLLW+YTvpb4hv36l3EP5B/MtYs+KZnpC7RLwb
vqBmh1pN4vNgF7BHNc+gWa6Q8rrqHtVrl29jYPeoPxbucYX4YuHaz+GcJ57C
JiqeWbOfBp8mnpJe0iabWzVb+G/gL4lHidvEj2v21bN6H87WehI7Bdc57Cv1
dlFvXwOuwrNI8wHi1Zp7LaUxby9lz6YaqiVNpe2idszbBvmHwzcwC3Yse1e3
sZPgT7Vj9SJNwK5nc0uDa/j91Fzr8Y3MkbvOtx/gw8QnCpv8Jv3dRbtO8q7X
6Hmgbk5x6yae8X6C+FbFO/ybPLNml6bTYK+q3q1qqNZSsvaf4euHbyZba92o
blUzaBZxToIdz7517US7+dPnW9UN/cZvYC97fdO67blsrTXjCPGhuntXTjv5
BnWL0nAP2HJyL7rZleR/SP+SNCzJXUzWQjtcSN6BdqGbHOH9fzvqeJ4=
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0ccuBUAUxvFjqeVegp2a8AxalIVe7nW1vQdgpZelLhGukqjPYi3R3kDw
AGKDKD+x+PI/3zdnzsxkqiemMpM5EbFCDcURX0URMzhLrfkRjbiQF/Etn1PP
U5u8CRflP/KFv5ra5c24JI8/UlK9jKsFEeX0qK7A/MKIPDq0/4Ce5FXyrLrb
nG2+B4/4YypLROyY9W7PB33SqfyE+vXt6s9ar0tGDPG1mMasvETeZfYwf8Bn
8BA3ZQ+5EWPqcRqhS72jeC8fxgt+CM8xg3fyNJ7xg3iKKbyVD+AJ34v91Ec3
8g3nXOMbn3J20t0TlHL3WmuDWIdp7LP+oq+Gf8ZqLPX2bXM7+C2s8rZOfZt8
F25hp75KeQdfgXtm7dOafJ1a5K/6rtwjYca0ur74/89/AUifP/k=
            "]]},
          "0.525`"],
         Annotation[#, 0.525, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0rtOlFEUxfE9MGBwcBxmUCBRExHkIgLea6WytdKWB9BCCi0UbyBKoonG
yGiMiom+hIXGW4yh8wWMMWgsYEDlIqC/E4p/1tlr7W9/+3wzOwfPnDidiYiX
OLcxYmZTRLEQMdoQUSlGXKdD9CzGnOfyES2liPN6v+j9pV7kz9PXdRG/6R98
lS3SJdkCfSNbosv4JltJZ9lf+la2StcwLYvNfNk/9TtZRl2FH7IsXZFV0/ey
GlqLn7ILdtrgPC6/aN9h3Ey70RvJk8/qK7lfI7ZiC+p4l/VcwSVcw1WM6q/I
5jCPshkfvLPJO5rTHrzV9L30feQ/ku/g31NX2z2LB+Y8xH2UMYHx+ojP+l/o
79c/qb+PPqWH7XMEz/RN4lTOrr73IV6JHqTN5vbq34sD6hbP1ejdn+4k6+Hv
wb7UK8vK+tOdZd38LvSpm9Kesl7noqyT35HmpjmyKlmPc0G2m9+e5qZvJsvI
up3z6Y7qNtlJu3bwutCJMr+VP0F30efuO+Xe9b7ZJ/pE/RjfzZrGXX3H6R2a
c9c2M26rb6Hk+UYUsZ2/DWPpd0WON+KZgfTb0aP0WDqbPYJX3pXnFzzTgEp+
/b/+HyzrX2M=
            "]]},
          "0.49000000000000005`"],
         Annotation[#, 0.49000000000000005`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl099PzXEcx/FPqPOjzjmdzkgHC/kD/OgHhaxGTWRLZcOVe0X3Ljism0Ku
beTX/EiSG1dc2YzNZvPjyvzIrMyl1ojy+M7Fc6/P+/n5fN6fz+dbZ92x/q6+
ohDCGzxNh/AxFcLvTAhz2RDKkiHMG28qDeGZuePqT+b/cH+xmX/J9/Ff+AVu
EVv413w//5UP5SEUoZZ/z5/gv/FLuKWo4z/wJ/lpfhlXjHp+ih/gv/MlXAwN
fFzOmFuRMyd/mE9w8xUhpKxPGhfK3Ff9GR3es1odty6G8+phDKGan7KmRd+V
9rXKSnkh+gbeM6jfT3tmkTV+ngihis9jgVtEjn/BV3NrUexOJYjhmj6X9e/W
t8J9R9XXrb/FHeFuyMPypszz7e5zVL3VHRqxDcPcO/179O5FF7pxEI/0m8SB
aGx/lTMnZaf6Id8RpbqSn5B71RN8m3ygXs6Pyz1RzbfK++ocPyZb1ON8s7yn
zvJ35c5oHd8k76gz/G3ZGK3jx1Bv3BD9T6AOtXjrHUPe80pe8u1GcMh70zKF
q75Dj/qK7JWjslPu12+DfftkjVyj14jz2sy3o8Z3Wh99K+Nyc1lksIrLY5BP
qJPYZdyMgv1xf5O0+e3OSMkdMiN3O2PAmib1aWeeQQFn+XPYyF9031PcY28p
1euX3k/S/39L/wB6ZGef
            "]]},
          "0.45500000000000007`"],
         Annotation[#, 0.45500000000000007`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl00lsTWEYxvGvFnTWsqKqLhEREWFVtNXS0pbS1kJJjBu01RLzEC0JwYKW
hETCRqtq3dZUs5hiiimmmGJKaFlh6XfiJv/7vO/zvOc75zvfvbFl9ZV1ccHH
15oBIdRjUlIIyWkh9BsYwo7EEPJ4O2l8/xAKZYNkCbK9vELZPpoqK5XFZImy
A7zpsiY6RFYma9YfwkEc4Selug9S0JIeQivSU0I4TdtxKsJsG06aH2wux/q5
WGS9CdZt42fw83hTsJifT7NlE5EpK9D3tUaG2anqHH4usmTTon3KhkR7Uefz
CxCTFenjZZnRXtSF/CKMkM2I9ikbKitWF/NLMFJWok+WZclK1bOi/WOUbKY+
VTZMNktdzq/AaFmZPk0Wk81Wz+NXYYxsjj5dNlxWrl5in/NlHfqx8gpeJZby
F/A7+eP4c3ntrjuNDu+zE13YnxzCZNlC8+PNt5pfYKaFVtH5OI5jOGE+0VoJ
iMdhMzHXHOf30cchYH90Fvyj/L/O8Q9+Yw8/hd/Mb8Jua+5CIz+XNtDgN5Pk
eeLoRM+UTuPM9qhrzWTTGlqHVdjgml73XE9/0sZolq7Tf6dr6Q+6nd+Ar+pv
+IQv+IzLCSF8oB/xFu/xDpf4r+kbvMArvMRF/jP6HI/xFE/QzX9IH+EeHuA+
LvDv0Lu4idu4hfP86/QGruAaruIcvzu6T1RH10ez2Ob5t+Ksuta+umgNPUO3
RGdKq/UddCVd6f1UYznGeW8raCJ/s9lN+GVuo77H2fRi9YD///1/URaCAg==

            "]]},
          "0.42000000000000004`"],
         Annotation[#, 0.42000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl07dPllEcxfGrcUEEFEw0hhhFWog6mPgPiGB0k+giRQSsA2gMVTCWP8Bo
wuToKIuDhaogzcm2gCAWkEi1UK34eeLwzbnnnPfe35P7PO/2koq88lUhhHms
TgrhZGwIB9eFcAgl1kfWh1BKj9IHa0NIjg/hIc1PoBtCKKCP+K3yZlrIN8uL
aQu/Td5KT0RePhDjPOsypOhO0ZhEc+mg7jQ9g1TdORqrO0vf6MppBdJ1F2ic
7jwd0lXSKmTqamiCrpoO61rNrbXu9BxZ+i5ax7fJ62k3v1PeQxv4dvkV2svv
lvfRPFmmOzlMM+jmOLPdS5b1glkj5iTLxukyv0t+Q79HdpNecX/XcBWfnZfj
3FwcwGtn3jNvXn6Mz0cBhuX35SvyUr4sehb7+9GL584dNyeRdpn5FJ14x++z
Zw2mnTGFHnk30nRbvOc5+0Y821t8kvXqVpx52YxUfszcMfpX9gcN8h38qHyU
/pb9Qr08hR+R/+R/INfcTOctW1/SD0XvD0t8ji5Dt2hdpxuUD2CB369L181b
1+peyl9gjs/Wpem+W9fonsn78ZX/hi+YRbVuk+fp032kM7JpVMk38t3yD3RK
NolKeRI/Yf2eDruPGfdVSF9F+82cxTT2urNseat1G1rQgXY0R3ce3ae9RdH3
j+NY9NzF+gUa797vmNPkt7c9x6SsSDdB43TXdbd0jdF9Rf8x3SDtcM6S9WPa
RO/iiXVe9D3ioj2L0Xv37TXyZbH//8v/AMK0nRY=
            "]]},
          "0.385`"],
         Annotation[#, 0.385, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl011MjnEYBvDbgYOIFKJ8Nh1wpjY2s9mMccDYtBEret/oQ9GWOGmrI86M
+ajNbNh0qAM5sPmKxpYsbOFA+RoqNiXhwAG/Zw6uXfd13fd9Pf//87xvQbph
x+EpEfEC9mVFrJwZsWtWRE5OROG0iFJ19fSItN5tulh/N28P1PBPZUbc4c+Z
EbFFvRVq+fXm7/JXmy8zWw51/CP8e/w1/ApeCur5Z+x183PlbFNvh0P8ZvM9
/LXm95s9AA38Ktyi1wrr9KrpPGdebrZGfc7+KP0FSrIjVtD5svPgMd0LV9Qn
ZbWYb8St+DTu4PfpX5A9LG+D/I1QpJ7MiLjG74TS5F3AKv4ffhfvBlTwUpCG
ETl98vrlPpSfjT/hIfwRD+JuZ1wvo9kZ39Cf+SMwDBO8DL33cgvNfcBNct/h
t/BL/k8YUhfYbdRbigfpSf64/SV0pTMsxmP0D/5L/UV0g/mFeICe4PfjBcn3
4+fjJ/R3/ld7eXRKznw8So/zH+nn0rXm5yZ3pL/xx+BB8gxn7sFV+vdxN0x1
n2H7f72zp8m7gQG7m/Gm5Pu49zO6Fz/HffhW8huUWWwvhYvwdVm/ZaU8Iw0d
5q5Cl/qS3mW4CCd4x6GT30bPmx3RjsvpMngtI5NXZ+ao5xzEx5J3gEuS3zNu
os87Wxu0J8xvhyr+WfqmM71yn2Wydprfm/X///QPuOR+kg==
            "]]},
          "0.35000000000000003`"],
         Annotation[#, 0.35000000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl019ozXEYx/FnKX/HZiSl5E+4If+m1CZulJSSzI3aaijRzpyRf+UCS3Fj
nHPhZlOzC7JFKcSQspzNjmFtJ8Y2DfO/XLj3+uXi0/t5ns/3+Xx/v/PrLKyt
35EqioguOjAtoqk4Ytb0iDK6ov44JaKxxKws4hyWz4g4i2dolPd0ZsRpdffU
iNW8HNaXRhyXVYfHsErOTmrQn9QfwhOYxnbzDsrqG/UZ7HDXCjnj8ptlt9AW
2Vtpjflf8047I+4epvue9YG9SqygH/bX8vfwynEvPuJv5n1T57Ff3+u+Itwn
N69+Sa+oj+668x7t5w3o58usdPeg+rXMahk19FVdkPETv9NEZ3rsvaCDdvtw
gd08TuK9wX5K8Qq4iDeAk3m/7P+md/L+4Fv5E8w30nv3djr3mNJ2h/WL7W7i
jahH6QmvxO5h/ljS84f0XXKG6LPMUv0zXh57zL74PcapQs5Rfq/5c/McdSc0
u+P8Ldm3aZfsdrxJreYP+Vfxur0WvIGr7K2kNrpGrbTcuSr3pPnz9OexGS/g
KXuF5D1lD2JWds7ZT77zZfVc75HBDfwmvEhjvDaZHzArZ7s6JSuDl5JvL3OZ
rDl2a9Xr7R6x10A1+qW82bxq9TpeXfK9aLd+CW9b8f//wz8sRnkS
            "]]},
          "0.31500000000000006`"],
         Annotation[#, 0.31500000000000006`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0k1IlGEUBeBb0KJSs2JwGa4lIVoIYrVuG5m1C8MCIQskzbJlTFoJLQoy
KCNUSLQSy58SzSklnRYz+TMaLpSCqFa1j54PF4dzz7n3nvf9fsrrL51o2hYR
L+DG7oim0oh23IqHiiJ+7IzoL47og/v8NL+Bfx4+77W3L+IBP7U/Ikv/2hVx
vCTiNz5DV5o7jZegWsag2VEZ7/AIfgOv4ZjeOJ7iZ9XTeIIO/EnGT/s5fp6X
g+38C875ol6EJTpvbgc+a65VfRWW6RX9sT3yodFOgT7g3kfccVU9wX8LF/XW
6HK9o3pf1efUBRkbsopwvew29TVYpSftFePLdtfNb8AmZMytwTdzJfoZ3gKe
TTzP8j15H84Ykz8O7/Xn9WfwP/6cvVH6VXJ3PIzrnFELf/Wf0gP8HvwcH5Lb
hR/R/fglnXPGH9/voLoHnsBjqJB9Uq8gZ0CdNt/Nb7d7PXmX/BrnLOJ7nm/O
bK+5PF2W5OJn9Ef+LNw1U+YZunC1vTv4Nmw6uwOn9Dpxld4tnIYP9jLQnfxH
8lJys/ghPcO/aWaBPmxnHl9xrxZoTu7ovnXmTiXfuHTrv/0P0pZzJA==
            "]]},
          "0.28`"],
         Annotation[#, 0.28, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0jtI1lEYx/FHvJSXLHNpMZAGC9xscWhzUMcS76KoU14avEANJakQ6OBu
CNKQBqW1BeogKph4wTt4CRQHR3ELDT8vDl9+l/Occ/7v4c1vfvOyMykiRvAh
M6L7QcQ7vMXPrIjz9IiJexFT/FFGRB5/SIvoMZ3W/3poFkP2DGP8fsQXbOdE
pOVGPEIqauU6vLD3h7tKEufSctrhnE6U8aWY42ecNYsNed7ciu4PtuRNrPLJ
+ld8Cl2Xt/kdmia/5u/QPXmHP6B35XY+nbb65i7f04P/fDfdTfwucxnWK/lM
+lfe4/dxwp9iWb8gnyb2eqNib1ElV2PJ+rVcz/fwdfRKXuQPzP8z/1yuyPbt
mPRWE7jUb1pvN9eGYvuG3fORDtFC+h0X5n5bP6Of5VF8sv5NN4kCeVBu4Zvx
VN5y31d+QN9EGxPvrd/Qj/P9+gZaj179un6M79PX0ho80a/pR/n3+sfyM7k6
6/a/cwOaJ1fG
            "]]},
          "0.24500000000000002`"],
         Annotation[#, 0.24500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j9I1HEYBvD3brNMu1YHM0ziEsdwUvcySlwq8CiaO5TIuQYRwVkPPIqj
fzSUqJg01GmJDXEESpxiZEODRUoNQYv4+eLw8Dzv8z7v+/1+f/zabhUH7mQi
YhweHI+YaYy4j8+ciFigfzVEzOF5OM1rhW/HIiZORkzLjeMpPHsqoov/U76W
i6g0RxR4v3kXmyL64TJ80fsn02PPd3oH3tBv7Viy67/8JXU/FJ15Ic3Ty/RV
/EHuE72KP+MahMw6ztm1gXf16ngonYcz+pu4RX8rvUl/0q4e+h5vFEZgGLKy
2/y6u3/Fa7I7+J18FQp2dssM0iv893CdvgZ36ao3fDSzmO6cMunO/Ff8WXjh
u/w1f8WeP/iZusyfgS7ZafzY/Ev6CS6pf8jl1edhya7XsO8b9rpvH5TSHNzm
j5l5jp9CB6/TbIPMTfWeXgVn1Y/w2bRT/5x6SH2g/xC3q8u4TT+vf6Px6N84
BCSuVD4=
            "]]},
          "0.21000000000000002`"],
         Annotation[#, 0.21000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0rtP02EUh/FTURMKaGmdRGpMvKSJCTC1K5MLsaGJGy4u4qBc/AuYjIOB
1UIAjRZdQAclXKxhMS7G6gYu6mAIqW11kaSDfhKHJ897zvm+l/zyO3djonQn
ERH3sNAVcT8VMc9PTkY0khEjJyKa/FT9Qn+jJ+IlV+QO9d90R3zvjdjW39Hf
0m/rl9STZlMoWl/Fh3TEH5mU/CGneZ9vcUHuurvOyOTtn1F/tK7htHlbLssH
POOsjPksT/NdnMKu7BfsIa2+Ir/izGe4JnsbdfvH9AfM33rruuw7vap11bwv
4w04iyz6sWr2WmbdfM/ekvNGUUTLWyu+TU1/zbwiV5b/ob/pjkfqgv5jzvOS
PcvIWQ+5exCL6h7ZYTQ6I97r/ZJPOvM3d3GTj3OLO/gYjuKn/Cf5z8ipjzjj
Mv+Vu8QJ9QUOvsh1+efufqX+5o3nrb/yrDeX7XnAD3nc/CbmUv//i39ffU/0

            "]]},
          "0.17500000000000002`"],
         Annotation[#, 0.17500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j9I1GEcx/GvEP3R8i5D8EoHR3M5E6cKLQczGkQiURAiOrszuhujqfNS
OCtOTqVNoZpKHRJqiSBwcHTVxcbGbvPuIOgFDW8+3+fz+TzPw/Pj1/uoMJlv
iYgS1pMRFayiimcXI07ORexeiPiC0+cj0rxrGMAgPutt4bt8h26j2RrxU/cH
L6Gz1xYxYS63R9yT5cwZ/hyWeFn6BFlZN+3BCr+K/o6I+/yn9rxEEZ3O/iQb
1/srfyi/ay7xy/JlDJsr9Dp9TX/pHaOGP7jBz9tzkxZomr7Re4tFvEKKdyhr
6h/RWZy6FNHwTQbdeZl/BcHfp7+986t9XdYN67peylyjB3RbNkUf4KPubTqK
W2h31wdveo8N1BO+PR6755ssQ4t0QXbHXHDWGO1zT5F31hlnMKJzlfZjnf8O
M3rP9afpmvWQedP9L+gGnbcnh7Xk/3/gH9doR2Q=
            "]]},
          "0.14`"],
         Annotation[#, 0.14, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0csr5XEcxvGPDGVwzsG4xEI2JDk2mmwdR1mzZYFcVlhYSEohdrLRjJWF
QRm3Yu8fYeNu6VpK8TpZvHu+z/O5fL/9fg1Dk70TeRExhc7SiNPiiPayiJPc
GWclER9FEQnZq1oHfaO/aCUq8M6vJCKWsYQm/jYZkTH7SFv4NfmT82d5RKoi
IolW+Qg/ihe1Zwz9lLl3kP43s4cqe3rc00WzqMW5mTp6QavplPq+3gNMmz+m
RzhEjfq4bAyj6LN7VZ6U79Cs2W6k+G3+H7aQ9r5C/QWYV8vIOlGv99qOe+99
wB2a9S6qLWAejfyNfFjfBr2i6/JL+pcvsK/Vnjak8YOfc08+naHtaMt9A7qH
3VTEpp2/nf/Y06826zyQ25f4/ndfG0Y7XQ==
            "]]},
          "0.10500000000000001`"],
         Annotation[#, 0.10500000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0Tsvw2EUx/EjBnpRSsLqshjqsqioSzrZkEgwSAyNsDGZaDeEUYKBwcio
VS/D4vYOzAaXpU18EsM33+ec53eek3/+A6Xd5Z2WiChhOxlxn4nY4ipn0xHz
2YgV9XFHREFdxgGO1Hk+5Ene5I9UxJx8Wj3L790Rb1gz/9MZscoN9bfzmfdz
8k3ZBpoJGf5FXb8u94g+7/TiyXnJfMF5GlNIyc5wkiv2X3vzCq09EW16z2ZG
MIp99xvmi/ygrtpx2xVR4zse0yu7azeX92aCJ/hV/wXrZifVF7KXOMeN2aJ9
4+4q8l/4xrD+if4pFtx9+t5FHjA/iH40ZYa4wXv25uyoZf7/wR+fMzWj
            "]]},
          "0.07`"],
         Annotation[#, 0.07, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{4077, 4074, 2858, 4075, 4079, 4078, 2648, 3440, 4809, 
            4810, 4364, 3059, 3328, 3327, 3332, 3326, 2633, 3320, 3321, 3129, 
            4458, 4460, 4459, 3441, 2642, 3724, 3725, 4662, 4663, 4661, 4567, 
            4658, 4660, 4659, 3738, 3737, 2655, 3442, 4811, 4812, 4365, 3060, 
            3330, 3329, 2634, 3331, 2635, 3322, 3323, 3066, 3723, 4650, 2640, 
            3443, 2641, 4076, 4077}]},
          "0.035`"],
         Annotation[#, 0.035, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0fXVcVUvUNnUIqXOAQ9gd127MGbs7rtfCxELFvHYHtmJ3XBQDRbEVC8FE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      "], {{
        {RGBColor[
         0.6585790000000002, 0.31609100000000023`, 0.20750700000000008`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtU7tOAlEUPKwQCexCdlsro4XRgodo4iegjfETLNXoh6gfoP9ADDYQOwpN
VAilsdRG47OQwkdYnMmc4nLOvec1M2eZ3T7Y2g/MbB1nCmeMn4W8WQ+P87CW
NevCfyubPeTM3mHbuHdwnhHuZhQfmWp4p39UMuuj9hj2PFAN81uwAWY8mfp1
veYKsyZTyl2Cf4/aYaD8nvcf4C1FzkWgXOYxhxg7PmMSqnc2Ui5nsUc9Lzys
reR1p5+JhGu9YNbw9xnguU2EqQ+7WBTGV9eAuhD3NWKX8G8S4WBf4lzEfQ7+
JnquhcKwE0Nfn7VRENah87qLNbOeCDfxp6hbSfTOeBX9ao4tdY7NgvBW/J22
6j41IYaOc284f+padd3ImXiIq+J6jBwf339D7Y91q8CyBxzNabPdWDt5zEkX
xgeu7V+omb/Q7Me5UwPugrW8n/leyWE5EabTkupbjqHmXBjjroe+38+y5n6U
VcP4CWwU69sZFdUn9b1XXR/Wh7FmfxV16FskO/Z8akpc36H6cTbncs9jx/5S
Fm9+F+RJvoclfRPUve39es6H/ydi7jk+9g0i5bed7z8sOou1
            "]], PolygonBox[CompressedData["
1:eJwlkMsuQ2EUhVdPNeSkf096hoxEB8IIxTOYVUdmEkOVuj0GL+ApJCa8AAnq
AQyZENepS2i/lT3Yydr/3v9ae63prd1uP5M0SY1R+0n6r0p3NN1cWiylqYq0
MCG1we+F9FCTLnh7AZ80pHt255lvsr/CzoC+Tb8K3uBtFvwH5x7cP3XpGZ1z
RH/BX9QTfcb8G3zUiNkMf+b438kD+7jDFJzm9k3L4A9ueKyFhrVueLsEn8JR
b0o9am08PNnbgPkV8zPmidl2M7S9swN+LcKbOT+LyMBZ2NMxt2Up/tpDBawU
WvYw5P4D+mE1NG7L8Gzvvum6DA/20qJfzyNTZ+sMl8rI0Fmaw1ze8a4zf+Oe
EcdlPCg=
            "]]}]}, 
        {RGBColor[0.7316835, 0.39154225, 0.235451], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFlk1onFUUhm8yM5nJzPfN5BvTdmt0YVu0iLUp1kmJG5GCoF0EVwoqij/4
S1baLgQRf1bSxMSKdOvCEpq0EtLQVC1qW4PUP6gLC4LQ1DQipraaoO/De4qL
yz33u2fOz3vec+4MPPr83ue6U0qntEpaR5opLZVTeqKe0iXtF7WqXSnNdVmu
xL4U8o52SttrKe3U/k+W0riM/K39vO5/1GpJ5zvdfS2d77XP6nxfNaUr8rVU
kS2tE/p2S83+8JUXKa30pHRW+psbKc3o26psntG5KfmlPKVJ+flA61OdX9Xd
bsn7MuviA/sbZeea7GzSflhJjknnmO6uZZavZr7/Ur5ndZ9Jb1nn0/Kzp+o4
0Z/S3UHpn5Q8XHK8813GYKBqHMj3bM05ny47BmLpSH+h23ZKJeOIPv73hP3R
3pQGtZ6S3s8Vy6vJsVzusS/iHA2ddcV9XN9uFTYTJeeG3SHJ5yR/IvkeyW3Z
/0bnRubvdym/q7Jzpmydu3XeIJ1dhX+LjN5k4IrfCxX7+jgZI35LbL/Lzvvk
prt7C+NQyE+u+5+i7uznQ96vuw/1u9vFq01l16sStepEXagr9X1EOiPy1Sn7
DH6l4MYL0qlpf0g6L+au8zOFcXus5jhHc+uvCZ+Xc8f7QN0+N5Zdhw3a/9De
J1u7C8u/NpwjWIDPeq/trSn2xW5jSr7Dsplpf7hu/D8ruwbUe6jsPMHm87K5
82T00nTTXKSWx9rmyS8VY0AtwfndpuMsBT7UHH3ieq8vpdckj/cZGzDC17fd
5uV89Gkp8nq2MIefLv7nFvmA04WQ4fUpYtP9oYZtjsn+R1pj8jXdMIfwOxJ+
lqJnj8jOgR5jwU5/IGMTe5zp0Yng0/HgE/X7reW6PChs1tqeAyN1270YnCMf
fkcuX1SdM/kebTifv1SX/rJric5Syzkut1yTseiNQeWf6VyT/mrL9vG5XWub
crhT+0rLsV1qOQb8E+fh6N3rM5AzMjzqDy7BV3g62XTPgRWYXcmMMTzan7s3
6pnjIJ59uecivIJf8BXe3qx4qzFDSzeYl/Dz8dw12arf5ODfcA1m2o5xIWLD
N7VqBh/BDtymoiZ54DoX2PKNetGnf0af0q/MIfAEa+pEvegnYide7CzEfETe
GW/BoPbXc+MzmLkP4AR623S3RTq3tZ0rc78acc7E3IaP48Gh++vuk7eaPtOX
xDlUmPdZZozA6qB0vmq7bswJatMf3AAz4ibOo23nBI+YI+hfVt331u2fucIc
Pxm+mOtbYrbvKJx7b2bewJ872tblHv7T08y02ZgRfHsld49QP2Ig9vnAnx5F
lxpubXvGvt30u8QsovfBg9l9fbZTY7DnnWQWI9+k2Lpka6BwfSfivaGOzBHs
EBc6cGW94f1G6Q83zZlD0e8rYZM36ET0wg+KbREc2p5vUxED35gL5ET94Rv1
XIk+gIe8K3m8BeAEnlnERlxwi/8Vc9Fr2ADbTrxV54KfuzK/H2/k7iVsdgq/
k5MxA7tyx9edO/bleEP/zayTcmM8G3yaDnyR32maA3BhMfLLo0cORO3ebJqr
m6MvyZs6/gd2GETi
            "]], PolygonBox[CompressedData["
1:eJwllE9Mz3EYx59fvz/91Pf7+/X9TbmKg2nEtGqlWi5GhmaTg5uM+TNOTuRg
w/y7mCI1Zw4OKk4ONgyV30Fo48DmVOnPqFSE13vP4dmev+/n+Tx/PuWHTu87
VWBmrVACupoxG4QZiJldgY8Cs/JCs3F0fcj9xWadKbNb0P0Ss9WR2TMAYvis
ga+D3iGXIm+Fr4+cb4yb7S0yqyC+PW32JQlm1uwGmI1gz5P7Onw+Z/Ya+yL4
ZcTeRdeAvRJdFbYRaBj+E7pCalsCbwHfLvB/I/fi/xlbCJ0PwSXHOLmasR8g
fxs0lnSdbDfxfxpz3RxyeeRvacB/D761yDnkbcgHkfdDyZj3ZDu2ncjPyXUH
+1/yd9GTCymPUeww9U4jZ4gZgn+S87cdo0eP4WugqrT3QL04TswOYlugOvCu
oRtK+Bv11kH8J+HT4L2Bnwt8Vvfo3yx8AI2A/YN6miKvSbX1Qgn68Qi8MfAm
oKPU/gGMt+TPE1ON/yhyPu0YjcgrArcF+NdEjiGsbugftobIe62ZFyN3Z/yt
mplmt4CuM+49Uq8GwO8DP8CnGaxWdHPmb6zAtgv5JXwPMXHsLcgvhIUcQ14K
fNbyke8ldGXwTejOBR6jWMUothZdKfxK6CK2tdQbT/jOLtPPmsBtwhDW4dB7
pxjFdoT+9gpq3kR9HYHnWoWuHv5E5LurmZ2MfGaand68CP+THFMpn1mA/XLo
sdoh7dKRIr8tzUSzUQ7l0o09YJc2Iq9P+85r92fY0W9Jv9HdxI6C+arQd6ga
+1TWd+MrPtPwG9CtS/ubz5D7bOi9F2Yltlnqm0n5joaR37RuWzPqw7a5yHer
jX41Z/yGdcu6Ud2qbkS3oppUm25Mt6Yd+oi9J+O3qpvUbeqGdEvauffYO0sc
WzdzG74/47upmlX7RNbfoj9Df0dB6LugmlX7ZNb/Eu3Qd/hfgd/WQ+R5+D+B
87rxZXgLfXc1E81mS87/FvVQvfwPxv2zOA==
            "]]}]}, 
        {RGBColor[
         0.7799537083333333, 0.46734475000000003`, 0.25285795833333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1Vk1slFUUfZ3OT+f7nfcNnZK0C9FEY7StidpSUIGKxo2aaNSFuvBvakKi
LjQxKhoES3RhjAhto6aLqlHAop3CwsSyMSYFNCFOaY2RCFrFHRUKMYHUczjX
xcu787777s+55943a558/oHncs65P7BasebanDuBNQm5UnLOYx3Laf2A9THO
+71zQYtzeyrO9XnplCPndiTONXB+Xejcb9DtLDtXxO/5Ntk9hbMSnBzHvh92
WvLOVUv6fSin30s4P57X3RncrcDuAr59Ctsp5HnIn0Gu4d4qu3saK4c732J/
K1Yi/dBtxSri/GWcXSzKPv2cLDi3BToHYb+O30exQshfVJRjb+bcE4Fzi9Df
l+gefTG2LxP5ejFWjF2WI2NkbFXIw4YD8ah6+fwXmNwBeTXsRIgrD/8zOcW8
tixciMl62O4vS+a+1uQBk49Avy2v2rAmvawF5B6vc8rf47xpmLOOaVVYdiOG
9V65DHjZGzDf9JvifBZ3O0qKcwLyPdCr4fudiHkxdW4Q8lPAZoG+8sKO9eqB
nW9aVPcOu8tYmQNt5nDmsA5D3g1cdkD3NOysoC4jeZ0TI2K1M1Hdjhnfal7Y
/5ipbrRz1knmfd4lD5aKwmq0KDu8Qy6s5ITDeeSwC7+XI2HAuvJeoVU2xqHz
BnxPIbZrEcvrsbD5CGejWHOQN8XiLH3xLm2zlqzjYKJcNiXKm5gy9wvw9wF0
LkbCa9b41tUi3/RLTpM/m5FrI9bd6Vg1bFrvsA4nLZdunJ0pCO97A+FxNhWn
fjYeTiWSPfx+ZxzlORd9tWK/y+ucfXa1F7ZXefXGbF5YsA/Ome83DR/i9FKs
+G9EXSYT9eHqSLzqN65uhE4TOtPQGU3FzUIkfrA2zIX5rVgvbGhVzP/3xozF
eSZV3/6NfSN87UFMNwXiI+UrfLI71B9H/WbxrS9Wr7Jnv8K9dw1nzhLmusVq
T+6zvrOGX5fhRF6T3+wf8v2I1e9zzIoh7A34+RMxtePuIGyGefUhudtAXmNF
8ZE+yA3Wmt+JA2fotqJkxk+MWU9iczgSly+V1U8855zZBf2b85pbHZF48QLq
1ROqxkXk+kkieQL7+VQ8OZfKBmXmss5m0FbsN4Tq3ffIX5wtFvSbPRhaLqVI
uf+U6X2oWe2GY9WuL1KfsF8+xH6fcXKN10wdsl7+OhG2dXxf5TWX27FfDjUj
rvGq5/aiMJkKdZd4j1SE1+6K+pu4cs5eH4qv2xNxdMJ6hP3AGBgL+y6wfuzJ
JL8aK1fWl/ne7cW/hwLN9U6r/e+BYuHcIp/IqxHIQ4FyYU63es3kuUzYkzvj
NovGLM4Z6z/y87VIuA2bvbrNhDDS23Yb7D0SqOYXUs1fYr4Z+6OBuMN3mN+o
8zDO3k7Us+9gr2eqNevPuK68DdB7JZafxwPxlbxdgs5ew64Wab6zr8ZSYUFM
duLe7V5cnM9Uk7rVlLXaZvViLuRo3ebiBnvn9sXi7d5Y84JzowGfvxQ0kzlT
Lkfi36VIvcAZR87y+6DpVG1uEtvHAuXCnPjec548Dfn+QLN/nddbTv5tjZUr
7bPW5At7n/xgrIyNuRRiewdg72CmHj6UqYac4awj3yHap59bYt3rDdSLnGWc
QZ2R/vf8mundZc89k6lXqbff/kecspk1YT3LPua8XLC3dSgWX+qx+pOx/5MK
/6bxpm46DwbiN+cYcWE9iSP7IfF6s5ZDzRvWi3xYyTTjKlXZO2p15TtHO9Oh
+oB1YA7LqXri/USzgDOhG3szkz1ykxwkvsSWmLUbbpz79N3txf2m/T85kYnD
5DvfD87xZ+H/r1R22N8H7H2ZNI6TN+TDf0NlbJ8=
            "]], PolygonBox[CompressedData["
1:eJwllElsjWEUhr97b+/Q//733t5bWkFiSpDQkhhinoLY2JBYIQgqkbCSSEwx
h4WFqRUREkRMIa1aWLARCWEh0ZYYEkOLnRo3bep58y5O/nP+M3zvOef9vlEb
tq/YlgwhrEOqkH1xCBf5NmMsKoYwOQrhrPRUCHvx3eLfRxKS/LuNvrDo2IFM
CCPKIWwskEzsZWJ68iH0VZPDr178RfznSq51KBHCZ2pXUTNHfh7ZTW4v/sH4
H+CfQP5N6nfj+0C9G+i7iImwXyNryV9Mfh3xnbkQhsauoVoZJBUbs847hfxG
7692/dPIX+x7xM+uMsZH2H85M4H9D7yDwPsnb+y12RBmYG8i/lfKmNZz/pma
EPbjP4hcUr+VEIZzxkv8f+hlC/GfwJ6inyb0RmpEWfes3seS05owxm7iN1Nz
OPYbclrpty527+pxmfDE7uVtOoTx5Dbw70nSNSehT8c/kPQODnNeGzFN2C+Q
62D9FHn2ymnhvAwxjxPeeRp9A/6GnHtUr/9iz+oc/bVTqxlMT7Hz5Kwm9ij2
fWq1YR9Bv0f/r1I+s5X4g/xrT7jHA+hXkddJn3kF/TsYPqQd87VkDolLW6nx
hfqzsHvBNoj+ZqNPRUpZ76wNfH2c8Yh6aeJ3YJ8sevbd1JyIbyTxgfgk0o89
s+xadUie3uqxWzI+o67sHWvX4oC40EA/z5LmXCN6RM5L7KzuA+eNy7t3caoH
/KPI/xF85mj0HPHPiS9jT8eOsYeg1yNzy74juiv6Nw+7OnZsDTIN+27Rd00c
uoO+iplkEuaYuHa+aCwzsVO1YCl6FuJQU+SdaXdt7LSd+KNgno+/Cpkl/uPv
SHmmmq04JW495cxj1LoGZ05lvPOL+M5iRwlzvhm9jxrNKfevu6WdaXfa6Tfm
cbzoWprJ8sh3VndXHFkAljWRuSQMLcROwr5A7BRibuLfUzB3NUPNUndMd01v
0gLibxQcK4zC+rPkt6MRLAP0+wv7W9qcFrfFCXFDmPupN6ZsbohD4tLOgt8O
YZha8Ew1W3EgG/uN0VvTgbyj/v2KZysOiUuDy347dCdq0RcjXUlzfgl6Ta2x
PQRjCb2rYi5op53oe2LvRnd4t7gQ+y3Qzpbq/ak4Vz1tRl8Z+W3RGSeYx3v+
deX8RteTO6dsrouz4m5HxdzSDl9V3IN6Uc4w/P8B+K7Hiw==
            "]]}]}, 
        {RGBColor[0.8275949166666667, 0.5503622083333334, 0.2697084166666667],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VltsFWUQ/ss5PXt2z17OnkqpQIsmtkSJFg0mWjAKrRUjiPEajUYlFg41
sQ8+qIkJ9YLiJRikAXwoRAMxthBv9UkTgUaKMcoDkYihlmptIRjFSgstGv0+
vvFhM7OzM/PPfHP59/LVHXc/NcM5N44ng+dOz7kVeKYg3B47dzTr3COBczek
zvVBNlFw7kLOuWk8n+Pdz0rnEPhPI+fKoIugewd8rIdODk6fgdyvcO7BQO+U
3we9AfAebL8C/3ZR8s2gs0PnRiBrAV0DXwehswGxxHg/Cvl74Icg+63SuX74
nSwoNsZ4HLIW+N0A+TTOexr8PtgNlWAP/ifQtYhnAnwZdCXi/D2vbxM4fzgj
X53gGzOKc47Fcxy2c3FuDR4f37YUpdcFujUnDMqmR33m8R106zxhdSvimwe+
JRVG1O1D7HW+5CXEvBzyK8BXw/b7rPAlZucT504jt3OJ3ikfgP0QnnroD4KO
ZGVbV6F4Yk8xLQNezcQ9VH7jOeXYiLN86FwNmgCDach2z1DsUUZ+iA+xqanQ
WTynukL+Thv+2VA1vAZ+ppH717A5Bn4tnlp8L6MOJ7KqGXP8FrY3QmcCNg+k
4u8HnRnK/weItx7xjMF/FvphRv04C/w/JeX7GHxugd4hfLsedWwFbfAUYxPw
HMsqH9L5nvI6U1Kt/wD9MlRv9EWK9zlf+j2xcOwFfQXPAPhXQccS9dapRNj4
hs9s9hV8zgF1yOEA+IGS+pV9W4asJtW8TJWUe60vHHbFwmU3aCeefeDz0L09
VY7M9eFAfbAN3z/EcxL8R7HmhrkT90d94TWK+H6B/k7QdxBnrafzODML0Gcj
kP8JeXdG9WPtzsG2Cb4+AQ43h+rvTeCHs6oP+3ZjpJ5/LdJuKFg92gLNWifs
dsD3N3nNeY/NQy9oUqX4ilWK8QmrKzGoMxxYL+LPOtci98M46y3k2G5xcpb5
Tvlm0P6C+viuSHasH23ZA6w/63IW/P686v4ibA7A9qVYtaJ8F+Q/pLJlz85C
DkXoDJY0W5wbzhe/H8nL/7JUmDaDLsBzBHpd8JlFbosRx5QvusR6iTO12HjG
ypg3Qv/jSL5zoeaeOBBvxky8GVtVqn00E3RNSbi1lYQ1MX8hVm8TO87F6kBz
+VciTJrs3GHba6eczrrM9sz7Re22nkh9dww1uRTyTbF21j2Bejk2rLhru61n
GCd1GOvSVP3F3UzdxDAfCVS3efg+iph+hP181O3XRGc1gH/cYm6L1JusL/fF
XsQwCn5PLIzZW+yrl6FXxTqCXmL3EXf//3POc9lb3CHcG+xT+iE+kznNMnFY
EYiuizRPY6bD+WGP0rbLzt5qc8z4GRt3GPMlhkus93g+a8L9MAq/C0PNxxvw
v7MgnIk386y2WrEfiTv1m2zHD9gOH7Id2xHp+22BYmvIC6PtiTD5GfJFke7R
Z0GfjBT7+kh3zrDViHky3zZgNlips+mX90NodwRz4q5gXm8azsSbO7Xe9uqQ
xcf54h3SnFUNGmz38OxVnjAn9tyTvEt4d3De6Z87hT14wu6C9lD37LpQe5r3
Muv4b0k+xxPNR63NyBee/j/oh3PMXmR/Lg+UEzFjLqxTv/UAdxZjIM78LyHW
9EWf9HNdKhyuTYUXdzV93hJqJq5KtbspP++rp9nbS2PtxVa7D+JUmPztK4+z
lgt7gXGwx7hLiC33SWx2jI1xXLB/qv02d7Tl3cm+m5vKhrb0l7E79/lI9wDv
cb7fFOofriOV71a7p3yrB8+6uKc9zdRDgSj/0dgHxIF9WLQaUt9LhQPx4M7i
94WQjRWE02eR9k1oOfJe3ZbT/82VJfU577d7A/UI+5Tz0m67/Yyvuh6Gz5OJ
ZNwflZF2Tg709Uh48T+OOTNX/ndwt03afuP8DdoMctYP2rzzPuQsMwf2wkrr
B2JwETvwvZH6sDHQ/wTlOwraJdwpnEdissruv71F5biH/4CR9Pj/8m6svuuO
1fu04Vn/AQzug1g=
            "]], PolygonBox[CompressedData["
1:eJwtlVlsVVUUhre9U+/tPfve0yoUoYiJlGADRTEmCsbQVkVFTRyjkTjRUkkE
E31QX4rggEMaEQV8KARBEktxRF/USCBajFEeiESMVdHaQjSKSIWiiX5/fh9W
stb+1/7PXuM5994VNy6vCSH0IFnkUBrCZ4UQ5hdDWIz+WgzhB4BpnFXLIWyq
C2FfJoQCZ48m3EOyZ4QwBMlK9Ao+U/H9EryXuxdzlsf/FvDN3H2Vs4Poe7mz
Bf1EJYTRXAhLakPoqg/hfe4vw78D6SyFsBaf/XA1g7eAPwNfI/YU5HJ8O+t9
dzoyC/653KmgR+RssD7OBuFqRZbhP4uYirzvc/Ac9hvwj8J1BHkz+kzYJt60
kbcNwVEFG+bNk8EGsfeAb8MehftW+C6B7wv4t2LfX/a3VuZDWFcN4UHwGwrm
mAh2N++bjt2MXAPWgZyDfhh8O9//Dv7I/d/4xjH0B8CvBb8U/CQ1mQDHedjD
2P3RNVFtxHEFvr/X++51qiFYR9lvn0q+29EbkRkFx6zYdSZMnAu5P8435hWd
Q+VSPTD//7NsQwhjxLgLvnbuR7DWkuNVji9KXAPV4i5x4L8EvD3jmqq2ilmx
X4m9Cvv16N5RTq5OfSZMNV6TOAbFsghZDt5TNl8fkgMfQMZqXIPbwCeBH6h1
D3+NXYvshmsSMRbQ28Cb0L+hviPUdzf2QxnH8xFc7yWu7Wnq1yg+5G/0D+E7
RkyT691b6oEAVkGOgx+GYy+xjyN/YY8hDWCniuYSh7h6E/duEf95fLs/8Wwo
hzsSz5RmS/lU73Yrvoxrptr1RMezB1mF/hh4Ef0r5E5ynU+cm1+Jbzb3V0f7
DmHPxH4C+1PxI0+hb0W+z3rGt6HvSpyPbt70Lvo7iXtvEPtt9Jeq7m29ubfq
mdRsagfczPePktNv+daT2EfQX0E255z/+8DXROfqKOlbhL0jupcngN+D/Vb0
LE7Efpjv/cH94Zxrptp1p36/7KXoK5Dryc0475kDvj91rdQT6o127KaCd84C
9LNS10Y9fCb6er53QPWA7w69h5jW5x3/B9x/PHoXjfDeheCzufNJjXdIK/oj
iWulswzf3xBdC+087b4/K45NO0677uno3KtH1CsXwFGGKyJz0Z9LHEsDPs+j
r+U9PXnvAO2C1Ykx9bh6XTVQLeTzIvoA/CNZ7xztngHONuRd09Ml94R6QzVX
7TVTmi3l8DL4TvLGX3KeMc1uX/Su1tmpintIvaQaj2LPqPMsqSbqLe0w7TL9
A/QvUM1V+0P4/Iz/jyXvVuX8ZXyPczaS845/Abu5zr7qcfW6ZkSzop34LLGf
n5pP91vQF0T3mt7bpv6tc+32qd74d6buNb2vK3VNhSsnO8lNtcG7Sm/4t947
XLtcPdOWuiaqjXqiH/8u7p/IeCaXov9T9O5Qfj8uOya9TT3/U8kxKTb1cAvc
U1L3rs6a0K8qubcU70y+f1PJ/059Q9/SThK/dox2zWLwg1nPvGZ/TurZVA9d
mDpmxS6fjdEzpFlST+zEvr3kXtc/fB32f+DPDIo=
            "]]}]}, 
        {RGBColor[0.8687117500000001, 0.6367591250000001, 0.28365825], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VmlsVFUUvu0Ms7w3b2buTE3swmJdK0QLxKBRa0DrFmJjJS5EEmNEloTi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            "]], PolygonBox[CompressedData["
1:eJwtlWuIVGUYx9/ZGWdm58yZPeeMQu5uN4NiS2oVRPuQpWUWBKXZTQoi2FqN
3C5EQUWKBXZRM0VQzFRsvawZRltQZolRZoWX+lDtZmZFEZRbH9pxTej3578f
Xs7zvM/lfS7/5zkX3tczd1FTCOEZToGzPAnhqWIIu8shrIu4qIZwAIXJCC9O
Q/gqC+FEPoR+7oaRF7n7D74Pfgj+GPJD2H4C34FsAedf5DnONHw9wnmyyT5u
jkMoI/+jaPvFtRBe4wzy1nHOZuil6PyMrAX956CP438A/4OcH6HPci5oRgf9
G/E1F5uF6K/IhTAH+m7uRrBtcHcFb+8iv7XIZqL/JvSa0XyXcrcaOkOnjP6E
Ugizse3nzeno/orOb+S3Fp/fFJzfGuhH0R+AHuQ8Bn0JNmMKrlkOfm/st7Zh
vx/7J2LL5WN+JYSe2PXbD38D/IeqEfzXvH8SX9OQfwn/BWcL9kvgG3m/WUf3
dnTuhJ6C/R3Qt8TujWp8AP2Hq85XvGq/mbtDefuU7wdH/R3Bfh7vvwTfCp1x
OtF/n7MobxvZHqHen1P7vfhr5b3PMtfmF06A31Jz79qJv4bt1Nix/8Dd68iu
4a6ed89L6G+qWZYSYwe6t3HG5tyzh6C70bm+ZPw8j+4+7q5Dfx09b6uDr9j4
OsjdTcS/HZ2TBfuQrz+b/Z4weZRYl9Rc613CG7Gsqjl35bMS+qPEWHkH/ffQ
/zQyvZN49yWeCc3G5fjsrhqzwu4E7jrQ70U+v8k1W4/+P5HfUo8jctkD39Xk
HvciH6oYq7LpbQnhWnTaSu7pTOh7kY/LGePCeoPvJpWa72nlQwyz8u7JYfjv
sJmOfYZ8BL6TM7HsmdpIrB8kxqIwcabimqv20pmE7o7Ysz6P9/vx/Tb8lfAb
eHMYn4dTY00xDMGvQD5e/SOGq9G/C5/HCsa4sN6TGksV5FchnxJ7NqSzmniG
ybk15/ga0Mtq7qUwLCz3JZ6fPt7bCb2j5lm/iBzH4a8d/2eLrkE3b388ul+U
3wh8AfnvRWNAWDhR8aw/zd3KxD1X7+Xj3NQ9Vq+FMWFtfWRd7Qjtxhdi56qe
LINelbg2kr+auMbKZTzxxcRyKnPu2llDmXeWdpdq9iL2ZyK/rxk8j/dfSYyt
W7nbgOz8urH+uOR17wTtBtVEu0U5K3fNyAPITsEvzxljb1DPqfBJ2TrCSiNy
bTUzGfpdnFkl85qlpqp3m/o3EdlB4h2bN4b/jowpYUs7+Vvkz2JTKzh+7RLt
aO1q7ZCXoXcnjl07+V3s2zLvireoWWtmDAvL2rHn4G9ri3NXDn9VPPOafcV4
P/JJqbEQwU9OvYMVbwn+MvjZFc+i5k279Z5Re9WgXfOReVcfhR+AXlA1HoT3
hdDfZ5bpH6B/QWfqt2JOEf50s2PXjBXox8bItsK0sC1MCpuqyeLYNrLVDO2J
PVPS15s/VfyP0b9GO2sbsV6aOhfhVbtSGBKW1IMZVe9U7VbtiBmpd5h6oxnq
wl8+9T4S5sdA/w8JHAyA
            "]]}]}, 
        {RGBColor[
         0.9016150416666667, 0.7067008333333333, 0.29478933333333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVltsVFUUPe1M79C5507n3v6BgpiI4REUJbY/gP2RH9FQY4z4IBoTS6Ii
SloqwaRE+2GCiImhlEIfKW0ttS2+AKHF1irEKFQUIlWxSIpBBAGNj2CIa3Xt
xI/J2bPOPvvsx9r73JlPrq58rtA5dwK/FH6jU5xbV+zcMazvFDm3JXCuG/jl
0LnzkIPYufe8c09D+abIuaUZ7Ked64CRCWC7IXdBboCNXvy2Fjg3AlsXcPYN
2LkH+0vw64dcgvVG/BKcm1bq3Es4Nwibr0K3DHg9zg5kJLdCP8Hdf2Dvb/jy
OfBWs3MC5xZCfgjrlaxzffC7s0Rri511wA9g+Rq+N+H8y/Qn71wB8IPATwEf
zMuHz7BfCHwA+Pdecf/MPGCvBzZ3wuZ2p/tbzIdLWe21494KYG9C/y3435GX
vAc227DXDZ2ViXLTGCg/K3PKWzlsNCD+CtzzlOV4AfBK/K9OKafUn408BIj/
OOxMhfwv7IxC7ob9PbB/FXZmw84gzrTk5CNx+sm76cNF6Ax72f0Ea3NOeSzD
uWvYWwv8QF6xUp/xDnnhy6HTCf0x6C/F/e+ar+TFg9g7B7krp7PkEPlDH3qL
VItdJcJ/y4oXv1puw1jyVeSqPVAemcMtJtMOc0b+MA+7QnFlG/wcglwNGwcj
xcO4VkTi0ySvoNNRIh8u496mvHyZj/0PQ9ntBTZod++DfBi8/T0Qb7iSe+R5
c9ryAnwR6rA7EOcn+R/ovg4vvs+C/UcgLwK2EbYvooabgacR6zjw9cAPQafJ
dOqgcz/+3wlba7ziYVw/xeqThSnxknvUeR7ri174C1YH8mUj8lNbKB36T+4w
J/SN/V1jPd7i5c8tkXxnDIxlU152GuHPiBd3+oAtg94d0FkNrAK/b6ATeXGN
Mrm7H3JVSvHsTWT3EM6eTuks4zln9zD+PpsV9LE/L66Syztg93XcOxN3Vnn5
sw3+HI3FSfbTUa/42N9nU4qXcd+XU51OQnd+Vvz9pVh30wfy6gfL/+FQftN/
1uyGRDPtMdh4APWdZjOqKNYcSGGdmtHMYc9szivecdxzcyT5fdj+GHgP9I+E
4myP9ftJr5nD2TO9VPHPwLozJx9ux/2JV3+NQf4u0Vw+hfUJr165BJtfeMX6
KeR9kJ/BvXtZEy+enge+yurAPD4OfBjy9VCzlzF1FmoGkz+J1ZX5uQu+TWQ1
g+dEmq20z/+cTcxXfaj5VGWcYz6oQ90xL9sXoPNPVvm+F3bqLPYyYGey8u8D
YBsCzc/tNs/JJ97BvHHWk39/herJLxPNg+MZ9eCZWPI41j+LhS2O1G+Mnb21
xGp2dyz+M5/Mb7nXG7YK+JVQb9WRRHON+6wD+cf8zYG/MyL11o+QH45Uz7Ve
c4VvFWfKmlg9yjdkUyT+LPaaBeTXvKzen3WBbL0GntRCbgiF1RrO3Oy3+kXW
a+QIe5U9Oxd2bvOaQY/izgWJ8sbZvxW2ehBLf6I6MZddXrUnB5ohl3rxoC7S
PGBPsh+etRnOWT4PdqfAfqGXDnPHvPD9IU5bs6CThuy8Zgr11tvMYr8NAE9l
pMM80naN2eHbdT0QV4oy0hu2Pq+0OTQ9ls41YAVeerfG6lvewzlaHatXa2LV
ln6wBuwN9siovQkTNgNHDGcPHUvEyTp7387aDJn8LknLN+KnbXax99iDbdAv
t95oBfZVorpwxreFwrnfavJHXj3J3vzWqz6sNzk/N1LvsI+JbTB8mc0xzrOh
SN9Pw9H/3zc78vo+eiUQ9xrykttD9RU59Db0l+f0vVKJtRE69XzLQvvOCtTX
/wEwDW6/
            "]], PolygonBox[CompressedData["
1:eJwtlllslGUUhr/OTGfamX+mM1OvWNXgBgRFieUGsDd6AYhUE+OG0RskcUVS
RaMJRomQaNHEUArYQqBAqW0xhkqRpaRRYiJURQJVthhQKbJpFINRn9f3vziZ
c/6zfO93tm+ue/K5hmcTIYTlUAqalQ/hg4oQbk+GMBu+qxhCS5rf6hBG14Zw
gd8pGI7IhDCj5G/SdUNj4LfjMwP93VA//J1ZxzoOzUS+F9rJOXcgz4E/Ug7h
YFUIrwLiWBRCH/Qg/FIwnMF3AWfcw1ntfPs5F8JJvj2F7w5oHP7DnDuZs+Yj
f4zvCvC+Dt438J+P3IJPQ8I+TeiGiPdlxhh78W+AfkS3CLpK7FXI32FfDzXD
b47MrwBzO/xJ/L/Bvx7/PvTniL8Z/Rn8n0G+AX0SfSVUgX1bIYTdScdshU+i
/wl8v0AX8Z2OT0dwzFPoduHTmHANroCnyLffsP2CHP2Zcw6Px3j7sc2iH0Y/
gP4S+kHFIFZXJXhrnEPlcik2Ldz/Gnx2cd4U/F+E31+2r+53nlzWxfdXDdYT
7zb0hxK+w2T4K3z7PW1MwjYuvu+7+K8l3s3IaeR9+MyLHFOxFaMeOQFVZWxz
C7a9yE8n3VPqrQngbQrWK1YPZ3aCbzXfJqEL2KcyPlO5bo18lmRhGZ/3fRVz
gupTbWzyuRH9BfB3YH8O/Dnk5yP3onpAvTCIvDjhHj0AfxT6DP5v7Edi34VN
HVjfQt5IrE8i95Z6UL04ixp/CN9J/s+D9yw2m4j3D/Zj8D/KfQarXAPVYmfR
tVTN+7G9qeTe0Z3+Rb6as6/OH4Fubt72wjiAbiHfyknHewH+28jYVZ+SerXs
XCqnX8Mvwb8mZUzCppnSbKmmZexnxvhbodkFz5Bm6f8Zgl9V9N2V49Pcbwvx
FiSdY+X6rpJ3g3pIszQJWofuTXya8V0YufdGE78JXapkbJqJSvixtd4lzdAo
+Oq4v1WzJ/BdH5mXfQLdNvC/n/Y87iDePDB3pFyzw9heBuM2atHGt/vQfQqG
DWnP11/oPsf/FeJt5Vsv+dlQ49q9hrwa3X6oM+19od22BHlavE+uzzvHyrVy
eChyj6hWyu8Q8iJoZYVj7OXsiVnPg+6ku+mOuqswjIR/G5uX0+75lZy1J+/d
qB2zV/uKO6xLeYdpl43POvfC9Ahndcf9qR2gXTBdmJDvR25EnlNwLhRjbsE5
U+7e48we9ULOu0IxFKsv1itnu3PeScqdct4O1sGy76t8Hyw7x4rfTQ4vYfso
Z07LGL925cWsd5NshGU4ng9hfIez1hbtq55ZIx7qCa5hD/xU/Ldie5r8P4D9
5ZxnWfnULhwCw1DCM/a96plz7+k+mt0jkWulHlGvKKfCppiPIz+M3Jh0zR7K
ewY1i9pZE0vOkXL1EXg20ivX5v32aEbGKlbBb4EwbCr4jdJbpRk5Bfa6rHOl
80eB76uyd7tmVm+jek69px5YVnSPq9c1I21gP1vtXdjB+Qe0z7LGopnV7nmp
5FprJ2g3PBbPg97QqZHfPPWy3vTtnPVr1rHkr9n/IX4f9CbrbV4W96Pe1DU5
z6xmVzukFtt0yW+ZZlK79UTWuVjMt+X4NufMK4Z6e0/Rs6aeuFW7O+//Cqrx
APLhkneP3sQ/ql1j1Vo12Yf+P+Q8Qk8=
            "]]}]}, 
        {RGBColor[
         0.9197339583333333, 0.7470231666666667, 0.30084666666666665`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlW1o1WUYxp92zo7b+f//2znzSxC9UsxmSVBJUVjQC5UJmyzS7czVkvow
VjRmIylFS4hMok9tTHt/WYa6xDTMnI4RhTTHZmo5tRIhkxALiqKk39X1fHi4
73Od+7me+7nv637+V3Y9tfjJqhDCCCvHOlsbwgbsjjSEHoBR1l0EzM3sN2Hb
sLtyjnu5FMLj+CeLIZxh7w35EIaJuZG15qIQToBX2D9GzD3YFfAOgLfz/2ni
G4nfiL89NZ/OHyg5fh74K4n3rcW/KvO5a8Aa8ffgr8Nvytl/jf0LwXdj53Nu
L9gMq4/9l8Z8ZsBvzcwp7j+xU8Qsx5bLxOBPk8sDmbEe/Lujv434AfxryHkQ
e39m/vuwx4vm1zk/g93Meq7K5wlXPXTXnljP67GfzwqhBf9CQwiL8fs4v411
O347trOOPNmzj71/xft8Rm2q+K+C/w65TbBW409inwZvZm8vdkXZnOJWLofw
n+esm+B5F85WuE+VjV+g5rO421rijsBzOed9in8F9mpi2vHfBC/MDuFeYi/G
Lqtz/FHw1rzPKvH7mbLtAvBxVj/+GDz5xHkeBFuFbcm7TxNl1+EXeI/z34vi
bPA9xCuu00XXbZC7/0Hcl/x3mH37M9d4J3Y6M+cU9ndiRomZKrtn6p36eSp1
Db6Off+4Gg3Qmw2qL/xnwRfWGfu1aI6Rauv3pYI1+b+fuIebU/fkJKs/8op/
POalu0vrO+Pvr/h/f+p7S6dnok60Zwx8L3hr5iX/FnLYnVm/P6jnmfk0Q9up
0ZaaED7Bvg5vs/KKc7O0yvpu5i6vEv8bPCsLjpfe/i2aR3zvJ47fmnkmhf8j
jdS7PofKng/loDoOF3xn3XdHzm+B5lZnK4cB+PaUHPdFyTXorjKv3ga9FYr7
Juogl1hrwm8Dr9Q4V+W5seS6bypZc9Je9WzPh3zlpzlSrGZMutZZuvOPMe8F
3GmE/UPwbMNujXrQTO9NfC/V+HzR+1SzBHyd+kqO36Z+Ewpgl8D5Av53YEOZ
NSAtTGaux1jiOqqe7yXWivQj3o/q7Q/XuybKpzvu0d4DcC7KrKUHM8+AZmEG
/KecayXdHEudQw37TsR5KeI/lHfO0s3h1LOpGV2Suq6riTlG/geo3d/UblXi
/l3GWftK1mEfsbXEXIt/HfU4WPTsvwG+KbWv9+Ct1O+P3qHJov23weYV3Y8R
cn84voNLMvdLvdLMKUe9acqzjT2N0qu4o98ExyOpc+jEzuGMOfhzwSeK1tsQ
+NI4P23YjtQxldRvc1P8FkwT34n/YWrNKTfp5Fyt/98F3lXj2dc7U5v49/IG
vzfz8+7leOIetHDWlsz4+ai/jhq/F9JsJfp6r3XH0cy6fqLgHnREbSvmjrJz
OBffM2lV9elOPbv6Ri2Kb5HepA9S32UYu7JkzmdL/i4qfn3iHuucPvDvo06k
2cdS16QLuyzWSnVdX4r5YB+NNVf/j2TW09HMMyXNSKuD8dt3p74bcS70zeyN
351+7H9/PR8p
            "]], PolygonBox[CompressedData["
1:eJwtlmtolmUYx2995w7PYXvf9b2yMI9JH0qKjhBGQYabdticrZYUpE6qpSRl
eYrIJPoQLTYrtXIa5jQPy+mWSy2y5nBzWqYzTWpFgQWJHaTfn//z4YL7uq/r
uY7/67qf0Q0LqhtHhhDehIqgpnwIN3PxRHEIizn/UhZCZ0kI1+ZCmByFMOqy
EO7i7hbuagshbEhCqEfWCa2IQ/gKfjd2qjDWn4ZwG3QE2UH0/+K7Zeh0wI+F
ZqE7GXkP51fw14q/7dyt5vtd3F2FbB58HfFMheZy3otOG7qL4PuQt1c6tunw
b2F7rfThd0PL4ZfGtlULtSJ7Lu/cHoffCn+EHLpL7EO+zkBd+H8B/iznl/h+
ZxZvLfw8fF7k3FAaQhmyw9y9CF9NvgPIxqT2rRjeQzaSms1ENh0fT+FrAPpo
lGtYTC2LFSO6F6An+fYO5GPQf4MYbufckjj27dASdEenjmcWtAZZf+Lv5T/g
653EMuko9lb0xyK7k3xaOM+Afsw55iLk4yPXWz1/SPVI3bslyL+BH4pcqx3Q
FalrJv46dIbJoQ5+nGzBL0Q+WHCvL2DvvnL8Qa+PoE/kvLECH+j8jP7zyA/y
7cTI36tmql07d1XINlPfbfS2irszOWNqH7Lj0LKsXsPCEv18mnMT33TBNyY+
f8/dPXzbljpW4WMLsn/x10w8c+EPwG+ttK/FYGIVtmoS91oYvVr4hc/n3PPV
8KfhV3L+CfoCf3en9qUYupB9GTu3G+A/w96hxFhV/JqNvgwv6sEBdL+FX855
BjGOILZJ0Phsnq7B9oTI8aif6v2uxNhQPzs4z4Em5IyZZuRrqfHsUmNsPeff
+P418q3jrp5c2yrcC2H+T/q3IItvCBvTUutIVz1Yh24td8M5z8PnwlbBs6/+
3oosIocVWT0eUC0S88K8sH9vatuqz0XFknetFaNi3VThXrRw1573zAoLwsTs
xBiSL+Uwrdw9V++F+YHEMyNemChB9jc5HSK+9fi/Hn/dyKcWuWfqnXJSbtpp
vQXnIPtzoI/5/tfYvVZPvlNtCp5dYWAh5z8i41kxK/ZJfF/DeQo+NnN+mxzm
53z3AbZehvbm3CP1qjS2bfnQLlEP1ctu+Inw41Lra6f24+t8mW3L5qfo3hh5
PymneuqRiz2rwpNmW5jtyPZdL7rzE+emmdBsbMzws0c7Dd2Vsc+K7zFkpwvW
1c7+oeAZUa6q6YmCMdmZxfdh4p0vXph9BH5KZKwLU8KWdpJ2kzDfm3hHilf/
jsJfIr+BEs/LTejuT4013Z3F33H4+4ucs3bzUDZ/ujuG7OvE+WtH7I89Q5ol
4WFQuyCxbWG4RvOUutaq5zl0r0y927T/PkF3Td5vkd6DDfT3UuzdJjw+jPx3
+H+yfB+Fb0zNa9/3YW9T1k/VWLVuIofqEs/DYOodKXva0YfRf6ZgbEnnWc7H
sv2mHI6mjkGxCHPnI9uQLc3YqcQ7VPtGO+2/yBhRbtr558r85tVm+0xv77vZ
+6AYlJt2onbjUr4/yfenIp81I9rF2mmaXb25e/KukWqlN2Ob3v7EtVANVIt1
2fsrXrXSjtRuULwnkbVl/wvCuGZDOSpXzcQJZJenfutkX29TQ7bfpK/Z2JL3
rlikfgvblX6LVUPVUhhSv/XGPJh6x2o2hBFh5f3Ys6l/jmZszSz3rlB99VZp
hyleYSxGtzl2ffTmvYp+T2rfqvm+1DtReBU+eziviv2vIh/aDf8DyypQoA==

            "]]}]}, 
        {RGBColor[0.9283803749999999, 0.76638, 0.30373225], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VllsVVUUPfLKe333ntt3Xw0h/mgIESWC0mhIKJN/yo9RGcqgsVBQFKxG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            "]], PolygonBox[CompressedData["
1:eJwtlktsVVUUhnd7+7r3nNt7WydONHEgDhSVaDTUBw5MfAyMGpIWiuFRNCpB
E6WWPoDEBKm2oKKYWKC2JVJKAxUUeQgW2opBKKUtSEsFwytRcCLMjBK/P/8d
7GStsx7732v9a+9z16K3X34rP4SwllXAml0aQhfCLuSHUyHcZH2Sh70ohM5s
CL/HIXxMQCffoiiEKb4NYVtYEkJNOXHom9DbWfuwL8V/RiKE86zn0yG0Yu8p
DKGN/C3IndifJF8D+U6xVy/6QnzfIH4N8fvJuYfcK/E5gv+JMr4VE4v/dfzP
oA+hjxBTQf79+Iwj1+LfT/xZ8q1F/gr/4sgYhXUd3ybQK8jxSMJ77MM2hv9H
2NrxL8TeRL5p1KMJvRG5Nrb/ddY89ltKvTryXINz2Hsj16qV1YH+G/lr8P2W
dQf+l5LUCLyfUYMPMyE8K8zBNXoO+RtWNfv/iM8oZ/sn6V4sxz6FvjN2vgfA
9Ae2Mb49iN6Fz030EewtOfwFYHmffGX4HsGnFX0V63WwTUOvwvdR8Nfjux48
zeD5NXJ8P/pZ8HenvdcLfNuKPM63zXmu0Wnk18hxH7kOgHcYLHWx91aO5ciJ
yLr8h9FXoz+FvICYe8i3Ke36rgf/VfDXx+aWONYQmwPignza8P0lMhcaiB9g
/3dZNdi30r9GbEWRe639zxD/E5hmIW/gPEeRm7EvyeXbSL4B9B70F9FPoV/B
Z1W+e3wV+d+Ua3+NVZ32GXXWXvbrgy83ku6V6jsdeyoyfvHrgriUca9VY9V6
b9ZcfQf7QfGLNTPfPa3Ddgx9h7iPfpn4a+w3WWx8o+TfqHlLmCPd+A6iNyeM
+Th6SWQ+ivNTxH8du96NfBvjLPNiY9HMvYLcHbs+so+nPKOaVc1QH7n+SnnW
HgPDHLCcUD3QK4j5MnbNVfu78a+MXRPVRjP6BbbF6C8VG1MSfTurr8RnmMFe
E2mfVf0+q/PFzq09TrLXxdi1VE1jYg9Hnu0mcY6zP4HPAPUaZE2iH8d/RcI9
VW/vj429glUF/m3ssVizAN/+pHdPo0+ij7J24j+E/kyBe6BetNC/zws9s5rd
/RnPhjj2Jv0cKvPsPA6mQeQq4uvJ1U/+yrTvCN0V+vYfWP9OmuuH0XekPZPi
zknWzLTvCN0VwnhetY/sqxnWLG+PPTvisLh8+20hfEDOQfAVIddSg7o8z8R7
yD+A93Ch66+76s60Z181XhmZ0+K2+K677Rb9mp50z2o5z0PYjybMT91l4oS4
oZqpdsIs7LqDlhA/J3bvVI+5krPmhji+gthDGfe6C580+ljad4N6No68OmNs
OsNx9tsQ+e7RHbOGXIO5/lSyziGfLvPZ9aZsIfa7rGeri/N/jzw/9tsiji9A
3pO1TWeYRXxbbKzCPMx+Y1nPmu64UeSfY981m4nZG3lP7a2Zu4JtW8Z3r97M
HuT2XD7N2Aj5DuXy6Y4/mPWboLdBM6BZKKRnPcE9VC+Pxea2Zl6z35E2P27o
DUO+lTS3VIPL2O+NbdObORt9NOVZ1nm3YNtV7rf2Vey7y81ZcVczMwGW6jJz
XxjmItdnPRviTwPyotj5dIfUIJ9O+S2U/innvZBybnFEXKkodb01M60Z10y1
0z+B/g0uZt174b+EvCx3f+tN0tukGdYsi7MHiF+X8d2tnMq9O+t/C/2TVJZ6
pjXb+gfQv8CyMt8X4rC4/D9zPU2v
            "]]}]}, 
        {RGBColor[0.9317642916666666, 0.7740893333333333, 0.30485575], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV2lsVFUUvkxnHu3Mm743gz9MTEzcMQKupGUxEBMDkhCMYakxlIQCP1iF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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhnd724vce9p7WqYHHxTigBGIUwISFGJiFBKiMTI9WAwCD8oQ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            "]], 
           PolygonBox[{{4023, 1470, 2818, 3687, 3688}, {3974, 1425, 2763, 
            3635, 3636}, {3645, 3644, 2772, 1430, 3984}, {3688, 3687, 4307, 
            1727, 4309}, {3697, 3696, 4317, 1735, 4318}, {4030, 1473, 2829, 
            3696, 3697}, {3987, 1431, 2773, 3644, 3645}, {3636, 3635, 2762, 
            1424, 3971}}]}]}, 
        {RGBColor[0.9218037083333332, 0.7681102083333333, 0.301512125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV2dslWUUfmvp7e397u373YuAgAMkjggmgECMwRUQgyxliOy2QUChlu1A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            "]], PolygonBox[CompressedData["
1:eJwtlndsllUUxm93+w3e9yuioBEh4AoYFcUYIdEEHMhwAAIiowVFFAFBjFoB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            "]], 
           PolygonBox[{{4188, 1615, 4190, 3637, 3638}, {2844, 1486, 4051, 
            3694, 3695}, {4192, 1617, 4194, 3640, 3641}, {3692, 3691, 4047, 
            1484, 2843}, {2842, 1483, 4043, 3691, 3692}, {3638, 3637, 3949, 
            1408, 2750}, {3641, 3640, 3956, 1411, 2751}, {3695, 3694, 4055, 
            1487, 2845}}]}]}, 
        {RGBColor[0.9010664999999999, 0.7548251249999999, 0.294766125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mHmQVNUVxh+zMNP9uvu9bohRoqgsiihWOYmpSvmH5QaJUrFCSgSGwWF3
BNlUtMKmCFHKWCYoSMBEKqBgBBKD7IvsKBIcEsM6gJqIgICgQExMIN+P7+aP
rnfeeeeee+5ZvnNuX91veLdhZVEUrWgWReV6fr8QRQ+L7p1GUWNVFH2g3636
tctG0d3No6iH+JP1myHZRSWtq/T3F7VmcxJFv5ayk8Uo2iPZ3frN0vvR6ii6
TTJLtWaWZPqKtyCOordE14v+q+SfbWZ6rmSO5qJopuhT4m9PrOO06BWy4SHJ
tZaNq0QPEX2V6HnSP0J7TdPa/eL3Fp1rEUWjtUed6KGyd4J+w0X/UrwZFZZn
z6OSn6JnH53lP5J5VXv9XTL79H2vfq/ofaq+46TF0r867FujfTtVWOdN+rZM
/AbxLxe/s3jtxBsj+R/ofRhnk+4bMj77PPG7au000a/p2xzZv1D+6al1z8mf
ncQfKX4bBaRG9BTJ99X6jqKHyrb5kp1U6fd5op8SfZ3oganXDpfMYNHdpe8y
nete+fN68R8Wf4X22iW9k/Rel3rdEPHPZh3DeslvED1CdMeCv6OfM6zS2vel
s1H27ESX6Pelo59ic7vsqNE+08ssw7mIOfyRZd7vtkC/pudY6bxGdFetuVbP
Bum7P3WOlWTDL2TjDM5HXlU6r+aL/pdkDkrm33qOTXze1dp/h9YvFn+z+G/r
uUS/DbKzVrrGa90+nWmYeB0rHK8eOtvronsWbFeLjPPzdJllJotuI7qt6Ee1
vk7fr884V94sOWYL9NxW6Vz9vfhzKy1DbVAXxJtY10muh+R7l5yb0K9U2tf4
/Jxsq5EN363yvuQ3eb486/wm31ZmnVvk2FLRV5Y7x3ifrX2ezlhnRs/J+lXz
ntimn8sn7Sp8FnKSPCAfxuj7qTLvzb5Xir9Q+vrnVQ8Z2499dxRcM3fq+edK
1+Ob4m+T3uXkg9YtqLDf8fmHievmS8VlWXPLbIkctwP6/VbfvlDcf6PnV5L5
UOufFd0l75xiDXkyN7X/FstP50XPFu8fkm1KrOOM1p4vszz6t0pmluwaIDub
xNvf3Hsc1Pk2VTqfJuv5RpXP/70qn31UM+cQufQz6V5VtEyTzr+r0vv+QTKN
lT7XAtGfp9b3seyZpjX3gBOiT6TO1U9EPx8758aLV9vctUwukSPIkyc1Ib49
U+cd+Ud+ni2FXJSf3k2cZ+/p2Ta2LeMKxqq/Vfq9nfh/1HO8+N+JHZ+hoj9K
LHNIz6vFXyT+KPEf1Pt48QfreUXsMw0X/4Jsu1d2fKBYtAnyY8UfngQc0PPb
4r8h/uPif5zYR+1k7/rEfl6X2DfQ84Md2NNK674oup43SKZl7O+j9f2SoLNB
dIvYdf9YwbVBDj5QdI1Sq2DJn7R+pfT8U9+7iL+jyu/oRf8Vsuc+1cj98vuN
kv86de51EP9c6ty4tmQ8BUenBhzCJ/Q/MBHse0T6GiTfS/KPxq6hi3Qzx5O4
gs9zq13b0HuzxhywhxqlH1Cn1GjPIENfqg16sBMbycPNWWP/DaGPdAlrn5Bd
PxTdtsz4CE7Sk79M3Wfbi3cmdc+6RnT7MsuAI4Njv/dL3A/oCx209sHYGPyC
zr4263PT/39X7b3BivtS29A/Nkbjo6HSMyj22V5Unvy0aBy5LufcAbup532S
2ym79+v5keQbpeeo9I1O3L8eS2w39t+RdWyIUeesMQY+uHoo5PA57TM9byx7
Oe/4Ece7st6nKdQ72IAesIxefrGnS8cR7b1D/M/0/FW56Zf07VO9bwebJDsg
cW/qnzh3uof8eTLxc03RGHQRixLXOfW+VfRp6dkl+VN6vpN1z6T/0w+3h54I
fu4Jc9HB2PsfTl3frJ0ZMOVi/QQcJabUD3GFvjNrLNoX5pO+2mOhfNJPz0Gp
Z4jxWjtTv9miP5P844mxL5GOgaLH0StKzityijzpk/j9AT33JN5jb2LsRw/z
VYPeJ4iOtXZr1jl7Y8H7se8EPUfoN1F0XjJHsp6znkrdO+lHYPrrVa418on6
Ix+GN3P8iCl4RG4Si6GhdqgvetySxPNYU9G9blLodzvyzjv6CT2B3kAf2Rjm
mVsKxjh0X04+Jo7HzsSzDjLrs54FsfVY1nonhZ5+QDYfL3ev6Zt3bl4qPVvC
zPFu6t5J3rWOzaMv0pO2SOc61dWn4m8UvVb0Bj03l3t+xbfnSsaURyTzXLll
mBF7VXgt+D479HR6+x7JLK82Hq7J2k8ttf/bifetL3jWAzeRIY7EghmbfbqX
G3+YxZlL56TutcTnVelYXbL+VSX3NnrW06n3nRR8uy7ruF2SNwaAZeQEdwN8
Nj3k2kXcaGbMAyvBwL/E9mdd3vVILXBGapk8WBhyC31bsu559Lr/pj5TyzCz
cWZ035NzvLAT/D0pG05orxN6vpwzXoFbzFmLyj3zcL9BD37iDJzlxzn3k8Zw
98FPbULvpq/QXzYmxmiwelPoQc+EPlRf9Lo+RcfvlnLXPvqeCTa/I7umlnte
XlPyXL625D5KP/1E+ptiz9zrxGtdblwGk5lZToV+salkXZtL9iXnPR9m2CVh
ruuduMaXFT1v4dtd4n2T8Z1mcahp+h09gLkNXNmRuM759pDon+R8J+mm59mi
cfVA4r7EPMoeBzOeW5hfJoY7CjjIrAYun8oZF/g2UmsXJZ7DmcfBJjDqicR3
RnxKT++VGgvoV/RP7krkD7LMccSsPnGPW1E0RoPV4xL7u0vw+dqi84L+jI8P
VxnHexV8xzsj/s05++94yfMvczzzB3dRsHlLuL+CD9RJzwrjApjwlnxwJsxv
zOSZ0O/BKfCqd7hzsNficAfcXeWZmXOSO+y3rejYvVd0fjaGu/Oh2Pm0vuSc
/SDwwealVcYQ7tLco7sUPGfWhXrAD+hhj/4FY9IFnfe45JvEq8j6jk1f+jzn
Hs7cTB+qr7Z92EYuI0/e4p8+4U7LXESNkJ/0FWp+kHx1V8GYQx84kzH2LBS/
rIXlB8S2E0zDp9gFduEfZlnw4ILiPzC2POu+LtnPh7Xu5qxlyWX8in/Zg1wk
J5mdWEf9YNvdOdM/yvmOCM7if/oGsSSOzCnQzKC1ITfIEc5E3wLLqAnu3tQM
ucydnFz/Kue6btXCvr41xJT+zLnYi/8NsJ941VYY37lTH8oYl+kD1CpnqE3c
+2aHXFou/hzp3J1xrpPzdYnPCh+Meyn0DHzH/xzgPnthV23Yi1kNDGmVdx2A
v9QCdnUKd2R0oAt58qtT0NMh57tTt6LXsJa96M/YSm2SH+zHWnxM3nJ2ZqHp
QeekcFe9eBcus5+JHbJdg6/ANOqRuFD34M+UEC9ylBjdlPU68uuy2H2Z/jwx
9fmf1LNvyXncr+T/CdAPJh+pds/CF51yPj/51TnkLflLLDlL+9i4wkwI7pdC
nz6cc41VhzkhG2ofrBmTsw+Z9eBlQxyp3xah73C/4p71Teq7EHei46l9kwn+
GRVkropdg/gQ+/mfC78PSX0f4w51MnV/A4fB/4bA/1bsGYg5Z0Bqv9LL6eN7
Mv5fZmXR92fqEJwAnxaGWOAb5hVyoCZv+oXY2DYrYFom5Co2c38jPse019GS
fX1MzxGx7bs07zojlsiB0+D+//+HAU/Jw9vz9tOK4MPq4Nv/AQ7d68Q=
            "]], PolygonBox[CompressedData["
1:eJwtl3uQjmUYxp9d7W77fbvf++6ng6QTkjSaKH81U4OiMDWpFHa1uzlXlqIU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            "]]}]}, 
        {RGBColor[0.8445788333333333, 0.718612375, 0.2768047083333333], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mQmQVdURhu8Mb5Z338y7970hKu7jErcyKiapLOIC7itg3FB03KIMuALD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            "]], PolygonBox[CompressedData["
1:eJwtl3twVdUVxndicu/Nucm5557Q2ipSYmvroDaCbUetIEqCYmWUdBQQwVSw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            "]]}]}, 
        {RGBColor[0.7578345416666664, 0.6628556249999998, 0.2516761666666666],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNmHmwFdURxuc+Hu/eO/fdmblDibLJEhPUuIuyyeOJKC7BFdHHZkDcUOEB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            "]], PolygonBox[CompressedData["
1:eJwtl3WwVVUUxvd9wb3v3Hf3ufc6SgtP7G7i0QiPFhhE3iNUQhAl1VHGFlsk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            "]]}]}, 
        {RGBColor[
         0.6408336249999999, 0.5875548749999999, 0.21938049999999998`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFWGtwVdUVPje595579uWefe5JAnmIVIEaCAlaBC1CQ4NUWgp2HDGU8pIY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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhvdte3vb0957zj200BYQZ0axIoOCiIpolQhGQVARsAjBKKBo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            "]]}]}, 
        {RGBColor[
         0.5339568333333332, 0.5180314166666665, 0.20213283333333332`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFl+uPVeUVxvdh5sw5e58z57LBcWzlNgyDQ1EuhQpIWkZsHASEGRBt+s20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            "]], PolygonBox[CompressedData["
1:eJwlltlv1VUQx08Lt7f319v7+93TUkAptIUWKEtZVZYHMbKUtZQtxjcTJW4Q
xQValigUKaAQLAgCipjov+FujBof9M24sYiGRAkIsoqfb74Pk8ycmTMzZ9bT
/NjG7g2VIYRTwGDg79oQngAZngthcxJCSxrCIvDFwDHo1iyEhqoQDlSH0FUT
wiXk1yPfBn87/OMxhAF4SytCeBv8FvyN8HflQzhRDmEuZ7/Cmw5sRf5DzlZx
dx22fyiEMBl7XdBr4Q8rhTAH+V/ApwG9yM+G/hl8KtADfQX9l8DnApfB98Lf
hf3dwEL86wYqeOCyQSEcgbccex34MhVoK4bQh45Z3L0I1GC7Hnpt8J2F8I8j
vxPZfXoTul7jbDT8n5DfA/5Jwfg96E+5OxEdK/B/DWcN+B+gm3P2/wL+LcaH
bvCF0gdezhzrFkQz8CXRvAT736H7Lexvw/524Cj4P+i8F/kOdPyGvvnIz0M+
kpN92N9b9FtL3P+e+4OxPzrneP+JfIR+EPn7OasHbweWg6+GX4/uY9jYkXdM
FdumzLr7uLOA9+eRPwNvBrANewPI9yD/F/Qi+OPgL0PfKuiIvt3404k/F/Cn
Efw2Z6Nyzt959F+HboSeAn0WuqbWsuOJRwKeAl3gU7CxAlsj8SfDny3Qh8p+
o966Gv/WEosdwIa8fdwO/mbZssqZctdatC7VgGqhri6E59GxCZiJ7g78X5lz
TZ7mfV3oKFb6PScT+yTferl/hPsPwX887xqaF/1mybbg42T09WNvKe+/y9k3
2BiamDca6IB/B33P0R8Pw78t3Zw1witgcyz4EKAdewXOGsCXYaOm0jV0HF2T
OGuucszH4nuEzle5h9XL+6J7YTbyC4quSdVmGzLTkD0NP0VfO/T74PdlxrvR
917inlBv7ERHP/w90XiKzAhkX4XeVm0fX4muIdXSGPhT4A9LjLcCU1XriW2P
BaZnBuHq+UmpZSSrHpqQOkaKlWp0PPSY1LFZqfmCrrrMsdEM0iwawtlI6FHA
BHifEvOn8q6xf/Gtvs651psfoV434fOP6FqPzAvgH8N7Mu8eu4L8RwX3pnLc
R76PRs8qzbhj4J/DfybvHr+rei9bl3KgXJyC7lftcudrZL8Ans27Jwfxls+g
n867J25xPys5t03cn8j989g4i61zQHPRIHwW8kNUq7xhaJVnsmZzqeTYKAbt
0Ku4X1vpnLybOCaKzVLut3K/BX3nq21DthoS21ZNqbbOcXam2j3eVHQNqZbK
irHmFfavVVjH78jOrzFPPapeHUDfkgr72AZ9AJm9yF5VjUC/FN37mukvg/dE
z0rtiF7wC0BnhWP4R/SM1azdhI4XoXOqiZxjqthKp3Q/Cl5Dri/WelZJpir1
jtKu0ozoJzenEveDYrQGfcO5s6fgmrhMLDs186s9gzWLb6Bvw2DvtJvgN5AZ
mXONqdYaM/eGZqxmbYievT3QW8HvIN+Uc86Ve71Bb5kJPBDts3zXmw/h2+HE
u/S6coq+WdGyitmdsneK4iWd/6F7IHo3a4dpl1UoxznXqGpVO0D+6KwS3ubo
Wawdu0W9DPRWe2Zrdh+M3n3KoXKpGa9Zr5jsh/dO4trSjOyGPpF4/mlGrYie
aZptc7A3DHszMu92zVzN3qzWs1EzXrP+KPc7c/5z6O9xuOxZqxpULWaJYykf
5evQ1Lq1s75E587ov4Bm0q7oGaZZppmu2f5twb0oGx+U/afR30Yzdxy+rYve
JaqJ1eBbEu9a1YRqQ38Y/WX0J9DfQDtLuRiBjmvE/2rJuGaIZol2nOKrGrlZ
cg6Vyz74J7V/Uu9i9cQb2NufuLe107XbX9efJ+eaU+11lf13Uc+p99pS97Jm
hmbHVwXr1k6Jif8M+jtIR0PqHa5drj+S/kr6Y+ivoR2lXfU/Uh0RLw==
            "]]}]}, 
        {RGBColor[
         0.36266197428399005`, 0.40566360902918963`, 0.19008357609902563`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVsluHFUUfU4W7qquyF1PDAumBGGTdTx0Q9hg0+0ePbQT2PMBsCGJM7Bl
SILTxCEgxUCEY7FxtmbPGikLlkgQiUEiimVix1gBJeIczmllUXq3br13h/PO
vbcOvf1u9519IYSf8OzH0y2EsIDnGOStgRCm8FQgDx0I4VtsKGFtFUNYhTyX
h3AHhyex53Xs+TEJ4TjW81kIY1jfwDPltVGQ/NdgCO9BHoZch51vYOcK7GxD
fxL6EejPxhAWIZ+J0p2y/p8DiucB1hTPdZwtYg2IoQn9NMSbiGEdz1Ii+RKe
I0HxUTeJ9feouF/MFDv38DvjOuHYqOv57DXEt4d9K7l80FcN6+aA9kwapz3H
8DNsPA39Ych/D0rexXra+SxiHTU2jOcE3l8ixinwi8L/OuQ3o/AkrsTzHmyM
Y50v6J54RxdS+a9G6fiNZ2awzvIujX2TZyC3LVPfKWgfZdqt+q6o69j+RFCu
Vd/d1qBi7UbZ/wr+52yH+6tYa4wD8nZB+5lr3fqusV0y5ncR+9EB4VxzbvRV
T5TvmPH8FXvKtrlTUAxN7NkxJsyp4Vzaxpuxn4q615NYVxP5oJ2eseL7OeRQ
gfwa9nyHPTcScf5PcGQtke/WfvGM98t37qGdRzj30PkumXvMl99piz5vJfre
gv0fLH+cySf58TLeH+bC95UovlB/2Px45Pq6YXtlY0V52ne343wZC2PimYmC
6op8vj+oPayjViL9iO+XWJV9dzzf97m577HfNWMyk0s/nOne1l0jI5n0M67l
e/a7YRx4dt01yf2slw3rybkx57Fk/Cb7uQxI5ln6G3WcrB1y6YF7wiepOEvu
kIdfpuL6HPA8C7kM+WhUvV5yzZ5JhdGr0F9LxdEO5Mu5ePl8SZxifAuugXFj
xpw2fB9PDqmfHMqEE3lTMc9vmuvsl3eMJ2O5b/xrtkf8n8t05x9kuv9dc4O5
jhqjVfudtm7LNdJJZJP7G4m41Md/yn2J99JyXVVd/8yNfGON0d+H8N1ErMvA
oAb5GcgXouy3XW+sTfro86pjPe2yJsfdG3n2iLlJPfN9Ajg/y54f1b+JFevp
jyiMOFtYyy33ipGSau9Kqr7bKzzuEz33urmianO4JN2n1n/t3rQQFVvdMdMW
bfaicGIuxHHPdU6syGXGw/u6GDWnOK9WPAv+Be+W7avpObDpPsa871pmnbPe
bxkjYsj7ZrzE4f+5lUkmNp/nmrsN+LqaCyPOutsFycTqqSHt+SLXzGAv/B52
z0XxJmB9oaQ4eIf0yTsiN5jHlmf6wUz4/xaFQd04MHZygPU2m2vuc/5/ZG6Q
I6wN7qsWxVfy9v2o3swezbO7zpd+z0fhUysqbsbAXMnHpjnJWBgfY7vKOiQH
ioqp7hlIvC/7fo955r0V5Y9+Rz0vfvHM4FxkrV9M9R9R9r8E/y9OFxQbZ/6E
5z5zYC6lVDZoi+/tqPnVjIpn2zOIOXIP67fiOc55zt5V9Vwgvszts1w2bzs2
9gv2BP6PMJaK4yEeLdfLmucR95Mjy+Zbuyge8t9kNqpeVhDzdFE4E++O5yFr
vGb9wZLqhPybL6q3VN3za465a5x79tWwbsr1vug4yQvWCXv0fH/+4/kPfe1A
NQ==
            "]], PolygonBox[CompressedData["
1:eJwlk9tujXEQxacqsff+dmP//wk3TiU0noBWxTGU3c3evq3ce4C6oSd9ANFK
6OnGqeHCe7h2gRcgLiREQ6ohIcpvZV1MMvOt+a+ZWTPf/hs3y/EtETGEbcUi
R/zcFjFYiZitRXSIW/hdoLfViHm+nemJ+MKjHdsj/qWIDfKPknMHrF1EbIJv
Em/w9gE22hvxi28tYeSvk38EfIb8LngH/yr87+A/UDf3C958Ait5swD+EFsm
LvoiVsE+EO+t2+S/xz6C34fzLLW+YTvpb4hv36l3EP5B/MtYs+KZnpC7RLwb
vqBmh1pN4vNgF7BHNc+gWa6Q8rrqHtVrl29jYPeoPxbucYX4YuHaz+GcJ57C
JiqeWbOfBp8mnpJe0iabWzVb+G/gL4lHidvEj2v21bN6H87WehI7Bdc57Cv1
dlFvXwOuwrNI8wHi1Zp7LaUxby9lz6YaqiVNpe2idszbBvmHwzcwC3Yse1e3
sZPgT7Vj9SJNwK5nc0uDa/j91Fzr8Y3MkbvOtx/gw8QnCpv8Jv3dRbtO8q7X
6Hmgbk5x6yae8X6C+FbFO/ybPLNml6bTYK+q3q1qqNZSsvaf4euHbyZba92o
blUzaBZxToIdz7517US7+dPnW9UN/cZvYC97fdO67blsrTXjCPGhuntXTjv5
BnWL0nAP2HJyL7rZleR/SP+SNCzJXUzWQjtcSN6BdqGbHOH9fzvqeJ4=
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0ccuBUAUxvFjqeVegp2a8AxalIVe7nW1vQdgpZelLhGukqjPYi3R3kDw
AGKDKD+x+PI/3zdnzsxkqiemMpM5EbFCDcURX0URMzhLrfkRjbiQF/Etn1PP
U5u8CRflP/KFv5ra5c24JI8/UlK9jKsFEeX0qK7A/MKIPDq0/4Ce5FXyrLrb
nG2+B4/4YypLROyY9W7PB33SqfyE+vXt6s9ar0tGDPG1mMasvETeZfYwf8Bn
8BA3ZQ+5EWPqcRqhS72jeC8fxgt+CM8xg3fyNJ7xg3iKKbyVD+AJ34v91Ec3
8g3nXOMbn3J20t0TlHL3WmuDWIdp7LP+oq+Gf8ZqLPX2bXM7+C2s8rZOfZt8
F25hp75KeQdfgXtm7dOafJ1a5K/6rtwjYca0ur74/89/AUifP/k=
            "]]},
          "0.525`"],
         Annotation[#, 0.525, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0rtOlFEUxfE9MGBwcBxmUCBRExHkIgLea6WytdKWB9BCCi0UbyBKoonG
yGiMiom+hIXGW4yh8wWMMWgsYEDlIqC/E4p/1tlr7W9/+3wzOwfPnDidiYiX
OLcxYmZTRLEQMdoQUSlGXKdD9CzGnOfyES2liPN6v+j9pV7kz9PXdRG/6R98
lS3SJdkCfSNbosv4JltJZ9lf+la2StcwLYvNfNk/9TtZRl2FH7IsXZFV0/ey
GlqLn7ILdtrgPC6/aN9h3Ey70RvJk8/qK7lfI7ZiC+p4l/VcwSVcw1WM6q/I
5jCPshkfvLPJO5rTHrzV9L30feQ/ku/g31NX2z2LB+Y8xH2UMYHx+ojP+l/o
79c/qb+PPqWH7XMEz/RN4lTOrr73IV6JHqTN5vbq34sD6hbP1ejdn+4k6+Hv
wb7UK8vK+tOdZd38LvSpm9Kesl7noqyT35HmpjmyKlmPc0G2m9+e5qZvJsvI
up3z6Y7qNtlJu3bwutCJMr+VP0F30efuO+Xe9b7ZJ/pE/RjfzZrGXX3H6R2a
c9c2M26rb6Hk+UYUsZ2/DWPpd0WON+KZgfTb0aP0WDqbPYJX3pXnFzzTgEp+
/b/+HyzrX2M=
            "]]},
          "0.49000000000000005`"],
         Annotation[#, 0.49000000000000005`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl099PzXEcx/FPqPOjzjmdzkgHC/kD/OgHhaxGTWRLZcOVe0X3Ljism0Ku
beTX/EiSG1dc2YzNZvPjyvzIrMyl1ojy+M7Fc6/P+/n5fN6fz+dbZ92x/q6+
ohDCGzxNh/AxFcLvTAhz2RDKkiHMG28qDeGZuePqT+b/cH+xmX/J9/Ff+AVu
EVv413w//5UP5SEUoZZ/z5/gv/FLuKWo4z/wJ/lpfhlXjHp+ih/gv/MlXAwN
fFzOmFuRMyd/mE9w8xUhpKxPGhfK3Ff9GR3es1odty6G8+phDKGan7KmRd+V
9rXKSnkh+gbeM6jfT3tmkTV+ngihis9jgVtEjn/BV3NrUexOJYjhmj6X9e/W
t8J9R9XXrb/FHeFuyMPypszz7e5zVL3VHRqxDcPcO/179O5FF7pxEI/0m8SB
aGx/lTMnZaf6Id8RpbqSn5B71RN8m3ygXs6Pyz1RzbfK++ocPyZb1ON8s7yn
zvJ35c5oHd8k76gz/G3ZGK3jx1Bv3BD9T6AOtXjrHUPe80pe8u1GcMh70zKF
q75Dj/qK7JWjslPu12+DfftkjVyj14jz2sy3o8Z3Wh99K+Nyc1lksIrLY5BP
qJPYZdyMgv1xf5O0+e3OSMkdMiN3O2PAmib1aWeeQQFn+XPYyF9031PcY28p
1euX3k/S/39L/wB6ZGef
            "]]},
          "0.45500000000000007`"],
         Annotation[#, 0.45500000000000007`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl00lsTWEYxvGvFnTWsqKqLhEREWFVtNXS0pbS1kJJjBu01RLzEC0JwYKW
hETCRqtq3dZUs5hiiimmmGJKaFlh6XfiJv/7vO/zvOc75zvfvbFl9ZV1ccHH
15oBIdRjUlIIyWkh9BsYwo7EEPJ4O2l8/xAKZYNkCbK9vELZPpoqK5XFZImy
A7zpsiY6RFYma9YfwkEc4Selug9S0JIeQivSU0I4TdtxKsJsG06aH2wux/q5
WGS9CdZt42fw83hTsJifT7NlE5EpK9D3tUaG2anqHH4usmTTon3KhkR7Uefz
CxCTFenjZZnRXtSF/CKMkM2I9ikbKitWF/NLMFJWok+WZclK1bOi/WOUbKY+
VTZMNktdzq/AaFmZPk0Wk81Wz+NXYYxsjj5dNlxWrl5in/NlHfqx8gpeJZby
F/A7+eP4c3ntrjuNDu+zE13YnxzCZNlC8+PNt5pfYKaFVtH5OI5jOGE+0VoJ
iMdhMzHXHOf30cchYH90Fvyj/L/O8Q9+Yw8/hd/Mb8Jua+5CIz+XNtDgN5Pk
eeLoRM+UTuPM9qhrzWTTGlqHVdjgml73XE9/0sZolq7Tf6dr6Q+6nd+Ar+pv
+IQv+IzLCSF8oB/xFu/xDpf4r+kbvMArvMRF/jP6HI/xFE/QzX9IH+EeHuA+
LvDv0Lu4idu4hfP86/QGruAaruIcvzu6T1RH10ez2Ob5t+Ksuta+umgNPUO3
RGdKq/UddCVd6f1UYznGeW8raCJ/s9lN+GVuo77H2fRi9YD///1/URaCAg==

            "]]},
          "0.42000000000000004`"],
         Annotation[#, 0.42000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl07dPllEcxfGrcUEEFEw0hhhFWog6mPgPiGB0k+giRQSsA2gMVTCWP8Bo
wuToKIuDhaogzcm2gCAWkEi1UK34eeLwzbnnnPfe35P7PO/2koq88lUhhHms
TgrhZGwIB9eFcAgl1kfWh1BKj9IHa0NIjg/hIc1PoBtCKKCP+K3yZlrIN8uL
aQu/Td5KT0RePhDjPOsypOhO0ZhEc+mg7jQ9g1TdORqrO0vf6MppBdJ1F2ic
7jwd0lXSKmTqamiCrpoO61rNrbXu9BxZ+i5ax7fJ62k3v1PeQxv4dvkV2svv
lvfRPFmmOzlMM+jmOLPdS5b1glkj5iTLxukyv0t+Q79HdpNecX/XcBWfnZfj
3FwcwGtn3jNvXn6Mz0cBhuX35SvyUr4sehb7+9GL584dNyeRdpn5FJ14x++z
Zw2mnTGFHnk30nRbvOc5+0Y821t8kvXqVpx52YxUfszcMfpX9gcN8h38qHyU
/pb9Qr08hR+R/+R/INfcTOctW1/SD0XvD0t8ji5Dt2hdpxuUD2CB369L181b
1+peyl9gjs/Wpem+W9fonsn78ZX/hi+YRbVuk+fp032kM7JpVMk38t3yD3RK
NolKeRI/Yf2eDruPGfdVSF9F+82cxTT2urNseat1G1rQgXY0R3ce3ae9RdH3
j+NY9NzF+gUa797vmNPkt7c9x6SsSDdB43TXdbd0jdF9Rf8x3SDtcM6S9WPa
RO/iiXVe9D3ioj2L0Xv37TXyZbH//8v/AMK0nRY=
            "]]},
          "0.385`"],
         Annotation[#, 0.385, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl011MjnEYBvDbgYOIFKJ8Nh1wpjY2s9mMccDYtBEret/oQ9GWOGmrI86M
+ajNbNh0qAM5sPmKxpYsbOFA+RoqNiXhwAG/Zw6uXfd13fd9Pf//87xvQbph
x+EpEfEC9mVFrJwZsWtWRE5OROG0iFJ19fSItN5tulh/N28P1PBPZUbc4c+Z
EbFFvRVq+fXm7/JXmy8zWw51/CP8e/w1/ApeCur5Z+x183PlbFNvh0P8ZvM9
/LXm95s9AA38Ktyi1wrr9KrpPGdebrZGfc7+KP0FSrIjVtD5svPgMd0LV9Qn
ZbWYb8St+DTu4PfpX5A9LG+D/I1QpJ7MiLjG74TS5F3AKv4ffhfvBlTwUpCG
ETl98vrlPpSfjT/hIfwRD+JuZ1wvo9kZ39Cf+SMwDBO8DL33cgvNfcBNct/h
t/BL/k8YUhfYbdRbigfpSf64/SV0pTMsxmP0D/5L/UV0g/mFeICe4PfjBcn3
4+fjJ/R3/ld7eXRKznw8So/zH+nn0rXm5yZ3pL/xx+BB8gxn7sFV+vdxN0x1
n2H7f72zp8m7gQG7m/Gm5Pu49zO6Fz/HffhW8huUWWwvhYvwdVm/ZaU8Iw0d
5q5Cl/qS3mW4CCd4x6GT30bPmx3RjsvpMngtI5NXZ+ao5xzEx5J3gEuS3zNu
os87Wxu0J8xvhyr+WfqmM71yn2Wydprfm/X///QPuOR+kg==
            "]]},
          "0.35000000000000003`"],
         Annotation[#, 0.35000000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl019ozXEYx/FnKX/HZiSl5E+4If+m1CZulJSSzI3aaijRzpyRf+UCS3Fj
nHPhZlOzC7JFKcSQspzNjmFtJ8Y2DfO/XLj3+uXi0/t5ns/3+Xx/v/PrLKyt
35EqioguOjAtoqk4Ytb0iDK6ov44JaKxxKws4hyWz4g4i2dolPd0ZsRpdffU
iNW8HNaXRhyXVYfHsErOTmrQn9QfwhOYxnbzDsrqG/UZ7HDXCjnj8ptlt9AW
2Vtpjflf8047I+4epvue9YG9SqygH/bX8vfwynEvPuJv5n1T57Ff3+u+Itwn
N69+Sa+oj+668x7t5w3o58usdPeg+rXMahk19FVdkPETv9NEZ3rsvaCDdvtw
gd08TuK9wX5K8Qq4iDeAk3m/7P+md/L+4Fv5E8w30nv3djr3mNJ2h/WL7W7i
jahH6QmvxO5h/ljS84f0XXKG6LPMUv0zXh57zL74PcapQs5Rfq/5c/McdSc0
u+P8Ldm3aZfsdrxJreYP+Vfxur0WvIGr7K2kNrpGrbTcuSr3pPnz9OexGS/g
KXuF5D1lD2JWds7ZT77zZfVc75HBDfwmvEhjvDaZHzArZ7s6JSuDl5JvL3OZ
rDl2a9Xr7R6x10A1+qW82bxq9TpeXfK9aLd+CW9b8f//wz8sRnkS
            "]]},
          "0.31500000000000006`"],
         Annotation[#, 0.31500000000000006`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0k1IlGEUBeBb0KJSs2JwGa4lIVoIYrVuG5m1C8MCIQskzbJlTFoJLQoy
KCNUSLQSy58SzSklnRYz+TMaLpSCqFa1j54PF4dzz7n3nvf9fsrrL51o2hYR
L+DG7oim0oh23IqHiiJ+7IzoL47og/v8NL+Bfx4+77W3L+IBP7U/Ikv/2hVx
vCTiNz5DV5o7jZegWsag2VEZ7/AIfgOv4ZjeOJ7iZ9XTeIIO/EnGT/s5fp6X
g+38C875ol6EJTpvbgc+a65VfRWW6RX9sT3yodFOgT7g3kfccVU9wX8LF/XW
6HK9o3pf1efUBRkbsopwvew29TVYpSftFePLdtfNb8AmZMytwTdzJfoZ3gKe
TTzP8j15H84Ykz8O7/Xn9WfwP/6cvVH6VXJ3PIzrnFELf/Wf0gP8HvwcH5Lb
hR/R/fglnXPGH9/voLoHnsBjqJB9Uq8gZ0CdNt/Nb7d7PXmX/BrnLOJ7nm/O
bK+5PF2W5OJn9Ef+LNw1U+YZunC1vTv4Nmw6uwOn9Dpxld4tnIYP9jLQnfxH
8lJys/ghPcO/aWaBPmxnHl9xrxZoTu7ovnXmTiXfuHTrv/0P0pZzJA==
            "]]},
          "0.28`"],
         Annotation[#, 0.28, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0jtI1lEYx/FHvJSXLHNpMZAGC9xscWhzUMcS76KoU14avEANJakQ6OBu
CNKQBqW1BeogKph4wTt4CRQHR3ELDT8vDl9+l/Occ/7v4c1vfvOyMykiRvAh
M6L7QcQ7vMXPrIjz9IiJexFT/FFGRB5/SIvoMZ3W/3poFkP2DGP8fsQXbOdE
pOVGPEIqauU6vLD3h7tKEufSctrhnE6U8aWY42ecNYsNed7ciu4PtuRNrPLJ
+ld8Cl2Xt/kdmia/5u/QPXmHP6B35XY+nbb65i7f04P/fDfdTfwucxnWK/lM
+lfe4/dxwp9iWb8gnyb2eqNib1ElV2PJ+rVcz/fwdfRKXuQPzP8z/1yuyPbt
mPRWE7jUb1pvN9eGYvuG3fORDtFC+h0X5n5bP6Of5VF8sv5NN4kCeVBu4Zvx
VN5y31d+QN9EGxPvrd/Qj/P9+gZaj179un6M79PX0ho80a/pR/n3+sfyM7k6
6/a/cwOaJ1fG
            "]]},
          "0.24500000000000002`"],
         Annotation[#, 0.24500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j9I1HEYBvD3brNMu1YHM0ziEsdwUvcySlwq8CiaO5TIuQYRwVkPPIqj
fzSUqJg01GmJDXEESpxiZEODRUoNQYv4+eLw8Dzv8z7v+/1+f/zabhUH7mQi
YhweHI+YaYy4j8+ciFigfzVEzOF5OM1rhW/HIiZORkzLjeMpPHsqoov/U76W
i6g0RxR4v3kXmyL64TJ80fsn02PPd3oH3tBv7Viy67/8JXU/FJ15Ic3Ty/RV
/EHuE72KP+MahMw6ztm1gXf16ngonYcz+pu4RX8rvUl/0q4e+h5vFEZgGLKy
2/y6u3/Fa7I7+J18FQp2dssM0iv893CdvgZ36ao3fDSzmO6cMunO/Ff8WXjh
u/w1f8WeP/iZusyfgS7ZafzY/Ev6CS6pf8jl1edhya7XsO8b9rpvH5TSHNzm
j5l5jp9CB6/TbIPMTfWeXgVn1Y/w2bRT/5x6SH2g/xC3q8u4TT+vf6Px6N84
BCSuVD4=
            "]]},
          "0.21000000000000002`"],
         Annotation[#, 0.21000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0rtP02EUh/FTURMKaGmdRGpMvKSJCTC1K5MLsaGJGy4u4qBc/AuYjIOB
1UIAjRZdQAclXKxhMS7G6gYu6mAIqW11kaSDfhKHJ897zvm+l/zyO3djonQn
ERH3sNAVcT8VMc9PTkY0khEjJyKa/FT9Qn+jJ+IlV+QO9d90R3zvjdjW39Hf
0m/rl9STZlMoWl/Fh3TEH5mU/CGneZ9vcUHuurvOyOTtn1F/tK7htHlbLssH
POOsjPksT/NdnMKu7BfsIa2+Ir/izGe4JnsbdfvH9AfM33rruuw7vap11bwv
4w04iyz6sWr2WmbdfM/ekvNGUUTLWyu+TU1/zbwiV5b/ob/pjkfqgv5jzvOS
PcvIWQ+5exCL6h7ZYTQ6I97r/ZJPOvM3d3GTj3OLO/gYjuKn/Cf5z8ipjzjj
Mv+Vu8QJ9QUOvsh1+efufqX+5o3nrb/yrDeX7XnAD3nc/CbmUv//i39ffU/0

            "]]},
          "0.17500000000000002`"],
         Annotation[#, 0.17500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j9I1GEcx/GvEP3R8i5D8EoHR3M5E6cKLQczGkQiURAiOrszuhujqfNS
OCtOTqVNoZpKHRJqiSBwcHTVxcbGbvPuIOgFDW8+3+fz+TzPw/Pj1/uoMJlv
iYgS1pMRFayiimcXI07ORexeiPiC0+cj0rxrGMAgPutt4bt8h26j2RrxU/cH
L6Gz1xYxYS63R9yT5cwZ/hyWeFn6BFlZN+3BCr+K/o6I+/yn9rxEEZ3O/iQb
1/srfyi/ay7xy/JlDJsr9Dp9TX/pHaOGP7jBz9tzkxZomr7Re4tFvEKKdyhr
6h/RWZy6FNHwTQbdeZl/BcHfp7+986t9XdYN67peylyjB3RbNkUf4KPubTqK
W2h31wdveo8N1BO+PR6755ssQ4t0QXbHXHDWGO1zT5F31hlnMKJzlfZjnf8O
M3rP9afpmvWQedP9L+gGnbcnh7Xk/3/gH9doR2Q=
            "]]},
          "0.14`"],
         Annotation[#, 0.14, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0csr5XEcxvGPDGVwzsG4xEI2JDk2mmwdR1mzZYFcVlhYSEohdrLRjJWF
QRm3Yu8fYeNu6VpK8TpZvHu+z/O5fL/9fg1Dk70TeRExhc7SiNPiiPayiJPc
GWclER9FEQnZq1oHfaO/aCUq8M6vJCKWsYQm/jYZkTH7SFv4NfmT82d5RKoi
IolW+Qg/ihe1Zwz9lLl3kP43s4cqe3rc00WzqMW5mTp6QavplPq+3gNMmz+m
RzhEjfq4bAyj6LN7VZ6U79Cs2W6k+G3+H7aQ9r5C/QWYV8vIOlGv99qOe+99
wB2a9S6qLWAejfyNfFjfBr2i6/JL+pcvsK/Vnjak8YOfc08+naHtaMt9A7qH
3VTEpp2/nf/Y06826zyQ25f4/ndfG0Y7XQ==
            "]]},
          "0.10500000000000001`"],
         Annotation[#, 0.10500000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0Tsvw2EUx/EjBnpRSsLqshjqsqioSzrZkEgwSAyNsDGZaDeEUYKBwcio
VS/D4vYOzAaXpU18EsM33+ec53eek3/+A6Xd5Z2WiChhOxlxn4nY4ipn0xHz
2YgV9XFHREFdxgGO1Hk+5Ene5I9UxJx8Wj3L790Rb1gz/9MZscoN9bfzmfdz
8k3ZBpoJGf5FXb8u94g+7/TiyXnJfMF5GlNIyc5wkiv2X3vzCq09EW16z2ZG
MIp99xvmi/ygrtpx2xVR4zse0yu7azeX92aCJ/hV/wXrZifVF7KXOMeN2aJ9
4+4q8l/4xrD+if4pFtx9+t5FHjA/iH40ZYa4wXv25uyoZf7/wR+fMzWj
            "]]},
          "0.07`"],
         Annotation[#, 0.07, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{4077, 4074, 2858, 4075, 4079, 4078, 2648, 3440, 4809, 
            4810, 4364, 3059, 3328, 3327, 3332, 3326, 2633, 3320, 3321, 3129, 
            4458, 4460, 4459, 3441, 2642, 3724, 3725, 4662, 4663, 4661, 4567, 
            4658, 4660, 4659, 3738, 3737, 2655, 3442, 4811, 4812, 4365, 3060, 
            3330, 3329, 2634, 3331, 2635, 3322, 3323, 3066, 3723, 4650, 2640, 
            3443, 2641, 4076, 4077}]},
          "0.035`"],
         Annotation[#, 0.035, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}], ",", 
   GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJx0fXVcVUvUNnUIqXOAQ9gd127MGbs7rtfCxELFvHYHtmJ3XBQDRbEVC8FE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      "], {{
        {RGBColor[
         0.6585790000000002, 0.31609100000000023`, 0.20750700000000008`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtU7tOAlEUPKwQCexCdlsro4XRgodo4iegjfETLNXoh6gfoP9ADDYQOwpN
VAilsdRG47OQwkdYnMmc4nLOvec1M2eZ3T7Y2g/MbB1nCmeMn4W8WQ+P87CW
NevCfyubPeTM3mHbuHdwnhHuZhQfmWp4p39UMuuj9hj2PFAN81uwAWY8mfp1
veYKsyZTyl2Cf4/aYaD8nvcf4C1FzkWgXOYxhxg7PmMSqnc2Ui5nsUc9Lzys
reR1p5+JhGu9YNbw9xnguU2EqQ+7WBTGV9eAuhD3NWKX8G8S4WBf4lzEfQ7+
JnquhcKwE0Nfn7VRENah87qLNbOeCDfxp6hbSfTOeBX9ao4tdY7NgvBW/J22
6j41IYaOc284f+padd3ImXiIq+J6jBwf339D7Y91q8CyBxzNabPdWDt5zEkX
xgeu7V+omb/Q7Me5UwPugrW8n/leyWE5EabTkupbjqHmXBjjroe+38+y5n6U
VcP4CWwU69sZFdUn9b1XXR/Wh7FmfxV16FskO/Z8akpc36H6cTbncs9jx/5S
Fm9+F+RJvoclfRPUve39es6H/ydi7jk+9g0i5bed7z8sOou1
            "]], PolygonBox[CompressedData["
1:eJwlkMsuQ2EUhVdPNeSkf096hoxEB8IIxTOYVUdmEkOVuj0GL+ApJCa8AAnq
AQyZENepS2i/lT3Yydr/3v9ae63prd1uP5M0SY1R+0n6r0p3NN1cWiylqYq0
MCG1we+F9FCTLnh7AZ80pHt255lvsr/CzoC+Tb8K3uBtFvwH5x7cP3XpGZ1z
RH/BX9QTfcb8G3zUiNkMf+b438kD+7jDFJzm9k3L4A9ueKyFhrVueLsEn8JR
b0o9am08PNnbgPkV8zPmidl2M7S9swN+LcKbOT+LyMBZ2NMxt2Up/tpDBawU
WvYw5P4D+mE1NG7L8Gzvvum6DA/20qJfzyNTZ+sMl8rI0Fmaw1ze8a4zf+Oe
EcdlPCg=
            "]]}]}, 
        {RGBColor[0.7316835, 0.39154225, 0.235451], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFlk1onFUUhm8yM5nJzPfN5BvTdmt0YVu0iLUp1kmJG5GCoF0EVwoqij/4
S1baLgQRf1bSxMSKdOvCEpq0EtLQVC1qW4PUP6gLC4LQ1DQipraaoO/De4qL
yz33u2fOz3vec+4MPPr83ue6U0qntEpaR5opLZVTeqKe0iXtF7WqXSnNdVmu
xL4U8o52SttrKe3U/k+W0riM/K39vO5/1GpJ5zvdfS2d77XP6nxfNaUr8rVU
kS2tE/p2S83+8JUXKa30pHRW+psbKc3o26psntG5KfmlPKVJ+flA61OdX9Xd
bsn7MuviA/sbZeea7GzSflhJjknnmO6uZZavZr7/Ur5ndZ9Jb1nn0/Kzp+o4
0Z/S3UHpn5Q8XHK8813GYKBqHMj3bM05ny47BmLpSH+h23ZKJeOIPv73hP3R
3pQGtZ6S3s8Vy6vJsVzusS/iHA2ddcV9XN9uFTYTJeeG3SHJ5yR/IvkeyW3Z
/0bnRubvdym/q7Jzpmydu3XeIJ1dhX+LjN5k4IrfCxX7+jgZI35LbL/Lzvvk
prt7C+NQyE+u+5+i7uznQ96vuw/1u9vFq01l16sStepEXagr9X1EOiPy1Sn7
DH6l4MYL0qlpf0g6L+au8zOFcXus5jhHc+uvCZ+Xc8f7QN0+N5Zdhw3a/9De
J1u7C8u/NpwjWIDPeq/trSn2xW5jSr7Dsplpf7hu/D8ruwbUe6jsPMHm87K5
82T00nTTXKSWx9rmyS8VY0AtwfndpuMsBT7UHH3ieq8vpdckj/cZGzDC17fd
5uV89Gkp8nq2MIefLv7nFvmA04WQ4fUpYtP9oYZtjsn+R1pj8jXdMIfwOxJ+
lqJnj8jOgR5jwU5/IGMTe5zp0Yng0/HgE/X7reW6PChs1tqeAyN1270YnCMf
fkcuX1SdM/kebTifv1SX/rJric5Syzkut1yTseiNQeWf6VyT/mrL9vG5XWub
crhT+0rLsV1qOQb8E+fh6N3rM5AzMjzqDy7BV3g62XTPgRWYXcmMMTzan7s3
6pnjIJ59uecivIJf8BXe3qx4qzFDSzeYl/Dz8dw12arf5ODfcA1m2o5xIWLD
N7VqBh/BDtymoiZ54DoX2PKNetGnf0af0q/MIfAEa+pEvegnYide7CzEfETe
GW/BoPbXc+MzmLkP4AR623S3RTq3tZ0rc78acc7E3IaP48Gh++vuk7eaPtOX
xDlUmPdZZozA6qB0vmq7bswJatMf3AAz4ibOo23nBI+YI+hfVt331u2fucIc
Pxm+mOtbYrbvKJx7b2bewJ872tblHv7T08y02ZgRfHsld49QP2Ig9vnAnx5F
lxpubXvGvt30u8QsovfBg9l9fbZTY7DnnWQWI9+k2Lpka6BwfSfivaGOzBHs
EBc6cGW94f1G6Q83zZlD0e8rYZM36ET0wg+KbREc2p5vUxED35gL5ET94Rv1
XIk+gIe8K3m8BeAEnlnERlxwi/8Vc9Fr2ADbTrxV54KfuzK/H2/k7iVsdgq/
k5MxA7tyx9edO/bleEP/zayTcmM8G3yaDnyR32maA3BhMfLLo0cORO3ebJqr
m6MvyZs6/gd2GETi
            "]], PolygonBox[CompressedData["
1:eJwllE9Mz3EYx59fvz/91Pf7+/X9TbmKg2nEtGqlWi5GhmaTg5uM+TNOTuRg
w/y7mCI1Zw4OKk4ONgyV30Fo48DmVOnPqFSE13vP4dmev+/n+Tx/PuWHTu87
VWBmrVACupoxG4QZiJldgY8Cs/JCs3F0fcj9xWadKbNb0P0Ss9WR2TMAYvis
ga+D3iGXIm+Fr4+cb4yb7S0yqyC+PW32JQlm1uwGmI1gz5P7Onw+Z/Ya+yL4
ZcTeRdeAvRJdFbYRaBj+E7pCalsCbwHfLvB/I/fi/xlbCJ0PwSXHOLmasR8g
fxs0lnSdbDfxfxpz3RxyeeRvacB/D761yDnkbcgHkfdDyZj3ZDu2ncjPyXUH
+1/yd9GTCymPUeww9U4jZ4gZgn+S87cdo0eP4WugqrT3QL04TswOYlugOvCu
oRtK+Bv11kH8J+HT4L2Bnwt8Vvfo3yx8AI2A/YN6miKvSbX1Qgn68Qi8MfAm
oKPU/gGMt+TPE1ON/yhyPu0YjcgrArcF+NdEjiGsbugftobIe62ZFyN3Z/yt
mplmt4CuM+49Uq8GwO8DP8CnGaxWdHPmb6zAtgv5JXwPMXHsLcgvhIUcQ14K
fNbyke8ldGXwTejOBR6jWMUothZdKfxK6CK2tdQbT/jOLtPPmsBtwhDW4dB7
pxjFdoT+9gpq3kR9HYHnWoWuHv5E5LurmZ2MfGaand68CP+THFMpn1mA/XLo
sdoh7dKRIr8tzUSzUQ7l0o09YJc2Iq9P+85r92fY0W9Jv9HdxI6C+arQd6ga
+1TWd+MrPtPwG9CtS/ubz5D7bOi9F2Yltlnqm0n5joaR37RuWzPqw7a5yHer
jX41Z/yGdcu6Ud2qbkS3oppUm25Mt6Yd+oi9J+O3qpvUbeqGdEvauffYO0sc
WzdzG74/47upmlX7RNbfoj9Df0dB6LugmlX7ZNb/Eu3Qd/hfgd/WQ+R5+D+B
87rxZXgLfXc1E81mS87/FvVQvfwPxv2zOA==
            "]]}]}, 
        {RGBColor[
         0.7799537083333333, 0.46734475000000003`, 0.25285795833333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1Vk1slFUUfZ3OT+f7nfcNnZK0C9FEY7StidpSUIGKxo2aaNSFuvBvakKi
LjQxKhoES3RhjAhto6aLqlHAop3CwsSyMSYFNCFOaY2RCFrFHRUKMYHUczjX
xcu787777s+55943a558/oHncs65P7BasebanDuBNQm5UnLOYx3Laf2A9THO
+71zQYtzeyrO9XnplCPndiTONXB+Xejcb9DtLDtXxO/5Ntk9hbMSnBzHvh92
WvLOVUv6fSin30s4P57X3RncrcDuAr59Ctsp5HnIn0Gu4d4qu3saK4c732J/
K1Yi/dBtxSri/GWcXSzKPv2cLDi3BToHYb+O30exQshfVJRjb+bcE4Fzi9Df
l+gefTG2LxP5ejFWjF2WI2NkbFXIw4YD8ah6+fwXmNwBeTXsRIgrD/8zOcW8
tixciMl62O4vS+a+1uQBk49Avy2v2rAmvawF5B6vc8rf47xpmLOOaVVYdiOG
9V65DHjZGzDf9JvifBZ3O0qKcwLyPdCr4fudiHkxdW4Q8lPAZoG+8sKO9eqB
nW9aVPcOu8tYmQNt5nDmsA5D3g1cdkD3NOysoC4jeZ0TI2K1M1Hdjhnfal7Y
/5ipbrRz1knmfd4lD5aKwmq0KDu8Qy6s5ITDeeSwC7+XI2HAuvJeoVU2xqHz
BnxPIbZrEcvrsbD5CGejWHOQN8XiLH3xLm2zlqzjYKJcNiXKm5gy9wvw9wF0
LkbCa9b41tUi3/RLTpM/m5FrI9bd6Vg1bFrvsA4nLZdunJ0pCO97A+FxNhWn
fjYeTiWSPfx+ZxzlORd9tWK/y+ucfXa1F7ZXefXGbF5YsA/Ome83DR/i9FKs
+G9EXSYT9eHqSLzqN65uhE4TOtPQGU3FzUIkfrA2zIX5rVgvbGhVzP/3xozF
eSZV3/6NfSN87UFMNwXiI+UrfLI71B9H/WbxrS9Wr7Jnv8K9dw1nzhLmusVq
T+6zvrOGX5fhRF6T3+wf8v2I1e9zzIoh7A34+RMxtePuIGyGefUhudtAXmNF
8ZE+yA3Wmt+JA2fotqJkxk+MWU9iczgSly+V1U8855zZBf2b85pbHZF48QLq
1ROqxkXk+kkieQL7+VQ8OZfKBmXmss5m0FbsN4Tq3ffIX5wtFvSbPRhaLqVI
uf+U6X2oWe2GY9WuL1KfsF8+xH6fcXKN10wdsl7+OhG2dXxf5TWX27FfDjUj
rvGq5/aiMJkKdZd4j1SE1+6K+pu4cs5eH4qv2xNxdMJ6hP3AGBgL+y6wfuzJ
JL8aK1fWl/ne7cW/hwLN9U6r/e+BYuHcIp/IqxHIQ4FyYU63es3kuUzYkzvj
NovGLM4Z6z/y87VIuA2bvbrNhDDS23Yb7D0SqOYXUs1fYr4Z+6OBuMN3mN+o
8zDO3k7Us+9gr2eqNevPuK68DdB7JZafxwPxlbxdgs5ew64Wab6zr8ZSYUFM
duLe7V5cnM9Uk7rVlLXaZvViLuRo3ebiBnvn9sXi7d5Y84JzowGfvxQ0kzlT
Lkfi36VIvcAZR87y+6DpVG1uEtvHAuXCnPjec548Dfn+QLN/nddbTv5tjZUr
7bPW5At7n/xgrIyNuRRiewdg72CmHj6UqYac4awj3yHap59bYt3rDdSLnGWc
QZ2R/vf8mundZc89k6lXqbff/kecspk1YT3LPua8XLC3dSgWX+qx+pOx/5MK
/6bxpm46DwbiN+cYcWE9iSP7IfF6s5ZDzRvWi3xYyTTjKlXZO2p15TtHO9Oh
+oB1YA7LqXri/USzgDOhG3szkz1ykxwkvsSWmLUbbpz79N3txf2m/T85kYnD
5DvfD87xZ+H/r1R22N8H7H2ZNI6TN+TDf0NlbJ8=
            "]], PolygonBox[CompressedData["
1:eJwllElsjWEUhr97b+/Q//733t5bWkFiSpDQkhhinoLY2JBYIQgqkbCSSEwx
h4WFqRUREkRMIa1aWLARCWEh0ZYYEkOLnRo3bep58y5O/nP+M3zvOef9vlEb
tq/YlgwhrEOqkH1xCBf5NmMsKoYwOQrhrPRUCHvx3eLfRxKS/LuNvrDo2IFM
CCPKIWwskEzsZWJ68iH0VZPDr178RfznSq51KBHCZ2pXUTNHfh7ZTW4v/sH4
H+CfQP5N6nfj+0C9G+i7iImwXyNryV9Mfh3xnbkQhsauoVoZJBUbs847hfxG
7692/dPIX+x7xM+uMsZH2H85M4H9D7yDwPsnb+y12RBmYG8i/lfKmNZz/pma
EPbjP4hcUr+VEIZzxkv8f+hlC/GfwJ6inyb0RmpEWfes3seS05owxm7iN1Nz
OPYbclrpty527+pxmfDE7uVtOoTx5Dbw70nSNSehT8c/kPQODnNeGzFN2C+Q
62D9FHn2ymnhvAwxjxPeeRp9A/6GnHtUr/9iz+oc/bVTqxlMT7Hz5Kwm9ij2
fWq1YR9Bv0f/r1I+s5X4g/xrT7jHA+hXkddJn3kF/TsYPqQd87VkDolLW6nx
hfqzsHvBNoj+ZqNPRUpZ76wNfH2c8Yh6aeJ3YJ8sevbd1JyIbyTxgfgk0o89
s+xadUie3uqxWzI+o67sHWvX4oC40EA/z5LmXCN6RM5L7KzuA+eNy7t3caoH
/KPI/xF85mj0HPHPiS9jT8eOsYeg1yNzy74juiv6Nw+7OnZsDTIN+27Rd00c
uoO+iplkEuaYuHa+aCwzsVO1YCl6FuJQU+SdaXdt7LSd+KNgno+/Cpkl/uPv
SHmmmq04JW495cxj1LoGZ05lvPOL+M5iRwlzvhm9jxrNKfevu6WdaXfa6Tfm
cbzoWprJ8sh3VndXHFkAljWRuSQMLcROwr5A7BRibuLfUzB3NUPNUndMd01v
0gLibxQcK4zC+rPkt6MRLAP0+wv7W9qcFrfFCXFDmPupN6ZsbohD4tLOgt8O
YZha8Ew1W3EgG/uN0VvTgbyj/v2KZysOiUuDy347dCdq0RcjXUlzfgl6Ta2x
PQRjCb2rYi5op53oe2LvRnd4t7gQ+y3Qzpbq/ak4Vz1tRl8Z+W3RGSeYx3v+
deX8RteTO6dsrouz4m5HxdzSDl9V3IN6Uc4w/P8B+K7Hiw==
            "]]}]}, 
        {RGBColor[0.8275949166666667, 0.5503622083333334, 0.2697084166666667],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VltsFWUQ/ss5PXt2z17OnkqpQIsmtkSJFg0mWjAKrRUjiPEajUYlFg41
sQ8+qIkJ9YLiJRikAXwoRAMxthBv9UkTgUaKMcoDkYihlmptIRjFSgstGv0+
vvFhM7OzM/PPfHP59/LVHXc/NcM5N44ng+dOz7kVeKYg3B47dzTr3COBczek
zvVBNlFw7kLOuWk8n+Pdz0rnEPhPI+fKoIugewd8rIdODk6fgdyvcO7BQO+U
3we9AfAebL8C/3ZR8s2gs0PnRiBrAV0DXwehswGxxHg/Cvl74Icg+63SuX74
nSwoNsZ4HLIW+N0A+TTOexr8PtgNlWAP/ifQtYhnAnwZdCXi/D2vbxM4fzgj
X53gGzOKc47Fcxy2c3FuDR4f37YUpdcFujUnDMqmR33m8R106zxhdSvimwe+
JRVG1O1D7HW+5CXEvBzyK8BXw/b7rPAlZucT504jt3OJ3ikfgP0QnnroD4KO
ZGVbV6F4Yk8xLQNezcQ9VH7jOeXYiLN86FwNmgCDach2z1DsUUZ+iA+xqanQ
WTynukL+Thv+2VA1vAZ+ppH717A5Bn4tnlp8L6MOJ7KqGXP8FrY3QmcCNg+k
4u8HnRnK/weItx7xjMF/FvphRv04C/w/JeX7GHxugd4hfLsedWwFbfAUYxPw
HMsqH9L5nvI6U1Kt/wD9MlRv9EWK9zlf+j2xcOwFfQXPAPhXQccS9dapRNj4
hs9s9hV8zgF1yOEA+IGS+pV9W4asJtW8TJWUe60vHHbFwmU3aCeefeDz0L09
VY7M9eFAfbAN3z/EcxL8R7HmhrkT90d94TWK+H6B/k7QdxBnrafzODML0Gcj
kP8JeXdG9WPtzsG2Cb4+AQ43h+rvTeCHs6oP+3ZjpJ5/LdJuKFg92gLNWifs
dsD3N3nNeY/NQy9oUqX4ilWK8QmrKzGoMxxYL+LPOtci98M46y3k2G5xcpb5
Tvlm0P6C+viuSHasH23ZA6w/63IW/P686v4ibA7A9qVYtaJ8F+Q/pLJlz85C
DkXoDJY0W5wbzhe/H8nL/7JUmDaDLsBzBHpd8JlFbosRx5QvusR6iTO12HjG
ypg3Qv/jSL5zoeaeOBBvxky8GVtVqn00E3RNSbi1lYQ1MX8hVm8TO87F6kBz
+VciTJrs3GHba6eczrrM9sz7Re22nkh9dww1uRTyTbF21j2Bejk2rLhru61n
GCd1GOvSVP3F3UzdxDAfCVS3efg+iph+hP181O3XRGc1gH/cYm6L1JusL/fF
XsQwCn5PLIzZW+yrl6FXxTqCXmL3EXf//3POc9lb3CHcG+xT+iE+kznNMnFY
EYiuizRPY6bD+WGP0rbLzt5qc8z4GRt3GPMlhkus93g+a8L9MAq/C0PNxxvw
v7MgnIk386y2WrEfiTv1m2zHD9gOH7Id2xHp+22BYmvIC6PtiTD5GfJFke7R
Z0GfjBT7+kh3zrDViHky3zZgNlips+mX90NodwRz4q5gXm8azsSbO7Xe9uqQ
xcf54h3SnFUNGmz38OxVnjAn9tyTvEt4d3De6Z87hT14wu6C9lD37LpQe5r3
Muv4b0k+xxPNR63NyBee/j/oh3PMXmR/Lg+UEzFjLqxTv/UAdxZjIM78LyHW
9EWf9HNdKhyuTYUXdzV93hJqJq5KtbspP++rp9nbS2PtxVa7D+JUmPztK4+z
lgt7gXGwx7hLiC33SWx2jI1xXLB/qv02d7Tl3cm+m5vKhrb0l7E79/lI9wDv
cb7fFOofriOV71a7p3yrB8+6uKc9zdRDgSj/0dgHxIF9WLQaUt9LhQPx4M7i
94WQjRWE02eR9k1oOfJe3ZbT/82VJfU577d7A/UI+5Tz0m67/Yyvuh6Gz5OJ
ZNwflZF2Tg709Uh48T+OOTNX/ndwt03afuP8DdoMctYP2rzzPuQsMwf2wkrr
B2JwETvwvZH6sDHQ/wTlOwraJdwpnEdissruv71F5biH/4CR9Pj/8m6svuuO
1fu04Vn/AQzug1g=
            "]], PolygonBox[CompressedData["
1:eJwtlVlsVVUUhre9U+/tPfve0yoUoYiJlGADRTEmCsbQVkVFTRyjkTjRUkkE
E31QX4rggEMaEQV8KARBEktxRF/USCBajFEeiESMVdHaQjSKSIWiiX5/fh9W
stb+1/7PXuM5994VNy6vCSH0IFnkUBrCZ4UQ5hdDWIz+WgzhB4BpnFXLIWyq
C2FfJoQCZ48m3EOyZ4QwBMlK9Ao+U/H9EryXuxdzlsf/FvDN3H2Vs4Poe7mz
Bf1EJYTRXAhLakPoqg/hfe4vw78D6SyFsBaf/XA1g7eAPwNfI/YU5HJ8O+t9
dzoyC/653KmgR+RssD7OBuFqRZbhP4uYirzvc/Ac9hvwj8J1BHkz+kzYJt60
kbcNwVEFG+bNk8EGsfeAb8MehftW+C6B7wv4t2LfX/a3VuZDWFcN4UHwGwrm
mAh2N++bjt2MXAPWgZyDfhh8O9//Dv7I/d/4xjH0B8CvBb8U/CQ1mQDHedjD
2P3RNVFtxHEFvr/X++51qiFYR9lvn0q+29EbkRkFx6zYdSZMnAu5P8435hWd
Q+VSPTD//7NsQwhjxLgLvnbuR7DWkuNVji9KXAPV4i5x4L8EvD3jmqq2ilmx
X4m9Cvv16N5RTq5OfSZMNV6TOAbFsghZDt5TNl8fkgMfQMZqXIPbwCeBH6h1
D3+NXYvshmsSMRbQ28Cb0L+hviPUdzf2QxnH8xFc7yWu7Wnq1yg+5G/0D+E7
RkyT691b6oEAVkGOgx+GYy+xjyN/YY8hDWCniuYSh7h6E/duEf95fLs/8Wwo
hzsSz5RmS/lU73Yrvoxrptr1RMezB1mF/hh4Ef0r5E5ynU+cm1+Jbzb3V0f7
DmHPxH4C+1PxI0+hb0W+z3rGt6HvSpyPbt70Lvo7iXtvEPtt9Jeq7m29ubfq
mdRsagfczPePktNv+daT2EfQX0E255z/+8DXROfqKOlbhL0jupcngN+D/Vb0
LE7Efpjv/cH94Zxrptp1p36/7KXoK5Dryc0475kDvj91rdQT6o127KaCd84C
9LNS10Y9fCb6er53QPWA7w69h5jW5x3/B9x/PHoXjfDeheCzufNJjXdIK/oj
iWulswzf3xBdC+087b4/K45NO0677uno3KtH1CsXwFGGKyJz0Z9LHEsDPs+j
r+U9PXnvAO2C1Ykx9bh6XTVQLeTzIvoA/CNZ7xztngHONuRd09Ml94R6QzVX
7TVTmi3l8DL4TvLGX3KeMc1uX/Su1tmpintIvaQaj2LPqPMsqSbqLe0w7TL9
A/QvUM1V+0P4/Iz/jyXvVuX8ZXyPczaS845/Abu5zr7qcfW6ZkSzop34LLGf
n5pP91vQF0T3mt7bpv6tc+32qd74d6buNb2vK3VNhSsnO8lNtcG7Sm/4t947
XLtcPdOWuiaqjXqiH/8u7p/IeCaXov9T9O5Qfj8uOya9TT3/U8kxKTb1cAvc
U1L3rs6a0K8qubcU70y+f1PJ/059Q9/SThK/dox2zWLwg1nPvGZ/TurZVA9d
mDpmxS6fjdEzpFlST+zEvr3kXtc/fB32f+DPDIo=
            "]]}]}, 
        {RGBColor[0.8687117500000001, 0.6367591250000001, 0.28365825], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VmlsVFUUvu0Ms7w3b2buTE3swmJdK0QLxKBRa0DrFmJjJS5EEmNEloTi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            "]], PolygonBox[CompressedData["
1:eJwtlWuIVGUYx9/ZGWdm58yZPeeMQu5uN4NiS2oVRPuQpWUWBKXZTQoi2FqN
3C5EQUWKBXZRM0VQzFRsvawZRltQZolRZoWX+lDtZmZFEZRbH9pxTej3578f
Xs7zvM/lfS7/5zkX3tczd1FTCOEZToGzPAnhqWIIu8shrIu4qIZwAIXJCC9O
Q/gqC+FEPoR+7oaRF7n7D74Pfgj+GPJD2H4C34FsAedf5DnONHw9wnmyyT5u
jkMoI/+jaPvFtRBe4wzy1nHOZuil6PyMrAX956CP438A/4OcH6HPci5oRgf9
G/E1F5uF6K/IhTAH+m7uRrBtcHcFb+8iv7XIZqL/JvSa0XyXcrcaOkOnjP6E
Ugizse3nzeno/orOb+S3Fp/fFJzfGuhH0R+AHuQ8Bn0JNmMKrlkOfm/st7Zh
vx/7J2LL5WN+JYSe2PXbD38D/IeqEfzXvH8SX9OQfwn/BWcL9kvgG3m/WUf3
dnTuhJ6C/R3Qt8TujWp8AP2Hq85XvGq/mbtDefuU7wdH/R3Bfh7vvwTfCp1x
OtF/n7MobxvZHqHen1P7vfhr5b3PMtfmF06A31Jz79qJv4bt1Nix/8Dd68iu
4a6ed89L6G+qWZYSYwe6t3HG5tyzh6C70bm+ZPw8j+4+7q5Dfx09b6uDr9j4
OsjdTcS/HZ2TBfuQrz+b/Z4weZRYl9Rc613CG7Gsqjl35bMS+qPEWHkH/ffQ
/zQyvZN49yWeCc3G5fjsrhqzwu4E7jrQ70U+v8k1W4/+P5HfUo8jctkD39Xk
HvciH6oYq7LpbQnhWnTaSu7pTOh7kY/LGePCeoPvJpWa72nlQwyz8u7JYfjv
sJmOfYZ8BL6TM7HsmdpIrB8kxqIwcabimqv20pmE7o7Ysz6P9/vx/Tb8lfAb
eHMYn4dTY00xDMGvQD5e/SOGq9G/C5/HCsa4sN6TGksV5FchnxJ7NqSzmniG
ybk15/ga0Mtq7qUwLCz3JZ6fPt7bCb2j5lm/iBzH4a8d/2eLrkE3b388ul+U
3wh8AfnvRWNAWDhR8aw/zd3KxD1X7+Xj3NQ9Vq+FMWFtfWRd7Qjtxhdi56qe
LINelbg2kr+auMbKZTzxxcRyKnPu2llDmXeWdpdq9iL2ZyK/rxk8j/dfSYyt
W7nbgOz8urH+uOR17wTtBtVEu0U5K3fNyAPITsEvzxljb1DPqfBJ2TrCSiNy
bTUzGfpdnFkl85qlpqp3m/o3EdlB4h2bN4b/jowpYUs7+Vvkz2JTKzh+7RLt
aO1q7ZCXoXcnjl07+V3s2zLvireoWWtmDAvL2rHn4G9ri3NXDn9VPPOafcV4
P/JJqbEQwU9OvYMVbwn+MvjZFc+i5k279Z5Re9WgXfOReVcfhR+AXlA1HoT3
hdDfZ5bpH6B/QWfqt2JOEf50s2PXjBXox8bItsK0sC1MCpuqyeLYNrLVDO2J
PVPS15s/VfyP0b9GO2sbsV6aOhfhVbtSGBKW1IMZVe9U7VbtiBmpd5h6oxnq
wl8+9T4S5sdA/w8JHAyA
            "]]}]}, 
        {RGBColor[
         0.9016150416666667, 0.7067008333333333, 0.29478933333333335`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVltsVFUUPe1M79C5507n3v6BgpiI4REUJbY/gP2RH9FQY4z4IBoTS6Ii
SloqwaRE+2GCiImhlEIfKW0ttS2+AKHF1irEKFQUIlWxSIpBBAGNj2CIa3Xt
xI/J2bPOPvvsx9r73JlPrq58rtA5dwK/FH6jU5xbV+zcMazvFDm3JXCuG/jl
0LnzkIPYufe8c09D+abIuaUZ7Ked64CRCWC7IXdBboCNXvy2Fjg3AlsXcPYN
2LkH+0vw64dcgvVG/BKcm1bq3Es4Nwibr0K3DHg9zg5kJLdCP8Hdf2Dvb/jy
OfBWs3MC5xZCfgjrlaxzffC7s0Rri511wA9g+Rq+N+H8y/Qn71wB8IPATwEf
zMuHz7BfCHwA+Pdecf/MPGCvBzZ3wuZ2p/tbzIdLWe21494KYG9C/y3435GX
vAc227DXDZ2ViXLTGCg/K3PKWzlsNCD+CtzzlOV4AfBK/K9OKafUn408BIj/
OOxMhfwv7IxC7ob9PbB/FXZmw84gzrTk5CNx+sm76cNF6Ax72f0Ea3NOeSzD
uWvYWwv8QF6xUp/xDnnhy6HTCf0x6C/F/e+ar+TFg9g7B7krp7PkEPlDH3qL
VItdJcJ/y4oXv1puw1jyVeSqPVAemcMtJtMOc0b+MA+7QnFlG/wcglwNGwcj
xcO4VkTi0ySvoNNRIh8u496mvHyZj/0PQ9ntBTZod++DfBi8/T0Qb7iSe+R5
c9ryAnwR6rA7EOcn+R/ovg4vvs+C/UcgLwK2EbYvooabgacR6zjw9cAPQafJ
dOqgcz/+3wlba7ziYVw/xeqThSnxknvUeR7ri174C1YH8mUj8lNbKB36T+4w
J/SN/V1jPd7i5c8tkXxnDIxlU152GuHPiBd3+oAtg94d0FkNrAK/b6ATeXGN
Mrm7H3JVSvHsTWT3EM6eTuks4zln9zD+PpsV9LE/L66Syztg93XcOxN3Vnn5
sw3+HI3FSfbTUa/42N9nU4qXcd+XU51OQnd+Vvz9pVh30wfy6gfL/+FQftN/
1uyGRDPtMdh4APWdZjOqKNYcSGGdmtHMYc9szivecdxzcyT5fdj+GHgP9I+E
4myP9ftJr5nD2TO9VPHPwLozJx9ux/2JV3+NQf4u0Vw+hfUJr165BJtfeMX6
KeR9kJ/BvXtZEy+enge+yurAPD4OfBjy9VCzlzF1FmoGkz+J1ZX5uQu+TWQ1
g+dEmq20z/+cTcxXfaj5VGWcYz6oQ90xL9sXoPNPVvm+F3bqLPYyYGey8u8D
YBsCzc/tNs/JJ97BvHHWk39/herJLxPNg+MZ9eCZWPI41j+LhS2O1G+Mnb21
xGp2dyz+M5/Mb7nXG7YK+JVQb9WRRHON+6wD+cf8zYG/MyL11o+QH45Uz7Ve
c4VvFWfKmlg9yjdkUyT+LPaaBeTXvKzen3WBbL0GntRCbgiF1RrO3Oy3+kXW
a+QIe5U9Oxd2bvOaQY/izgWJ8sbZvxW2ehBLf6I6MZddXrUnB5ohl3rxoC7S
PGBPsh+etRnOWT4PdqfAfqGXDnPHvPD9IU5bs6CThuy8Zgr11tvMYr8NAE9l
pMM80naN2eHbdT0QV4oy0hu2Pq+0OTQ9ls41YAVeerfG6lvewzlaHatXa2LV
ln6wBuwN9siovQkTNgNHDGcPHUvEyTp7387aDJn8LknLN+KnbXax99iDbdAv
t95oBfZVorpwxreFwrnfavJHXj3J3vzWqz6sNzk/N1LvsI+JbTB8mc0xzrOh
SN9Pw9H/3zc78vo+eiUQ9xrykttD9RU59Db0l+f0vVKJtRE69XzLQvvOCtTX
/wEwDW6/
            "]], PolygonBox[CompressedData["
1:eJwtlllslGUUhr/OTGfamX+mM1OvWNXgBgRFieUGsDd6AYhUE+OG0RskcUVS
RaMJRomQaNHEUArYQqBAqW0xhkqRpaRRYiJURQJVthhQKbJpFINRn9f3vziZ
c/6zfO93tm+ue/K5hmcTIYTlUAqalQ/hg4oQbk+GMBu+qxhCS5rf6hBG14Zw
gd8pGI7IhDCj5G/SdUNj4LfjMwP93VA//J1ZxzoOzUS+F9rJOXcgz4E/Ug7h
YFUIrwLiWBRCH/Qg/FIwnMF3AWfcw1ntfPs5F8JJvj2F7w5oHP7DnDuZs+Yj
f4zvCvC+Dt438J+P3IJPQ8I+TeiGiPdlxhh78W+AfkS3CLpK7FXI32FfDzXD
b47MrwBzO/xJ/L/Bvx7/PvTniL8Z/Rn8n0G+AX0SfSVUgX1bIYTdScdshU+i
/wl8v0AX8Z2OT0dwzFPoduHTmHANroCnyLffsP2CHP2Zcw6Px3j7sc2iH0Y/
gP4S+kHFIFZXJXhrnEPlcik2Ldz/Gnx2cd4U/F+E31+2r+53nlzWxfdXDdYT
7zb0hxK+w2T4K3z7PW1MwjYuvu+7+K8l3s3IaeR9+MyLHFOxFaMeOQFVZWxz
C7a9yE8n3VPqrQngbQrWK1YPZ3aCbzXfJqEL2KcyPlO5bo18lmRhGZ/3fRVz
gupTbWzyuRH9BfB3YH8O/Dnk5yP3onpAvTCIvDjhHj0AfxT6DP5v7Edi34VN
HVjfQt5IrE8i95Z6UL04ixp/CN9J/s+D9yw2m4j3D/Zj8D/KfQarXAPVYmfR
tVTN+7G9qeTe0Z3+Rb6as6/OH4Fubt72wjiAbiHfyknHewH+28jYVZ+SerXs
XCqnX8Mvwb8mZUzCppnSbKmmZexnxvhbodkFz5Bm6f8Zgl9V9N2V49Pcbwvx
FiSdY+X6rpJ3g3pIszQJWofuTXya8V0YufdGE78JXapkbJqJSvixtd4lzdAo
+Oq4v1WzJ/BdH5mXfQLdNvC/n/Y87iDePDB3pFyzw9heBuM2atHGt/vQfQqG
DWnP11/oPsf/FeJt5Vsv+dlQ49q9hrwa3X6oM+19od22BHlavE+uzzvHyrVy
eChyj6hWyu8Q8iJoZYVj7OXsiVnPg+6ku+mOuqswjIR/G5uX0+75lZy1J+/d
qB2zV/uKO6xLeYdpl43POvfC9Ahndcf9qR2gXTBdmJDvR25EnlNwLhRjbsE5
U+7e48we9ULOu0IxFKsv1itnu3PeScqdct4O1sGy76t8Hyw7x4rfTQ4vYfso
Z07LGL925cWsd5NshGU4ng9hfIez1hbtq55ZIx7qCa5hD/xU/Ldie5r8P4D9
5ZxnWfnULhwCw1DCM/a96plz7+k+mt0jkWulHlGvKKfCppiPIz+M3Jh0zR7K
ewY1i9pZE0vOkXL1EXg20ivX5v32aEbGKlbBb4EwbCr4jdJbpRk5Bfa6rHOl
80eB76uyd7tmVm+jek69px5YVnSPq9c1I21gP1vtXdjB+Qe0z7LGopnV7nmp
5FprJ2g3PBbPg97QqZHfPPWy3vTtnPVr1rHkr9n/IX4f9CbrbV4W96Pe1DU5
z6xmVzukFtt0yW+ZZlK79UTWuVjMt+X4NufMK4Z6e0/Rs6aeuFW7O+//Cqrx
APLhkneP3sQ/ql1j1Vo12Yf+P+Q8Qk8=
            "]]}]}, 
        {RGBColor[
         0.9197339583333333, 0.7470231666666667, 0.30084666666666665`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtlW1o1WUYxp92zo7b+f//2znzSxC9UsxmSVBJUVjQC5UJmyzS7czVkvow
VjRmIylFS4hMok9tTHt/WYa6xDTMnI4RhTTHZmo5tRIhkxALiqKk39X1fHi4
73Od+7me+7nv637+V3Y9tfjJqhDCCCvHOlsbwgbsjjSEHoBR1l0EzM3sN2Hb
sLtyjnu5FMLj+CeLIZxh7w35EIaJuZG15qIQToBX2D9GzD3YFfAOgLfz/2ni
G4nfiL89NZ/OHyg5fh74K4n3rcW/KvO5a8Aa8ffgr8Nvytl/jf0LwXdj53Nu
L9gMq4/9l8Z8ZsBvzcwp7j+xU8Qsx5bLxOBPk8sDmbEe/Lujv434AfxryHkQ
e39m/vuwx4vm1zk/g93Meq7K5wlXPXTXnljP67GfzwqhBf9CQwiL8fs4v411
O347trOOPNmzj71/xft8Rm2q+K+C/w65TbBW409inwZvZm8vdkXZnOJWLofw
n+esm+B5F85WuE+VjV+g5rO421rijsBzOed9in8F9mpi2vHfBC/MDuFeYi/G
Lqtz/FHw1rzPKvH7mbLtAvBxVj/+GDz5xHkeBFuFbcm7TxNl1+EXeI/z34vi
bPA9xCuu00XXbZC7/0Hcl/x3mH37M9d4J3Y6M+cU9ndiRomZKrtn6p36eSp1
Db6Off+4Gg3Qmw2qL/xnwRfWGfu1aI6Rauv3pYI1+b+fuIebU/fkJKs/8op/
POalu0vrO+Pvr/h/f+p7S6dnok60Zwx8L3hr5iX/FnLYnVm/P6jnmfk0Q9up
0ZaaED7Bvg5vs/KKc7O0yvpu5i6vEv8bPCsLjpfe/i2aR3zvJ47fmnkmhf8j
jdS7PofKng/loDoOF3xn3XdHzm+B5lZnK4cB+PaUHPdFyTXorjKv3ga9FYr7
Juogl1hrwm8Dr9Q4V+W5seS6bypZc9Je9WzPh3zlpzlSrGZMutZZuvOPMe8F
3GmE/UPwbMNujXrQTO9NfC/V+HzR+1SzBHyd+kqO36Z+Ewpgl8D5Av53YEOZ
NSAtTGaux1jiOqqe7yXWivQj3o/q7Q/XuybKpzvu0d4DcC7KrKUHM8+AZmEG
/KecayXdHEudQw37TsR5KeI/lHfO0s3h1LOpGV2Suq6riTlG/geo3d/UblXi
/l3GWftK1mEfsbXEXIt/HfU4WPTsvwG+KbWv9+Ct1O+P3qHJov23weYV3Y8R
cn84voNLMvdLvdLMKUe9acqzjT2N0qu4o98ExyOpc+jEzuGMOfhzwSeK1tsQ
+NI4P23YjtQxldRvc1P8FkwT34n/YWrNKTfp5Fyt/98F3lXj2dc7U5v49/IG
vzfz8+7leOIetHDWlsz4+ai/jhq/F9JsJfp6r3XH0cy6fqLgHnREbSvmjrJz
OBffM2lV9elOPbv6Ri2Kb5HepA9S32UYu7JkzmdL/i4qfn3iHuucPvDvo06k
2cdS16QLuyzWSnVdX4r5YB+NNVf/j2TW09HMMyXNSKuD8dt3p74bcS70zeyN
351+7H9/PR8p
            "]], PolygonBox[CompressedData["
1:eJwtlmtolmUYx2995w7PYXvf9b2yMI9JH0qKjhBGQYabdticrZYUpE6qpSRl
eYrIJPoQLTYrtXIa5jQPy+mWSy2y5nBzWqYzTWpFgQWJHaTfn//z4YL7uq/r
uY7/67qf0Q0LqhtHhhDehIqgpnwIN3PxRHEIizn/UhZCZ0kI1+ZCmByFMOqy
EO7i7hbuagshbEhCqEfWCa2IQ/gKfjd2qjDWn4ZwG3QE2UH0/+K7Zeh0wI+F
ZqE7GXkP51fw14q/7dyt5vtd3F2FbB58HfFMheZy3otOG7qL4PuQt1c6tunw
b2F7rfThd0PL4ZfGtlULtSJ7Lu/cHoffCn+EHLpL7EO+zkBd+H8B/iznl/h+
ZxZvLfw8fF7k3FAaQhmyw9y9CF9NvgPIxqT2rRjeQzaSms1ENh0fT+FrAPpo
lGtYTC2LFSO6F6An+fYO5GPQf4MYbufckjj27dASdEenjmcWtAZZf+Lv5T/g
653EMuko9lb0xyK7k3xaOM+Afsw55iLk4yPXWz1/SPVI3bslyL+BH4pcqx3Q
FalrJv46dIbJoQ5+nGzBL0Q+WHCvL2DvvnL8Qa+PoE/kvLECH+j8jP7zyA/y
7cTI36tmql07d1XINlPfbfS2irszOWNqH7Lj0LKsXsPCEv18mnMT33TBNyY+
f8/dPXzbljpW4WMLsn/x10w8c+EPwG+ttK/FYGIVtmoS91oYvVr4hc/n3PPV
8KfhV3L+CfoCf3en9qUYupB9GTu3G+A/w96hxFhV/JqNvgwv6sEBdL+FX855
BjGOILZJ0Phsnq7B9oTI8aif6v2uxNhQPzs4z4Em5IyZZuRrqfHsUmNsPeff
+P418q3jrp5c2yrcC2H+T/q3IItvCBvTUutIVz1Yh24td8M5z8PnwlbBs6/+
3oosIocVWT0eUC0S88K8sH9vatuqz0XFknetFaNi3VThXrRw1573zAoLwsTs
xBiSL+Uwrdw9V++F+YHEMyNemChB9jc5HSK+9fi/Hn/dyKcWuWfqnXJSbtpp
vQXnIPtzoI/5/tfYvVZPvlNtCp5dYWAh5z8i41kxK/ZJfF/DeQo+NnN+mxzm
53z3AbZehvbm3CP1qjS2bfnQLlEP1ctu+Inw41Lra6f24+t8mW3L5qfo3hh5
PymneuqRiz2rwpNmW5jtyPZdL7rzE+emmdBsbMzws0c7Dd2Vsc+K7zFkpwvW
1c7+oeAZUa6q6YmCMdmZxfdh4p0vXph9BH5KZKwLU8KWdpJ2kzDfm3hHilf/
jsJfIr+BEs/LTejuT4013Z3F33H4+4ucs3bzUDZ/ujuG7OvE+WtH7I89Q5ol
4WFQuyCxbWG4RvOUutaq5zl0r0y927T/PkF3Td5vkd6DDfT3UuzdJjw+jPx3
+H+yfB+Fb0zNa9/3YW9T1k/VWLVuIofqEs/DYOodKXva0YfRf6ZgbEnnWc7H
sv2mHI6mjkGxCHPnI9uQLc3YqcQ7VPtGO+2/yBhRbtr558r85tVm+0xv77vZ
+6AYlJt2onbjUr4/yfenIp81I9rF2mmaXb25e/KukWqlN2Ob3v7EtVANVIt1
2fsrXrXSjtRuULwnkbVl/wvCuGZDOSpXzcQJZJenfutkX29TQ7bfpK/Z2JL3
rlikfgvblX6LVUPVUhhSv/XGPJh6x2o2hBFh5f3Ys6l/jmZszSz3rlB99VZp
hyleYSxGtzl2ffTmvYp+T2rfqvm+1DtReBU+eziviv2vIh/aDf8DyypQoA==

            "]]}]}, 
        {RGBColor[0.9283803749999999, 0.76638, 0.30373225], EdgeForm[None], 
         GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1VllsVVUUPfLKe333ntt3Xw0h/mgIESWC0mhIKJN/yo9RGcqgsVBQFKxG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            "]], PolygonBox[CompressedData["
1:eJwtlktsVVUUhnd7+7r3nNt7WydONHEgDhSVaDTUBw5MfAyMGpIWiuFRNCpB
E6WWPoDEBKm2oKKYWKC2JVJKAxUUeQgW2opBKKUtSEsFwytRcCLMjBK/P/8d
7GStsx7732v9a+9z16K3X34rP4SwllXAml0aQhfCLuSHUyHcZH2Sh70ohM5s
CL/HIXxMQCffoiiEKb4NYVtYEkJNOXHom9DbWfuwL8V/RiKE86zn0yG0Yu8p
DKGN/C3IndifJF8D+U6xVy/6QnzfIH4N8fvJuYfcK/E5gv+JMr4VE4v/dfzP
oA+hjxBTQf79+Iwj1+LfT/xZ8q1F/gr/4sgYhXUd3ybQK8jxSMJ77MM2hv9H
2NrxL8TeRL5p1KMJvRG5Nrb/ddY89ltKvTryXINz2Hsj16qV1YH+G/lr8P2W
dQf+l5LUCLyfUYMPMyE8K8zBNXoO+RtWNfv/iM8oZ/sn6V4sxz6FvjN2vgfA
9Ae2Mb49iN6Fz030EewtOfwFYHmffGX4HsGnFX0V63WwTUOvwvdR8Nfjux48
zeD5NXJ8P/pZ8HenvdcLfNuKPM63zXmu0Wnk18hxH7kOgHcYLHWx91aO5ciJ
yLr8h9FXoz+FvICYe8i3Ke36rgf/VfDXx+aWONYQmwPignza8P0lMhcaiB9g
/3dZNdi30r9GbEWRe639zxD/E5hmIW/gPEeRm7EvyeXbSL4B9B70F9FPoV/B
Z1W+e3wV+d+Ua3+NVZ32GXXWXvbrgy83ku6V6jsdeyoyfvHrgriUca9VY9V6
b9ZcfQf7QfGLNTPfPa3Ddgx9h7iPfpn4a+w3WWx8o+TfqHlLmCPd+A6iNyeM
+Th6SWQ+ivNTxH8du96NfBvjLPNiY9HMvYLcHbs+so+nPKOaVc1QH7n+SnnW
HgPDHLCcUD3QK4j5MnbNVfu78a+MXRPVRjP6BbbF6C8VG1MSfTurr8RnmMFe
E2mfVf0+q/PFzq09TrLXxdi1VE1jYg9Hnu0mcY6zP4HPAPUaZE2iH8d/RcI9
VW/vj429glUF/m3ssVizAN/+pHdPo0+ij7J24j+E/kyBe6BetNC/zws9s5rd
/RnPhjj2Jv0cKvPsPA6mQeQq4uvJ1U/+yrTvCN0V+vYfWP9OmuuH0XekPZPi
zknWzLTvCN0VwnhetY/sqxnWLG+PPTvisLh8+20hfEDOQfAVIddSg7o8z8R7
yD+A93Ch66+76s60Z181XhmZ0+K2+K677Rb9mp50z2o5z0PYjybMT91l4oS4
oZqpdsIs7LqDlhA/J3bvVI+5krPmhji+gthDGfe6C580+ljad4N6No68OmNs
OsNx9tsQ+e7RHbOGXIO5/lSyziGfLvPZ9aZsIfa7rGeri/N/jzw/9tsiji9A
3pO1TWeYRXxbbKzCPMx+Y1nPmu64UeSfY981m4nZG3lP7a2Zu4JtW8Z3r97M
HuT2XD7N2Aj5DuXy6Y4/mPWboLdBM6BZKKRnPcE9VC+Pxea2Zl6z35E2P27o
DUO+lTS3VIPL2O+NbdObORt9NOVZ1nm3YNtV7rf2Vey7y81ZcVczMwGW6jJz
XxjmItdnPRviTwPyotj5dIfUIJ9O+S2U/innvZBybnFEXKkodb01M60Z10y1
0z+B/g0uZt174b+EvCx3f+tN0tukGdYsi7MHiF+X8d2tnMq9O+t/C/2TVJZ6
pjXb+gfQv8CyMt8X4rC4/D9zPU2v
            "]]}]}, 
        {RGBColor[0.9317642916666666, 0.7740893333333333, 0.30485575], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV2lsVFUUvkxnHu3Mm743gz9MTEzcMQKupGUxEBMDkhCMYakxlIQCP1iF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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhnd724vce9p7WqYHHxTigBGIUwISFGJiFBKiMTI9WAwCD8oQ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            "]], 
           PolygonBox[{{4023, 1470, 2818, 3687, 3688}, {3974, 1425, 2763, 
            3635, 3636}, {3645, 3644, 2772, 1430, 3984}, {3688, 3687, 4307, 
            1727, 4309}, {3697, 3696, 4317, 1735, 4318}, {4030, 1473, 2829, 
            3696, 3697}, {3987, 1431, 2773, 3644, 3645}, {3636, 3635, 2762, 
            1424, 3971}}]}]}, 
        {RGBColor[0.9218037083333332, 0.7681102083333333, 0.301512125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFV2dslWUUfmvp7e397u373YuAgAMkjggmgECMwRUQgyxliOy2QUChlu1A
hkwlAQqUmRQ0AiqKrCrEshHpLkMghi0bFNRE/WOiz8NziD9u3vGd9Z7xnHOb
5hX0fOsu51zPNOfSsR5MODcNF1WBc+2xH439d9hXZTpXmuFcPs4FIByEdQ54
KkEzHfurSedWpmm/F3LmR0Q3BOfz3rla3GXFnGuT7dzCOs7Nxt0W0HTBfg34
NoK2E2hb4nct7tw8nO+B3pYJ6foC+8eynOuK/dQ02TgpXTpHp8vOIrvnHW1Y
fJfkc98hW/ZegQ1NcdcO3ybgfBK8s7Afh1+ZvZ0+WA3bvrH3dra3FkFOX9B3
joh3Jt4wBXfnYVcO7nLxm4tzMeTvg7/ywFeZFP9ayNwB+mp8PxU6tznq3LoM
0azBe6fj/gLkbPLSuxFrWVxvLAfvq+B5HzTNYH9z3G2D/G7mA9qab3GiH7aD
fkUd+Z527wFtSYbOpKP8hbg/R12gGw/fDAZPOeQfhs4C6JoPmjLoyoP9J6Cj
FLI/AP0C3O9N6j18VyHuO2Jtm6nY/QiaGtDci/srkHUQMjMg5yDuzoKmDOcK
2NsgKt3ka2e8XUHfBLq6YF0C+W1wNx5y6uNXBv4fTH8UvJMhZ266Ysz4dkoo
li9iHQr7OkJmm7hi2yFT8X0PcvKgeyze1xy6n7yjF3dZUeXlVXyrxvky1t3Q
tw/6zoV6P/1QGSoGjMUJxGsI+AojiuPWDOX9Hb8zb5kzzdL1FuZGbrbyMwfr
MPw2Qed+6DkAuxeB5mSgXCfvqlD5yzeyRo5A/sVM5RDjwxymHX3i2r9tNdLW
dLHeWHd/4PsJ7FeAZzJkbk+qBhZD5zLoLsZ9g7rOvQy6prC1yGqa/qVv6+Lc
C/tCfE9FFYvN4C8P5d9DlgOUPxP0g3HfA364O6Xv9Ns23N8HulrQHPeyc6DZ
yhzOt7qdlKE4ML47Yjrngf5br9yphewSLyza6sXHPXk/xFpUR7V0LSVbimDz
2aQwYkdctcqaXY79VMjagvuxxBnEopA1A5m7oHcaZI3CviIpbGoIH8yBrp0Z
ymnGnTKJOa0g6x98y00ql0nPvDrm9d4HYctIL5n5XjhHvcyN56HrKez3pJQ3
xEzmzv6Y3jPJSzb10IetY8KXl2BvW+w/w74f9q1iqvmO2cIR+mCBl+/JT95E
VDFaArpnsrVO9aon1hXf/7jhywbY8wTedR3fbqSEC8SH4/DZ6lB2luLuXJZi
NR1yxuI3A3LGe8noZli9O6b7cbjfGVMuLQBvr4jeSFtZHzmGn6zHbhHFqdAr
pk/D3lOBauFiKHyl/1l3PlCdsl77h+Lvh3VEqBx4NKa3LgfNDJzzcP8KaOrj
XQthR2/iCNYZXrnHHrXXqzZZo1ssBozznpjoF2HfH76ZENE7l8bVG5YhTypC
YRExqTSiPfGnKew8ChtOe/maNcz6/doLnzd4xZZvmpsmXGGf4HmRl+0Xs2Q3
7X8kJjzLsX6Ua+/Kwdoba5+IeF6381Cs8aj2vB+Dt5VA3y6vumc8GAvGnJjJ
nBmRrVrf5lXPrOuHoXdioNp9M1QtMVYpw2z6gfYMMhwYSH/ElAsDLc9LrAcR
d7tarMeE6qHvQvawUPYXYH/V5oEhxHjDSeLlddzPx/0vWJOB8OoA+GoC4Rdn
kz9Rk5fwlr+wfpJQ7ZVjXx1o/vge9Pmh8POdQHMPZ4CJceUaa5PYWy+q2NFf
a0LFZq31kU6G88xB9rQa4k6gWWWD5cnaDMV0gOUM931D5QGxh99Jx1yibOIL
a560vCc9eyZ7JzH9TChbGMMm8GkV+GsRo48MixvjrecyhdWs20Og3wHeGqzH
QsWUsaWNxGLWHfsN+87ngexgX7gdsyzRcM9eQv1X2Ce99FL/YK9c5pxCjGTt
ECdXeb2t2CtP29jcRUwkNp7A/bMx9bR0rCu95grOTTV4Q3fIqcX6pVd//coL
8ziPEvuJ76zxEYblnS0W7Ge0f6lXnrIH842NA9lc4zV/DTDffgodLRhbrPWj
mgH4ztqI9syBbjafPBRTvrCH8s30IfGO/mGtrrNYf2w6VmOda3EpTiinak3m
raTmoptY3whlZy/ouYLzcdxfxnra8JxzIucB3rMvT4pLFnsIZ1LaM8Hm4SGG
G9eS6lsvQG9uSjn1d0zzOmskDzmw1OqWM1cPmwG6x9VPODuyXucFynPWEPsl
fT0lVA3cnn8guywpjC3yNvPBxj2cbbzmv3rguwW5C8B7fyCMmWW9iXGmneTh
bMucYQ6ujyqO3N803l/jihVrj7HmTFSYrhxin2C/WAydvZKaL6/DtkEpyeG8
MzNUzFijjAfjwrphj2fvbpQQH++ZW3w3dbGnV9scQL/uTqkeL0BeeUw9lDPy
BMPGkaH6Lfsu5ZzymuGaBMIk4gmxgjW+3mqfNU0avmVWqG+zQ+mkj8YZ5lI+
9dRYXVeHwkjWPOudcR5tvmX+MqeJmxW2Z27/myV/c07fav8PiMnEDM55lMNe
Sxw8DV3Dw/9nB8pcZHNpWqCarzJbklHVP/OY+TwqlM4K42H/YR9inIhDzA3O
dqzrfLPhp4Ri+jtx2LCUcRuOfRfwv4b9pbjNzAnppG7KoV+J1/Qt/9sQk3+G
748G8iNjyDmG72uPuD0QSNdvkLfM+jj7OfOY+XwcNJXYV2Jf4fX/jfEhblXZ
fSPI6JPUf4oWccWKvZ/xor2cYzknbbf/1GdA2zBQ/7oR1+xOTGEvYl10tP8s
R+3/1BGv+ZJzSGvQHw5UO5zBL4XqfeyBnJs4X7Gfng3lg+dg53+BFDXy
            "]], PolygonBox[CompressedData["
1:eJwtlndsllUUxm93+w3e9yuioBEh4AoYFcUYIdEEHMhwAAIiowVFFAFBjFoB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            "]], 
           PolygonBox[{{4188, 1615, 4190, 3637, 3638}, {2844, 1486, 4051, 
            3694, 3695}, {4192, 1617, 4194, 3640, 3641}, {3692, 3691, 4047, 
            1484, 2843}, {2842, 1483, 4043, 3691, 3692}, {3638, 3637, 3949, 
            1408, 2750}, {3641, 3640, 3956, 1411, 2751}, {3695, 3694, 4055, 
            1487, 2845}}]}]}, 
        {RGBColor[0.9010664999999999, 0.7548251249999999, 0.294766125], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mHmQVNUVxh+zMNP9uvu9bohRoqgsiihWOYmpSvmH5QaJUrFCSgSGwWF3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            "]], PolygonBox[CompressedData["
1:eJwtl3uQjmUYxp9d7W77fbvf++6ng6QTkjSaKH81U4OiMDWpFHa1uzlXlqIU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            "]]}]}, 
        {RGBColor[0.8445788333333333, 0.718612375, 0.2768047083333333], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJw1mQmQVdURhu8Mb5Z338y7970hKu7jErcyKiapLOIC7itg3FB03KIMuALD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            "]], PolygonBox[CompressedData["
1:eJwtl3twVdUVxndicu/Nucm5557Q2ipSYmvroDaCbUetIEqCYmWUdBQQwVSw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            "]]}]}, 
        {RGBColor[0.7578345416666664, 0.6628556249999998, 0.2516761666666666],
          EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNmHmwFdURxuc+Hu/eO/fdmblDibLJEhPUuIuyyeOJKC7BFdHHZkDcUOEB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            "]], PolygonBox[CompressedData["
1:eJwtl3WwVVUUxvd9wb3v3Hf3ufc6SgtP7G7i0QiPFhhE3iNUQhAl1VHGFlsk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            "]]}]}, 
        {RGBColor[
         0.6408336249999999, 0.5875548749999999, 0.21938049999999998`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFWGtwVdUVPje595579uWefe5JAnmIVIEaCAlaBC1CQ4NUWgp2HDGU8pIY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            "]], PolygonBox[CompressedData["
1:eJwtlllsVVUUhvdte3vb0957zj200BYQZ0axIoOCiIpolQhGQVARsAjBKKBo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            "]]}]}, 
        {RGBColor[
         0.5339568333333332, 0.5180314166666665, 0.20213283333333332`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFl+uPVeUVxvdh5sw5e58z57LBcWzlNgyDQ1EuhQpIWkZsHASEGRBt+s20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            "]], PolygonBox[CompressedData["
1:eJwlltlv1VUQx08Lt7f319v7+93TUkAptIUWKEtZVZYHMbKUtZQtxjcTJW4Q
xQValigUKaAQLAgCipjov+FujBof9M24sYiGRAkIsoqfb74Pk8ycmTMzZ9bT
/NjG7g2VIYRTwGDg79oQngAZngthcxJCSxrCIvDFwDHo1iyEhqoQDlSH0FUT
wiXk1yPfBn87/OMxhAF4SytCeBv8FvyN8HflQzhRDmEuZ7/Cmw5sRf5DzlZx
dx22fyiEMBl7XdBr4Q8rhTAH+V/ApwG9yM+G/hl8KtADfQX9l8DnApfB98Lf
hf3dwEL86wYqeOCyQSEcgbccex34MhVoK4bQh45Z3L0I1GC7Hnpt8J2F8I8j
vxPZfXoTul7jbDT8n5DfA/5Jwfg96E+5OxEdK/B/DWcN+B+gm3P2/wL+LcaH
bvCF0gdezhzrFkQz8CXRvAT736H7Lexvw/524Cj4P+i8F/kOdPyGvvnIz0M+
kpN92N9b9FtL3P+e+4OxPzrneP+JfIR+EPn7OasHbweWg6+GX4/uY9jYkXdM
FdumzLr7uLOA9+eRPwNvBrANewPI9yD/F/Qi+OPgL0PfKuiIvt3404k/F/Cn
Efw2Z6Nyzt959F+HboSeAn0WuqbWsuOJRwKeAl3gU7CxAlsj8SfDny3Qh8p+
o966Gv/WEosdwIa8fdwO/mbZssqZctdatC7VgGqhri6E59GxCZiJ7g78X5lz
TZ7mfV3oKFb6PScT+yTferl/hPsPwX887xqaF/1mybbg42T09WNvKe+/y9k3
2BiamDca6IB/B33P0R8Pw78t3Zw1witgcyz4EKAdewXOGsCXYaOm0jV0HF2T
OGuucszH4nuEzle5h9XL+6J7YTbyC4quSdVmGzLTkD0NP0VfO/T74PdlxrvR
917inlBv7ERHP/w90XiKzAhkX4XeVm0fX4muIdXSGPhT4A9LjLcCU1XriW2P
BaZnBuHq+UmpZSSrHpqQOkaKlWp0PPSY1LFZqfmCrrrMsdEM0iwawtlI6FHA
BHifEvOn8q6xf/Gtvs651psfoV434fOP6FqPzAvgH8N7Mu8eu4L8RwX3pnLc
R76PRs8qzbhj4J/DfybvHr+rei9bl3KgXJyC7lftcudrZL8Ans27Jwfxls+g
n867J25xPys5t03cn8j989g4i61zQHPRIHwW8kNUq7xhaJVnsmZzqeTYKAbt
0Ku4X1vpnLybOCaKzVLut3K/BX3nq21DthoS21ZNqbbOcXam2j3eVHQNqZbK
irHmFfavVVjH78jOrzFPPapeHUDfkgr72AZ9AJm9yF5VjUC/FN37mukvg/dE
z0rtiF7wC0BnhWP4R/SM1azdhI4XoXOqiZxjqthKp3Q/Cl5Dri/WelZJpir1
jtKu0ozoJzenEveDYrQGfcO5s6fgmrhMLDs186s9gzWLb6Bvw2DvtJvgN5AZ
mXONqdYaM/eGZqxmbYievT3QW8HvIN+Uc86Ve71Bb5kJPBDts3zXmw/h2+HE
u/S6coq+WdGyitmdsneK4iWd/6F7IHo3a4dpl1UoxznXqGpVO0D+6KwS3ubo
Wawdu0W9DPRWe2Zrdh+M3n3KoXKpGa9Zr5jsh/dO4trSjOyGPpF4/mlGrYie
aZptc7A3DHszMu92zVzN3qzWs1EzXrP+KPc7c/5z6O9xuOxZqxpULWaJYykf
5evQ1Lq1s75E587ov4Bm0q7oGaZZppmu2f5twb0oGx+U/afR30Yzdxy+rYve
JaqJ1eBbEu9a1YRqQ38Y/WX0J9DfQDtLuRiBjmvE/2rJuGaIZol2nOKrGrlZ
cg6Vyz74J7V/Uu9i9cQb2NufuLe107XbX9efJ+eaU+11lf13Uc+p99pS97Jm
hmbHVwXr1k6Jif8M+jtIR0PqHa5drj+S/kr6Y+ivoR2lXfU/Uh0RLw==
            "]]}]}, 
        {RGBColor[
         0.36266197428399005`, 0.40566360902918963`, 0.19008357609902563`], 
         EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFVsluHFUUfU4W7qquyF1PDAumBGGTdTx0Q9hg0+0ePbQT2PMBsCGJM7Bl
SILTxCEgxUCEY7FxtmbPGikLlkgQiUEiimVix1gBJeIczmllUXq3br13h/PO
vbcOvf1u9519IYSf8OzH0y2EsIDnGOStgRCm8FQgDx0I4VtsKGFtFUNYhTyX
h3AHhyex53Xs+TEJ4TjW81kIY1jfwDPltVGQ/NdgCO9BHoZch51vYOcK7GxD
fxL6EejPxhAWIZ+J0p2y/p8DiucB1hTPdZwtYg2IoQn9NMSbiGEdz1Ii+RKe
I0HxUTeJ9feouF/MFDv38DvjOuHYqOv57DXEt4d9K7l80FcN6+aA9kwapz3H
8DNsPA39Ych/D0rexXra+SxiHTU2jOcE3l8ixinwi8L/OuQ3o/AkrsTzHmyM
Y50v6J54RxdS+a9G6fiNZ2awzvIujX2TZyC3LVPfKWgfZdqt+q6o69j+RFCu
Vd/d1qBi7UbZ/wr+52yH+6tYa4wD8nZB+5lr3fqusV0y5ncR+9EB4VxzbvRV
T5TvmPH8FXvKtrlTUAxN7NkxJsyp4Vzaxpuxn4q615NYVxP5oJ2eseL7OeRQ
gfwa9nyHPTcScf5PcGQtke/WfvGM98t37qGdRzj30PkumXvMl99piz5vJfre
gv0fLH+cySf58TLeH+bC95UovlB/2Px45Pq6YXtlY0V52ne343wZC2PimYmC
6op8vj+oPayjViL9iO+XWJV9dzzf97m577HfNWMyk0s/nOne1l0jI5n0M67l
e/a7YRx4dt01yf2slw3rybkx57Fk/Cb7uQxI5ln6G3WcrB1y6YF7wiepOEvu
kIdfpuL6HPA8C7kM+WhUvV5yzZ5JhdGr0F9LxdEO5Mu5ePl8SZxifAuugXFj
xpw2fB9PDqmfHMqEE3lTMc9vmuvsl3eMJ2O5b/xrtkf8n8t05x9kuv9dc4O5
jhqjVfudtm7LNdJJZJP7G4m41Md/yn2J99JyXVVd/8yNfGON0d+H8N1ErMvA
oAb5GcgXouy3XW+sTfro86pjPe2yJsfdG3n2iLlJPfN9Ajg/y54f1b+JFevp
jyiMOFtYyy33ipGSau9Kqr7bKzzuEz33urmianO4JN2n1n/t3rQQFVvdMdMW
bfaicGIuxHHPdU6syGXGw/u6GDWnOK9WPAv+Be+W7avpObDpPsa871pmnbPe
bxkjYsj7ZrzE4f+5lUkmNp/nmrsN+LqaCyPOutsFycTqqSHt+SLXzGAv/B52
z0XxJmB9oaQ4eIf0yTsiN5jHlmf6wUz4/xaFQd04MHZygPU2m2vuc/5/ZG6Q
I6wN7qsWxVfy9v2o3swezbO7zpd+z0fhUysqbsbAXMnHpjnJWBgfY7vKOiQH
ioqp7hlIvC/7fo955r0V5Y9+Rz0vfvHM4FxkrV9M9R9R9r8E/y9OFxQbZ/6E
5z5zYC6lVDZoi+/tqPnVjIpn2zOIOXIP67fiOc55zt5V9Vwgvszts1w2bzs2
9gv2BP6PMJaK4yEeLdfLmucR95Mjy+Zbuyge8t9kNqpeVhDzdFE4E++O5yFr
vGb9wZLqhPybL6q3VN3za465a5x79tWwbsr1vug4yQvWCXv0fH/+4/kPfe1A
NQ==
            "]], PolygonBox[CompressedData["
1:eJwlk9tujXEQxacqsff+dmP//wk3TiU0noBWxTGU3c3evq3ce4C6oSd9ANFK
6OnGqeHCe7h2gRcgLiREQ6ohIcpvZV1MMvOt+a+ZWTPf/hs3y/EtETGEbcUi
R/zcFjFYiZitRXSIW/hdoLfViHm+nemJ+MKjHdsj/qWIDfKPknMHrF1EbIJv
Em/w9gE22hvxi28tYeSvk38EfIb8LngH/yr87+A/UDf3C958Ait5swD+EFsm
LvoiVsE+EO+t2+S/xz6C34fzLLW+YTvpb4hv36l3EP5B/MtYs+KZnpC7RLwb
vqBmh1pN4vNgF7BHNc+gWa6Q8rrqHtVrl29jYPeoPxbucYX4YuHaz+GcJ57C
JiqeWbOfBp8mnpJe0iabWzVb+G/gL4lHidvEj2v21bN6H87WehI7Bdc57Cv1
dlFvXwOuwrNI8wHi1Zp7LaUxby9lz6YaqiVNpe2idszbBvmHwzcwC3Yse1e3
sZPgT7Vj9SJNwK5nc0uDa/j91Fzr8Y3MkbvOtx/gw8QnCpv8Jv3dRbtO8q7X
6Hmgbk5x6yae8X6C+FbFO/ybPLNml6bTYK+q3q1qqNZSsvaf4euHbyZba92o
blUzaBZxToIdz7517US7+dPnW9UN/cZvYC97fdO67blsrTXjCPGhuntXTjv5
BnWL0nAP2HJyL7rZleR/SP+SNCzJXUzWQjtcSN6BdqGbHOH9fzvqeJ4=
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0ccuBUAUxvFjqeVegp2a8AxalIVe7nW1vQdgpZelLhGukqjPYi3R3kDw
AGKDKD+x+PI/3zdnzsxkqiemMpM5EbFCDcURX0URMzhLrfkRjbiQF/Etn1PP
U5u8CRflP/KFv5ra5c24JI8/UlK9jKsFEeX0qK7A/MKIPDq0/4Ce5FXyrLrb
nG2+B4/4YypLROyY9W7PB33SqfyE+vXt6s9ar0tGDPG1mMasvETeZfYwf8Bn
8BA3ZQ+5EWPqcRqhS72jeC8fxgt+CM8xg3fyNJ7xg3iKKbyVD+AJ34v91Ec3
8g3nXOMbn3J20t0TlHL3WmuDWIdp7LP+oq+Gf8ZqLPX2bXM7+C2s8rZOfZt8
F25hp75KeQdfgXtm7dOafJ1a5K/6rtwjYca0ur74/89/AUifP/k=
            "]]},
          "0.525`"],
         Annotation[#, 0.525, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0rtOlFEUxfE9MGBwcBxmUCBRExHkIgLea6WytdKWB9BCCi0UbyBKoonG
yGiMiom+hIXGW4yh8wWMMWgsYEDlIqC/E4p/1tlr7W9/+3wzOwfPnDidiYiX
OLcxYmZTRLEQMdoQUSlGXKdD9CzGnOfyES2liPN6v+j9pV7kz9PXdRG/6R98
lS3SJdkCfSNbosv4JltJZ9lf+la2StcwLYvNfNk/9TtZRl2FH7IsXZFV0/ey
GlqLn7ILdtrgPC6/aN9h3Ey70RvJk8/qK7lfI7ZiC+p4l/VcwSVcw1WM6q/I
5jCPshkfvLPJO5rTHrzV9L30feQ/ku/g31NX2z2LB+Y8xH2UMYHx+ojP+l/o
79c/qb+PPqWH7XMEz/RN4lTOrr73IV6JHqTN5vbq34sD6hbP1ejdn+4k6+Hv
wb7UK8vK+tOdZd38LvSpm9Kesl7noqyT35HmpjmyKlmPc0G2m9+e5qZvJsvI
up3z6Y7qNtlJu3bwutCJMr+VP0F30efuO+Xe9b7ZJ/pE/RjfzZrGXX3H6R2a
c9c2M26rb6Hk+UYUsZ2/DWPpd0WON+KZgfTb0aP0WDqbPYJX3pXnFzzTgEp+
/b/+HyzrX2M=
            "]]},
          "0.49000000000000005`"],
         Annotation[#, 0.49000000000000005`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl099PzXEcx/FPqPOjzjmdzkgHC/kD/OgHhaxGTWRLZcOVe0X3Ljism0Ku
beTX/EiSG1dc2YzNZvPjyvzIrMyl1ojy+M7Fc6/P+/n5fN6fz+dbZ92x/q6+
ohDCGzxNh/AxFcLvTAhz2RDKkiHMG28qDeGZuePqT+b/cH+xmX/J9/Ff+AVu
EVv413w//5UP5SEUoZZ/z5/gv/FLuKWo4z/wJ/lpfhlXjHp+ih/gv/MlXAwN
fFzOmFuRMyd/mE9w8xUhpKxPGhfK3Ff9GR3es1odty6G8+phDKGan7KmRd+V
9rXKSnkh+gbeM6jfT3tmkTV+ngihis9jgVtEjn/BV3NrUexOJYjhmj6X9e/W
t8J9R9XXrb/FHeFuyMPypszz7e5zVL3VHRqxDcPcO/179O5FF7pxEI/0m8SB
aGx/lTMnZaf6Id8RpbqSn5B71RN8m3ygXs6Pyz1RzbfK++ocPyZb1ON8s7yn
zvJ35c5oHd8k76gz/G3ZGK3jx1Bv3BD9T6AOtXjrHUPe80pe8u1GcMh70zKF
q75Dj/qK7JWjslPu12+DfftkjVyj14jz2sy3o8Z3Wh99K+Nyc1lksIrLY5BP
qJPYZdyMgv1xf5O0+e3OSMkdMiN3O2PAmib1aWeeQQFn+XPYyF9031PcY28p
1euX3k/S/39L/wB6ZGef
            "]]},
          "0.45500000000000007`"],
         Annotation[#, 0.45500000000000007`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl00lsTWEYxvGvFnTWsqKqLhEREWFVtNXS0pbS1kJJjBu01RLzEC0JwYKW
hETCRqtq3dZUs5hiiimmmGJKaFlh6XfiJv/7vO/zvOc75zvfvbFl9ZV1ccHH
15oBIdRjUlIIyWkh9BsYwo7EEPJ4O2l8/xAKZYNkCbK9vELZPpoqK5XFZImy
A7zpsiY6RFYma9YfwkEc4Selug9S0JIeQivSU0I4TdtxKsJsG06aH2wux/q5
WGS9CdZt42fw83hTsJifT7NlE5EpK9D3tUaG2anqHH4usmTTon3KhkR7Uefz
CxCTFenjZZnRXtSF/CKMkM2I9ikbKitWF/NLMFJWok+WZclK1bOi/WOUbKY+
VTZMNktdzq/AaFmZPk0Wk81Wz+NXYYxsjj5dNlxWrl5in/NlHfqx8gpeJZby
F/A7+eP4c3ntrjuNDu+zE13YnxzCZNlC8+PNt5pfYKaFVtH5OI5jOGE+0VoJ
iMdhMzHXHOf30cchYH90Fvyj/L/O8Q9+Yw8/hd/Mb8Jua+5CIz+XNtDgN5Pk
eeLoRM+UTuPM9qhrzWTTGlqHVdjgml73XE9/0sZolq7Tf6dr6Q+6nd+Ar+pv
+IQv+IzLCSF8oB/xFu/xDpf4r+kbvMArvMRF/jP6HI/xFE/QzX9IH+EeHuA+
LvDv0Lu4idu4hfP86/QGruAaruIcvzu6T1RH10ez2Ob5t+Ksuta+umgNPUO3
RGdKq/UddCVd6f1UYznGeW8raCJ/s9lN+GVuo77H2fRi9YD///1/URaCAg==

            "]]},
          "0.42000000000000004`"],
         Annotation[#, 0.42000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl07dPllEcxfGrcUEEFEw0hhhFWog6mPgPiGB0k+giRQSsA2gMVTCWP8Bo
wuToKIuDhaogzcm2gCAWkEi1UK34eeLwzbnnnPfe35P7PO/2koq88lUhhHms
TgrhZGwIB9eFcAgl1kfWh1BKj9IHa0NIjg/hIc1PoBtCKKCP+K3yZlrIN8uL
aQu/Td5KT0RePhDjPOsypOhO0ZhEc+mg7jQ9g1TdORqrO0vf6MppBdJ1F2ic
7jwd0lXSKmTqamiCrpoO61rNrbXu9BxZ+i5ax7fJ62k3v1PeQxv4dvkV2svv
lvfRPFmmOzlMM+jmOLPdS5b1glkj5iTLxukyv0t+Q79HdpNecX/XcBWfnZfj
3FwcwGtn3jNvXn6Mz0cBhuX35SvyUr4sehb7+9GL584dNyeRdpn5FJ14x++z
Zw2mnTGFHnk30nRbvOc5+0Y821t8kvXqVpx52YxUfszcMfpX9gcN8h38qHyU
/pb9Qr08hR+R/+R/INfcTOctW1/SD0XvD0t8ji5Dt2hdpxuUD2CB369L181b
1+peyl9gjs/Wpem+W9fonsn78ZX/hi+YRbVuk+fp032kM7JpVMk38t3yD3RK
NolKeRI/Yf2eDruPGfdVSF9F+82cxTT2urNseat1G1rQgXY0R3ce3ae9RdH3
j+NY9NzF+gUa797vmNPkt7c9x6SsSDdB43TXdbd0jdF9Rf8x3SDtcM6S9WPa
RO/iiXVe9D3ioj2L0Xv37TXyZbH//8v/AMK0nRY=
            "]]},
          "0.385`"],
         Annotation[#, 0.385, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl011MjnEYBvDbgYOIFKJ8Nh1wpjY2s9mMccDYtBEret/oQ9GWOGmrI86M
+ajNbNh0qAM5sPmKxpYsbOFA+RoqNiXhwAG/Zw6uXfd13fd9Pf//87xvQbph
x+EpEfEC9mVFrJwZsWtWRE5OROG0iFJ19fSItN5tulh/N28P1PBPZUbc4c+Z
EbFFvRVq+fXm7/JXmy8zWw51/CP8e/w1/ApeCur5Z+x183PlbFNvh0P8ZvM9
/LXm95s9AA38Ktyi1wrr9KrpPGdebrZGfc7+KP0FSrIjVtD5svPgMd0LV9Qn
ZbWYb8St+DTu4PfpX5A9LG+D/I1QpJ7MiLjG74TS5F3AKv4ffhfvBlTwUpCG
ETl98vrlPpSfjT/hIfwRD+JuZ1wvo9kZ39Cf+SMwDBO8DL33cgvNfcBNct/h
t/BL/k8YUhfYbdRbigfpSf64/SV0pTMsxmP0D/5L/UV0g/mFeICe4PfjBcn3
4+fjJ/R3/ld7eXRKznw8So/zH+nn0rXm5yZ3pL/xx+BB8gxn7sFV+vdxN0x1
n2H7f72zp8m7gQG7m/Gm5Pu49zO6Fz/HffhW8huUWWwvhYvwdVm/ZaU8Iw0d
5q5Cl/qS3mW4CCd4x6GT30bPmx3RjsvpMngtI5NXZ+ao5xzEx5J3gEuS3zNu
os87Wxu0J8xvhyr+WfqmM71yn2Wydprfm/X///QPuOR+kg==
            "]]},
          "0.35000000000000003`"],
         Annotation[#, 0.35000000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl019ozXEYx/FnKX/HZiSl5E+4If+m1CZulJSSzI3aaijRzpyRf+UCS3Fj
nHPhZlOzC7JFKcSQspzNjmFtJ8Y2DfO/XLj3+uXi0/t5ns/3+Xx/v/PrLKyt
35EqioguOjAtoqk4Ytb0iDK6ov44JaKxxKws4hyWz4g4i2dolPd0ZsRpdffU
iNW8HNaXRhyXVYfHsErOTmrQn9QfwhOYxnbzDsrqG/UZ7HDXCjnj8ptlt9AW
2Vtpjflf8047I+4epvue9YG9SqygH/bX8vfwynEvPuJv5n1T57Ff3+u+Itwn
N69+Sa+oj+668x7t5w3o58usdPeg+rXMahk19FVdkPETv9NEZ3rsvaCDdvtw
gd08TuK9wX5K8Qq4iDeAk3m/7P+md/L+4Fv5E8w30nv3djr3mNJ2h/WL7W7i
jahH6QmvxO5h/ljS84f0XXKG6LPMUv0zXh57zL74PcapQs5Rfq/5c/McdSc0
u+P8Ldm3aZfsdrxJreYP+Vfxur0WvIGr7K2kNrpGrbTcuSr3pPnz9OexGS/g
KXuF5D1lD2JWds7ZT77zZfVc75HBDfwmvEhjvDaZHzArZ7s6JSuDl5JvL3OZ
rDl2a9Xr7R6x10A1+qW82bxq9TpeXfK9aLd+CW9b8f//wz8sRnkS
            "]]},
          "0.31500000000000006`"],
         Annotation[#, 0.31500000000000006`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0k1IlGEUBeBb0KJSs2JwGa4lIVoIYrVuG5m1C8MCIQskzbJlTFoJLQoy
KCNUSLQSy58SzSklnRYz+TMaLpSCqFa1j54PF4dzz7n3nvf9fsrrL51o2hYR
L+DG7oim0oh23IqHiiJ+7IzoL47og/v8NL+Bfx4+77W3L+IBP7U/Ikv/2hVx
vCTiNz5DV5o7jZegWsag2VEZ7/AIfgOv4ZjeOJ7iZ9XTeIIO/EnGT/s5fp6X
g+38C875ol6EJTpvbgc+a65VfRWW6RX9sT3yodFOgT7g3kfccVU9wX8LF/XW
6HK9o3pf1efUBRkbsopwvew29TVYpSftFePLdtfNb8AmZMytwTdzJfoZ3gKe
TTzP8j15H84Ykz8O7/Xn9WfwP/6cvVH6VXJ3PIzrnFELf/Wf0gP8HvwcH5Lb
hR/R/fglnXPGH9/voLoHnsBjqJB9Uq8gZ0CdNt/Nb7d7PXmX/BrnLOJ7nm/O
bK+5PF2W5OJn9Ef+LNw1U+YZunC1vTv4Nmw6uwOn9Dpxld4tnIYP9jLQnfxH
8lJys/ghPcO/aWaBPmxnHl9xrxZoTu7ovnXmTiXfuHTrv/0P0pZzJA==
            "]]},
          "0.28`"],
         Annotation[#, 0.28, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0jtI1lEYx/FHvJSXLHNpMZAGC9xscWhzUMcS76KoU14avEANJakQ6OBu
CNKQBqW1BeogKph4wTt4CRQHR3ELDT8vDl9+l/Occ/7v4c1vfvOyMykiRvAh
M6L7QcQ7vMXPrIjz9IiJexFT/FFGRB5/SIvoMZ3W/3poFkP2DGP8fsQXbOdE
pOVGPEIqauU6vLD3h7tKEufSctrhnE6U8aWY42ecNYsNed7ciu4PtuRNrPLJ
+ld8Cl2Xt/kdmia/5u/QPXmHP6B35XY+nbb65i7f04P/fDfdTfwucxnWK/lM
+lfe4/dxwp9iWb8gnyb2eqNib1ElV2PJ+rVcz/fwdfRKXuQPzP8z/1yuyPbt
mPRWE7jUb1pvN9eGYvuG3fORDtFC+h0X5n5bP6Of5VF8sv5NN4kCeVBu4Zvx
VN5y31d+QN9EGxPvrd/Qj/P9+gZaj179un6M79PX0ho80a/pR/n3+sfyM7k6
6/a/cwOaJ1fG
            "]]},
          "0.24500000000000002`"],
         Annotation[#, 0.24500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j9I1HEYBvD3brNMu1YHM0ziEsdwUvcySlwq8CiaO5TIuQYRwVkPPIqj
fzSUqJg01GmJDXEESpxiZEODRUoNQYv4+eLw8Dzv8z7v+/1+f/zabhUH7mQi
YhweHI+YaYy4j8+ciFigfzVEzOF5OM1rhW/HIiZORkzLjeMpPHsqoov/U76W
i6g0RxR4v3kXmyL64TJ80fsn02PPd3oH3tBv7Viy67/8JXU/FJ15Ic3Ty/RV
/EHuE72KP+MahMw6ztm1gXf16ngonYcz+pu4RX8rvUl/0q4e+h5vFEZgGLKy
2/y6u3/Fa7I7+J18FQp2dssM0iv893CdvgZ36ao3fDSzmO6cMunO/Ff8WXjh
u/w1f8WeP/iZusyfgS7ZafzY/Ev6CS6pf8jl1edhya7XsO8b9rpvH5TSHNzm
j5l5jp9CB6/TbIPMTfWeXgVn1Y/w2bRT/5x6SH2g/xC3q8u4TT+vf6Px6N84
BCSuVD4=
            "]]},
          "0.21000000000000002`"],
         Annotation[#, 0.21000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0rtP02EUh/FTURMKaGmdRGpMvKSJCTC1K5MLsaGJGy4u4qBc/AuYjIOB
1UIAjRZdQAclXKxhMS7G6gYu6mAIqW11kaSDfhKHJ897zvm+l/zyO3djonQn
ERH3sNAVcT8VMc9PTkY0khEjJyKa/FT9Qn+jJ+IlV+QO9d90R3zvjdjW39Hf
0m/rl9STZlMoWl/Fh3TEH5mU/CGneZ9vcUHuurvOyOTtn1F/tK7htHlbLssH
POOsjPksT/NdnMKu7BfsIa2+Ir/izGe4JnsbdfvH9AfM33rruuw7vap11bwv
4w04iyz6sWr2WmbdfM/ekvNGUUTLWyu+TU1/zbwiV5b/ob/pjkfqgv5jzvOS
PcvIWQ+5exCL6h7ZYTQ6I97r/ZJPOvM3d3GTj3OLO/gYjuKn/Cf5z8ipjzjj
Mv+Vu8QJ9QUOvsh1+efufqX+5o3nrb/yrDeX7XnAD3nc/CbmUv//i39ffU/0

            "]]},
          "0.17500000000000002`"],
         Annotation[#, 0.17500000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0j9I1GEcx/GvEP3R8i5D8EoHR3M5E6cKLQczGkQiURAiOrszuhujqfNS
OCtOTqVNoZpKHRJqiSBwcHTVxcbGbvPuIOgFDW8+3+fz+TzPw/Pj1/uoMJlv
iYgS1pMRFayiimcXI07ORexeiPiC0+cj0rxrGMAgPutt4bt8h26j2RrxU/cH
L6Gz1xYxYS63R9yT5cwZ/hyWeFn6BFlZN+3BCr+K/o6I+/yn9rxEEZ3O/iQb
1/srfyi/ay7xy/JlDJsr9Dp9TX/pHaOGP7jBz9tzkxZomr7Re4tFvEKKdyhr
6h/RWZy6FNHwTQbdeZl/BcHfp7+986t9XdYN67peylyjB3RbNkUf4KPubTqK
W2h31wdveo8N1BO+PR6755ssQ4t0QXbHXHDWGO1zT5F31hlnMKJzlfZjnf8O
M3rP9afpmvWQedP9L+gGnbcnh7Xk/3/gH9doR2Q=
            "]]},
          "0.14`"],
         Annotation[#, 0.14, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0csr5XEcxvGPDGVwzsG4xEI2JDk2mmwdR1mzZYFcVlhYSEohdrLRjJWF
QRm3Yu8fYeNu6VpK8TpZvHu+z/O5fL/9fg1Dk70TeRExhc7SiNPiiPayiJPc
GWclER9FEQnZq1oHfaO/aCUq8M6vJCKWsYQm/jYZkTH7SFv4NfmT82d5RKoi
IolW+Qg/ihe1Zwz9lLl3kP43s4cqe3rc00WzqMW5mTp6QavplPq+3gNMmz+m
RzhEjfq4bAyj6LN7VZ6U79Cs2W6k+G3+H7aQ9r5C/QWYV8vIOlGv99qOe+99
wB2a9S6qLWAejfyNfFjfBr2i6/JL+pcvsK/Vnjak8YOfc08+naHtaMt9A7qH
3VTEpp2/nf/Y06826zyQ25f4/ndfG0Y7XQ==
            "]]},
          "0.10500000000000001`"],
         Annotation[#, 0.10500000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[CompressedData["
1:eJwl0Tsvw2EUx/EjBnpRSsLqshjqsqioSzrZkEgwSAyNsDGZaDeEUYKBwcio
VS/D4vYOzAaXpU18EsM33+ec53eek3/+A6Xd5Z2WiChhOxlxn4nY4ipn0xHz
2YgV9XFHREFdxgGO1Hk+5Ene5I9UxJx8Wj3L790Rb1gz/9MZscoN9bfzmfdz
8k3ZBpoJGf5FXb8u94g+7/TiyXnJfMF5GlNIyc5wkiv2X3vzCq09EW16z2ZG
MIp99xvmi/ygrtpx2xVR4zse0yu7azeX92aCJ/hV/wXrZifVF7KXOMeN2aJ9
4+4q8l/4xrD+if4pFtx9+t5FHjA/iH40ZYa4wXv25uyoZf7/wR+fMzWj
            "]]},
          "0.07`"],
         Annotation[#, 0.07, "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
           LineBox[{4077, 4074, 2858, 4075, 4079, 4078, 2648, 3440, 4809, 
            4810, 4364, 3059, 3328, 3327, 3332, 3326, 2633, 3320, 3321, 3129, 
            4458, 4460, 4459, 3441, 2642, 3724, 3725, 4662, 4663, 4661, 4567, 
            4658, 4660, 4659, 3738, 3737, 2655, 3442, 4811, 4812, 4365, 3060, 
            3330, 3329, 2634, 3331, 2635, 3322, 3323, 3066, 3723, 4650, 2640, 
            3443, 2641, 4076, 4077}]},
          "0.035`"],
         Annotation[#, 0.035, "Tooltip"]& ], {}, {}}}], {}},
    AspectRatio->1,
    AxesLabel->{None, None},
    AxesOrigin->{0., 0.},
    DisplayFunction->Identity,
    Frame->True,
    FrameLabel->{{
       FormBox[
        StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}, {
       FormBox[
        StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
        TraditionalForm], None}},
    FrameStyle->Directive[FontSize -> 15],
    FrameTicks->{{{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}, {
         NCache[Rational[3, 2] Pi, 4.71238898038469], 
         FormBox[
          FractionBox[
           RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
         NCache[2 Pi, 6.283185307179586], 
         FormBox[
          RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
         FormBox["0", TraditionalForm]}, {
         NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
         FormBox[
          FractionBox["\[Pi]", "2"], TraditionalForm]}, {
         NCache[Pi, 3.141592653589793], 
         FormBox["\[Pi]", TraditionalForm]}}, None}},
    GridLines->
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
        Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi, 
        Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793}, {
       0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
        3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
        5.497787143782138, 6.283185307179586}}],
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "DefaultBoundaryStyle" -> Automatic, 
      "DefaultGraphicsInteraction" -> {
       "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
        "Effects" -> {
         "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
          "Droplines" -> {
           "freeformCursorMode" -> True, 
            "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
      "GridLinesInFront" -> True},
    PlotRange->
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
       0, 6.283185307179586}}],
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.02]}},
    RotateLabel->False,
    Ticks->{Automatic, Automatic}]}], "}"}]], "Output",
 CellChangeTimes->{{3.861705555104121*^9, 3.8617055665824437`*^9}, 
   3.8617059847050514`*^9, 3.8853719983888016`*^9, 3.88537269881077*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"f7e231f0-52a5-487f-9d3a-b0f0a4a4a8de"]
}, Open  ]],

Cell["Export pictures", "Text",
 CellChangeTimes->{{3.885370652509759*^9, 
  3.8853706730101085`*^9}},ExpressionUUID->"da65dd98-923c-495d-96d6-\
e6c689bcd886"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}]], "Input",
 CellLabel->"In[20]:=",ExpressionUUID->"04d11ffb-e181-424b-849e-f47779610bbc"],

Cell[BoxData["\<\"C:\\\\Users\\\\hzc88\\\\Desktop\\\\DataAnalysis\"\>"], \
"Output",
 CellChangeTimes->{3.8853726990351543`*^9},
 CellLabel->"Out[20]=",ExpressionUUID->"6b4819ea-79fa-4263-a72b-eb31d5c09907"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Legend.png\>\"", ",", 
   RowBox[{"Magnify", "[", 
    RowBox[{
     RowBox[{"exp", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1", ",", "2", ",", "1"}], "]"}], "]"}], ",", "2"}], 
    "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8586731714570894`*^9, 3.8586731779106216`*^9}, {
  3.8586732530396185`*^9, 3.858673253459316*^9}, {3.858674384482696*^9, 
  3.858674395568415*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"c5e08390-72d8-4936-8900-aff6d62a80fe"],

Cell[BoxData["\<\"Legend.png\"\>"], "Output",
 CellChangeTimes->{3.85867317911703*^9, 3.8586732542531905`*^9, 
  3.8586743967706237`*^9, 3.885372699780342*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"e7ea18ff-c200-4f51-8091-5dbcbf437032"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Contourexp1.png\>\"", ",", 
   RowBox[{"exp", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Contourexp2.png\>\"", ",", 
   RowBox[{"exp", "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Contourexp3.png\>\"", ",", 
   RowBox[{"exp", "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Contourexp4.png\>\"", ",", 
   RowBox[{"exp", "[", 
    RowBox[{"[", 
     RowBox[{"4", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<Contourexp5.png\>\"", ",", 
   RowBox[{"exp", "[", 
    RowBox[{"[", 
     RowBox[{"5", ",", "1", ",", "1"}], "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.857539460044425*^9, 3.8575394831549854`*^9}, {
  3.857539532508398*^9, 3.857539582016589*^9}, {3.858672770976537*^9, 
  3.8586727947948217`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"99fbf1dc-18c0-4731-b825-52231809247a"],

Cell[BoxData["\<\"Contourexp1.png\"\>"], "Output",
 CellChangeTimes->{3.857539486947133*^9, 3.8575395838484364`*^9, 
  3.857548540786701*^9, 3.857549287854931*^9, 3.858672796374365*^9, 
  3.885372700272107*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"c1632a5b-1e58-46f6-9bae-7b6f8f57defa"],

Cell[BoxData["\<\"Contourexp2.png\"\>"], "Output",
 CellChangeTimes->{3.857539486947133*^9, 3.8575395838484364`*^9, 
  3.857548540786701*^9, 3.857549287854931*^9, 3.858672796374365*^9, 
  3.885372700467389*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"98d25096-a0e6-44b4-877c-457b27b6d0af"],

Cell[BoxData["\<\"Contourexp3.png\"\>"], "Output",
 CellChangeTimes->{3.857539486947133*^9, 3.8575395838484364`*^9, 
  3.857548540786701*^9, 3.857549287854931*^9, 3.858672796374365*^9, 
  3.8853727008605995`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"7438a8b6-8bf4-4eb7-844d-619b9fedb70a"],

Cell[BoxData["\<\"Contourexp4.png\"\>"], "Output",
 CellChangeTimes->{3.857539486947133*^9, 3.8575395838484364`*^9, 
  3.857548540786701*^9, 3.857549287854931*^9, 3.858672796374365*^9, 
  3.885372701199706*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"02d0bdd0-305d-4da9-be57-0f006a835439"],

Cell[BoxData["\<\"Contourexp5.png\"\>"], "Output",
 CellChangeTimes->{3.857539486947133*^9, 3.8575395838484364`*^9, 
  3.857548540786701*^9, 3.857549287854931*^9, 3.858672796374365*^9, 
  3.885372701498828*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"21ce9f8e-cbf7-443e-a0b4-b4691f83eb5b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ContourSTD1.png\>\"", ",", 
   RowBox[{"std", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ContourSTD2.png\>\"", ",", 
   RowBox[{"std", "[", 
    RowBox[{"[", 
     RowBox[{"2", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ContourSTD3.png\>\"", ",", 
   RowBox[{"std", "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ContourSTD4.png\>\"", ",", 
   RowBox[{"std", "[", 
    RowBox[{"[", 
     RowBox[{"4", ",", "1", ",", "1"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ContourSTD5.png\>\"", ",", 
   RowBox[{"std", "[", 
    RowBox[{"[", 
     RowBox[{"5", ",", "1", ",", "1"}], "]"}], "]"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8575394935517387`*^9, 3.8575395264506817`*^9}, {
  3.858672802056449*^9, 3.858672815098544*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"b5af1eb5-f6af-4c0e-88a8-a8a4847b630c"],

Cell[BoxData["\<\"ContourSTD1.png\"\>"], "Output",
 CellChangeTimes->{3.857539517169455*^9, 3.8575485454997225`*^9, 
  3.8575486511962376`*^9, 3.857549292398699*^9, 3.8586728163422637`*^9, 
  3.885372701852791*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"c8480ead-65c7-4130-81ff-57cdcc34b177"],

Cell[BoxData["\<\"ContourSTD2.png\"\>"], "Output",
 CellChangeTimes->{3.857539517169455*^9, 3.8575485454997225`*^9, 
  3.8575486511962376`*^9, 3.857549292398699*^9, 3.8586728163422637`*^9, 
  3.885372702023077*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"640b11fe-c793-423a-b2ac-c9d8f7c936f7"],

Cell[BoxData["\<\"ContourSTD3.png\"\>"], "Output",
 CellChangeTimes->{3.857539517169455*^9, 3.8575485454997225`*^9, 
  3.8575486511962376`*^9, 3.857549292398699*^9, 3.8586728163422637`*^9, 
  3.8853727023396535`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"a9929e50-1e39-4d3c-aa10-999c841d4efd"],

Cell[BoxData["\<\"ContourSTD4.png\"\>"], "Output",
 CellChangeTimes->{3.857539517169455*^9, 3.8575485454997225`*^9, 
  3.8575486511962376`*^9, 3.857549292398699*^9, 3.8586728163422637`*^9, 
  3.8853727026435833`*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"8f6fd515-c421-4755-a984-8a658e3d1f8a"],

Cell[BoxData["\<\"ContourSTD5.png\"\>"], "Output",
 CellChangeTimes->{3.857539517169455*^9, 3.8575485454997225`*^9, 
  3.8575486511962376`*^9, 3.857549292398699*^9, 3.8586728163422637`*^9, 
  3.885372703117245*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"7e391f13-fe04-4e90-bb84-652838ec206a"]
}, Open  ]],

Cell["Generating Y-shape picture", "Text",
 CellChangeTimes->{{3.8853726305882196`*^9, 
  3.8853726374937963`*^9}},ExpressionUUID->"50ef1062-a205-49ef-b643-\
6ce531162604"],

Cell[BoxData[
 RowBox[{
  RowBox[{"BS", "[", 
   RowBox[{"st1_", ",", "st2_"}], "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Instat3", ",", "Instat2"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Instat2", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"F1", "[", 
            RowBox[{"st1", ",", "st2"}], "]"}], "[", 
           RowBox[{"[", "x", "]"}], "]"}], "*", 
          RowBox[{"F1", "[", 
           RowBox[{"st1", ",", "st2"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Instat3", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"F1", "[", 
            RowBox[{"st1", ",", "st2"}], "]"}], "[", 
           RowBox[{"[", "x", "]"}], "]"}], "*", "Instat2"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"c2", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"Conjugate", "[", 
         RowBox[{"P2", "[", 
          RowBox[{"st1", ",", 
           RowBox[{"st2", "+", "Pi"}]}], "]"}], "]"}], ".", 
        RowBox[{"(", "loopk", ")"}], ".", "Instat3"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "c2"}]}], "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.8551417696517363`*^9, 3.8551419266219244`*^9}, {
  3.8557193765529766`*^9, 3.855719377459179*^9}, {3.8619625747384214`*^9, 
  3.8619625938131127`*^9}, {3.861962644250333*^9, 3.861962659227929*^9}, {
  3.8619626954694*^9, 3.861962705718929*^9}, {3.8619685963829947`*^9, 
  3.8619685983383083`*^9}, {3.8853710160333357`*^9, 3.885371037287861*^9}, {
  3.8853710925144033`*^9, 3.885371095402836*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"073cd551-3ef8-4ea2-a25f-40bf1948e6b7"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.861962970100462*^9, 3.8619629989101696`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"cb759437-5183-403c-a6d8-8cdf47152cb2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"BS1", "[", 
   RowBox[{"st1_", ",", "st2_"}], "]"}], ":=", 
  RowBox[{"Block", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"Instat3", ",", "Instat2", ",", "c2"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Instat2", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"F1", "[", 
            RowBox[{"st1", ",", "st2"}], "]"}], "[", 
           RowBox[{"[", "x", "]"}], "]"}], "*", 
          RowBox[{"F1", "[", 
           RowBox[{"st1", ",", "st2"}], "]"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Instat3", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"F1", "[", 
            RowBox[{"st1", ",", "st2"}], "]"}], "[", 
           RowBox[{"[", "x", "]"}], "]"}], "*", "Instat2"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "1", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"c2", "=", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"Conjugate", "[", 
         RowBox[{"P2", "[", 
          RowBox[{"st1", ",", 
           RowBox[{"st2", "+", "Pi"}]}], "]"}], "]"}], ".", 
        RowBox[{"(", 
         RowBox[{"standard", "[", 
          RowBox[{"[", 
           RowBox[{
            RowBox[{"1", ";;", "a1"}], ",", 
            RowBox[{"1", ";;", "a2"}]}], "]"}], "]"}], ")"}], ".", 
        "Instat3"}], "]"}]}], ";", "\[IndentingNewLine]", "c2"}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.85514268055519*^9, 3.8551426887420177`*^9}, {
  3.8551434197300024`*^9, 3.8551434203449974`*^9}, {3.855719370154071*^9, 
  3.855719371225072*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"04939b76-9464-4ebc-b064-83673d207cce"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8574489673162727`*^9, 3.857448969001273*^9}, {
   3.8574492644941654`*^9, 3.857449265446164*^9}, {3.8575136011411543`*^9, 
   3.8575136055425415`*^9}, {3.857513642474797*^9, 3.8575136433217316`*^9}, {
   3.857515702546051*^9, 3.85751572420304*^9}, {3.857518102099807*^9, 
   3.857518120635172*^9}, 3.8853709682173195`*^9},
 CellLabel->"In[35]:=",ExpressionUUID->"6b52f231-38ea-437c-b860-cd6868331e4c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ContourPlot", "[", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{
     RowBox[{"BS", "[", 
      RowBox[{"aa1", ",", "aa2"}], "]"}], "-", 
     RowBox[{"BS1", "[", 
      RowBox[{"aa1", ",", "aa2"}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"aa1", ",", "0", ",", "Pi"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"aa2", ",", "0", ",", 
     RowBox[{"2", "Pi"}]}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"Contours", "\[Rule]", "100"}], ",", 
   RowBox[{"GridLines", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", "Pi", ",", 
        RowBox[{"Pi", "/", "4"}]}], "]"}], ",", " ", 
      RowBox[{"Range", "[", 
       RowBox[{"0", ",", 
        RowBox[{"2", "Pi"}], ",", 
        RowBox[{"Pi", "/", "4"}]}], "]"}]}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.855144625449025*^9, 3.855144643697734*^9}, {
  3.8559554584936295`*^9, 3.8559554619241943`*^9}, {3.855955494200617*^9, 
  3.8559554966076164`*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"b9e1efd7-087e-4290-b201-7d464243e487"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{
     GraphicsComplexBox[CompressedData["
1:eJx03Xmc31V1B/xkJpMEiEAISYhrxQ3RYl1qq1S/P1rq0lKsVVxQ6lpcaxW1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      "], {{{
         EdgeForm[], 
         RGBColor[0.148, 0.33, 0.54], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1WXt8z+Ue/7hfVukgYxtyGZOXS3MPWy5DpguNVQhbcy3jhCULkerFoYlF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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tQ1mUWx48opdGOruYLvKAsaqnjeElFXBNHUwSXzHQ127Dykhd0vU1e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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.16623026527893464`, 0.3401279251549637, 0.5570727881183674], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHmcz9Uax58s0eWGCJVsV3bJMkuWkrhkKFkupe513WiiDKpRIVvcVwoZ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            "]], 
           PolygonBox[CompressedData["
1:eJwtmmdgVdXShocW6hULCALSJFSpSUgAIfQieOmgAtJ7CSBdevvuVQnSe+eC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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tcz2kWx4+KYmcYl50YZqjRdYYudNmNilDGLSzNvoxlozKMKXaVEmJe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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.1784516932218156, 0.3469176073454531, 0.5685182523823353], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmXtgz1Ufxz9My5R6QjE8uW2EYabZ3C9zG+qx1dDzpItsaGOoMWzuiodE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            "]], 
           PolygonBox[CompressedData["
1:eJwtmntgT/X/x99uQ7mkUMx1mFvM3WayW0i+lVuUVOaSFbPNPYkZ0YUNy/1W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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tcz+cewD8VkTGjlPttVCq6MKVEukxxOMNy23GX5RRhutBFczkbUlSU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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.19067312116469656`, 0.35370728953594255`, 0.5799637166463032], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1mX18yPXax695SLpz0pIpStjm2TQJTdgQclIiTqW6I0wU5mFknnV0XiWW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            "]], 
           PolygonBox[CompressedData["
1:eJwtmndgTucex5/Y0VKlqF1qJyQSZFBEEtu9TShujRJi1IhQszGqNXprb0W5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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3dYVlcShwcLCAYwWDEECwKiYAFRPkD0oyiWda1xLeiqMYm9ZAELBuzZ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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.20289454910757754`, 0.36049697172643197`, 0.5914091809102711], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmXmcz1UXx08qZUmEIomyzBAzlmGYiczYRsjTKEtPebIUJWZMIWUIKVqI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            "]], 
           PolygonBox[CompressedData["
1:eJwtmndgjucaxh+JUe1p7VEzCFVZhBixSexRMXOsHkGjZoKkNGrU6KAVgohV
5URbbSNIKLXFjLaEhKRmjK5TVVrU6Pldvb8/fu0r3/e97zPucd3389YaMTFi
gpdz7h3+U5T/T0h37tuSzh3jOsHHuawg5w5DWrJzWyC/tnMX4CHXf8EPfHYL
nlvp3L/gdr5zLao6N7WSc7n+zlXt6VwVKL/JuQqwZblzpz33T+M6NMe5V150
rrCEc8V97R66V6kxzpWGuOnOnXjOuT7ezhXp79zS7s61LevcpDLONd7gXJux
zrWGlk2dawXjWzk3Dt494Nx7MJrPRsH5Lxg3tDnE96EKY64KT5s79wS8GJA3
tG7CfaAx42oChy8616Wac/9hjCXymFuac82hTIRzZeFAAWPxzPfycedqxzlX
C3p/xbzA72vnGkBWPeeOwDuv2dy9ijFGrncxnwHMJxISWJ+lre1+3So6d4/x
7+/E74rZd+L4vFVf5go+HXkONOe6GdRhzXyhwy7n2kPxAYwX/Pnsbfb2SCn+
zeeLWeMPIU9rAn1ZiwgoaO/c93CWvc2BS+ztZXiJ39fra3/TZ0W5t/cuW3Ot
fegm248J7EexrowphbFBF77TFZqsYC3hZfayAeSfYR+geDjjCTcb03rIJiZi
e7kznDsHjfY4FwwZLzu3HRasZ+3gfC5jhxovOVcTuu3gOTCdsbwJGVxvBz/2
zh/urHbuN3gmwbmSCTYmje0V6AMvM9b6cI11LoSB2O8AqMq9q0F11rgaNGIN
gmH5t84tg4WwCH7dwjPLOZcJt7nuyly7wPQOjAcOBtnc3mL907H3/452biPc
Xsq4YE9323vt72TWcjB7M6U8dlDaubFrbY+0V+/x9/eh4sf4EfxS37n/QYfT
7Dd0hDD4oQv+CFeY61U4z3fzYBbPmQ0pIc6thCFvODcUeixzrjsMx5ZfhdY7
sTFoAaFwAhs4DlWYe1Xo1w+bgbXTnFsH9/jNXZjJd2bBjnGsBWzm2Z9DU/Yg
JMf2RHszlWdOgU8Zw2cwEp+Jgmv4bCEMYE/677I9+WdvuMdL0CsQn4IJ+Mx4
iGbMY+BxG+cegRc25Q09WO/uMIu1ng29GGtPCJjkXCA0xQdCwAdbrAWl8N8X
4C73vgfj8d1x8JS1/RsK1mGzMHEVfgmN+G1DuMMzfocsfhuDv76F/7c/wXza
MR9owF74wYI29nkf/Dn8IHvHvcvH2Rprrf+OBfwzqAjz4HocazgW9nLvfTC7
GXOBIcxhKLR+nd9CFGs0ErZig+lQkbWqBOWx1XIdzWflu60OWjzW88O4/p17
34EL0cwLyjCW0nG2RlqrafjYG7C0oXNJDS3GK9ZXZa2qQSLxeDEM5NmDIIg9
DIQX1rCWsJB7vg/j+c0EuJfK2sJHW51bDwPC2F8IOsU6Qjn2tixUgsqw6Cj3
gCd12QMYSWxKYOwZrJHXdudWTGQNyQUH8JFBrF/pUTwXGpJjGsEtYu5NqIQP
VobR+FQffKsGtMT+L+PblyDej3n6mc3J9pKItcvgMTbwCBpmcz/oh431hd7w
ClzpYvlqGM9Py2DuzCEAlh7mHvA9e1gQa3PUXPcTg/dBeWJJBTjOd44dthis
WPxlvHNfwEByyiA4QIzdD4NYu0gPuh4Gw6Eza97JE+MV65tMJb5CGDYSDu25
Vzu4yl5egw4nzDZlg7LF+9jyn9AyEtuItDFpbF7EWm/oe4F4gRD4lHzcj+tw
9jwM6mNTLyvn4KuDuV9R9qNeb7MR2cpd7nkPnplJXIefBjn3M2zrbutfHdKw
gyByaK8q9u/VxPFKWdguDMGGhsJF9qCZJ//d5ToHGz4D+95kXWAQv3nE+lck
J48mN7ckllbCd6ayH/UymQdrWgSGEjOHwWX2ZhmxdGtx9p3rDUnOfQzHycUn
II/f50Ircl9riGmAn8OGOcRpWEIMSYRVxLjVMAMfSgAv/N4b/gxw7g/Yyzrv
g3fHk6fgAXvyEN4YiK1BP2yqP+SzJxdgKz62bb35QJDHhmRLN7H5GxCCDzQ9
ajYsW76NTf8Gk3JtLs+xhjFc32FNfwOHnRfZZBpIWmg/sfkAdOI34V+ZJpE2
+ZA5fwDTdpOj4Pm9aC6YxLNioBw+VBYuTWHtwIvfFoHFjCkRXrtoa/8JY/h3
ruUc5Z5aaJza8PF3+DmkwiZoyz3bQGnGVAZexKcqw5esdRocwUeyYDs5OgNG
42OjllkMVyxPx7a2QOMPsHV4gP+NfNH02ATyyped8Z/OFrMUu+pOQAfBFsac
DrP6OJeMPX+CzXY9ST7EJvNgKmOKg077WB8IJa60hER8OhJbSsT+8oKxQ3yp
K8wl9swD/0TiOmRw30x4yto/gTR8fAvEYjMxcyxGKlYuauvc/BeYX2XyFesR
iK0f4N6BxLAc7huKTbSAPowtAjJZkwzoi5boB/WIiXVhEJo0EoKhFHo4/1nW
gjgzfTDzhsJPnLsOtw6ZL8gnCrlOIdZ0QH+0x1+Xc13ImlzzxEjFysn4Siz8
hq/fgXbEnra1LSYrNsfn2HpLbzdBbxdDsxSFJMa8DJbEmjaXRp/IfD9oyZxh
LmOaB3eZUw5rn8bvIzdaTFdsl4aUltzDs7+GDfjqxrGmQaRFFHMVe71Y0yLQ
tQ57AWP5zutQjb2qDleOm/aWZpZ2VgxXLJ/I3yfBQ3L+A6iHj7802jS7tPtJ
cnQ2vIYvjIY4cmo8nMPmzsJVfP4aTLlovrYQDT5ZtQA23hlm8uxZ8AwxoESB
xQDFgotore9hKza5Db4mJuyGBXz2ToBpTGnNKuTqqimmoaSlKuIblZqaZpF2
WcEYkyOs5tH6+rKfO3xNs0m7yWZlu5W/4XdQDsp/Yz4v31fMVOxMwoaXBptG
lFbcN5lYBR3Z+7CvTFNIW6xir1dLH3c2W5XNXv+Q+aG1SsC32OR3UJExVIAo
YsnIONMc0h4rsfkUCOQeAR7NJu12k5xwY53VAKoFVuBfyyEJlsGfh8zXlN/z
GjF27G0a9pZZgThCXmrbwbSzNHQSuuILckRr1mMA/57JOvhQG9SE7/Gli9Ca
Z7TSs4gpIXCnB2vB2hUnXt3jOtKTP/rhIwt5vh8auwHMpOaYBa82xv4Etvwq
RKGtRnxrPiPfkSaUNmzB3EITTMNLyzdibYKhBjZX/bjVoKpFZ6OJVuKrx5nf
W1wfZe2PwA+s+Y+wjzHvjbc5aC43T1ruVQ5u2N5yrnKvNKe057PkrpJJplGk
VRozhmDFB+wksr/VhKoNlbOVu1sWmL50+Edrro9hM0ehFbGyNVTERir0NY0v
ra8cq1z7LFriOfBXLQXXiFuF8CoxczikoLVXQXNicjMoqMUeQC/ic0/YwN82
wu+xFqsUs86RTwrR0NdgDbFwLTTBlxuPtRiuWK6coNxQG7uoc8h8Ur45Ah+N
ghfJWZV32z10L9UA0Z6codyhPdBetFItE2E1pmrNu2jFezutZlTtWAOtU3OP
2YxsZy45eh78wvqfrmTrvz/NbEi2pBpAtUCNb2wvtac+XG8mHn8Gh9Aeh6Eo
WtR7lPmAfEHP0LN8oS7sJmbsgpHs3ahAi3mKfQfwqYOwiBi9EMZjgxOgLmvu
C/2w+/5QiT2sCM2JUS3Ud2Fuz8J97vkAfFibmrstpim2fc7cNkPHmtgEnGeP
85Jtz7X3vfhOT8hln/JibQwai2pq1dbDidHDoDZ7UOd162GolyENJS114ZT5
knxK2uxCkPUbDuKzv/Cc9zNMK+hz+d5P2MCP0BafaweHYi03KUcd4Xp7qml1
aUZpRz+e0QAKid3X4Ra+dhMSuV4CYQVm27Lx9lx/w/NPBdkcNdf6/PYlzz10
L2keaR/ZnGxvPTH3IziKrx+Daydt72UDP3M9El+Igq78tluSaWxpbeVk5eat
xPZ0GEyeHwIniVEnoJBnX0+2nox6M+rZqHdTjFxW1JPTlNtmMJaE3abJpM1k
s7LdJthwSHvrwagX8xf3fASfooU+gdmMfY40bgtiOOxAc++caZpf2l8xRrHm
FU/t4sWaeEPHL1hr8EK7eMMVbPtymPVI1CtJxsZWQFNsvdk607R7PXPUXNVT
Um8pmxx2ClacJZ5DbXJjnYumgaSFVPOp9nthstW22p8yXC9LNf0qm6je3WKM
Yk0gcwmCRGLK4jOmSaVNZ7M2s2AezIcy7HHpAtOQ0pIb8ZUNcIo9/AZW8ttk
zz10r1P4UHZj6zmo97CDmJcJu+Hr9dbja+zpUahX8SKxvXJ923Pt/ThqxcrY
1xLmkHTG9lh7HU0NMOagranWVjYmW4tA8/eZaj4oX3yZXFDfkxOUG5LIzUun
mSaWNpZGlVaV5pf2v+fRS5vwl9tcT1U/CObjKwtgODYyDNYy53Wwnb3e1s9q
KNVSu4lBu8CXPawbYjWQaiHlXOXez4gVKaWtJopZazWXaq9fiY23wY+Y2wAe
8OyHJ63mVO2pml61/XZi7rZVVuOq1h2w0bSdxhyBva4i5qfA0hHMdYT1rNS7
KsnYns2ynph6Y83JTS3GWI2oWvERsfGx6k/uFwE9WMueSdYzVO9wkQ8+4mM9
I/WOpGGkZbZiI3vQCmvYn7zV5qPyVd1D91JNp9pOOVO5c2KO1Q7StNK2iXtN
a0hzNO1qPR31dtTDUy8vY4BpB2mIE/UtZil2hUJL2O1r2kwarekO6zGr13wW
zsEkz/M6UzPt32uaVdpVPWn1pi8z90uwuDljaW4aXlp+KbadlG0aSVopju/G
j7UejHox6mGpl9V5rGkn1SxL+N5ONMQOOI7dnoA/yU0Z6KvF8Af7Oj7LtJM0
1OchlrOUu9STUG+igBiVD/6MMQAuo8kuNTLNLe39Xjo1brrFOMW6p3Xs2br/
Pe4fuMF6weoJq1efnGraWf3MlVy/wR7G+1iPQ72OndRUO+B3nnUXTmNb362y
GlK1ZFVyThVpALRl/BzrUatXrR6+evnS8NLyqklUm6hHq15tMmNcmW4aTlpu
CDFgKJRV/VyO55I2SnGdkG3/vkPMn851NLXDawes56ze8+UEsy3ZWPpe65mo
d6IelXpVW/D1NFjGHJaDN/fwgoaMrRGEE2PC1pvmkvaKRQPGrLEeoHqBl5jr
RXiMRn8SbD0n9Z5UA6oWXMnfksGfXBcw2nps6rX9TMz+BYr5M3eYTGyZAnWx
SV+oDXXWmk3Jtkow9mfgATXlfUglx2yC8WttbxQTFBuGs6fDIApGQovu1qtR
PlYvbSS2EpVpNYdqD9UoqlXUI1GvRGcoOktpwwK3hbexyYjyphEKTllMUGyQ
ZpR2rMYaVI2zMxidxYR6es+PqLEfw+qzFgsVX1RLLqG2TIRb89DQ82wOmss8
1mw+HI7BnmPMhmRL6qGql/oZY9u83GK+Yr96MOrFjCD3TMYXtjO+1CPE2G3c
B8rym3JB1hNQb+D1Wdg/fHTEvqvf/Ed5i/kFwHz2ZAGU7Gq1suxfZyMao8aq
npJ6S6qJVRtrDprLVWrFK56aUbVjIvdfDG/jt3Phfjd8GEawVlHwJmOZDm9S
cyWkWE9fvX3dQ/c6QjzKgrWXyA8Qs8n2Tz23wDz0RrbZus4s3sq2mli1cTdq
5O6TrGej3s0Z9iBnp9mYbE09EPVClHOUewKJLUHgVtrZkjTfRdYrkzFmfGA1
gGoB9YRqec7AdBZ26KLFQp2pJXa3GkG1Qjhj7wTlcm188snyubamWtuPYP0a
i2mKbapBVIs09TFf1vffvMCeU0N8B1ewnauJ1jNS70iaSdqpGjmm6h4749FZ
jzSVtJUXMdV7jPVw1cuNJbdPBn9ygN8KO+PUWafOhHQ2pJ6ueruZ+FQG7CX3
7FttPVz1cqW5pb1VU6q2lE/KN5f0s7NO9ZDVS5bGl9Z/h2e+C51DWYdQ6+mo
t/OUOT2BR/AYbmMLv0IEsbQv/Ehs/gESiLszNliMjPP0oNSLUo5Vrq1ALKwI
edQmuRDEGBvCaeb+XbSdCehsoB3r2dbHYoRihc4Yojw1gGoB5TDtXw000dx8
O/PS2ZfOjOdFW45SrlLOUO5QTlBuUA76ifnlBtu//+mx4Td5+EbuPOsZqXcU
vMH8R/lZvb4b2N51GEyMHTLVajjVcqp5VPuoZlPtph6lepXSkNKS0ozSjvIZ
+Y7WTGtXHZ+tBs2I4c3hv9jUxjV2xqKzlmto4qt9rEZTrXYWcqATa9Z5lGkk
aaX78EDj8LWzAO2nzrKrdTdtK42bxP7cwMeuZ5umkra65elX6UxGZzOLqNUX
drSaQLXBU8b4BAbz2yGp1qPp6Onhqpcbwt+awEO+81c380H5ojSwtLBqNNVq
qmlU2wxjD4Y2sjMenfWop63etmxMtjZtk5096ow5nuufk612kz9fx97XsjZr
IIS1bhpuNatq1xzP2sz3aHOtqda2sucsR2cSOptYwLPmz7Ecrlz+O7nhDgwb
ij0NtZyv3N+C2Bo6y3qQ6kUqxyjXSPNK+6pHqV5l/DI7O1eMyG5vPSf1nnQm
orOR43znGLxG7Iu+ZJpT2lOaWNr48U7rvaoHG5BlZx46+1DMUuy6w99+yzKf
k++N8+RHncn6ZpoPyhelwaXFFWMVa/VMPVs1gWoD9fzU+wvXHqZaDFcs1xmY
zsLUs1fv/m987amP+YB84SY+dCPaNNY/WivDcqdy6IM69s6C3l1QjlKuCsO2
CrGnePZrEH9fzG8+hF+5x+1o6ymqt6ieuHrjOkPXWbo0orRiXU9vQjFRsVEa
RFpEZ0g6Syrv6S2qh6heonxQvqiaUbVjWeJBGYjCBkfmWwxXLFcNoFpAZx46
+9AZnc7q1GNQr0E1hGoJ7bn2XjWsalnVLKpd1pLD18VYjynFU9OptpMmljb+
EY380yemaUp4xqCx6IxWZ7Wp1KabOlmNq1r3fhvWD1p2MPvZSbzatNx6Vupd
qSZWbawzy/GeM1idxR4jdh+F6sSYGjDTj7zpZ2eIOktUD029NNWMqh2f70nt
2tPO6HVWLw0qLap3ZvTujGKOYo80prTm8/521qUzr2vcrzR7WErnvuztHPjf
FhurxvzLFtMk0ibSmNKajwOwxwDrQasXHRlktiCbCM+2M16d9epMWGfDymnK
bbJx2bp8Wr6tmli18RDGPhjOoy0upFiNo1pH78To3Zgv1YONthyhXOHDetaE
LsS2roesZlTtqDloLjpD0lmS1kRrI40hreGw6yJwmTFdgges7cOB1vNT7682
Y6+TbZpX2lc9fPXytefa+2L4UHEYTY03aqONWWOXz8v3dUanszr1vNT70pmG
zjZ0RqyzYvVc1XvNZI8zkq1npN7RA2z1fqC9E6B3A3rjo71SLSYrNismKzYH
YttB0I6xtR1tGl1aXWdKOltSTafaTj119db1zoTenYhlbjGH7ExLZ1vqaaq3
qZ6mepvSmNKayunK7eoRq1esHoZ6Ga9T64yBHvhSz1F2JqSzobfRjHPhkr+d
9Su/6F0sndEP9LxToXcrtEfaqzbMtS30PGlnYzoj+4P16p1r9aTO3F/JtTNy
nZWrh6Fehnpa6m3pjERnJTrD0FmG3kHQuwh650PvfpyD3AR7Z0PvbugMVGeh
6lmqd6kejno5sjHZmmxAtqA9195rD7QXL/jZWbPOnOvx/Dn5pj2kQaQl1zD3
1erBMvfNcO5j69WoZxOdbz0s9bL0zovefZFmivDkUOVSnbHqrFVngjobXO/R
msp5yn23D5h/6nxJ73qpx6peq2pW1a7tDtp663xd74LozElnT4oRihXq0alX
V1iDtathZ8I6G1ZOVm7WO256100xW7FbPRD1QtQjUq9oFj4208d8Tr6nmKDY
8C68BwN32rsQeidixkTTsNKyemdJ7y6pJpzsecdG79roDEpnUX9J++bbO1B6
F0rvlOjdEp3B6ixW72DpXazgHfiM5wxAZwELGNN8+OEtbBNWsQYp8DdzcnH2
TpLeTZrLb+fNsJir2KscqFw4lRpwyil7B0zvgskGZYvqaau3/X/Uo4KQ
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3lcz/cfwF/hR9lmGRklV5R1fCNH5YgslSN+ckzb5KhJRuHH/NZNh+P3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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.21511597705045848`, 0.3672866539169214, 0.6028546451742389], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmXmcz+UWx4+RCIUsqVFkHYahuYMaKSMztobbECpLi50xjMY+yE26CpEt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            "]], 
           PolygonBox[CompressedData["
1:eJwtmndgjmf3x4/Svq1VtDapFVtixIi9SbSltva1qfUjsVdbpEXworYaUbNe
K0TsPWPz1o69W1Vao0aN3+fb8/zxaW/J89z3fV3XGd9zTvJ2iGrc6y0za8h/
UvH/5b3NlsHuvWZ7YPous2kQfdCsN5zfYnYOUnU2extuTDS7Dp8W5B6wqYjZ
RjiUbHYYqu0wqwpvorh5tNnVmWZX4O+uZi8h1RGzlFBqj1lpGLvdrGRas1kp
zH4sZHZiq9lxePqz2TN40cLsOSTXMrsAgyqYDYTRg81iIQvfyQwpt3FvuPWl
2U2oUcOsJoQ3MasABX4wC4Y/eIcHYFyngA4/mbWHFUvMVkJXvtMFtpww2wph
M8yO8vErGcxuz/N76F6VuWcVuJCPd4MXWiPcaMr+QFJfswPwhnuEZ+YdoD/7
mBzKnsI9Pvs7FK1jVgQas1dNYDFrWgQ7eNZOeMJZPIZ0xc3Sw4gSZsPhEXv9
GKryflWgbG2zcpCBe0dxtqeysm+HzU7zbqfy+RnoLMLZ2wqw5Cuzn6D1IJ6T
0qwizCprtvQTfg45Z5vlgrq7zerAx4fMPoGH+1gj+3EhC8/nelJ+s+/hXH/W
BWXYk9LwwxruB5H8Ls+HZpneNXurudkR9v4w3ORdbkHlDWaVYFsBs+3w4Syz
a+/752cUNvuLZxbENlrxvOdc5+Bn2aHTULPOcOKSWUQuszPvmB3j2ljzGz7X
7zP2G0pwthUz8f2MZvPrs3/8bDhE8LlISKxnthZuc/Z34NU+X1tnnvmM67Tl
zdJAaA/sFGpg29UDNi5bb86eNYO6U8zqQelNvpfa0zCuc3Dm2eEGe3kTrk9i
fbB8PjYHfeeY9YH02Mr7cIMzvQ5vc9bvwB9cP4AzXJ+FW9W5D6waaBYPu7GV
XXCSPT8FE/GnCZBrgFlu2Mq9I7DdrdjfcvxkQBy/f5s9gH5cjzuAD8JxvnNi
u9usbPdXbPguZOI6I4SFYWPwpDHnDsM5uxFwkhjwM9Q6aVb7pNuIbOUy73oF
InKb1Yc3eTibvPwM378Me3nWPtjJPXbA/7CJn6HNcGwSEnn2OvjgDO+RnT3G
Jo7glzHs5QgYBaPhUR9sEk73Y48gKWAP8zi/YgtZ83HiG5yqy2fAiFVvsJ+K
2H4lGNvTbAw8x3ZfwIN1Zvch6JjZR8f8THW22nPtfV5+lgcK4KvB0e6D8sWa
rLkWTCzovi6f/5r3i5zG+8DH8AmM5Ttj4Ch+cQxisK0R0Jq1toF0xJa0kKEb
+w5LiGWL4Q/e4U8YyrsNgSSC0gGYhI99v8ZjmmLbmI7ExY7uU/KtosTMIlCK
e5aGwthIoSYeExQbZEOypZbx+Ei8xzTFtrx8Jx885x2fwQieGQMF8bngob7n
2vtRiWYjYTTEJvo76d32wX6IxuZ3YWuXscELxLNX2P5LCOE6FLLy7lkgiM9+
dNTPRGcTQswPFbxDCFTl3avBS/b672SPgYqFslHZ6tEy7Cds44y3Qo1WnAms
3O62Lx/YiS/8wnfvwFVy2zVoxN43hPPsVTJ8Qaxrnt5sJvGkKdc12ZsaAz2m
K7bLR+QrMfjMt7CXmLIH+vPuAyCed18Fs7jnbNjegHeCvsShfjCdM5oGu4nT
e2A0nxkFi+dy1nM9Zil27WFv9/bxnKfcd4C4eBA2sccb4RH59TEcxt4OFfSY
rti+nXtvg7PTicnTPWYodmjNWvsbYtxrWE0sXgP92YN+0Ak6Q/GL+A3cwkdv
Q6YL2CFk5zoHjGOPx8J93u1BH9cI0grDinEmsBgNsQiOlWOfyvl39N14fHd1
DbcJ2UaemtgYzD6F35OrXubEp/Dd/HGuBaQJguM8BioW6h31rk8j/Wx0RnVY
x3H28BicI4ach4rYZjic5tlnIBt7lhVmxfCsGI85ij0lWGMIfE5MawXf7ceO
4clhz53KoWm571zOcg405eybNfUYrlgeR16fB53Y+44FPcYr1m/8P7MNsILv
rIRwbLACdCWHd4O732CvcA2uw31i0e8w8mvsAKaxV1Ph7lKz35a6Tcm2ktFC
F6AysaASFFyPH8NqYno8tCX2toMFCeQ5+JO9eQhbyTEP/sV98MENXFfEx8Mh
EzH8A2iAL0bCmU7YCgyZYDYYrmBLVyHFVGImnOWZ52BWaXI7lOA6BH7FBn+J
8pyo3Kgz1dlGoO0iYTQ+MiqQY5RrwtEoFWq7ZpF22UbM3Aqx+PKYEq4JpQ2l
waTFDrI3Bwq7zcp2F2ITC2AJsfAn6BnIZ5mxmR5cX8MXr0I8sWo1fE+8nwjv
DjN7DyKI8fUhBh/6FsYRe8aucU0ibfIFvvo5fMNeDYOQo653PuUZJQMxSrFK
a9BaVhBrlsN7rCU13GvJucFLtOgruLMKP1rlNiHbOI+GOAfj0Dr/gXbYbFv4
D88eDykSXS99LQ3CPtTns/VgMmuZAofwkciA3ilDfkuPVivD+Yajb4qx7ofE
uD/hPWwvNbzBxm/jW2F8vhf2cQuburnUbUy29pQ9r4+tT8Tmd3IObXlWG5jB
s2bCjkP+O33mLz47E5ufAafX8g5wIPA+un+fk/4z/S6BmmItLMJ2Fk71GKVY
VZecVqeb5yTlpkz4aEZ4hi88h2erzdazHh5r1dEMa/HVBDjLms5BGGsqA62a
cU4CH20FdVhLXeiBdpiX1vVXJezyDhpsItphJ+d3g+s+RYlZsIhYsBi2ECM3
T/d76F7ycfn6PDTVjxDEPS+y/h6s/3P8JRHbWAvxiqFLvAZRLSKflm833mz2
GVTpjn139xiqWFqMsywOXS+7lpWmPcj5HxzCHsIwcu5wSCKm7u/jOVy5XJpO
2m4nMW0XjOVMxqzznKzcrBijWHMGzsJgYvAgKEKsLHrQY6BiYWNsvgl0J6d1
2+0+J9/Lj0bMB43Ym8/gAu+aHNBo0mpvkbNSQBpIC9nIBVkhnL2qGOo2Lluf
yh5Mg6uc6ZVaXrOpdrvYx30nF/k3kbgZgvaZlRpNxn5+yj6vYi0r4S7a7bd+
HsMUy/QOehedsc5aMV2xPTX3fK+F14iqFZfxzHmc9QJy/AfbXeNI6zzk3R5B
pu3+O33mXa6zLHBfkc+kw3dmkX9+gG0R5E4oz3fLQV5sNB+MIQbEzvcaV7Xu
C2Lbc1iPr26AvcTgifhrPGe6nDxSPonvwzliwHlohj03hUKspTAklCTvQhgx
tuwEf0e9awSxIxLabsT/IIw1lm3hP9PvhvLMryAEmy4Bl7CJy01cA0sL50ZD
BJX3HKxcfEUaBy5z70s6J2z8NYwjZo+FytJ68Z5zlHu0p9rbxbzTIqjLPtWD
VmjWltAG2kJJ3iUUikMJga0Xh8mc8xTYwHfXw6fEoob1PYcol6xDa6yHAtwz
P5Thd2EwqI7XIhmp0abjTxlCqIOgI3Vpp0Feo6tW1xq0FtVgqsVUA6gW0Jq1
duVY5dpXVbFHSEmuTAW9saVo2MnZ74Ig9i43fMk9usAYar9YGIINDIW07Gma
Jn7GOutfR5LfRnrMUOy4RA1zEWqtpN6Br7jH0B6uiaSNEtjjNbCPd90PtYhH
NSF1OPeFt5t7basadzx+UhmbqATvduEMICfficY3HqcifhAvchDjs8N+ck0S
XCH3VMnmexZNvhv1BecHkyux/5X8zHR2szmDOfCaXP2qtGtYadlsxIKsENyL
GASnsLWTsIKYvhKWwX8hlJq2JFznbK9t9p6Pej8xxMwRMBpiY1yj7gnELMWu
yzzjEozElka18B6KeimvVZfD3YVeD0xiDb2oywryjGCYR674sbf3lNRbOsu9
zkECuXUNjOCzMbCKz66EYdjG8EHuU/KtAhAML8977a4a/vV5X9OKwJq0Ntl8
5YAGkha6qB5OE/cp+dZ6fHxdEfd5+X5n1t4J2kK7zd7DUi8rJbEhFTyjhnkK
lbG9Kq28BlQtOBobjK3qNYZqjSlViJEQik+myenvOA+dvG62x0bFyNTEt7ul
sDn4mn36BnLzjFzdPCYpNu3jnffGuw/Ll9XzUu9LPiffU89IvaPT2MCZBb6n
2tskzvjARs95yn31KpLTYQRrHh7lNbxqeWl2afcn7P1f8mli9OSmrqmkrZSj
lKvG8+4TIBc2mBPy8Oy8cIPa5Tps4Z5bo7ynqN7iPWzwd0izj3XCFuLmVtjA
Z9dDfmrrAhCJL0bATWztFnQgJrSHhtAIWixC+0NjtGGTGq7Zpd1Vw6mWiw3Y
Zk5yby5YRqz9L8Tgo9/C52itVgHNJe3VOVD73KjMM6H0Qtcy0jTSWiM5r++S
XWNLa6sGUy0mzSvtqxpVtWoTnt20vNf4qvXboRXaw+/Y/D3YyZntgsOXXLvp
/ke4LsW7lSzpPiXfKhGIrb8QB36F15zxqy+9h6BewkyeOQNacpatNnrNqNpR
PQT1ElTDqpZtwPXH5T3mK/ar56jeozSLtIt6nup9qoaJC2g6aTv1wNQLkwaW
Fm6AJoiE6tQGNaA9ua0dzCa2zvnZe4jqJbb5H3sK5dmrcrCItS2+5DlQuXAA
3xmY5DWLapfq6tFCAc4oP8zH5haU85/pd6oxVGtMJxdMg7uT0QeTPacotyhH
KVepx6heo3qw6sWqJ6Xe1F1i9281vUZQraCaSbXTNXzrKpRAZ4dAoYa8D2SP
JdbG+jvoXaTJpM1Uk6g2Uc9BvYd2gVigd9a7y8fka135Xbdk12BnAj0A9QJU
I6lWeo7ueRHtGk5aTj1F9RYX1HVtKo3anfjWnhzSTvDs9kNckzUKnIHOYn7g
8zOIn1+j7dtwVq0DPiJfWR3ntZ5qvgSuu5NzuoV7T029tcpot0pQBape8BpN
tVo1bKM6TFviuVg55jK5Zi2xLAH+XY17QKko19bS2F243zo+n7jENbG08Qb2
fv1Mr8lVmweh/XNP9R6Welm6h+4lDSotmg9fygsR7GnkZtcQ0hJRrD0amhHD
T+bgHJEB2/Cf2OO+du1BHHuxmVyzCYKJKQX3+Znr7HsSo3t19R6kepHqoaqX
+megv6uari/Pn4JvTIY5+Opc6IpNdYHy2FgFqIItVC7nPVb1WqsRQ6r28J/p
d9K80r7VsO3qEDfX978nMX0+142w3YYwiBgxGEqjOUvBDt5550CvMVVrymfk
O7eCiENBrpGklbQH2gvZhGxDa9Ra1XNW7zkfsSvvQbdh2bI0gbSBauLecR6j
Fat78d2oMl4Txwc0t7S3bFK2WYizKQx94ryW1vf7xnnPRr2b/NhIAThMLX4I
NlKbbOromkPaQxpJWumfGu4bn9FoVvNmiOc27fffWgs20gsOoOkPwkfsSRC8
UqyCBPYmDvvKRs3VNclnSJolyYZly9pj7bVqRtWO5bC9svAikvtDOnwk7Sa3
CdmGemzqtUmTSZud4mcnB/pn9FnNVDRbUc9dvfdB+PTA7t7TUW9HPihfbM3e
tSnjNaFqQ2koaSmdoc4yD5ohbxG3GdlOEc6uKJTFVsJgFTktHnon+dq0xnTo
0ZxDXQtIExRL9p6lepfSFNIWm4ax11AbX6sD0cddO0lDrWHdM/G1GfAttv5d
V3+mni0NLC2s79QOaFBp0Yqqf+ApZ/gMrs7z2ZZmXCnJO88Weq9W93+80Gdo
mqXJh+XLh6lxDoV5DlIuykIuzrzIe67qvaagljR4glb9q7ZrImmj8ax7QpL3
wNQLk8aS1lINpVpKMUOxQxpZWlk9I/WOCq3Ctlf5zEazG/XE1Bt7J8HsXwle
k6g26YV2juriMwrNKhTj/ol1eYhLH/j8YMA01zzSPkPQzEO/8JpAtYFyvHJ9
dXJqtY0+E9VsNBRfC9nnNiPbqRqInSn5bKpk19DS0muwpQQYNM2fpZnFHuyx
CWf0MqP3LB/w713o/53NfWap2eXIkz6r0MxiH/mybSmvjVUjh0a7BpMWU89d
vXf1iNQr6sVeRcFScvZPJ1zDS8urplRtKc0j7SPNLe2tGke1Tji/qzDBaxjV
MtKo0qqa8WnWpxyvXC+NLa1dks+GwlVp2aqucaR1XqExXm9wDSctJw0vLa+a
Q7XH1A7Exg6eE5Ubz2Fz5yFxuvd21ONZz/VFargLgRmzZs2a0WhWo5yg3CDN
Ju2mmKjYqBpYtXA4mrhiYEaiWYlmIJqFqOei3os0u7T7H4F+sc6g6RLX7NLu
uam9gjRTZi+T4UOuM9fymk61XUpsLdVnnhOVG9XzUO/jDp+93dV7huodKgYq
FqpHqV6lNKS0pGbomqXn5oxzFfIz19nL5mR76sGpF6ecFxHoGal3pJ6geoPS
yNLKmkEFBWZOmj0pxinWKecr92tGpllZVj6bDbKjObJBWH9sob/P1DRbe4it
PJrpM1bNWhexp4t7eE2u2lwxXbE9fq7nLuWwZXN9pqPZjnqm6p2q56/ev2om
1U5TehL/e/rMTLMz9RzUe1APSr0o9VzVe1VPVL3R7iddX6sn+Qr9koe9+UhQ
w+TZ5jNxzca1x9przSg0q3jMWp8s8ZmUZlPqIaqXqB5+icDMQrOLCezF+EDN
otolOFAb3ie3PfjSz1xnrxm1ZtW70Yy78nlNoNpgYMB/FTPurXZNIG1wi+vb
q12TS5trRqdZ3UjNDiAbe5UdnoV4r1A9w/xHvEemXplmKJqlPJ7EOUzyGkm1
UkZsKANkZi1ZoAExJnKgz9Q0W1MPX7189eDUi7u2wGfZmmmPII9GN/ZegXoG
3Rp7jalaU38zoL8dkI/IVzRj06xNNbNqZ/VY1GuRT8u3VcOpluvAHrSf6TNe
zXo1w9Isaz02teErn1FqVqmZiGYjinmKfbeDOa9grzlUe/yb3N66mfd41OuR
ppK20t9I6G8lVNOqtlWPWr1qxQDFAs3A0wdmzpo96x66l3q+6v3KR+WrmmFq
limblm3Lh+XLqplVO8sGZAuaWY4IzEw1O81/yWdNmjnNOOU2IdtQj0u9LvX8
1PvTzFGzR80cNXvU35CEB3pu6r2phlAt8YJ3fg735RswGa0wCVriy602ew2r
WvafHspmP2OdtXpo6qVpz7R36hmqd6gcplzWjXfpDudK+SxAM4G3Et0H5Aua
8SwI5EDlQs24NeveQ87cfcBrStWWqslUm2nGqFljIr67to/37NS7G5rPtbU0
dlO0dshCr0+VjzRLX8s9E477DE2ztMHk00F53GfkO+qxqdemmZFmR9Lc0t6X
idFXaromkjZST0i9If2NkP5WSDWkasnrgVmYZuKajStnKHcoRylXvU9OS7/R
Z/Sa1etvRvS3I6fxqTOh/jcq+lsVzXg060kZ6K9pvzRLObzXe7Pq0W4nT/0/
qQMPNA==
            "]], 
           PolygonBox[CompressedData["
1:eJwtmAdQVlcWgA/FxcJawQKoIKhIlwAqiJXOYgERNSuJrmKFHyGIJUTFsomJ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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.22733740499333946`, 0.3740763361074108, 0.6143001094382068], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHd8V1USxQdBEYRFQQmggNSArAGlRKSFonRpoapYQMDQlBZ6kxaqSwlI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            "]], 
           PolygonBox[CompressedData["
1:eJwtmndgjucaxm81qtMqTk+pEbOIndh71agiVaNTJSKx1W7PUUfNlhqxhcaI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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tcz/cex1+ikrEhq5hbTC6tbJo6CMNxrVwmWxeXLZcZKXIrM3JLqukY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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.23955883293622043`, 0.38086601829790023`, 0.6257455737021747], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHmcz+UWxw81tiiMFLJNWcvWMFpkKTNjSzdjCXVv2XcKJUtJEdllLGXL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            "]], 
           PolygonBox[CompressedData["
1:eJwtmndcl+Uah5/cuct9XAWImrMwnKi49wS3fXKE4FZyoR3NDe5Nmjhwp7kV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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHtYj3cfxz/OLESswxRbyiHPyHo6UKscK4/DNYdpV7m2qaQcskhJzOUw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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.2517802608791014, 0.38765570048838965`, 0.6371910379661426], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1mHmcz3Uex9+OcUQMuhfDjLN1s0MSZoybtI4sZSvXxDhHzmFZd1OuxqAQ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            "]], 
           PolygonBox[CompressedData["
1:eJwtmmdglVUShoeOdJCOEBVCE5UAJsACAaQX6QnorruUEDRApLg0qUoHaQZU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            "]], 
           PolygonBox[CompressedData["
1:eJw113m4j2UawPHbPjFNCyHKsYXpqtCxJamEVFT2i+pqCsleIirrEU5CdiYk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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.2640016888219823, 0.3944453826788791, 0.6486365022301105], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHmcz+UWx89QthHZs4195BayzIxKBjUmW2Us0/aqbhjKoLySmBGXKBIx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            "]], 
           PolygonBox[CompressedData["
1:eJwtmndA1tUax096BVw4ug1vFrhSc+DW1ERQ3Ca5R1rXATiKXIHiNlcCYiqZ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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tcz/cex19xKDSREYaSlM7cL8WY3HJt7kY6B1MpiVlnmxM2uRvJpbKL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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.276761252172231, 0.4009704081116467, 0.6563767718859729], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHlY11UWxo9paWpIqdnYIkjk9DTjgrmk5gK5Jaa4kVo9TRpYLpil5IJm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            "]], 
           PolygonBox[CompressedData["
1:eJwtmndA1uXexu+sVMgUxzkuVHBkDnAAhr0mQ1FzpNI5Amqa2nKgJqjhSNNw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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3lUVVUUh7dKAqHwDEuDUAbJZeTAc6DUZHgKaKhgAqblKi3AAM0BFRkU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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.29194104164096807`, 0.4063051584041741, 0.6474531895784724], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtWHlc11UWvU40amrgViqVoqBlgokgo6ksLrhUCiaSqVOaC6ZiLpEsuYT4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            "]], 
           PolygonBox[CompressedData["
1:eJw1mXt8z+X7xy8hzZzPQjbHFOY4JrHNkGMoxxApKefDTJuRvnKqGJvNcd9C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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tYj2kax7/IijLkNI3D2FROkyKn4ZKpnHIahCSHocGMw8g4ZVOiRdq9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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.3071208311097052, 0.41163990869670153`, 0.6385296072709721], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1mHl4z1cWxo9K0VrC0BKxVAhdkJaidokttlZtpZ7qoIMpGstIVESTdppa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            "]], 
           PolygonBox[CompressedData["
1:eJwtmnd4l/XVxg/KEAggeykQIKBvwYQtwwghCGWTsJcVZASEBBETCHlFFBm+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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3lUllUex78WriAuQKngKJvKHBRHQw3RFJRFaURxNzWtUTOVRcGXWFxK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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.3223006205784423, 0.4169746589892289, 0.6296060249634716], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHlU11Uaxt9K21yTtKTOaLigTokLYllJgCiMOCnmQtbYprhQCg6IhlnH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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXl8j3e2x48tFLXVTi0hlnkV0dp3QpqIRMVWUXTsJEgYg4olVQTXTiQh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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tUVlUah39eUxTT8IJooqIiKDLeyQxCLqlgKSqhFDSWOiAh6AI+uZRG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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.3374804100471793, 0.4223094092817563, 0.6206824426559713], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHl0j2cWx29sVUs1qD2oSKIyVGxpSkUkkhC0jQqSsUQkOgmpJCqWpHZV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            "]], 
           PolygonBox[CompressedData["
1:eJwtmnl8TmcWx58qpQhRaqmtJEjSQagEbZBELEmDSkLErrF1ilqKSuxb7SGJ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            "]], 
           PolygonBox[CompressedData["
1:eJwtlndU1lUYx78uHDnAAamAFsaLGCQmEIkpS0MIFRC3WWgO1BBUtAQXFi5k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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.3526601995159164, 0.4276441595742837, 0.6117588603484709], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtWHl4j1cafcdoS3XUUkvsSyyhliJMNJZEIpEEQ+ydpK1l8jwEjVgiRKK0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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXlc1nW2x49rmoWiljtqEmJOCi7gEuQOAlOKKGppAipSLrmllU6WSyq4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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3lUVVUUh39OOVQoqCEqulQkpwoEMQ2RUYYnmQOaFK0Ch0wU5algjkmO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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.3678399889846534, 0.43297890986681115`, 0.6028352780409706], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHlY11UWxs9UuGVqFmbmjksymP5KRc3RXBAM0hHEsnUgt8wtEZfKaNPU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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXl8jmf2xk9p0WWorYglZtAmdCERe2OqloTQxhKiI4iESEMsSai1itLa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            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tYlVUWxt9pstQMEbCxUilRMdMJAUXMJAUERlK5qikkFwm8VRwuloCX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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.3830197784533905, 0.43831366015933854`, 0.5939116957334701], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtWHlU1mUWvu5L5kLghoobZKaUW0idiTopAoJHTTPcMhG0IBcUVAIVUsdy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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXt8z/Uex99SKZfYXArJSi4jncNsVEKEbcx1xlJbZ7bJ/TIbHddZSWUk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            "]], 
           PolygonBox[CompressedData["
1:eJwtlntYjmccx78ayXHKWUjbRFwOjQ64NkxSr2UYI1tY5VgqhxdDxEVzuBbK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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.39819956792212763`, 0.4436484104518659, 0.5849881134259698], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtWHtc19UZfrXU0GGpSM4whEKWThMxUGaCTq5aEwIMPy5UnJiAjJQ05ark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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXlgz/Ufx1+o3HJNjjnL5qYydM8RNjbmNndsS27Lcs1ZUjn6OTL3NpGR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            "]], 
           PolygonBox[CompressedData["
1:eJwtlndQVUcUxj9774BdQGOl2GuMoLGAlYdYQCIKxgaKqIBKEzQYMjFGjIm9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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.4133793573908646, 0.4489831607443933, 0.5760645311184693], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1l3l0j2cWx6+d2ksE7ai9zBDRWsqYtpQs9iQaYxtDVWK0IlWKir2tVlCN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            "]], 
           PolygonBox[CompressedData["
1:eJwtmntgz/Uaxx+XFMelMMo1lm0ZZkJ0zhHC3DVmueRazH1YLsOuyqVTRqPI
ZYvIJQvLJLfZyKXajrFOGtVJ4XBSB+ek0zmc1/s8vz9e9Wv77fv9fD7P7f08
n5qMjR84rbyZVeUfFfl32eNmX8HldLMrsDnF7F240sHsKixIMJsPE7uZTYK8
lmZ7IfsFs3fgZiOzf8B9Tc0qwew3zWZB961mPWDFYLNOlcxO3Ge2lM+Pf2n2
8P18r55Zcz5PnsVzIR6mw5JMs8XQdLxZMKSPNUuDDjvNOkLX82ZdoGZjs1pw
farZNbiz1+xXiGrDe+Ev/OxLqNDFrDysm2u2Hrpu4++h/jCzBpASa5YMQ9aZ
DYXYyWaD4aMws/1QBl/B3M1mifDADLP7IZyzaAFVDppVhoemsSYI45mh0IN3
REHtvrw/sN9jfzEbPcdsFJQ9YXYBWkbyHLjwnNlFaD3PLAJWrzVbA2Ef8zwI
hscgI8tsGfTgd1EQPcWsWRXOLcis1yGzGpPMqsN3DcwuQdJFsxD+3bWcWcIX
nD02qgvVOLvq8PpQs9fgHrYy1rsyyiwTot8xGwidnjH7I7SbaNYeNvGzjdCH
9/aFzpzp09BiNnuBvoP4HYxYYzYSfsK3bsCTC7EhNOpn1hAml5pNgXbY+l51
s5M44w7ZOw97w2JYkuc+Id/4Dh+8BJP4m4ml7nPyvW3YeCtE8o428DfWcBVC
+G4o7GZvu6AJe2sKfdhLb0hhbakQzneaQxY2z4bKBdgYqkI1mBc4v7348Nki
zuQDzgbOfmZ2DipiuwpQxBqL4Ufe9feh7mPytYThZjMhaLtZHYFtg6APvtMX
rnOG16a4D8gXKrCW8hDzIX4IHS+YrapvVvig2bPYPag5PgUHOMuDUIjvFcDd
bM4RNnGeG+FFnjUOurDmznCiO2fc3X+m3xXja3+GlFP4P5SMZE8w8lNsB5fK
zL4v8zPT2X3Nnr6B/VuIDfgYDsCLm8xegEI+H4NgYrzpYI9pxfbiaLNFcPBp
s0NQn9ipB0Pw3aHQZQLrgxmPck7w7R94DxSxlmIIJ9c0h8n45xTIb212BIZw
RkNh3mriEl6CWdAliedBOSif5DaVbd8h1jbCM3ynK3wUwV4i/Gf6XVue1Q5q
NySvwHJieAXULCG2oTE2ehS6kBs7w2y+OwcOhbA3OI3vfgq53dxevR4hvs66
jWVrxbRiu2IxNoZ72MT499Ad7AWOsdfjEHHMrBWMIseNhjXkptWxnnOVe9OI
4VSYii9My3IbyVajsNloGL7MbNgyz5nKndvj8GlybyL5fgL7rc9e6sFWxQ5s
IaduhhHYaCRE55ADa5ntqUuc8DmXd+5p6WvQWkLxvRCo8zJ5BO4Rc3dhNr44
Z6HnQOXCqU+yPgjCBrVhJ59zIIQ9pz5MXYFmfJ6wxywOKhBrFeFNctIqmEaO
iofa1IhakMXas6ES776vuceYYi0Nm6TC/R8Rt3CtBWurzFmTU555nXyJrZfB
fHxsAVzcRa6FJ/C1thBDThs00XOCckMWz9oA0axhIOS14+xh7UpqCPxMTP4E
N+GWPhNzFR9iXzWJzz7kGnz/A9jNXvfAu3xnE9wgp/4EcdPNxkM5fKI8vPKW
2ctwihg6DckXPdco56TwedDXrAM64AsdoaVyBSxSbMHpHl5bVWObZHvNVO1U
zVPtW7mffA6tOKsIaMMzIs/7M/XsmsTiQzAzlFwFN4itHyE6nu/A5J7EMjxP
rhgB+c04f/z7c/LRq/hfQaHZUWiGD4aUeQwoFvYTEx+HeM5W7v5hHxoDquEL
VWHMfLOxMGY3fgsx2GYwjCXmxgzzGFQs7mrFebZyTSBtoJqq2jqM7wyHx4iV
YEjB51KhO77aDaKJgYFQg/OpDk3P8D14FJ9tDC/xt7PgP+TC3+CBGOIkxveg
vdSD+nCmyGun7KFaUPMr3/+PtVkr57p5DDaGtbAOZrKWGbCSva+Cr4mhizAb
m82BVw+ggyADlsNO9v4+7IU8CMPXQyEO3TABGuDr9aGY2Poz9McX+0EvfKU3
BLGX2i/7mensphOj8fAIZ1APjDO5Jx3UHj+F2uGcLXRYhD8tck0nbZeJjVYm
uM1l+0EQA9XxiWrQgLU3nOJr1FqfJ2ZGwBVq8eVS12TSZtqz9q49aq/7VvE3
cA5fKYU1vGs1JKOFUmBuIueS6GvUWhsSww2gKQRDHcjjrIeTL4YXuUaTVjuM
JjsS5jGqWNUZ66zD0Bah/dxn5bujeO5IGICNn430M9XZLqGWLIWu5IAusJY8
uS7Oc4RyhWqKaot8Vr5764TZ7RNeM1Q7lFOUWwqpLQXwA2u5HOY5SLmo1Tji
DXL53R5pSp4RCyVo4zPwHu/aCof43UGosdHswY1uI9mqL2fSL9E1hbSFcpxy
3VNorY4BzSXtpRymXKYaqloqjSGtMYDYeRa6oIU7QzVisjqM5+zGrXMbyBYT
yFVxcA9Najwv7/fYFxaMQDuOcB+QL7Ti3REwkliMpZa0/R0ae5bHrGI3irPo
udo1m7RbIbnyGKSTa9N2eU1TbSsh1zxOPDUjf9xe65pW2rYlPtsq1nOGcoc0
tbT1hmB0O6SQY1KhHWfaFp7Exh2g3znOCs4QCyWbXENISyinKLcUkrMKnvOc
rdzdlfxVjvg9yvs7ZnnNV+2XppC26Mleo+I9xyrXXqW2XYEQYi90ofuwfPkM
lEB8kfumfLSe6g85+G8wn95owQvuc/I9rUFrucma/wG30th/mvc06m3GU6vj
xnoPoF4gh7V+AIsfI9fDL6zlDhRSUwrgWXJoNPyJZ78a6TGkWOrDGfeGZOVE
aEisN4AmS4gpuEfuuAvzj7M+OLrBtbc0eAGfV6DhlsO/OItfWruGDgloZGnl
fxIzt+E3+M9WzwnKDdJI0kpT0Ks5nG8SZ/Iw9X01ueMtCCd3t8h0n5fv38Mn
bLf3COoV1GOo11BNU21TDVYt7kkOj1rmGlBaMKGHP1/64UGeXznb+0nVwELl
eXy/CWzpz3v6u0aUVlQMKhblk/LNGfjoTEhGk75Z12v4dZ516BPiEbZxxtth
fS55Idd7PvV+35z276+EL0+7BpMWO8NzSuA8Gu7Lka5hpWWnf+paSppqQI7n
fOV+xYRiQxpeWl45Xrn+j2iEP8AR1pKf7T4v319DDLwNdfmbOnAILX8YWuJ/
LYpcM0k7yYfkSzoznd3TPKsT7OBZ70M2Z5IFlcn9VWAw342BUmLwC9hOfG+D
K2jcq3D2tO9Ve9ZZlZb5f6+BL8p8BqBZwHFy3ydhnnOUew5jmyPFXmNUa5RT
lFvUQ6qXVM1T7VPMKnbfOEINOuIaUVpRGkpaKmI5PolvIhUsCD04hZ9NhgR8
+CW4Sq680t41hbSFfFq+nUFtXg4nsfkJqCQb5romkzZryHcbJXmMJAdqtmp3
zbOu3aXh1XvJB+QL6inUW2xgD+t/7z2dejv5mHwtnD22WOQxplhTjVWtrXGS
vHvSY1axqx5LvVb7peSwpd5jq9eeSc5LgN7EXC9pMHqFG3B+Bf60wntM9ZrS
NNEBjS+tL00jbaOaqdqpHKVcpZ5bvfcn+PpxOIKv5EOTVDQQRJJr28S6JpE2
eb4zcdjZe3T16uqZ1TtvwqYboRF/0zjV96i9yofkS8cC+lMxWCfbe2r11poB
aBZwlVhqW5WYrkCv8onnNOU25XTl9kHY6nQdz8nKzep51PtI00nbheMTzeEc
OaQU0jrwDvhvMnkMMljrsoXeE6s3nk3NmHXQz1xnf3Sn+6p8thRffpfavSnC
ewr1Fuop1FsMI8aGF3rPot5l9ALqxwLXgNKC7Vhre4gllgZHeY5Xrn+U3NIY
kqipyXAj0A8oXpQrXp5kthC2E0s7UrxnUO+gmqzaPB5bj2vtMzfN3qTppO1U
k1WbB0jzLfQeS72WemD1wv3plQYU+JnobPriK/3m+YxJsybZI4/Pdz7jHKhN
PbDRv/h8N52zS/eaptoWSYwuIpe+AsnY8go9w2XII0fvgyqB3yuf1+VzW/by
BCSyz3nwTpLbVjbelOQ+LF9Wz6fe7z3WtAVqcna1oHWxv0vP1LODiv3ZyunK
7d/jo0P47+egP3ktjLWGwn2stRJ0yvLaLX+pihaPQ1ON3+c9tXrrXzmzO5pB
8DfB8FCx1wo9fxzxPPso/gGl/O6LdNeA0oLfoQkvwbfd/d1aQzTvz6GmRZIP
vuHvr13wHky9mDSvtK96ZvXO6RnYOcN7WPWy/+Ydvx11G8lWvaEPnJ3l2kka
ahh5dsIF37/OYyKfF+C78wM+LF/+f48EMXweDDvolW9QS8IeIBbTfQanWdxR
fLIgymcKmi3cZB+3IFt6rLbvR2c7Px+7wTC0x/A011DSUtLI0spX17o2k0Z7
JcFjTLF2hN4oP8ZnkppNNsem4VDhXXpN+Ixnfp7vOVW5VTlZubkSNf8X8vc2
npmPvthOztq2zHs09WqNNvN9SOFvU/N9RqVZVSLrngdtAvNB/X0ZP39+v88P
1H+N2e8za82uNcPULLNaYHanmYJmCzWeIhc85ZpL2kvPTAzMGDVrXITufWWO
z6w0u1JNVW1VTVVtVc+r3rfbIdZ7yGdAmgXdIUf8CpeJzR8W+kxEsxHlyEaB
HKtcq5mkZpOa8WnWt6iTzyY0o8ijX2zwotc21bjWy73HU6+nGbJmyWvxkbdh
LjUgEWYdJjcHsVb6/VaZPoOpE+hp1dsOpfYMWeKaT9qvITWzQVPvGdQ7SKNI
q2jGp1nfAGKyP/yOnFQVEnjHTOjJO3vBWHLwGBgPcce8Z1bvrJ5TvecYauro
XJ9paLbRDlu0TfeZeVmgR1Ovppm6ZuvbiKeIRzym9l10DSYtphqlWlUrEK+y
sWytGJTvyoez8jwGFAvSaNJq8kn5pmacmnVqpjw5MCPWrFgxrljXHYfuOlQD
VQuloaSlUonHFHiRcx0Ha/jdatiMT2yB66ew3SmfCWs2vHCGn71sMPewz6g0
q2rH3ttP9xqhWqEz09mtC8wG9Aw9SxpJWimTGFmZ5DVHtUd3Jro7iQuctTS8
tLxyiHKJZrSa1d7CB2/Cet61YbrnFOUWzQw0O5j6OmcAT6DJ2kKvLJ8dS89o
NjlRPXCkz4g1K5YmlDaU5pT23NvTc53ssxNbTWAvccE+k9ZsugW2Ds/1Gbhm
4ZrhaparGZJmSQcCs2HNhDUblsaU1pRmknYqz9+Wy/U7CN1F6M5Bdw8bpTVg
NHsaNd19Sr6VtMtrl2pYRq7XONU6zaA1i1YPpF5INpPtpJmlnaOpUQMneU+v
3v7faOPfGnuPq15XGlJaUj1rVGAmrNnwh+TAXNiMTbYUukaSVpIGkRZRDlMu
Uk6KzPSYUezoDkl3SapJqk3SNMOPew+tXlo9iXqT3dhgVzfXDNIOmsFrFq87
DN1lqOdS76U7Ft21yMaytTSPtM/f6U2vx3uNUK3QHYHuCqryrGqQwbuWjfAc
oFygmqbapp5fvb9m6pqta+as2bPOXGcvTSBtUD7Ha4tqzHby5x3e+UsHjxHF
Skmg95VGkFZQj6te969o0O/OeE+o3lB3ULqLkqaUtpSGlZZVTCm2enGOvaFs
i89OpZmei3Kfk+8pR+T2dA2fEZhhapYZHJgNXWMv12H3QJ9ta8b94UDX1NLW
6sHUi6lGqVbpDk13aboT091YGj9Lh928b1eJ99jqtaV5pH0OrCLHrPI7RN0l
9kGr9W3jOUK5QppO2k4zSM0iVQNUC+Rz8r1P0Z2fwffk90vwPue6M8djUrH5
BnUgs5PfYeouUzlauVo1W7VbM1rNatWzVArEjGJHOUa5RnecuuuURpVW1QxA
s4BR+702akapWa3uOHXXKY0srawZqWal/48xiCdWpmV7z6HeQzMezXo0A9Es
RHccuuv4hnd/m+s2k+00g9QscvwFf5/ydRyfb/PdWwl+x6m7Ts0INSvUjFuz
7n+So28XuWaTdtMZ66yno8FnRLgPy5cVI4oVzaQ1mz5HLJbC5bc567f9jlJ3
lZohaJagGZ5medKY0prrZxI7cJ2YvBbrPaB6Qd0R6674B2x6earP9DTbk4/L
13XHpbsuae4BgTsN3W3ozkF3D7oT1914Dr3NB4NcE0gbDCWGh8FXrPF8YCau
2bg0v7S/NL60vjRzYuDMdfbSNMon0kgPZLqPydd0p627bfXg6sU1A9csXGdw
LvAOvUszPc321LOrd9eMUbPGbfjYdvj5ovcDuoN+mDzwpyyf3cs/NMtWjlOu
U01QbWj+GtrvNdcE0ga649Zdt+7sdHd3P/1xpbNeE1QbqvC5cuBn+p00qLTo
aGw8pshtKtv+RG37Ge4Sa/8t8b/R38qn5Fv6fwz0/xroTlx349Jk0mbhoX63
rTvuflM8phRbJ+EU/A/qg31g
            "]], 
           PolygonBox[CompressedData["
1:eJw1lntUz2ccx99yya1ilNtqcou5xJG2meOaVJhRcoRNZuV+CxNzN9oWUbnn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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.4285591468596017, 0.45431791103692076`, 0.567140948810969], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHt8z/Uex98pdyIUhW0Yhg2TS9RJbWyTTR1iBw+qdcxtKKQS2WZIF7fp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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXt8j3Ubxy8ZpsMmMhNT2TCZQ8phOjgbO1AO82JSWwfDnBqb89h0IAs5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            "]], 
           PolygonBox[CompressedData["
1:eJwtlnlUVVUUh3+mZk5hJoqV4gDKqIIjDqWAvgeCAwquJLVIBXEACzVN0xCH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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.44373893632833883`, 0.45965266132944815`, 0.5582173665034686], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHucz2UWx49iMV0oVmLMuC3jkusmS5tZzGB+yKhxKStMyDDoZdCEyKWy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            "]], 
           PolygonBox[CompressedData["
1:eJwtmntgj/Uexz9CUecclDL3I8Pc537thDFmG7ku17KJzTBymdvsIhFi7JBy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            "]], 
           PolygonBox[CompressedData["
1:eJwtlnd0jmcYxq+QIDEqYoTUJ9EQiXAkiFUzEZF1rEhJqhlGEjJakYhRYlVb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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.45891872579707593`, 0.46498741162197554`, 0.5492937841959682], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtmHt8z/Uex9/VkCM0KrkbWRypRS7RhWMzmkm5lXu5zIbwMNecOvR4xCHh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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXdgleUVxg8oSEAUAlIIimwISIDIEMGyEiAGwpAVlhYCKHtEIMhKWCpJ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            "]], 
           PolygonBox[CompressedData["
1:eJwtlnd0j2cUx792CCVihRiRilixiRgtyS8hSNQesckyEoIKqUicgwpNarTa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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.4740985152658129, 0.47032216191450293`, 0.5403702018884678], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJxFmHlY11UWxo/7bik6jqShuEGKC0gqpjYOSvITBQYkTK1RRCvEUMElFLVp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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXt8z/UXxw8ld7mmiCKXchsjl/Crlm3YjBIy9HMZmblUm7sltkqXTZhs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            "]], 
           PolygonBox[CompressedData["
1:eJwtlndUllUcx78oiqJp4sqVgYqQCogzV2mIWxy4GC5eSC0xzAEuEDoOcG9F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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.48927830473455003`, 0.4756569122070304, 0.5314466195809674], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtl3tY1/UVxw82e3QWhmXa4qYmU1tmYllgM5WLCljuQZShswi0TC6piJfY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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXdgleUVxg8oiIRpWBUICAISVhKoEBRUEMJKGLISVgkQCIQhe0UREovK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            "]], 
           PolygonBox[CompressedData["
1:eJw1lntUznccx980piSksDG5D1OHuUUzIoVcmtFFaEgjuqAUaWekc9iUR5in
kh4WmSO2HTY2lzPH/VZnQy6xC2Zyi+PSdtj2es7354/XeX+f3/N7vt/P/fu0
m5Y0LrGupEVQDy7kSOdZvBsilTqkbVAWJO2ABnOk1m5S9gYpYZu01lNKQ/Pa
SGug0QDJHUqXSOXuUi364IJ0H3aNlHLqS9N3SqtypSgPKRft6yv1g4bfSW6Q
6S81bSF1OC69XCy9gCX7pRhvvkNHxrM39nlg33xsS4G2x81vuqBBHaVhMPBL
aV5T6T10QpEUDo+ypRooGSO5vCbZAyTbB9gDJwdJBdgUZZMibWY9CXX1wy5w
7JaKoQgSOL9FnhSN7xNh6igTi7ms065KEa2kDPR0P+kMDJwv+bhIdfpI9xYQ
D4g6TUyxuYJzfWMlP+j+s5REDtx9eMbaDxb2kNJh5CapOf4Eo53LpE5w9ZSU
xR5x6Dd9yV1D6TmJXPuhtA7SekrjyVdIsjQUgmBCqTQaW8ejvls4AzZb+dqE
3kiUbkISvjuIQSX2PcXeZ3ByiLS9sdTfToxnYgvEkJMpELXf+J2O3/P47VxI
thm/6+J35kRpMfxCfTRuJFVlSSsypeVQDH04vwjtekTKb04u0WXYkQ3l2HAO
4jZLw4nBLPTaOfaAFRclrzellehfO6iFZtJttDyM2MKf3aVbcOkz6THnXkNL
Bpp1FWvHVPyG50Emrz7EoyN0gjmcMxvizlKPLaWP0YDp0gC4Y50VT907qMFi
ONCFZw2IJ2uH5dND8t+CvmkJk1dLn5Nf//bEjHUM3B0mVUO3y9QLfvihNupo
FawDO7nKQ+8tpZ/YL4X4vRhNb0Bv1lXEN5TvpkMsdOCctuT84B7iTB80gZM7
zd6+7P07vfgH5OLfdWKZg7p1pf9gSzH5acJ3+6SLncg9xIUbn4ZMk96HQZBF
XpdCdQ9z1jLWtfj8HJ45TA3vWkWdU6P3IP9b/CRWhWgksYuABL5Por7mojGD
zDqZ9UR6MRp+w55f4a7l9y30QgSzCcoKqEnqsHwos4EYfuqkAzPLi5qnP1Og
J+v5aCbPP4ETzI3jEPwj7zFLRqDpCbwPjw5Kp3j2FD38tlk/Yd0mjnqAGvro
IaRy7gPOXYhmdDb7DGefh3yugTJrxj0pkX4irodh2kLmA3wE1XWks+QtfyP1
QZyPkfe9a6V9kEaduOPnIuadLV1aDXt6SbvhRSE9z/tP0brtTSwLiOUXsB6m
UKNB5HIyeoMavAmBxGkw2F7lGdveqqJP6FEf9NQZagK88L8ZVOLvUfy5ih4j
/kchlrgeIS+9B0v1sbsexFhnTRqODczWGdRGmyhp7AgpDDyooUaw1Tm/3qCm
0CtZpuer0Xe6MefgAf19hhwV7KU36ePL58zcds5vuxWfNWgv5zxiVnt/LbWC
1nCJXp1Jr3pyjjc0h0h82oZv4cFmLjjnw/0fqE98Gk+uDlBbB2FKBXGC6Apz
zx3lnY08D3OlV5jBhaw3QAA9E8ezOzzzZ90fQq0ZnBdiaslZU62Y/bGtuSeu
kxtwgb/xrRZGfY9/+PgP65Dz5It4dK1k7odSK2BfT/5g+SFig505qPcJc9fd
wmZP1s0gieeJkAq3+S7lkIm1M+Yl5GAlNm1Fx/E5lzNcz5v3nb9zxtUZ34hX
8UFTJtAbkLrY1FwGut3qqa9QL+42b2hIDbhBvnVfu9Cn8fThLOhjzZ5R1NgQ
YhMIkdadFo6m4fMCCLxC7jk3AE1LZa5yR82mxvLoszVQPY4YwwC7uVucd8zr
5LM+JPc277uytmUwE2EG98wkYhCPtuMO68t8TA01c9o5rwvwLx88K8z/hMbk
6mxHk4cw8rFzNrMJqjqbfWY592PfyTCWeTYGHi8yd2kt2p/Z5g8BNlMj9fgv
UFlu/j94bKfOWF+Hl1aPJlKbdu77fCiifjdA4UZTw5mB0n/k6V+Itu7hUmwf
HUkc4WKCua+vof8DuCIzBA==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.504458094203287, 0.48099166249955777`, 0.522523037273467], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtl3l0j3cWxu/YqihajWW0nNg5PVTb1NgSY09EhY5QHZQEHWLMYaqIfWub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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXd4jvcax2+01NaWhtao2jFDtEbRWhEUCbFXaY0QNaIipEjEhcqwV5GI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            "]], 
           PolygonBox[CompressedData["
1:eJwtlntUj3ccx99SuZe7jGW5q5T7KOTSIcrQFEXuc5C0sRFJbpk5lTrucgu5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            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.5196378836720241, 0.48632641279208516`, 0.5135994549659667], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtV3tU1lUW3WqNBmW2EhK1NF/BoAQqzkgKlpQlkkOMZBhKieRSlBYIIvhK
8A18MOFgoOInOuGLUj6klZqPVCiwrAxmFEpbTU7LSWdsKmuatWbvde4frHv5
ffd37jn77LPP+T38cuZzi7sDeLYb0IPrt+8AHX2BjcOBmE+Bh/sBf+sEduwA
HrsXeLcCOH0I+PR+4BjX/HDAQwM7a4A3avk+7ewLAcb+Fvie+9QiwH8RMMEP
6FpFOzyz8T4g8RngGf62qhcQxbOPpgEz7gKSW4GMKcCVO4FT7UB5ArClJ8/U
A741wK27gco6YPdO4HYfIJhnn3wVOEgf8iLo8yTg8B3AJtqZSL8H0f/Z54EE
/vXnfhrXgJGMi+cXHwbu9QJ3058RXId67V7dv4K+/pn+lz4CxC0DeD3mc533
BnCBOMzhGvumxVLNmKo7gK8IYFIU8eHh+cRn6lu0PYzx086SFmDNELPTMgho
5//THwBq+N7EEcSJZ74pAT5xz2v5/Jfp5mfrJuAJd+baZmBDGTCSeBZmAP2m
Alm/AY7vYR64X8+9P/dh/YFw/rXxf99RO7+B51/hmTV89l0p7RPzBcQ8tRxo
pGPz6HMD11h3V9IFPk+0/HoL6NPnwCXGGHiKHOk0bqQRz3WhwP08M3kjfV8O
9GKO0n8H5LwPRJJLxT7GVmA++DFHdXHEmT5gN+3yt67etPknvuN86xEPvF5n
eJZz/e8Z4CrfrRsD/LgQGMD9/5YAJw4SX56f/TSwtgvIpT+l5MyP/C3AH5g0
lrwuM/6UkEf3tBgPe5KPw+nfLZ5pp1955OGAe5ijIuOrePuHZ+0+3XsjFwiJ
stiFwRlyo5AxNq8y7orDa/lehuNG7GTg8wKzf6nAciY8ledt5Nxk4nyDvudX
8U7a/zcxyeL+O76bRS5dJ2d+os/pOUD0MsNfeUgh7lGB5B7XraO4Z+7yPcYP
8SSQvJ7Amk3k8+HM7aMfWF6Un0Lm8ijxeZHcjnveeFJKvM95DMOo48ZL8XMv
a3yMq98HiyyvslNGO4Nc7dyg7c2txnPxPSiS2kDfepwlp3YZ77KZ52sPWbyK
u/ky4xsAHCF32qJt33LZal613zuMNek4cDUJeGGuxbidPhY7HUhmPrclG+bS
j72OS2P3GO8V10Ti84PjSYLP6lN1WnmSfPOYTeEXwtpeF0D/GHv6Sauj7syv
r8o4mUktmeI1/KVzLfGmb57VwK8OK2nDL2+aLh2iPn3cYXtpVfNfgd9TiyYy
9nKf1YJnKGtwNHCeNqsW04cZluvipcDXzPt2nslsIu60OYU+p5PbIxnXBe5H
E5v4TOPMmBNWM/JzP/2NID//znun8d6SR0y71iygPpDz4dSTQHF/A3WSuGWl
AN1OGc4gHp8kGbeH0UZjhen80Qqrf/F20svAv5KMJyn0p6TcdGMa83WA2Hro
Wz3XIHfX4PH02el5aJrpi87/zH3MOvOhP7l0fYLh0+206ax8/iNrqoW5eIhc
OsP1Bp8f4PO6LcTRaXsTe9HKCNP89JnAwMPGz/W0me80Z5PP4pfNCtrII8eW
BFHfPrNepZwuZ07/6ex//5nVueo9Ots0S3ZkL+UYMIs8ib9k+VBe5pHjC12f
enuuYSSsXiFOr7laW8211vUp707TNWEujku/xM+L9GHpUuOA6l78Ew+l6z3j
DfNZvHNBmeGpPvm264Pi2hWXu2Dm7kOH28Jg1jv1MGQg+c115eOWU/XwZKeH
6quVro6W7DV91PPEMtNT3SttaCAPoviur8JqST7fZG3tD7FaqHqNOcw23PZx
dsjj3BDL570YUwXxGsoaf53r/Cbj9qtN1rfUC9SX1OfU79QPxWlxeyo5/iL7
SrjO884x26l5xHAE6+DrfcafReRwP8d/9RD1OvU89STNGdL5cRFW38qX9CjI
nVd9S9+lb2HUkEbmPofc8HE99I75rzi81Ohx1K4dXK+6uehLrslOl7I8VvPK
RRvjuOOicUmcndNp/ejbjzgXXTKNCmBuT7ebHt6kzeAXiAtjWcC4K983Pq+I
MD2S31faLWbFfjvWerB4W0DOVLvceZi75eR2IzFc2Wp36C7p4nSnFeozhSmG
m+qvD3n7HvNSTR9nuViki7llNqsEeK3GVGuap8R78f+lY5ZX4bOc+Dzh+kgx
uVrL+t9MnGdwrlt22c6n8vxXMebbilbjh3gSk2136C7NR0WOq+LsYf5N4P5Q
l+VU+zanU6odzS+aIcSfEvr7QLVp6Rxqalq9YSW+aPZSb4oeZP1efOjbYr1W
mBRwP63a8A9lHtKdJsveHt6VT57Ucl37FGuUNvfVWvyK691zpjvK18BGy6Vy
epz5upVr+Cwqs/lSvVI98z87TIs0V+o3ncmusXzLjmbYuczHAeblJued3BzT
BPWHUjfXCe+O3aYPQXwW2mw+y/dgN59Iy8vd7NRnp83rqv0q3l/r8Fe9fsD5
ZybvWsFc7a+xGA/WmFbKz7wc03fpdjr1e7TTWGmtn8NT89TPbobcyDPPsWcl
0LfnyYEjbp6MIv5j2WvCqUvjuK4aanWdw5ptbrOZ5wTnpcAhpj+a14SL8CkY
bvoinVHvVb9UvD2PsDe5eb6GdeHH8030vxfXlxyGqZ3GD/FkfYbViepFmre1
0/i/jWtZsPkWSd9mnTIchEfRNtM6zRG7HLe9XP3dXd3Ji1Hsc5HkdiRxuM/N
+cN41yg3O10utG8naZLm5b5uVlcOv5xtvU89UHOwarY+zvqrtFfa3/2szVR3
njUdFG5ZXAOoNU+xNgI7jLvicD31uLKY+SFvK4otB8rFF+TPTLdXfrJOGpf0
rRCVYT7L9/4NnLOZr4EN5of8efqizQrSDemuf5jNlsOY81CnySFce7tvKD+v
8VIxfsOYdjn9PMcZ0N/hozu72k2rv+A6JM1sam5NPW/fa/puG+xs6vtsxBDz
bUCDzaPCVhjPd99lv5KPo1ssF+O4Xj9ofVn9ebub/fStprlTM+eH5PwmxyXN
YlsdbuM5k/7F1X5mjH3LqY5u892LcyxfmulaE0wbo6mNoa4fSV/D3Cynfq7v
EOn/P6j/iU4rNLNc+8ieqz9kuVlUc67mG/WOOOrPltWWr2TycZSzKT3QPKr+
NZ6Y/x+VIkAG
            "]], 
           PolygonBox[CompressedData["
1:eJwtmXmcjuUax69CqWRJhBrOjNAgOyGMjN0wjIaJss10PhmMbWhm7HtIKEwo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            "]], 
           PolygonBox[CompressedData["
1:eJwtlXtUz2ccx984irItU00X5j40JNXWT2pzKZc66MaYMdK6kZMK1XEryyWT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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.5348176731407612, 0.4916611630846126, 0.5046758726584663], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtV3lQl9cVPdVYW9sUU5W6ZKlaIDQ2btFUFEEzuCRS4w6iRgFptaCFugUc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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXd4V1UShoemoChNAgnSEiD0EgiYBEioGiD0qkhbQIEQqtJ7FVCKSo9C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            "]], 
           PolygonBox[CompressedData["
1:eJwtlXlQlVUYh39qi+aKC2EuDRCikxWCorIoqKAil1AIJbRJNAsHEFARRXFp
KhUQLBNEHEUxmhQLVGhwSbwioKDF5taCOZM6o7mMkNXY9Nw5949n3nO/e75z
3vf3Lp9z7LI5iV0lpcDz8PS0dHEQix+k4jTpIHhPl8bBlWwpuI90bJ9UP4F3
ekkF66U8yIdts6VsiMjlN/tqJkuRvOPJOgJ7Z7R0F46f4AzYHC991E36jvWo
aGkkLOXeW9wfh110Q5ozhPP5f9o5KQgsb0qhsGQ753PuB9hJ1yV/iLXvX4Ct
wZ9zUAv+L0kTx0hORdJ+3knFv0GsHaGA90bwzi7soFaeQeEBaTfknZEGO0ox
Izn7Z2khvA/lCBXEHUVXpL9fkH6qkw6wLobKI1IF+LwqrUXGR4ulZrtuTdhW
Z6nN2cRii2k05wRzvwf2K1/0hmuXOdtJuon90B6nd4D0hLM6wHGeVELSbh+T
7sF92LlB+hLerSZWfJ6Pdf5R2sc5+fhcCHvA28vc9xb3eXP/eOiPNg6wi3wE
dScfc6XoPWjbT5qH1QqpC+xORC94sUJKHij1wS7neQpUTZMC2b+3UEo4KcXD
ryOk1V2kj9M57xLgi8c16gt9GmBYpMm/23g0Yc8VKN8klUEDWqa9ghZYT2qh
in2WZZIX67FQ0UwdwTEIJAevz5R2kCdPYp9M7DOJIQR2kmMXB7TBtlOPN2E7
+3JhHPv+oIYjuG8/dxdBuof0rAd5YN37NakXrCC/k1+WVmHX4OtKfGlZQv2S
4C2QnoMe5GgxZ4cvkmZDUAv5hb32+nriToxTpb/60loFxIpvV2E6eg5Ao+M7
pBNwEm4VS79DOD46EE8yddiUQDzkxm+U1Mj6EhzIw29YHCf1pSbzp/DfJLSD
OvLblbh/o1fLv6dGyVcZNs2NnIBlqfSQOP9ZIx31RkcILJGm9sfvElP/tj7Y
9Qbnwhp7jGnYTGqygXX2dtOLtp4c6CltwNeVVimLeswGS67pAUcXKYz125DB
g3Ww2q5j2jvEUUoccH44vcv+EPSLjaXfYOth+nIAevJfXCX1AklwiftLuX8L
8RegaQ418QyN/4ONEyUrZx/G/yPwLTymzivx7xG2mZy2wOG90iEohRi0/RRt
H+LHAzjVRl1Sf1GzyA26NaHfCezTVHoecrhnG0SuN3MwlrlpdZXOQu/jJlft
5DcSXyOg035/t3HShXDmJ0TZZ2MW+eqxSuoOa93MXZXc1cmc6IBWYvdDg9P4
tZaY63knHeuDrr4Qz8zNfA49qb8y8lMODlVSPxA9GE19+ZJnL+rXE7whhJk4
l57PZM9WCLXXwzbWMY30Jr06H5tEHpMh3EL+oKrA1PAZ7ETOmQDn3M03w4f1
g9Pm7GTq8wzPq6Ge9+ogh/lUglafYxPxdTM+x5DrIvzdD70OSj3Bv9r0cQD2
5FLTj7P4BqwjlgxojEAT5l8ZNedCnbvCPfqlhnofGEJvsb4Kd4P55kDzZTMH
G7Hu6DUChhw1+++wr5a7z4PPKWkTcfhjs8hjJqywmrpOxTag80WYFGDqP4sc
FPEdjCemodTBMDQeDjOyTR3Xk7tZrEMhg1gWDiWWX5gF0AFhXzOL6Lfl2GWQ
BK7Mdxfwa6JvBpM3bOYoM9Njqk292ur2un22LmDOWpgxYTCXWnWnZs+2mRq2
1XIC3+14qG4z/1nbTD5teU2BC8TxGXG4UrMuMA9NP+GuL4g3x2rWO62mrm31
7YU/ffHrvRlGM5t2+eQjD9qJvbkns5NZcj/YfMPa0XzYN+gC7u5GXz/0/TMK
H+ExvfoIijfyTadubjMPQ/me/Mu6ExswlrkEg2u5lxnshG2hR1qhodXMxxTm
Yw55z4UpzPIb9P4YH85hbYFC29n04yF0LGC9G/4HkTUWZQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.5499974626094983, 0.49699591337714, 0.4957522903509659], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1WHtc1+UVPirLLmp5JVJBwgB11hQkkQRv1BS1LBXFLCTNKzoEb8PwDm7e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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXl4jmcWh4+1Q0t3EZQqkrbKlCAkZNEgliQERdqokNqX2hNRoVwtopJW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            "]], 
           PolygonBox[CompressedData["
1:eJwtlnlwjlcUh38IKosiZB0hFVumRkVkVXuSEkuENoq0BLVlaRKyNIIQokNI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            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.5651772520782353, 0.5023306636696674, 0.4868287080434655], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtV3tQl8cVPRHjI6IGX9hANUZEbRNn8IGvCCKpKBg0EVJrakVqYjMJhkrE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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXd8zvcWx499W0WVe4XarYhRLUlIQhMVEhV7lGpj7xEliU3M9laNRLxq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            "]], 
           PolygonBox[CompressedData["
1:eJwtlXlQVlUYh3+ySC7AuIEKg1tKKlIugAgCylTkruCGmmia+xKWiKGAmRCJ
G0xZ9EelH0yKy0ymaKGgqCgiLjisWhozOZmOZgqUM/bcOfePZ97z3fvdc97l
976nz8I101Y7SfoQXGFHmpTfUUoLlRwTWcPcXGkOrPtYut9Bms/6z9PSQP6X
sEn6g/V96H5L8oaD46XxPaW+NVLIKmlseyl6qLSYvd6H8zulMggtltK7SSOx
c3KkBc7S82D2Z50AxRHSL1CdLW1zkx5Oka74SRVw5BC+8uxJH2n0ICkcMrZK
vu7SZuzYcvb1lt7EhhLLKIirkA7w7EKkFHwY36BXjfG1HzZoHM/h4UzpL7iJ
77H4nojvFz+RJnFezCTp2ijpusVl1rBqqrTdRUph3/XXpY/g5AWTn/nkZ+dC
aSPv3Xifs0PKhQdvEQcJv1ol7WqUdoNPktQT5vEuqTs+XJU6TeB8/HPgXy2x
1EF1tBTGtz57pONfSyeghZw3w/c15v/5WMeXUp6n9NVYKXkZPkB0PLkBZ3LU
iVxVE8emPHyHLP5/pA11Zn2QvB6ACHLdtQsxFkrxMZJ7D2nQDVM/q45h68gt
FBZJVV2Jvb/UgE6eopPfsD3iiAmWrpSWgH+IeXeHd5mvSQFe1KxUapwh3YYV
hea82EryDZPhlV7SZWIaUMd+i9hvkamdVcNX68w7f2wQ2juLfyOwe0uIGy71
o2b4lXuOPMNuKEe/o8lLFXYPtc0Bl5+JrRNnfye1Ye0ExbXoD6Imo0dqf4a1
VxBaQacO4n1ZRsOcRxvUrtIHXTWa2lsaaEiV6qEOHDRYGGekEWck8TYNlDzQ
kycEn8FvqPWnZuQ+fo307x304yu9wDZDC9TvZy/wQZ8X8bOF9evDpUAYgh8J
6DR7NbWkV0ZzXu4Q+oB1KhzF12vkYCO1aY++OkDXW6bWzzg3r176Bpx2mD57
TJ+V03eX4MoCdArvsM9QD2qCbcX/FliC/85oaCn2d3R8Dx7ZuvbaRi34PoZv
fvyWs+AoOL1BfmG/rc087OwUqR29shJtzJgmzYQK/LsMlZYl3t7EvYJ+XA7d
Zkk/EON0cnoW7ZdCjd0TccyXk8RbBMeLTK06Em91Af0MJ4kzkFoVYccko1u0
GIU9EcszeEIPJXVmP/v/1neT6OUm6zxyHcd6OlyzZ0MVdipnTrPmJDPwAPPs
Pexc6j4PSgqM/24OtMS6GEp7SxPI83DyNhgC4Nl+U9dWrAexeo4z/WD1RQd0
MwjdpNMvUQPQENzPNrktOiVtQNPpvE/CupMTDwigrweDg/xV0xP52Gb66Dlk
2zM+C3uIOVcIwfacHoZ1ReMu4D5d+gc/X66XPl1rNLYdjS0bRh2GmR6xeiV1
l7QPX5xZF9hzIB87j7nwLpRwdh0+nMH2JZZ+UEavnINyu3f+exuNoP3D4Me8
KCHfXpxxj7PjqdGLEfhCfZ5Bpj3nu4ShLWbZMUhOJA9wNdbUaga1ehDIPQWz
bH1NwU7B/8mQMcbMgEpmwBhmahS0Urdj6CWMtT8MgMenzT0SzTpon+nlUeQ3
hPVIKKA38sGNudWOueXNvFxLLGvAm1nSRP6+IJ5EfntSX1+ebSBfyVDLjK6B
jvT3Yvrdj1l/c7l0A2JsbT6nDm3tvV2xbelNN/g11fTALHy5y/oeBKSZ8/Zy
Xqx138HnEaZvJ6KXCuv+hFP48oheycCHPfiTA1egAhrQVmfqMZ7+GFdv1uft
Wlk1c7G16Ix1Yv47Q2CoyVsyevkbP57CbXq8Ee7a9WvEzt6Cv3DW1kMWGs9k
jmRAw2ZyQI3uYNP4PhV2+Zt+SqAGZfTPOUihblvxqaWBPI8039zmm3JmwiUo
TUc7EG7fBdGcsYznS8HvJ3MX9MeG2DM9IlP6IJz6QBbz7zNwijT39THu7f8B
X5USZw==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.5803570415469725, 0.5076654139621948, 0.47790512573596505`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtV3tU0OUZfkq0UsFC57yGulI8zo6XFEUHmgaO0rwneNKmbtOWYKESqZO0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            "]], 
           PolygonBox[CompressedData["
1:eJw1mXl4j2cWhg8JpdTWmdZSQq3R2iWkItESe0hIUJXaOjp2ErQk1pZaioq0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            "]], 
           PolygonBox[CompressedData["
1:eJwtlX1Uj2cYx7/Ti0qxMCoO2VnmZTYhpFZHSluSKS+LTaOzMUOoNColjKGX
qTVbiDPUzgmdMVQbxVTHIS+dslmWMed4+4NzEMO2z3Pu54/Pue7f73nu677u
6/pe1zNgXlLskk6SVoATvNUivQkj90qrnKWwKGl3rVlPYB3As9FwYRN7Oksv
pkhNrM+Dc4k0nv9KJ0sOrB3BAT+d4OYeKRkf/fHh1U/qDc4VxkfuAGnIBWkw
+EKPV6SvqiXvct6FVvae8pR8WG9t4xm0npdO9pEOss4+KmXBp6nEyiVWsnaP
MnuesPcRPIaksdJ3DtK6KqlfA7HASN477i29epnf4Asdr/M+9Gwxz7yxBfOk
Qa5SyRYpOER6G8YvlsLdpEjLDpYiYEquFAObeb7QkdzMlY7ul4J6SEewKYlS
KjTEY12kBWul4nHSNzCZ/6Mhg/1ju0o78PESdxJcHk7sFKojRbpaYXxX4Lud
9TUYEkr+4F6eNJQ4fyLezuTBGWLq+b+XNAP7QaY0G+4clxrJ88/cs880cgsH
k6QvuE8FdiM12wCFgyR/9o6tk0YNNLUpoDYTFnJnSOKdK+Q5ba8534ojIke6
4S7tI28Z5DcTSnYTP1RHSgN4fzvrbv5SV9jJeTmcW4p9RB4eUKPSWeRiHTmB
bhelFi+pJtL4sHxdOkNsvfHPeadZ10NlEXeABmK5xRnVnJtOHlZBDnXzIafD
yWkGPtMhDbqQ3l2cdbxMWtpd+qXM3Nu6/7jtaP1l7ordgF43wpg6k49gbDz3
nAXLiOsvdFdMDnPRbx54VkrbqHnPShOTFZtjPv0AC6NMzpI54/5mqZm9NeS0
Dk6CK/+7QK0d07VJxEKsgfDQzk98DBrDzyaoJc/DiOm1OpMHKx/p5GUr+Wli
/eUinpPffOz+mdIBSNiFH+42B1seJP0AdWWmR33xeZL1KehBrruDYw3+qf1H
aKDS1kmvEcSHz2Xw2VTuBRftupzHPv9VqiIuncavH9qHudPxAb0CzLMXvNPx
G/0G+XaPPWO9OZu7QV62mSn1/SW/VuJgfYkebYFWOEz/n2IOHGoz88OaI1vO
mB44jD8X8uAK67LMbPg3gvN2MhfgtK2TJ39wPnRALvWhnfWAmZTHOh/mM88+
gXf8Tb+H88L9ONOPbQzO63ADfNCYN+SFG92EopuEZHIMTtx3DmJ7wXu37d67
hfXBVx+IxfdUaCfOjfTODeyzFWbPf1g3ctYFjhBPFjquzjf5tvJexL5CGLFE
imOmzHyfeUFft0JFs7ScGXYAOyiN3OPPHdubeLzgY2p3rq80vV36kRofqjE1
tmrtwDqzQFoN3mN4F90lkKNFsBg83kWT6GX+DuYX/rfBaNYBEAzjqFUIeUuj
f2/TvwnMnTa0dBXaV0t/wlJ7JjcTcxn13Aee0cw99l5Hf9FXpEkQBU+pXxN7
v6bPiuANtFFIroZiO9ZTQ0i0df18Itrlfonc914T8w7uwtNR1Bu80syzvtgI
NBMOv0ebXhxIP0/NkN6DeNhPLJNjmSP2XF6JPcvsPQdF5KEQwhqZudwjKJB5
QWxhEPA9vYG+ArEXfOkJaGDee3hIJ7Cp9kxKwbrgyxX+GU2cxFWWzjvM11po
tPdcpPdzmFVrIZn1cqi3vyN/55jvivV9+TzUaOQoGnm42GhiBvldg0Zy/I3O
Lb3fuyp9SO3vYoOJfwx9G4T15w4jwJVvzk36aMG30jxIBA804Q7ZBWbmubG+
w7vN3P0stS5cQ07gOTl6BtPIZRW1Tye/3ek9T5iNNh7TR858y/wCjd6vo/cU
Yk0Ft3KjnTn0vBNrZ/A/gY7YMyvJ6NrSd/EwtACZnBPIfbOxB45RL6g8ZrTu
QX2z08x5TpwXgiZCYXeI2ZOVa7651rd3F31aCo1ochkxRRLTxCyzjsNWj2RO
QxW9fwz2pJtalWP/BymPFrY=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.5955368310157094, 0.5130001642547222, 0.46898154342846476`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtV3lwzlcUPSRoLY2EImhDkb0iY1/GviWWWkpNS1FlSJMoCRlLLaHaQZo0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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXl8zWcWxo8hVCxFN1tIuiTSltKQhUpQobVEJUVp7boMItosRpPapy0N
UtWhtaYoOijR2GupXaeSDGFGig5mLaLTSkKXme/Tc//4flw39/e77+99z3nO
c84NG5WWPOE3ZraqmlkN/u10yGzJvWaXePPKNrM3ZpnlwMohZvkw/SuzaXAh
yuwizDjAe9BgpllDaN3T7FG48Y7ZdzB9Lp+H/Hizj+CXLLOf4Uf4CZo/a9YM
NqSZbYTklWb9ofL3ZlXQY4ZZIrzRy2wKzNhp9mR1vu8+s5ZHzbJfM3sdBrGW
5yCHNWRDB9YaDVmpZplwba/ZdZh/zmwe3J7KGuBKsdllGLrQbBh04lk7wuAk
syEwgrUMh/WdzD6BtnFmj8EPXHsTQvuwDgj92CwM5oWZzYWDc8wOwcFdZl/A
t+zFVZiUwZqgL8+eBI+zx+0gGmJgdguztyGRNfWAq3zXt/DadLN02DbKrBBu
zeMZYNkis6XwMayFFiFmIVDMs5fANigc4meosyzgWbbAXs5iH4yLNhsLywaY
LYcbD5qVw+hMszEwkj0ZATnZXA93Pm5WH94Zb5YLX3KPExDHmjqO8jPWWfcd
zfPBkv1mH0I1zvY3gTPWWW+GLfAu1+RBZ66Jj/cz09ld5wzLIe5hs1gYw9pf
hLRVZhOgXgnrKPHP6LPduSYR/sveTyCO59Q0e6W/2SzemwmX+MxlyHzGLAOS
ObMUqDplVsFnRzflurNmQbvNXiIXwu8xq8PrOuvMgqEm1IKsGO4Be19i/+Cb
EeQBJPO3FBicTBxCw81mjeA/vYmTwP3TzvqZ6ez6t+aa1v4ZfXYze7wFrrXh
zKF/Dn+HMO4ZCnWJ/XowbYPZ1A3+DHqW3FacBcSTIwmwo6PZdogmdmPg6Ane
J5fzyJfjvK4czPPCe+zFQmjAHtwJFWv5G9yV788fwfM35Pnf4mzehOV85wqI
IhYfh+kryEVoUMr1sKrMbDV0WkocLPUYVixnLmGtMJrYHAPNcs2aQgKf6QK5
xPi+xma7WGNVO65Zw7UQi6bEwTpyZy20DycuoNV61gZfhJJb0JWc6QLXxxIL
0J57R0EhcbANygfxN0jn3hlwgj0+Dgt5/T6MOcba4K+Tzc7B0PfMXoCRMApq
EjtBQ3xPtbdz2OvZcGEg5w6fokGboAC2wk72dgf0Z2+T4U7Orj707Gv2FDRi
rQ1hAUH6HsSgSdGwMp28SfcYViyX8l1nOroGSYuu8voafL3arGy1x4RiQ3ui
venOsydCBRp4EyLRmIfhFvE3uZHZ93XN9hAff/oLOQtdC8y6FbiGS8unTeJM
IQ6tjIWXWesrEDzSrPZI31Pt7Xk04Ots12xpdxtiMov4rtaccz/Ps29kryCT
3M+CHGInG9qS2+3ifU1aW9IOs35wF7nUCIYeQX9hEAyE+tvZO+hHjCQt9ZhR
7FSx9kr4EX6CvbCT3OpOzVp/wDVCWvEsezYANqBVf4RK9roKEnim+L5+Jjqb
DDQ8Hf6XiGj04HuI5SYQxXO1h/FcOw6Wc+0KeH4rZwIruUc+FJxz/dDzx/L8
E4mtNHgZXoEEtCseprKmaVCMVhTBTWpBBXTpwGegPdrbIaDB0uL413kfGr9p
dh+MJQfG7fIap1p37zjeh3JeX4cEakmXLNdUaeuraPNrsJEz3wDGs1Zb59+p
795AbmyE3N+iH3DgA3IKnuFs+kH39sQTXGFvLsND5Hw45E7j83CkJdoCecTc
fGjONSHQkGsawBLObCmc4dpSeJJY6Q45fFc2xGxhv2AOa5wNm8jRT6GMXDwH
jaild8Ec9mz2LK9hqmWNdrs2SaPGpLuGJAQ0R9qzNlAL9R36rqaPUhPuoK7V
Y9+pxzWJkSCoMZ9/YSYaMAPGPsf+QhgaHQoxnH0sPJJAzCZ4zVXtlUcYGqiJ
qo3HyPWjsIjcXAxJrLXvLD9znf0iNP4Prd0DyQvdQUzX2u4xrlhfT26tg8Zo
ZROIZG2tDrjnkfeRpkpbF1H7F0/3nFBuKGeUO5+zJ3vgJt9dASXco7iF56By
UTVGtSYX7Z97ws9EZxPEGdWEIR1dG6QRF9D/p/FST8Gn7MlmaPU0e0x8n2bP
N1Erj2wyOwxFULzJa6hqqWqgauHf0JtvYC/32gc/k1M/9XAPJS/VmbN94pjX
ENWSemhXXTiF9p6Gm2jPD6l+Jjob5bByWZ5M3mwgzzRgo2uAtEDPrGfXnmvv
03ldyfP0rmVWPck9iLzIMrRnebx7UnlTeTJ5s4XEXptgdONudLGQM+PM4yEf
z/IRxKAF0aXuYeRlZqL9M1p5DCmWmuCRGsONFO6d4meks4pHCxLOe84qd48U
ESdF7kHkReRp5G1UE1Qb5DHkNcaQg6OheltitK3nlHJLOa5cl+d6J5Azyp3n
iNlB0AVt6gqDLrJHMASehwr2+CYUyjvCC5G8H+l7rL3OoNamQxpMXOOaKm1V
zVftX0DsReEdhjWjXpa5RkgrarO2YGj+oO+d9jCP9YxCu0bCz/QRvxzyPdHe
XEabrkAqsTseNr+LVkESXqkvBJ1hP88EPDP80g9Nhi+p8SdC3dPL299Cc6pa
ugZJix7gmvshm7PIgXj8RGc4yFkfghFoxPB07znUe+Tx3nx5X3JuP2x5iLVA
Kl5rQo73JOpN6vAMdWEIHmAwJEMKBKMFtRM8BhWLp9n7U3Dpc54RGpz1fJnW
EC3k9U5iZ0epezR5tQXkUGoT9jqI5/rMa4Zqh2roo728hur/qimRnEe93e5F
pXdT8lzjpfWq8ar1t+i1qmAAnnggvIhHG7PBezD1Yuox1GtIk6XN8ojyitIY
aY2u0bUVfLYS/omn/AdUx6PWgIwniA/IGkrvAm9R+9/M9j3R3nzEs+WXuieS
N3os4Af28IyNeH8btbMQOr1K3kOTRH927cFi9iKOM47t59+h75q8yvdOexiJ
9tQit2pmek1SbZLHkddZQU6t3OUeRl4mGmKgI9fHQQ9qTU94ayLrneg1XLVc
Gi2tDkEbWkAQZ1cDktGaFLiBRpfP9RhSLCmGFEvqmdQ7/Z0cvlLkNVm1WTmu
XFePpl7tqxPef8hvn+T10DfIOdgTgVbDMLzeUBhGTRwO69nLdXCbHuxHOEiu
fJHiPa16W9Vg1eLb1PofYXFnr2WqacXD0WRycSMUwNYPvEdWr9yCs20JpZzB
+SbeD3UIaLa0WzVbtVsaL63XHmmvJvPMvyv2GqJaopxUbqqnUW+TiGZ0h67Q
LdX3XHsfCmEF7lnkXe5A02uHew+rXjac2Iro6Z5d3r01udxmpveE6g2lUdKq
i2jKhbauqdLWQjT3s/2uydJmeTh5OfXM6p1vsze3oDneNWSSexJ5E3k0eTWt
QWvpQi51hTrEVDAUk3sln7nmSftU41Xr5+Md5sEUepapUMJai2Efa90PH+Lx
PzjqNUu1Sx5eXr43OtgHmlJDmhR6z6He45G3uffbHuOKdfUM6h1UQ1RLHmDN
90MwHrAOVBEjlRHuQeVF1fOp96vA81fCu2hZXrprqLQ0owu5A9HLOAvYFeq1
TzXwPHl+hntc4Pxz6uMHE3yGoVmGYlix/BB79CAELeCsIeOs565yOJ3X5WjB
dbhETlye6z2pelNptrRbHlleWZ5J3kk1QbVBNUy1rBdrexoGnERrTrrHk9eL
Inbap3rPq953F/fYDS9TY1Ka+QxqJP5oF7mwM8VzRLny/rPeK6pnnFfsHk5e
TjVMtWxUoHeTRkmrVBOyAzMqzarkgeSFpOHS8kruXZHiMaRYUg+kXkieXN78
Av3w+XzPYeWyPI28jXpU9ap9icE+gR5Uvag0R9qjGFOsqedX7y89H8vra+f9
/5oJXO3tz6xnH8ffxp/1nkm903aeaQfcQBPKo70nVW/6JB6p22TfE+2NehL1
Juop1VuWU7OuQ3PuGdLLNV3aPqmEvC5xDZAWKCbOEhtjR/v/pRGnS91zyHto
pqTZkno09WqaWWl2pRhULDbg3g17uUeSV5JHkleKi/LZoc4vqsw9v7y/NFna
rJ5FvYs8sLywPLe8dzg5E1HoHkVe5SSaVNTOa7Jqs2Yumr0sPuC9nnq+ghD3
FPIWOkOd5cIy9yryLN2PeU+v3l4zLs26NMPULFMzMs3K5LnlvTWz0+zupTJf
u2IwtcxrlmqXNFnarJ5cvXkvakfvJO/x1OvpjHRWfz7h2q+ZSxGv17N363a4
B5EXiQnM+j6M5XtiXQOlhZrJaDajnky92QRqeBps+pr34G7O8J6ePrPQ7EKe
T97vDFpbCqu515pY9yDyIh145ujJ3kOpl9KMR7Me1XTVds3sNLv7ZgqaNMU9
jLyMZpqabcoTyRupZ1fvnknvnZXrMyDNgjSz0+xOmi5tl+eQ99DMRbMXzag0
q4pg78Jf9R5cvXhP/tYjzDVR2lhU5vulmnmyzM9cZ69rdK1mwJoFq4dQLzGa
PR4V7TMXzV4U04pt5ahyVZoSFZhhaJax+ZT3LvITD5OPc/C+syP9mfXsmhlp
diSPIq+inujX3ijTvYdmOJrlqMdTr/fdcs55uWuatE2eQd5BPbJ65XzWtDJQ
I1QrtgZqs3ps9drqwdWL/zoz7uOeSt7qX5+Y/fsT98TyxvoOfZc8vby9PLu8
ezCaU3uN91i/9lp85uJyrwmqDU2P+mxcM/Lv0a8nNrn2a3/rtPQZk2ZNPVnr
U1N9JjE10GOr19aMSbMm9ZTqLRWjilVpnLROM0XNFuXJ5c01Q9YsWTVCtUI1
c0pg5qfZXzu+o+1Uj1HFqjyXvJdmeJrlaSao2aBqnmpfKzx9BDyPJ3ghzWNO
sacZlGZR6hHVK2pmp9mdZq6avWqmotmKckC5EMZ33Q+HD+PhDvuZ6GxUw1XL
j8HxmT7j0qxLnkbeJo8YnF/mvxHot4Ljgc9qhqxZsmYgmoXoNwX9tqCZtWbX
mnFp1tUt4I0SOasekV7zVPvUM6t31kxes/lwtCcixGu2ardmUppNbQ3MErVm
rV0zVs1a9ZuDfnvQbxb67UI9tHppeUZ5x/3E8IGxrknSpmfY2/7rfcarWa9m
mJplqoarlsvjy+trpq/ZvmZWml1pBqxZsGZGmh3JQ8pLyuPL6+ueurc8kbzR
/wFatxjU
            "]], 
           PolygonBox[CompressedData["
1:eJwtlnlQlWUUh38qYoII4opLCLJcxARzAcvcvYhoLoxLATpgiwuIcEVCbcSl
mtxA1GxccbK8NmpFioDGUiZlLjiGmUi4NWWiMi0uWdlz5/3+eOYc+L53Oed3
zvluQEr6lAXNJS2ClrBxj5QPYy9L7bpJMdgtddJM/OcHS3n4+bC9n5ToIZ3d
LH0Lp+DWx9KvkJEkBbDXpz2kCYXGb3xLmow/BcRaG2sblkpXoB6iP5OiIOgM
53aRwrB9x0urfKWuTqluL++Cx1ApyU2y75BehIng9iF3aCf5j5PuTpXuQRvw
hN7E4sszG3YXa3fCkvWSX2vpXLLU9rzkBd4QxHs7eS/cWrM4RprjkOZCQJHU
E9aGS6M7sVeVND5IioNxC0wu/IqlhAbpZXg11cQ4A38Lfl/83emc9yxnQSti
cgc/p4mxG3bubM6D9XlSVlvyjJVdejJGWr1cym4jtdiNFifJAfhFSfHo8jp6
jBxt8mYjbxu2ohPEWhruCZEOHpMOQRb3qe0uObDTYDq8kiXNhtyj3LGD9Dsx
DcqRBkJ6tOTTGQ2quTPr3SGDvFRw1roa6Rr/D+H5VeygcjSEyFqpyo87ocfh
SukIvIP/tjs5Jm8lPC+FRPI6qhl5DpacJdJ+mEWcM+EXa98mzm9cK92GEcTR
uaNUXEa9UkMOOJ9GXbYilgnECYXgvl1q7iP9PYpS6y9dp8A3oNHYTHICEbHE
ir45H0gLIB0Gc69oiKoy91xDTRWVmfNKsfeomSawh0ljIJVzY9F0DjZvhXQa
bTZjH/pLj6AjOeoAh69IB8hVaI3Jv0uHwhCjQSa5D/iIuoLgi9IdcmbD3iWH
d8D2jdSfHARjK16TyuFNNPfirJXL+Due/LWQHgwk12g1CurGmX1C2ScQesEm
6mgx9VSAfe8ZaSsUEtNumDRPmsoeBfie7OMBtmzq15NzsYnUbAL0q5C+JxcR
2NQfpPnwNTn6i1zdjqPmrZ46S0/l0WP5rj6z6ikH60DTRdBALDnU+/V90mX8
OvjvhPQv/HPC1EM29eBLfRwnjkji8cb3gbGsjwE7NKHpl2j74y7jV+E34F+F
JxPZE2rW8MxLev8F7s76eva7UGt6zNVrDxl6nYjzAfanSNZDmqXrNGrLbQYz
Ef4ktljytxQN34AccC/gGdRSY/e9mXXb0Heb8UuwjuHEC8+lUFtQPdTscZ+9
LnH/oZwxhDNq8S9CCdochWIYRjx70WgE+R0OJSulP9B8JH76AWoWUg+YOZg4
SeqBTt2hPdoFouXlxfQus28ADOF/C4nRwfO5w8xcyeOM5MlSCmQymzLguyNo
jlansT25Txrn+WNTBjEb4PF8+gmaZZmc2QewLtvsvRR7j5nRBOHLTT05WROJ
3w/W0gPHmUOfYA/CIYjfxLcAzjBr+9CL57BnLjF7niI/s7gP/mkI5T4hcKoX
mjIOE9CjkhqrgHpy4N+eGYRtz4xcyAfMHS1zmYEroIjvT2lX3mcfOx+hGAhc
Qs9BbytGJ/Nl+TLTU+uwjX3pH4im7qIgwpplfbBhVl90IafJ5DYFrln3P4t9
SL8/gupz0klotJu41xFvu1XUMDxmPsUxr3zxO1h6ebFvIPSCHpzZHarojwz6
5AQ2vMbMkI306D5wws048/wrnremLjzgZ94bQI+uZr7cwL8JIblSGfX0iFoL
xbflGt1d+m+x5sI86sKTuRTCWg9rxrtmfbWV8xvT6W006AoOZlwm/DbYzLx8
/POH6TXwYq6mkauCC8RLDD7Qwvo2CzvnaaPXVfRyot9+aGnNajfsu8zVNRD2
uZnpU8lVEH4wVDGnKiHpmIlxGvaLUPILt8pNP3WmdytizHd8h/U7xvV7pp7+
ecBdb2JLXqImYKX1PU1mbRLMLDffedf33pu9QznDF/s/VkEFxA==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.6107166204844466, 0.5183349145472497, 0.4600579611209643], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtlnt0z3UYx9/UzN026eqEHdeVipz41WHsYAfJnUrJJmcNszOyqSQ/W6pF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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXncz2W6x68WVJqTSlOI0GZLQwuyPLQQhSIpskYhRLYzRfI4MxljTQ0O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            "]], 
           PolygonBox[CompressedData["
1:eJwtlXlM12Ucx99cYpoHoKtAQdjkcCronAoWIKKkdDin5hESiDqVQ+IqD+Sa
JoUc1YxcOJCCNohERRvhFWphBIaCmmZNtKY4K4epzOz12/P947XPh9/zfJ/n
87w/B97xKYuS7SUlgJONIGkHP3y2R6qBWsjcK40eKWVgE/h7DbTgfwtvpkm3
hkjH8M/FSm3Qfklqdpf6xkoeFyV3mLZAeneQlHdc+iRaimTdpUfavF/aAg+S
pKWckz9F2rhMSgTHbskBbrM/jv3r2f+zp3QejtZLYc9IqaulE6HS247SvYXS
jSKpF168Js2CQO5tfkF6CX/Pl1LOYKlyheRJbF5Q+osU4yGVYIuvYMGnVvKG
YXybSsxj8Ed9IbnByFekbFfpfo30d43x/8XW50lfwZErJtYNxHoYvwlub5cK
n5X6sQfGS42Qvw8tICjYrBXgn8znLfADZBNnJnEmTJdWQ8NZYnpOOoRtnGn8
g/inT0tnwI9zGh2k8d9LRbxlN6wvMOcETyBn+GvBDn0ryG99CrFAI+Tyew4U
Fhh9ItlfnkseiauPc9Pw0+G7cukUDLFq5Aj+wBzpMTjZaoFvz5M3e/TKQZdx
aOWNZj6QhB7x6HIn2uTUlltb3Lb4K3mHF++p410pW6Wh3Js5Qzq+Fj0gtlla
BTc7pR+fl6qjjIY2LZOt/euwiz+UBo2QOirJDXv+gVstJq4LxHUDvxcaOCt0
NDVzXdoEqXBhi9QFsvTpwA+iVgPh6y40oIYasD3kcAf3dWMjF0tzIYq4GojL
j/vW1KFznalpW22HUxsRaFHOu/da7/wUO8xXGg5jqfsxcMk61x29J5DDACiz
atOZGMad5Fuoope6iOUdajPXhzwS8lkvaeVB3gmdxN8BfqloRD95Yp/uZo8d
NeePPpzhDDEB7Id+q+/uYrfx+1bIgwFicaMO24tMn1VPoi7x22Bmo3TdTZqB
9QYfiH2VHnNGD86JgDlwmTxMdpF+xcZsI4fgTN4HwfJF9Bq9dZR3vIfWO2GF
lb++cOlPevkPcCT2BcOlJ9z7KFl6CFObqI9RxIE9c5gago8TmUHk7RR+axu1
Ch3ol45+m8KkEazb0R/zpnFGOmfB4AzigYXpZi2KNSfrvnPMlJB4Zgjsw09i
vnTE8U7OfQtWziYOYo37CN2IPRtcyH8nQ9SPeqi8Sq5gElpOhJ28s4e8NZG/
MNZDodWaW9PxM0OM5q5o7vgaccCBE2ZmTuSbIJgCvln0OATAE/RetYQ5zO/X
0Lnwc7Tknl1w6KK57xvsB+S9CEqY28Ww3ZrnIZFoR322Qi/1eZ+7nlajC/2b
S816YCfTw4Ewn/y+DEOtNV9+W07f/DRGWobdgL4b4W6ViSuL3ryD31dl+svW
ZxnQzf507GO0egRL6ZEsYn8DW8qMKYHiXFPXSdha6ESXplxT17b6LmT+74J5
Vt+FY2/SP73ga83BddRf3xIzv4UujuAE89Gmi/si8FuY18fAgRloDw+CzV31
3PU6fhm+fw59wloMJDKHN0IF5zowU6I38w3x9INvjtkfgI2gLrOoz9nYexuk
v8CNb1zhcgVzG+1/x85qJ5fMoYd8PxM/GAbmmvXfWC/lf2tZmvm/Yvv/YmfN
1f/IVy21VQPvXzU1tx/rb/V83VTTJ7Z++R/pWNFz
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.6258964099531836, 0.523669664839777, 0.45113437881346397`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtlnl8z3Ucx1+kJMqVY43lWK5Uc+SMEWuhIZQ8WmGux7LNlTuPFR4eaUYT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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHt8z/Uex98RplQu020xNmTLnWxEbchscp1litpoqzC3bCNy2eihmyIs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            "]], 
           PolygonBox[CompressedData["
1:eJwtlmlQllUYhm/QBBUXQARcMMDR/AQ3ci0VHFcKVxIpVBaFMIRQEVxGEtHR
FB00sAU3qCSxzCVJc4PKEAd1MkUDErH8UZOCS24lXd+c98c1z+E75z3vs9zP
8+IbmzI92VHScngB1qRLqW2lkMHSkDekodDpqLSok9QFOyNZCofk1VKFi7QQ
uzdDKoZ7wZJTBylum7R+hbQBOn4jTeDZrtjGCKkJHv8iZbtJ3Yolt1DJHQ4N
lA7C+nelojbSKuyt/VIDJPpIk/HtWIwUOVby6Sid+kSKWSzFQvN46TnE7Mbv
dty3jnUPKRpsh3mQ94f6cX+Q9DWc41lf7jiPDcmSgsFWJvXrLG15iWfHmv1K
9udzfzw8DJAewFs5UlB7KQL7PTHFcXc51nO+5AWpmdzlIN3vKa0olVbCoY95
NxyAYy3JGXkKIeZgKDpDXnlv3yvSX/ukWvJysLuUP1vaDnWcyWtFTGvI7eeS
M7gUm3uCw8gva1coDJT2QEWllOtJbNj/dkpHiaPlLunqMKkaluJfGjiMN3sO
7L16SvqiBbVhv+En8g4+FdJE6pCwUPIbLvlDPrXOg4+s2tfxW+vv8AleqZI8
vMg5uRtD/kNgMvVo5B3hWNtVqQ/UWvF0JY4n483+DPafrJWewiU004T+LmL/
HUAMsMPKUQG2RQrxwG+f8n7wKzZaGvg6+qMmTTD6kvQVvvScII2w/BqO/Qd9
PYKtSeQIzlr186ZW696U1kJiNn+joacjpAtougpWo53WnJuFlpxfpg7gnEbN
8dMRuwG/1kMpsd32Rm/EuYDYzhNbNvm9Q77vwjXyWg1rMk2+75DvxTX0Fhwg
hyM9pBJs4CwpACr8Te+44uce+mA3bI0lx9Q+j/WoPlI9WkukRsmQAqmj8Yf9
hGm8Y4u0D+bRw3Hwd6EU5cpvE8ntOO6j4Q/lkjd0ch9yL0tJ+O8ySfr5iHQZ
hlq5HIJ1/5JWgow4KR2qyPU4euHbUdKJGeTLibvtdRtC3SDK6pVc9svo3XKY
ViRNhet7iAnfw1j7c7cfuFKv012lXbVSf9b94N5GqQN3TGe/+YrJb2I18cHb
8CHxpbP/DnHPxadoSLBqGI+dyeCIgCxqsxpOcMc17jiO7Uu+bDA3zOSxF+vj
vY1fXqwb6ItbcJOZUQ9Z1mxcia1dJtVAEnH+wG+hDNDWliYmoI/oJcwRuEAd
q+D2SXRMfWdzf29rJvXCOm1FS9CDO+fxbE+sC7O3HTifZh9y0Ycvecn9Ff2z
7wgeg835F1kvZX8m+2mWluyaOsDZCmrdTI+UsN4P/vS0H/Smb6M4v4lzLpuY
weQvpIA5ACOhfq90A+o5O5VZMode6BxjdDeIWqbzTAY8oeaP4RnxRuLL9aX4
lW7WNaxd8dENNtaY923G2rizL9y31xYa0EF//LyB3cX82gnbrZrmY1OPm5nu
zTxJYr0Q6iy/arGdmCMecMfSSSn7h+EInEPbFeBAz/dhllWyPmnVfwNaCLTP
fIhiLmczkzL4rYD9HWB7j2dgCrk6Rq9Gphi92XVXSi4DiSeSb0Ubzjp2I291
1Ix1e9iMfnOgGM5wrvIiuma2nIJH5NKTeMagzaQk41cV/d2dGeQDTmilFYQP
NPM3Hh02ksO7cNrqsQHo7rzVe5U5Zu7b538DPXwTnlm97U3P/2Hp7nfsUJ4b
Biv4nkYjwVR6pSP97ArL+NZkwJ/WN6gBm0kvr4LUD+hjvuvRIcxt8tEFqplh
dfgyKRzdUfMlsCjdfPseEMe45aYvXsPm4Uc+RBw2czQKW0jPFcEtq/4RzIHO
zB1PaOJsI/iEGg0/R8NncfhHaDvK6LU9+ithfibzHRqEL9W85xqU0I/7ICDT
7AVhBzAbYnkm7TNigUWwwIopEdvE+Xuws9bMn0JsAPMmEMrfN/97bPHl/azP
QolV1yKsGxp2h8fU4RE8zDG57c+cHp1taj0FG2xDx7AWzWRD82bjk3uZebfd
hznbzP9P87D/A+Z0H5M=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.6410761994219207, 0.5290044151323045, 0.4422107965059635], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVmlQlmUUPe5gaiaLuaQhKCqDiomJiktuZdK4EZijJiqTpqGp5NIi+qMp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            "]], 
           PolygonBox[CompressedData["
1:eJwtmXm4jnUax2/VFEaKaKapLFFaKEU554gUIWTIUkwnnEqLbC22xEykaXWl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            "]], 
           PolygonBox[CompressedData["
1:eJwtlXlM0GUYx7+gaZgmipAkcgiCZV6IChiHU8ChNhY4NKLibJCAzKOkTJFa
iw2MMsUsDzJQxFxpSjgVEFFRUvOAstzKyKyZQ4MSUPv89v7++Ox59zue+3le
n9S853MdJWXDI3D4slQHR2CSmzS+QZoYIa3uL9WmSn2l0n3YzPtymGy/K+Ps
7C8NhSur0POY5F4nLd4vLYJEmIWB829IX/wk7YQ90DBK2o1cOEFKgPUt0vtP
SO8hp82QgmDlVd7zXT4y6xPplAPfjZPG4ps/OAVJ3QThuIIzDILh30jDwBlq
eBe4SLqdI/0N/0LCo1L6U3x/RbrhLn0bi916qRiyp5h/Fi3AP75thOUXpGVw
fYc0c4C0lHMUPgxFz4OdUg/0gkel9M8waRTyCjrboHu2if17fOjB/144/zbx
k6OuaVIr5+/AjVhd4ZVm6Ra5T0fu8MT+k9hoxz/yXwx/BUt/wrNHpUpX6cJJ
8rwXf6Gn3Xz/EJmShi6o5nmwi7QX+VKAlAwdR4z9qdQq1NYTgvx8GbWBvnPS
tpFSyzlTK6tmGehKh3xq/ubjUtV6Kc9XujRQ+mEl8UIbpPF/KpzYInk5S0lz
qOMabMEe/K7oJ/1RIJVelEqgDMJGoA9dG2jE/fTTqS/JF1yELfRFOPXYiL1y
2AxuGdIQ+sDdTzpOjZvA53XJG7zABxtO5DaJPlpHP6Ugu56hFjAhHxuD0Ik8
ES81g0MmzQ/h9MQCatqPswd9NAruxpsYR68w8VlxumIjlfy5IE97mvzWkN94
8pMArQdMTGeRx6AeWqjTCPK8gblo4nwC+hKNvUx6LJgZCYHuGnyF7eHG92R8
r9pFjeDWQtNzuzjXw0D8mjKfPuXcCNPpn178eo3eyYJsKKef95G/F+i/2bnS
nFzjo+Xrfez44vtSYgjgf39wsvUGovfuNemgB/4gO+EOdNAnv0EdfdRMPL9z
HruWOSWni/OIJ0R6DjzRMxr+uyQdYsa6kT22vXt2jFas1rfWP5PQ8fFg4llr
8mXlzTVKGkcfrm4l38xjCownV5HYiiCuyhJpjBP/Mhc7OFdA50EzP2nEHtZE
TcHhGLXA17IfybvlN/jwjzc0kOcY+vkq/86l/2Kgos7UKpR9VsI/3uyfwwEm
biv+a0dN7NeRnvjjBe0lRk8H8mYcMwr37NhdYk39rDq+uol6Qw/6bqJjDb59
VCZ9CH3Ee4CZubEV34kvgjh9c0zcVvzR081ujWV+oiAaHmLvAQwoNblwZV7c
mY+R1owESoXo+JS67GP3XmAufibXuYXMLhw9zq6Hz+we2c85LtPsx2T6ZR7n
+bApjP05hJiLySVxOcJJ/G2GJUvMLDZxTozEBjlo4ZzD81wIKTAzX83sj2EH
+MKDyfQenC4z359B3iHvnVAbaOYziPm8+zLPobHY2D+J9OeuqSen45EvsoOT
wY+YfC1O0bfMjB9yOztrG2wFV/I89jz7rc6cq5EzqG0wvPuW9A4UQhY56JjI
TrF3VyPyq6nS1+DAXSF4aNkn3kLuioLl0iqIYydEU5cG7qJanh+CWbHGz6f5
/gP7XhscYfa0ta9r7PvPJQa/8c0PzmLvDKSwM+O4M5LYoz6XTZ8U0Seh6JwJ
ufifA6ftPX0G6WbvpOHsvX6c+0PNXPLDfXS7gt3N7siAAHt+/JER7LtISG3j
ruDeyESuQ38RVGN3N1yfZ96l8a6g1cxjEfIXcvIrdFVx58Ed2Mjd2MG//wMZ
F/Jf
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.6562559888906576, 0.5343391654248317, 0.4332872141984633], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1VmlQlmUUPZlauGWYKIkKBWqKpanIx2KmNDTKIKm4ACZCDqWFhCSMBlri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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHt8z2Ubxy9SjI4YPengTJESss2TpoYYIjannLaoOWyOmSkjwovEOqEp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            "]], 
           PolygonBox[CompressedData["
1:eJwtlXlQ1VUUx7+amZioPRA3eKaCD42UFpXloSY2JptOamKGC4plCxgzCVYs
UzrTpJZLRgqkpCirPaKcEVO0mtAyQB4uKFoTk9W0GDiAwiv7vLnvj8+cM+/e
373nnvM9541NTns6ta+k5XAvuA5KveC4Ij00WnoiWPpwv7Qbbm6Rmtg0bq60
dJuUCEkw3Ev6O4Rv3+BbyD0jzR4uLQuX/nibdc4Nf1bqwL8Fy6Oli0Oko3uk
99dJ2+HTMOkIFNZJ/YdJI2qk7mapC+5AvkUqLZGmHOKMB6RfYogPPwR6l0o9
kMfZA7w5DxtWyx2c02KTUl6U1kLhw1IB7CPmmYOl/dhI9l1mX1Stid39hpoZ
0jE4x/oM3pa6WjqQJAX0k9rKpD/hL4gbJ8VCcLXUynl9dkol5OaHEdLvjdKq
41IyxOE7+G0h1hUl/QuDKiWbj2TBbuT816GF91+GFnIQRNKasW2h0s/g/5o0
8n7Jih2409yXOoszU6RFsOYVaTWMIfeP8K0/1o/8O+6RYhYRU45UD7vieAu5
/IpcWmEM1C2UvoXsdPYMlNKx7y2RtkE632wYJGVi95Cbj+AEe5M5t3ua5Awz
6333Sf99LN2FxDRpCQTlSjtYC8Q+6IkrENvHwX4o3y6VwakSE9PXWFcEdYAX
Nknz70MrCbz3GjFSoxsnpR/hJ2hg72a+eZT3fI9/DrLijE5K8DsWoxMoLpBW
kDevqdyBfxBGVxodB1GrMGoSDrtjpVl8az8sJRzgbhg2T/KFyMNmLQprqTH6
HIm9tlG6Dnf3SkXc0ZhJTtD2bejkNw3lLdiGRNaglfWr0BVt1rpY+5J7jkP1
KWrmh+6wo8Zzvi/1rzZ5dOeziZ7c3B/Nn6YHIBQmenKURI7+IWftcMWjnZvU
JYY8xUIV7/sG/TmwowJ5Pxzx9HcltuwCtYDn0GAkeq8kP2et0ndwgb5thkkB
9AU5+LxUGswbbnNvJ+cMwPeCCPIQDo3Z6JCar+T+uMeNZgPQbA+a6YW0l9Et
1O1gLxpejIbLWultqIBy4pxAnK+el37DX4+9UST9CvVj0TG8aTW9402cW4l/
CzjRSII/eXJbzoyHD+j5O7znBHfleLS97DFy8BI5gLCt0nQ4xplZvCccv+qi
iSGIGIqp8SHoetfMuJpV6Ar/FriYhf34zbmSO/B7YCjfDwFv4Kk6ylriZN7M
vgJquBfyof0T6gUVT9F/1NSSQZ3Qqg89dZqczdkgPQll5LUUGjKNvs67fU9+
67HtaLpjqqmnu65+Keaus1+Yeeeee1dtZr7ZmW9FTmYeXD9p5kIhfgg98xZ1
tdAzsfHUDDLJXQZ4l5g1H2xqHuv0jH0O6/nMLJjyjjQZ7PPNbFxvZw5dIj5I
vmT0msucrqZOEdTrM2wKGlsLE7k3GGyePh6PjS/mfkhCx23EF42/Bq08jx84
nfcze5pgmtXkdzY1mgcx0F0uLSAG5wp0hu+CZjTjhGd2oVdi76Tfs8l1FmzK
MBoOJe+++D7gl2FmhbC5/CflQGSVVEvsduy6CuYShM4183wB955BC3WQF2Xu
7+b+lGDTy5PoqQlgg/8B0sq1QQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.6714357783593949, 0.5396739157173592, 0.42436363189096277`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVnlQ1lUUPSLmhkoqbiSpuDAWn7iOAipmE1mKy4SBOpaikiTgkprgiBZp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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHt8z/Uex990Uja3Utu00S7kkmHlOnQi6pSpUTMWm2FEmUvFLjo21OGk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            "]], 
           PolygonBox[CompressedData["
1:eJwtlWtQlVUUhl8VSo1b2lGUFJVJ0RQQzRRJIVHSgEKTQ2qCiOIVJLuZJoxS
WpLSZIiUqR2uchUPZYAGWko3YBKtnOlPNtWoE2KoM3nrObO/H8+sdc737b3X
Xutd6xuZkjE/vbekVeAOt3dJPl7Sf9ijI6U6OJ8sdcId61mvGdLhIGlHP8lt
pXTfzsJE3r0gjRwqlTRIVVANJYukYigsl44PkPKwg16VbLAhQOpmqTd+ULa0
10NaOE36bIHkALclvMvzvO1SAeyHs2elgMHSGWzVFM6AVW9JaTCItTns8W2W
FLJTyvLkjHCp+SWpBZq+kBphwDppWH/pBP61CKkLOg9LEx6WOrCZJ6VlD/He
61IG/gZ4sVC67M01sXNhHpytl1If4Tzs0BWSHxQXS0WwhudXeb8E/+lAKRKq
L5LLIVLpecnZKn1K/v4kjzX4tVBQKQ0eKO3D7nxeehcC4qRRMJ681ZC/x8rN
2a4YdrDn4yTIp4WadJAouNtODL5Sb/y9MdTjQam8TIr7RXoO4ljf1QefPRfi
J4Coawgi+Gc86/D7wJaD0ma4Ty6dCGP1HPI7XOpLfHcqpLYkqR1ObSO3EMs9
O8lf3DxyvF/6mbs3YOdTxwUw0Mr5cGodM5n34QoxXoayaCxnODdL96z4R/N/
PXr6HG5x15twA/J6SefeoD5TpWRo3yodoVYTNknTX5a+44xYrHMi66GQGPZD
3xDpD/J9AH8DuvSxST9wVjdch8L3eQ+WLJeWkpJ8/L/Rwl9gmyu9xt1ecEih
KdJEKOV5BL1QSS8kjjFxTSaGX09IF6E0ndrDE5NMTDOJKW21iSH8qGQfwTro
eY97odN/sT3k8wZ4tJi62rD99kj9YTMxt5Ej2zvoGj8bZtMfUXCFvvBhjx7s
OuL1I9ZXsEsjpSTIiJXSYS35iCeWhvXEdYw6o90wbCq/V0Cm1Y9C94uc0mKo
JccO9OLLeeX03BFobKSX+G8x/bYV3WZZ+nXpuBs924i9Dj/K0sQsbHIYNYOv
0eJp+NDSZnUe9UBjV4nrDLlaj58OfuTVRn6n5aI9+mAN2A+hV7g9x+Qimlx4
L5O8YGqueT8s12jGpZ2PfqNWj1JLrFeV5AkekOkmXWK/OGbXHuoRiw1mfoVA
4Cajp1BsEPkIBjt1TICvTtOT3G1LqDSEmeALYW/SA7w/DH90PP0JwTO5K7Fc
303vj6X3ofdKMy/dsV7E7QkbLR2OGy19gDby4IzVO8tnSR9bM3PUMOYGM/QC
dO02e9/DJkwgNkhDs+HsfQhNHiFvFRDD3H4Wgq05GIg9vt7U/zR2uT919zdz
1jVv7dQyn9k5iTncmmXmaBu2hvvXwnHqnoTGpxNrI34TvI3uc2D6SVO/wo3M
tHPojRl3ADuYPX2hyOoVB7aNmNqh3sqlEzuN+RlWb74Xru9GUYM5K5yzKs+b
mZnNXElpJm4oyEHrPI8ex3n4ByGXntwFDmuGxjCrHD9xN+hA475ovQjfgxqX
MOsi6IVA8jAWkvkvCeItPTSh4TbW/wjHqkxuU8jx2hp0CHftpnemsG+P9d24
wQy7ht8N+4g/H763vlVf0kOX6Ovf4VaFmaF3sQ/QZ+5Q/Ak94sP3KIqcsk8O
HO0w35ZW8jKb+0VBpHXvZ7h3RQa1hkRiXch9yvDrWPMNs/NYh9nDtdeIJyV/
SGX+jqFGrcxY5wzTA+ncqYWanIImeqgRblrzqOopctFsenkbNoFvjR3+B5Uj
0K0=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.6866155678281319, 0.5450086660098866, 0.41544004958346237`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVnlQ1lUUPeCCK5I7KiaCuKTkmkpYgiWTimO5gJE6LrglIo1N5jKfWFZj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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHmcz3Uex98z6cC4chbDOMoRGhIbkiOUkNKcscxBzpkKMWYsg2wzHUbp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            "]], 
           PolygonBox[CompressedData["
1:eJwtlX1M1VUYx7+YYIqAogikOBEUhMFijfAFNMJkGbLSgovk5FJZGoKuUIGY
0dtawXRqWBcGKvFiXCqDdBPBpk0pIwkFEhRruGYWFag1K6nP3fn98dlzdvmd
c57n+3yfQ3B23urccZKywB3KzkmlkPaQtHOmNDwgVdZKFTCvTro9VQon1r8k
1cGWnVL+ZOnbhZL3PKlhutR2TJqYI02Cn1aaPWHsCYBAGGuU7sKM2dIy7ry0
Xjr/IWdALfcM8X098b8EvoX9B6S/pkh7iM4dUpWn1E3sjGUP5B6UNkMO/DBe
ejaRe/j7LQqLeUoKYj0b4pulJRALVdz7wlzpx0XsgSPWuYUlUk2wdAjiyG/a
NGmdU4pokBZAF9T6QoqpxVXT/fAnOV+n1q/R4yvogL+5w14s3ciUfr4H/Q5L
URAN6S1SJFplEj22SxMg02nue6JLWgWp0N2G9n5SP3FJATXApv1o4iOVnCRf
KIJPjqMn38XPl15Bp2Jwb5LGw/PPSHno4sbaM5u+QMtSKclbai9DQ6umTqJz
t9QEkW9Ifl7S6GLp1FrpNIT2SCcDpQTqbKthLzjQ9wNYQ7960CCV+OuA8c5v
xF14aTdEWxpFEYfYfw3iyOFBCLRT/0S8Vyo99zL9gxPHjJfaiaP0dQRusDeC
PH8hni6SfqdfHcQsfGaHfeTXTX57iTuotQCu51L/JHQ5ytmh0gbon4PnIMKq
MZg4wjl/wNYQ0xdbi8nblf/xy9IZ6olupS/tUgoM4/dQf3x7Vtr4NF6CVPra
TH7pRJ8gs05j3ctdfZDMvnp80MOeAbgMa9BwNXj2SYn30RtiN96J90CXR/Hk
BakaxqGTG/zzLv2dwLmPm767+h9i9SWIGPsq3mAe1+Jp+yYpG1rX4VG8GP42
EWJghPk+hye60PUENbZBcTX+Zc42rpDm4LNgGEtmD3170srTlW/lSjOjdfQ6
14G3HGYOXfOoCvLkjH/5LQ7tM9F+BdG+gFyggt46ICOat4OeV7K+itaDMNmG
hvcyj6x9mAdv2IpmH+Pr8jByLDOePUXMwdObIZI59ECPULw7inY3wcs6x32D
dJB7DsGy5dJSyLNm5x3y3M5328ARY/JcRJ5+nDMdoqxz5++R3rfenxC06EP/
7+HTXmYOPus1c9fI/JV8Jz1MD73JwUHPKmCK5e3FeHsm/ZsFt9G3LoCeMt93
zvNOgOcueg8Vlofz0biaPKogOZza3ciDdZK1ruc7JzT1mHtc9/lcYSbwqTex
EA8VwMWFxnN709Go1HjHjnemkocvNJL/RzBGDnPJvYX1NmrJhy1QQ57D/G0Q
za9APzzAu+obxftM/0fwgSfzWMg7UQQZ+M4GrcxKIroUd6A3exLoWzlxCD2u
QdCLaAFezPc+5s2PmGf9L8kl+vOmBEA/OlwC/6vM/Cx+I3a8Rh3MRyq/LyeH
R6DpS+6jh4n0spG1E2yvM4vQmWHe3/fIz83y550k6uHNH4RvzppZvkB8E5+9
BWP8fhdsYeb9vcj7u+oMb88M3hDiTd6TW3A4jz3c20BMw2fpcMTSyB+NPmd9
FLLo23o48AVvBd+P4bXmXqN5Of1KeYzz4X88F77c
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.7017953572968689, 0.550343416302414, 0.4065164672759621], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1VntM1mUYPSh4SRRRUaxQMK9pTE0ss9RakaCSpgYqmxdSGRPcmiyVTPno
spFsjkJFWaL4mTcUQnGoELnE/EzBFAjvLtdK6SaY6dQ6p+ftj2/vjx/v+7zP
c55zzvOLWLD0zbQ2AK7z15a/YUeAoSHA01xXfQu83AuYNQYI3gHcDga2/wBk
87fmceC3RmBEAjCtA/DGIiB1P7C6O5DOdTL3bOOeSVy/mgUwJH70MGYfYDD3
9C4Gjp4BQv2A6jxgZSZwMpB58K6Ty4HCTkDHeqB2O3CM9478Grg3F7jDu3zZ
PFdsccbWMcdvgNweQGs5c8u0syeigBuxlnMkc888CzSHAoHM2ZMDMBR8EcBf
LuYdxlzBPfcDgAevA3uZcGtHYAPzq+1j+1OTgOQZ/JuALRsJPNZo+6cXAZ2Y
84e8tytXn8tfuShv5X+edVSdAPoRz/LnAS+fw/m8jWtf5vcH9zzwAlP6Aims
K7rJfnpu2Acs6W9YZXP/vdHATcbfnMGc3Hth6b+SeLOJE/j/xnC+Z85BYUD9
PovTxPVumZ0t4NnQq3bvBeK0YjKQ342/ncxhEnNuB5Q1AKNdf2exv8+VWX+X
sL9TXX/zeC6tyrB6OwXY4+oqZY0TPwJe6wwkFAILWVcu86lIBQ4wbjjP7uH6
MNvwHzwMaP8uMJ94xh8A3tlu++NyjQfC8zhxLZpjXEphXUVLeTfvDV7IWsqt
L/lp5A9r2N0FaBkP7CI3xpMbpU8xv9Xsd3tiQ8za5rr4/RhrIND5CSDqApAV
ZrhlJQLrB1n/g5jX7svUBHM+w5xL1ll83fNdg73X/3/Zas+n+e7GVPKBdwUV
G9bCPKIA2O/OHufZilOMQaw+PmsaUB9vEsOwmZbnT58TuzSrS/WJZ+LbI/Jz
yhDry0ni6bnIu6idWtYX4zgQQw5cO2C1X+V6lnrYxhyC2J/iHMvtInPc0t+0
c4vxT18yjXiYzwwfNc7cNowDOsQah5vYhy6Xbc/mc4avaokhFypdLX9OsH6r
79Hsf6vXOHb0CvkwinUwh+B0IOATcpF7vnwJqKmhlxD/zowdeNmeu3I9NNbi
JDPedVeL+nmLehnJmLeJd94LQBtxLAuYR+xayIe5XOcNZs7Ec0i9aVUYvnLQ
zujsHa5d0y2fXunmKeKh/CCWPYskzwcQg26svztr7L/WtKceLSJmiW7Pp9yz
wN0btcb4JF6J7zVZxiVpsWazcUmckpbUO/VQuAifh8TpC6/hLM8Tp8Xt9cuA
950v/cO+H3nVNHKXnNpLLLw92U+uMU5rwmyX00UPxnh2seEwn3j0cbySDuTF
0lE1c9votCnNlTSY9uUBYWut9gFcN810vCK/ih2Hz5DDUc4fQojtzXLjkvy4
ncf2x5KHf28y7l2hfsvYj4be1AHX3xttjmieRLq5s448WhFlXhq43LxJ+Mgj
q1zt8onoZwz/SJ/5tfARTht3mo9t4Xrfebs8xn+Bebi8v9XlOYW882MfBzBO
QLH5pnJW7uK6elFHTNo02V3quTih5xg+7zlsWAmz6U4v03ymDWlEM2dUnc0p
zb1SztNJ3HOQ66gL5jkVl0zn6ksoMW7JsBrVZ3+nET+usxOdL9Gf7j9pvZMX
Pkqz/orv0rZwriduW86ZJ3y/2jBSzuJ1Avf1JGfWVRu3xJMQ8iQpyfDRrGtx
fRlKb1/ltCMfUlzFv1ppvdSzH3m9pMrmZSrXlW6/5qSH+HTj+xEDzU+V/9QP
yE/n/3sbTDPSTvxw8y/lfI5rmcNKmMmv//Nt4lQXYd7lZR8zXfz3DpuX6f2J
HNOndPozc/6V3ljBODmnbGYIt2NzbN6IG/XkRpybdx76zDUXRx4ZH2n4SE/n
Xb3icrPzn5at9v2h/oYR28+cz2vG1nqtL9JfMj3Bn3x7ke+rT9kM1beSfF+e
eYjv4rzGPelM31j6bgncYXqQLpov2syQ7qS/VNevSuZZUmR36c632OtMxpzt
M+/T+8XsecJwm9FJKcYz4blU8zDDfClvkM0q1S6MM2Zbv+RhawsNH+FU6b5h
Krjmj7O74n2mf/mAvgeD3RyXXpPdN6HqbjvRcBN+BeRegL5huPYeY30XZ+P+
n8vk5L9fY1kR
            "]], 
           PolygonBox[CompressedData["
1:eJwtmXt8z/Uex9+meeSyMVJR21oRk4QuFtPhuHUcxHHZhmJjncwydSxjJCbV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            "]], 
           PolygonBox[CompressedData["
1:eJwtlW1MlWUYx/+8lU5AQFSojhwMy2lROnC9SG+bKIJKoRzErGBRZrz4IbdA
GILCB9GGlMuTKJoe0hDQUBzKIdcLKBRoJS+1hh9yk9pMZdigZP2e3c+HH9e9
w3me+7qu//+6TnR2wWv5vpJehwAoPyx984DUcF5qhlPwb580AQ39kvMh6QTx
z81ShI+UGyMtb5VWwOocqYZ3+PEnEIKg7xmpFwpKpXsPSnPWSZNp0n2YvZV3
TOPZOGkT9y4L4lzJ88slf1j0mBQ2Uyojh+l8HgKfviBtny2ldUt3Tkp34S/u
rgknJ+LxfPKDrj1SBff9kSq18sw5ONMjtcCdl6TLvKONs2+G5AO5zVLpDPIg
rt/B5+Sy7zmpe4PUA8mD0ufUnkosTSEHSN1J/tS7LVNK5+yC4BPUDRedEqlr
4hHpRhZ5wKvdJve1xJKrUjFMUucEjS/k/DM9qgiUIp+V3iuRNsPpR6UXqe36
GWkKeU6F0SPS4lDqrpc2JktvwLVd0tgUafxN6VCCVAf15OiB3uPSl8FoWW2+
az3zIxouoJ4fiGvpWxrczDea5qFp6GL6DeFomj9VOlpAfwekEVho1c+zf3Pu
iJW8sOYd6uP+JeQ37KVX6PrLh1Lm49IG8GyRjoGbO/owXBHv9m2U5tFzH+Ig
Og1B0O/SrYfxD3H7b2gPLvpVRt/SibefQD9opr4mGLPrnqDuCvTcCftSjFYp
aLUUvz0PIeRSQU6F8fiKnj4NB7ZRE599Qly5BI398LCHfsA6yM6VsmCoCS3I
c1WUycfK6ydbq3LOX5HHP/jFv4peoHMHbC3DY/y/iNjOnV64/5n0H/gcMP25
Gm/8a/k4067RjU8j6cd87osgxmTTI1iP/hnggiz8MkrOxZekl3mmhOhhVuoh
A++5YLrDeDOTwR44ZGbPQR/Gl9ErqLhIr6AaZs2SdhPjf6X/9D6O6EHvesia
zz7AE5PodpLvNMK83dIM/BRGrt1vMR/QxLkRPPbcXUfLAXzaD2O2X/1WMIvs
grnk7O2S9jPXbnjlrPFECZ5o/ZZZhct5xk/x+KlgkbQFqujRLvgYYulP4pNS
UqM5+w7hrzncD8FF1AFJtqb+nHttv48cMXNnzV9COv6Ati6TUwcxsZM9BKs6
zU6ps2bB3lMhxPfxTa7lH/J7Chq/4076F80O62QGvoez6JHM+24wx25mzx1G
rcRytN8B7Tx3AdryzL7cj69uDZiZGiUu4LsL4coxek/fvsCLtSulg9BO/y/A
u7Yup47iK/5/m+9FDON1WDpsZsSaFZ8q480AYtKg2QPN7IG9zEgNuNip6VB8
3uzacuII99yEWPbLXd4bSjzXY3amt8doamnrZHdFgcP2a9wVKYfc3oZKnu+P
ZN9ew/OF/IbAabR38g4PfU5oQRf6u2mutIf6P4LajcwkJFaa34Ik4j08OwZ1
dh8LrdnuMu9pIIaT70z4Gt91gBdYBfJnZtbgwdUQY/vVQYyuNTM/jjeiODvB
gXYBfFb7Ab9P7LuoHKOdpWHLJTMn1rwE2jtkGrHaRQ/hfzoApiU=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.716975146765606, 0.5556781665949414, 0.3975928849684617], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1VntM1XUU/0Rq6yGGiXOKGJVZPrBcyV0O1sNURIWyh4gTwXA+UsvRltyc
lf5R18fUchU5BS4STk3S5rUy1FpeBN/GY5VutvJB6EY4lNvDPp+d0x/s/Px6
vud7zvl8zufclMLFzy+KA3Caf7fyL5YPTO0G7EoHPi4F+t8GlEwCflsAzKPD
0DTgaBMQ7QHMzAK+XwOMjQfqaPvxfF0C8EUYuOz+w+j/1wngWHegcxxQlsp7
fDBSDMS/Afx9B9DzMeBUxL5f5nnxIuDXW4DgZGATzyv6AE/9AORn2btXyoEO
j3mdMTsWmv/sh4GtycBLrCNzJ98LAl130od2Si1QnQicjVo9quu9UstD+VQy
rznFloPyStoAnGNdN7+j/ymgtR9Q/wtQ9SDwGt96qw5IZt5dvJt82O4rTm0D
0Lfa7gafBB5NsxxifDe6kYkx/vX5wPSfgeGMEzeY9S0GVvD8jz1Wm2r8cD/7
ssnj850a1tDGOIk8m8B/x7G3/04FPigD8ogXMni+1+K3Mv7x9RZ/YBFwpMny
Vx19dhi+vXIMP73VwTcjxO9p5rybdhbvb2f8WABY3mC9Ehe6AnYe+QY4EDas
BzcS9+eANOZ5bC2wqgV4gP5h9ritGdjRn33m2fkS4Efmn0Icpo7mfX5359lw
5vYRc6igT33QeqseZzteoSHAIn7v5PfGIdZLfSuPhCq7e3mi1a8+ZJ8Ehjh2
wqGSvV3JnnxG+3sBcb2dtbDGJWvs+wLPDjj3hH+m9/Yqe3ve8Vr9CPlJHIfe
RY4tYz/83Yt8d8snrKsXeUq7gpjmDgCa6buB9Zez9swW47242kbOHimw/guH
6c43cX+747uEvX3b+ZnVYrwX/z+lT2C59bCG/Qu8brl1EqtV9db/3BHA4Yjl
f4j2/VnWk3bOcmqt3RUO85dZLWcYbyRzvcHzcvLqyknLIY5nk4j3JdaVR5v7
pfn8yRyLDpI7fYHPiXuV9/bxnzi3K8mDnkAO7enN5NHdQAvtIM7GBfonHbZZ
VR9C5Gyb80E1jW+xXk2krXFe7ec7sWctTjPjTPG5XltIvr5JDFljHvl4Ld1q
VK2FXlcDY8YtNZ8ZAdMF6UOAujKs2vh5ldwMNVqNk0uNE+LDpQLLVTnPIJ7z
/K40KZJhWhel7+gCyydrNbCtyeqSzu3jDPclXodowz7XCaOYN/0G8G6AMQa6
biRyNt9xzvQ8C7zr3zrLzLG6VF9hpvVE+qq+6Fvzl+RxpBNb6NfO/jeGTCOE
ozjV+5DVKDznei3SS+Wt/L9OYc/vs5y/2mO6IH7WpJvGaR7zybGlzsnOF/nW
VuN/K/l/L98aSYxSaDOcq9JszaHyn0Geh7z2FbTdSmz240tMizXjE8jNKc63
ItoKciiZtfQfY5oibo8nt1PTbKccZ12Vz5i/MLzmvNJOGOm4zw6Y7kh/xpwj
7r5rNHPDPI52Wo9t9OnNumljSfYdv83yUHy9I53VTGWz33sajf+ag2nO+RtP
2K5Sb/PnGOeUg3h60mvU/lnqe2QZ7bWgzZTm71TIsGuirXV92M3+J9UbRuJa
zLX3lfm2X8WBZuJQs874XEV8ylyLcphzxSbTSu0f7RtphfRM+AlHacw9o2x+
NcfZrnuJr1p+yvM4+fZCvc2FtLPSd9/FBbaftDvqmuxt5aDZOsYdeYIcvjne
NEgxpanljmkpbTRo/ReeR92/gfZ+123tXu1F7a90cmqva6P0Sdon3TgSNd0X
D6XHIxaav/Ze3DTbxeFU00fVrt247/8dl2G7VrNZtti4JY4NZa0XXJeklzNd
6/IO2u8h4SJ8BhXZ3GmOpUfCSL87cj1O+1rTR90d+xBrcE6e+da0SRolDZ7t
PNH/h/33Qzxzr/R+apf+M9z6r301d5f5qL4O54+0eZy/qz2w2XVM91q9P9qx
/wGVxCgI
            "]], 
           PolygonBox[CompressedData["
1:eJwtmHmYz/UWx08p3US03jaDQpGpKC1CKUUq2kS4V4SyhYosxc1ouc1opSJD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            "]], 
           PolygonBox[CompressedData["
1:eJwtlWlMlFcUhl9RMVWGEVIMQUJFRYW6Ni5Eo3XBBReKogUdAxGXilXExv6w
pJAIGjOgcUdGlAGkgQQjwQVbVzRxFEShViRuSU1cgrhVmiqi9iH3+/HkHOZ+
996zvOcSmrx+QaqXpIXQHRoypZtwCyJ8pMZx2N+kcHg6W8rzlgpLpapJ0lRf
qXq7NDpZGgNf3ZZCIAx2+knJ0ZJtmOQDVdvN96exoeelv3pJrb9IffGD4U6p
2VNZwv34DXA2SjoD/6VL7/m+uEByx3M/zGJPWYD0HfanM5zF+im+S8PfAN/H
SYugIJ+77OzD1t3n7L5SPXZzo5QF78ZLgTYpPlvKWSLlQvhQaQjcdkpvWGvs
tBMlRzdpj1vKBxf8Eco91CwmhL8rpIPQsVL6AL4JUiKFdQ+X9nHfXmi9yd0U
uW2GFDvNxFVIXGkpxAxF5PeOPN6mm7w786/k3jjubU+SPhLHJzgbyTpc85g6
PqGOeRul/RDA3e+5N3g0vy/DfkFva1mnXwegZK40sAfn7mR/mVQLCeyJh/TJ
0kN6NGC3NIg9YRB91OQYjN9k1aOQmB4TzxNoHkjvOjlMj3tLf2KdbpNneZNU
AUchaZX0qIu0Olxagb8SipuNnvzQ1hH8Unh9R3oFTvyKIGqG7+gnLYGa41Kf
L4m9vzSb9SLWd5PPljppK/xurZ/GLsyj//DvDuoNb2AcdQmcL/0QI60CFz0P
IZ9ibPZS9ACx2UYPCdgfB0lrYMxd1nsS43ryZB4Wo6HN98ycdM5Ld+p/gT50
w04eK00B52CjzwZ6VA834NEm6W/wtb6P47uIWhPXDGZkOP4IaPsWDUC0leNM
rIN+H+jKOvsvZUiXYd0AaS38k25004Z1XJTsfaTjzOAxqISTaO0EOFzSMzQX
g/Uh/17gW06d/SVvbNAEU48ici9jDsrBhU7yIWqIOTeR8+urpesQsFbyIqYr
+BNSpfEQmWr6nEKf78dK98DDzEehq8vYF/S6Fd4W8Tu9T5ojvYwz58xCs34/
S/5wvs7Mz+pj0kX8GrhqnVONjn14b2wQQT9S2Osh9xZ4DtvILwiNb0Ib+ejb
BQeJsRhtFGJHrpNGQRLzmghLK8xsRxPrIfYXQCizOAI9ZzCDny+ZuRjMXHzA
7wC7Vbf2YGbKgTbAjT6y0EkJ1o958odmay7ap6P1XfQQMnl3MuDzTPMeXedt
yB3JkLE3cgOxwTeQlcv7yL07sAW8R4dgntVD/xp6B3bwXKEHYHtgtJmFNiOo
YTjYqGkH536N33SONw1unTNa8kJL8RvN+gXqYg+TekM59S2DZ9b7cZi6z0OD
c2FOs6ltJv1Y/qv5H5GM9UqTukItubQEUnvy6yC/j1Czjx5CyxqTowc/l1rn
QOQkk6OTHL1zmCWost68a9z/P4mXjmE=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.7321549362343431, 0.5610129168874688, 0.3886693026609612], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVmtQlVUUXZqSqYQaqQnTFSwcQSxNfI74oJLBx5iPsfGZNJKVhhIqZHEh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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHt8z/Uex9/KKGJDLiltHUruouhURpTNJZuEuXTIZQ5i7ppV1GYH25yO
Y3VsmS3bam5zN5dtJkJMtlOuw4POSSfiVCqdc6jn67x/fzwfvvb9/r7fz+fz
vr3e74fGxL049Q4zS6hmVp1/I9uZRUDrT83aQEfoAP3Wm/UH+9js131m/4Nb
kFNulg0rIAPy2pvlQskRs1K48ZnZD/Bzb7ObkNOC5+HqdrNvIXmW2R/59qAg
s0VcN+Vb90FstNkECD9s1g2KX+adULXX7Cx8+rbZEbjvhFkT2LTabDOMe8Ns
LNw5jf3AKJ79A4yAkXCtkO/Cd/A9dCgxaw8X55ldgpyhrA+i+Fs0PDPV7GmY
2MpsEvy01OxHaDKQb0OdV83ugfIdZsegkL1tgIhPOEtYnWT2ATR92ux+uGuk
WU14P9FsJYx5ibVjgPxaZh+y3mTesRBSIQ0WP2LWtaHZ48FmM5b7HrXXk3lm
p6DvHLM+8Pxgs96D/Ux1tmtY81oo4kx3zHKbyDbdh3CmUHrQbC8UPcl9yNhl
lgnFXO+BrziLy/DcNrNeUITdd8InW80ObHWby/a9OaPnoWAm34ThBWbDYAR7
HAkn880ero8fhJg1ijD75Sn8AFKHsz+I46ymQvEx7AvlnNVRmDAAv4Ap75m9
Cm+Umr1Z6jaULTd+wTlA7Hyz8XCKd5yGPnwzEn7mbG9CYRr2gCp86RxEcy8K
zrOGC1ANmxiM4VtjYSnvToMjr7EOqEss1IEi3rETFvLbJIhhjcMgNNzsQZjC
u6fCExOwFYx5lPdBEPeqQwz3hsGVvmbfQFt8th2sP40/1TZbwDLWnvY9aq+h
7C0Mpjbn3XAjgecS3IfkSwWc3RqY+5bZHCh5ApvCXan4F0TzrYFaE7+ZArH4
+gQ4Ooi9wZwZ/Bb2lxHS0GozMQ9zeWZBA7NH7yOmI9kz94pgHayHBrPN6s/2
NWltnaETpPONd+ESa7kIifh1Emxh75vhiTFmXaCQs90AteLMasf5N/StlpBU
ic/9Ht+DZJ750163qWxbmWX2d/hmHf5AompyN37Odc8uZs9CTXLBXdCXPfeB
G904LzgQ6u/WN1J5fxK5JBFK2Etpmf9N97TnP/Psh8REPqyGXHir0n/f8X58
9Az73W02tIHnrA5cnwvDt6A5vtAC9pHzymAq5xgHVzmLK4Ez0dl8M9nsX9Cm
Kz4APbBVd6j/CmcLme8Qi+94zlLu+ne82fV4z3nKfam8IwUOYevDsJGzLYSL
7PkSHEhwX5JPXeG6Hr50jPxRwP9b8J6ufKML9OOb/WE7a90Gu2A3FPCu8Lqc
U02zM7zvFfYwutCf0bM9DvCNRmb/IWeFPe42l+1vbiG2t3jMKnaV85T7goj/
6jDuAnEKSXwzEVa2Nctq6zaT7fphw/5wD+stb+hrjj7kNUC1YMxHxBP8usTs
NrTit60hc4evRWt6lrW9xDsGQRC5q8Y8j3nF/sfE7n5I2cO5NOGAGvN/8vP+
EdyD4eSKEVCNMzI4UUzuKvYcrlyumqXatWQ0ORm+w7e+hxByQTDsJZeUwepT
7B3yIB8OULP2w+vPENdwJ+++A0aSY1+Gkin4FazA9zKgglx2HCrwjUq4zbO3
4t0n5ZuTiKmJMLsTMdzJa6JqY+dF5J1F7rPy3Ubk8sZQuoJnYAgxPxRq865a
sPNhbA6zqRGzIOEF1ggtqb2PwAPQDOZX+Hkdw/9vRXgOUC5QTVZtDuFsg2Ej
Z7EJUrDtkoCNZes07qVG+99SAj4n39v1EP4G5Zz9Ucjm7HLgSJXbRt88WuU2
lC0V44r1X9hbK+73wD+2E38VnOFxCKX2hcFOcmMRTMzmrOBaDjURlmP3dKga
RSyN8hygXKAcqVz5IGsKTfUz19lLQ0hLfFDu/pWLf63mun4yMQXtqMvtIYkz
ToROXHeGNSnEEOSxt3zYh3+WQR9ipS9EUrMjYBx7HQ/12E8InKDWnIRKfLsC
TsDJJa4BpAVK+G0p7D/juUgxspfrimiPVcVsJv4dhM2qwyl89DRsUI2BNM5i
abb7jHxHNV21PX65awtpjOmc51V84QoMRkMM2e45W7lbOUa5Jg9b5cLkZuRh
COfMu8E8clEChBELoTCfewvggQ3YvQbvQN815no6GnAaNMAH74ULvOs8zOHZ
ufAt11ehIxriMXiPGvguJKA9X4cdu9328oFfsPvNSdR6uJhO/kt3TSNtI00j
bSOfkG9II0grSNNI20jzSftt+h37gp3krl1bPCYVmz9gixuveU5TbltJjsuC
D+Ncqyr/53L9M9q2Huspxibv4q9XefYKZHMvJ85rkGqRcoZyhzS0tLRiTLGm
mFHsKKcpt2UEtPTlzmZfd/YamBzQJNImeb34LizhTFKgBjEZBDH45LBk11TS
VtI00jYp2HxJtvuAfEGaTNosibNeCI1DvV581pR1nPacqtwqH5QvKmcod2ST
Q3JWuGaRdlGOU66T5pP2UwwqFs/DuSddQ0tL/8oebkMWNloFt3n3LZiBr85M
85yu3J7C31LbuiaXNpdmkXbJn+baWBq59DH2RM23dR7DiuULx/nmcdf00vZv
96RmQ9PP0Uqfu8aR1kmEJDi5weu39hvBfldkmP0N5vXHxyBmOvenewwoFlYR
y1kprgGlBRfz7CLIYM2ZMBBbRMP0iexpotcM1Q7leOX6J2OILRgey7nHek/V
OtBTqbdSzlbuVo1QrVjNGnLRy+tZX8op9yH5Uv3xxMx4zynKLaM4g9HrXGNJ
a73ImgfBcmLmr5AFqwo8xyrXZvLs+zASrTIizH1evn+KXHeya6DmzHfNK+0r
jSGtIc0r7SsNJy2nGqVaNTOXugGh8a4tVK+PtPSeSL1ROT3SMYj51LWaNFtG
uOc05bavsN3lUa5ZpF2k0aXVa6GN74Yz+PbZL1zTStteYk1fvuYaXVo9gb29
XuCaRdplEXVqcYXnlAaBGqdaJ00rbSsNKy2rmqjaeIl7X+o+a2010Hs69Xby
QfmicqhyaWK29y7qYaL6sQ9iZ/JI73H+3+ske+ypBqgWvNqR+9CNnit8lmt0
aXXZRLZRD6BeQBpdWl09inoV9STqTYK4rp7omknaST2Geg31TOqdxuFLY6GU
Xm4vTMbnJk10m8q26onVG6vGqNaoJqk2qWapdqmHVS+rmq/aX2Oj1xNp3MVo
3bacSZt41/TS9sp5yn1vPkdOh6/RrpcDGlZaVjaWrTUz0OxgTy/P9cr50zNc
40vrSwNLCytHK1enckZp0BCfvHedawhpicOb0LabfE/am3xcvi5NL20vjSyt
rJ5LvVcm9smAM8To2RSveap96rnUe83jrOJjvIdXL59e5blaOfs6uXsmmmfG
C67BpMUOsbaD6V5TVFukSaVNh3CWQ+EQMXww1nsU9SrfYqM2+MZ/2XP1SNfk
0ubqydSbje2Dv/bxGYVmFepx1euW8Y196R6jitXT+MiZ4d6TlAR6MvVmilnF
rjRUWqDHVK+pGYlmJerZ1burZ1fv3uh9zhTWYrN1CW4z2W4j15sSXGNJa6nG
qtYqZhW70hO1S10zSTuppqi2PHWe83vA81Eq+WhQD3INlP2F9UNd9l8HfuRs
fsrzGq5arhmHZh2qqaqtg+nhh7znOVa5VjlUuVQaQlpCGlxaXDVftV+aQNpA
PiJf6URu6wzXqUXXBnkPql60LnutAw+ijUIf95qm2qYeXb26bCbbqYdSL3W4
yrWs9OUC8kWzZWiUZT7T0mxrGDk2BprztxbLPGcrdw8gZqIghLUFF7gGkhZS
z6DeQRpWWvYgWu2TgOaT9otGe0QN9hmNZjWqgaqFmvFo1qOZmGZjqtGq1YXc
2zDJz1hnrRmAZgHyIfmSeib1TuoZ1TtqBqRZ0HGogIWcaVKG95DqJZUjlCtU
g1SLRpCThkMF367c4TVStVIzFs1aNOPRrKcb2jB8m79T79ZMQ7MN5Xzl/ijO
JhrCyAGh0Jh3NYEfu5MvIQJfiYQO2KB9QBNKG6rnVe/7D37zT1iz37W1NPal
rf4OvUszNM3SNCPTrEw9lnotzWw0u1EOVi6WT8u35fPyffmgfLEYvy0575pF
2kU1WrU6mDXXXeY2lq2lyaXN5VPyLYv0WFZMX8v3M9BZKIcol2jP2nsUv40e
7zFcFsgZyh36m+7pG8EBH2oe8DH52hZy6maoxbtqx7iGkJaQzWS7ze94rEkD
HPzINYD+rxjM7e81/sWARpFWUQwqFlVzVHs044kN9Ozq3WN55/gM14zSjuoh
1EvIJ+WbmtGWBGYWml0oBykXFeHjOwtcc0t7q0aqVkozSTtJMw4I9RmcZnGq
2ardmjlq9tgTrdULQgL9vGqMao16ZPXK8gn5hmZkmpVpJqTZkHoO9R6aCWo2
KI0grSDNJ+2nHKBcoBmWZlltdrsWl6Zrt9s1nrSefFK+mR/oxZWjlKtU81X7
NSPQrEAzNc3WOuCTHbt6zVbtlmaVdo0M7FfvD97iPY16G80YNWuUBpEW0QxI
s6AYfjsUQuit6z3smlDaUDVNtU0z4vJAjlCu0DN6VjNkzZKbBXpvzWg0q9GM
QbMG1TjVOsWsYlff0Ld+A6cks0I=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlX1MlmUUh38ImmkoKpoDEhhJE5CSJPwI8JuGU1LTGuhM4n23rMQQCsH4
ECJQdLMFRCjgR5oGusIJ8VVLQMHMjAIGIWimzo/+Ed2scF3P7vePa+d+3+d+
7nPO75xzP77xiau3jJAUDyMhK1T6ZKzkkyqFr5UioPmK1ASPv5TavaS5A5Jt
npQA5fw3OEGqxLqekxY4S79yhhvrCRA2YN4Jx7rk4AMakqW8J3knWKplXQdr
+805FZxzO1q6A+mckwauxLJotFT8ujTJJk2EEt5xIc4i7NUmaf9kaf1zJLBd
coK/3pGuQ0CY9IB9N9Ollj3SWTgP3vgfPZMztkrOUOVHru5Sz2kpNE2aDYHN
0hHOzeDc306b5/3YVmiD3b9Lu2DFF1LOKCmJmG+9iC/wTDU6+mJXzeY368AU
KZZ44+BP/r8GJ1ONZp3kWUZcEePQFDschN5Quk+6yH9LF7B3s3QKCjKNHkXo
0T9HugLLqNNSCEgxvoKwB2rRBRa2EvMU6WN82KhDAjgdlW7gN4Ua9pFDL1w+
Qk7kUUEez+ZKfjATsvFVG0t9fkGX8ZJ9IT5ZD0DiKWkLfABZk9AAm1lt9PiQ
c4o5twT+xl/gRGnjcuneQX5DsD/nQ2o9vYLOydiCCuk48ftRw63LpPehrgGN
eH6EvTep6S3YhkZJcGOT9K4L2kVIF96TVo/hnVk8W8Ee2Fsp7YEY/E7Hfy9x
LE5CP4iAb2j+H9h/jXpfBV9qfhhfadS8Js5oNOq4NB7c4GgLcaDlCey39EwN
rCuhf2HhEmmKG71dJnlUSVPpsXbic2c9GdIvcy50/CH97MkzbDf174JBRw/3
YbMuSGeeRkfs5/RWKfg7enE6dhhtHsPZNvqdfTl9nEOf98BHL0s74NgGeoW6
ReVLueiUAxd8WT9BH7A+vJtcic+dGShnXQFZ6DRE/JnYiHVSJGSVmZwKsdmL
pJ0QTN2rpzIn2Ixp7IeGDGnTU8SEDSS2ICjokfJhPnfHdu6AedhXiT8GdqFv
kRP50cMxM6SV0OGoXwt28CVqjc7e5OgFz8BJYnQm5vo36RHWJ8Cb2Zpm0Wb2
+7SZeKy4PKpNjp5cbkNofB/i5pg4G4kzldgyPaS73SZOK97K/fQG+R7CzkLP
EHCeLo2AcOaoBR+R2LFvSGPgP5u5yx5h69nzHWRkkws+crBFjdJncL5LmoGv
Dmwc9VpF/WP7zLnW+a/gOwqie0ztH0ZyFv1WBzXwkD7sYwY7HfO4PED6ifVF
2LCGuefyti/mri6Vvofx+8396IU2rqzHQRV34NeQxDyF0UsFzJN3IdqBf6HR
NjnIaG1pvt4R5wC1uD7X5LSTnM7ZyQeGfyR/uNNtdLyHPUMMocSykp61gR36
qFOv1W9Rpm9C6JvcUKNlRKu5o6y7qph5aMLfEDN//xL2kplDax59ms2dbN3N
nzYaLdu7zDxZc9XCt2Qf8duI6y3qkgAFjh47sI27kfeXQbljLqLz0HY+GsMO
7ol02Gg3Z9ixneV8x6Cn3Ny/e7mHj/GdOEp/podIb78mbYYCfOdDHbP6L3nn
sr5dI61hfSgRbVjfhRfoo+fhoKO/rD6zesvqsX/4Ts6g5o+weY5v08h4M7PW
7LZ9xexzd3Vgh+iLB/A/F1vGbQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.7473347257030803, 0.5663476671799963, 0.37974572035346077`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVntM1mUUfhCHLry0kLwnqKFrZBaIaaK2pqCpM03XxWVimJcpmh8mIRoO
sa+UmnnZQAbqJ2iJl6i8gJeJIgY6EBVUDMWWziAnJkquy/PsvH98Oy8v7++c
8zznOed9Q+MSpixqA6CeP3/+bi4AGnoAe64At5KACdzsegS4PRN40B6o+RIY
Ow1obQeMXwYsqwV28XwSbfZBIJLn04YAbfltXiBweSWQ7AF+p+/+/YDaS4zV
HaijvZoHtDwNZOQCQ381P/J35BRQTf9NU4FjrwI++hwzHcjNt/M9Y4BZ+4CV
QcDHtKNOA3/zvP/zjDscuNiBuacCzfzfRp75kzYk3PKf6SWWz8znUfr+j3ha
OgIHogE/l/PNo8zP4fXbAwQUAIvbEvMs4GQ58EtX4Dht3RA7X0aMY78AUuln
FO0aYnuZcfc9B+QQewDPBG4FRh4D8oOBaNqc8cbDNZ69Vwj07sI8ab0+niMW
z0QgnPncJm9F9N/AWPn004F7wx1X3lrDICxZrFHFcuAC1xkngLusY4+ngDu0
fyw3PwPJ/6Aw4AM/4Jl0IIh8fce4ZazbmYO2Pk/begaYTz+vDCWW9YzXiTWl
bXVcPaL1HDE/8uftY7X4poq/YiCOGL8tNt1IPz76K1kN/MW6bNhJLpIMSxfa
9CGmmY0eq7GwhJOf+ijWiuvepaYP1X3vZX5HzD8R+6EQaon5pfJMCc8Uewzj
AGIMoD6aeX4+v9ucbPsR3F8ylhxx35sDNHK/hTk00S7qZ3oLSgQSqZ/qXkA8
G+JH7j/htz/Qd7WL1X4xELvTsJQT0yan7aB4+qoB5j4L/HOSnM6xWvw2jLWb
bPrZP9JqoHyUb8QS8sXmWz8Y6BZnZ6S1hFrz8y/97DgHvNgN2H7OaibOI8KM
a3EeR22/Ow6YEgAEk58P3brvAWrS6c07wOqnOqavt74S3sfE/uknlkPFVONI
uUl3DanWR420D1wfFbHORdR9GfX/c7n1m/ru/Wv8u8g0I+1k7QLud2bcTCB0
DP0x/yzmX8X9ncS4mftbnE6kl+QqW2/g+nO3PlsHXHc9mH4W+CjXarqA9rLz
I3/iVLxFkb/44VYX1SfwHatdITG9Nc3yDGcfNLLHelHnd2nrK1lD5naDNuSS
8bbyOHUxyvzHsg5X3wNWM4ec3cC8bKAdNbPdY7NAcQ8w/sNk41M6GlFkus3w
mA5UR5QQQ7HppyP1k3nOONlGm+f0vKPWYiuHhVuoCcZtFp/E1ImzI5zYO2+1
/hHGCmrvkctTfBzebXkq38I0W094gbH62Dw5tpB9lmn6GU0O+x42LLnMc1Cm
9ekk9tw+zX3ms5f2wibTRgr1ud/td6W/2U5j4kwzTrMuhbqtWmUY1ZeaHdJD
LnP2OT2cesPmoOZhNuPWHLX5qbkrvcqntKz8lOdL1PncQcahekL9rznwFf+/
xs0N3TnyK//pxLF0ouEtX2ixlcNg5nJ7mPWj+nLFNFvfGWa6uBVoNRuXbOtY
2ilRxom46V9nmg+jLXHz//FoziBiCOT5ItqQRLsTY+g7LNL2D3P/aze7dHeJ
a3EuHXV33GaQ29fd3NNdd54xKnvyR7ug3mbRHNob5L+Z/DfQxri7JmWE1VV4
hVvzSzq8x14OibRYo08b1+I8mtqczhmVT+35V5oWVS/NNr/XTG/S3SwXV/Ev
njJcT/pTgw6j7n9/d1eqhrpvxOfaE3bfa1934wU3M6WLMMdhTYXdVcJ7iHi/
v2LvjYIrdp/pXltea1oU/+WM08bl5pvBueHu1lXUW53rTeldWtf6fpq9MzST
9yy1uSaeNWsL3TzPI6brzDVUuhrIurie0vzQ+0AzR7NnrcMl7Tx0vVZKLc+e
ZPmIszfdTFZvBVQat+JY95Y0dYM4ghdbXN0nuieU27YEm1maIYUjjV9xKx2F
lFq9+kTaHNQ81IxsTbY7vXqw3etaH2JN182wfMTT2443vd30PpPPyazXmkzr
Ec3ma443zYzWeMtN83JFgXErjtXz4k069Tn/ibvtnlbfhXJ+zHO9pjdLGvNr
InZvlb1dtJ/ksxkq3sSf3lLiVm/Jda7Wesv8D1B7Y7g=
            "]], 
           PolygonBox[CompressedData["
1:eJwtmHuc12MWxw+75U6R0IUZm2tRSkmolpC2dhuRambIragoFaqhGqbQVOyu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            "]], 
           PolygonBox[CompressedData["
1:eJwtlXtMlXUYx78pogtEm5kXNCFLNzlemqloCbUVeG1K1pbLVJQyDWEFSxDw
0jlnQdIc3grdoMnlqBnqsYUgiqBAHi0jFNRTClQgRQUVempdPme/94/Pnmfn
fd/n91y+v+eExyfFbewnaTkMgLQWyTVa2oE9sVNyw5gmKRQS90lxgdKq+VJP
mvQbeKul8Iekb7Ezv5NmwCYrxiz8DYVS71ApMFZ62ck5kLxASoItR6XHh0mO
q1LlOGk3fm+ZtHEzz+HfBOkfqEyRgoKkCU9I3+RIjdAMvw+SwmxSQ5ZUwvP+
5LMiUnoVgoh/P9wk9q1RUgt2uZ0cwDeHc/pT4yvkX8U70FplYgQQ4yPO+xCG
HJBs5J72rPTJdamNmo5gxz3CuRZ+fwS5t/OsjGefXjf+Mew8mA8X6qTzUAvb
ONd5Wrq0XfojWCoslvLIcxf8+RW/wb0YqXQkPbtC/96W1kP2RH4bLkWdkSpy
pVPgjqKXAdLIeCn6PWIPlmKxYRHMBBo+lw4/KNVja6AWnPnMbgg9x+5ntgeg
bgU5QuZTJkYMMaZckybDQWb5GfWUYh/Ok8aCaqV1zHzdFOJUSHaYPoG+3yct
ZL6Dkk2djbOktZlSApSHmTglxAkpobewkHkugF9fYK4Dqeu8tHm3lA63qd1D
DwrRjX2b9C58P5uYxM14UdpzCL1AAWxHB14EPPeM6VEM9jA9OwJpRfSM2PnM
KAU/FdqJ1UTv27D2ZdQAgeQzABJukcsYaTV2+DWj9zXofRT+aHjNep6KhqLw
o2Eg/Q8EJzOZE0LPmEsoefehnRvEbIYW2EvPi5lXX7S01UOPwIPeFlHTspnE
SCdWutG+/w68zl3I4k5kk7vzC6N370pyxndAN+/0oVkbff5hg/QjXEhEa+BJ
NHW/sVi64oVQqd88Kedr6X0ITuKOwM9WLwKop+JJdAXrrTu7FrsLrcbT063+
7/B3QMib0mD40tLXsMfQ2El0BB9fJh/mFv4c97fG6KS7GW0x9yyYaukkBc2E
3eA92MJdy4IuN7uGeN3YX2Asfo/b3EX/nYxl7j5qsqVKS9FNHHiYyUXIs/Lc
hz1l7YtybDEaLYFOSzuXNlEDNeeCC72VQit3tBdt3sba0E4R73Uwh6n406CK
/XIaKqED+f9EDFc930JRvZlfHPN7lJonU/vByyauP/4Jcvibb3zsMTf+yRSj
D79OHOilaYl0FfZbfcvHdk6X7kCmtR8zsJOWShFQTc1nYYnViybOaHDRf6hz
GX3dRV/Hrd3QRuwyzjkGqYfM3lvzPDHxMyFjEXcOsq29UESMB/hmKByfi77Y
Bz52rdfaowXsqTv8F3RBMNotpc9B2Ao0UAmdaLIDjlr7shVNtu/Bh9xp0k7+
bBrxP7D8d95Cz+CAc/SyGsojzQyeecnMzj/Ds9yViyNYPdi7OSav/7CT2P8R
0DWDvCC7gBmjXQe2x252w012QyS6ng33njZxaoiTxP1KhonjzVz3krcPvf0F
/wPOPcAK
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.7625145151718173, 0.5716824174725237, 0.3708221380459604], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVn9wz3UcflDTjN0azUKrybKyamZYiq0Op4WMMXQqZZdSIevsu2FJM3y3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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHm4lnMax29rZMseOulEGycVZWks2deayjotltC+HDrRotNCJ6Wyhcsp
2oQuEYrUqZROTYWijSIhf4x9xsxwNHON+Xyu+/3jc/V23vd5nt9zr9/7Lu4x
qPPAfSOifJ+I/fn32m4R18DvD0bshWWNIqrgoTER4+DmTyJugv0+4vfw3GMR
0+H2lRF3QOuqiJJjI84+jt+9FvHnsyM6wPvDIj6Avh0i+sALD0XMhVFlEf+r
HdGsTsT9l0WsL49YB7eeG3EbzLoyYib8c0HEv+CgHhG1YM6F3ANmvcT3cBK/
qQdjiyLGFOU7+C7fdYn4Fs76E2eDtQMi1kCf9pwFhvHboXAwv60NyznTMvgr
16yDVoX3aQ5t+HzPqRGl8O7GiJWw7fmIrfDo4xGPweMf8y/04Kx3Qq/dET3h
ImgHn90esRMO5Oy1oNEpEafC/MERr0LDyyOKYdqH2BVeG8HfYWLjiEegM2fs
BF+2jfgKOrwa0R6absCG8N4jEatgGc9YDreui+gO37WJ+L5NntGzVsI0qNiM
X2EsPAjbePetsBE2PZRn9KxdOkZ0hf68Q7/CO/luV3C2fQ+JqCGILuPzL1zz
DzgPW7eFr/tFnIB/N57I9zsiPv0g4hMYh40q4IvKiJ/qYucjOd8s7t+M+8N9
A4kHqOGee7n/s9z/x+vx0SR8BZ05y/Ud8518t3EzuB+8xjNqjs7nLeDzR1N4
D7i6OTEBD9wSMQIu4N4XwkzuPwNGE3tj4LBBEYfC/tj2AHh8MjabnDFn7Pkb
f/sm1yyED8cS1/DkNRFTYd0iYmdR+lBf/tyV94Mz5xGDsJPvdsA22C68wzaY
xDMmw5aW+a6+8+8j8p18t695xz3wyctcAx/DZljLNWvgYN6tNownliuEGBkP
778RsQH694kYAM9g76dhzPv4HGaW8P5wMTa9BK5Zi61gNjE+BxaswqZw0Xri
d33msLlcazj2gMdmEk8zMwfNxfk70vb6/Ct8f98LEUOg0xP4DG55hhoC46dF
PDwta4y1xpg2tndti/gcvtuKb+H2CdQB2HUbsQKHUlMOgVJsfQ8ctz3iWDgR
Ttqe7+C7HHMHf78ja4S1Qhtr61rkyoHwO9/thbrTI46fnjlmrn17XsTfYDK1
bgp0IhY7NsuaYe2wRlmrAv9MKEuf6JtDsclhsLsB54RG5EBjeIOcvuGAiNO4
pjbP6TGfOgnXcpbrYMeL5AQcT+2qC5uIlY0wm9ib0zZ9pu+6c89bodb0fL41
85jWEUs5wxJ48YyIl2At166Bbti0O5yMzetDb77rA92Iwa7QHVvfCr/i45nH
RLxOvd5UnTlhbpiD5uJb3GsRHMk1RxXw84v87SV459KIxdCLmOpdmTXd2l6P
3C+Cb7DhHnvHDcSkLOUzXFvB+1dkT7G3PHBjxEio4pqlcBcxdTeU4pNBMOFk
aiBseIoeAb/3xX99syfYG6r4bhkU4+sGMAjblnZMG2gLbaptJ/POk2BfnrEf
/MS7/gg3v01sQjn5NxJO4Bknwh7i+Ws4tpRYg1PIpYbwl6upiVdnjbPW2WPs
NbuIhc/bZA+zlzX6nPoOjaEJjCXmx8CDl/De0HsUtoOd+OEzKF5C3uCP/Yiv
qfj1twvwETxCLZ8Es/nbvcRTL2Kgz3PEaFnW35b0p/PpT1XUgqVQl1p1Aixs
SK2CqoXYp4CfzUFzsWQo9y7U707Y//J7qdOwqhW9BM4jR86F9uRUB/MKWxwN
ReRgfVjG9VXQi3P3XpIxbWx7Zs+uT/WtOWVuPcfZpsMf1JygXh2yMOu1euE6
6swn2Gx7edpQW+6diK/hN6iBVviuJRRDw0KNs9Z1Iea6Qh3ueUTztIG2mE1M
zoJ+5GF/KKKm1LOu4Ls74D5ieQiMhPJ5qTnUHv/mnX4dmj3Z3vwz5/w7jCYn
R7XNnDA3fhyRtc6a/YP1mto1DhbUJ6fqZw21lv5EbP38dp7RsxqDxuIbfPf6
qVlzrb3jOWtFZWoqtZUaSttoozo8vwIfjJuUNdvafTs5dBvM6M7/YRcx+Dks
5BmLoA++7A13knt3wclohPob0qf61jN5tvnkwKvwwFT649TUXGqvb8wB2Axb
oOdI8hIOIBcOhGHk3lCovAo9AdUfpC20yRo+N6QHFKsBFpNPUMFZxt2bf/M7
baytl+PzFeWpqdRWq3lW9VOpedQ+gzlTGTzQhPPB2fSec4ZnDbGWtMZmbSqz
J9ob7XH2ugGNU7up4VqSH8XYrEFJ9hR7S1/+1qcq39l3H8Z3TTn/sOOptdip
nF4xEk7vxD06ZU2wNkyhRjzaMs+4ulCTrE0vf0pdhHeo1UvgYmpYO2jBOVpC
DVrkNziRe50E7xJrK+Dym9BSUEUOLC30XHvvH3dT66Extb4JHLghz+YZJ5ek
zbTd99jwB9i1HP/D/vSiA4ZlzbH2qLnUXmoqtdVItG85zCdWXoGniP2nofMK
6gA8ezM+hYG84wC4iDrTDtZQ66svzRg1Vv2NvzXHzDXv6b179STueqYNtMUR
9Lg68F9i/T/QYAi+GJIzhLOEGkItsYXasblj1ghrxRhyaDTUo5YV9ciYM/bU
UGopa5y1zp5ub1+2M/NFfy/dmTbW1mpAtaA21tYlvGPzFdlT7C1qdrW7Ndfa
a02saJM1w9pxIb+9CKrRTKuhph11CfbBJwEz6UWz+qamVlu/zuc34OwvsHm9
iHloonLiov1pxOxpqZF/KeSouerf/O4bYnrP8IxxY12f63t7vL3+5WLiqzg1
hFqiMxp8Hvffeyj1eXeeybOVkpP3LEjNq/YtIW6awxJ8/U6XnHGcdYxpY9uY
NDadOZw9vj2LfgYlb/L9mxmTxuZufPNFx9Scas9mzC5NYRlnW16WGkOtMYh3
LYWaTegB9H0Lzjicvj+E2Chz7kITDocWxMwZlTkjOitao6xVL+PjeaUZ08a2
z/BZaiK1kZpabV1T6A2nkwslsIeYaEf/rI3/3irLmmBtMAfNRZ85rKBJ1aYT
YcILeSbPpoZQS6g51B7GvLGvj/W1M4uzy0ZyahO8RC68CJOo+ZO3pQZViy6c
g2+hJbHd4qOMYWNZn+ibwVC2IDWT2sl7eK+B9IQB3VKjqdXaPczzofh06iX0
5x36QRdqXleo2zq1qJpQbfgM8fb0F6nJ1GZXjcjerka4ekRqarW1Pdxe/ngh
3tUclcz5LTj7GduzhlnLmgzN6/1NUz6PL8vnWVOtrb+ej8+pR1eQc2tX5Uzt
bD2hYFtncmdzNa5ad+s55DgchG8PhhPob3VfyzN79lbkWMsVmQPmgjOns6cz
n7Pf1F0ZS8bUE3w++l00KTSi1jWG72blLHkn5/u+cc7czt72bHu3NdHaqMZQ
a6j51H7O9M721kBroT3UXqrNtb091l5bXtAKany1/mru+V7b1CRqk0Omp9ZX
88/AVvtcledxxn2EuOlOTezWM2cKZws1VFHBBtpCzXtXwcf62hnXWbcB714M
Z5LDrTbkzO/sfxw+ORZO4V6nNssZwFnAGmWtMifMjS3kyNaJOUM4S6gJ1Yba
TNu5I3BXcBTPOrJjai6118pV6Vt9PG59ama18wu869xuuSNwV+BOx91O3+dS
m6pR6+Pf+3j2kJLcSbib8BqvVXOpvdxhuMsw5o19Z8LxBY2sVr6MmnApHMyM
XRueXpa+1aY/z8oZ1lm2khyaBtcT851hMDNTWZ/UYGoxe7i9XI2j1lHjqnWf
nEsczc0Z3ln+evKpM3TDd93LsmaWFGyu7e1Z9q4r0bRX3Zg7CfXOK9hoaXXm
pLnpjOOsU809V4/NZ/gsd0rultyxuGvp3TF7+XDsexL3f5+eswGGMhMNG5Oa
Sm3ljsZdzRx67eybs0fbqx8s7G5W0Ove3ZkzhLOEOyl3U1sK2s2ZxtlmZeuc
9Zz5pizOmDA21ERqo7JCbVLTqe36U4v7wf1n8jcY/mn2MnvazOtS06nt1LBq
WWugtXAws3kZzGD2eh6OxLdHdcsdVdOCBlWLGtPGtjFirKjp1Haj6H2jm2TP
t/e3p9d1mJ87EnclagS1gjO+s74zn7Ofz/BZ5qS5uYPc+HRoaiK1kTsbdzfO
/M7+zgDOAs50znb6VN8aA8aCPtAXK/HJqjYZU8aWOxV3K864zrpqKLWUMWPs
bNG2i3Pn4+7nS3rVV11zJ+BuwB5sL15SnbFjDG3GPwOLyIWinOGd5dUoJYWa
aG10J+FuwhgxVtz5uPtxR+Wuyh2mu0xtru3dkbgrcSZxNtle2D25o3JXtZ4z
roPVUL04fabv3LG4ayltSi9smjFsLOsDfdEUnzTrkTOis6IzhrOGOyF3Q+as
uetOxN2IO2R3yZcV9kPOM4ctzBnYWdiZzNnMnam7U2dmZ+fDN2RumCOjS9KG
2tKdrbtbZ3BncXdA7oIaFmZDd8Dugt3huctzB+Euwh2uvcseNrEsNbnavJjc
abgze5K9yRnHWUeNr9Z3ZnF2Gdg4Z2376WSuP3d3ai81WNvdqXHVur+R6zVz
c0fhrsIZylnKGcZZxpnD2eNwnnVYafZEe6MznLOcOxB3IW+WpZZR0yw6JXcu
7l6MEWPFHY67HHd+7v7UTGonc9bcVcOp5RraI+D/wCOLAA==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlXtMlXUYx7/ZsrimIJeiaAchMOQSlXbjYk3b8rIChGhRYBfQkoNFIUKZ
NbEFLdE2F6EdhAoHK07gHIHncM3LH0FpAipgpf6jUstNjZr2efd7//js+e28
7/tcvs/z/I5jjTOzZJakF+AW6GySOmD8K+niXGnwaenHQmkIItokv2Dp7kjp
wr3SyyHSrh5pO9RB4zrJBdsOYOdJnx4wv1vPd0IB75/nu6iTkgM2/SAl3cU7
E1LmDulZi1elch9pNecFa6Q4aK6RfAKlM6nSxhSew9L90nJiuAeka+R6FbyT
0j78dWPXTUkz/lIh9nV4A6IXSPPh48344dlW7MECqQe+I4YvMc4TI7xUehMx
zoxLv8MfcPRh6eubyXu1VMR3xeCm1nbIzpCG+barTlpxWHo0jDqwQV4pGPaU
SbshtVtKRoMSNBhDz1G4gKYONJ3GNvKOC9buJsYcYmA76ozvAez6ZL6FL+ql
eqhagQ2SmlrQp0G6j2/8GkwsK2YtddXAZWoKwMcINToTjb4x6BsJ98C7D0kp
1LYrVwrZKIXC3x08R98Z7JeV5AWPUfMdt0lLciQPenhBCdKNhVLZJ9JiYmzA
+n5APrByEdr6kRPn4teoCYaIX8jAfbiS3GOk34gR1WXqtuqfxbyVzkafX6XT
MAGravEFPQ7pvVvRlrOX+fHAENwfQS/pay/zlnwTmuP3MOcj1hy2GI2asYNP
8j6sjzSaX2ozc23N91/U+SdMQza9//YtdB+kv6HScey/0dJ/MI6fVuq8mi6d
4DwK6R4pDVI9ZkacfFvxjMm1lly3QjXEPIg26NFJndeZ8xsQ/pQUBltcRtsn
0DbjCD7Bm8+MWXpzbu5l/8ilHevvpJ9wzN7RX7CLitAffNKIzfzNPiqdpPen
oDqbHCB7g7TfV3oee2UYn+G8NyLljEq5cLbC9GuCGM44+gDlY9I7UDFm6nZv
Rw90PQZ5ZUbveejdb/f1kee4S+hzPhzkeQ/EzjezdBltS/HjhOv97OqdUiXn
UTdawotZ9APNTnF2Mdvl7PLiSRPfyqMUTZ0QQW2bqDGKWj9jXnZCDneIP+9n
YX+qMfP+ALUlQTJUWZpTeyU2mnxioN+enT5sVh/6QJt9D7Riv2HeWhzmd+t5
gNfs9ip2uyFeWkY/hvg9/ntpIeTaOVwkn8QTxIYa+66ZYlf2sl9N0Me+9cJZ
9qwJvaewjfYd58Lezk7NSTD9tPr6SpzpfQt9CeVuCoFO8s9A03Od6M7vBZDf
a3ZnDz06Z/s+Tpxuzj2QZ+u793PuW/YgC96297YhzdxH1r0UZt/zodi56B0E
xeQfSO1Bh3gHX+Pwfqy0GWKZew+xrjE/Lfhbgr927CTfTcHwaXoCIzDNzNX+
TO72/Z2OrWRmqiCl3vjJ5N5I5JwExdwNRRB4yMQPxm6z/0uqsQFoEQgz5P0P
uNNM/H3ET4g3+7PsI+JABgykmB3IYwculZAPDDLLA7Cc/WxF5y72ffIl9gCq
2b21xL3yOP8d1BwFW+z70o9Z+h/h5qm7
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.7776943046405543, 0.5770171677650511, 0.3618985557384601], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVn10z2UU/6y8zKi8G2ZtP8aWjRlKdJiQjOOMEmnRdMhL2PI7Ysscowlt
WUsYwxgbeT1EDNma2Esta8smGkfpSDl6c0ado8+n+/zxO/f5Ped57vfe+/nc
z32Cp80fP+8hAP/y9zB/K2uACx2BDNrCH4C23GvYCew5BrzXDGgyA4gqA97p
AETQ5r8GxDUCfAfz3nagguv70bw3CPiLDv+eDHy829Z7uc6sBf58DCgbBlzK
BpJ9gC0XgO35vN8YGJMHxO8BylsDL9NemWx35WMpf0e5798FCEwA1vsBs3OA
HPrM5/7eMbzbxWI+xNh3TASG+QJrltIv40tmzEGMueN+YFQb+qBtkQrUtQBa
D2SsoUDvzsz7ErBuFlBJP1XrGR9jm07/ebTT6GsBz8fTppZbLuuZR2A9cIvr
qVxvXQsUPAp8yHWKi3kh7YwlQBZjbsbYlw0HJjDfbcnAiUv23ZO0SW6/wsuP
rwN8eL7RHODBGxZPLONptZm1bwm0pH03DPiRNfycd/N7GUYneHd8HLCBud9f
DnQ7brV6nN/dWme5d2LuEy8CkzsBdysNJ9U5kLhtyra8lN9PRxgG77bn3XaL
gSE8U9yfZ56njybA4gPAzGzL/TNiuv8JYsXvduX3A8YBq5oCFzOApoONJ9+T
LznpQB+S7ttY4GqwnSnimS+5H8X9eu4HMearBHLEWfri3Sm8e4d3tzC3Wcy3
GXNPI0e/IVcTY4jTaMNoJzEaVsp77YGDRYzxmNXQwxoOp68Y3t0UYlxUvl2Y
bxr55+MP1FYAPUYQC653fQWUpBBvYl1GW0I/uxlP6THrB3Gs5S7AG2P9ks5Y
3iYPuzKXbeShL3PwMJebqy1n5d6MeXR2NWnIMK6L8x1HAvPGWjzqm7S3LOYP
Ig0/4Tg6zvATjn0XAaH8rWrOeGmnrrG6+URwPcBiLmXMi5cZXuXEK8ydT+W6
93fAbcY88QpwONn4Jj6G8NvBj7CmK8i1FbauWWE9L17NziKneScyAPiINma0
rbO4vjHEOP97NXnC31r6D6S9Xmf88U8wbISR+imQfPUl5wNo57J3qulnJG0l
6/sJi1tD++xLVh9/1ucssfmH/VtC23yl1eQUuTawkPm0AwbRLnG9MI64P5hO
TWNNQvoRb6cDO8lTH/6/z3iiyaOo09zj3dQexNv1hfpj/Gk7L/3o57XzQ73W
q6rVH4epTUeBRYzzi6+B9x1/Ki8Dv9YaVyOK2QsLgN949w7Pz+tuvBV/wx0H
UvaRk/R5jbg8R3u91ngiTa2KNL4dL6EGPmlnRvBM8Snru9OTqJ9HTE+asLap
LvdPifut7qarv+QCP7u1H8/ccOvMk8yTvFrHHP3Iq8tpts5nPXs6bkTS5jgd
W8m6tQ0xXKqJy1LH81zyfHy19YJ0t6+bCxPI8xDWIp34vk59mOb0QRrZL8pi
zmR/TXD6c438Ce1neOXSv/eAzZFEWk+49dGrq4CxruZnWfMBxLsXsXuq0PpN
8SQxLk+c6U8f9UuZaX4YbeYV45uHfJuZYzqQ6zVuiWN1u+yndQD3NjsN1LzK
df6Xc12/yHqqqL/dl5/sEPtpnem1OaR5tJHnQ8OMS+Kgx3E+kjikVRmO0lFv
lq2F7VBq1xTGHE2b2dN0THq21cWg2mc7Pounwa4+1attjgpfYV7q9OoMbaDT
UmmqdEfcEwfPcUZuYN8NYa41FcbhOtpw57OBPhO7Wc0nsfbN3az0o/Wj/t4m
jofI8YRY43wwcd/F3yBxJt24qxiknepV9Wxz6skWx6v4M8Cbrvdn19us1YzT
rBOnxRPNzCZzTA81D4tc/Jot1QWGkbBKdDMFEVYLxa88LhYYFnW0HjdP5e+A
681zfRl7kH137iybc9Ir6db5UZzdrajreaa50t7BUdbnqpXmxjNRdr5DgnFX
HC6gbe/0RLqi/te39vGbG9239L4Qj1Vbaclhj+0rFr0bVB9p6kz33iijru9w
+Wo+n+9r9T9In/fCLfdea2zeKPf/+8bVTfOkh+sv6WK6m6HSJI/r0yDaQ2uN
Y5pjSROM55r50ld9S3fmuzeM+vgF98aQHh8oMq4WFllv60zTBOsB1b+2wPBW
XtIVj5vp4o7mveZXQbrloFwaGH+bONMl6ZNfhJ3RG6G125eGFXlNk/Vu6uP0
PIK2uMK4d5ZYZHAOlrOGN5+2d5J0cnmV6Y7050XqUEGt6Z5mo/RRfSQdTXRa
dI9v2vhRNte6VNvsl+4dJ15Bxabb0u+ScpuVeosFuxzbxQOvxNoZvYP0jtG+
ZsXdaPOvt7OPyzEj3XisOuitlOreOSk1pjvCRbN9YZ7xM4m2sburt4BmgHLU
PPwP9NKJ+Q==
            "]], 
           PolygonBox[CompressedData["
1:eJwtmHl4zmcWho8qRYnWrogtoVrUTlFiSZVKqKWjEksNSpRELU0Qaou0SVSU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            "]], 
           PolygonBox[CompressedData["
1:eJwtlXtM1lUYx78UDgREM1EEQS4KOKWQLEVbBYoEoilJNhUNqkWYENMIIXGh
iJbccxarFI2bTQ1FW4ENMAvIAgwQSEARW3Zdaeb0nz7vzu+Pz56z93fOc57L
9zyvb1JaXOp9kl6CMfB3t1TjKn1cLNnH8Bu8+Yl05gEpAxtXKj0LU16X9jtJ
1+ulazAKUc9JSyH4K6nSTQrF5vRInVOl3djPvKU6CPCXZsKxLdIf+DiBzQ00
Z+ZyZjQLv/DMMWkFzGqXsqdIsU9IKw9IHcR5yk9qPCWdBQdiKcPPADH0wiXo
vyDZuUv7uqShcmkYxh2XXCA9xsSU22PiscWVwz17HaQrvtLifVIEuCVKG+wl
f+71XiTdul8aXCvV75JOw713pLtwB/woouNKqeRxzhBreJv0bYLUCqsHqRms
gT+5d3Yv9dyKD6j5XnqYOAMjpb9S+Q7Pn5EyJ5E79miBVAs1EModY4Klcz+Y
7+kzpCbWzVBofXfiewnrUvCx6jYdG0YuC6GKuCvBy8ondYU0NUrqovkR9C7/
kLQHdu+Q8uBdWOwoBc2S2nOkJBdp4wLpdqb0H5SRQylM/4LaEZM3NpEzW9iX
jP2JGC/DhA/RxQTJHXs8m56DM3G8j++49dLVhdIIlNKvEnjxhFTgSV0vS+Pj
JVdoX2D8JuG3r0aqnkivsRfhR5jI+X6+O+dKv2yTbkDCXtMb3znSC6wToW5I
IlQ1YJugGVZfktZ60COsfSd1hqhhqXua9Br2FUiGS/S4Fwqo7yLeSRXauFAn
fQebXzXa/MAHLexEl5Bi+diMjWfvW/QjtN3o2qbvIjRRCO9BCPtilrGnj75B
FvijyYOx+OPserS4jrud0KYzBJ+U5kBDsxQ5mbrNlpbR/xgIbjd3PYKNfExa
Ak65pj4u2BzquR1uhBE7v+15m35HSLvAixlQjE7dsMvxHQuNA+iUfvwbxD3o
oxgqqqWX6cFFYnbkHgcYa8Xp00KtCs2b8lzFe2PdBRvQSgJ0fy59ShM6sJ77
JQ8oCuHN8o79WO+0cq9jDu1inQee89gHgehurzNzAZv7qFkHZRod2vTYwm9P
ou1hfrsOP0Mhb72LnLbGmBlgmwU9VgyTZqLLNbwDaF8s3RwvHUFPh6ACvuG3
85BfbmbjwWKjN5vuDpSb/d2s76CxuWgtHW28ARngxGzKtiOGAM43UmeIRPtX
iXlJtsnHllcz86rJBjHVElML6/kN0kPMxDBsEXkVQ4PVhy+xT9OXaLjFDLwJ
/0A877iZfW3MqVbo4Y35jmPe8t6HqMsgtFnv+Gust9XrxGjqjYZngFs/NQFv
ahT9oDSZ9Uby/I08k7HV1KIGOi3fHdgU5sgmyFhO7pBl/We04td+k+mrB7nV
MQtOwjTidySPEkv/tncQ3GLmrR8ackVL46HMehel2ErmZhWkoZNUeIo87+J3
HjYCPYZDSIDx643/cOu7HfWtSJEOQ2W5mWfl9Pow6yNwmn7WQ781Uz7qM7W2
1Xyp1atB3k8Vc6oSMmrJjX07sGepwz3e2Xn6NUKe12BkHWdgmxdvi32JR029
bHUrsHSYj3X3Mn5y8DPMzLgCPfPREoy1/tPStkur6PEoGspjBreQ1zn4vYJ+
wK8VRl8D5aY2thrd7jCzLJ5Z9j+h9NTD
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.7928740941092913, 0.5823519180575785, 0.35297497343095974`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVmlQlmUUPWZuQZamH4pKOiBuaSFCqGgLQuOCklumaIKOTS6ggo2I2Ahu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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHl4jmcWhw+1VqsLQpCEBBOUdkQwolNrW0tQkmrt0rGmEmulckksKbGW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            "]], 
           PolygonBox[CompressedData["
1:eJwtlHtM12UUhx/RFIJueEFJ0KYbikqCaZKXVZblbSKoJboU3FBEINOalmgD
VzqtRYJNxRtXQ6mZ4VYtFqLZGlBeYNqWTZurrbVsa1NbZQ/7fv94ds7v933f
95z3c855H8ktziyKADLkHuluhy65Iv88ANdmwL874aH7IXoXLHThItl3GfbK
5aNQH+sebZW/T8TDAe3xudAkpfoN/ndIf6v+m1I9Fo7IDM8b5LlTtHPmwGzZ
/SMMc31tN7zfAeXS72VYZ3KJz0LdSL/JzVOQe6/nFEHyPqjoBXc2wVj9cfKo
OafIbePER0Gq/odtsH0QfKK9MAIuyq/T4Bdp8vsb/eAZ77byC5g4EAq0JRWw
RTpmw29DYKh5NdfAKbnuvmtS7d7hxhiQCzUNkKce1dq5tTBPGuYGGl3q0cjc
DsiT6Z7RG5LMefk3sEJOd0LRYGjVnq2EryXjJ2gfCvO1kWUQJV3qtMrz6oxx
UA7JVM+ceZ/x3oJJ+o9L9fmghj/oH9Q/JN/nBHr8cdxYiVAsqX6/4brx2oxJ
sEBOnoH1ap6k5vXWoEHWTLbm5tzXnC9vsUekYQ2MUvvycu8mB6TuCWskN5da
z0hrZ87HRkGjTN1qzBhI12Zfsh59YYyajpdUqTWHv8ylRlu43hzXB/fruWdt
qO1F799pDp9HQ0wpxBqrv7yWD69K+wnX9Ic27Urj5ErO1iDPbnsn295ZIm2h
3rNmQv5HsFp6W+dm63zD3OJfgCHS6iz8Hed67emr/passC6f6g88Z+0lP9Rn
7WewuVHfuy9f5h0TYIcUvxL0bFuqWuoXyGb7d5HrCkfDRv1Nwmq4u8pafAB7
1CJbG/E69JIJYa0qnMufw56dZ8/etg/vSEsyfCnR29TFfuijPbrCOknk9GCO
/3NfydPB2Tv2Q5lsk4hxxpB337FOrtutLUgxV1kXznGhtiPUd+9wqFTvPZL4
IiRIm2vfs7+y8pylcL5HGPem8f+UKvXcL3Vhndu9x8PqdUtdYjZAnP5gSbEv
M5Ui0Zmab69myIQWSJPSpGDeZyz2bNdeHwAjtcN8J4bLtLDHvrIez7nmeTlr
r56Rb6XWvuma6Awdtp+k8HAwOy1T1DTs2Rzrt0Sy5bGNxpbpaXDOxzJV/+7J
4Jzf9ZN9R8bIVWerqI/z4n3fVrvtUrTQ82VTWvD2fOzb03jF2VbLQdp6aZDY
KmsjD8pa73ZuQ/A+9bxTTzUHPVKkvpV13l06S4PZKbdfq31fjkiZtTnmuen2
5Bb7qUQWtMJk4y7WZuYFtXlJm+m3rNHBrPfMfEc4T7e0F+yP8/LdzqAGJdYt
uil44+KtR6R+lCybBUslrjt4GxO0/wNq+mql
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.8080538835780285, 0.5876866683501059, 0.3440513911234593], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVmtQVWUUXZr4okLN5KGEipqmNamYWWrYdYQECo2rpmk+KnMwvCraZYzw
gRkPGw2lMk0EEUKx9DrjOI4wvm6MgkkqYpM4OOXkNEZTqT+0bO1Z3487+9xz
9tl7f2uvvfbpN3/J1Iz2ABr5e8jsHmBWFPDGZWDlE8Cgx4Cu1UDKNeBMH6B4
FvDRFuBmCLDgKJCYBBzvCBRVADv5u8XrS7y3YRQwigGPpumZ+STw/upmoIrx
19LG/gy0RfA5k3epVq5Q2h0uzolaYGQNENWZeaYBE3j9W1cgYzngWwd0eARY
ROtbyXdY+xbGOX+Y52DetzKBmJ+AP7oBnhKgbh7wGn2W8EzVgxVzImNuuqra
ouk71A/khwLrWHvtm0Ak/Y/kAmNaAD/PXpoMRNDnY/rk0GeVlw6Mk7cGWFbE
M4QBDceApnpgPPG54WHuacpl50iNU22PTwdOM2YVY56i7XhSmKwhJj9+Csx5
FGim7fOSri/wOorvjGCcJp7vn8G67s17FQ1AZS8gcIrPBgC3O7EvOexTo7Dd
SDv9M+A646TR7uP75T2BkIH6b/f9u4H2c4VPaz7wgH34jz+mRSXfLybmkT76
enSuO7uAvgH5RAbpH66+tJFIvX3yt/e6pAIfsJ77jPn0NuAX4vMU7Z0s4Bgx
DD0I/E0uxbYjN35gDcT2TAfg93jgnWHAk4xXUyB8Deccr/JkPqxcG9z9Gp4l
JEy9s/cTHebjiENyUPEDxGbKc8o7nDW0urNYr14fwv/0mfou61jFc9Knhb5d
Xf1t+eKicbKmVj+7vkg+H2bNL7OnN8iH61c1OzM5O+UDlNfy9wsI0/60hTHi
6jLm+bJRNRiuU74Wbobf4Fxxr7UvsNf165vDmj2bQQ9ncXGL+n6IfV9Pft82
nh8HunvFAeOC4WTXhlUi/QfxejhtWiEQzr4PGC/crc499J/h+LB2t+bE+HB+
nvpnOPRM1fsWx0M7JE41GAdT+M7e7kAZZ3cjeTyG58rcz95FA+d6AB9WEfsX
2Sf2p3Q2/fl+Ds+S3KJYFnM/52t+HmePcz0nT+9bnC/4vK9PehJ7RLNtc+Rl
/tmXlbfiFeBZ9mIje/c8rTdV/PmX/EkpEj9epV26XBwyLbEeWC9q2BPfEfXR
+lm/FXib/kHaX0fp/ic7gXvsXwx7gUPUIDfvpznvQ2N1/wGf70iQNlawxrJM
xTd9uktOd6Z/Ot+bWweM5czEjyH3XC9SaRe4s98fC7xXJP/FtBFB9TAwkrU4
HV5Em0BcviPfvmoWRoZVHbm0eTJwjZhsLQc69SeP6FN5hTVd0XUV7eZy+RTT
fu60riBaMxQM1xwFZqtfw9i7ozPlY9zs4TSwO+2k08xJDhQQpzzHw6gEaYPp
gtU90C8tKczUrNrMhmVJB62P0+KU2+Kb7lo+y1tSr35afOv9hSTNne2Z2EL1
1/o82q/ntnMCbu5C0oEVVeJeNu3BszrXAdoDp8RbmyGv0+TJnJvhVifzxdHe
dRplmhFToFkwjfwzT3lNny5VCv9tzdJcm7VuXumavftXlrTMsBxEftU6/huu
zziuGmerk8X/7YxT43wW2s5yO6I356BtknbZRe7n7z3qdSnz+7LJP85502jp
hWEYGa1n5nPWo31pnN9N3ZtYojgWzzht3L5F3BKdBtau1t4yXerH/XznW/G5
LEGcM+4l0ibHqKft/NIF04fIfZzhTPnbHATdHJ04p11lO+tkvXTcOGD6bfvS
5sjmKdrtjnEjlM/i2LdG3fuqzXTacDF8TEvCg+KZ7aKl7nug/AXuGadXpt8N
roaFPOsKN7P34rUXbT9ub1TfTPONq6Z9poEF9IlxGmjfDiWbhKdhbxhZPWlD
FNfi35xAfJv0LZFEni5OkY/VvitDnLSd4Hd7zfib5L6d7Bskw903fpmO2xzl
lggvw832f5rr0QbWOOOydo3tnAzHgfRszZj1pRex+R+gQw4n
            "]], 
           PolygonBox[CompressedData["
1:eJw1mHt8z/Uex9/ItU44MVHMbBZzmVaTmE6ZJZcxWXi41Cap0DZKkRI2m2tk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            "]], 
           PolygonBox[CompressedData["
1:eJw1lGtMlnUYhy9RhLRUrGmZh0o8VeRkmYJoGK0QJVFpmmYlHpbRXknF3g4O
Q6dD0ZWAOlsNDAXxMDddxpxmCUmFTmuevmi5PqQu3UqtLZSud8/Th2v3vef5
/+/nPvzu59GCRVMjcUC2xEtyMQyUnJehY0fIexpeOQez+sAM7amJcFpGX4Ro
X0jTrj4Pa6S61Rid4MgY+EK/VgqXwxP3QpF2ZCo8Iy96/5vOvj8LdVIvSUXQ
Q86OCs5HPH+7BsaZ1K9Z8Lf+P7KqGm71gDLtrqGwW9bUeqYDvJ0L5frr5cZa
eDcB7smDq/rXZO5qKJBts4M8vzbPLntg8P2e07bNgTuSvwCmydQFQdzsYXDC
HFqldiv83gUWL4GPdsIKeaif2LvNr0J6iT2RsdInEfaYX/KT9lReK/Ob95mH
dnkDnOxpHd4t895a2bQdLiXBJzkwwBoekYUroZN33tFufhy2yLJGKJbMNMjo
7VxaIOsS/OA8ntOWpsNKqauDHXLGfv9hvz/T/2mW85Pt6UHcIuP+vMHcuvlO
OykFcqXFWtPsffXHUGHNlfLne3C4q7PQfifHpf8U6Cfnwxh9n7Vun2PtH6ih
Xvq9ZV0mXPb99I0we75npUntNJhzizbT+ONlkflHJDusJ1d7oEmN9IJhanHb
QbUlqVHYYC4jtF/lQ6PkfQ6TZawa2+SMpugfWQdDFHjU/jfpN8tovzNKstTQ
dbX0vLb5sBrobl8r4Jh+k3QvgG7SNdTIsv72M9lZqomaCLR/aZ3mMsfZvSEf
hjMt1ua8ABPk25Mwz7gnqqDKnlbKiK1BH2/H+nTAWT+g5geqjaVwVK6MD+60
eqftLTUp8w/5TObKFeey13NtGYGeCtTTL6+rVakw/m/eTfEbce+7wzLcfU51
HjfVYor+U9JuH+7KnbA/Eftzw15el/b9QU7/7g92M7ajM8N/wOkdzmUCfC/R
2mCmM5zp8VI1IVX/a1hbP927UjLSf4T19jT2LXt4UxoumK/xEh5zP8apEeNM
K/es+7pC4gepUXPYZX8T3MNEaVwV7Nmhmdatf1QGmX+ynHJvJ/tugH6F/6KN
8mOo4fX6NX6vWh7eG2iuWc1leGeM5JUH38/XLvHsYimVBvPrfAw+1d+nf6be
HdTfIvVh/nVh3Fj8mC5j+tx5MMh9tzYpGtT+oHaw/5EhEudcO0h8YaClvyph
ovnkyCQpMb+XLgY1x2ovVJOJzvRN7X/9WEnb
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.8232336730467655, 0.5930214186426332, 0.33512780881595894`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJxFVn1M1lUUflDzA0nFUsox8ANSWaIgKKK0EkIXRJoMKGxKsmGaQGiLLE3t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            "]], 
           PolygonBox[CompressedData["
1:eJwtmHd0lvUVxy8gu60WCNSwEkgCMpQNiqGtYYoowTATaJiyISzDOYCMmDAj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            "]], 
           PolygonBox[CompressedData["
1:eJwtlHtMl1Uch59uIpcstaTMCNMyS0uxVorUJsiw0jRtOqWpSKkgiIpdhaTQ
rSEY4kDRmawS0qLSkmgWlpi6tkrCbKV2zyzNmsJKafX89r5/PPued+c93+vn
nP5ZCx/MvxCYKJfIwWLIjoOvtd/dAd/LioegVHLvCvba3Jv2IUyNsB+S46F5
GsxZBVmyTGeDdTrVdcWQYD3a9VhJl5uSYZC0lRo3ChZNgOh9cPoKyGuGR4zz
qFTeDGu6Q8FzMF9yZNx9kCFV9TCrF6zV/jEdTsmd+hxwKRzXb00T1OmvWluT
A+tk3DEo7ud57XBJkt1PQIvkNgfx87WVYV4F5tVHn/FScRDKZaP8dRV0y4BO
/xtovJTkIH4kj/33wj758hVojLY3c437LXxi3PHa6hnmI3fboxT5qQx69ICj
2rzFsEDmTrH3xs933ZIC/xojyf222fCF9DbfXtJTjlwAtwyG2jCv9dofUuFH
OdsOO6+GKPPJabRGKRwG581rV6V70iQrNztjSXWeI/rAGG2Xczsvw8qC+CPK
gh5Gehl/O/wXA88Wwou1sEmqvrLevrD1fjj5JPwu7bshUX+fa5cXBmdWaLdP
hh2S8Ja1K7p480yU/nJUX0fkJes4Yz3R9nmV/Th0EXQf5WxL4NeS4HzEzztL
nJt+t2u7dpiz8DbExUKrsX4O+3vOPq6eBS/INwOC/r65x3xlm8zxvwT7EjUU
ZrvOknOjYdTFcMB+VBzwvOTdqvbVc771LpFCqU201t5wzHrOXg8dkv28PqUr
9HF6prNsgQ+kXf1m2qvMw7BlvvfDHrR69lP5TGYcDvYf1taPgwZ5PAEek5jX
gzw71MHH6nevtMrxy9SUfev3st9qolL9VUuNrDXHN/S3TtvgfF6VmO3eAeN2
OqdY13Ey0vO/6CdNLZxOhz9lkndwonSEWj+pzb7W2mSHcRvU9U5tRTj/8khP
1NlS6bcxmMMe57AsDYoks8b6pHhMMPvu87yn4aw3a0/cCL9J2mvq255O0g7J
gqEyJXxrJmtTRlqvTFwJD0hKmHu1uk8zn1RptM4i80t3vWGsOV6uv01wTYG5
yYb+zk5uSwhipRsrVr2N6Al/1wU6jOhxVJI9VGP5Rd4hWSAn7lGHcia8Y6fa
g7wj+ccVBP+v3qUWb1D3A+3dUuhrL67TzlvjHZfFoZZmuI5Sg92kxP5tsY+5
2uW+qc9IUT7M1F/9cHupfjqvhI9CLUU0Vb7eOyKZkwMtTbAHC6vMV/a+79z9
f8ogc7XODOssPaRvKTkUvBOR96KzLqj7H+3TYbyntCXjvefynm/+dN/iUt+a
Jtfvyjbfsa2ySC0c8C2esBX+Bz/LeBk=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.8384134625155027, 0.5983561689351607, 0.3262042265084585], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVXtM1mUYPXhBBSlNZE1RLomRhF3U1SRr3vHaZjHb1BI0WxcpSgunMlGH
DEIxpRxgWdpnn2lzpolWM8swW4SQt08LNVvTrq6La122ztl5//jteb/3e9/n
Oc95zvO8GUVPzyjuBOAjfp1l84CJScD8CuCBAqB/PPBqPlA5DbivG1BUDMyp
8JlHaVcnAtP7A3fxctUI26nngON0eJrrn5YA7UOAhu5AyWrg4RLgW/qpehDY
Pgr4g35+rmLgLCAnDvjqCP9LBar55cU5tjC0LwI2h/XCDUBxh8/MbWKMKvu5
SjtuG7CX93pnA5fLHetFxrr/nHFOp10/23geIZ6c88Bv1zNmPXOrJgfXAfNo
i58FWhIYi/bmA84ri3bvQGAB4ZafBMaGXKrpf8xh+iO2ii1AJ8Zp53ftRmD5
OGBoLyC1kedC3LIdwLoPgMK+wA+DgT7ZxizsfcO6cTvQTBw9iecQbXSS/e9e
wbs819QbaOXe9wXe1/+b2sgBY3bNNwbFF4eX9gFPJLOmp4DHyV0u93owiUsZ
zkU59SllfGKLzmS8Q8CfxPYJ7Z3k+XnyPIk2eaVrmjKSNSsEBvQACojtuQ2u
i+rTe6TP6GxKWM8hV1U1PMPzF3hv81T7HEafLaFGv9xE3KXWUzZ53slc/iL+
JPpsGM/7XYGD5HlYtf38eyuQzvU/rPtg2pxbjF95HBzl/QzuTyfXtdx/exZw
D+NlMdbkGH9P9Vp7W/n7Qj8g1mHOFFfxXqCeVxFP51LnqXyvEP/tg4Be5LBk
OeuwFdjA3FsnW6Pi4YsPXVfV93XmMSgNWEyep8wnL9RBEn228mz2TudykT6X
zbCfY/RzpZV3bgBORYC4Wt99mRg3bvf+pCnAGWIbTW4zG82F/IjjeaeMvZGc
PRmzT/l+JWijjjY+8Cy+P19kPAvfp/ZCvY6zZ7tnOu61geZLXC15x7qRfuLZ
r7v2kzvqahvtjzFrTFrLe8xxP2Mum3iug/vT2Hd7jliPb7YAW8LdCG0/1vs8
1wNo6+rdj8fGkpeQY1uZe1W9ox5STdYlugbSjfSjXsxZZz3HijxHNE/+Zq1S
nzEn0tGIUt+tpO8m+p3bk3qhfehurw+UOWfl/t0JctJsP8nsi9MBz9Ey97d0
Ir0k7QHO9QHeSwd2BF29xjxa5xmPcKn28ql63ltvvTVTb3Fh7inOsVALaaRL
lnnOaPasVI6aZw0d5qem3ryLw33MdfZp96x69+pozmaeOVNHzHVeX6Z9K8yQ
WTx7kff/IyebOYfavva8SDrLeRNmh/beCH0RjXneKZffB/qO7tbTRtqs8xqu
oyH3jWdcA50/tNYzVLO0hDZtsfPVvB/PXJZxDkygTYm6Tw/Mcm7KUbP5qQV+
d1ZO80zUbPwyYn4VSzHPFlr/6qeacEYzVfqTDtWjySe8Vk9Ij80pnunSojTZ
jxqpqzCGncRwR+jx3FK/YeoL9UddjedAl1y+OWEGau+lMNsnrmGP5Jufb+rN
kdYJ+a6latoty++o8mpIcz+rr09GPKeEQXw0UfNpmmN8k2uJM0f9S5s+3uuN
XO9fas2oj6VRcSuOj4a341fOwhUF1u3uMsdT3InvAmvDO1JJm7rKccuH+NNa
fAwdbv+KM/ZT8zaGtmfQfMIe10Y+lxY7Z+WbmG8uxIne/x0zPZ81p9U/wqP+
Vg9IY9LaYeabznwP0u4KuUdXG7fOa+ZNCJoZR/txOJ+Z5/dJb8pw2vaI+dQc
XROwSUeFTe4XzR7NbtX3tkF+s9UX6o//ATiW3PQ=
            "]], 
           PolygonBox[CompressedData["
1:eJwtmHl4jmcWxg8ydh2qltpDFnvtWwctEUsVRSRIhtiXInada2qQ2NUeEjWj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            "]], 
           PolygonBox[CompressedData["
1:eJwtlGtMl2UYhy8085ziYcuk/OOAlrjmqWkxU1IkTZ2ybC7F8FAetsi/JY1y
DA8ligImfzUPH9wslIoVmQrWAJemG4gios7NMt2yVsuyD6kzutj7frh239t7
P/dzH37Pm7jorazcTsBE6SJ/TYHbcvFTSOoHLdpYE6Q+CpEMKNLfJG3h9/IK
aHwJmmRVHkQldt4cxu/SRjfAnm6wbT50TYNu8ud46PUInCqGhhw4IeVHYbvc
S/KuOHOs8Jtn6qXWHJHexmnjq6Cv3HkC3rDe5sWwdLi+1BUHeX/QDk0LzjR4
pvFV65OheyG9M1x6BpL1U+TEXGOktgByesHccVAT+se0hU/BWkkdA8MkwTNP
94VB2kTvue8dEW1ne3hIurwY9L7T3kukVC6Yp0XOFwT3F86Bdvv7T27F4PU+
nkmHTusgTs7lW6Nx8c/B1m9h4UDzaPuthP5yOTxzSbtuBKyX4pfh566wIGr/
o+C0XLkGPz0Gz+92n/pt0r7Qe2VxR83OqtFdVOfCVxJd5Zx6wAujzf8hZNpb
vXM8nA3fyJeF8NrDfm+AyZIhrea6ICnhLGrNt/wyLJMx3peXAPumwwf2skFq
5kGZekhYD9kXgz7P1ZtXP0eOROBqf/dY7Y6dwz+S+TVMsLeNM2CS/mQ5Zc6T
0qM6iO+tvW4dg7vDaGups456ubcf7kpP9/JAgV93FofUxBBrPaadPQyyZJzz
GivlodbLtI3fmc9+394OZ/Wb5fOw/pmVMEUypa4k0OKNRPhe/6SU+S5K5azv
5LB63qp/ZpoaN1/aUnf1ifGy2Xr+dpcx7a8T4De5q1b/lcS0oM4vrPPgSKiQ
93ODWRQ5i93O92M5MynIsUe/eap9xau9A5BvzHvyivqdI0UHgm+l2netO08K
KoP3+ZHvLN3zE6Xc3SV7x2cd830HusvjNfDjAO9LNm9V8L3S7yXGlsqbx91B
T2sxdmOKd8n9Z52/bAm12bQ2eNcd7zvOPDt977uOBnrr0F2u+ltpbFSeTFVT
siTUYbb2Viv8IjdltfNOGqJOZrlbub1ZrRhX4c6XWM8adZdhLzH9HRJpc5bS
HO5ggDn+CM/8rk32/5Ei/wNZ5isA
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.8535932519842396, 0.603690919227688, 0.3172806442009582], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVntQlFUU/8lLRKlQSkSb0kAMyJTIQAsyxSDAJXwAFQUrRBGso2JRjY6o
NabJw1JZxBwbWEpBCJrAkhpGhoeBsCabsA5OY6HZY5opa3pOvzPn/vHN+fj2
3nPP+T3OZa51Y7rNA0A/H08+lreAQH44FAGcSwZu+ACHG4DSB4HFXLDaDfxX
BlyaBgTsBPJPAU/PAIoZv3sEyPICFloBRyHw1xQgoQTwuwhUzAK2jPJZBJQz
f0cV0NwIWLn+cBow61Xgg6nAHMYX3uYe7o3PBcKuAD1zgFDGl8aBs4FATgeQ
/gngYp5fbcB+1vfsdKCSsaVb18SyzvU8t5rnRruAgj2AD9cvYF/NO4Am1p/Q
BRRdAl68A/A9y9rMmuUWrmEeX9bjYP0N7UAdc97TA3gFs5fbgEYf3SN7tzJH
TwoQPhnoTtHfPYJ1jYs1N7H+UcZKglw4E/j7YeAVg+eSUuB77ruP9fTw7Dzm
qufeB8aVA+HiMe7bkUNyiMnIPuCkE/gjCDhhonM2cJNx42ngGGvuYs4iw8tN
YpAWqr/7jwHf1AD/3kpujit/wqMnY65La85hXGAwH2YNdu5NmkQ+iMMGl/af
xxjJfX+aHveyl1TWkErMfxjV7/eH8DenYlGbAFy4TN14s4ZE5ghVPB3ENdBo
427m9F0GBPsDm3YDH/G8KewlJJrcfabvTfyW/gTQy/XrRoAvjU6aI4GJvdQC
915ljMvV7yHnlGPhuoWc2w4wF+sdTAKeMu8DfC+7l7r1BU5vJ/aGa+Hcv1U5
FW6r21XPB6nrvijV3r61zG80E0WuVrYB3tz7OOOmefqe0KY8C8fCb1qcan5N
E7AoRL97kq8L7Ocy+zrP+I5FeRcvCrfCsWAnvM3g3//w/aDRxmLWWG04qsvQ
R96Ft5/mA8/fDrx3hnjlqDfH6NGf+b2A34/xu2MA+J2afJ9x7YhimzmiHpC+
xDdzk5XnWq6vJqerycXml4FvV2hNR5zKgWAu3i3crTxuZnyGOF+9hT5hTBvT
+n/k+VldirlgX2W0PUFtx6RpnW7WOd1oQ+bHBuOLfEb3F8qd8Cl+kL2SQ+aI
YPtknHpAvHCD0T6qHvyaenaw1t+Ipx91WLxNOVlGPufXkg9qdR5jr/HyL9yz
q0R5t5P311L13CFqpt7kqXMql3JuFs/dZuopYz0xJTrrZOa9YQe+IlYVdp1H
Mpey2ddSesbBGXKqW7Uo+eWc3A6dYzLzqs18K2fMJL5BxDOPcaZVsZK5uypT
9wo2tnH1u/hefJkyWzXRuF0xb+Xa2Dqd7TLjrxnv1DNPWITyLrr+eI3WX8Y+
hh26fjBZZ4fwLvyLb4Wj51h7g9FSLb8XxNA/fPfrVc8Ihu/SQ9MSVcsyD9oz
tR6py9PMoiDG6xd1dskMW288Lp4uNzh0sscKp/rAm/nCDHc7V+r9IffIdc6k
7De1F+nJbmoQH4fcpfnlnOFOoIZeyAjjfI/WmS+zf3+ScpTBNZWDqpMY6qS+
RNd8yOjVqz1O7dX7TLDaSq4PGa3KLBd/ik+PR+hvsqZti859mQtyr8odJvNE
5spJau916m45ObSsUM2UUzMtZh7KLHSbe1Y8nW/Oiuf6CtYZTt7v5LwNj1Od
ZBE/C7luDKBvGZ3R6t+jTuVDMJG7+ojMep5bw/i5mW8TR4FPDUfi1z307RJi
VcwaLG7VVYpb73upJ4H3+YFH1e/Z9KZvonJkP6O5JGd/lGpItOSipgKWKu8e
5D0+lroknuv6FGvBXDx6wqr+kv8XhgxfA53qbfF4DzG0Gr/I/b+qT/MkM+ZG
qh/Fl/2mr+7zwBXTb1Ul7+aH9D6zuvQulzvdtpA6NmtkrXAm3IknSsw921qq
c1TuONF0mZljRTzr2pD2KD7zMP8nTGKcbDAR/f4P5xQE8Q==
            "]], 
           PolygonBox[CompressedData["
1:eJwtmHl0zmcWxy9iLOW0ltZWRKISpC0tY2spLQmxplSKGIl9OUYiYxlTUxJB
YskRS6zR01gSibGMrfTU0irRIJYQlJaeomqdlulMO53P180fn+Mn7/s+z33u
c5fv/TWK+3PUxLJm1rmMWQD//hBrdhsSGphNhojjZuHwz0NmuyBjiNkSCJ/L
ZzAmzWw0rGlktha2ppjlw5JmfBeuDjf7GqptNasOz/GbZ+EQnx2Gb/nuN7CF
5zw48alZARyONjsCswaYfQjbZppth9rsXWuI/0a/1R7aa3yS2QSI5rOBQ3wP
7fVeiNkAOMBan2rNZNaGoA5mwfBdoNkNWMLfMqD3ZbOW5cx61jPrw/MW1sqF
pByzZPi1ndl/oXCW2Uk49KbZQTiHz87H+pl0tgqsVRHGhOEf+BIfHYOEKezx
DJ/BhkSzsxvNzsDtU/genhlvVhkClpmVh2z2/DjHbZStaw+YjXre7LdnOf8q
s1Rsya9i1qwCe/Q0e7zU7Gfozlo9YD+2fQKN2DsIJvfGht6+ptbOSXRb6lYz
ywo327iHv9fk3xfM1vN8mrs7Bc0Xm4VBmvaEHzqZ3YG5xMa4WmY1CaKMPvjk
vNmVOmaZsLA7fhxhFgll0s3Kpvud6m6j25q9Dw+w7T4cHsZnsLbI/fNreeyK
YI9+7AVtl5i1gw6vmR1lr5c58+QPuBu+/6Q2Z4ZNPGfin/+V979t4f/xfCeM
797GPy0aEwvHWAd736+IX7DjUhtfS5/v6W+2GVs2wd1Us3upHuOK9TPc6VmY
DbNgGbG3HI7zfAxa8Z3W8Nph4gdqFOAT+LEJz/X8vr7BbysP+Nn0t76XzAK5
44bQBEKWeQwrllex5mp4F6LgLrF0D/5OLM2EKqxdFSbsN/sj8VAJn23nLr8c
i38g+m3OCD9yljsQ3pezQNga7lK04hly8MlmKMtdl4O9V/EDZAw2WwoJ+CQe
BiawJuwnhj6BTqz1FszvZTYP4iaaDYeCk/gEYnabDYW55G4KnCV3z8FHzT1W
FDPpxE4mNq6A8PXYt97PrLMfk2+hFznYC191pz5lvmT2r/lmj+Z7Tim3TmBr
AeSxRj7U5Wx14BXO9iosL+SuYD6kQuRlz23l+Bz+//BPxCCM3EJeQWRT8gYO
fUhMwmnu5BSMzcJmiCv2eMr7AzkVia/x+ReJ7lP5dncMdRJeyWX/XN9Deylm
2xG7i7j/hVBjEn6Ayol+tmbE62K+u5U7zoccyE32HFYu6450V7Xam70AMeTZ
0PMeg4rFPO4qf7Dfoe5yB3exE7qy/n8qsS/7t+W5FTH9OizGd+lhfiad7U5n
YgXKTfNckM1TW5NX081+guNQAIvewn4YNtIsFp5Q8x5DmzzWh17d8G8395l8
94j1HsJvO8lL2Pq51xbVmA3YOXAUNXqU+1y+v82Zb8F1uAHpmzhndWoA/j5N
nRy6grNDpTH4DmLxwTAoPmh2AepQ02vDL4M49yCPIcXS9/jmJnS7hk9gDj5M
gVXU9pWwsD5nq+81RLXkCPbF7TUbTL0YBAn7qDcwjTudmus9UL1QOa/cH87z
CEigpsRD1C5yF4by3Zhc71nqXU1fNQuFYnrHBYjgs3A4h23n4RG+e9jNe4J6
w2Q+S8j1nqbeph6kXiSbZXtyocePYlqxvfwN4gG+IgYLoT615MUkr1mqXfk8
58EOnnc285xT7rWnNnWAoitQz2toFepvIbXjK9VD7vgeBHG2RtF+Z0/vjlow
IM01g7RD8Dm+A6HbOet230N7hWBrKFSPQwvANLTFdGiQjY2QuYEzwYVgfBPs
PpQvpUGkRS6x9mUYRv6VrUv8PoeP15Fj5MQvdT0nVetv7PLc1N/ulOAjauFK
KCZmLsAE/jYe/hZl9kGU2yBbFMOKZeW8cv89YnEgFC/iXqDPy9RrOMrzFxBI
T2oEqV2oLXB9NHuP9hqnWifNIu2Sn+i1WTV6Hr0g/wj2HfEz6qyqUapVe2ZQ
e2e4xpLW0h3qLt+ktr0BPbA5ssRjSrE1C9/MhjUH/LzySSy+GbbXY1cxPJHf
PSAH7g/ynFJubcYXm+A0d1O03X0oX47GvnvYt6ar/z+A9YYXu6aRtpGGkJao
SA2uAO9ytv6l6HkdsZIV4T1JvakxPfAlSG5BvLbwHqde929seJLsNj21DR/c
g7fjzd6Jdw0gLaCepd4lTSZtppxWbn/Nd68Euw/lS2lKaUtpFGmVkNJeKg0l
LaUap1oXvoBYL0XPP7HHzxBFbeiX4j3oaS/a5LVGNSdzk9dQ1dIur2MjtLvs
/lUNa8/zGjTZangcxLmCPEeUK8oJ5YY0q7TrRWppCXTmTma8SO3Dv8svEkPE
TOBo15TSluqp6q1X+e21NI8JxUYBcXQCylCzrL3/Rr+VppO2C+As5cE48+/j
8C21/CEEHeXzo35nuruj2JBFPG6GOtTzqhGe67rzvCLv4erlqxtytoZ+h7rL
m9h6C7qSq+9AtVB8D4c+Q//C98TATWjGHTXt4BpTWlM+lq8f8NuH0Omqn10+
6HLVNYa0Rg9qciTMSvRepZ6VxHPWAY9N2ShtN101eJ/XZNVmaQxpDfUc9R7V
ENWSIGwMhsatPP+kb8d/5DPG01kjyWvhYWrSoSE+E2g2kAaQFliHls2CmHOu
ZaVpV/bAX5c8t1QjVSsPUgs+K60Jqg0N0cQNOnnNUO2QptbesmFbouewcnk6
MfvXrd4z1DvUU9RbpNmk3ZSjylX1dPV29Qj1CtUs1a7j2FIAl6ilJXFug2yR
xpbWXs4eK0pc40nrSRNJG+W0ZN2Wrtmk3b7DVzc2eE9Sb5IGVv9XPS1p4zOd
ZrtwensExGeYTcrwmUqz1ec9ffbQDPIP6mYJuXdxmee8cl81X7VfPUy9TBr2
bmkNUC2QjbL1Y8gu8TuSvzSTBLfynq3erR6qXqqZRLmnHIyl1jXFplD4lpy7
HusaRFrkd54Nv2wsnW80UxSx3iJ63EJoTqyFlaJnzTSabdRj1Gu0ptYehdYc
Od81orSiNLC0sGqQalFuqVaLKtXq6hHqFW2ogW0L/I5114uJ/XTYEe2zh2aQ
bsTv87PRgbNd00nbhXSkfsFsakBSX6+pqq1nNCsmes1X7dcd6i61ptaewh5T
YduHfhd5+DCH+at3tj/rb5oV88jFLVCGGlh2gceQYkkxoFiQBpAWkAaRFlld
5LOLZpYK2LGMWro0zDWktOQoNNPI+j4zaHbQTK3ZupDafhJS+O4c6L+DmNnh
mkTaZOY8Zpl5roGkhVTTVNsC0HTlxrjGk9bTzKLZRTOHZo9R1OqRKa6xpbU1
g2sWVw9RL8ngO0vSXGNIa2gm0GygdxB6F6Gep94nTSBtoB6vXr8YP6Vne8wo
dqR5pH00w2uW14ynWU89Xr2+IWsEwohi75XqwdIeVbG1Sl+fITVLSoNKi0rT
S9vLJ/KNaqRqpWJWsat3CHqXUJOaWiPUa6xqrTSutK40hrTGFD77S6hrJmkn
aWppa80gmkVkk2yTBpMW0zsPvfvQOxW9W9FMq9m2CXcSEuY9Tb1NM55mvfIR
ftfKl0zuvjExXJlaHBdAbHf0mV+z/z3Wvn/Oe4B6gXqAeoE0tLT005oKt1p7
r1HP2ccckFbos440q7SrZpiYUg0vLa+YVGxOwrb4MO856j2KWcXuSmpB5mDX
8NLymlk0u6jnqfdpxla86h3J3SauqaWt9U5K76ak2aTdVKNVq3uWzoOaMVNb
u0/kG+W8cl89VL1UNU21bQ+9fnegz0SajcZh21hYSx1c19N7mHqZbJStOoPO
oplVs6tyQLmgGV6zvN6p6N2KarhquWYSzSbS7NLuc7jj5GyfuTR7ScNKyypH
lCt6R6R3RXrno3c/euegdw/KOeWe3jnp3ZPesehdS7+Ofpe60xMLvCerN+ud
hd5dBGN70DWfqTVb/x8kObXq
            "]], 
           PolygonBox[CompressedData["
1:eJwtlH1MV3UUh58YmamUL5jkcsXPFKI0ZzOhNJuCYbqhzhcwTSWBUHxBzHQt
U/KlQIEwm8BP3Qpwmbmlm44Z1abiSxoGSuKa/OGGy7bSXuyPttbD7v3j2Tm7
957zPedzvucm5q6evSoGmCr3y4Es2C//ToDlQ2DHeaj/Ef5KgEbtrq+hQqKP
Q528csy4eCiOwOkfoMNks4/Def0LMj8JagdDazOs2e13cmsudMvn0+DwAMiq
h7RqSJVVo6HwEYg5BfFrYJCUvAuj+sH18XC7FX6Rjkb9XubSrzK+UlrNV+Cz
qdmQkwrZ0rRJvzec8Nmzh2C0fHoR7tnbQW1pOozpDyOjcHcD/CH/2Ms9qaiB
9odhm3b6OWs0ZlIabGiCjRKdEuRpNM+s7fYt950K6i+6ppXlctScB/rCamNO
j4Az8tN39iDZV+Hso8a+Gjzved/nLMSZN1Zbp9a10iczmEGDM8gINU/XJtpX
ROo74TPpvAFfPgY1+m8fgfVS67Man0W186/AXs+bp80bBvmySN1vPgQLtbdn
wa8y2bnHO8s9Tztj/Uxp/hZeH+gdOOhckn0vyb7v5XeL7D1P8iXzsDGSITmx
znWm/YZ1dWin1Fq7tKdAmxRvhaFxaqW9PjGIGZIL1eWwW8ouwYcyLANS1KBc
/70PYJOMDc8v0d8/A/bJc57RMBTeUPvL+i2em9SlTjK8hxb1Ur9YtU7Uj8jS
PFgihaEW1S+bT93zvbv7whn0zKLEGa6VpnCm6/RzdkKCMdnaj59RM3nqK7WR
xd7JSvUeeCXouaf3EV1BTcna99WmVJaFOVJegrnhnZijfUuN18v369wnWXkS
nremIu3v5vxN/pbXBqm/s069AOMlxzy56nhIHRvU9E/17S6Dfp4VJ+nF1iLl
c4Kd/Was+Te6txJTCtfct/+2eM+WqJPcLAty3NJOVtN3rP8LtZ6gP1GGu38R
qfEe/2ztbdbe5exuSLfwoBqryx3jUh6whqNw/An3Ui6Fe7tA7beaY5usDe9E
7xftYaFnSVGYZ7P1FOi/KX3DXSlw17f7T9khH1UF973Ounapd4V0jrMniUSD
fU/SrjwS6Pak/7Hpy2CGVIY7n+VutxQ6BynpDGYYr84r9Iuk3Vm0ycXm4P92
WTtpqXtqffOc5Uj1T5KEUMsBLxivP1jS1LpFzau8x3vkE/kfE15EAQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.8687730414529767, 0.6090256695202154, 0.30835706189345774`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVX1M1WUYPWYFbdHKwA+Ipl1Fa/aPsRXaza21OwwUxqSy8gOs/tCmNdkS
a3MhkcJmTRxhfpUDr0Nja61heZkiRgki3RR2BYfVVjo/GKn9lXOds/P+8dvz
3ve+v/c5zznneX4zKteXrbsHwD4+E/nEWoCfuNhaAER3AE+kAc3FQE0cOHMf
UBf3o/VzPNt9AXjzUSDBeHkAODAVuMrYzDOVk4AvGDumAzyC8ceA+gYg7SFg
G2N0FNjEvRcZ6/uBJ/luE+Nf5UBGOlDI+/NOAksmAw28v3QYeCsL2JUgrh7g
CvcjjG2VwFMPEE8v8PuXwEcTgOt5QN9ZYD3vLI0Bh8KZtd8AXVGg/F7gzwpi
HAROTwNeedm5haFgHpBVA1x8EJjKmLMFuMN1JuNu1nPoEaB1EVD9A2vKBIp+
Ac6zhsOs5e/VvGs28BkxvN8IzGQNX/F8CfMMP0seyW3me8BYnnGWkfjfBn0m
wrN/nPBa793cyLvIc81LwJ5R8/xBO/DzdmA5OcxeSN2KrdGaFOt82jUO8f/0
Qr7PWvYmgQshb8dS49D9O4l/V6vXjzPXhlDLG6xlbCVwm/xf5J0VQ8Db5HwP
OT9bBFy7H1jUYu7/Y97VvHft11zTRDPzgW+rvPfuMeLsZA6+28OY2Wsd51HP
ohHzXEu+O18zV+Ksp8r13v0O2B/0OnqE/JdarwR1ixzxWntlXL/O9bpV5l38
nyFPcdY8hRjakuZAntFvcScOP0/Z3/L5QLE9oVzKeSXUvuaw/aR98ap6VFcf
MW7YCnyaAWxmnD3X58fqiT/ocoLxetTYuomt6XlgOtffdwGNwf/D/H9Zyv5/
gZhvZ9lX4le+ESevkpN3tvl+5bkc+qLrOLGkrLv0n5htjaTxrZh7U/0q/fSu
aloc+lT9Gsm3XtKtoRbIZS07GXfEnV86l7Q4l3JGgofll2kLfL6R5/8JXAnj
uYPOezNmnaRRGmvvC30RucQZQO0X0wPXiCtnvvtrMvsrmW99DpLbT0IPyiO9
oX9PMd4I/aL+vtNmPotLODeCjkuIsW6uPSavqa90ftWQe0NcTegGqoLP5ffm
0Dvj9MWxgHmQMyHOOwpzzJFwC/+vo54LwiaMlUeNWV5LBt9uYZ+eO0DdyNV5
xuxQr+rODTOkjnXPCvsZxNlb7dn4b7VxCE8Tcf34ofurjPzf/dhndLY28NPQ
b2/JY+PEnjnHHuo87j6XFzRv1KvSdKDIOXSP5nFzwn2xn3FZrvcfrnH94kEz
srXDHLSfYi8Xm2fxvTthv+1LeC6L82dOWnt5YAE1upXyvua3albtsUvubXGl
2VZYavzqlcLTwMop/BYwzh8x/wUjnkfSS7O2IszqFYPmThxupuZXV9gP8oV6
Q76dNMd9Ls9vavc3Rr22cNTzQnlvRD2LxdX2hB+tW6hpa9I1qtYZRe6xSnpp
b3hXs2dpuTVKn0WPJM2neG0IGumb1r/c2DQDEqEHNxLP/0+sp5U=
            "]], 
           PolygonBox[CompressedData["
1:eJwtmHmUl3UVhy8MGLl0dMw0zQTGZRjwYKYJeFQUlxlBwZFlQGUTGBDBI8wp
rKQcVsUAWURgEI+HkR0kVLQ0y0ERUGACZCuw1FTc0Ewp6pyex/v74znzzvt7
3+9yv/d+7r1vq8H3VI5uGhFtmkQ04++oaRF3w3AYAaPXcA+6DYm4CaqGRfSB
rm24BwPmRfSH44dHnADn7ooogTbrIspg2xURb8KngyI+gx01ETOYq3fziEau
P5vIb3AU/g2f94s4Ah9yfRiKLou4syji2LcifveLiPVVEb+F61+PuAFeZI2/
h849Iq6GxeWs75R8vmeviLE9I8ZA1ZiIvjByccRd8PHVEZ9AR97pAAdY419g
7wMRe6BJp4imMOA59gc3XR9xM5Qwd+uqtIG22PpSxPzTck8vcb/fw8wDc9tF
PNou53CuGMmY0PDriFegD7argv6zIu6Aj27hOThuYERzeP+hiA9gS1nEZrh0
SsRP4KJLItrD89jiBdjFbzvhLmw1Ei7lnUtgJnM/Ak+xp3o4iT1+Bxp49hVo
wbPfhknLIybCgtsjFsKMsyOmwytcN0Ata3lgYPrEqIJP6BuLWkU8DsOnRlRD
aVvOvG2egWdxiGfehm0VnD9MWhIxGS5k7e3gzLqIs+rSRtrKNbv2MVzfC/98
MOJLOG4u9oCv5kR8DR/uxS6wijWthn4dsDdswPbPwxfY+nPYxzv7oQdjdIdH
Wds8mNM9Ynb3vOdvsztHzOqcZ+BZ/H1yxN9gFTZaDU+vilgL89jTY/AGZ7sV
1rLGp6GROXbMTZ/StzxDz7IjY3WCSRdhX2jJM61g9XjGHp8+rC87pmPfcmVE
JdyMjV7F309qwRq5rmDu8lXpo/rqVHx6CuxijN1Qy/UDsM4xoZQ5LoAT8LUT
R+YzPuszPtuZGLwKLmCuUlgzgTXBevb6DEy7JuIheKc64t3qjHljv+lMYhHq
90UsgfmwYF+O4VgTWNvEHhnjxnpvzr4PHOX6a+jAHjpqR2z7KKy+jbnhSAnv
wLX3RlwHpw6OKIb7fhjxczjyA+5F2mRTN+btgs2g/AlsA3WseaExwphbYOZ8
fBg2jYh4HY62Zn6YxL3JMIdnZ8Pd7HnUhHzHd99nLR/AwwuwAXx0FWcJy96I
WAp1zLmoS565Zz8cHxgBJ27C1pvyTDwbfV7fH8Qzg9tlTBgbw5ijenLGqLE6
BsZOzBgwFoxpY/t/HSP+C9vQoO0wA9+cDoOGMh6sODdiORRtQK9h/6X4OlzA
GKVwIbSryxgz1tRQtfQdeBdeOEicwBz2OhcmYIvasjwTz8aYMraasrciGMUZ
3w33V0aMr8wYM9b0YX15yGj0GerOwT6w4kesDx68CT+CmpvZJyxBY+rhIGf9
V1jdwPk3pEapVeXMVQEf4SuHYSxnXwMbWXMDlFxObrk853CueznTMTAeW98/
LTVKrdr7R/QbKm+MuBXW8u4aWAErJ2aMGCvaTNupgWqhGqvWumbX7p7cWz/O
vC8sw5eWj0hNUVuMaWPbmG5ZiDljrydj3FqWOc3cdis2rZycPqvvvnxxxB/g
H4vwOSiujTgFiqBZbZ65Z29MGButicFW1ekT+sb6cewBXj0v4jU4Rq78T7/c
o3tti43KLk+ba3t9WF/+jJx8ZFdq+jfaPjFtO0Jfhtex4WY4lVxfDDvuRNvg
whn4EuwnJg8Mznv+5j1/W8ve1kzOmDK2Kntl7jUH73ySnMpZHoA2xH4ZtDgv
f//ge+ztNfL4euJ+feZUc6sxZWypUWpVWXvebZ852dyspqgt+oi+0hbtKbsy
c665Vw1Ty0rZY5vb02f0nW3YaHu/zOnmdm2qbWcQ69Oh3SH2cyg1/xvtn5Da
uLLgO56pZ1v3YsRQ8n3RmYzRlXfJbb+BPti2CvZSC+2BZtRCzYfnPX8bRk6t
Pjs1RC3RJ/SNx4iteQVNVVs33BHxHLRfgR7ARmzSUJU5zlz3FT7+L/icHPgF
zF+KLhRji+PIY1xv381ed+eaXJtjOJYappap4Wq5czp3b57tBT8tjfgZ3GBt
BQde5uxgFs8+MjNtpK2MKWPLd3y3hjHGFjRCrTCmje09+O7ekowZY6eRWvDP
67IGshYyR5urnyAXL4Ypm9HPzenT+nYzNLU5VLD2ctiNVr0FPZ9lDVDLGidU
pUaoFfqYvlbDs2OhirPvC/dxPQ5mcz0HBnDdH87g+vv6Bxp5rGnWmOtqcs2u
fQxjj63KHGQuMoeZy6yRrJWskayV1ES1cQs22QodyNlvUNs+eQY+vj3ivXp0
tz59WF9+ijlOZ66l+P/ajZxXt8xt5ri+Z6fGq/XWJNYm5iRzk2t27eZQc2kQ
i02gApsNOB0Nong/3D9i4FsRv2ySPjqI6+s4s2uhFN9ucyhzjrlnJXtYBa04
k5brsma3dndNrk2blGCb8iVZi7jG67n++Pwcfwjj99iP/72Y11+w3xblWWNa
ay6j5lx+RfYA9gLFjH1qQYPUoqFozDBY0Zj2cIyVXJ/Ab8fvSp/Stw5vT1tq
051Ppear/WqG2mGNYq3iHtyLMWwsm8PN5c5ZXBjTsRe1JP5aZk1gbWDOMfcY
U8aWPqKvlFNrV0DHA1yflTZ5GtsMfitjv5Y177ssfUhfsma0drRHsFewJrQ2
tKaztrNmtHa0hrWWvZF9dYWS11IL9b+lG7IHsheyB7IXWrMxz8I1dGItnTiD
jrAF7dnaNWsuay81UC3sxt67wnx8ZsFtGUPNCjWKtYoxYWyczN5OmZI9j71P
L/bee2Cu4Zt+iznruV7SmHvVn+obMwaNRTVf7X+GHLkeuvwYP4ND5IaDd2YO
MZfYI9grWMNay1qTWpta01vbW6NZq5ljzbXGnLFnjBvraqbaac1i7bKoMX1N
n2m8JDVALbDmsPZ4Cc368rTUw+lLM0aMFXtQe9Gj47JXs2fbRO+2uOC/+vSn
52fNbu3eFA0rasgYMVbskeyVrJmsnbSxtt5FPO+EHYzVCI8X8oPjfXJ++vjQ
Qg9tL/0IZzdzSWqsWmuNaK1oDWMt05reoRWcQ85ueVXaVNvaw9rLqpFqpT2M
vYw9rb2tNZW1VfVK5lyZmqq2WuNa61ojWytfw72ru2fPZu+mJqvNCziDhVDi
GqZlD2ovag4wF4zGJvfMyh7fXt8ewV7Bd3zXnGfuM+eZ+/wm4LcBY8hYske1
Vy0uTT1ZRn1wHXbY3jXPyv8XLs2ez97PmsTaxJrR2vFdYvY9+BVrnnJS6t2b
d2RMGpv6w+Dns6e2t9bG2toay1prMzXXlouzZrZ21mf13aGc7ZDbM0eYK579
U46tppZvzprd2t2cbG7WBtrCntbedkGhF9qDb+49mDWHtYc5yFxkTjA3mAPM
Bfb09vb25Pbmb/POoYOZY821x8bltxF9VF91TMdWw9XyNcTI6i4ZY8aaPq79
rAEe47q+Im2pjd/rld9o/FbjNwe/PXTrnvvThjVTUwPUAr8J+G3AGslayRrS
WtKeaVKhp7K3skezV7OGtZa1p7e3t0exV1HT1DZ7FHsVz9j1GJPfLc2ewt7C
Ht9e3x7QXtAcb673G4ffOjwTz+b/HZVZYA==
            "]], 
           PolygonBox[CompressedData["
1:eJwtk1tIVFEUhn8vYUFFjrfRsrwgmtmLPUTKJFmYppYFWVl5JYMe8iEpsYdo
JrooGKQoipFIkGVZGERigWSY45R20ZouaEWREYVmTxXRN+zz8PEvzj577b3+
tXZsedWOw/6SUmEeFG6R3JFS2YT0akDywneHVBQoZRdI/fXSPfgcI32CxlNS
9CKpHm3bK7VC1pT0d6G01CWNkNgND0elKrvkQVeyngRPJ6XuZdI4ak+TIqB4
wpxfjhaWSjvhDecHLZbqOPfZffbBrkTpvB9xNbnapURwbmIPRfypkd6Wsw8G
GqT97H2Enqs3eRpRG2shEJVh1odYj90uxUHfcekueMhdESAFrJWucocu+FEn
/ZqPlnDvTu4RLF3Kll7w7zhUn5XO4McRdMM2KRMCBiV/8IO4IMlxQUq+jg/w
sYwa8TaeeM0DaWu4dDqFb73UAi2rpGbIdEslEVIOmtNBLyC9TXpMvXNZqOWl
B72xUeqBvNdSLtT2SPtCpHziSq90ADL4r5b/9xB7cukTtFzBdxs9RDcP00fI
hZlQ6UkCnnDH5AXSNXy7SXwLmqz+R6ZLv4vwvsjc23f/E9SRTz1R1HWo2/g2
i2+VxAe7TU5f7uo+qZee3YZvXrMngT3TxF8h0ImHYId3vrliTtz0cBhmrNm8
yJwUZJkZG2HGiu/gF0yPSZ18+4KuuyylwU9yzkKq5fcccY3lUTu+TMF7iGE2
VsDLBlN3F3UHlZp+9XNuHOfHQ3Oe6WuF5a3P41CXeQPRqDNZcsF6y3PHpOmL
rz9LqIlj9e+kFExsg2NJ0lFYzl07mK8PvMGmHBM/512Mwhi4rHkfYu5SmP/V
MMTbaA2jp+jgbt4dhFu+hTnNG/O9tf8qZO2x
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.8839528309217138, 0.6143604198127428, 0.2994334795859574], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1VX1o1WUYPemywDlNQUH7WneCu05QGDQUlagubS6bM9fNjTY/EJQ+KEdK
wzG2nNaNgmJ9bKOmTGWX64WlpQbVjZZWinN6B3cmM4mButLIxJCCzum8/XF9
X9/f8z7Pec5zzrvC9S9VvzgBwDv8TeQv/S3/uQMYjQALuoFF04C2x4DI/cCU
GUBRCtiUBnrzgN+zwKVR739bDtyIAdcZX94DTG8FfsoHpnF9jXdXMe2M9cDI
SiCf8TeXAKk6oPtuYOvrQNcBYMN0YHAFsDkB5BUALyScV/njG4GhRqBgMnCG
67UOYr0TeIo145uAKuaJxIFn65y/MQnsGwEuzgY+5Dq/H/iK+Fc9CLR85x4n
DwDvsm49637ENdsO/M3zz6L+v85PEs/QUuPZQjyP97jHj08BSZ5Xs1YBOelg
/DrGv8+1dQ3TE89wM7C2DPiAxA4Q2585IEM8y8nHWOhL/BVlja2QGN8rNFfz
GBNhvVvMc1eDa6jWCHNUXuS8eN5RC3zRRI7IycSHmSduHo63AJ+2eK+zsQzQ
PAl4ugKY0+a7nbWenzD8SixLesnXPUCC+PeXA88xfhnPGjmvm8Q/n/OKpKyB
aMociav7dgErY55F/efA0bj7Vd/f1/luCe/mMS4+hTi57g785J8AzketgYZd
1oRm9yrvHQ75022uof1ZYinm3B+dCux5hPMKesjuJYZXPFPNNktOU/cyljwN
rjWGIuZemnTvXex9W7v3TaxzIeDs6aNGg25nL+Y+zCXa7zuK173SEs/l9g88
Dxr7ZQOwsBT4h2aaQ9/c3m4eniEPs8JcNJNJDb6r2Yov8VZF/iqZ5wzzLCP2
HeT9CGfRxHXuAz4/we+xbzyXg8xzgXFp9niea3fw0dtJe0OcDH1pTUgbx6iR
J0N+1akIGt7JWXeFuzv7/NNevpzaas2MZ6wV9S7dycPS5xvEv/uANSPt/LXO
5/L6QNDAcWK4ETT/B9eh4Fnp5fmXvU8cpac6Pa8ce1nR4DylCX9TjLw+tsa9
76M2S4IvNAf1+Z8GGq0h4RcfW+PWQ47vWIz4+ojzCa3/e7aKHgtaKuzwW6D4
kYj9IF+8RVyrK8xDLuP3RXOMHbL/xaG4zAV/1VTYM8KpWV1+0zg1c9VT3f2s
f63ee2HRGyEvyBPCKgx6gyuLXUtv2+VB81zWa39q/wl5+HGu7yabzZd40/tx
iXgemkmtzrN/5J2DUb+J8ldxnb8ppmaY8wjakNbkVXlBnmgPOjxdbv/rXH4a
D/3qXSnjvL/m3aucb+2wc45m7AF5YQE9cSXnmPGcZ6W/Kfp2bq/XavbeGXyk
N1u+lR6ki8XhXRIHPwfNb0/bk/Km3s5/AQvScpk=
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3mQ13UZxx/ODrQJJUugEpAShNQEExpQQJNdTjmXhWRZQE6XQmgoZ1AO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            "]], 
           PolygonBox[CompressedData["
1:eJw1k2tMzmEYxq90YPOmk8NWMW8HlMN8ssoSa7KKVJNVbFTGKIV8aGuavekk
U8tyKFO20mrVRsxhoinVsGjLVtSbUwwbm5CZD3725MNv1/2+z/O/7vu57+ex
puckZs+QtAacYdAutfpKQ+j7DOkDnG2S0jylgVgpukGKgZpI6QJE10tf3aWN
aH2z9MNROhonNRJfgbE0aRSCWyVXL8l/kdQ5It2FvHapnVyj5CohRzGE4N3o
IZUSv7Cb9VdoVaV0Bh6ekHogYK3J1b9TWoZnArX/Ik8oecIgH5+b+BSjFeul
SnAskZJdJQ+0OxgfyMIrE3Lh4ixy8t+hKikHBqKNxzE8Lm+QIt3IVS1ZMjkL
9B6X4vlmcxB+xD3gRI2OcJ7zjXtLtWhnOOeFmbulKfavKCefn3QEojqMx4Jk
atsjNThJe+lLNuTAkwHpMcRH0QsGlHWYM62WisBabWoKQgvxtsFBvJ3mMEfy
BfzvOeoTL/nC1mmfQb7JrMMPDkx/sx+9ZJXqwDtMemmRPG2sgTN8Gpbuc6aP
aBu52uF6geRA/bYk6RpxB2yiX830LQotDZXK4A4zvA3VO5gH+8NbJHuX5Ddf
eo0GsDcQUhdKKeBuM/m90P5OqQ964Rwz/53Hb/r6jFq2oN3QA6dbzAxruRMV
eFRCKrWmwDq72R/HvvxgU4NPoTQX5sHbYukNtLH2x4H7T1xOP05CWbm5X7Gc
d9W4tBJO1ZhZTUTg8YA64fN0f0K4jxHQRTzJf0tYWwpTfP8Tvg2bte9o6hHq
A7s/CcgbR5wUYs55izvRRj/bIeO5lA7bY6QCF8mNviQslu4xX68haTZYYATP
ROr6sot3RTwGRU3mjU4yextxIbj0MVOw9Jn5PQo07/rf+37KO8/gvdewb2Kf
9A6sV02u5ejIdK251LftBvXCX5GB/lI=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.8991326203904509, 0.6196951701052703, 0.29050989727845694`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVGlsjGEQfmir6IUKUUeySqLNOoomtYogiJbV0hLbFbslUSH8EIkfIi27
qt3+UMImropr0+22zlQiIaUX0TgrvaINdV+RhjiCeCbz/tjM7PvNO/PMM8+8
lvztK7f1B1DEXxh/N7qB5mFAwVhghxXoPwgILwMGe4C//YCGZGCMDWhncMRe
YGOrxqcG9ZvEhBUDrfuBVTFAL62rAmgaAqyndTCvNRJ4tAxI8QLfGb/TDqSV
Mh9rvXcBPQ5g30DgViVQMgsIRQNLzgEv8oHd4cD4eUAZzy/yvLEQuEvwT+jf
ob22h3Xor0kDqhYAFXFAp593Z7MH3k1zApd9QFQscIn29y7gfBRz3ATOuLTf
K1XAg2WKcxR7bOgA3iawzw7lRfpdy74TxwFZ5Oy5G5jB/qdHALFXiD0A5DHG
Sxu/V/NI38KX8JZA/pozNSazDTjAOCf9Ytpj/AWHAhns96rpRXq6sFTP5XsM
83Ty/Esd8K1deftB7O9Mj/Xk0xYC4uKBSYLRpzgtjHEFNeZ9HjDWzDFvNZB0
QnnoSuVsDJ//yHEfcX8jts3kpKBK/S20J4nHOQDI5d1Fp7X3YwtZb7xy1Uiu
Iq4Dh4dzDhO0htR6Wad8CZ6dxDYnqHyK7nKTVQ8hau2Xmcsf2nQTI1qrNBqw
UAN21jjLWg5y8Jr/m8cAU3qArUZvKxYD0V7VkmhKdCb5I3m22tQSDSZma87R
zPHRo/F9jF9yG5g5gnqYBPhbtMfjC1WjwvnEUuVd/AzuyFeP5pQ+ftZq77kP
lRe5m8NdmDyXM2WtieTgptHhlzk6G+Ek0qf7Jjqs4VmXXzUsWm4oVM030R4J
KP/lAeVIuJIZlpvzCs6nxPgyq9461Yxop/s88Jla6qRd1abau5ep+ATnKeJ9
Y2JaMlRPohnZoQSn+qKjUTbNOZI5c9p1Ftm0m4zv5w55s7TfJPZ937wP8pa0
GH95se65cN7tUB6Fz0NW5Vf8Vy7lRfg5aOGu9eisp9JaDZ9SJ8VoflpId1g4
vOjSGcgsvtfqvsneeQL6TWJ+leg8JI+Pd+uNxgqqFZ/gfGPXbxIDt+65cCW6
SGPMOr51selAssEmGB9zj56Sn84i3WfZ36MBfcvkTavmHO0Gm+hlwzPlU3jt
M2/gb4/uifT+ya1vn2ATjLJ7Mt/TS/X9Eg3I3sSZ90HyhdkUQ0eR7onMReaT
ZHib79ZdkpyyBzWGkw+M+Q9r7ka3
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3uQ12UVh09cnQSbykupkJqULFhJUAgqCkayIHJRWd01uancBCxBJgoJ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            "]], 
           PolygonBox[CompressedData["
1:eJwtk1dsT2EYhx+t2tSKCzO0xN5bqREVWqtEWiXFBbUlbiX2bmyRWLWlVetC
XVWQDo1/YidaSYXYo6JRiQvi+eeciyfve77vfO933vf3O12XrE1fEwMMlTiZ
/gjS5EoiHG4LM8wTl0GC/BsFT5vBg81Qugmum5cYM3vBfKmeD1sbwddt8F4+
SO5l2Ct5U2FBA9htXnMXqjwbv8V3zb/Jj6Ouy8wUKGsJi/Lg/ubgvsfGnwlQ
KzeteUMKpa4ezOsNFanWbg27rD3mAiTJweNwQPq/hvKO0NtYVxT0FHcbbq2B
IumeYX9SFvaTa4839kLTFlBsnDgLJkmLJFjYHEbshKULYJlUXYTvrezT2GcA
9JUB4X3vk+FNNbyVEXtguBzq692NYaQ5iyG7vmfGQVau3y8HnNF+yXxuDftJ
KoB3i4Izv15CcmcYL5Ed8FA+Z0ETa3waA8uv+I5ncoxnZ8I5SXYO4yTlnvq2
gynGUZ4fKV+sF2Pdc9afbX6+vVpXOo8u0CMkmpe79tG9nt3gz+7gzHr7qDP/
LbXX1EaOpQU15lrr1HI4KZXH1D0eXhlLwzolxmK5IycmwWBNN/kMnI74biSY
YXSWlWr+TD2eGIcVBPMYazxhzyflhf3PUY/nxlt6oEji1Ka+xMpfvRFxLdXa
02S73siyRrleqQprx44OfB3195GuekN6Opv4NjCoUD18VnoSXEv0ubsMLAz2
RxtjllhDVqrdCpkQatpPTdc517VSMzbw0k29tCkdNkpkWuCban2TnRf4fZWx
ZoL/gaSqWYH7l6YG+kV1rApnGZ1pgxxoKBX7/Belg17b4L1v/JZM78mQb4uD
b59lnnM12M93f5X5ailw1vlyOtRgiLP9kq2nZGXopdpO8B9i/u7S
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9022863274535444, 0.6257158186338609, 0.2970876151059875], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVXlMz2EcfsiRK+fcP5OGCmOxIVHWplHyc4QO55hrjvnDXMOISTal1Ahh
ueo38rP+cMzNXAtb5miVpTU2uSa3zfPs8/7x3eft7X0/7/N5nufz+QUvXD1t
VVMAOfwC+PXqC7zsCax5BXS4AyR0AeLKgJlltn4dArwbA0xrBzzeBZRuAB61
Brxrga0xwJsgYN5LYPQeoJJn5owFhhcD9zoBxY+B8EzgL/cHMq7eAfxpAuSF
A5Ne8A2+W1UFRO+3PM1vA7t59ynvZjH6y4GfzYi1FMj22P4+7qc9B+73AJIm
MccoYG5boGQLcIB4rvD8osVAShgxBwJ3twGxxFRBDD8ygO8Ztv7F+Gm85Z9X
CBwm1sZurIu4Pu8ynFcTgfp0gOlRnQKsYw0bWwJDvEAYv1m8e5+50wYDA0jq
Q+b8d84wNE4FfHz7CfP4Q4FnxJzSgrVPBDyRrJtJe2wHlqQBQTwfFAWcum5n
ChjLE+yucnj5bhPyk8zo9/FeZ+Ay4+6DxEVsv/sB04k7mXymnwYWBwMriTOO
eJJ62/575s2fYvtJGVan6i1g3TnkYXx75smlbnuBvnzrJmOqx3Ts5Ac+3AD6
dwU+Mm4ItXXDDdNPOiYwX8ulPN+KnskHvjluA1aYD5QngtpFzjZdalnjngeG
5wRxnT4LXOKZ44zT+1iNF1ljYbhpIU3kOXlv511ghNe0kCYBC02LYTwf77P9
Y8GmjfbD5nO/iPx25D75H+I8eY3/z3Oe8VXQP1nEwdojaoDAVNM9wmN6K+ch
3qtznN9aZm9of0WmaSbtspk/y+Vp4MFRri9GMvp4t578tBlGvh0PX3kv+aRp
fZG8xnrNS6WZdl95hCvG9Yh6TpyKW/l3jMOmuuUDYStkT+c6DJXV5kvlnEGf
1uebRulDyaHrU+kcVWz4s4j/qeNNvNZR4xBqvT7UOBJX8ngfNysmlFkNqkXa
qvd0JjvG3tO7m1hLxQWrvYS8ZR8ybMIoLrR/lPuV+bY+wvVEx09OkXlLHqup
shkhHqL2m2/kn2UlxO5mQjJjkPOhao1zc0x437paahkXOB7k2aPOY5pPcTfN
J9F8tyHRejOQvbnI1VKbaZ/W0qrc9cuMcdZvwqM+E27h1xw6v8VmlGZVBvtz
DjnfyxjvZoL6vtH1i2ae3tO7/jTrXfWw6o92HpaXvywwjaRVVJH194N4au/m
WEEsMMhjHpaXz7j+CvFYXuVvz3faOa7Ehzyh9Xqui9wMVP9NcX2Xyngh1Lwq
z8orwq/Z9ivXZkjgAfL4yn5T1jHmubc2FZuu0lde0N/a1/xLfEI+ugOTGcNr
zBvyiOa+OKlbbn6Srzaz1sjhhke/RdVVVvup1/ZpPZJn8pw3NGP+AyGWg3E=

            "]], 
           PolygonBox[CompressedData["
1:eJwtl3mU1nMUxp8cqj9acE6ho1LMaKOFIktkS2arUalMTCOSNIyDco6lMjVl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            "]], 
           PolygonBox[CompressedData["
1:eJwtlHtMzWEYx7/Mfc7JbS5ZVlouYaNcSkXJbGTKoeNSuY0NIbNpuSzVVso1
mZNKJWtCbTjGhs21YnMdmdxOhrlN2ZDL+MPn7P398dnz/m7P+32+z/P+Alak
OTZ0lDQdOkOyU0qCN9ekwP7SO2L7XOlyJ+lQtLSsSFoOZXe5P0CqJMYdlWZD
RrHU2F2yrZb2TpP2waIn0u1B5CW2kOs1+ERKdvK5kvl2J9/CB+6/h8RZ5v3F
vO+bI73qKflNNpq82pY2k8MuTUVD6Wx0gIN354JrJt91Iaf3erfUgfcSiAHL
pKFwbIVUBZfqpEF9pXlDpJRY8kLtGvZHe12JtPGZ1OwrpRGzHFI27A2X9kBD
Fvt1k2IWUme91BOeB1JDP6kX69tx0i2Ieyo5yTGLWIcPtfDc8seOP6Xo2tpV
ikiQPFF4A4/hEaRaz8bz7Cvet0Fkkak7mujx4Au8gBruFRZK4XgYBnbL29Y5
9PCq0ToTrR7WLZAxwvT1LV7b8NcOJaOlwzBpFzlt5CJ+95O+wZpaaT1aVgUw
C2ul3+T+ESO9PIQGcKP1LJyBYQxSMnmu75H80XWf6Ob6HKTPlzZD0ibpTg9p
cqh0MlNaQn9PE8+j8QJcPSldAc9ivGUeR6HBJxWd0I39Ynykg+yfWGB0ueKp
kfU8GI6Gf+gfQ5zAnhNhxnnTGycxl/x5kBJl6gyjzk/MxWdoxY8gfPlizaF3
Hi+lSBch5BR960M/iL/Yp4lvfxJTyb8O7gZRE9Ra9Xjrym0wdcZTbzbrHCij
n6Uwf4rxpxF/DlgzG0nulU34DE7mPBGO8ux4bymqWrrBfNJu5TOfRXAQdnA/
E7ZXm/Pp4nyGtJiZCCaGwnio4JyVw372eEgd+adM3739b7Pq3sJcnMGH0/DH
qjEWn4ag1w+uRBlvg/F2eSX/AVhaaeahnX6EcKbGwVhYwL2RfOPOYzbAFSz9
7SBVs74HDvJ8jJBuMqP1UGjpOkCvG9DZCB54BVXMwkWenSDa8cYG6db5HOwv
bbPmbiV9yGKdDYf5JxVDWaz5Rx1h7ZrB+R0ozXmA5gvUCOes/4C7zvTF258K
6z/woticWe/ZDfQzGmrQ8IE9P8KuGuaIewXEcvpUAX3cZk5Cvf6y9oH/ZvQ8
GQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9047112139501478, 0.6317780348753694, 0.30460476324545804`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtU11I03EUPRXEClJ6WaQlBFlWCrWUAhMLIXT2AVpqoxUkvQQWva2gHkLX
h0Q+GGGSBS2soZGWPhTliFouBwU1ZpmbRGUFgtRLD32dw/09/LmX3+7HOeee
rTh0rO7oXAAH+c3jt+MG8HU+0J0E3mSA2gXA52ZgVxpozAPqGP2jjHOA4Sag
rwIILQF+J4CRd8AX1sQZd/uBU5zTNwJ4Xlh9ohBIFlqut6tJm6nZ/UHgngf4
EQW8z5gT1PUNwOqIzZmKARd6gchiYBPfRmsNp/D+ShiGP4wt52yO5m07CxxY
BFQyviUHP7l47wIXd9r8fs4vjVr9w6DxEbY7p4GyLHcsA6Yzhkk1t1lTfx54
zJl7GcNNNmf7EDCzxd738P1fAGhlfXkbcY8DT8gxvwDIunyCMe8MUMCa+0Xs
aQCWMz+cYg319ORQm3bgkdMzxuhPG1/x7my3mu52wy1sR8L8nRqt9AKbWVsR
sZkNnL2qzfAIV9zpVs2aqUnuJscs40nieE7uW9l3wuU5xOjpMA98p34DVcC3
XOBVxjAJ2yzzsrTdSDdXj3pDnPEpZhz3E8NwyLR9XWg30C0+cmYmY3PknZ4a
u6/uXOr09zEWjxmG8RLub7Zc3tT9pL/ukHC+0h5f2nSQHh0dNl97BopME2nT
uNY0GWwFPpB/PXdNMKbL6Ufe8Rb1jIQtHwybJzRf/pVG4riee6JdQIqa3Owy
nuKr2/a+B9bkUw/urOVd40vZnzIfS6t9KdNUXMRvrMQ0ufySnna+zaWnAinj
Ms2+muPAg4X02jXycbfTDeUb8WpsMH2FU/9ReULeKF5n/yVpNdkJ/HT+lC+m
nWdmGPscl2CV6aKavwH7lF/hW8r9jzZeIgfHd5a9T32GrZoYW4YsF17xUb36
tFsYeoil0nFR7X8GHgm0
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3mQ13UZxx+dRmFKyJrRPAA5YpflECEhMAzQEJH7Mg5hgVTAgqAJQTNB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            "]], 
           PolygonBox[CompressedData["
1:eJwtkstL1FEUxz8EwfS0NkVl9lplFs5ottCQCCJyLClD8lFSi4zMaNcfYC+i
dFFZ2ljQS2QW0WMRYUGEFLpUZkzs1yaD0gh00cKgj9xZfPgeuOfe8z3nnk0n
zx9uWwBslIVS0gEHFsHIKSg2jsvsFpiR/Rfg1WKoVGuvwcAyOKJ2b4Me2VED
26X7OsSWwy219SqclSLPn8fgnPGjezCaB2l1STEslQ0foUD2vTZPQ6uMf3yF
T/lQGulF4rKrCMpk7jNcXA1/1dQw3JeaDNSttb5xX1OoV9oPDeuhUb40wJi8
uAwH9Z4ph+lU6OlDAn4a/5InufPH6oNCeCh3D0GXHM31PV0BHe1wU7qk3Voz
9bCuAN7pIcr61gmYkvEJ52QfE2pSj9VSfincqfPthHGJJEdhcA1UqU/fwzNZ
mYYVMp4N735TK6/AcT0k1Yz3s/IvN4/07pA/f683HmZ5oxpOt0GL/HGmk77T
2WkPxr+lcDNslcGxcPZW7ZWUfHcPqtyHmPl35LYkovAvO9We3F9H1j3WDPXN
ob/5PiP7rTXvjX28bHTuklcRvO/R+/AZGJKmvWEf+t2H/x00m0M=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9071361004467512, 0.6378402511168778, 0.3121219113849285], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVEtIllEQPWr4KDRDNIpKlChRwUxwkVmLMIvSX8yiNEVDJSI1atEDV9nL
fkmTNmp/IAiBmpViFC1sYw8yJKR+NTXNHovMLILcFJ3T3MXH3O/euTNzzpy5
cUdq8qsDAVTxC+I3XQKMhHLdBeS8sHVbErDMC5wJAWLygJo7wKYo4BjtvPOX
74d6ICAMaC4FQpsAbwRwawx4NAD8jKaPH/Dw7A/9tzBeRQVwgTlH6JvltX2d
Px6z/cR4+7ROiAWGMxh3CbBYBFTG2r5iHK0GipcyVyrwyms1VCUDMzdsv5Dn
8enA6xjeGTQMwhJF39T3wN01wJcpwyksBfV2Jp9o+lZdAS6GA8dpX5KXYMYP
KuM5/8vok+cBHjLHLIn8/QAIc9jbtwPXHK5C4ip2/tn0b+q2OIvcj+wFJshn
FO3aBOAvuZohZ61DwK+VgI82J87uKka23/bHJ8njVYvTSrw5ncZPL/npJ4f3
ies7cW3sNizNjDE9YPFnaU8XWM270ojrMPljnc9Janic1ZPJPBPMsX81fbje
7bd1P+/6XS/GmSvW8ak8dcQbTOyjmezlsMXfyvjLiasvACh/Awy5XKcuA8/c
+nqncSSu2hgj163FX2CXYRcHqlUxxXdpFlAbCcz5TEPSQx9xz01ZT0+WE/8T
YAP7/oP2vKut1mtalCbfTZpepZlC1h/u6kzpsPuK84nxKhqAVbxbTfvWYe/J
JUfscSX3NzdaL9ULaUT90LqkwT6tA6mZ9fdMk4dYf7vLK83+55qcr6AGCg5Y
Dems4fa41akZUk3aF5dFo0AHe1FGm+S0qj74nGZaaFO2Wc1VDRZLdyMSjHdx
Pptoc6IaFqn5j443zYTO5DNBUou6bC70Nkhzir/DbzMpzvexhq8+68U3Wk+y
9U4zrfnXLISwP3WDNoOXBk034lCanZ8yrS7QfnbviXK2OH70rqQ2Gs9pjTbP
4lBcnnBvUdc605m00XPWdKz6pa+ne4CD5CqfNWc4H2n/5l7jsHTUeql69Mbs
9JjeNN/nEkw/C9TPP7X6Ggs=
            "]], 
           PolygonBox[CompressedData["
1:eJwtl39w13Udx1913RlcgtgVpCIQqGsMh/wQdHDALGVW8iMZS4biMBArieGl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            "]], 
           PolygonBox[CompressedData["
1:eJwtk1tMjwEYh5+EioXNYkwsF2RsDs1hKmV0wUyEdCCVw8xWjheYC5Qccmxh
hC3iQmQiNy6wyQ1jZoXNcU6bDrIx3TBP+76LZ793///3vYff+34JxRuzSnsB
U6SPZKTCXOk+CBExcKYQPt6Df3HwQd1aBdvkXAXUSGM+RPeG1mR48BruS9c7
uDkCmozzrgV5as2TbbxcjsoR6VUEff3vuPHKeFghgxvhzWCITYBDV+GgnJAL
0fBkBexPgX2xUHIArq+EBsnaAoulohmeD4HR0+BH2EOneuo4nJY35UGex+aZ
aL+TJPMlLJQsyRluHjWiXiNkUSYURdmnccMO+KRRyUnmNW6UTnvpkKV69cK8
Xwvgi/VuWPez2pUGPyUynHPmISjQ21Wy/JV+yBKxLdaNgrhFsN164yshUcZJ
ZH2Qu7Mg6Kmnt9LDMGyAM8yCseZOlPbzsGsQtKlPXeYz+XkfxujHzkRIr4PZ
sqYFbkXYczasNV4nWWucW6L0qNK8MWrramiRpGM+42+pzvGoGJplw3W9c0eb
1JQcPZFP4Y3EW2tK+M5k9b3Pf5B31fBWLkx21/28KeOmCXBbSsJ51qq1aUEP
0fbw3fptMlMf/urBQm9ouvEMmfYepsq30O92Nbc0yL1erdXPi9Id3udLd33Z
e70ic9zxr6Fw9kmw+54byNOPXOkKPfuhvnJPfe1lr/UqrL1fcp65O/lzJ7iH
TOP6kYEfG/XjkrPWya3XwV7vht9Ez7dRHt5nmTrgIQyU+ZthnnSE+yvMgD3p
sFsKvY06bzJfPWkP1VITepGpb/2MY6QqIbib/sZF4TvnFjhjA/yWbJ9dJrsq
g3nK1P9Mzehz
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9095609869433545, 0.6439024673583862, 0.3196390595243989], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVF1MzXEYfqrNR0lk2dCRjtl8FrKUj82UGUaKcYo5k0PjIiVmY0MkM1Ot
kDZdCBeWz5BstpPGBSNdxFkX+tiyWbKWidyY59n7uzh7z//3f3/v+3y87z8x
/3BOYTiAE/xF8Pe9G3gUD3xjXFAN3BwL/MwGfviBNXwfPxNY686HeZ62EJjN
AvMuAakhYOt0IJ1x0NVJ7QFyNwKnxwAZt4HLb4DaqcCkFCA5GSjm3S93gIJi
oDkSCNUDXfOBf2Hsd8Gede7n+wnsMRoNPFkN7GoCeqewfxuwfxGQNB7oqQCK
yuyuavSxbhNxnssxfMIZtxWY4SN+cjnuBV4U2v+PZ4ihE6ibBtRsAKrWAtdj
qEstI4n3TwRKiT+8EeiOBcIY15PndvKdTCx5O4yjj1xrq4z7EDV4X2HYevOB
2NfGPYYxy2saSuOGBMOQSyxTXI50Kqo1DCcZA6dMq/hku6+cMuZEsVcu628L
ANGOYxI96c+3vuov/tLhSJfxVK/HjK2bzK/l5NH5yvTMIJdup7+09DnvfDuM
v3Q4Wm2+iqO4fjjIeWGvq3XWWxievAU+OV7S+H6D4fcQf4+rf5b+juwGCAHe
80CJw/mcuXudF3sYSx4Yx93k2OHyr3iAa17Lv838812G/wP7Rrk5iWSMS7K7
0snvZqymhfMZNC7HyKWj3c4/LgXGOz1zAjYfwi9/ep2eSyuBcfdsF269td7C
IOziI16jW+ydciK4N6sq7a7mVLpIn0XU6aurqfd3XV/hbSG24TjgWdB2THOy
jzgT2oyjZj+N3P6R4wrGIsdLPDbQy20UKJvx80pgM3NulNPfUtNfO/fXYdDu
vgyav9rRgTrzsZ1+Rs81DMLS7vz9zfcHPgHv6EuAcWCWeTHHYzpKzyb6lel2
UzMln5QjnwsSTZMRj82Kar5m7aFWw6AdWszvSyzv+qjxOrdfmSGbOdXvC5rH
qq8+ja6OZjDbcc8K2ZyJr/bmqdOzOWgclD99MXDI1dQspPBOFu8uYdx5zzDk
MS5z58FN5oG8+JNtPdQrI2RzI/0H681vcVx3EfiVZ9yryux7oe9GRKM961z6
aVY0M37OzpVy86uesW21+Zt+yWZRs6E9iHhoGPT9kI7qpW/zf8RxQM4=
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3ts1vUVh882s6lExdsUMxBUtHJrzYCN0FegXJwYS0HFjpulXDpdAhP8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            "]], 
           PolygonBox[CompressedData["
1:eJwtk10slmEYx/+xPigRUeQj9Ja1imKi9krMgdd8VVuYCdPe1YF8dFQHpYWs
LaKFLW2aDtDQ26iOmOmgjjogddArTSXZGmurTtTv3f0c/HZdz3M/z31f1//6
39GVl05Ve0lKgvUQliAt+kiD3VIfPIa0WckO21zSmTApizwyToqA+XFpYat0
sV0K4NkfqmakN6GSk7jolkbCpWViXZVUDx0vpDFfqaZWaiVvg6fXpV7O31XE
GvlzCEiUOkOkwCkpe1RywOoJaQVK2aeYOvvbpNTb0pqflELsjJa6oKdJyuXd
u+PSUJ40DPNl0ifwHpTcgdLLCGlpQvoOqfRUQG8TOfTeLw2AjXVe6W2plNEn
nYTDfJfPyyRiVouUzrqT87LJHRC5G12g7oPk2ijdj5Eym/kf0mFtnTS3nx7R
bSVY8kOvePZNAFu5tAd86eMPtW8hFvCcD8esHiftUkyjqetXibSPPA7OWXu7
2buK/DyMUcMo/LRm8INoG+EMKK42es9ESVc70cyfOWSghRNNoDleaoIr1loN
8Znd1LWZWkIKpB2QxizscKRVOsQ8vlRKLdRwCx5YM7hHPHhAisVof19TJ/yD
b3jrK0xdMJ5bIi96wryDpLPEevq+DJ/fMzsIjzR6b2ItNhkd4OYr45EgPHKX
XtsgZZI5s0cjeTg91HLudIP0EdygYc4fkn4XogEz8ub5qDX/ZE90SIUO4w+P
T7zwSy4zzoOyaanb421iygC+gdOWF33wYi9aPIJMl6khilp2Qih00Es7lFg9
JtDP3B2j2wK62fhvL6xadWVwpxpo+AZsR/MgCC4wOvqRV2RJ5bDcY+6Tk/v0
EF/1QEe2qbOCOjPx1rUN+ACfr8AquKbNve1i7yHyYRjPMd5OnDV3wnM3/gMz
auxJ
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9119858734399579, 0.6499646835998946, 0.3271562076638692], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVEtIlGEUPT0wJy00HVPJxwiaidk7sckMNcEE0YiwlYOUQy1SqEVuxCgt
HSKtlBYuegzpyKCmkqLC6DQtjCDCx2jgFEEqBQUGBS2qc7nf4ud+/vN/555z
7rnaaurOXNkI4CqfTXw+LwJbY4AYL3AyG/gTDux0AV1pwBR/T04FXpUBq2FA
cRC4bgNO8f3fJGAhH6jaDNxxAM1LwHIi0MHqnAd+WoGoTODfjOLvJbZrP/+2
AJ86gUiX9krn3Ww/UELM4mTguUPx83n+SgIr7Otj/4u3gZptQDXriE/5FJKP
Ix2YiWXfMWDU9LJQi6edz3ZgvQD42AT0R7J/HuA3Wva4gZfk+oWc/ayTPuUs
3CveAXfjgfOs3SV6ruT5ez9QR/zfrKMG8wXrpUbAS11WJxDdDGSQZ5EdCOtS
D1ueAteqVeMsOTpTFKeK3pez3w/27fcpJ+EWIMd1XuyJJg7f5XSqb+LffWqL
490S+pN4kx5uAJqyVINoGWEdNef6C+qj+JlAj9/eUJ6ZTp2rcIueA9rH1MMH
rG+m9ftJ8ly4BaRRS4g13KveSl4K3cpNOEYZvRHN2kPuFg0B30LKQTx2l+r3
xzgvj0/1im73B+B1AlA6r7MU7ZK1R8xYwxYgjxk5HNS70lPyIR6uMSP2QfVk
7TJwwqE5DObrvGXuK+w/7gEmdhCTddbMa4x1wsx6nPWXmWnNov4m30heLJnK
s8+n+Rb8JeI/bFHPW+n5VJnmU3LabfjMk0/ladWVG9S9Et9kDyzm3DujOyb5
z3BoJkRXo03vC47oW6BvfcQZnNOZyexCnGFblnIYJpdasxcpx3Wv5O4qMXIr
lLPs6FnTK5u9pg3ny8SsN1oEr9VgSqbsXr0rvgbMvhyk/0e8OheZj9XwqWT2
0yv0fYFL91l6Sc9a45vgDcypliHWA3bN1TJz1WP29Em73hecVOKltKknsjcj
Dcx0BLD7qPIW/s+YnZwkna/fo3mV7Mn/p/gAOcYBtoDyE56xTt03mbXMPGR2
Ydc+4L1Td0H2ddh40ltOv4wu0T1sOAywWg8pfkJAd1vuPmbtMLt5z6t7Je/P
cc/+AwDLOFM=
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3lsVXUQhY+IKwiiuAe0oGgrSxulBm1B0BahprRotGppS2VTElkEExSJ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            "]], 
           PolygonBox[CompressedData["
1:eJwtk2tojnEYh6/JeWjYFjJDGVuMUSSHElYoOSXHjHaID8yx3oUooyyZsw9O
Yw5DmzF7ZR/GiCaMbNiHrZwnxQfKIadrPe+Hq9/9vs/z/O/797ufZ8CKNXNW
twFGSjtJfwFTZYp8aA81M2DwaAhHw7UQzF0H8yQ2By53gofb4Z7cl6UvYYms
kDU94XMppCyHZNl7GeL9b796pwSqekBqAkQvhi7SvAMGdoW0cfBqCbyW3Ex4
1wc+NUOLfJSGQqiXisbgWljN2gqZ0nd4MNNK64bb3ieTr+pHXw+sK2r1IMOG
QmdnCVt/Lw1mzUmE7CxVJjtDkrPE5MObRfBWnmyDOimX0i7wTD11Gm559uGB
UGx9VhLH699ns3ZBkR5OS3q/wPs+vf/MgF9ysRq+xEGJekJOVgd9WvvVRPK5
qRbptaSbqHGpniPvUrxXmiKZPVf33YDaWChUvx6Cb3Jhpr2i4OBOOC4nZHYd
7OkFs9QJo2CibDDn9fK+Oeh13l5JrXN2dDcFZjbB7GSnWTeZeb76yOweS8HY
II+weSQvcN9ypV5/vaFMpQyi5MgVc5IPq+CfOzpm/Tch2M05e1Ve8gxJK4YR
EjNEH+ZTZS6978LReOilFqWZqWzRy2bZlhJ4zLW+UBvstaM5n7EuljvOXSNj
9RHqAINmwZ9K+C0LI1kcS4cX3rOgLYzxesh78wqCbFozKgsF73+FmlbufDK/
f7D7p34HP835hyzbFew+W83zd0ii84N3qbu6aT9slKuRfJ5PM0v77JDGSP9s
s8hY61lyILLTjEG+/5HcUt3ruUnuSFJ2m7m0+IwWSLSecR2my4BIZnHOP7I4
+JYrzLJSwvIfgpXzLQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9144107599365612, 0.656026899841403, 0.33467335580333973`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtkk9IlFEUxX9pmQRpRm2UrMEgG9zUoqic1MABMcwMYgrDoY0VZLqoRWTp
YhT7BqNoEW0qnf5ARrRpoD+YQRrtlGKyjUZBLtq0ihZl53Lf4nHv99655557
vhs7ea6jpwho1inWmY3D7VJYMwwfsnBlNdxph+RlKFoBSzUwPwpdZfBV8eAI
vFoLP+uhdwhalPcPeb3xXOqE3zVeOzPoXMaZn4DpfY5fuQDbGpxzUZzJAnRU
QoNi/jH8W6+zSX0HVCORN/bA21bHGNa+7f7ue7ge8nhKvYL+a+3+Zve/JqWz
07X1K77pdW0/pLE55RjjWAqa7T2fgD/SWR7BjhyMVehu0ucxzIZuWKf5u4Q5
MuxvhtmZ89lsxj55MtYCJ0rgqd4X2yAlbdUxuP8FaqugtFba1GOVfOhRfK6z
LJ3n0/DtpvwoV51iLvCc+qQ81I4rPqjT3PqZp6/C4EPXcEvYKXl1WF7tLXiN
1b6Qhu+BM2ryGqvNiaM763le+YE+n9H+4ULQ/LnNeY3/7EdI17lO09sa9iGp
eCHt93Mj/j/M20jelkXu58bIe1ivd+r5KPS1ObbKx+PC/NWOPAk7MKF4JnCO
K38ZfLZ/cki47cLvzsCujOf7M+61zXtPeuvDXjUW3FPjOaY9vBg8LyR8V2xn
nknL61jY/6z3M7zNtFlezYs/rng04fkW5f8BMQmvuw==
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3uQ1mUZhp9IMB0YQYXUCtwQsA0CZMZm5LBQAiK2wqYj4QILyNEylsKy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            "]], 
           PolygonBox[CompressedData["
1:eJwtkl1ozXEYxz82y27sICsveZkp22ninAvSZgdlNUfGUcxbW7twaurYKYrJ
2wXa/nLljhvbkYvNnXUuTCLEDaVpceOIcmGRG3KDz/r9Lz59n/49z/d5+f8a
+k7mClXAGqmR/Ho4LpUb0FMH79XRFIxI5SZkEvBlVnuhXaa3WmfeQASbr0Dz
fNikDu6Bc3JiCvpl9AM0LYe76g/rvktyWH/zD+hRvAqdxgPqcBIieZ6FZ5Iu
2X8hXL4HZxvgjPxdIYvg/hjUNgXvkt6d72CXJJznj3516oYW2CglSbps/rp9
pCjjY8GnrD5wpglZoH9CMtOQWwZt6sgRuCPn4zlftMLSvbBE6uNeZfdoNXef
NU+yYe/Z/d8Owb9a6LX/a+M38im+77oMvOyDV5JeCSk5NB7y+52lcgk+SrTF
ntXey7jaOaqkPb53l7PMtMGkcVbvW11wW/Zfs4ffcuo3/8WM5C44nyzO6zEH
Ooy77XlQyva9OA8eufuk938ojdYe1mOt+rUx1Owoer8J7yc1PTBXOoZC/93q
tvhuT71Bs/8uKdH28HY++3aOFuCY/HwcdtrZDb+Mf8vq+E2sUk/pe1oKUXhj
g2rKe6flP3KpkAQ=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9168356464331646, 0.6620891160829114, 0.34219050394281025`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVG1MDWAYPUWECRFjQ1fhrpnhh826RZsRthpG+k4KY0M2/WFho9awmWmU
jHwVtyVtUUgzsdpamfXha/zykYUVyfzAOXveH3fvc9/73uc55zzneTzZezfs
CQSQz88Ifg42ANsnAL9KgMouYN9kYOdsoKSVP04FIrx8FwPsmQbcaAMSMoGV
IwEf777XAPcZZ7wELjcD38IAP8+oIiBtPLCI56lbwES+uZoGrO0G6gKAYOb8
kQAkjwYO8/e+DGAZ3wz4gLAWIJ7A5i4FtswCkgijMhs4Xmj/9bfz/Um7T94K
BN02zIG3DYfwHFsBDDcb/gGei4n1OfE8L7Z6qhvpAaJ7gbLpQMUay6Wc5cxd
FQd8ZJ6+XcAS4j4XDISSy4VVQHMQ8O8s8PYm0BQK9PDMmgnM4X+r04FRDo+0
7Cy2ui94fjgNpI4BPAtZI9H49pPv9deGYTffx8eYtvVZwGbGqxl/Z/wnznq0
/RJQUGi1vNeAWPdePXkczdqMA94Dr1yt/Bzgt9NB/VReva/2Wy7lHGLf+0os
lhfeFBrfWPI+UgmkkGNBpeVSTvEY9Bn+YfZtUolp0tMILKg13b6yR5v2Wx+9
7GOui5/wTWSR5X8YRf6lrMe6faXGU3yzY8yLwvOgA/jyzurmsX6/88xG5qhy
HA/kmFeUXzWHnZdS/IZJ2Lbxfspuw6bensg1nxynT5453a6ksq8J5tUZPvOi
8qhXHemmubSvaTefVzSbL+WZGvr0qNPq6Tqgl/NTRg/MrzUvqtbP9VZPcR7r
+3ot50SPcRAXcR1y3M802MwITzixBGcaHmnf4PwmXI0Og2ZC+kqHEPI97zws
3p9dHo/P9JXOo+j36FvGPYve29ZlvDTHO+qBxCnsG88Wv73vpg6tieYf+U49
Vv5S1il3vpJ/L7oZ+XvXPoo1N9JUGIQl1HlgOeNDThP1RJ7QvTzY6TBrf4Q4
/8xjn6+32S662WY9E37xqHD751677QLN4B1yamGu9ZzBRzzDa60vXp6Dzkux
RcZNHJNi7Lvu5bUkp1UBtc9zmnyKAK653ajZavKY/tpVde2GR7OovqpH2g1j
vba7tP8055p37Z5x7l677T/sfCeF
            "]], 
           PolygonBox[CompressedData["
1:eJwtlnlMlwUYx58Oj+kwzdK0PDBNZl7gH9UEBZcH5QnVPFDxisM80NSsNP9Q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            "]], 
           PolygonBox[CompressedData["
1:eJwtkltMznEYxz8O5bScD3PhkOM7h8YNM7VqzGGklQ2Vioi4SGGZzYwbxmxa
m1HLiByik4v0JhZbrFwIs8XYXKm1tZkxYXP42P+9+Ly/5/39n9/zfJ9DbN6B
9MLBwCKJktkhfybDQBskboMkGfQRoofCs5UwVDtK7h+FJgktg3VDIP8gVHXA
VfnSFsSo1l5YDQvk6QbIHA8nbkFCI8RL337oMe4i7ZdnJAa6PDMUkykFp2Gv
zIyHsfr93QSV52Cr4R/FwhXtqzI6C2Jk+TTvzfGhBlreQViKd0PWCHhXqsYm
SJ3onWdKMWyS+rtQJ7Wy2hwdqWrQfiHRO2Gtd+3a8yJ1TmqH80+hVOLKYLF8
S4MH+h1LgsN1cEjqpwc6W/IgNqK/azuUWM8RGbgD36U2G2bpF1b78dwg35YE
az7rOzl+K+jbSc9L66FccgohW+bbt4oJ+noW5wcaPtfDD/kpT4rgsfTODure
a92tL2DPGPiVDM3aYYmNC3p02x5dk+syqhZGSk0nFE6BIWoa978O2az+jGHw
1XmUrIL3xusvd3774JW8VWO33HsDReqLboCbkTg3PKOsM1oKZgTfo/yeZhPS
ZZd71OYiXl7j/y5zyXPzdEqv+5fmjrSfcn8SgnlV7oBP7kyPJNrfi8Nhjvp+
6/tHQtVBf+O73WVJlhR9N0q/tawwxnC1HDFOibyO7OFS4ze6xw1SZS0VU9Vr
PZl3gzd9Oc5BO1eWmG+7b2KM16yGsIQis+m2xlZn9VDy5sJOKQsHM+i7AP8A
rpDFng==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.919260532929768, 0.6681513323244199, 0.3497076520822806], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk09I1HEQxT/9gRSKqIOlJGVhLO5KgRBEBRUpiGHSH4pKWgvykhrRpUt4
KDdTKEJ2+0tIRqQWKFJu3cKgNJbKtU5CRJcID9HBa2+YOfyY2fnOvJn3Zrbq
bNfhzqVAs75l+rqfweAaSA7Bl1qo1+PANNx+D1/LYOsOmOuGsZX6Lfs5co7e
hxen4VEJXMnA3hPweglsScCNqM3IJq9DYhVUy+777r0S6lWfUkw4B/qgIeM4
k8Ibb4WNy6FvN1S0qI/8V3v0Vgnza2FxGPLRt1d1TYHzsFfvUduv2l/Keayc
H9dUW4CO9fC24FiGmUjDkai91+e9DXO7MM+MwD/1Ojnib5ZT1+Kf+V2KzfbA
8RXwTkLWjcFUKSy0K97uvsX+1PgMOWGeG/b88ipIDbkOuUb4Ftre3ek62gzG
Lxk5ptl0s9daz1M3oUT4FW2wOu1cNoyq5iNcXCd+spf6Peep+BVDh0H1r2zz
uGGkwrdc26XtdL7WdTSOth/T0fSca3UOhmN4L5+7bxp3nPe9Z7X/Wx/ct9hC
6HA1B/sbXP98wfdqmE2HYCZ4mTafxn2GCdmeyLF9Doz6nDZvKm7p4C74WeNa
2e10hibGLxt3uFl3mI9dm07p2Olf3VH1jPeynqad5aCc2dDK+E3EPPaf2JR1
LkVxqko4vt37hSI8KNc9yHbc8bi9T8Vt2N4mYwa75SeNnt9ZdCzDLBP25W3u
W583scdS1S0K55j4/hbf/w4Fvco=
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3uQlnUZhp8MISeDABsPJbhrTkQoh+2PHIGFdUhpxgXBojjJUXaBIXc1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            "]], 
           PolygonBox[CompressedData["
1:eJwtkl1ojXEcxz802cm8DI2zGg3TaTtiU0q4ETJTykvKsJcb5eUcZtfbLuxs
uCDZzl6SFqOG2m5wNuyGMmqWIS5WElcukHKOOx89z8Wn3+//PM//+//+f9+n
tDG5PzEbWCNzpLETGqRmH6zMg9RWaE1Bi8Ruw0AhxK0VHVAuG+RGPjw4Cn8l
J2Xtfjvf76w7Lrv2gANxqLbfI6ti8GgWnLkGP8bhp+zdEuypcE9erV4kWgqH
58Jzz34m40I9HNTX422wSK1CKW6A/Ahcvw+7V3iOXAx9fSmHdvuU5IZgZrF7
S2DyGLyRJvefk2Tos0afEbXPLoPMBMxTs0ByxyErR+7BbzXqrU8T8ETetsFI
AXywVr2GSplZBzvVK7OvUrNSHk4EuqPWTxfgo3yWm/r8rs+ezYHOe3VGZUzS
1cHM2+6agbTKr5LAQ50evurpmwwMBTrTzj/t+x4p9k5RiYUzy3ivjhf6LYKr
1iUbYalkJs1iuXOx9g5D3388t1cS76A/CqetybC/5fNhMxuRO/oelD9mc8j8
stZsl2sZC3W374KibnM0o+kTZmUfke6X0CWrw//hiv2pS3BSBuNBpgn7hU2w
QNZuCrx36r05DeelJR3oNq83/1fBzKecfZ99v/wDHt2jcw==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9216854194263713, 0.6742135485659283, 0.357224800221751], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVG9I01EUPen6o1hgzrQiQSkQNbAkMHRZltkirKYYbJUx/+DINIWgCDIi
Nm0VQkKkfVqljSni+oeKCYGKGlhhkWkQlUkfovwkBFnndt+HH+/t7b5zzz33
3JfsrnPURgCo5xfJz1MBtFqAhGnAmwtcXQ24m4A0F7DIgMIc4FE+ELsceOAB
ftwBfAQoK+bdU8DSKqDJD8ycBS4yxlkAXPECrhVAux0omQReRgMVDcCzC7rf
k8X4y0A4BvjM9Vw3kBEFTLiBuzv1fJbnboP/vBko4veO+5VlwOF6zVX1RHkL
/+kwcLxB8cf6gDOXgFLiZGUDo4abi9wiGd/I+OyjQO8Q8CseqJvifyZXfhfw
oQXoWQP0M7bWB5RTkxquP08C26hZE/WJLlM+PWP6yT6YDuzKUd1Ev2/E/0v8
r0P6n8Q4WUci6/9EDYvIf96p8ft577zJlcI+BAOAI5ZaHiDHcq2xIw+YMxwW
NgG3qHMrMReYy5Gs54M8rzG1V3N9a/oVlwk8NJj3uH4kjzfMNcvVM6U6iB4D
bu3FwnXtn/TxGvM0FilPqW8wqHvhLr0X3VwZwKRDffKYfgkZbn/ILZHalpL/
qA2wJAHL4oCRELA2U7kFybHf5BUvSL//Y/LeiE3vlnBfM6V82uyaT2JeM7Yz
T/URLzu3Kk7EDWDLBGtNALZznTN8lshntk99In7xUt9iahIOqKeFj2h2/4X6
RPwiWIIp2rSPUw9itnJNPaLchGPbsPZ0/CnQx9+/qe0GavPdrTj55DjgUX0O
9QJRxj/ia5kH4SOzss6vdzf61R+CaeX/i4Z/R5r2W/ZSk/hY8PcSf8b41rJb
PSp+mD6hMyO5OunT4ZDq/yqkPISP9M1qPOkbVq6COUPfnTazVlmgfRJ9kti3
eeMfG2v10reV3Df7dGaEw/sWvSN3ZV53GA+kd6mPpV/H2K/4auUgb8xB1gze
3edXHwt/8fvmXMX3Eb83oP0aCCiWYIq/1hv+0ocq8w7Ie1No5tFKzRo71T+3
7frWSE+/3FRNRU/xbEyqzoLMhPRSMBtqeWZmOSVV3xGpS968NjMjgv0PRsAh
Vg==
            "]], 
           PolygonBox[CompressedData["
1:eJwtln9wz3Ucx18JxSUMCU22xV2aHyl/aH5sVs5Qk9SpGWOoDVMbF2KmY2Mb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            "]], 
           PolygonBox[CompressedData["
1:eJwtk2tojnEYhy9sYjnGMIeVhSQL2xdynlmkbE2hzXE2p82wL4ZCYvMiFmMU
X0axKFl8cGpfNgtTthjZSAib5hClsHG9Pe+Hq/v/Pu//uQ+/+/eMztmaWdgd
SJJoGZwNv3rAvSq4L/WSMAlGy8Y9sLQPbDHuXwCZA+FyJezIhGJpSoRGKX8I
h4fCOWNWCJp7Qe/V8GMG/JQbKTDQYrEboaMCvsi82bA3CtpyYM5xmCsjjsDv
vnBrJvRfAwPk/hXoNgjqjM3p8FxKSyHPeyXGv4uhU1InmlOGR3IMMdabZ6k1
xmdAir/nyVrzrJHvo2CK839dBbdXWFNCkbxj7Dl5ajB7gbMP2wBxUu3sS9Tg
emWgT1inAWX2Ksty1cFal5wraz7sdt787dByHlpl3SE4EO7Z3K9WwmvZdFON
Zf3N4H79Nvs6ChN725O6tHv+LClXoUtNN6nHLM+z5c9Z55T4yerhQjs8V9fA
t1joM946JT6X1mP2IO+OBXmz3FdRIbzxnWHJMLIWRkm0WkXJpQfB/mLcX+xB
/SFp0wOP7FXnw84ekguVgR+qjF321SlPIruKiocHt6AhxtmKoNZznUTNgWv9
4KV67VCv4tzAR2E/3YloW6LPxj0yv34aa2yohscSqoNDUloX9B5n7xn2mC4z
7btJbV/pvYrlcFoS1OCfWnxQk/c1wfmbcecJ2CWJF9VDKhZCdk/9HdYqFOT5
GM7jPGeky++jXD1++X+bOrRLmj6bL6n6CedZZHzm86fSGbl/0vvteqpNEtz5
OvMW6q/Wfe5JX7UYy6fBKUm2/yRpDAV7zrFufh5slhdlgWYtxru+c0feRnKc
892C0iB3sfHTBOvJC7V+LrlFwQ5aPf8HcV7m6Q==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9241103059229747, 0.6802757648074367, 0.3647419483612214], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk0tI1FEUxn89tQHLjGzjiIKLoFkkPcDKsiYrIqJaFjjiJlpkMG2ixRSl
QTXQZIHG0EMHssYJDKagwkUPaASbQcHFgOSyRdCyAhf2nc5dDN/l/s8953e+
c6a179KZ/pXAcf1W6TeWhuh6eCKtWYSpJt1LUyfhdA3sGYS6AuxbDZFOeBSF
uQa9y8PPFo9ZHoCm8HbqHDTehTYVORyDHw+hJwLP2+H1DPzZAk/jkGzVd9Vf
Ur6Fx3C1Hs52Q4Pe/q6FFb3wbBLymyArvR54vr1UrhIcU56cdE2nsxnjg1tw
og7m98LmQY+3PuLKuaz7r4qNJDze3uVuO4OxjHXAEeW8r5y7mv1+RAwH78F5
+RM/ALOBsyKdD31d7lfsfmhWTEEe1gYfzI+e4EPbKciUPP+wNBc879K7ykc4
2gifpuHKhLOttZ5i/vamGL8Py4sN8km6O/DslF7sdc7/vCHeak6knacoHRd3
Wuf6DJRUIymGz9I7VT/fUO+RjMdslM5ucx7j+hXqFg/BjpjPxebTUvDzUsL5
rG6Hvg8F/9PSaqhlNcuhx6p06xAsqla7dDLswytpNu97lZNeC7O2GUa/uM9J
+VxU3F/Fv5N2J7x3m2Eq+Gb+GZOxDehceetvL+jteNiZF5pzvux7tU77m+py
nu3imQvM5s2Hac9jfWfDHr4vey7LafMfDfeWz/bb7o13JMxlQWyjcWd+M+O7
a33Z/+YfrP++bQ==
            "]], 
           PolygonBox[CompressedData["
1:eJwtl2tslvUZh28QD9MsgYCRk5hS1IRCuwQ1kOIodEM8oYIuSotCpRoqFAQ0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            "]], 
           PolygonBox[CompressedData["
1:eJwtk1tMzmEcxz+OxYaw5RSTubA5b2YSKiWHmRFu1JxWTCbnGxeYOc7rVGhm
DpWFysTKxmYkG9FKbQ4RXbqzcYHVBZ93z3vx2ffZ83+f3+H7+73Jm3fmFPUG
pkg/SV8AYwdDeQSKV0KJfGqCj3IkGfaMgA7P/47Cqjg4tAIWpEKajNoII+XV
fL8PgtTTkJUNmfKkBaqGQ1kt3MiEP8apbYaKZ3BLBowP32/6vaMQPsveIlg/
EL5fhLMZcE6e5koSxHXBvuOwX+qN89d4dWqjdbyUb6fgq3RKln0t2hDyRPM9
jv2+zDpO+v6E3GsONT1oDu+jcfp0hVzxXcGHqB91+jJOf7L0ae0EWCMziqHL
u0nqmGkwWhLOQ8S7gerlFLgkFa9hiTluq+Nq9Fl66dfveBjvuSYWu1q960Cq
ZNY52Opdhlo4FbbLamvLkbnHwgwOO4OIPSzX8xL1px79kpRVMEcy00KM2cb4
kAfvpbwK2ofBVbXe93XyPjXEKDZGz9jg2w7rq6y2ZkmxnokuS6JzHSNJMjPW
+8F0OFPgnCRvE+TK9UjYpQq19RocSHAeav5uKJA7KcGPSv3odi49suwhLJWO
BlicCG2T4V2O76VuofsxxNmWwtCYv7ftbVu+3siLpvCmxbfPPTdI5y74IusW
hfxt5r9gvmzznleLtsBOefsI3sie2M61eu7vHs/r6wzdnfvGqpWKmG9X9Kdb
H3uksSn8L9qbQu3RHqK9RHsqjeUqt9fO0lD/DzUyXb/kPzfpz/Q=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.926535192419578, 0.6863379810489452, 0.37225909650069194`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVEtIlFEYPalpWlFZ0SIrJDeOMNQumIIGF6HmSCWjNIZpBEHN9Jigt4zk
vGzRMBUkZJuiyKyUmBYFWhmU1cJWGfagRS6CqTZRoFjn8N3Fz71z/++e73zn
nH8qOw/vjBQA6ORTyOdGAgiWAPcCwIuNwL4yYDoGnGrnugCo6gVe+4CGxcCT
t8AR/v7KfZjrqztAnDUrQ0D1WmDpcsA/CPzpB5oX8U4XUPoAOFAMTNUBb5qA
o+w1fBd47Po+Yt9/e4Ft5NJAjEP7gZOlwOx94EzW7n4bBb64XsvY612dnWcb
ydlhvk8Dt4k7Ww7MrAFG3Hme58/GuV8FPOeaabdeReR/0U/sIiAaMSxhThC7
kHd38+6lAaAjYjWq/XXZ9JFOmkH45yqtt/bq+TFj/DXHwaThzAXs0T7Fs+uO
5zWuUz2cfx7w3UPNqPNfmrJwDzAasV41Q0DTgGm1gr3qu0zbINes0zBH7K2D
pn8t11aPadUSB1Z7gUYafou88o5bmNyu7rDzMZ4VNxmHK0nzW753t9v84uxh
312OW0nIfJKGFR32TjVtSXunmoDP+gm/iv3nu3r53EPO9czPS5/Nqfpxersu
bpzFvbnX6uWVMqfspROmkXiG2Wuuze5KM+9Nw+xOWD6Eo2z+6KMfS6g11w/0
PsoMTHKt3mQaKqctrm85752ttfqffZZX5UEZDNLfEeK3yWeX/2NbiO/45Mgn
7/byc/2QZUbZ6W81HGV2Jm3anuZckzHzVz5/rrFzvS9w2VN2xpyGFdTwk9vL
tzK3l7cTLp8Zv2Vaup2vtO9HXh+n1xucp+qTSpieD/lNxQKmobz9vdlmDKVt
Hs2iXKhO9Rd4L+W+F/Ucdr4IT9+wcqic5txe/yvbs8Yh6rX/Aml+Ikd+LgPy
bdrp8DRidapXTv8Dgqr5+Q==
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3uQ1nUVh49EipZ/wECJgLCsJgUIpUAIayBikIpJU9PEpZWbIzqAFzDW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            "]], 
           PolygonBox[CompressedData["
1:eJwt0l1ojmEYwPG/zcYW4UWKfVhY+WicIVabV7FhirW0vZuNhIN3H6YIaYux
idLiYPN5pnlJDhQOfJ3Ym6/RyDTJwZgyjpRY+Ot5Dn7dV89zP9d13df95G1r
2FSfAuQrTR1F0K69O2B/BqzvhNhxqBwHKRsheyXkKKsANvhh5mmYooim5UGF
+zqPwUmd0vcuGJwE31xrN0OdIlXQNh4+9MCA3ike1hs0T5r103XH72/relmQ
967x8H34rCHtSocLW6CvJIgzbsDVfkio0Z4bFNffMdZfACMd0GSeJ56juBBW
6Yv1hjU3PM974/MJGI3AFdcDtXBQr6rhpVrtoXQiHHXt0Drjm0/hUhQuK7HQ
HlRlrXu+q3DNd17z1B7OMdX6i9ugQGUr4Gcq/IlBs/Pbo9/ZQf2L1k8sMp/i
J+Cj+ZpcY2HuH+b8VeN+9T2EF3qUdM8MWOrZZu2Emao4DOUTYP4yeFAP2zPh
bQt0L4dzqnJvpVq3wifvZYk1SuxrraaHd5Vrr9XOIaboNZg81Xw59lsY9NXo
N7l1MFslPmu2hwF76VVSr3dDv0bD/+GQs3pzxudqtqehsc6n2HsJcxe5Rq21
WkecyZr//6f1HjuTXu27FZyp1LN9nePdqsYeqpVVF+wvNz4b3v+I999l3K1k
TzDzFv+rZ8bP9Q8EEqja
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9289600789161814, 0.6924001972904535, 0.37977624464016235`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk0tIVVEUhj+toECNHgpSWmY2qKSBCJUamAU10XIS6r2HXjgprIRSaCIh
6i2zIspBVGYElRIhGGiQNgiNIq0cOElHQYOu0AMaXIn+1dqDwz5nn7X/9T/W
Ljh+prYpHajTs0TPaAfUZMKI1uezcEDvp/T+tgkmVPB3DHp2wEUd+tILF/Tv
xnJ41QC/J2FI75/jkF8Ox3Q21gmVEaxcCjna238UFlXTn4DWgLP+NpyPwRb1
T1d9/zaYUU1PFxQfhp2qWXcNqrf72fNXVDMDT3LhgdbmLu9bonOPxK9kGfRV
OW/jf30OfkaO2a3arHnXOFsGyW7YnAW/tB7pdM7xTscyTNOUvAUVadBYBL27
5EsGzLUJd6trNw9ael2LeTPX45xPF0P7U5haDZfzYHfQfnNAXo5Aai280/op
7r1SVpvnPlSI78uAaT59L/L6SdV/rYZM+Zle7p6atzWRf9t+Vcx7G4dS+bZp
EDLWwMZ898447BOX3HHX8kFaTgy4P6nIMzAOhQXw+qNrr1P//ir31jwebXDt
q+Zdj2FatvZt+2P6f3KPe7sgb9+UeRYv3sOPkIX1tFyNZ1x8J9qcj/Gy7K3G
cttboZnS2aRm5mHgkDMEf6pde7Z0N55zntN34fGk41hWaUGjYScL4ZA8bBnW
vLb5PN9RTfOw77dqjQXfLMPiyH2wTPpC34RlHebWMi8I3m4YdCzDHNddmTrr
fOqLfG7+z484fku4loWE5225zyr/gTDP0wd1D0OOpZHrtL7PdBfvBXzjXhh5
jdXWB3zLKh74c9UztlwqxW2s1jnbTKWC/zFxWCxzHMO7H/DtrmeHubqkWVox
79lZhu0dztlm9h9DhdrI
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3uQ1nUVh4/JxQpqBoIm5LZ5SVauEYEuOKCDgQKroELDsigjMEIit/5o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            "]], 
           PolygonBox[CompressedData["
1:eJwt0k1IVFEYh/GnUmihLcYwglInDVKTFhHZh0G5ClNzgkSYGT9oWRazMQhK
KMopwyjKlZTTpsyFCH2XtqkGFBN14UZ0VS0cIVqW0BP3Ln68hztnzvue/73R
roux7o1AmfI1n4DxzXDjJnw9Aln96IXv+tTts03w+BAs+ry5EN6571UTvFb2
LfzZ6h5rJAVFqh2AgzqgWhvVtMCMZ40VwLMsPPesEbXthroNkHsI195Ar7bd
gmLVx6EwD/7ac60fKra4z5rohKTKSqCgCKKj7mmHdSX8X6fzlRyFVf+f02Qz
TCiX9p7+9tO64xFcca6efVDuukLzQzCn2aFgpm+XoMoelTr+v4f5HO6A4QXn
3w4vrOdL4YJWBmFZS4PBuZMx+DAN75U2q/2G/LQeqqOeqXg4Z6v18ks4bX65
cvhszy9qdcazimvBvplqc7V3RKWjwb13WdvNOqmp8B2smudEF3zU7zCzc8fg
1FVoUE/YK2VdC/M4UQcxszuj2zu9dwSuj8Ae56xUJh3cvWmv34DrJ7pnvgNa
DL+bVB/09wWz/kp6jus74m7w/uM1kOc6Xw8a4b5mTwY5ZszxH2cPj9w=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9313849654127848, 0.6984624135319619, 0.3872933927796328], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtU11Ik2EYPfS3YRjUBLto1gyJdGGrKMYcROsiL6IwLIZzq0grygzxIrJi
QdvctBgGEZXZpkJtXmQhtEoSQkuTYCBdZLSsu6CLurGgUefheS8+nvd7v/P8
nPOcz3G8veHcEgDH+CzlE98HrF0BdDUAvZPAVAlg6wAGfcCfcuDlLPAvAKSs
wNYIEIsDv3kuOQpU9OjZ4wR2EVPFeq+jwGYHsInnhB14QPxMKZCOa77UKRK7
0Aw85bm1m7V2A49XAYUk4EoAH4kPeDmT6WVlr8ucx7kc+HBa55M53+aAHuYn
iO9lvEguB1cDE2kgnAUW1wBRxvlH5EKytiZiDd/bxCzaFXM1q/zlPsLvI2mt
c52xhb33LAN2cp4b5l76fE7qzN8Zf4zqbG2HgC+cqVgG/KIYd/qAm9Shu0U5
C/fhDDAaUH1qY8DAkGIEO3UeyJDXhTGg8xnwhnXyefazq7alQeCdwVjuA1u8
OtuOEHE51aSM2tQaDWsYn0wD7dyjldjJvNaU2hk39aMm78PAtW1a81s/cJcz
nWLuLcbiK8UI1tGkGvo9OpPU6WAd24RiLIxnx7SO8Kgc0d3ZqF/BaDKf07kF
Iz0fxlSTn9XqG+Fod+iORc8un+ZLHfHa81n15Dhj23rVLTUHDBkuMm+10fxI
JfdouGcY121XfcTjFjPzsFt3ILsQz4onxAPhcaCedRa4X1+fvsu966TmSG5n
q3pXPPypWf8HmVM8K3sSLtPc21fjc3cN9SI+Sm2TdUAjd1PgOcT4l5r6eS6P
aY7kVrDGPbMLV53yEV7C+5LxZH9WfSlnuZsx3pA9vDig9+KRsPGSv0q1Fs33
RtQroskANakPqg5z7H/Gq7Md5mwbvPr/pshrpcGL10Ie9YP4QnIktzGoXpS+
TuYNmh2Jx9GsfWXn+422Cf73V/h+gvU3kuN/zhDz8w==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlmlslmUWhg8ISKJo3IoKJVbFhUIZFZVaioIRAcWCG6C0III46qBUTZy4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            "]], 
           PolygonBox[CompressedData["
1:eJwtk11Ik2EUx//0OQyFMpxFVtMkyFGMeRMqSGa0IPrCSDJnoSlEGssgLMGg
TR0VZiWY+TFXN2tBCIu+jBQsTQkCL0qhGd1FQdmFRVr9xvNe/DgPPM97zv/8
z3kdJ+oO1i6StBWWgqtaSl8mte6WYv3SI/A9ll6vlpqIf25J89B3X+qFbtix
RHq2T7JVSL9sUmZU2rheckBRu/QpRdpLrKfIObjANw1gK5Dq7FJ0TBqckH5z
DhdJaQOSHXaRrxj6W6U3yeTkfalfOgKpR3m/WPLmSYeDUpz7EuJ1r9QOP8ul
WbjSIgW568qXLlFzbhV9WPUTOj53S5Ek8p+RyovJB9P0MgVl1Jvi223kPRvD
BzgfM+/HeR8ZM/oHiNEc6QGkN6ORb+bRlUX9TZATNHlcCZ28mYHhd9IQlGYb
b0c4X6xEE3xpkx7iWVKh1BPBY7gHIbzVMXqsktogWGi89eBtSoeUDFeZ1/6V
0jXiX3xYgIDV91wGntPXcuhAZw2a7hD95L4MQe43U8KD5m/o+gqjT6RX9LvC
J9XiZYBvfEQ3PeTCBH2Ow3Nrfk+JmceZPXituZzCx5A1wz6ixyntgd4Rk3ud
mx4598DpQ5KTRWxkD753Sj/AlW+0dqH1fZn0AWrQWw0ZDgmZakB7C57c4LwF
P9yQC2tfSmvgbRO9sC+pnANo8EOe0+xrM+e45flHYucB6TbY2fM0mMaDBWY0
Q6w/afLc3U6tUekmOAvMP1DFrg6Raxiy0FyJ5kY0D6L3Bcxmmzxx8njxswJ2
+s1c/3FfkthlCE+y8xCaNP2EN0j/AVuD1O8=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9338098519093881, 0.7045246297734704, 0.3948105409191032], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk01I1FEUxX9pZS7SMnGRSQx9aVmi1SKsqZRorMVE1CIwHQ20Ioq0VUEQ
ZKJSxKCzCa3ETdOnBkpRLQLDYrIoF0q0kApaREbQItp0LvctHvfx/veee865
9x9pPnPwdBZwWCdbp+oR3FgGtYq9E5DMhXMtcKQBls6Hsu1Q1wizi+BOF7R1
wi3df9ZDTTWsWQxZHZCXguP5UKxY0a28HPgUh+EurzWM3PD+Lu71htMgvAVx
71WqXqkD0KR7bRQuzcDYcn2LiGuN45/MQN84XC9U7mrvYZhv7sJL9ZoUn/Id
8CDwnFOfgaDr1SZof+x6N0tvLOiaVV2xNKxTbZHi9ErPsdzRQbiv2spWeFHv
PFeJZ+MeuLAEvvTDoYAzJ5yzFz1/bQX86IVd4vxd8bW8ylHt1FEYmXZdps/8
Ncxj8jvnqury4JS0RwKf/dWuwbQ8k6Zv4W76+p57rypxq0zAP71vVGxqcg9j
wtlX7u+3xW3rkHMwLh9G3cNJxWgP/FXOioTzNkzTPRx4PlS8Nuj+25zrAv7Q
PThfApkCfUurz2Xfh2xxb077+wnF38GH5G732rwyzwrCPmQ0w71Rx7T5x3uc
s3F/mnHOmWqfseV3aB9+rXcfbB9Lg4c2n5q05xeOwM5y12X6JjZ4X9vHz/0+
u6/97rvVJtPew2rNp4/BH9u1hWEu8xS3BZ+N45Owb2OKA8qbKoKbim8DjnGJ
BV3mme2ueZif8v2zHfujt44wx7JWP3a32dq+2t62638sTLiWkoT/P+aD+dep
3uPicEWxW/5GhT8tv9tavNb+aZuTcdgiDu97PWdG8T/sC9Ld
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3ts1+UVh4/oRlFBM6owoIWi7A/bUjXAKLSowwvVgRajcnG0oG7ZJoVw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            "]], 
           PolygonBox[CompressedData["
1:eJwtkl1MjmEYx39EiclHiWmmd742hdVClho102ZjcxTRWx0QU4gjtrCVpsms
xYlvmxqblQ58TZgtOnhZPg7ebL6GDTMMOenErz3PwW/Xvee67+v5X//rilTv
3lg3GlgoYyV3O1xPhr0NsDwf8uXqMfgwDkqj0OG5U157b1AyTkPNJEgohh3X
IDYVDsyCiRWQIruKYH4KJLbCg2p4KNFFUCGjWoNckrEpFxrl4zk4OBneGGMb
oD4JlrRAlmRLQhPMmwjFBbC43Jy8rIMX0rYaVqnlezvkVUHVGFjr/7uOQ7e0
qW+K38Za95Tn0zLo3SLftKwOaozUihRCplyyz2H7zqmEQ83QIHNWBjU22du+
bdbUq3rjmTI4K6m+61Nfs2/H+26C3PPdRev80uRbnm/LkV44LDmh302e03r0
wtp3Y9Ar9+VfPwzJq61B7ql9v92pP1LS7X9TIT5bTRFrz4QbcT0/CrXyTQ1f
5Wc4v/4se54LJ9Ps9ab37LVWbpl/puZHxqh6K2WGWqZLVzyo22Nc6vzzJLsw
uH/H+9Pq1S0X+tSY7jyWQbozWmA+Ytxsz+XSqf8dUlIUzKXK+QzFAv259vHH
81/5FM4/ugbe7YH3skm/yqQi9PHzFnvKhB8yOtyH4UZ4vh4GpCbcw2pjxwq4
IvvDWZ3XyyT3KFGaIsF+JbcEezSyT+sKAu0Z1v3SHuzTb+PjHHgik8J9P3HZ
PS9Va2ng4YiX8XCXBoz/AYOvtxk=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9362347384059915, 0.7105868460149788, 0.40232768905857363`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1VF9I02EUPeWKppOiSMRSUAoSHUEUrMZIi6KHMoqgJHFtpPlUUdFLBPYS
GhakmEZ/UJjkWonYQxaVadCYG8GyiF4WUS/lQwv6ByF1TvfrYdxv3+7v3HPP
Ob9VRo/tPTofwCF+CvhZ8g54shKYPAjEaoDl/LGxE9gZArZ5gLNhYBPPW3me
mQSGXM/FDuB3F1DsBSZqWdlXT7zLKeDlGPB1GVCTBsYThhPm7xVHgB4ODQSA
wY3APR/wqR2Y6wXuLgBOjpNXxDDzxN7lOLTx2f6UzdV88dN5hOfBaaCpBHjj
B245PsLwVhmHGXK5chvILgW6WT+029zPrH3/78uBR9y/jzqsoB5/3C5VFZzB
3bzEHCV29TVgy2J+J9/TndajvYdGjf+O7UDE8ReX1+RXRp4N5BB199Lshbt/
RQ19Tv9C1usHgP2LqEMrUFRHDOl/2HTULrkx46S5XhpY2mt8BuqNt/h354Dp
rPEJks999j8rY/9beuHuA7xvDJunw/Tn/QPDEZ60luby7VyLcegYAX6V21xp
E6VuRbzPNgDJ3YajjIir+r115o08SqTMb/m+jv7fnDK/+llzCdN2Q8SwhPkl
aDqKp3JR8BSYx36wnmk1fU5UA7UOU5nyNNuzeT4799zu/QHrU//VGDMZp8f0
ei33GHA6z06QL31MFwNx1lMXjI889zn9pYH21zm2x/hpVkGTZV2atFUCl3Km
f0/ONJUmm6lV1s3NsBY6v5Sjf+8MZz1kHvwRmys9VoeMzzD5eNzuq9aYpuJw
vMVwhR8MmcfSSt7mHbeSZsurMNdHLGfKW1rvi9tdWvqdhj9uMHMJ80vvmXRR
j/Ko7OrZJO+7Hlu/NI47H/X+fTwP7CPnWdZvGWBhKfCdtZyZSzJ7P5nB4TvG
R7tmUpYx/cf8BUiL56w=
            "]], 
           PolygonBox[CompressedData["
1:eJwtl32QlmUVh09KsYsgJiyufCy7CDaC+wEGlbtLhVAsTjKsTQiLLBDkSLI4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            "]], 
           PolygonBox[CompressedData["
1:eJwtkm1ojWEYx39stMNmIkvayimTYhOmprXlPVMSKcq87JgN5UyN44uVKKHR
TJt8IGprb97iC/OSKMdmqbORWHmJL/bFltco/NZzPvy6rud57ue6//f/f4cj
1eujo4GZMkZqT8AhCW2HJT7H7M83w8Y0uLQJXpTCS2leB62pMH4xvK+HD9KQ
A4lJ0NQBeWHIl9XboFTanfMsA3KLYVc4mP3L9Uc64ahUlUClDNVBRggi5fDj
ApxNgTmF8Nv+j1RXQFSyX0N8GuRYe6POFh7CqCxItcbz4YnUVAbaL6v97k3o
kld5UOa6i49g8DDcSvf7omDGyKxr3XBVOmWK5tSor3Cl7zSo5Ybfn8N1eTrP
feRzcsZH60J1h9S//yQc8Kwx6XfP4cnQl9x/REfWVr3Tv4he7ZY9UuG7HdLQ
Efh4zvpP3/5KrR6ucP0a54U882PPnmYtNocS6U84X2puBzp77LuSXparaZXe
lsqwOQ3Jvp1BfunmN+4dPMiGidY3RTAgoUZYmmmud+BrLnyTpvvQKPOrglzq
7KPHYK80vFWvM05bTx0PfGueDfX2Z2SuWd/zTIl2+DJdDfJzsxnLoP9v8G58
shbo7wL53gtjp6ppOcyYFeSaYq7detwjRfqwTP3xtWrWnwHJ3AITpLc92KvP
2nJFHVKQzKXNvi15F1utMe/iQfkPuMeyyA==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9386596249025949, 0.7166490622564872, 0.4098448371980441], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVFtIFFAQPVmQGmJZmo8sN7WkMuxJsWtFZSVWkj2QfJSioERaFgZR/sj6
JEyzyEySEIosJYuywlIQVIjATFMyIlL8NEi0F9QZZj6WuXt37pkz58ysIzM/
Kc8DwBl+ZvPTHQpEMCIdqC4DKn2AK4x/GoCi+cA0Y3gzMOEHrGCcOgscmwV8
jwQ+lAP9zB9gnIrUe6/rwLwKYIj3B2OBqCjWCQACOgH/Tj0vYfxr+KfigPZE
8pkLPCLOJ8N08q1PgWJOEjv2JLCLNKOXAtsOARXM9xoBMuy+ne9C+f24F5Cf
BXikAX5zgMYHQMpq4LUnsJ89JqTruZT3cTx38PyM/Q5QkGZv3rezbqK+jXYB
v4k7SD5gT+usbngV8KKU3HnfwdhYA1xk3dpsvjmhfMr4zlml+cL3MrWbpobF
jDWm8x3ib3EpzkviZDiBNTynuIHMMKBrIXD4Mc+mg2gcYxwE+wt/m2Ddh7nA
tWzlsJlcKtdrL68K9SNn6e+CQ3W+X65cJb+1RjUVzqJlMjmsIoc95OBr/KXv
J+ZRD98+zdW6Un+7W/P3Mg41aK2vrBWRAcRTw0L6OOZQHMHzttnwZFxkHm10
KW/hU0Feu82XHYxRN4BcX3qyk7ORqvkbXKqvcD5N7G+JWiuPtc6bzrf72GMT
fVoA3GIcjNdzXZPOhOAIXqvVLVoLvHkLfKbm/m2KJZh19LPAdmSSfDOzdMYu
tbC25Uivo3XACHnmkNSBWJ2Zf+U6Q1JLepX5Fg1Fy0nbF/E24KpihpHDTIrW
qi5h3rDyCSKfYs72aDC1IJf3Nquit/CQt2nkdbdZ8cXnsRLFEbx84yx1gtsU
8/mwzqJolcP8lj49y5x2mNeCt7zeZo9739vP/4VAIGSfeiwcxhuUn2CKfuKH
+PIrVPdKfEzm/n1sVq3Eq1qrJV6tNH+XMXbZXAXFcDd6OVOLgXtb+Rvzxpkf
wphgfsm8/2DOUeb87NV9lr1O4sz0mZ7i1TnrUfo74tb9SnWrlxH2/9djfXUz
vnMq5gwx643DzV71Q/IDHTrT0ssm+v4fb54Vaw==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlntMlnUUx88alBcQ7+YFwWsKycXKy9ByZc5LZqFbKApIeS8wK2kznVoC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            "]], 
           PolygonBox[CompressedData["
1:eJwtk21MzmEUxi9hPLVWaqVFJSkVPeU9S2NSNEtUiN5kotbQamPDmtlITzNq
FUnywdvqE19U1uZtq9hMr9ZKbdR84AOLysvGr93/D79dZ89zn+s+9znnH3j4
ZMoJJ0nRMBe+BUv7ZkmuxVJvq9QHypaWIWOXpC/wFdKapFTwCTT/FftJZS1S
s7PUUyRl4ZMNVV1SJeRzbtJDqia+v0K6B1cuSxWunEG3X5TCidNjJLcsyR1u
dPL7QqkR7bBLnZAVLmVCBudXcj4NbdxkfCrx+Umtk+D8TLLBg43Gox6PkjDq
hLq7UusCakHD66UwsNWYdy8lvtVlai1ppgbiOhglHoF1uVLiHOk98TSee/F+
S81x9GIbuG6VCtyk5bXS0DFpGBbtkP748IZu6RQ9Og1BVyXHPClqj+RPHACZ
1pty8QvKoK/wg7dOQILVn81oYbxU6o5ng5RcKu2GjnKpCL/2ZCkyFl9o8Zee
gG3Q3DXGDOwMOgImG4zHX3RLDr4QQ043d/Th5U3vZntLXlYfZ/q5lj578HYn
ZtNUxqyhLsf04zi56Q7pgMP0YaYfXo+lD56SL9rG2UK8W1FnanSBhip6DY48
6YxNukP8ib34CP+ooZ/zv9FGcm7DGut+V3JL7SZnJznxkACpj6Tn3JeC9qdI
A/A9k52Gduv+aDx6y807h9AXeL2Eo6lSHgzVSYPMbxgNYcaf2YMBdns/O5UO
WUekg9zrR0+n6O00yGFqTaIH+fSjAFZxNgp6yB3HIwCvAuJhX+kCuR7MwhN+
8VscFrGHpFrOXIcQfILhoTXTlmTzLc18U6+6zS51ojetPe5PJDeJXHhKThu0
lBvfCGqpgWqYT50D1OmCnouUzkJArdnXUPTNeek1LLZmHxrKPdfYLVhiN+/u
Ih5lZ0ZgvMF87xWrpV2xxtsZ73fU2w0bmON6mLK+kwn0PwZx8uo=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9410845113991982, 0.7227112784979957, 0.41736198533751456`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtU0tIVVEUXf2wiFeUoygRi6J60G9SoZmToEl+QiJ4vltZxJNCq0E1CKFJ
eqVUKDIaFIhJ9JIIbGREdKWeD7JBYQmWg9CgGhUUOmqt1hlc9rn7rLP3Wuvs
U9Hcdrh1IYAGfov4fSwDNjPmIubqgBJu1o4Bs53AWq4n0v5Xfg/Xu9Nen+d+
3yGgpgS4OwAsOAasXwwsywN3Qv4B88/7gcZVwChjH/fmVwNz7HnjoPNJv8/o
7BH2z3SYz/YKIGLfl0uB4+z5oxd4ugL4zThY7vqDH4BS4jYQ38Ka4+eAK0uA
i8+AV83AKdZsreaZgjmL+9e0dW3rYt12408fYO0B1xT3BmJG2PcJNb4oc/3Z
LHC1w3yO0quEXNewzvvY/JS/zv0i+Q2R59x+45TfRH2jj83nYT2Q6jKHybR1
Su9N9okir3UnO/YB71LAG9afydqfe1VAodN9E54d5t5bYrYS+ycy5j4x3cF/
acqFmkPklsSuWWAcqaXvxE9VAvXBhzP0oe2a9crXC+RR5H01PgJWskfCs5dj
eyf+43XWI10t9Hn4k8/Ks0zQLs++NZmD7nZnZG/3MvZ8MV49Z8LdnSWHiXB3
8uxzpXn+pQepGs/AL3o8Fnwu9HoOpFfzWEzbn5/kmat2Hc2C/v/7Rs6vA0Ze
9oSZ7M57bsRBfshr+Slfv2fNQVzmY2vXHGk+pGUXMZdi+9POuIU6M1xvZIyp
8fY64BZjed54eZCadl77mj/1lQdTQe9y7p88Yf7SofemGa5i36bgrd7HZJhn
vdd/pC/AVw==
            "]], 
           PolygonBox[CompressedData["
1:eJwtl2lwV+UVh49OwSWGbQREtkASCQYI4FKQUG1rERXNgNBBzQJRcWkNUvcZ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            "]], 
           PolygonBox[CompressedData["
1:eJwtkc1LVGEUhx+jmDIcKWohJqZJWkaIm2ZR6ibITCLJlZ+NtohqjDYV2Cwq
UEMttMg+nMC0hSI06K4WwURNgbboA/sLWrhQcpNi0AP3Lh7Oed/73vP7nXNK
4j1NiS3Aftkmo/0wIi+PQ+lWyOmAwydgIQ/mBqDB8xm5aZ7x7oYx6jlfsuZf
vavy/THPMdl7H/bI4lkoVCjP/N4vuCuXiuCAmvNLUDZjLgfl/XZobYcPE3B+
FwydgufmL+TfOGzK5ZPQq+HOpHVqoFuvXRf8NugbyR2CHZIIv/2M67NTfUmG
3vP1ufYQ0lHv6+DORX1JUr3bkgn13xkr9FMuEefS4r+H+qxZGfS0YT3sK0cS
JXBV1u1tYzc8sJ/UORiXrFqzan0xXgn9L17Tawp2yg/rfJdvUmDdj9avVvOt
8yi2TqHsk1m1K5T83QpvzNMyPBPoPTHW2+NpmZqEugi8LoYJ81fSPK2+767r
b6UNVuXWUfcpf8JZLBvn3decfAp3mjE+9d8xGS0K9Nv1NtgX7KvFvNLZHJGY
viP6X8vCX1mXx2o/kmehp+FG72uDeXxWL97t/uQ/+feM+A==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9435093978958016, 0.728773494739504, 0.4248791334769849], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVFtIVFEUXWRYhI5mmkO+xiExLcpHWYTZA4osSFIjyGome5glhn75aTAx
OlhSmZISJE4YjkIjJlYKFj28kZYfPoIiKPzoAWEREWq1Nvt8XM655+679lpr
732SSy8UVi4CUMMnhE+zC/i8FDjiA96sBT5xf4Jnc07g+RLAugnE9QIjUcDu
LsBxjO/8r/YS4OHjZXx2CdDrBc6FAzm5QJlPMb8Q7zbPS4gTVsDzIsX8RUzP
W2BgFZ9p/SYxjxj7pBI4tYx5hjWf5P0zAtzt0piMZCArB8gneXs18LQQeMjz
mRbgmdm/4D7E8GxLACIMvmCIHuFwllzWB1RvKfX6mbuc/Nu9mk/ybiH/mVpq
o2EvM+lJrXITjn1OzdXDXBcHGB8NTI8DHWNAhZ3fuV+9DdixGNjnJk4+9S1n
Hj/wit/mGTPBtZPc8hgTydg1x4lJPvFe1SP4U9SU5tVz+f7e8Bcv64eAazHA
zlR6UqK1CGVNUhOBXdSewbw2o13qkG1imhjTbfRuYr1sbuWwkhzSDAd/HeBK
UV111DdXpZ6n0/tAN71fARQkaj0E/yrx7KbuLfQz3mh3cu9opG82+tGoekRX
cVCxBHO2WDkJt5Pp+i7naTnKSbg5yHGSvp+m/++agHsFii95Nrp1L34HTR/2
eLWnhU8rOYQOa+3GiBFhMEV3h1/rcofr0LjWTmq4oVrrXkMuhYyfIqaNeB/6
lcMUcZot4HwssEAP9+cBSdQ42ADcMOfXLY2T+M3E85HTGeJc5vrXo/35w6G9
LtweM/YfsSr4b5ulXOX8G/tuXa7+2+DVnpZ/ZRbDjEaZ40ijK4r7yX71UGYl
a7v6n0z/y+q1N8qlboz7yH9H2edJe7UnR+nBz6D2mNwB35uUv3gvXognv8mn
y/RAZ7f2q/SMk73z2ugVn/LM/IZyzgbNrB116fwLflWRvsu5zKJ4IboyE3SW
pPfq2XuxbuUsfX3YcD7ENWhmbesenTHpgSsBnUnpMbkP7jdoXYa4TjygRmLO
pmh/C+cD1F5n5sjDtdVS/29x7ZvWO0ruKrvwp5ZorpbhJvMh94J48pU+JZoe
llkM92nPxHCNcyl/8V7uRKmXzEqf6bd26pin5gXiB4h/0FLfxL//GzQuEg==

            "]], 
           PolygonBox[CompressedData["
1:eJwtlnlwzVcUxw/t0FpKVGtfa4uHmOgUVWppLTMlYia0Je9FkJQS0WmVzojM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            "]], 
           PolygonBox[CompressedData["
1:eJwtkltIVFEUhn+yG5GjY01NlrfIzNIsIynRKQsiKZu03rpqk7fEy0Ohj0Fh
imXZxbQb2oTlGDShYaNTTmQlaNFlulFP0UOPGvmU1Dec8/Dxr7P3Pmvtvf6V
UFRVUDlNUjrMgKks6dhC6fKIdNwjnYCBt5IPMrdJFXbJTxx5SIqAiyPG+Svo
sxQpAINNUpxF6kPX5ZMbljVLLtbSN0kfLknv4RscnSO9qZQmvNI41OyRXsyS
fhNHkd8xnTrZUm2DVAfVxFXQzt6v2VJJo+Sk9i7YsEp6FSXlh76Jfewn10uJ
sBzO85ZmOAebyfvAyduIfVBIvh+cHyQOcB8X95o5xH8rpCRIzpByw6SPj6Sr
w1LbsNGbUI9uUK+CHvyjd5mwEQaot493RFDjghlbiFezlwZ5hdJO6OqR7PMk
D3pkpVTPHWJPS4sgGqIOSlYYi+F+vM1OvQUHJBusJ09ZuOQm/1koJk5hrZjz
JdD3WeqPlnrRJ/z/FBJMH+LRolRqQqnZ8+9t5NsqlYPbzRus0m30Zot0C8rI
WQr3qVVOrYdoRpYRe4kn9uMbuOLJC3vx0Efe3qVS8B6+w1rusJg5C+P+wWrW
4Ew/vs2XTqJ1UAtBZuwvsxa3nVmhb+/AhtefqFWA/62m/3ND/vO9G8bMf0bR
bGbVAS9bjTs8L5CGiAPgoYdT9LIbzSHPFihkXg5Dk9nHRrTjtTHvXjSS91jB
b872DofhX8jHa6b/7WgXOe6CM9bwtRtf0zizBizm/cPRL5z5Ch31hoc96B/8
n4ScJKnFRl/8+FkipcJkDfswnsgb6dXoY+auU7oOp/zG+Qa0LY/5hDumfz9z
WTf7O0JfltDPGPgPxIDeYg==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.945934284392405, 0.7348357109810124, 0.43239628161645544`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVEtIlGEUPY5CQmOEUplQkBg+fphaBUETPZAekIMtxB4zIypYgUbbWmSL
0iRpsInSoSZsoPIHw2oR2YBCk45DGaRRQVHQokWriigQ6pzut/j5Pq/3O/fc
c8+dDe0nD/YEAJzgV8zvTwMwWgrk+oDaOuBxETDdAyT7gUXG73rAUA1QzfiH
Z8DpEHCIAHuHgLowsLMEOBAHWs4Dv5gTJ965Jrv3MFa6nnUqgPc+8M63+2ee
v5sNp4845VHjsI/5m4n1kffBi8DP58CVVUAiC3jVwLVl5JcgP89ykszpHmOM
97Ux4A3//sT7LmJU+hYvZ3yUNb6uANLi7FvObuaUTQGB1cBCgbyZN834CPFy
7H05uR2LAEsXDGcPaybvA+2MD7QCG4lTz96b+K7Ds7fzfNfmcDz+fyFpup2i
noGbwNmVQBHPTa7HLPkejxjOg23UxumweM+01ttUjdUWh1S/6Sttq6jVbMH4
qw/xVt0u1n/Ra3PUPDUn6dwbshkLv4R1BsdNT+na4Oaud421prm0Hyenq2XA
I9Z99db8sET8QsLepputN/EcIc95d1ffX1zOHeZ8SxgHeWc4B7wm5/otQKbV
9JwLWW/qsYL4QadVdyPwY4JzpWe+83xZsHzN4SG5pchtju+ieaBzDXCU51an
bZ7aRj2bYwv7vjFrWgWnzJfSsI1aznjmB3nnScT8LF/3Od3OhGwH1Hsqb34S
T/ku7XyVyQAxV0veqXL4HcT3nLaTC7YnwvfC5mnpXDxDjVwt7USWvvlbzm8d
cNvh+8S/5DC1W13OY4PsC3Hjpvko7z+fHbYD6ssn3nXf9RW3T/f6sO2SZnSL
dcMurlzNWJhB32YjzUdmzTfyz8SY+VW+PZK33tRjjvN56vhP+uYP4csL2x0f
7d+Am3shZDuseWnvNSdpeJhaNrNfj/PdzzPgetRvUtDtbCXPaMw4aBezDkfz
1x5KH+2idkmc9Rtz2Wk+zPMfnCMOcw==
            "]], 
           PolygonBox[CompressedData["
1:eJwtl21sl+UVh49sGWQO5cWpyyzQjsloQV4jZCBE2Bz7IIWWiRm2HRUHxQVw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            "]], 
           PolygonBox[CompressedData["
1:eJwtkktsTGEYhp+ZIRpKRNVlUWkbUTVRl4UNRSUNXUlFhGhndOqyQNlLsClK
G9cSIUJN0sQkZSSaBpOYpI1UFxZC1IJatCxsXBNU6mnOWTz5v/Of/7u+X1nq
yLaWKLBEpkpHG7wvgBVJOKt9TiK34MRsKPRsW+29HPL/QXmSgYk5kPP8sRa+
y8IE9Blj/BSM1cGopNPweRbcvQSdrXBFmpfBrwi0axfq/1qfqDGna8+QY1Ww
y+K+XDC2/JQbi6Fcn5ct8KEXRiR7D7r0jTX6vwRuyosz2jNh0LM/DgPy6aj1
yOHaoJ+o/Wwyd43UtQYxfltT7DlcLobzOQeiHZGqA7BcrueCf7UV9rQx6KnL
nq7ug2syURLM46n1N9hLo5Q9g1LJW3OftceXGrfad+uscTDoG9/903dcMvqO
eLfeuzul8KbIuWbhb7n/pb1HXaS73pzT1Ex7VROslI/6xnxfsMg3p9VKOiRv
vGZn0GC+vfNN59nkd2pyNmrcL4Oh9nnv9oTa7HAuCUnKt+3wVSrXwKt5cHEA
tqj15km9nXOn8+6xp3gmyJf0/q39DMvtsNYhNfyzwV6kKNyTBb6fK8VS6Vxq
psDjrXDfeh7IkHuQcg/SO+H4frWTit3urCTct7h5663voTpk5WS4N93avfo/
kngYt9qZvgtnNOw5ap4x+Q88ha1l
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9483591708890083, 0.7408979272225209, 0.43991342975592584`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1VE1IlFEUPTqSSlamkEH4CxU2GhFRkY7QD+FuSgeJMkfUzFQUiwxcVLjI
afyDCgzEhBYtHBUxMAOzKMsskaQWFpRiLcpNGyGI/s7lvBYf933vvXvueeee
9zIrGosaogE08/Pwq8oFcuOBrG4gygfkxQCNESCtkItrgPA40DMDLMQBG4NA
wxagMgXYy+Vf14CSdcBqHnDfqz393Nu1G5hnkeU+oPW65m09J0a5CVxL6FRd
q986pPFsBVDsBypigROMcWXAA+Z+Z51d+cBZ1rrRBgTI8yix2sjncy0wQi5J
Gco3nNeDwKWIzvKHeX2H+G0AnvUAPuYsEnOMvPovi+dUABgOAbeIP8rYOQyU
JQMdjB/ThW91rJ7VnSR2l9uzI13/Nt/E9bA7e9QdYGsvJUwkJ8aaMLBE/CZy
bxmXtqbx+1TgWxLgJUaEnGa5Z4BxmLy3E7OQGlxoFodPTdLCNPFwPt7pc5ja
Ds1rj+1dS6wlYiYwZrg+Ws18d/YpnnE83/WDc2kR1dpDvMfE+bkZ2MS8TJf7
hpjLzPnC3CruPxPU2OYMyzAPcC6GOIusG8dY5c5bzpjHWsnEXy3VZ+N9nCsI
yke/U5VvOL3MrfDKI6X00pNUYY4tAD86qOl6YjB2O52thyuOm/F6FNG4nuPj
zie3Oa50mO30z1+HU1dAnwWlg+kRf0T92sZ+ecLCWfDKK8btuVc9MJ3bsuiB
NnnyJuMH8lwhz9yIalgtO0d2RP3NYcx3OpynzleqmWde3amz2RljuecrY3Ws
dKnzC2eO5zu4n2PenehpautXvwaJ1+LuVzLPseD8b3fL7p7pY35M9Kuu9eGt
22N3btL1eoLxaY/uyEvG4kzdwash+c9qmUeKnZ7viDfivJrt03thd22O5zjn
F/8axnbuecE9nYyJEXnVPFtfJj6mx6DzeaBM9axugLkpPuV2MHc6JMxazkdN
SwfPtObsPfrvIYslQfXeemc9RFDc4JOPzc+jE+qBcbg3oL5af1+F9MaZnqYr
3Htob4m9L9b3u3N6L0zbh8Rrdn28WC1dTB/zXRG9W06ex2b05pnHjN9p939q
RjyMz8l+4B+L0RH9
            "]], 
           PolygonBox[CompressedData["
1:eJwtlmlsVVUUhZeoEaOgIIpTCUWSAq1AEQwGEEIBUSOvDEESbF+ZZFIGf6io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            "]], 
           PolygonBox[CompressedData["
1:eJwtk1lIlGEUhl+XXMB0UkgLWkYonUZzKSpI00rMu8IkItDMapKMai6yujKC
1FwriyZEg6ig0cRwK0hbLMcyXOhmFCIvotS6DJIw7JHvv3g4Z873zXuW7/z2
knP5ZwMlbYNlUHlSugZ1HVJRjNSA3dgshdikDdg/bmkebvZLNyDIJ0XESrt3
SAVO6SA8q5ZuL5c6sPOV0iH8Bew+zvJg0zqjXY+2M15KgnS7lAa3qqRT3G/A
Dt6VWqKkt9iKFOkK/NgvfQd3pjTNvRM10vAayQdBRVJfmGRrk16USxM01pAu
DeC/gt4JqQcejEqd9PoU331Uyg2mbvSi0LLBEHW/h1LyuELRxi/iXiGkoD0X
LU2R7xj5isFJbJaYA/uP3wsQgT9N7A33vNelT9Taie1Fsw/aDhCHsl3MNZK5
1lF/qxQIAa2m9kZqHyV3BP5x5jaGPw5p1JEK9egNoRtL7UlWDZPkO03+MsjO
lbLgJX3+jWMG2K1Z0haIb5SSw6XPJeTwSzuZgdAcx5+AbC//hVB0v6IbjPVk
0C9vnf/BnC3dcfCfRHBkmh7bqGmKPJNQ8xzNEMmeR1/WngRg09iVdAiztF9T
80wh9UM0OisgBk0/b3kVveale/iZxDz496D2MPowsllqoo9yF7vA+Tfu9XO+
iKbW8qZ3pEhItnY4PIfdtuZWiz3PzrmhgHklMIMOeuxmxj2QgM4M9SVi96Kd
A8U1Zu9KsT95k1/gy0cPhq19bdkjreZ8FXis/Sqgp260u+Bjtekng7OVeeZt
BpjXQ/byEfyuMzuxiB1Mkt7BBZfpswJb7pAuQpP1raSiGcvs4qCbWBdsJxZD
3jP0VRVv9v0L392lLukyzFLDDPidZmZz+CPtZif87MQQvg8ee42OjZ19gu+F
I/fNu66n9lHqHoP/SMXsKQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9507840573856117, 0.7469601434640293, 0.44743057789539625`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVE1IlFEUPdmfWYpaYRsN3ZRObWpRC4UwF23CfozaOEM6JDj+0CIrF8YE
Nd9QoRVEGlM01iIlEVMKahibwpG0iIEgIsJok0UR2EJGF53TfYuP+3jv3nPP
Pffer7yp80hHDoAQv5X8ntYDW3gxFAV2zwBdvJtOAWcrgW8rgDOngIwHpHKB
oA9I0g7kA1WrgNsPzEe+7+kT4/072uM9wLENwEIMeDYKZOnbNAv4A8Ae4qOM
+Zm3ZS3QTlv4GfheApymz3i1YdfR97Fn+Y76gV+NfOP52hcg/oaxhFndzJhy
oJM4V8k/zO81OVygnYpaXaqvgbzzeN4eIS93fk7s/ZcIwvNiFbBt2PK20n+p
yu4/0H8f/SeY9y/z90Ut1zB9RurtrLufxHrIvElyL6q32FeMvewZ5xqf8dZ5
njiD1PfPRmByzHLIX3EJn3G+Scw2v2k+zvdPpaab9Dv/BFi/CYhUWP3SoaCX
WC426Rmu8D/SzrWY/kW11Ljc/F9Q/wmnbYPf6lEtd6LGTzxzqceyi1UPwweA
kjXA5ltAP9+WiulP250BDhdRhzhw0elfXAPcGDZM9afLb/xnPJsDYeaRT9qz
WZqiPefmbZQzVR2wXmgWsqWWa4B4VxKW6x5zdSeMT5D5Y+6+l/chp08rbSFj
vjJ2mhgpp4/m4qXTZ4J9aHazirvAW9cXvQtX+F0Z00u6xfje4XiWhYGeoO2L
9ibgdkO69ufbWTUk44Yj/YZShqP5/eFmZp72+kHD1D6Jh/js2svdcDOg/Vto
tDk8MQSsqzUN//fWzapmWTOt2W5mP5fLjNtJcpzzTH/1od3t3U5qM+b6rl5p
bqSPZnAkYRy0x+qrtJXGqlk81atH7E0f+d9nXKPTUHF1rnfap0XHbTBivMU/
yzpGHE/t5W83b9qVggrjLO76R4hzMGD/HekwGbHei0+atnKr+asP2hP5hPy2
58I/5DMdxS0nbW/y2UFus57p0EYN/gGWAQtc
            "]], 
           PolygonBox[CompressedData["
1:eJwtl3tMlmUYxq9MK9myo9phkocOCppFaSdYpla6Dqjg1nJmOMFppmDNNjsM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            "]], 
           PolygonBox[CompressedData["
1:eJwtkctL1FEUgL9E0UxFTdBNqW1ixnFtD2eR1TIi0aWKjwzfuKhoU9lmRhI0
IsHETQ/F1yCOLkVRyW1/QJY6G01o025s0Se/WXzc87v33HO+37nVHUONg1lA
leTIq1HYLYQ3rskaWJNIK9TIbBwmPJuvh4oolMuYeUO5kHjo/UXIljxZy4M/
LVBofFgKxa4XrZEvf2eguQA6X0LPfeiVX8PwU2LX4FIZ9CVhwZrzUhoNnEbs
1el3vsIJXVYlKbWTOkpJA6Sz4d8TWNdxxjvfPW+3Z4f0JoPaL1xvrsAtCesV
kohs6zxg3u02z2TavTPd01dgyd6LsiAV9t9yLu8z8bbxB+NJmc7MY1XPq3pX
yvNueCZPJXUBBkOwqd9X/X7r99he3TKSgNfS3mW+bxGqhB3Pp8zbjQdO5247
MQ/tmw7DN+M9WbbekjTpv+l/LJtfNA6OguNquGxcJnPmzsrnTI0za6TMPZIu
a9e5fWD8MfPvU+fzcT8sK18C/3cPfF/jdWm4AXckay940xbfdPwTPCqBtxtw
9zrck61YMN9+/er1jMq+c/shJ/FgFqeu/wEuIYot
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9532089438822151, 0.7530223597055377, 0.45494772603486666`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVHtozXEU/2DCxvIchq3NexdhJHYXY15/TdaUZlubRmkmW2RJecS9ZE2e
GfPaNNuuTbFNjO7IY+6KS0mhPJNWSkTePqfP949v53Z/5/E5n/M5J6Fgw/Li
7gD8fD34JuUCYyOAoQ2ArxAo6wN8PwA8eQa0xQLfRgG1PqC6NzA8BwiF+IbS
Pw3YwlgPY1u8QP8jwIKeQEw60MnkJ/vRj7aL7z1jX3qAT4xPoH9P1qpoVC2r
+aYO2EOfmGxgegnQEQnMoU1qUP6CXMVbngH7gEA98Q0EKolt2UqgvBvw5S5w
gziqWfc1a17wqq/cDKB0t/LHMv+gHPXykD39ZPxMcpCSB1xmTGEvYDX9j3mF
8zd9j+0F7jPniFRgfZ4wzCKuvk3Cv4n4g2HgTn8gbREwMVu18lnTzzeVscUp
xJkPRNE/uF91DvVT7d+Ok0rWjGP+54wdS1vn8Nt8Hrn82aeBX0nCbzNJIRdL
mGNPArnj72fMOZLW5+ruoh2XLD6Tyed6Ny/jNfO0cta2ad7Wy7YpwL/tQHNf
oGk2/YjjJWtV0n9iPJAzCNjRKO4MQyyxb23U/ztpU4m5iHWD/J6VKjwjiCfo
UZ4AuYxMl05ML4MryHc0EE1bzG/F5KWa/NcdBD7y/yu07ZuBFVHA5xni3fgv
Ja76efKpp099hmKLyMOaDPGbQN8LeeLHeIpxdedckg5sRqa7V35p5i3tkvHS
0rsnwE2femmnTWwQfk+e9GRzOe/VjC1PQZK+mc8t5nnsduch7Q7Xl2Fsd/hN
Rxf90sBFr2Zgs1jFmSQS8J9h1EFYOAyPafyo0+Eh2qdh+byg3bhXmolnzpP7
pLH5+dpnwzmEM7/htG3cDHGcT5ureRhmm/MDt9f3QtpP02Qa9yyaeH6wVhNr
jQoCETHAGNpCx7PtTflB6aeMu3DdIzyGy+Itz3H2OHWtekknx9lx1AU10xEA
/jq9/dwu3Ia/nH1cnaTf1lNzDXsYAFyq0a7a3tz26x6ZDg9zRpMnCNtoYoun
9jrI1QliqHHaMH1FxkkPyazT4G5ILa3P7ZHpJcrpBNyXdQu5E5zLlypyHxDm
TtpY3r5OchUO6R7ZTEsYm+n0YDfAdGZ51l3m3atSnq9Vqm21lhPLYqc346bM
3V67Ky2u366l6tP6zeQcW51ObHdPdVBHxHCWtjEgruzGFLgdb/aKa8tfcY4+
Yc2xlbZ7qmLPMDbo9uvaZsVYbFGGdtu4fe6T1k1LKXaLQur9aUj3zvDYffqw
Uf0af8fd/cxinv9jd04P
            "]], 
           PolygonBox[CompressedData["
1:eJwtlm1M1mUUxq81TdPZsg+pHxAhWjbUNl+wD1mmtWWbvfhSbg1YyIuWobZC
0k3DV3SWqCVp8ZhKtokgShqIBKkoBlqhtl50NqtN2+qTllppv6vzfPhtPH/+
z32fc65zrvOk5c2dUnybpHXQA/pOkPrAXeek/lD7sLSxn1TQC57h87PSbri2
VroOzRXSQdj+nLQDpuZIYxTfqS2X9lZK9dAxRToBNx+V/oWifGkWbF7Nc979
sTdnZUqlhdICKH5AmgunDksn4Yt90mG4lc4Z0LWZ53BfbnzXZ6SOk0Z3SqOg
g++cgD+J8Sq0D5OOwd/EeANWb5DWwOg03od1q6QKeHsNNbhDepIcVvH3J+Ol
nbC5QNoCc3i3mFq0cd/LxH6LfG/C4RTpCKzfzjlQ1SIl4ChnHoHj0AFv8Z0l
8Cm57s+MZ/7f7dlSr+yo6bVkzI69jfq3QiF5FsH5GukcXEKLy7CaZ+XQyrM2
GPqBdD9cn0+eMJBEBsDOU+QCY1+UsqByhfQ+VA9BtyFRU9d2Hc/egWVPS8vh
5wPSRfihmDpDI+98lh6aWtuzedIZWFbL+1DQLeVDCSyAn4jhArzSQO0aIkfn
2rCLGsAt/ncThmdJI2AQGg6EOnLbA+upVQXU8Pdu2EpvJuAod7fDr3ulX2Dv
bGkfLOLOhd2hgbVwTI7tJDGegkI0LYCXIA+6S6RvoOEQ8cBBzmiaHWf67NP0
cDfko1UBvMG7r5dETs7tvQzpXbhwlM/wLVqehf7Eeje81iXNh4X0wiKYw7NM
Bu1D+qeLcw/Qo/thF9TAnKnUCl6dSJ/BxIekCZC9WMqBk+XxXZ9RSt/dWInW
MInYnsqM7/i7zsG5/HWMPoIN3L2xJWbQs+gaupZ30jP9oA9n9c0Jza39PHpg
PlydJl2Bje3k2R497l6fxhxMh9/m0YfQIyH1TIQG1qKInpo1JGJybFXEnSiP
GfYsO2fn7nf8rnvKvbWHGOvgBXKdsThm1rPbyCw0wRZiPd87POZGSvRYSVJz
a7/jS7wIes6kzyCBNlUZ0cPu5ZlokdcVHmevu0ovXsmOGrgWlXukTbB2Bl4w
IzzQXmgNreUhat0M48npMTiO13QOwOsGSS1nosautTWzdk31xF4fd/pua2gt
naNznTI4vMaeU7c7auhaVoykf0fGjHhWEuS6NSU0slaPc/cTmeGR9srBZfhf
WcTs2O2h9tKxeF0WjMFzs+DrJumrppg5z952NNkG0znrecho4/57Ip+Lk8Jj
7bXuSfdmG++2Qgvvfp4ZPe5et8fZ6zyTns2yB6WlcDoltLJm6TXRM+6dMs5Y
Wh41dC2tgbVYxbOVMI5nj0Bq0t/tt33xhVF8HpkbHmGvcIyO1Rp0dkZNXBvP
hGdjCTtmcX7sBO+GEZvwGviniD1UFGf6bHt6NXmMoAeHp8dO827zTHu23UPu
Je+UjuRO8m7KS3rJ79z5RzJmx+4eca+k1cTudA1cC3u2vdseZC/yDmlL7r/B
uaGBtWimBofKQzNrZ4+1126jdz6CdmbyGFwm/0vwMbts54bwEHuJZ8CzUFdN
fapjh3mX2WPttZ5pz/b3zO53sLxRWtEYHmWvsofby6sm4zeT4w7f5Z1RmdwR
3hW+03f7Dt/lnePd4x5zr3kmrI97avjQ6Gn3tnNwLvaU/70lI7zUmlgbz4xn
xz3v3r+X3sjIjp3g3eCd4N3gHnOvWVNr698g/i3i3xj+rTEsFa9MDU2trWfE
s1LKzLwJ/wEhyTey
            "]], 
           PolygonBox[CompressedData["
1:eJwtlHtMzWEYx78st9wilZVYQpIZagwZhmHTyH1LbF0wl5QU5lboZuwYxqSi
y1wqslXKJZ1smlQo0xAbM7M0bcYymfI5e39/fPY853nf97mfn0/E7lUxvSUt
gj5QVyx5uUpPkcUrpVuwLUraCsm3pXDODiKjA6QosKdJOwdLj5A56VI2uG2S
xjtJN4KlafOkyCHSCJs0I1SaCX0jiQVDbObMDXnvlFQJdhg4AH2y9CNIWjcQ
W6L0JlZ6C9efS9egokn6MxIfS6UNR6T18DNbOuwidSDvEjuAHHaRSzM5vYJf
1vn2xVIbvr6B11xqJf8LGdL0zVIgxMyRpmJLSyHnMHKGY1bt/mOkI/TiKJw8
K2XA4SnSAXI+jd6+TKoaJpUXSFkh9AMSos25DR8BvJ8Mmd7kNFwqKiSmjxQE
HfTzO3idpF7iuyOPkXcyrF0h+VDPRepqpdf5/aW/k6TX6C2QSYxLUEYObfS0
cD7D3CMtZKjODNfvsjQRArHVOVMr8uAa6RAc8Jf2w50Ck/vdAmN3nHclUcsg
qQeZW0c/PaTe9Cy2SIoDjwVSPbZn9dJQu+QC48IlXzieYvqYnmLsjvMW7jVw
35N3zyOkRmiwdi5stDTKqn0tMdKZRQbsZYbxcL3Q9KwYWRsjPQFffDq5S97I
jVewMV87u+HBXoyEklkm/+4kc9/xLjPY9LKDHFPpbRrUWHs8N9jEcsTcWSrt
gO2lpo9f46SH3H0Akcwjuh/9Qp9j7ftN3ubyOw/O4M8G561ZuRKrln4+gfuJ
Zq9rkGUPpVIIs3KvQE9lF0hdzvTjPT3+AOXsRRlctWaQg3xMnA/4tmOvRrdD
ThU7B7Y89rEXfvz4X9QafQl6J/pveMSbKjiXYfb/InIfdSRCPX6ysDUit9L/
LfAZPR9blWP/6OE7mG3t0oRAYpNjNezh7hdyqkEvpkdFcBnfdby9hCy09vMm
sotvwd9Qs0eOfXrxhv56MmNkHDsTCxHseCr+4tE7vc15M+fd5NkD+fiPYQ7J
+D4KSdBk7dhL5IUSagP3MONnNX6WQwh8smr6mG7qdtQfb+Xfjq2aWu1QYn1r
biP3MrMESKmUTkArtn+ctSDfW/pYhtfEnWb4D2UiQds=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9556338303788184, 0.7590845759470461, 0.4624648741743371], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtU11I03EUPX1Z9PGSkVQsWgQZjsDsC1qs8MmHMNOolxTUWpJN1IeKICRa
/jeCLApt0hwIEY2cQhONlGlL8kEITALLh6gGVi8VLaloncu9D39+d7/dj3PO
PT93bdOxwGIAp/kt4ddcDuxcCox6gTsvgG/LgZ9VQN8j4PVaIMlzdhC4tQ7I
pIH8U8AO1nW0Az0uzXnCnMY4sIv3lZPA/SPAuTzgSxnw3KX3uWrgdzOQXgkU
dgOXqrXPFPuMeBWDvwbY7db7COuGbwBFBDvhAd669F7q9sQ1X7BvZZwhhmn+
f3eb4hceX6s0zvJ8NaxzZf6s9Rxmz7YQsJ5xL/tkBoCZfCC2BUicVPyeFPC9
FrjCWW2PgQucnV4BvHeADQcBH+9LiPmTo/f+IiDIOLQGuMbzJbmdZ5zm+eC2
9pynJrF6/mZtzgf8bSCeZUBTKXAmDLQS8zzxTFrtYWozZLWfWbu6TvHsY21x
t/LKKwH6i5TLCeofMG1FM+klPeeo03G37kJ24i/VuTL/1wSwqgD4wXOauKOc
O8i5BTXKcSO5DnlMN+r3kP/dZE6UuRFH4x6eiXLNF23OGsd/xPnB/BPlfrZb
z3BcOQuGjw26D+l/L6xeEZxZl+IW/NeJfZwxuKNFm4Exi1Nx9Zzk/6E3F4zL
of2qhWiSoDYXbXdTjvpJZmXJZa/P9KzQT+Jin+5JNBcvi7fEY+648hFevRXK
QbiITmW2u3fUYM40l7uUebuVOZ2MHWp11dH3IzsSv4vPZJbsOWqYk8QcO6o4
xbOX+3Su6JozDKF6fZOi7RtqPMq+nezf71VfCrZN3MWMeVi4Bkzzxkqg3bwa
Yb7P8Av2nL1TeTcj1vOZo+9TuAinpPlN3tBT87D0TjGvi/njjnpU5sobWjDM
4v2WA9SYOR1B3YfsRd5WofkZLdTD3qb4esCrPcfEa0Gt7eL5H6Oz+6Q=
            "]], 
           PolygonBox[CompressedData["
1:eJwtln1MlmUYxc9aakvM1FLTUCzMOQq3pKSBlR81qeVXVDoDlormVij4kaiZ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            "]], 
           PolygonBox[CompressedData["
1:eJwtkl1Ik1Ecxp+kMspunBkUhYsiYhIYiANXK/LGgtSCPggVZk1CfQW9DCLS
tQ+C+RFsrpqWEVFty0oLUlORyIu+UEmou6iLugzsg4J+L+e9+PH/b+d/nvO8
zznuQPtRK09SKawCX0yqhMtuqTNf8tPHGqUoTN1nwCXNUE94pOMwHpES66VJ
6lCJtMj6lxHp0TnpMWTuSQ8gtUXaxXarQeoJSWXsiVO7j0gh8J6WKiDprHVU
Spv2cv5KKVcj9UalPvhzRfoNy+DB+FCtVFAlrQN1SLNr2X9NWrHVeJ3Gaxve
LXiPxzTa89SzeA9CEs0EbHbO2sncQMxoPyOU6/Q3YLxHeg7DddId5n75pS50
IuglfNLfeumfg92n+C/KWoiZulNSLfx4ic+N7KW+Dps8XMy+pX8H36qlltXo
90nZ23w3HECnDZ1XrOczuwYO4/sQpNGOs5aitvMNFgyTVTHeW+in+T/J+hR1
kvkX4GK9EGbDRneO2szvILjJ6muhVEJ9M4BHaD1GFjyM5oPShzHuoUj6TP1o
SZ9sasw7CZJRAJrgoc+8iYmI0bX1n/ItY/Dd+cbcSXOOfd42qofcS6E7YnIL
U/fh1w8LS9wZLPOG9pBZK/NeqIBO9uzmPsrpL2akC/SLAXToQxmTl53bE97g
AmdlqYNObnfx2YC3RjuzuLQByvxGo6DJ+LF9zTg5jjA/6ugM4mU7ujsg5zGZ
p+ekm3AL9nvNXf/krvsnpKsQPWPezvmsdAm64D/01sJk
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9580587168754219, 0.7651467921885546, 0.4699820223138076], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVFtIlGEUHCpKwwv5ImSBFlSwkRQWUiuKWRAFK1GGhAopbZKuIvUqgam7
YSBS3qDQkgR3TSWQDFexmxRRLQRKbBGRLykFlRFJ0gzne1i+f89//jnnzMz5
ss7VnQysARDgby1//8qA8QSgKQgs1gORjcDyLaA6E3jL9w+qgY4QMJsMbM4D
jnuARAKstACnX9i3q8SY7QHmU4E3PDPDwK51gN8HLDB/C/NXif/qFJDBoos5
wFy14f/qApqDhqNe8pmfwPyrjPUVA1c2AH/b+L6dvaUAUZ7nmZPMnBhzksqB
7ayVGrZ6qjvqBeoYf0LMvYyv+oFniUB2J3DWZ/l9zDlDnEnm3A1aDdW6z5qX
3bePW4HdFYapmUo573IaUMvn4SHLUW5v0DgRNx+3AkvMOcCcloc273vyuj9s
8Vye6deMk+/M79hnnK+/DVSVAjeZH4kCFY32XJRrPz3fYLwmbD28mwe+ubme
jgJTWdZ/rM00E7d91PCPyykYM83U51HWbXA4dzjTyAB52AR8PcZ5moE91Lrq
EPDZ+SHKumlxIJRBvgutb/VfyTnmYjajZs2+YHUj1PRD0PiRDtJGnP+mvtEW
01c6JznMxLj5QN8KYypoukifMa/xLx0Ollt8gu8v0pMz7LOO5yP+jzO+o8K4
Vj8/6LFpj8Vn+P6I41Acdwath1J6YYI56XweYmzJzTvYaJ5QLW+5eUX9Z/A5
4DPvxYPGqbiVDvK06lZSx+6Q1VX9cYdfz1jA+UreueR4buA56Pi/N2D+k44v
I0CJ84N6jzl/9hdbr8IUtnyjnrW7k65WL2sVOY9p/8SL+rlOHSa2Gc/a71rn
gRJ6oNDtnfRZIP4Ae5vy2m5rN7sZ63GcSIdB5/ky8rHT4Wtu/2G7B173mLeE
P+Kx3RNXTdn0ZL7t8mS73TvCX2GdE+5uEbZ2Wzz7PeZ14ciz060W1x3Q77j6
1GZe1Lxx9pOSZ96oCVk91X3eZdpIo585tkvitiDX7iZ9+8Vj3InDYZ/5XtzK
F/8BvTEcCg==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlntol2UYhm8lcoLrKKmp84SHmJ21FBXnlFAJRTHSbLM80h9tHmK2meLI
5Q6ylUFpZpum5tS5TXFO0w5TUudpukDJzSg1C4qiQAuMum6e748Lvv32fe/h
ee77ft9+c3On53SUtAXugu3N0jboNE9KgV7jpJ5w8bTUCovSpVQ+2JYq3SiW
Hv1KGgqN66VD0DJXOg8vp0lZ8DXvtKVIQxi8frQ0iHcHwrVJ0nWYPkuaBn9/
I/0DO/qyBtAAqQO8cUZaBm8dlVZCD9bSHe5njAdgySPSYuhbKPWDY7ulJujA
3B1hTKk0GsZCBtx4jXnhp3rpJpzMkU5AGmP1gUOs90iy3lrW2zmLOsDeXfwN
14tj765BzlSphDGLoXqOtAvqR0p1I2NMj106n3fg7b3SGnisDzWDx/tLT/SP
PXgvrrFrvWoG+wSxlw6FMafnPgAN8PECaRPszpD2QOoYqQtsZy074Mcl0g/w
+n7WB43bpINQO5N1QSFrWQ3D6eUzUMM33djLCfa0vkQqo3al0I29dIdl/LYU
+vLcD2qamLcpNGKtvLRKmgW/b5b+2Bw1TEt67F6f5t1mOA8t8E6NVFQTGrFW
CrKlfDi7Vjq3NubwXN6T9/Z5nXQY5qOBBWeip+5tDu/kQhmUzomeu/eZ9Gzc
6OiZe+ceupfW4GF6d/M4vYdLDdJl+Is1/AmrWVMhXL0gtUNrnvQtfD+M3+A7
3r0CH9HrjbAZPoGu1O9BOMXamyF1AmuHJzdJT8F7RdK7UDSFvUM777TBJbgM
F6AFerLWXtDpaeluaMxHi/AvWr0DuePROdxTyxyQhwaWQzsaa4PBfDMElrPm
vLzQgLWw/0NpHzRPpxewbBT9HBVr8tpKoQRy+W0xVODhcihg7BXQazZrg2vV
aB8+pddb4QQaPQnVR6SdkFUpZUMVHq2ESYOlybCHsXbDnWnsBbozVjeYwpxT
4Sq1a4dJ1HJyaczpub1H79WetrcL8PgK2IJ2q+C/sXgkI2rgWthT9pYzy9n1
UAXzVESP3Kvxr0oTYBZzpaD3AWhiNs/Dl0rDlobn7L003u1dGpqytg6xt0aY
wd5eqAxP2pv2uL1uzZ5Neuhe3jdRuhfq0FA9rLxIdsH6rdL7ULAQvS+MzHJ2
WYPWonvoXlbg0fKZ8Y7ftSasDWvG2mmCYymRP1/yPII6PDs2NGwtu0aulT1v
74+k1iNmR8/de/fEvbnRig9aQ2PW2q/s/bcZkSnOFvfMvbPmrX17xt5xpjhb
fkZbv8AGPNWQEjX9gOeN9GxDbezBe3HmOfucOc4ee8ResUftVc/puW/B7Rmh
EWuljLnXwVky6szpyHxnvz1gLzjDneUNSTYOpEaD4PBQ9jQ0PGqvVrGmSphD
r1+ZGpq1dpvwyDFo680ee0cGOYsq+KY8yXRn+/F9vAcHya7Gpuipe2uP2WvW
lLXlb/xtXZI3PkO+cG3QzoFEQ9bS5cT7zoyuyZq8th189xksQisL4U3Ivxie
srd6oKmHJ8YevdeSxLttxaEFa6Kd51tZoW33IzM9euReOZOcTfawvWwP2ov1
eLXuaGS4s9wZ4iyxJ+yNliS7XQPXwjU4mJwBPgt8J/DdwD13752hq5OMd9b7
jPFZ4zPAZ8GVdehpXfTIvXJGOiudec4+n/E+610D18Jnls8u3zF813CGOcuq
MsmCzPC4vd4Fz6fOixq5VjvPkU3n4jf/zx6xVzKSu4Azx9nTMzvq1Zl6PU+9
nkuPZ//WJTvG8Fj2tL1dXhJnpc/MQ+mRCc4GZ6Cz0J6yt3yn8d0mP+mlM8BZ
4DuP7z7WtLXtTHA2ODOdnc5gZ7E9a+/aA2VJJjubfcfwXcN3Gt9tnIHOQt8x
fNdYUxy9tyeLiuMM81lmDVqLtxOv+Uzz2VbN9zsz4k7hu0U9e6qDF09JM+F/
pQ9w3Q==
            "]], 
           PolygonBox[CompressedData["
1:eJwtkV1ozXEYxz9IHDHZzeTYMoqLlbfQymThZi5MzMviWGlaop05G5dyM9m8
pJXW1HLGsdFZ7RxKxqaYbdHycjXZsSRRUkSryUs+638uPj3f3+/3/P/P93me
wsPRXbXTgeUyUz6n4ZPEl8Arz6NH4WUbvJkPNVvhj+e/0t0avPcuhTvqu1LX
BHn+rK8IYup66b9sbg5Mbvaf1dAhx71/PA+OGVPmpqXrtHlzoGUtXFffkM5y
uCnRbH7OJpi2zKLyIutp2HhkBKpl7hZoChszsPcZTORaKwm71RWyWq+rpC/r
6Z7x15DepLQYrszwu0rf+gNdpYeUOi0xfZyQRyWQ0MvHcxDxHLLfq+prEpdo
FdRKsXW/Wn88H36ug7D/G30N72RcQpnAa66xXu8NstDv8mSRfQ5b45J9P03B
YAj+1cAD9UOJFMBBed4NZ2bpqVA/znCxXvKaIV8KpLcF7suXMnte4IwTsN37
MsmUB/nb1B3OLS5DrUGtSWttyPpfnwz6nur//YWgXnwnvFWPydkd0CixRlip
55PG7+3wTSbag51+qHOXicBDj/FWKdyW/e5kn/QUBbuqVHc5304pOWT+bGhz
pgOn4In8yM5xpALW6GvA91rzxpxxRi56l/FuhTNsVp9PBnuf2v/viPv2bY+6
emPgtUGv4QPOQf4DulK31g==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9604836033720252, 0.7712090084300629, 0.47749917045327794`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk81LlGEUxX9lX0RamSVKGkMwIO0iAmEGrE3mRjArC2pKMsLFWAZBUZJF
jR/ZWEGmKRmJMYwiZUVKgdgmkQSthUHurP6DwFWd230WL/fyPPc559xz7xup
b6pJrgaO6MvRV9oBvzfA8h7YUgl/10JmDsZi8DgXJtrgdsJrVpQPfvCarisw
3gP9m2FE8e4o7N0GrYqfkzAj8FflMDAGd3RePQ43FiBaBFcVz1bDufVQnIVe
4d4X10txTg7429d6uzXouS6uja3QuA7KpuDTN/i4BgqFPdnmOv/rVd6l/Emb
YxvmPvX4IubnPTpPiveC7paVX26HaZ1fVFw+7PhR4Z8J2gZV0xv0f52FAmk4
Jh+669wj01YsjRPypHE7vFNsCT0+qHQO42oW3mSo+ROFxRQ0iXdJsTN4a3No
Dtr2Z90v461SrIp5/feUazJtp1T7JvjfdxBqZ+RpofQpjla4P+bTkuqf6+0P
xeMRx19UPhJq+hu8H+trt/orOQDzOn+vtyeFVS/MoZj7bv5MPxJu1jWbdtsJ
y28pzwRtNttsuc/R5pkbh7gwI6rJn3L8IvFcKnPea+dhZ+C1+7xQPyyc7ofw
Kw+eVrhW05yp8B6sl6Zq30Wbhe3LzVrnNf5O6VzJ173i0eCP+bRrymtsT43D
uExjJngyPATpwHtPca7E92hHwudtXKefQSr4Znuxqt19sH/FvLNe+rQ7J4KH
dYrzml9Ss5hL+e4aV04NtGv2P3WeVkyF/+htqfti+GnxfJl1/21PCxKuOaW+
FgLmIc2oJe44HR1+ZzWbVPsPXRfZEQ==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlnuQz2UUxh80uYzVTKnIvWbIqIQurrGoPygrSdjsFruhKbuba5Fmmza5
hGhqlnFZbS27LLtmll2U2bYSqyw1aSyKoguqoYlmqM8z5/fHZ3z3+/N93/ec
85znvJ0mZo2a1lDSR3AdXJksXYZBZVIy3LNXuhsqV0hV8Fg36VEoekvaCGd4
/hmu8fwffLZNqoFdsBtm5UkzIaOflAm77mIdWLVIWg0b57MWfACF8BDvBsAg
SIZ61ixIkqY0lqalSNnpUhacaCedhO8rpKNwfBrvYDjfDIOh8DAsGyuNaSLl
3STlb5V2FEsV0HmC1AV+XCL9AMegHi6Plv6Bk/fxHp5mz1RY359zQMM7pAbw
Rb60D/qmSfw3LeWM+Zy1qH88Z3DeZ/juiXHSKLjyufQvDO/C+eDMEeksPPCS
dD/MZ8/XoGsv6c5e8c6/PXiAf+FAtVQLl9jsIpyo44xw5EDEVkfx2iaz7lTq
AWep3S8wZp30JGzaLRVDzSzpU6hlr4Mws1aaAa/u4QzwHM+Z0LxeSqqPM/vs
Y4jhKei1WuoJjTljEyjqiHY6Rk6cm2Z807Q+1vTa66jBWtfjWeoBr2dIuRkR
k2N7u4T1b4wcdqau48nZuETOnft3N0grYT1nK4AtaHAzXH0czUE9tT8GZ2uI
tyZicmy/s+A5aDCIhWERey7OCE1YG9astVvOmmUwHu2lwqqtkUvndA3Pj/Tm
G8gg9kzIGYIGh0SOneu6idIhmNBeSoOPWWsPnMuWzkOP26V7oWI52oPfcqRf
IWmo1AI+6cQ3UIf2DsO8TGkutGDvG6B2FLWHgsHSBqheKT1/fZyxHfVunRzP
fnfQOlkg7YfB6HAIbOEsmxMxOlbH4Fj8zr+Vo6EymI0m5kBWSvSae66yf/Ss
e7dtKvvBLelRK9dsSUn0kHtpET2+GDaQ44KMyLlzb81YO86hc2kNW8uHoA6+
pFb7Rocmrc26xG815XhJeeTAuZhNTuZkRg6cC3uUvao1Z2oFKew9Mi88w95x
gjhOQiVr7YQtUFodPefec0+6Nyvp2feSIib3cltokxYeZ6+zR61KaNhaztqO
D22PGrqW9kh75QXO8sfkyJFz9dMmNLIpcuLcZJPDnH7xzr/5zD57Gf60bWx4
rL226mXOBOfJyYWEJ9gbGuTSX7nhwfbiokK8szBy5Fw5RsfqnnRveg2vNa8r
eoKd/N/KwtCctecedi93TtTTOagiF534ewB6qubv6QvRJprdszxq6tpaI9bK
KWI/nRM94975c430F6wg1nfgzRHSghHRs+5de569bxlrLoVKclvVLTzH3jP5
MLo7HD3j3vFM8GxwT7u37fH2+mHbozft6QvI23FmQD28Qs3mpsXM8eyxh9nL
jtKj38Gl96W/4RrPV6dGD7uXCxOzxxq0FjPWSpPWhsfaa2dQs+n9IibHdltJ
eLtz9lW7qLlr75nn2Xeas5/KDg+wF5T3Yd1G0Z/NqF9r8tsqPXLgXLgmro01
YC2UUINiqCA3O2Abs2prYmZ5dt3OGp1yo6aurWeeZ59nhmeHPc/e5xgcSzN6
s+mEWMNrzVgYtXWNW6bHjPOss4faS90z7h3PUM/SvFLpjdLwbHt3T+LvURI5
d+5bTEJP0Hug1Gdg5Ni57j4F35sSmrA2nBPnxjPTs/NrOJQfnmxv9h7ey5o/
n5jBnsWtlkm3Los9vFdpopc/3M/c2R+eWpHQqLVqD7WXFoxEryNjBnoWWgPW
gme4Z3mbRK9bg9aic+7cv0h+XoAyz4ZuMWM9a79B89/OCk1b277T+G7TvQN9
2yE83l7vHnev96G3+6bGncJ3C995fPc5lIjdGrQWmxJTk0kRo2O1Z9u7XTPX
zj3mXrPn2HuyOXNWWtTAtXAOnAuv4bU67w2tWXMd9kZNXJuLzKhLE2OmN0/M
aM9q58i58h3IdyHPMM8yzyTPppvRQsuUmCmeLfZge7FjduwlaKg4Pe5svrs1
4tuG7eOO5ruac+BcuIfcS/8DLHmRMA==
            "]], 
           PolygonBox[CompressedData["
1:eJwtkt9rzXEYx1/OiAtGWKxMDa3kglwotZVE5EZOdthqW1vktOxsSsqvZS4c
mwkjE2rMsl/nXJxhmuaGqxPJOVFcjBs//gBSLmxep8+5ePV+vt/P93k+z/N+
vpUt7dFEBNggC2R3M+ySaz3wfQl01sCfKmgtg6lpqB2AmMxdhln5tgl+LoJ5
3XDulO8tsmwvZHIwIb9b4Jd0pWHrCkiqFQ2wRmaS0O4d+6qhdxz+Locr6uom
KJdna0POJXPeWyMnCc/bJJaF5lUwaO7dnXB/KTzphzdReCtb4rBZUv3h7Kn6
0f4+yOR0mOeFesNeq8rhfB5uDsItGfP9qDQOhHkeGMc9Pyan8+H7TnXOGWbl
jj5cdY5H9jKhHxk5bH8t9levDlWHuC4bei/M8LUCvsg24/hCOFQJe/wuYZ1c
MvhT8OneDvhR6j764OxRPZaLTcHz1+ZG9KhERoZgWB7Ly/mQNm/2APyT3r5Q
47paEg3nKc9TPqdlynsfeu+Mc7Q3Qof0FPffrY5537h8Lu7rk7pyP5RJpMvd
S2Y7ZEvgwkH7NP+MvEuGefLJsKfCvmqzwbOCdyPeNywN1jmiB6PG/UUvb6t1
vq+X9daPOe+JjVBpvE4W20+Nc5T6fx7332uT5/o+KR3Gr6xxUv0Pv96n9w==

            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9629084898686285, 0.7772712246715713, 0.48501631859274835`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVF1IVGEUHDQo1F6sDKUtVwMxibSNsPyBfl+ktJA0bVvKLHpoKynpIUqj
DV2DMqLItB9bSb32Z1AkCSFRrkWgFVKkSxAU5UsQERXUHOY+XM65H+eeM2dm
vuvduX9zMA7ADj7xfO5VApUzgEcR4PcwMHsasLYQSNvOM557GOPnA/msPREA
OmqBEPOEVuBwAfCHTXL9wJ4rQEUiMFIPZPE9wm8f9gK3hwB/CnsxRo4xTwK6
GftzgHHW7GsG4hqBj9OB4+VA0AEWEkOEGH42ae4pYiioBmYyL/IAw5eAGPO4
TOBZB7/lQh4fUJIFnJ8DXB8Esn06nwyqzupvphN3VNj+LgIGiOE98zPE0MNZ
rRzQzTi5WJjvEHOCX5ysIZ6qUqCGOC+y5loY+Mz6k0XA23rtHhsFyvK1Yxd3
XFktfg6Sp5aQ5ho3vS7n0TdA26AwT70GOgu1u3FwyOXWeowSR4B4XjIeCIgT
0ySXdd+SAR/jK/LyiXmaI9yGv2cEWE2cH4izpkga29yj2cDdXu1l+wUXSFPT
Nt8jno3vqR5haNkIXHX3vczYUC69TLdOF/9X4u9nfoH5LcZtLlfGWSxT9d8b
5Bub1b4LKC4UBvOd6WR6vXsgDxmfW+kphzXnOLePnE94tO9S7njakXYpAXFn
GAyLaWnnqTxf8UK8jQ1JG+v5Yxl9eVYY8jKAVS4/xWG92/kS8nHf3WUTPVUW
Eiep1dLMOOyihhtydEfm0Z+7ye8Ei9aH9b31OVIrf5vPk4gnvU48GB/madNx
vEm+t/PlddrZcD4nB+vC6lnCmBhQn1mOZhuGvCfa0/Y1PmIe9TSP3HC99I/6
DjxWT/NpsiNdtng586k49/p0h01r07zCqz7WL75Nd+fXXmBuqfQy3cZcT37h
XWl2hM0wZtATA/R/ZqPumHm+PSQchsc8XhVVvf0DvO49tXv8HzwI8bI=
            "]], 
           PolygonBox[CompressedData["
1:eJwtln+Mz3Ucx59OW5wQoVhnaa1NrB9jRaeFJGNFMp3oLO78+Cd3t1xZ526S
7uIqdzJxKNwKX3euLr8OsfzYcFp+bGFn6yI/KlRLhY0ez16fPx67770/78/7
/frxfL1enx6TZox+PU3SJ3AbHCuXjsLqUdIaSHtfagFzJ0rvwsTuUjbs6iHt
hoxsaVsrqaKttH6AdLJMOgEzRkp5cDZfOgMz6vkfGtizDfJ4Lx/2Hpf2wN0b
pXvg1nTpJuQ/IxVA149Yh3aTpfZwrBT74DnOGAZDX5OeheKnpBJ4ZLf0MDRU
Stth10LpG1idgz85cYfvajkaf2EIZ3TC8Wp8SD8gzc6ViqA9e+6EPYukbyFj
kNQd8jOlGy1j/4J5rL3KMxjOOSOg/RBshT5VUl9YM5i74dpU6Tqc7yWdg1vE
SMS1CzHqDIfwqRH2FRITODxG+g5WcWY5sZ18uzSBfY9Nkx6Fr5dIm2BtWcTe
OXi+V+TIubrG+nU4SSxPwFX2/g3/PMhfGPup9DKk2FPJ+6d4v4H3B38pDYIr
2Po7tJlDXKAnMX0IqrHnAeL1A/tfIV6X+kq/Qc5KKReuYfO/8CNrzXBvog/7
YF/aNUltIR3aQGoHuoHPYBVUkLOFUDVQWg5VxG4ZNJKrw/AhsfkAOgyTOsJW
bN4CbxDLmVDEfW9nh0asFWvEWnGOnCv7bN99p+9+kxwWQi55nZIZOXQuT/Lu
KTi9WWqCC3uli3tDY9ba/PnkH+r7S1/1jxg5VtastXuOmJ+fHjba1iJsng1p
+NQCFqDF8pyIkWPlO3zXrp3oFS7lSZfzooZcS64Z145j4FhYU9aWfbbvnch5
Zyjh3WKYdlSaDoWN7GmMNT+rxJYK+Hi1tBi2rA8tuwbq+H2Q3B0YExq0Fq1B
a9E5dq4XEatKKH1BKoNafKkZGDXsWu4yMbR0tiPvZmAzsWm4Q8pibX2W1LqP
1AoaZlGfUH+E+MFb3DWrMGrMtbaVs7YdD81au9a8tT8VX6Y0hoasJcfYsb6A
Zi/ChGJpPPyxQvoTvjgofQ6t6R3pcAVfLicatVZr0VoN3HyRmoTO5LATLMTW
ClhSFrVnza8h/kU9wxf7dP+c0LC17Bg71jvrpB11YaNt3Uyv3ARHJqHJBP92
D3Uvtc223TXqWj1N722C7b05p3f0YPfiZtZ+gjJsKs0KG22rNWVtOYaO5Vw0
9Q48cUjqB08+LfWHv7jz6qSIuWPvGDgWWeOoCRjajzqBDHLTzEBoxuf7Criv
hvtqwgf74p7v3u8Z4VlxVyp6gePTIRX4t2PWkd+PF8RZPrMnZ79XK82rDRtt
q2vMteYe6F54Fs2fyYsacC2M7RFnuX8sTnqme6dnkmeTfbJvttG2Hlkqfb80
ZohnSbdEj+5xqQExAzwLXIOuxQ3oM2WNopXtUEXPXwYrYOXGmFmeXb8ww37N
jxw0JzlyrjyTPJscY8faPdK90jPDs8MzwLPAmrf2fYbP8ozwrFiZ3DWSO0ZB
11TUjm3ultS0a7uU9bJUaNradowcqxG8M7w+NGFtuIe5l2WMp5bGR426Vt3j
3Ou85mc/r6Nu1kWNudbss313z3DvKIaSo9Gj3KucM+fOGrFWctHMFFg+L/qH
Z+LMzMhReTKPumVHzbn2PMM9yz0DPQs9YzxrXPOufX8j+FvBPdW9NYXPG+DC
MWocXuKuMeNiJnk27aPG9tdFzpw792D34pLEdvc49zrv2ZfUpGvzxn5s2B+a
z0rO9Nle8zN/M/jbYW21tK46ZpJnk2eOZ8//M2lgfCP4W8Ez2LPYM8qzyj3E
vcQzzLPMZ/gs90j3Sud4ZJIz587fIP4WcQ9yL/oPsGpXKQ==
            "]], 
           PolygonBox[CompressedData["
1:eJwtkmtozWEcxz+5RJlITFPSInvB3MsWU2h7s3JLmYbTZpu8mSlJkUa0Od5s
buWSW27HGTJlzIZODNteWF7MyrBihiilub3xOT3nxaff9//8zvO7fJ+TWbpt
TeUQYJoMl9o41EhaBLpHwiH19k1QJfPUX8fBHOP3Kvgm1/bCxjRYlQNjb8EY
2VUOB61VOQV+b4V36ucn4aV0yYE8+DQazkUhvwQK5MsrODYBCrPMqQekwHyv
v8s39s/wXLprwVasy4TX6h45Uxb6NdXBQ3kk71faVwpTNSrs2R+Dj5JRDB6R
MxkavH/Ej7ixyfr35HJqp0vGF2uhXcrPQpn8XGDvUbBF/Wxn0M0tMDgdfkms
3bvpcDMBV9RXZX7Kt1777dbHPfKjGvpGQLW147nOIZ+fuLf03DXno/SpD6+A
f0NhxyLndMmj8tdZ/8j+SPBiUF1fBHUydZ/zOHuz9SrWO7fcaIUTenvH2OCd
uCzRlzfuvczYMhMeyOloeJfzxs15Ib80GnxM+nn8om8kF1rDW50yzn0MRf5P
btt7lnq2rM4K/RrNF+vhBumsgQ5ZvhjGD4OJ1mtrhKdyPxE8e5vtPh2wUDo9
i3iWq77unXpniblnifdKZSA75LsSoUayVvI8mZ+k3x/0O8P4H6fls0I=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[
         0.9653333763652319, 0.7833334409130798, 0.49253346673221887`], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk01I1GEQxn+ZYCB9qKhpKa0HDaI0MrCQOtQlkBY3CINllxaCgqgN1CjI
DiHtogUanSIoCWrdqEMSYR942CBUiPQQfUlZVHYpCiq61DPNe3iZYf4zzzzz
zPwjqaOxI0XAHr3Fem118KgcPubg6gM4WAl52a+N7o/If5vznE+yzRNQUgUb
ZTu2w0A13JiEO88gWgqneqGxGF4sgU3Cvz7pOTnZ6bMQL4GqqHpn1WcpPGlX
bgauyH8uW7EPzi+CWBM81rec4r8U/5lx/4/suOLr1SMtnJlW73tSfWuT3rsm
D91zMCT+6YdwotdzjOOOXXCmBhZmofWSZlkBy3fC51mPf5GNBw4d4rB1Cq7Z
jJr13jqf66Y41CZ8vovyZ1LQJf9uPSTr3bfYN+kV07w/1kDvtPMpfQ3fLzt+
vM+/Wc6BfujZ77VPB8UjYK46B6tvaw/K6WqA95p3TPrPF+BD2nEMrzrq2prG
2YTrc186xbdBwzKYE+abQffnZbPS6Ld2mpE9FvJN16qA81I4hwLnbmnYHLTa
IHuh3zkP7IaJiPO0ucdHvXZzxGczbp1NrqP5tlvD+o+p/bTkva/1Lwr3QNY1
NW33Cmdo2Gf/2wnlyp8X5zLZ0XbfdV3CtTM+WfFZGfgbl1TUcyzX6g3n1rDv
0Ga3HqcDH9tPWcCvkD0eMDPCrEx6TU/WNTXOfcZ5xO/KbtB2Y/h9w/7MJ+Y1
Vmu3Y7s0rWzPdqPGzThuCTfWNuX8rLZYte8KvuuFgvMwPqZ9OnA+PBO0Vnzs
le55rf+bLfo380Ef+yf+AaYwy78=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlW1M1WUYxq+pHwp6MV0t3ZCojQ++bJl+qJAwSKHlFjksyUVLgaN+ULDl
5pZISxPKMmDVVA4YohsiYmFsqaSrRNRelvBFZ/mymlqa1lYq2ep37T4fftvZ
Of/zf677vq/7erIWLp+7bISkt2EUHHpfOgjbyqV20FLpvyXSigLpVTixSfph
U3zn3wa/5Du4OEW6BGnTpNth/yrpwKr4zr/1fyodgX8nSregeZ2UhFGbpZFw
g/fdhAn8NwMeWCFlwcaV0nswpkgaC/XzpTq49w3pPrjIfy7ApU+kX+HsQ9IZ
+KNW+hPOcPZP0I3GPZCkpubyqNG1/j5dugIVLVIlHEiiHXoek/bCET73J0OT
tVmTtfkMnzVrhvQUpB2V0mEDjXwHdr0sdUHhK9JsWJMr1cLYTun8GIlXKZ3f
M1/ivfAM75gDH/PfrbCWZ9fBnB5+64maXftiNCbgGD05DnW87wbvO3kbPeF9
BfQgH64l6EEizvBZfqaeZ1fmSK/Bw5w5Fabz3TR4vUxaXRY9dC9P0tNTMH6j
NA7uXiSNhkK0zYYLk+g9JHhXJUxYQC0LwiP2imfi2fSj8TB8VyJ9D38vlP6C
ui70wC/V0s9QRY3V8NyjUjFsr5F21IQn7A17zt5r7ZZaoNjP9oRmax9cLw1B
1bPSFIy89U5qqGN+e9AAffAFPJ8V/fAMxlD39Y/QBFMXS48sDk/am+6Re3W1
Co9UhSZrs4ftZXvK3krO5HlYXSHVQDPatqQ0Wqs1Fqdm6Fl2MsOdcHSIGcLO
dqkDdvOO7pkxE8/mcge+7Igd8i5dpXfXSsJT9lY+MyiAcjyyCM5S9zkoQmMh
VJYyG2jORw98O5cZzI0zfNbXnH04pcFatqNpB2TQy+xR0aPxfD7PbpyDH3up
uTd2wruRzu7dASN51wjYwE69Wx49dq8T3+BVyHwSb8DnnLEPrgxSG7T1kTGQ
QHtlbnjK3rLn7D3PxLOxZmvfRg3tMICXjsD1bHyRHTviXfGOeddcs2vv4d17
+yIDnAW70NwF/7ATw4nYEe9KKc/OL42euXfeUe+qd9i7vDxTWgZJZttSERlR
kdpB7+KpuvCaPVdfFh63150pzpZGetoA+zh7P9zqR0N/nOmzj/PssZLYEe+K
PWgvfkbtvSn82TP0LA9R08G+8KS92TcZj0yOzHB27KqLLPAMO8mTnDzp8bzY
Oe+ed8S7UsRvT88Iz9g7noFnkcd3T8DwADoHoufuvXvm3s1Dc0lp1OBahtF+
syQ8Yq9MOiRNhK+a8FhT1Oza7Xl7356xd/yMn3WGOctK6eWLLZHpznb3zL1z
z937tAb+1xA75l0bzW7d0x0es9fuOk1GnQ7N1u5MnpWq0bU6Y521zhhnzW9k
zuXquON819nD9vKBRjQ3xk56N12Da7GH7WWf6bPtCXtjC7PY3BeetrftMXvN
d4jvkvW7pbfgTc5YC+lkaNqiyFRnqzPaWe2MclY1ccc1wgdt0odtkYHOQnvE
XnEGO4s9U8/WmXA1NQPPwv/xf63J2maQyTmQm8FcM6KH7qXvwGRqZ7271mit
zgRnw/3UOA6WnpCWwBqohQd9B06LO9F3Y23qN2u2dt+Bvgt9x/uuH9qA32Bb
Mb0ujp317r7Qyg60RoY5y5xhzjJnhLPCGeostSfsDe+8d/9/+kMqpw==
            "]], 
           PolygonBox[CompressedData["
1:eJwtkl1ozWEcxz9mWiybJmbFdHaB8rJp52Js7SguyDJOZNqiRpjk5YYoXDA7
p4nmdoSZl3XSlLUbZ5xEyZTalBpbzOuGuKJc+Zz+/4tP36f/8/x/v+/v+zyR
5sPxQznAIpkmNwegSyaH4WwJrN0ADddgu6TSsH8O/PLwwkYolS898KgI3qs/
jsJ3KVwHebOgvBPqamCjjLRBUx7Mq4e7MeguhlWDMPQEhuX0TlieCxUpqJSo
nDwG9flwQv1k3c9yuwFuycqMPeZ6bol+Q1831IuevSQV4X65+vAypGUinOmb
unUHbJPCd1Ag+dJhjZaX+nsB7fq7o87Y7Z4Qt4/+O6xzZQ1clVcXzMatTMQZ
XL+Wg0NBnTNm2OL6gMxeD0VyKpwnpwv63gZ5FJtHrfnE5Nwe/UnVYJDPanVF
Z5BlVJ1eqR/5GmZetQCqvYMa6d7s3cm4HsoKrF0LyU3atsfxVthbDfvkuX1S
M/WQtN8uaJX75t8rPeHcdbHge3b/X8Lvnn/mf/HF5jvFuzgCj50vI2P9MCoT
T53JvD9GzXepHoVk0GuqOh7uf1AjzlAmP7NvRtpDn79d91nzgWwJezV5R8l7
kJD+0iDvyWZo872clzf6u26PEfVv6PVPItjLnhkL8xhV08tgQEp6fYeSG97p
fNf/Ad1eruU=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9677582628618353, 0.7893956571545881, 0.5000506148716893], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJw1k0tI1VEQxn9UWqmk9sBsY4IRIkmRIJVBGUJBJsg1MtKgotQekpDQokvS
w7LC8IKb7EHZA0Ov4QMXWi7SIqWHuQwFW0RR0KZNtegb5rT4cw5z53zzzW/m
Zh+qLz81D9irb76++Db4tgS6OuHDTejRfVJnhr4Di+HSERg+C7N6lLQR0g7D
BsVXtcJ0M4wtgnPV0H8bBlOk2QTvIvBjIYw3wv5KOKmc1geQVQUrFsCuIiis
kVYCPCyGshb4rpyegxDJ8bcDepv6Cb5kQM0knJ+CnEyo03kvDpeXqd40ZK+G
bt1f9EJKk3vo3wS1k/7WNOqz4LRy0vVuLNf9XItCwVP3H5X/zwWQKSAzg3Ch
2n0OdcFIm/N5rVqFo3632N3goUPniHpvTIM9Jc7CNE275g60KX5U55p852lc
dxe5vvEwRtbvRMRnYPrD0s8KfLY+k06ea86I999x918hrpWBrcVWlrmmaVeE
+NePsHnC617UHBMbvMfaIc2/1ed4Zp1ztF4ei1NS3Fkt1VkfmB+f8tnbDuTf
krftqpUKL2PiHvP7WMzZmf6cWL4td/8dmm962Bmrmfh/RmKWHOJP3kBpYGLs
zZPFc5U/e8V7NwZNM+5ny1q4uk9ay9VvHzzv9R14pXNnn8dL+3znjIPNfEfY
sW7tWCzqzG3X/hxzn53F/pvlXFduQug3qvn8jPjd/gd1gcmJKedo/eY2+HvT
sb6be5z5DTGPB832Fp+x1X0U9b23fJuzzcby7d1A2Dfbtbmwk78j3rPVtZmY
J/OTLI+1Ycful/je2Nv1o/7/NIbG+H2oa33/ynM/9p9rD0ws9g8dPdcw
            "]], 
           PolygonBox[CompressedData["
1:eJwtlm1M1mUUxq+krCarNlBnaQguc5mVYk3ng9DIgg0sqQ+Qb8tJPPahhJJa
baUfFGE5X2ixUqCMMktTQ21LUGygUGy1oC+yKdUqtHzLltrb+l07fPhtjz7/
5/6f+5zrug6Zy54reXaEpI1wLZzbKZ2FC3ARTr0unYT2u6XDsKpdesGc5DNs
2yOtS5N2jZM+74/f+LeXJkp/QMFT0iOwOkdaA389IY1L4VxeeoHPOzLi99en
Sy9l8a4aqesGaTTFFCfiTJ89+mYp40FqrJVSoJvveqD/C6kPTk+TzkDdbqkW
ziyTfoXkHKkCMhZKE+FspfQb3LtVug/O9fF/8B53aoGqVqmyNZ7xs03LpUbo
2CQdhUMfURPcnyk9kBn/5+9aeOZ9+O8u6V9oXMtv4WfO+KkyzvTZt9KvcTAe
JsCkbCkLjjdyJ/inW/ob5nG3hxNRs2sfpKffQyJXmgN/crfLsKNU+gBmTqEm
aMrj3fBqufQaFPHOkenR3wV83sWzH8OX9PUrKKhjPjA0lR7CdW/TY7i6glmt
iJn4tz6joDVqdK23U3MGdNbHbEaOkaZ2SL3VnAtPNkkL4fE7pRLooLdH4QDs
h0Vl0mIo5rsiSONzOrzIrKph+mJpBrxRINXDm9ulBniFs1+ujp66t37Gz1qz
1u5pah6CM/uYP7TNZmaz486+e1aVlAmDk+jnpOipe/sLDEHfW9K3oGeka2D8
Buk2WIWGq+FpZloOtfPRGuxDe3uhiJkUww+PciZUoPUk5DC7BMydIOXC/Hmc
c4t0MJWerWFGW5gVqIT3wUPUnA8XK6TfoW8m9cyMO/vunpln55l79r6j73qC
Ow9AHprJTYSGrKVBPHFqWtToWg8M0P+BeMbPWhOerz3YjB6/wetfQz98B5dW
UwfspoefQLKXXo3l3zx/eG94wF7wmT578VxmOzcyw9mxjVlvbQ+P2WvWhLXR
zV16qkMz1o77kUo/NuChRTfyrpvweV5oxFqxRqwV99y9t6ftbWvK2jq/kjyB
JM9WlIXGrDVrytqyBq3F6VPifdbskfqYsWf9fD6ZBuloLQ1GoLUUKGuWSuH8
ZM6HY/SsCy6vl65AGf4ozYoZepblzHx5TmjAWrBmrB331L11Rjmrjn9KD+AY
s+zqj0xwNthT9pY1aq16pp7t5Qbe1xB39F0XzOJOkLpZGrU5MspZNUBNJ6B2
Cb1aEjW79u1tZBxsoucbq+OOvqs9ZW95Rp6VM9XZunYpmlgamrQ2nSnOlrHM
aAxsQXv1UJiIrHZm99dEhjpL8wvRcmFoyFpqeYx8hFHZkf3eASOrYkd4V9hT
9lZqD8/0RIY6S53hznJ70F7sGs4b74RThVGDa7HH7XVnmLPMO8K7Yh2zWJsT
O8i7yJ63961pa9sZ56yz5+39HzuZW2dksrPZM/asa+jl+iVxB9/FGrfWU9YM
e3lMaOvI3vCGPdLK5/2z43t7vq0xMt/Zb81YO94R3hXOPGdfITMtmBUatpZ3
kikf5saO866zBqyFGUkpOxmZ5exyxjhrejeFd+yhO+6JHe1dvZKZVEIzO6Gp
PDRj7biH7qX9/86e8KS9eQXNXJ0c7/C7DvLOz2A7u+Lduuipe+sd5F3knevd
a41Za9aYtWYP2UvOMGeZPWavOaOd1e6pe2vNWrv2hL3hzHJ2OUOdpd5R3lWu
ybXZk/amNWqt2pP2pv9G8d8qrtG12gP2wiG+axveqd6t1pi19j+lhyp3
            "]], 
           PolygonBox[CompressedData["
1:eJwt0UtIlFEYh/EHTbssRO0yCYEKLXSTRkYXFaVRUFBEcZEhCqVldFEjZzk5
C8EsKDRokRlIhQk6hphiCi0qI4WyWifUIpRSauvGJz4XP97zfTPnPf/zvdnn
2+uuJwCHlKSySghr9Stc2wXnGmCjANZ1cQj6U+GyNfcGZCTCT9//eGvVh2+w
lgLxUnjn+r2etcBTJfpu3N+W70OPz4274fQijJTAC135AoczoNs6UAEPdCca
ZGgwQ8VJqNRweZChzQyLEVjSv0vwVwsTMLYXsrOgehKS98Hts3AgBiHdaoWo
0uLQ6f/2WKs9u0ojH+GomdIuwKR9foW85xLcnIcupW/vac+EIXs8Ue69YE+q
ewrtUaRYsXfQ3T74bfZ4s/c+ZS7NPYaI2eetdd6lVs+945+d8Lke8h9Bno5o
xaEkHfNMz+7Q1e3vE/sOM6OwfwccrIFZ169V/NIcDnDT7xB2Xabx5iBD2Cwt
ZmrVVCQ471N9MNP/s51+CK80eCbocaLNrEX2VbTJWdpjpReO50CB8t8Ec57q
hy2mJn2j
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9701831493584386, 0.7954578733960966, 0.5075677630111597], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk01IVHEUxX+VfTK1ixA3uSixWkhuCp8ftJCRoEihaIQGhUAxilrkIhIT
1HEacmNEVArTKiaMKIugCSJwnF2luRlCatEHZVPkooLAc7n/xePe9//fd865
595X3X2u/exaoE3POj0tEZypgpkSRM1wehvUjuv+ACRicHUAsmmIbYYX+6Cn
Af7pw/QRiHfB4QoYaYSve+HLJp2pNn0KCspLKRgdcJyM4rU4VG6A8iKc6HLM
/H34tRsur9F3F+FvyIvKOyY9v6v8wiN4tQU+nYfFDFRLZ6IJ/qecq0/8u8Zd
/x7FVNDwR/f5O/BYGqYPwrHA+z3nOkzPdek6OeVcxr++3rnqbsGNrNdMqKZ8
1PsdavQ7q1mWnn6d1+m8EHk/hm88dmc1pv3DPfdtZye8C/pfKz4suf9PFGcj
xxlJwueccxmnvdt5MfL+DfOSPFke9L4SM/5YvjLo/Zjmb/PwLK8etsNTxVhR
vu+AVuH0qIe4MD8Kfyrp+Rtx/gj4w8J/kHQNV1Q7u6D3SphTnM/5rDNJn435
ZjMst3lN7XvNIeBPq6Y77Mxx9d4bzo3z5jDs36pcsb/B80nlG4POiqJzmwbb
teac+2B+3857jzafn2FnbIbmr3HZntq8zZPf8qQ3aGjt9L203bAdmQhe9b11
3aa/sOBard6+exk87KiRpjHv3fZ9SThZaX4e+b9hc1/KuKfWo3lgHln9IWlf
BU8uvko=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlm1Ml2UUxq+IqAw/ZDpdRfJWYU5XYUoLhKFssObLzF6UZMsogbY0F1Rf
VCrNaM0XWs620HxHcoQI2oI0lygLthT6VCOttnxbqGVRra3ftfP/8Nue/Z/7
ue9zn3Od6/wzli5f8HKSpAZIhpvrpRQ49LHUAXnHpBnQvVn6EjqhY3P85nfH
GqWjcAJ6YM0L0moY1SrdBg/nSA/lxBqvXcO3q+GGBVISXF0hXYEFedITMJ21
j+TEGT7rg2ekRuh6lBhg30RpL7yeKb0Bd3HGnZAG90DFImkJzLlfmgvbiqSm
oojJsR1gr0/hm0GpD36olr6HkS3S37CdNdsgdZM0GtLel+6Guuek1yA1l3tB
ykpyBblLuCP81iwNw2H27ByMGB3rxp3SBjgxifxAykfSTfAPZ/4LdUNSLbzS
La2E35dJ1yAjXcqEBzhjEvz8tfQLbKpjTxhbKo2DH9+RhmBOPvc1hTzD7c9L
Y+DQZ1I71LJ3XXfk3Ll3TpybT8jZ9taI2bFfbpMutUVOnJv97NUMg8el745H
jpyr3CppGrxJ7PXwGLnOh2S0c2N91Ny1n8Dz+PqooWvpGrqWroFrcbaMO5RF
DI6l96B0Cs5Okc5B8g72g4FpxDAtzvTZh4nhCJTw7WxYTM3LYXiAWsAu7rob
qvmtCjp47oTFaGZRZmjQWjy9UPoWGlcRH9Qc4ZsjkXPn/g5iGtMamrA2nHPn
3jE5tuIW6fwt0oM0T2FLaMra2svd9sFMclkAs6EERtZLJxPre/LjDr7LDO6U
B1toxA/h+mTpT9gzn3vAkploG45Ry6OJmrq2nWihA4bJzRX4fD97whfQBZeX
Us+loWFr+cxG7gx90A8XqfGF6qi5a++cO/dt1PogdBHjjtERc0NFaMxae4vn
tytCE9bGRb65BFnkLBPOZUk/wcn8uKu//299aNLafGqD9DSMENtf0HBAeg9m
lpMvKEyTitJiT+9tTVgbL02OvRzTEPvNbSee9tCYteYedC9ehWtQxrvSxBqv
PU2NSpOjZgM8V7Nf1eToIffSugLpcd6n3soZDZED58I95d5yT7o3XQPXonaW
9OqsyKFz2Zu4r/dPfjd63L0+sJU8bY2YHNsf7HEdjlODr2B3JbWujJq79vM4
ez5cbolYHNOvLaFxa92eYm8pSWjLnmHvSEdDE6tCc9aePdXeao1b63uKOas4
1njtBM4eD2s5e11lxOTYXlwrLVsbv/mdPcBeYA+yF2XhgdmQVIOf1EQOnAtr
wtqwBq1F96B70T3qXrUH2YvsefY+95x7b2G29GR2aNbanZ5BT0AvM+gUTOSs
9AR+tsasNfe0e9ueb+/3TPBscM1de+fcuXeMjtWas/Zq0VTdlPB4e30Td9wG
902V7p0aOXFuaprQCOwokXaWRI+51/yb362m91bVxUzwbPAe3ss1dW2taWvb
Pehe7EnMSnuevc85dC59x97EzPXstYfaS+2p9tblZ6QVsKuLOLpiBngWzCOm
uSUxsz27+/mtD8qJ7dmmmCmeLfZoe7U9yd7kGetZa8+x91gT1kZpQ2jXPVJV
EDPVs9Weae+0Rq1Ve4i9xDVz7exB9iLPRM9Ge6i91P8BRiU81F7qHDqXjtGx
ekZ7Vo+lduPgAr1xvjk8wF7Qn/Aq18S1+R91SRE5
            "]], 
           PolygonBox[CompressedData["
1:eJwtkUtIlFEYhp+8hTG6SsSEYJASjTYZFThdNokiqOQi8lI00GVI0haOi8gk
kGIaClooghl0AzdJ0AXBCSK87UKtTZDkqojKKCjC1Ef+f/Hwfpxzvvc75z3R
eOexi1nAdsmVqQqYlJu90BKB62pNK/zLhk+j8Fm+yL1+2FMAPdVqO1TJOdfO
SqohOB93r20EWmU2CVc2QbN1yyGIFsK7NDxqgsfScxqS8jYd7L1Xv85DSR4M
Z+C79Q95aT1YBK/V5S74Kcnd0C0Vt+GMvTvUhb0wL5ed+2aL/Zeg6ARsleby
wGNcj4834L7vWFTP74KE5MzC8WKIqKuVsCav7kBGZhZgrMS71MH/GViRmlhw
frPnU+E7l3fCgwl4KNNhz5S6bQxKJR3mW3fAud4pIfujsE+ef4COUniqvgjr
I7Fg1sbMawehPkfPUzCQ8i1y0kzbZdHcIvnexyx/98EzZ2TuQsNRaJTKMKPY
YfgTh7/SZH+jPNGvVt+E/ktl/rf8Cj2+9QU5bOQxEv79kNof5ptbBb3WV6Vr
Djrlwlzwf7dqYR08548T
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.972608035855042, 0.801520089637605, 0.5150849111506302], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtkk1IlFEUhh9GCX/6l8Chn9HalEMqOBuhwI2RGwOjRQgKpouxMjGQ2ohC
oFBSrcqgMqFMIyxERWgQ2gguWtS0s2ldGv1tggp6T+csLud+97vnnPc8763u
utTWlwBatIq0Xt+CjlJ42A3ZNGzXz8IYfB/zfa/OnszBQAX0pyA/ARu6/zsL
P2ZgZTd8VVxXwWdJmM/Djttec1o1D0TuXkWmILNLuY8gNwvvlTu5X/W7/b5p
+au+s9tg9Rhcfw51Ov/VBZdPuR7TlRmB5a1ajco7C30lsJiDbxk4U679oOdY
bs1N/2d3srpbGdpqa+GDZvik/Z87muEdXJP+DcV01E8qrsedzZc+j+VajUSv
czAeqXq/U3oX1o54rytDcG5FnLfABfVtbvH9Y2lJBRPj2qo5+zXvx1HNd89r
1qjecA+8KpYvTcqb/4+OqwdhKc4nm/zbzp/Kl82Y15i9DU+N66EBsSyDqgbX
YRpOSEsh5bnHNWPVonNbEref4WmjfPkSNavHXYf1TbQphnfLikXBwbQng5v5
YyyMiTG2Htbr8Ih7YHxuiM++0NaxoHf2wDWYh+lx72v9Lx71vZ0ZU8vtVI03
Uz6LMS7EWz2vt1oZGlrFrHzONRvLzug7k3N2dj7d4+/SvFjNu8em+bM0F8db
3XPS9ZnOpPS2B0PzcyLqmCcl4Z3xWLsvrTvhdDO8GPS5jPE/hIG4cw==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlmtM1mUYxq85DG1ardNyywTPymouqHAlGE6LL4hISZI5D03ArUQX+KlA
8zBTAQ+RbuUBS03LhDjotLC1jJZsIdJWi+y0yizI1FbN6nftfj/8Nvi///d5
7ue+rvt63tSFzxY8M0DSZkiCllelZkiqlgbClHHSQ7CsSyqHQ9nSm3DuA6kH
Ns2XNkLOIWka7Fwj7YBdsBuyj0pZMB1mQOFr0mxoqJD2QeOX0lFogVb4iTV+
hL6ZUj/MZO88uO0J6XZYPUVaBfUbpFdAadJ/E2NP7/36SSn3OunFYaxxlu9T
ax7cvEi6BXZT6y74jD26IG25NBG+/1D6AYamS0MgmWeDlsc7fvcsdMOZbulT
OFAkHYTUEimlJM7os+ZPZ09IpneDYC1nXAMvQBWcniB9BOuel9bD/nzpDXgq
S5oP394tfQON9LYJbj1C3bD7aWkPvMQaG9y7E5z1RNTgWu4fLz0Al8ZKv4+N
d/zuqXekdngXmuH0VvaH87nsA+l8515o59mpraGZtUufJ2XA+1uk96CPd/sh
u5izwtTh0sNwkVp/gY5G6ZPGqNm1u+fuvZ/5M5/JZ7u8RPoDRqZIo2AeXngy
4Ql7wz1wL+YskIrgrk3ScKjk75XQRO8Poe1epO8dEZ60Nzc/KtVA/9nQ3h7o
5KVj9VIbZKLRZJiKhtlQibdWwv4c+p8TGlrLugaptiE0slZdhegP29BqOxRT
29ys0MzaHcdvx6AV2uDrddQzVLqBoSpNC8/b+z6zz/4nz65CPt6dBVfpwRVY
Qs9LYDtaboOTk+k7jLtHGgt31ErDaqMH7kXPRulzKGMWSqeEp+3t7oRXPZOe
Te/hvfyO3/XMefbsEXtl0YPSQngcTecUh0fslQrOUgl5TZxvSPQ7tyk0s3b2
lL31K3tdTMysZ9eet/edIc6Sfz+WrkFyB591hEbWqq8HrXoiM3ISmlibzFR8
nBqZ4GxwBjgLPPOe/YGskdQRM+/Z/62KGmBuM9o0x8x6dsvapKVt4en2hOft
fc+IZ6UFT7duiXf8rjPAWVCYiRczQ3Nrf2kZvVoWz/xZayKrfCafrQAtZi2I
HrgXB0ZEr+zR1u6YMc/aHmZ475HY03tntuNHeG6a9MWNzNBgaUAZmh9G+8Ox
ZkFiBjwLfubP7AF7Ye1iMmRxaGStKnr5uzcy0dloj9lr+8iiBjiD5p3wz3ry
O+HPFfR1fHXUa43TqiNTnC11vLulIjxmr9nz9v6Fg9LPByMDnAUXSvl/cJzB
Z3FNrs13hO8KZ5aza2gde0JfOZqVRyY6G3t3xHe9xohJkTHOmglfoQnMpvaV
N6Hd9dKd6PPdKHJkVGhu7SvJlAoYU8OcQPFIaoUqelwNZWlxVs/k+XXhOXtv
Ox58Ga6wxuWqyGxndxFrzKmJNb2270Dfhc5IZ6V76F46s5xdK+j9clhF71f3
xh3ju8ZreK2qRPb7TvHd4gxyFjlznD1lzF4pzKCXj8B9fJZREpnl7HImOBs8
o57VpYnzWMNr68Pz9r7P4LNMnBReck/d27fJkreK4s7y3WWP2Cuu2bWfyyAz
MkITa+OMc9Y9NppMGB13ou/G0dQ+Jj3ufN/9znxnv8/ss/s3gn8r2NP2tu8M
3x0p6aGdNewgDzrx7pnayDRnmzMhOTHTnm1nnrPPNbv2v+nBX/XRE/fGPXKv
7EF70b8J/NvAGXw8kcHOYs+sZ9eZ5mxzj93r/wH9kjAT
            "]], 
           PolygonBox[CompressedData["
1:eJwt0T1IlVEcx/EvYmap+Vag4E1vvqGQDQolNLgUuigISS90B9GhIBOHdIqE
QodCr1ihYL4F4W2wKRGSxkuBDXXbDESnMCiKhLoOfuU4fPj/Oc/znPN/fifa
fbezLwMo0xE13YRG/VyC90Xwx9pVBVf09p41B95YR+/DiB6rLxs+1kF63u8L
IXMBUk3wVQ0NEDsGn8dhXZ8UfQLnXPvRDRH705qL+L7nvUvA+ShcUH85DBT7
fBmun4EbWrCf10oKXpfCRhs0R8Ksv531bwXsanPE7/Og/SI8jMEjHZ2GLKVv
wY7nZ9uXDkDyOFRatyphW5fdsy3L867B+CLEtbQW/jPmWnstdKhmDKpVPxb+
585ZWG1WLpQMw+RVeKpnrVbtfHEWZ/5lXTnM8vYLWLwELzXhWlynWkOOmOPe
c/ju3hvO/M/+v171mlMm5JhDsU5qeAIeKKMzPJtqgRNxyNNsT7iDfPv6b1Cn
ZCpkW74csjnIaDUR7mDNWt0IVfowA0MF3u9B7YBBJc00YbbpUdgHruJ71Q==

            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9750329223516454, 0.8075823058791134, 0.5226020592901006], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtkl1ozXEYxz+GWWRb1GphsyJrx2srDtoMjYhibXWkbbbd2CkvDVerseZE
6hROTGoudqM5MrtYNppDCVGSpqX8hwsuXRDlJfk+Pb+Lf9+n3+/5Pf/vy1PR
fqzhaB6wS99MffMOwFUVu+OwoRLuz4ChBExmIW8hvBF+PAdPCyAZgyu6e6n+
8Y2wJ+5vbUZuAJ7PhZVd0BjOvx2HP0PwaAH8EL4NM/PL1HMDLhZDs3DHiHp0
vkWYuQBf5utO+GoS7pbC+gg2ZZ3D6Rbom4b0YjgxARO3/Dyl89Za6JgFN/fB
ncDzoXh+WgJfxWGrZhRdgtFCKBRGMqEzX5r3+nubY1o7NsMqcTicki/1cFI8
R6RvdBsMFklTv7SL37R6GoSvM+7b2Sn4lfCZNnt5tXvy+Qn87ve3f4XtKZ/f
KRyodx+a5EPBdfignjnCnqCxW3gteNJXA3VZ17JdmKxxDvt1f0raq6SrPA1n
ghbzbF3k3IzjGtX/FkEs8mwsozF5eO+y91j+j9U3rrpa9epKr38m3FPz9qD+
s6zLdVnmxcHPkjrtSqPPtPy727z/UK3Psjmze6E07JvtztpezyinjN6HLAaH
lVeon2X8vc1JtnmW1m87mAv1lHbkyJjzMV7lw66xKvI8TFdc/y/pcQ6mqSzt
XlWkPRt7G9PbnWEPW5c6D+NgXJJBy4PbsCJ4aF6+C/tpe/oi7L9lngj9to/f
z3sWlsl/baDAFg==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlWtM13UUxh/zMmjrsmUXWEwQJhhGNskFzcvaSnuFaUsYmoW4vGVhDeEN
k1ZKSwfq0qC5iUZAsFJQJLIw3nhbsJlhrYlb9aKbBV5oLVd9ns7/xWf7/X+X
8z/nOc8534yyl5duukXSGzAJql+QquDiDukbaHtcaoWMtdJ0WLJAKoK7VktT
YcoZaTIoV5oAeyql3aCD/IaGxVI9jA5LY8Nxz8/+bpZuQt8+6RMoIHYh5ORJ
2ZDSIKXCe29KTXAAmuEIsQ9Deg85Qe930nH457T0L3SSWwcMD1ADFGRIj0IX
73TDre9KyXBpnTQCdzRJt8MDsykBbrwoXYfMdCkL7i2R7oG+z6RPYcNj0npY
VCothiFyHGyInJ37kf3Sa3dS0wS+q5H+2Cr9DqXHpBXwwQmp5URoZK2KibG8
NGI69mgF38A2nm2H5M1SEmzolTbCoqekJ2HXIWLAM09Iy+B+3kmDcf7rBizh
3tPQS4zj8D7XLfAhNbRDUTbvQOvH5ASvTJMq4GYdvYFXi6gD0tFk2uzQzNo1
p9GLtNDU2tYSeyvcNgcd50QP3Ut7xt6xRtbql3bp1/bokXuVhGeSz8Q3/tY1
utaH0DAvLzS1ts+j/aqSyNm5+5ukhOfsvX14a6/99RX+gh3k8nZlaGytr82Q
rs6Ie35mD3QlPGPvFFJLAYzT6z+hdw3P4MBCaoXhfOnr/OiJe/P6bmqGRp41
wTJmZSlc6aDPMJfaH1kbnra3PSOeleJ6qQSq0bSqKDS21tbYWo9xfbUuZsSz
4ppc2+VGfNoYPXAvLtOjEZhXK82vDY/b6789SA7wElptLAmP2CtDzNogrO6X
yuE6PbjWHjW7dnvEXkkiVnJt9Mi9WkDPFsLFC9K5icxcivQt16vw8HOQQq9S
YXJteN2e79kf/+H/cg7OxRpay1Y0bYO5lyJWH988zPVRYnZfiJpc24rpzMr0
0Nhab3JNkLtTmrUzdox3jXeCd4M1tbZbeKcKTs+UTkEds/dWTdzzsxm8k10f
M+JZcQ2uxe/43bN8cw76O6XPO6On7q1nzLPmmI49Xhz1rpsi/VUcM+3Z9sx5
9uwJe8MespfcI/cqB2ZCtXOqCU/b24Un6QX0U+tJqMLjW8wI1yOx47zrPMOe
Ze9E78bt5eRdHjW5NmtkrX7Ggz/BqD0FdzPbU6GZXA6uiZn37Hunebd9eSH6
4R5/RD2n9kRtrvELrn8g5vfQjceOwsBh7sMx6IFZ1JQLKZBaGztrW2IneDcs
z5KezYqd7d1tja21NbAW9qy9e7aLZ13xH/4vnzE+a6yJtRnFy2PQ4l1WGTPt
2f4xkxwzY8f+v2s7YhatgbVoQ6NWuG8XOe6KHehdOEiMIWgvDi9aA2thTa2t
zxCfJXvJ8Z2aqMG12MP2sjW1tp4Bz4JzcC7NibMqfyV7YGX0PCehkbXyPT/z
DHoWnZNz887z7vMO9i72DHgWfEb6rPQO8i7yGeWzyjvBu2E+vZwHFeelzefj
zPLZ5R4NJHrkXtlT9lZqolf5zgUmrZcmro8z0GehZ8yzdqUMLcsipmP7DPdZ
7h65V/aEveGd693rHeNd8x+RdfvO
            "]], 
           PolygonBox[CompressedData["
1:eJwtkl1ojmEchy/brFG2RSlhMwemvZQD00abzUIWyUy2FstGtvkqn9Nq0lpp
mYZ8pKYRhimJMVtjRxJFrYkDe+XEmbX5mkxyvT3PwdXv/9z38/++M6oOlOyP
AxbIZElvhaxkSFPrd8BxyVkIvZPgyTnIHYDl8jsC47KpBaLTYL06vwYyZOUD
GJgBa9UPp+G9VORDdQI0GK9yXnC/xvsfu+Gn9N0L7su8f6b9XLJPwlJ5mguv
42GJdn0UjsmhfmidA43ahV0wMh0K1PqN1iwjVfBVMsJ+jpj/xHZ4kQT9d6Fj
LlyTLVehLRVK1RtH4aaMW98vqWmGxfZWpfaZr1d65KK1zCqH5iL4lAJJVyC+
DhJkbB2MStYw/JsNmWpxTuAzWAoXGrXl+i7zS/JZ6La+VPXbKf2lLhLU+V27
dwPUJsJHYz4cgkcSrYVh+XvJOObvXgVvrfuNbAv7aV/tPCrchRTa54DzmbgD
kbCu9PtwSzqlNuyzegVs9f8yaXOfXzy73BLsObbvhmgw8yY1LxPyZSKs4Y+a
7e6Xyd4e2CORg/ByKuzTPlOprxSFu/ocm7/fHTLoWZzv4Z06xR0nyeN2OGwf
xfaxKIzzyrPNfpdKSfju6vKCGLFYiWlBnKGuIFcs55hvYVSa8oJ+zus3syCY
eYoz79wJt+U/2fywyQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9774578088482487, 0.8136445221206219, 0.5301192074295711], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk0tIlVEUhT8zSyuL0B4mChKSGBL0zgbpoLIkfAwqCBuUA4M06CEIZVld
FJSIW3ElKTDJ0lsQvZBIEKnoEhQYJOagoBclOaiogUGtzT6Dwzms/5y11157
/Xn7DlU3TAN2aiVrzcmFlAz4Fod5CeGLBGq/tQkuTYe2Wqh5C/lZcGQEngxD
i/BZY9D7GKpmQ0cj1BbqbircjMDVzdCeAnHhlcvEswD6ByF3zDn/3IVVQ5C6
EM6NQuuonw27EzgvNvo3w1cK3y7OJnGmtcCrRue/LuxKqGVY5n7XVintG/JA
kujOUV/N/rZcd5sjrtP0xmpdj+lK7lTbadC5Ql60ilt3CmugrMo5q8T5KOZ3
1tbBO/WwRUZ+LIKvcfdwUvu/5+7hwDjcG3cNpiXaA2fnw9Zt4gq9/D4Fl0vg
01w4HYXRYddj3ict1xL/jIR7bRpMS1aF41+k8UXQ8F0akq65bxca3RfzZEDn
z0thRybsegAnymHdEvjxBqb63IeSPe6L6clu9vkZXio8LeTBeqof8QxYFiZD
XfPA3tv9CfH96nPf1si3rojrtD7e57gP7Xt92Tk94bOx80lh9QPwVDoPar8d
smfzOV/mdQ+PeG/Wo+Vutzw9MFO9t0FDeFudD8UhV+sLPAfm2335+vqZvx1f
7Rmyfm0OE8GHMvXRO+hZjWsvrvNZ28y7Qt4s10crvO5f1e0IM23v8Z6t9+6I
58PeTsU8x1bX6lu2DH8Zc93Gc0x8P3W+ka65aN8Y3loem0KtUuXqeNRzcibq
ubRaQ/3wochnYVnIfug6Ta99szsFNf4/2xwXJ1y3cRp3RsJnZJn6D2uj11Y=

            "]], 
           PolygonBox[CompressedData["
1:eJwtlm1MlmUYhs9aalmmrRLFoaIYqCBYZhmNms6i1LmpKZSFkkzFwmnpJI2g
RRjLQK38aLVBs3S1FSZmqfOjfvSulpYmWVP7sLW1lUGF2mrrOLueH8f2jOfm
fq6v87zezPKlM6oulbQOLoPT90in4MNp0l5ovVNqge0V0g7o4l0nZJ+SciCz
QBoKvTdLV0IaZ/v7/ALOQ2qk9Ak8VyM1wtFW6QgsOCBVwNfHpQ44Cd/AoOVS
OpwdLv0ER5s5DzljpJEwgndZcOBV6SA8vVKqg6tvkvrCwbd5BzPnS7Og7iGp
Fm57SyqE74ZIZ6CoTroDuo6Rz7GIybHlkstoOLOFs1viTt99Bd/sDdvfkd6E
ZdyxfEjE7Ng/hyPHowauxenF3AE7JvI/MGyRNHxR1MC1+JSafAZXlfI/cO+t
0hR4nRq3Qr/10jXr407fPZ5a3wIXR0sXYGqjNA1OkNNX0HOw1AsGkVM63Azj
/cwdAyGf2hVAHjnkwqzJ0n2TowfuxaPEUAVda8mvj7S4l/T4dP6fvw2EqcQ2
DTYXS5uKo2au3byhUhn8tVDqXhg5OJeXyXET5OdIY6C7RDpfEjE61hfKpCaY
X8QdUEmvlsBOetkGmbupGXxALfZUxAx6Fi/wrfNQXi89DPv2M6f7I0bH2sqd
LWVRE9emZ0q6hAGfnUYPU1ET16YAxtZFD93LucOkB4fFjHvWr6fH/eFvYr5Y
EpqwNua0U4frpOoezAb5nd8pvYRw7uIbv/H81GmpBlbDGth1mBlM3v+YJ/3b
Iv0DJ8Yx97BietTaNT90e2jO2ttFz9th9mv0CbZRkzfg4ATme0Jo5n/tjIu7
fl9GTxL83MDZtVDcJt3dFj1yr9wT92ZOllQCS4mpCnIxgDyoJuZVSQ7OxTPs
WW5nhndPDE1YG9a8tT+KGo6EXMiD99/lHKyiJ9VQwMzmw2jIhcHMXgaUUcd5
0EX+nbCRWX4RCjPQakb02L22B9gLztWSV21owFoYCzdC6QPkAUsKpUeguzZ6
4x7N5f5KZmRxfZzxWdfUtbUH2AvsYdlJjI51bDIbrrFr7Rgdqz3J3rSeGJsb
Q4PW4j68Zm/iOfaek8/TF1jNLK9J8LNn3LPuHDcmd/gue6S90hq1Vq1pa3sG
zGyMHJ3r0Y3SF9BvK3O3NTzKXmVNW9v2SHvlnm9j1kfh5e/x3ELu2y4PDbxS
Hxq1VrOo7QgYSs+HuO/E+ESCn52Dc8lpoj5NMSOelT6puNvf6JsKjVgr9ix7
14BUvPP3rk1FDs7FmrQ2f80LLVgzHYfDE+2NnlHPqj2iO9GctTcATaeVhsat
de8A74J0ch3UHJqwNv64QfoTHvuSvAYyJ+nSk1PIh1mvhnncMR/OlaNTWEEv
VsLPDRGra/RLQ3iQvcg9dW97VLIXK6Pmrv391KIUVpFHNXzErB9OZt6zv5Od
1Ab9+WZaTZzxWdfQtbTn2nutAWvBZ3zWHmmvtMfaa70TvBu8o4oSjVlraxJv
KcrmXXZoytryTvJu8ox4Vp7pkOo7wgMakh3pXWnNW/v2WHutPdhe/D2a+yEj
NGvt2gPsBfbY8kRD1pJr5tp5Zjw73sHexd4p3i32EHuJa+xaPzuJOCZFDV3L
s0n/7Ykf0//OE9Er96y5ODwkN9lh3mWHNvCNDfGbw789vBO9G/0bw781PMOe
ZffAvfBO9W51z937/wA2CQZD
            "]], 
           PolygonBox[CompressedData["
1:eJwt0UFIVFEUh/GvMFIrIbIyh4KxptRlBMVMpAaRBZGaRpqGWkGRM4ILIQjT
VBxIKIQwAoOKUhuCEhSDAl0EtWnRwhZtKkjIRZppmxT6YN7ix7mPd987/3tu
uLm1KrEW2KV1uv0EejbDgPV9EXzQxFEY179Bn7MgdgVK9sERtX2CyA6IW3s/
+60OFULmNuhzvX8qvY5apwZgWl8OQOUGWPMYVh7BqlLt9jbA0DGoeQhnNZcy
0xb4af19GhaV3QZZapmEd7mQsC7OwMF891gHy+G+ys5DMtPMo7Csv2qJwTWV
B+86eqG6Cc7oV9Bro4OoLIGuDMi9CLV3oE4x30d18wIUO6evO6Eqks4QN8Me
M0W0tBf+qL89fcaXb2ChE+ZVPw6n3D+7Gz4Gs4w6yxFnO6qCCQhrMphFyHVh
Azw165L5o/aMqdsZ/siBB6XuvQyvNX0YhjfZOwmdZuxS6i3c2woV3tP2WshT
QnEdP5G+537vOXQX8pW85H7P/cLzNxSYV7eCXjesoQ64bq6T3tGrIRhTk/9q
1POg1zPrdzN+U5nzuroezoXhP3CQhj0=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9798826953448522, 0.8197067383621304, 0.5376363555690415], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtU11Ik2EYPZZkSVlaRGZaJpQuN0qhkoIF3fRnYBK0oqRoEBQqXRT90qgo
tWF6kzHoQgdZmy2CYdRWCxESJgiJ/SFYkBdhIHbRZZ2n8158vB/fd57zPM85
5y0/1XKoeR6Ak3zm8ykJAKcXAjevA5/vAcsWAZf5M+QDrvC9rAsobgN+EhNp
Aio7gToSXPICz54D8eWsTwP73PdWfu8kro7ceWXA7RvArxzgWz2QrdJ7O3ut
dn1TrJ1aC+zOA5LjwAP+O7YY2L9d/wyzKqAaqx0hx1fiXhQDf/ayl8OHeY7d
Bw5yhs2cveMjcG4BMENM/nlgOB9YWgsMtAI55NlIfLRK/BG+9zeo9i85Rqul
wzT1GOsFDhcCcx+Ad93irMlIL6s1Ds9jYd73Si/TLRrkLuulz4EsUOi+9wXV
22ZYwvN7qbQyzeyfYVYmqG9atYPUuHJSfee4S88J4Wfuyiebc12Ye/mpQQH9
5Pz+BnlhnmwIC2M7DTq/hnhOV2iGWfrT2yR/G9u5Y5zeEBOgd8NslKa2NSHp
aDO8ofa3LkjPXOo66jw1n00j06FnDxB8KUwOMb9ZizVALfdo8Wo2y9FRPmc5
c4NfubHvHs67K6Q8pJiZmknVbuM5u0lzWh4fdksry+nxJL1bwUwnlUXbcYA7
DtaLx/iuOq0s4zbff08npKntZd5+cbn6NK682l4X6dGjKPCK+AjPKL25Q/6n
CeXV+F8TW+VTfiyDdTHWFgE7Y9LXdP5RoRzYbHZvJmLaxbTPjIvTuH2cNUXN
h6h9xnmRiiuXxu9hnyPlyoBlZ8Tp39Gn3JgmT4LqZ31LqH/WZdhymuvugvlT
1CVOy77X9fWEdM9ttkLqXNCmXpa7frd7Nb245vS0fE2Vat8dMd1VuxextDQy
fF9Cd8NmOPMWaHbZsHu5JaSMbeX5D4y58+E=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlWtolnUYxi87aNSmGwo6p5tOt3S2KeSHQnFLCRSbouVhysTNWeZyltYb
mm55WNPSPOPMMmphOQtyQyVbeaAC+1Bkkq1SFxSFkna0WXT4XdzPhx888Pzf
/3sfrut6BlctnV57g6QGuAmGHJHyIBsGwOoL0ioouV0qhWfOcRYaYQOMOi/9
ly090l0axvPYRdIYuLGJ+6DysDSlj9Stm/TWo9KPjdIPcAkuw7+vSP/AudHS
l9BeJk3oIR1Pkz6+mxrqqAVaX5LaYGGhVA1vUPABmJcnVcCq7dQKXbOlP+Ev
+Bsy+G0vmHyvdB/8+pj0C2xISRshe1nU5hrnU+vLnNkHB3n3Jkw6JE2E+YPo
JcHP1x7if6Clmjqg/zbuggePUyPUlktLy2NGntWdJ6TRULiGHtOivxKei5L5
NfaWTpyNHt1rX2ruVxcz8Fn/ppjztWekJVDxFb1DjxyJI7p0i/TFQWl4BXuA
MQPZxcA447PL+c3jcJK7T0ARfRfDSna7Aurh6QtRo2t9npq3wFB2OWRRzMCz
+G0qM4Sdz0q7oGiUdAd07pG+he6LpZsh4wUpEwqLmS0C29yTXW6VtvObbXB9
BDuCsx9Jn8PX7P4beIqeV0Ils6uCdxM9HMuULkzirrukMkjjXTrk8d+D4Ta0
ltYUmrK2CpnBiIrQiLVyz1xpPHS1sje4AldhFzvemYoaXIt72pnU6Fpno4lZ
h0ND1pJrdu1lvJsCZ3ZIn+0IT9gbK4rYB/3W0O+cLczmfOzWO7ZXRg2TRg4L
jVqrnQ9LF+HIeOkotFFLayo8aC++yPPeVGjS2szeGrP0TIcz2z8KpN/h7Xbp
UHvMwLPwnb7bO/fuV0+W6qCF/zgwPnbq3V5Hy12wgBlVN4Rn7d2mkdIemLVP
mgn7qeF1WJ4rLcsNz9l7H56SPoBbO/jfjtC09eqddXIuc2No0xrtyXMuZ3I6
YgfehXfu3TsDnAWb5knPQfppzp8OD9qLrsG12BP2hmfoWdqD9mI+PRQMCs1Z
e9aktWkNWUv736N+ODUWD8Aa/mMtnGzBDy3hGXtnyRiyDOqYRX1DeKI+yUBn
4ZUN0k/wBB5Iwf350nTIx0sF8Olu6ZPdMWPPuj9nsqZG5jn79r4WWvZ8jpZF
JjmbnHHOOmeYs2wdrIeZvJsBOdydC9O3hLassZJp9DeO/qCmkrqhGzMT9IOs
05GpzlZnnrPPHrAXrh1gdjCH5/K50bN7d8/u3RnrrJ3BnQ9AGjmTDscWSu/A
q6VSc2l4yF66CJ2toWFr2d8Afws6k3ff4Yvvi0JT1pZn5FllJbX2hj7QOAEf
TYgMcZZYc9aeNW6t29P2tnfm3Vnz1r49bC+XD8WzQ8NDbUnGO+vXwrpU1OBa
rFlr1zvz7pyJzsYael/cEDPxbNYnu3DP7v39s/Gts5+d3c54Z/2mZnzZHB6w
Fyaym0nTYmae3SWy+XKCn52hzlJnsLPYO/auByTfXnve3vc3199eZ76z35qz
9qxha9meXZDU7Nqd+c5+e9reLt7M/XC1SvoZ+rGzvqXxzfK3q08ye2vUWvUZ
n02hqSfHRaY7252xzlp70t7sBRnQxB27q8PT9nZG8s4atBb/B2WA7zE=
            "]], 
           PolygonBox[CompressedData["
1:eJwtkl1ozWEcxz9HEdqwUdiOvWArtMVWWIRLazm1jZwlsrVJTVtNbc3s1BlF
7DheLg4pF9vy0jmLlJK2bC13k5eEyHLlQkhcKG58Tv9z8en5/f/P83v5fp+n
vK27qWseUCnzJb8F8qRhOxzKg2QM7kzCbUlL+0Iodj98GRJLYHw3pNrhukzX
wZS8fwMPV8NH1xm/J6xTFTdPwjmy8VaZdO+ZZ/7UBzkfzHkhL6WlBIqWWzMD
+1vhgCRiwVwp1+h6z0i+cSgEX9bBwUf+l9E9MCL3OmBgEdy4au4oDMtF+e75
5xvg23mwPdFy/xn/kJuxQGeROvfpQ0SOP7V/gXONQIfxMalvhL3SqAedetGU
hDO9MCRLa9W1GM4ah3qCuOuxZyqgWWINMCi/3gZ1Z617Qn2dMpEJdE+79sWC
WWed9ZTxgPyLwl+Z07Mn5t4aU+99OGfOXdeeUjgpxVesI5ur1eAlFxoPHYG4
7Ehbt1Dt6cDrrOfbPmlEGH5bN/kOLknNlHMt0DPjyjKokJkHkLFXaq2eD8My
/T3t3K27oE3Gcp4X2G+ld7BKIhf0Uprlq97+3GTt3P1viQfvJvt+SvWqRI56
h5EVcNi1NjdXjeura/Ba+uzTK2WJoP+g/XfmNH1e47xqHJaN7tepvbvKN2hc
LeO5+ft9z/1z+ir/ATWZpi0=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9823075818414555, 0.8257689546036386, 0.5451535037085118], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk0tIlVEUhb/MKKi0h2aWolYo9tAmSdEtpAiCxMIeGnGlolKDLDIsfPW0
tBRJqkuIDjKisrAQhcgQayQURg2aNWgSPYgiouegtdln8LP+e+4+a6+91v6z
9h4uqY4DtuqZqGd9BYwKNz6H/HZYmgD1a2HGGJSlQIJwTqXXLL8Gf5ZAugg6
L8K38J7SClf1+9hk+L4Z5jbBpmkw0A0FOdA2AV68hkfdfp6y0h97TzwN2ZnO
/1Na+oehKhnuCaNP/K5xNHbCFdWUL/Ae1utTH8y6DEPSPF9Yr75l4jwujKn+
vc47hQ8D549s+Bo0F0vv2VrYMhVahR8D5ymd30iHNPUqiIq30Plniz9tCGqS
YKFwuNlrtu2Cx0egbhKUbnCPRoOvDarJnw4nmv0/qxlQ7aU3cHAedAhLI7BT
PifL5w+a8510VoxAV7nuxsOziGs1zeb9nQz3YdltzRk8N+0nQ69Dq6Ek9DJd
ZwLPU/EUhiwa38KBEe9VKWyRjirpOS/80gK3xPNZeHcd9CTCeMyzsbn2KKua
oKG3X36Jq01G1Akbgv9rlO2FLNdmGi0zq7d7lrflnqra+CL3oU19k8bch1Th
WMz7vhSeCxlZVjaz8Ywr05lhP7dHvLdpuP8AdoTZ847C9bADvcqweJFnl67s
ooNek6Ga2AKfy3bQ8rZMLdu88C0sbvc9Ns1pTe6j+Vkrz6tfuZ/ma89N2D0F
/pbBvrAbvzP9t53/Eq7q87uWSUPI1L6hSNi33KjfsXc7+xfuduVqR0NGcUW+
E8bTUe7flWlYkePz2FzmwXj4Xgb3w3+sP8Mf
            "]], 
           PolygonBox[CompressedData["
1:eJwtlWtM1mUYxi8dZltA6YeWhtpBQlFeXPrBtjTT9QGRnHYCmRgIroMFurI+
JIlFHiZBOhsIdjAMBZWsnKyihNJ1UFdGW5i6cMtqUXbapK1lv2v3++G3/d//
/3mf576v+76v58ayysWPD5e0HlJgyXipCO4rle6HrNXSLdCzU+qFlmVSM4za
JI2G6xdKY+GnDdLPMIK1KVDRJa2AH7dIF6BstrQ8iZ9Xsvdj8Hy19By0TpZ2
T449vXc6XA0XcqQf4GivdAzmFUtz4dJeaQjmL5LyYHG9dA9UnpO2ZMAwaWm3
VHBcWgAH3pI64d5M1mVGTs4tq45nODFVOglN5VIjTOiXboCMInIsihgd63Ke
y6CNvffAk6ekJ6A6X3o2P3JwLs2sbYGN86QNcMUj0khI579pUM+3Bvj9beki
fA8DSfzsnJ27c3Jud5DjHPjkNuljyKiRxsGL7FEHRROpHdw8TboJUhs5pzFi
cmzHd5HjrqiRa/ULDMKBKmk/ZLHHJOjpk45Aaye5wPkmYmqKPb33/jXSPnjg
FakQxjUQS0NoZu1qt6ITvFchvV8RMTm2d/jPu3D5dek/+HaG1A8DD5MvHJ4r
dcEaeimXRnwzTfptI3EdoaeulR68Uvq3MGrkWrmn3FtVaFkJdW+gBXxF7F/C
X3nS33mhcX1SI2s1bVLsl58qXcfvEWiUAk250g5YOFO6e2bUyLVKnJVyzoYm
1mYwqd2UpdJUGEuPjtkUM+HZcM1de+/hvayhtWyHjs7QzNq1ocUeGMXaa2DB
XfQqJNA4Z1pobu2HCiN3x+zYh9Ozw1ZHD7uXPUOepZ59zCesPRe97xlYx3PZ
Ian0UNTYtbbG1vr2h6RZMHoHMeyIM332H2X0JDzFjD49O2bAszBET/4DX9B7
n0OC3suF7gLpg4J452+/ovkgfIhWH/WFB9gLHLNjX7eZeRlJ32A6z/A8pjpq
4fxc651o0gKvosVrcJJZOgG166QXoIhcCg+FZtbOM+3ZLmcWK7rDM+wdjSXU
FFbWSo/CEjyjuDj28F4DxHy+IDSwFu4B98IxcjgKt5Lb9JrwQHthGp6YDlMS
UnYiet69f3Fj9Kp7trkketC96JgduzWyVp5Zz+6YOfQdtDMrHeVxhs/q4Vsv
fHNM6oMzzMZZSEX7q/rD4+x1nnnPvmN0rK6Ra7WWGKtL4z/+r2fMszbhJWk8
tDKLu5P42TE4FveMe8eeb+9vaSUPOIw2XQXhcfY6e6C90Gf4LHumvbMdbffW
hifbm8VZlxtCI2t1hh74Di7RE0Owlxz2LIo1Xrsim7plxx7ea1YH9YAtaFlX
Ej3kXvIMehbdg0NJz7R3zuDddDi1Tfp6W2hoLX2mz7YH2gvtMfYae6C9MLuN
+Npihj3LPe38tz3e+dunrPkMlp2WSk6Hx9vr7Vn2rj9X4TGwdXP0snt6O8+Z
9NJEyDtIvQ7GneW7yzV0LdejSU0iauLa2KPsVc7BuVgja2UPs5f5zvDd4Rn1
rL7MbGxfEz3iXvGMeFbsyfZm18y1m0OP3An53B3zoYq7ZFVO3CG+S/zO37zG
az3DnuV0ZiqtOmbMs+Y7ISv5zt/+Bw9s6Ps=
            "]], 
           PolygonBox[CompressedData["
1:eJwtk1tMz2EYxz+1jI1yKk0JEeZUN2xMzGw2UQ6NkRZKUQ6dWIwwVtTUmhxy
ykWMFIulNqdRV9psLBdtLmy6MZMJc+/Tfv+Lz77P3v/7vL/n+T7PPzGvJLM4
HFgko+TRKyiKgafq1Qq4Jh+b4M54aFsDSYUwR7KzYaccXgEpkVBZDb1t0CPz
c2Cab7UkQKv5D+Tf3ODdDt9t2GVOBCxvh1RZKVHTIVJ+GB8dDRcS4fMS2DwW
qsyPKLc+6SyFExaa0wW5kicZayFdpp2GDePgeTMkdMORaM/U2+Y3S9liKJUF
9fYbZQ3q0rewRBoG4ECc30mHxkb45u831LPJcE66CuCKPZ3yrEqq5aVnL+Tu
6uB+k2dL50FdGBT3w67PsFtuzYc9Y/TwnrHclpspvi8fQt72qeufQprkztRH
vzVFn3vtpUeSy4O+M+2zLlTrRXUoDX5KeB+EyVTJioXtqXByVdBnsn0O58Fv
2eb5Dn+fELo/klfwGvLl8RPfdnAlX+BvGfyR2opgBiOzWPc+qKtpln4bZ0i4
fhVZS81A4OOIn/vfwKCz3qeWZOm5DGbAVznmjHY4o0p15bIgPmmc55290t7h
nsndjsDvhzP0yX25LkM1cN9d+6VOvgTd9jZJbd3iPdmaHexdvrt4UA5JvXl1
EtUX9D1RjQl5FK3GbYJ4+XQZ+uX8QNBPrXq8OtjtM2rBAvuRvhZ4J4WhHr87
7/Z8a5b4UE3x7kNsrTvoH2t4oTMxjpNnetkps0O7uTEJ/gNIIMDp
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9847324683380588, 0.831831170845147, 0.5526706518479823], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtU0tIlGEUPdmDoDKTit5gCVGLJCxqKAdcCFmZYhGOCKITBUGZglMWTLmS
CXFTi4QUqo2B5SahlzlZ6EInmjQwyVpEL6hFlNCuzuF8i4/v/ve/j3POvV9B
Y1P12RwANTzzebruAE2LgXMx4HTMdt0wkEM7w4BjaaCxFzi6BPiyC3hRAVyn
P7oXKEoCB5cCq2jHBm3n0vesBzifx1jez6eA+2uBHbPAxUPA60VAB3sWtbv+
eITfBUA5seRuAvqv2n5cDzQHPKkr/if/8QbgQQJYOQ+oLSTOOHByATDZD1QS
Rx0x3CSGy6FX6xtglD0m2Gsjey6MOXdP0vmyu2j/7ABalgFV+4EbSdfp4R2P
Altyga+dxDwNdK8Ddk5bF+GPtFs74TxF3TK33Vf9K0P97oTxCedglTmISy05
bQ8a5vMeIc4ntItZs2/IOsdZu7rMeo70OE7x0v53M7CGMe84l0+dxvmN979b
9s/Snxn17O4Sw+YPxi8eB4j/DHGWigc5D5B7Xor6tDh3hrnLU/bnp4xDeEqo
8ZHAS3MYCfMtZs1HxNdKnBVl3iFpohm+2mZbu/Yj6Pyd969Ga3KJGl+I2pZv
ImJttYOfw75F2Dc7aW21R+MhZoj//5SbS5ZY+hLmW9PrI/tewjun3Dbmrgga
amdLgw5zrLEhcJT22g9x1AzfT3kumo90kT7SXjst7sP8PxZ27CPtwnbHH04b
k+r/Zf36GWD1emD3VvNRL72n7Khrxh96P6RDW9RzlV/zHHhqLuJ3IuyP3op2
Wn1fRjwD4SngnEvSxiAsc0Gft9eAZIPrS29hVe6+tN+26mtf9PZUv5X1/wNp
utlg
            "]], 
           PolygonBox[CompressedData["
1:eJwtlmtMl2UYxq9ArQ+eS1HwWBmQCLbSZElT0Q1PNQvTMmGZirVUYrNsAyaV
Ji4ScZOTtrI0RRI6aDRwI3U6HJ7ScrVqy7Zatsr6ZK22flf3/8Nve/d/3/d5
n+e6r/u6/+NXrH9kXZKkbdAHbsyV1vaTOvtL31yWfmiUrsIdk6U7YdJyKQuO
t0gnYNwOaSzsWyXth+QFUhJM6ZamwtUPpe/hx0nST/A313/BdfgDHlwj5UHf
BqlfQ6zhtUbOkFLh9HHpFPT/ShoA96ezLpy9JJ2DjBopHc5lSeehcLv0KMxY
JM2E97ukVtj1glQPazdLz8GyZdKTMP476fBIqTFVup3rppVcwzi+NR4+LpU+
ghVHpKfhTdbYA2/Nkd6G1zZJW+DqQrSCrPekidCzVzoDD/VKC6GtXWpvj998
72fOcA0emy4thqQetINXsqWXs0NTa1tFYTZBOVTASZ49AduLpFq4jWduhYOc
tQW2XZGqr0QNXAvXyLXaO1p6By7WSxdgAprfBbc8K90MQ5tYB0rRYD0sPyYV
wVLOuGROaGAtRlGTtBnxTX97I3t6Ea49LP0CwznDMEjjehSsZo1Vx2JNr93F
Gp2lsabX/hTNOmBmlTQLqvOlrfmxJ+/NHrAXDlGT1pXhAXthHmedvyj26L3a
E/bGlG+l++DSTukyLEWrJdNjT95bGR58HnLwzGTYUidthk481wUL2dOGwayP
/4dUSvfs4jnIL5FmQwqaDV8Tv/mePWKv2NP2tvfovVoja+V3/G4BHpjbG560
N+fj0QXw50T6AFKqpREw5qg0+mh4zF47hle7oBCvLl4WZ/LZXGPXui817gOv
c11zJTSxNu4B94Lf8bv2vL3fnIPHoQcPnIGhaDKkJzxoL/67VPoHmjOl3Zmx
ptf+lVz4DZ74mvOn4SEy4iL9dxMeEEzEs1nQMhYvwqQDUvaB0NTa1qNxQ130
/PVEJjgbZrO3fLhxEA2hDW8chgy0z4TBeGIQjOQ6tTI0s3auoWu5kzXr6qJn
3DsLuiO7nGEFzp9n+BZ0zMJr0NpGfdpij97rS2iyEVbfLZVAchm9A4UT0ASu
b5V+h2Z6bXdRPONnW3jnUAJf+ww+y6DHpYFQy153VIaG/2v5LjWFfW2RNc6c
zy5HDXoSPenedA+6F7PJ2hzI4Azp3VET18YZ5iz74pT0JeSizdlkqRdO50ZP
u7fnfYBOMJBMHdAQGliLe6tCHz9/KjdqUp/Q0Fqm4cFU2F3MfosjI52V5Zyx
AsbU4s/ayEhn5bBp0SvumU/20IPMhqnLw7P2bkUiu+xxe30Ez6dMi5q6tvZ8
SuKb/rYzzFlmT9lbngmeDfasvesMc5b5G/6WNbW2zhBniWvsWnumeLY4s53d
9pS9VdJB/Tqixq71Zmr0KuyjRvszQ3Nr75nn2eeeLUhkuLPcnrA30nk3oyw0
KU94yF6yR+1V18y1cw+4F86j7YUEvj5CTxxdFTPSs9I97F72b77nTHI2rXsK
L8PxVrK8NTxoL3oGeBZs+Dx60T1ZTG++wb2aouhp97ZnkmdTOXuqqIwZ41nj
THQ2OrOd3Z4xnjUPdIc37JG87pj5nv32kL1kT9lbzkBn4cnceN4ezKmKmeTZ
lHcI/aGJ68ai6CH3kjPCWWEP2Uv+T+D/Bp7xnvV+x+/6DD6LZ6Znp2eIZ8l/
R5r8OQ==
            "]], 
           PolygonBox[CompressedData["
1:eJwtkkFLVVEURpeWEVQqEWVqoiQ8LSMDg4QSEhpUpGEjxYo0FAI1BDWpHgrV
QzFJapDhixQsQu3NLNESFBqlFaZE4ChCC2vUD3DBvYPF3pxz7rf3t/fNq2up
ak4GciVF6t9BxhbzVmgwb5S2XjjrXSwPOsxvSXk3nJb3F2DB959K4Z+P/srs
N3izH+aM2ZWQJb9j0LrLe+PLQhiVoSjU7oSnxvm42ulQdQamb8KMrPfBwVR7
KoOma9As8+PqSk1O0NN1z/5E1JfGWWjZDjeqoVDNAkmVc9Y4ZIyH9SpPeO6b
NCnQZ0TmwvofjIPtsCcJKvLhwCTkSKc9NGyFqPUiD/1O0nsgoac04+AVeCaf
i2BR1sLefxqPffc+U88JGJNxuWsvd+SUvTxxfr+c48WTwYw2nFHRZTgiw87j
hUzY06UdUPdc/SVnLsf1vDfLWfyAslAnW0/31L0vnefhyzbfjsDhV2rK61An
MWMfMiFv9dym9ynjPnUypFh/R+V26Du5HgbUfCT90WA+KdaKX3WPsjucxYIe
Vj7CsqyWBP/SV/OermA3i+79gXlMlh+7V/v77yJLVvUjm2KEi28=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9871573548346622, 0.8378933870866555, 0.5601877999874527], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVE1IVWEUnLIkodKMUkwRS8u/0haVgkYZLkIrLBTDeqAotCgNd0KKBqXP
/otKxRdE9vd6pS6KFFPR0NIWWeZLyAhcWJuIFrUIoRnOt7icw3fPnTPnzHw3
oaLmcPVSACf4hPCZvgFEhwM75oDYPcDjZUCgEvh4HagPA15VATuHgX+hrC8E
lhdarrPzruYFa7Y8BLIjgc2M4+eA1hVAdSpj0PDVZ6DK6vVdZTmwmvloAGhL
ARaWAPlNwOwkMLgG6O8CfF123sn3iZlAC4nPtwNxjmcP8U65XsVlQEkSkMP6
vtPAF8fNuw3Y4AV6V5GH13oI00fMKsehp5V43cRfCzxlTNxrnH9wlsi3wBvi
X/YAQ67XcfYqdr1CajkzlzlOnKnbwMy0fSsM8RPP9mdAjOP8gGf+eOsV6LZH
+fbPwK8WYIL4HewV3gZ0EWcgj3OQ3zz5NzHW5VrewPxYmfHRDjZ9BWpigbPU
Z24XeUUBH8aA1Abg4EoghXFqzM5nGJOp3wQNEMPzxVLLdTZTbPnzbCD3ls0V
zfk2OvwExig3b0Gv6acdVpebhzT7J2o96LP9JHM/tUdMu8V285N0kT4Vd4Br
EcDdfOKlG04f5xoaATzr6QHGWKfd+xzgwj7gG/HDOgxLmEmZ5gnlGcxLWRfF
PYdItzHjIF9EO85ZnOlkmmn6p9l0Vb77CXAlw2o0d7nj5mGsd7pr3z6PabSO
vAb93Bc9/9pvmuk8wmv+UL3uwb04qxllTZHzjHjpe9XXkEua0yghy3iIz1Xi
dTpM+UJ6SJff1Oqmx2Yc99u+tDd5+aWrkYbvmA8TM6/JdqH6khz7Rnn8Ibtj
umuBR+ZR+bO3yDQTT3m874C7L6xNd3e8rgAIdf+Bv0H7X+hbefwM+95n35ZG
YGTa8H/ut0f5paB5RZy/XyQfp/XCVv4H3J3Vf0KcVD/Ivs2NhullPOr01Q7U
WxyCk+ZFaae72O8ww2eB/5hEDFI=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlW1Ml2UUxi8hSbcUX/KlrTIbrkh5qbmFRjRRN0kIKG2QKVu4IGuJNF3o
YmNFEMsF1hIJaLOW70UuDE2MTVYpiZlszj5Uk8qV1ZYrt3Bt/a6d/4ffB/48
z32fc65zXc/cpzY++nySpG1wA/TXSMehbLlUDm/tkN6ElzOlV2DbSmkrNL0n
NcOm76UaWNcvVcDVMul0snR5nNSeLmXtlTLhG844ByVpUjHs2iJ1wK97pNmp
0vUUKaUwzvBZ998l5cDoM9IlOJovHYPJF6VJsLJUKoScep6tjzN99tZGqQ6q
7pGqYeN86pkg7Z0k/d0sLV8jLYN/90ljMKVcSoU2ztgBRW9wLtRmSC/A1cPS
X3AJRuGXIulnWJQjLYactdwP/dx5AjqzpHfg9E5pCEpzqQsyeCYTktqkcbCA
WWbA2s+lJ2ETNdTC4zw7CyG+ouZpp6SRg9J56C2RjpTETDyb4fPSWXiIGvKg
kdpfhfV9UiVUQXVfzMyzy6vmWfiJ2kfhJZ6th13QDl3QDXvQ7IP0+M3/W/Od
9ASc465v4eGvpQJ4BIphcrv0Pvo1s0Rp2fS+Hl1hLhrdCbkD0gPwIORBCj2O
Lw/NrN0VevkNNvDbs1DEM4WwAgoGYkae1e2t0pzWmIFnUZeH1nlRk2vzTno3
PzwuHYKd7FY7LG5AK/hyETOF9O3S3XB2ATsJP45IP4xEja7VNbgWa2JtvAPe
hWzeuRcGmd3Jopi5Z+8e3esYu3H9cNTk2nyH72pZKr0GEzZIE2Em78yAT7uk
PkjmriRYxd2rYfgL6Qzso/b9MLGDGhPzrX1Mms7MpkEWZEMvXv0EKnvRHlaz
u6tgCd7IhzlHmB10c9a78GeT9EdT7KR30x60F/2Mn00uDC/aky0X4g7f5Zpd
e1d6eHvgJmkpcx3aza7vDg2tZV5C6zT+N68hMsRZ4hpdqz1mr3kHvAsH8cyB
xvCkvWlP29vuwb3YY/aaZ+7Z53P2EvinQLpWEDuyIvGb/2eNrbU1tbbb6eHE
1OhpPL0d4Oz9peFBe7G7gp7gDLMYhtZ14T3nxSB/38Lds2EKvUyFQy3UDMd4
57OK8JC95ExwNlhDa+md8+5dXsjvC0NTa9uZmJ8z8r+yuMN3OaM6ufvjHqkH
niYDq2Bedmhvj6XitduKpVuLQ0Nr6Uzz+675ufmhubV3hjnLvEPeJXvC3nAG
OAtSOOtGuO9t9hqWVTH/qujJvW2mxy0tkfnO/juY1dy2eMfvOuOcdTP47ea2
mKlna4/YK0mV7FJlnOmznRnOjgtDoYU1uTgUO+vd/Yjd6KmJzHZ2eye8G7PI
wJmnomf3npWYhz0xvSMywdngzHH2DOKpk13xDfO3rI4eXoQrvPs75DfE7lqD
o0Xh2bFExjvrixPZZg2shT1qr3oHvAvODGfH6OtkKVxritk7s8tzQzNr52+i
v42e4eZEDa7FM/FsnOnOdme2s9uZ6+y1Z+wdZ6Cz0BnvrHcGO4u7E1ntb5a/
Xf8DOCrIXg==
            "]], 
           PolygonBox[CompressedData["
1:eJwtk0lIllEUhp+0QCHnUinFLCpybBBUMIikRTRhEBSRoRlZCzUXgZGSQeRv
QZiREmiUNiiJ2iIMysIkyQayQWpRREYFtSpq3SPfv3g478e93z3nvOfezMra
nTURQJbMk6kL8EruHoTGaHijHu+H6UToSYfCfVAkq99DvqyRliToG4ShOhiU
VU2wfT5kGzOLAp2lTpQkaWqFmRjPN/7Ohj8SfQSiJOkyfI6Ds6Uw2isJMPYW
1pmnQKpH4JBE1kPJHChbDhk7IGUu7C6B5KdqmbkDX+R7LpQnw8MxeP3E/1Ls
0XjAM6rk1FaoTYOln4J+Zvt61gGTMiUTenA+P8g9W0Pmp2D/MuPoaXggu/ZC
a5Q51L+s5ac0h3tsWO8/bbBEbuhpn3Wmb9Bjax12fXEIuvZDt9TvgaMSOgnX
9exEMbx03wuJd9+kObrKIU//c+VxeC6jxpqsoIZGa2iQ4/JvM/yVd+2QqqfT
+nh/I/SqYzv157A1StyHwKMJPYpRx8rXc67JD4nVg4kcWHETis2XY5y8pk9y
ry6Yw2iX9ci4XDlmP3J1E7TFQ0W353cHutL4rcC5SEKzfcki78RkJIzY73BZ
4FGaHi3Qs4VS6p5H+vHc9Qj9iZROz++Q6fBMPxYG92j2PqWGAm/TjEOtQf1V
FXBbPSAtYX/PGGe22au09PgtDVuCHlfaY9GlYP4p1d5z9VoJ5QXvotN30S4X
ZWAweAP9Gc7mlvdI/gNBM8Bf
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9895822413312656, 0.8439556033281639, 0.5677049481269232], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVEtIlGEUPZVlZqlhGNrDxiiTSsoEMyetkaARh2EmXAxSkbiwgnRhlgq/
j6iJEbNxFYUaFkwqWiNaUmKziEAEC5FQelBWRgQtehhki87lfouf7/LN/e49
95xzx1ZW6T23FMBpfsv4dZwAsqKASTtQEAFikoDcHYBlAUejgU8uINoHlK0E
7LzbdAh4FAfYgsD5RqBvCfA5HWi3NCeBuRUjwLN1QDnPD9PAUDIbFQFPLwM5
a4Axnm9ygEsEUMmc5P1AG+ORDqDzpOJ5STw3ajRnYBRYDAOZy4H6Y8zL5bca
WNsEfHEpzgZiiZj6zXnaWzBMPQfyOE8s5yrifLdZ0xvLubKBEPOzmd/P828P
8I+9jpQCbw026f+K+MPEv+AEfpG0RGIoIZYrnNdHDAXEHp8G/EzkN6g4BM/6
LUBtAJhj/ZqA8iL8dPLdeC9wnDkHbIBnm+IUzlIfKrab7OvsUx4sN/DYoX0/
sn97Od/GAMEBYN7MLlqd6tS3XXyb0QrspEZ1+UBTMbCBOUP3OJOJ9zKeJNe1
CcAEz9TrWnN3Jt+xVmgV8KBKe8j9NfZ0RpRDF8/ffqCac/3x6wwyyxxjn13v
F/yqpWiaRH7m09Un4pfmOxrL3cageimN5zeTM9FN7sa1Zipnr+/WOtMlyoVw
8sKueZK/PaR6CD/vvcDWd+QvhbrOAHtmdN5mzp1iPCb1po2mUzxXGF3Ev8KR
5AtPVpbysE8871Y8gmuXpXWkXlRQ+RFNeu7rW+l52OyC7M1Zn+KU+boy9F5+
F3+IdtWMG42XGizVT3QUL4jvxYe9vPvuVwyCpaQNaGFc7KH/KnR28YjDo/fy
+1ebxg7GcbP0GDmJn9V9lr5XG3U2mTFcpfpJ/c1u3Unp+5p7kG/+E+w864yf
LxwECk0vN+vfMp4UH8n/iGgke9xSqDsbc4a6GE+mtSomeSs1Qmbfxe/iOcFT
Pgz8GNSdWhxUXWXGJw7dAYlHHaqxaD12lzhKdX8v5ul7qTNcpb0FQ4BY/gNv
jvsz
            "]], 
           PolygonBox[CompressedData["
1:eJwtlWtMFmQYhu+Ji3SVlsaigxsE2YEUyc3v81BrRT8QA2xYjIBOJG2lJv3x
EM2KTcgyWRFY8Kc2XAEKSysIcA2ShssDFErp2qqVrf5Erbaydd17+HGNb3zv
+z6n+36+jMc2r980S9JzMBsOb5E65krb5ktl+dIXn0ujsCFbehDOjEmTcBam
IPeAtBRONUmn4fWl0l5Y0yzdCfnl0r8p0vLLpc56Ka1Buho23yZtgZtypWyY
1yLNh7G2iO0c6vKkPvL5BIb5/wh0H5S6DkZMx161S1oJo0lyhfWrpRJYUsEZ
+Hm59BN8SQ0n4Ide6XsY+kw6Cm3k+g6MvSUdh/t4Kx/abpHaof89coBOYnVB
YYn0Sir5XCtdcVb6c7f0BzxNLc/AAe50QGudtB9+K5J+hW1rpO1wKTWmtkRM
x55+SPodWnwHagakjfDseWkrnCbn4YXSS/Tw3Aryfl8ahGEYgSPUfDgZb/it
UXp8DDbdSo/hSmr5+DJmwv30RMzIsxqHCfiqk79wpFj6CP6hN9MLeIf6Mqlv
9VFpTpr0Ybr03QT92Uh/oOC4tBbm7ud72PqAVAuTpdLXpZGTc3MNrqWKmh6B
VeSwEobXkT/0NTJfqH5UehIal0gN8Aa5vdkUd3w3sVhKQg9nD0EXdDdGT93b
Oj6/AOPj1Ag71ko7Z/Dn3e/yLvzXKl1sDc1Ze9agtegZepaV6LWiPHroXlpz
1t4AGhyEvFelZZDyOH6B2jJqhJ3U+nwyeuBeOIZj9VSTL7R2owdI24f+4QN0
1FkSM/AsBjgzWB05OtfFHdLNsIMctkMNs3wKKofIbyhiOrZ74t6coOaTUMxM
iqDnkNQLmfQ6AxagxYV10VP39mV6XA/375XWQe3t7AC4A8/mNceMPWv/z9+5
ZtfuHeBdYE/am39PSn9Nxk7wbvAMPUvPyLOyp+wt7wTvBufoXMunpIenYod4
l9hj9lpzJTnCMbQ9Ctl3S1lwgV780hGetrftAXvBHraX+6AfRnO4mxOasrbs
YXv5HnxwL5yj9m+bQmPWmj1n79nz9v43K8Jr9twY3vtxDztjT7zptydKw0v2
1FWcTy2ULimMHrgXjuFYKcxmdllo0tqctsYg7ww6wFvXsUN2FYZH7VXP2LN2
ja7Vb/rtU8Q8mRM5OJeRGe8n6EGyImI4Vik+3QBV7WikPXaed58Kwrv28F18
/2JhxHYON54PDxfMaMbasQatRffIvfKbfts71rt2cFHsPu/ACxn4sD52u3d8
UXnU6FqvZ8ff0BAesVe8Y7xr0mukayCBxpLN4Ql7owcv9M7gz/aIvWLNWru5
sKwuNGPt2OP2uj1kL83ibMq+0Ly17x3qXXpxUewy77R5mbEzvDv6q6RP4bUn
8NOcOOOz/s3yb5dzdK7OMTHjCXsjSQ4JKM7idyYrdqTv+o23eet/TvjFTA==

            "]], 
           PolygonBox[CompressedData["
1:eJwtk1lIlGEUht/UcquUrIEWjTEnNS1SBJ3GtEaCDExnwoshfiUhUFovxMjK
zDJbCOmiKEELCsZsNaKksVHCliFIC7GCLlqsbqqLFrvtke+/eDiH+b/vfOd9
zxln3R7/7ihJq2AmDNZKIWg6JX2aIzUT81qk1eAokjqjpVxyX4ZUBV1Nkj9R
ukycLDD5th6pBmqhYYVUDzfapQLqBYmvx6X+hdIEMWO95IJ/HVIj3wPF0rka
6TxkBaVMWA7XZ0htV6Ri3q6Lk2YFpCJyN+xba3rdT6/fK6Uf8LxPegZLya1Y
KULejshj4DwrPZgrLSE2cn8j379WSGvQ54HfdyFF+kX8DJMw+lR6CX3oPIoH
7wulTcNSokMqJ3qhDPr3ojFByqGuk1rpEHHTD3xA7z10fyQ+4b0RKOV7YLbU
yvkvmUbnDrRZQ3gIocfSQ0h6x/lFUjgNzzl7EXpsLy5lS6kn0QNj+JcfQw/M
MM3W/hNvffzuB7eFbxBmDoV4Nky82ct8IHyV2ryR/1Z6gdaR+dxz0Tt5BA63
mF6PE4O82QvuLCkeD0rQ7jrCrKDNY2oPUdvaig4IeaUUFqy0Xoq9IMVBNP5H
wUpmYsVLMeTzuD/AGwP4NVEtvak2vk77O1Vu9mYc/w5sYWepd7qM97ukBDjE
nYNwotXM9Bv+7sqRdsKUvV9/O0yP071W2PPzoCEP/Yu5c+02fsAtSD/DHNmT
bOJYrvQKwsz3EQQ2sG/J7EQ35+x9Sl0n3dlOj5CMviQYtHX/aeBMlXQfmktM
3WXUrexEA+96ffRDvhlG7Rl28x9YwEwd8B+Kn8TY
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9920071278278689, 0.8500178195696724, 0.5752220962663936], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVF9I02EUPeoqjUooKgoMDCPmH8o9NFdKGUFFy6m9KGSiPRWkBtFDwWRB
mGMS9VL0VzDastyKoKTAWZC4NLW0HCpRlCEJPSUh0ehc7n0Y9+P73Xvuueee
b7mNzdVN6QAa+cvgL1gGzK8EYkHg20OeM4GuemBdO/CY96OlwPmLwJ80oDkf
eG7nkzwPDQBp64FpNxDqAbZnAYsEfm05oQqg7zAwx3P5TSBcr/g5xH5zG3iw
HHjRAgS8wK3VgCsJnMjXWuk5F2bk/TzjvgDQwNo7TmA2BBRyiPeFwIE6cnUA
R8hzYhzwbwA8B4G6YeAHuS2dAXZEgF+ryH0PkOgGJok5yJhqVM7CXfIkv4F1
S64AT5mfzfxxwzw6BSxc4h37thQAazqUQ4Icomd1lgsu4HSvnuOcq7af868A
SgPKVfI3s87VoX3PFAFZ7YrZRExHrc4os0q94Ah2FTl9J7e/5eTFWdrI3+1V
HUXP36zdZjpUU4cR07aPGB+v6uyiQTSou34S1DzJ3+QDlnlV55/U2WGzZzAO
GmfRuzYOfFkL1MR1l7LTTqfOLzm9xKw0nocYI07NafWz5yf230gejKcKdF7R
0nFcdRA9Utfou2zgH+PCJPCOOLmc1x1QDUXLsPlKPNJlXvLSsx72qBKdGRMe
zd/FuukhxRG8isus41w+xmH6Np33YwPqG9GhjPrllfA7a4uIM+PWnFHmvDXP
3MshX9M/GlO/im97ePd1QvtK//3s/YrnEY/uQHYhfl80vyUfUTO/9ir26zuR
ueRtwTyQqmGPiOI/i2g/6VvMs884i/djlaq/+HGhTbUVjW/4VX/ZQ+Z11fbl
Xr4R88MHxoS9X3nH4iHRs5V7vGu7E4wtJartTp7P+RRfPDtl2iYZu41n3md9
J/JexvhujplnZrfqN8mRme7b7uT/Jt6ts4h/O63vbvb6D9sTBic=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlVtM1nUcxp+am3awTEuSyimYwFrp1CUvWISaTbQ4OJusCeIw5aZcYhnQ
q2jEoJVBE9Mmq7yomTp9O9hSEdtyNagLxcPWch0wNZc31HKzqM/Dl4vP9h5/
v+/heZ7/5JXPlz13o6QXYQRc+VCqHyttTpceXiz9c1C6DvVLpAa44x1pDPxZ
I/0F9a1SHbz0iLQBPimVUjC+TUqDzmnSLujdLn0HDR/wH+hbKp2GZEJ6BS4+
KV2Cgg7pUZiwRkqHHOrJhs27pS2740yfvZc79sF/O6RBmDpdyoIxGdLtMJCi
RkitlQ5CRq6UmRu/8W/dg3tp5cyW3XGH73qsmxogkS3lQckzUjFsyJdehtoH
pek3STW3SU9tlZ5mNkvhpzLpZzjZLl3lu2ZmOP2j6MG9JOgpDz7js09hC7N9
FcqmSKXwHgt4Hy5mSb/B+k3sBO6j13shAzKhtlxaVx4z8+zyG6WuW6XR46mF
ulOr6Bd27pfehUV8VgTzYD7cwwzSc2MH3sWFWVI/VHZKK6CD+rdB00PSa/A9
dxzn/KpRiIN7Zy+O3tzj6fY402f39fEe5nB2PnzNLk/A4ETp34mxE+/mPP/5
EVo5+3WoZLYV8E2T9C2c60EnaaG/a2e5+yupGw7DEbhlp3QzrEOLtXCMXrtW
xZk++xD1fg4Dy9g/3FBE3UWxU+/2FDWehPsL0QHMYiczYcFq6Qko+lhaCMli
aSNsYgcbIW2SdPek0Ki16s/83TjmPxbOouVz0M7M2+DNamlrdWjcWvdv/NvU
AfZLf/1Q0ivtp+d9TaExa80espf+4O6rcIzZdcHlydLvcAFN96diJp6NZ+hZ
emfenXt27zty0EBOeM7eewsPtk0LD9gLdyalu+Aw3v0Snq2SVleFx+11z9iz
tiatTWvEWjkyvAvX5NrWPsBuCZADo/FlC7unxjz4pVn6tTl6cC919FQPbzOT
9uqYkWflDHGW2EP2Ut5yvALdzOR4U2SQtWBN/NATGeAssEfsFWvUWrVH7JXH
C8Kb9ujgSvZLjzOTkQHOAs/As3DGOGuy2MlUyMfrc+BoJT1WRqY521yDa9mM
97fkxw68i7l4f94wQ6/JovmloVnX6wwdSe2dOeEde2hBY3jS3nRGOisHl8X3
9m9BdnjcXreH7eWao9IaeOE8mj8fNbgWe8beccYNDGvC2jixB+/tiRl6llX8
dwUkmFVeVnjS3tzETBqTkRm+2zWMKI8a/N6ZMrsxNG1t21P21pm9aBoOlUhf
wLiW2L01UFccGZcY9pS91bCIHTKP5AS8dyp6cC+uaai2zsieS2jr8qzYgXfh
zHJ2rafG2mRkirNlLq8LYSS1joJraOxv6KiQtldETa4t8w1pCmycwd0zQgPW
Qu8uqWdXfObv7FF71RnlrLpeGN60R5f3huftfdcwVMuSyB4/c/zsSSyM3tzj
lTPxzPCzw5qytpyJfcOZ4+z5H4Pgsf8=
            "]], 
           PolygonBox[CompressedData["
1:eJwtk1tMz2EYxz9FE0Ob4zC2KA05ZIaSIYcm7K9ucCHLmYvKHC4wyWGmzUw2
YeKiJiI5awpjY52oTWK4cF7YujNumM9/v//FZ9937/t73ud5v8/zi19bkJMf
DUySGGl+BlFDoUldkQgr5fs06JI296I9a1XzJ0Ccgb+OwG/5I7GroJek74Ps
vpA40/hH8GEw5KrbPdshW8cbEwVVh6FGrsnYeX4vP6pgzwDzqQnHYIyMlmRz
1S6Hs+PgjCwqhsfmyFQbKqFeai7BOWOr1WJr2C9F0mWuh8sgrxW+Wf/N67D5
AWyReHM+d+9tS3BH+K49s2G3FJXAz1i4uCbwIezH/UK43Ae21cGCbJgvoePe
1R8WzoG0JEiV9pewbxh0qAemBjEvyqFFWuVjjr5IfQZUxMG/Mv2cC7e8p+cJ
KF0PJ6U2XEM/PVIbrOOBZG7y/bLE93yx9my10HoK5N2MoH/hPv4tC+6OPQ3l
k+G8pEV6kxrWBMiR7k6YPhz2LoGjFVAigz0fJCkS8vsEe9ke6f/7GUGucM7K
kfBaz5uqvTseZsns1TCkJzxy76k8k3u+rdu3dZTaiw2eyaY82Cg3Im8s0fM3
V2FKbz1YB69cd0qNHl+VHicCf2LUiZG6ktXh1jZC7kb6X7wUbru+I3Mi/b/g
zMxznSHpzsxDYz92OPBZ+iV1JcGMNSbbY9f1svRK0P8qPV/sOkuanNVGKYjM
8BPXu/bDTvmaFMz6Kme9LBdOSWN14E+zWhRyJqQtHa773oFH4bP/zScZFQo8
C3l2yPoPSor1HzH2lvofeK/S/Q==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9944320143244723, 0.8560800358111806, 0.5827392444058639], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVH1o1WUYPa6WYg7JZUKgopUfCJNsyj7uhRSH7EP2UeY1mHNCRP2xu6WN
5sbF0eZwQu0u2CJof6itdGbisISclsZwbkF4vbdFGlQGlrgUFw0h6RzO+8fL
897ffd/nOec853mX7Y7XNGQBaON6hGu4Dih7FPhtCFiUBD6czW/VwLtHuJ4A
Vn8K7BoAnubhP/KBc93AnRzgvSjQvxMYmwPMdAHfdgKD3BfVAs8UAEmeP90I
bP8GiD8GfHcUOMO7f/PMwzVAbMRnliaAN7nvWQhkUsz9CbERYO9aoIR35z4F
PEjzd6hVQpwfnzTOdcuBP/ONTRhbQ/4RcuoI+OsvALntzMPv6W3GJ5yjx4HG
s4xPAj+MAq8PAnOYM78CuEXOKWqyYiNwI+U8yrevELjIWvH9wMBa4/yvH7j0
sjH8RSzTXc6fRY5lxHp3AVAxZM7C1kGMCxPmLp0ellqfKnKNrgK+ngU0HwYm
txmzsF8ZNU7hvZayVkUryeea9dnMuweKgQL25RL7MPwZNWLdDnJ56arzPM/z
99M+L12FTzjHeb6vF3iVXA7lASvbjaGIWLKuA++z1isTwM3F5lI+5N/6vnvE
/VBfkjvtA+0bmDsRtNq7A4iUWkNp+WzwhjRoCvrHnnMv1dOZHuB8nbWSX94Y
ca36CfMU/nLG2qvWQd5Rn9SvFPUYDH5upT8nRt0XeWQd61XNA9Yz5vxifU5R
pzNcA9x/yXg56NCVZ98Lczf73rLfXNT/X8mxiTrfZPxoNVBHnNMx4KtG85Kv
E4et+U/sYX4fMc6nnn32pXh90e28yj+Vod5hps4yfl5tHTSL9YH7HuKdVWaf
RNifTRnzfY2ebYuar+b4LXLbTo7NjD+P288bKry0v01OL4Z5VL7JGntYM/d9
v/fy9WTQIbvGcyKfRDk3lRFz/73L/+mMNMsO74awR4KH5aN40K2l0LOtfjWQ
092YdTt2mb7Ncx558Mpx+0fvyuMHvdfctwaOU5XWVNrK19JF+sgj4+H9KSbO
W1tdVx7sDXNa3Od6qvsP629p9149jBRYt7cT9qvuxvhuLE4amzCqtjC8E/Vb
Jg01u5kTPJdLzRhPh7mTv8Y+sOYvVHiepcm9tL0uz2um/027j+rnxU7P7xjj
riXO+SNzJgN+9UezIZ1PVvudUn7VWbDJHltPjv8DNyxDuQ==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlWtM1XUYx7+WUzRbXqiVXSYGcWrVrFVcz4DU0tLk0kVsRjIcWi1pKyul
BMUXUozAlpXZiuyyXIeiNWhJB3lBq9FlFdSLZuvuoq1aZssM+nx7ePHZ+Z1z
/ud5vr/n+T7PyardVHn3SZLugqmwtEJaAktLpGsgp03Khu5y6XW49GHpEjg7
XzoH/n1DOgGNVdJDcOwL6U/IKpMWwo890g9waFAahE+GpKFMaf7J0jDnK4lV
Pkvq4H1vg3QLsW6Gbyqlb+Hoaqkmg+94prdA6t8vHYRXX5EOwNZV0haYsUua
CRegKQcKiVsEpU9IJTB/A5phO581w7srpTTkr5DyYKRTGoU7L5LugNRO7gw9
DaHNGq/gdy08u2+u9Cy8Rf6cw9QHUpy7obZfaj9degzWfirdNswrTPtKmg6Z
aJy3KzRb+5J2aXH7ZM1h4jxpHGYvlObA8rXSMqgqlm6EqmypEp7fLHXBAM+m
4ecsaSwrNFt7+a1SBfw+Ir0zhdqcIf3B+dhG+rMxauxa99OTg4MRw7EmqPc4
lCSoXSJiOvb/GqGlSNoBNcS+HTask+qhNSk9kgzP2DvjtcSCN9dTQ9ibkp5J
RY1d66uoVR6UUtMSuBoW+3WvVAbPXcgdYUo1pqwOTdbmmI796GtSG7S0Sr/i
j+swb2MyPGFvuCfujT1qrzZ24c+u8OChyTv77i+eK+2HIu5YDIW50Tv3cF1/
aLTW3lKpDz7Ggx8VhCZr++xzmBr1HeH8NjPSVx4z49mxRmv9G83Ha8Nz9p7v
6Lt6pjxb83g2sy1myLN0ytPSLBBMPCXlLpISi8LT9rY9YC/4N/7t+xdLH8AJ
Zu6fsvCcvbf+pdCXMZ0+cd5NDzqhvY571k3WHDK4y4zq8Iy98yA93gKXUY+Z
k/N3ajN5iVkxHDmcy5/5O8/ob6tDo7XOeVKaC7Op2Wmwm1yP18VO8G7wDHuW
3WP32h6wF3auiNnyjPVQ9wG8k4bDeObrztBorZ5xz7p3gvNb45c3RU7ntsft
9fIBadO0mIEkfv7+gPQdvFBD32uixq71vdT8vqqoiWvjGfQsfriPPQXbLpea
YOzlqKVreoTze/RyaGXsFO8Wx3As98y9K0xEbmsoRUsTM79tVewA74K2G/AH
9DKzfZDdIZ3fETPj2elmxlOwndw7YFm9dG199MC9aG4iJpy5QDprQexM787x
PWjYE561d11D1/L6gfCqNRUnIqdze+d59x0fie99v78430/szVCdltbAA8mY
Nc/c1tbYEd4VefggH9INsdu94+/pow/s/qOT/wH+L/AzfrYaHWvgCP76KTdy
OFfhcqkAxkalX0ZjB3oXOoZjuQauhXvi3thT9pY9bW//B85Oh+s=
            "]], 
           PolygonBox[CompressedData["
1:eJwtkltoz2EYxz+NHQyNSTnksCjlWDPZ4b8sN2zGZiYzOczNlosNRa3YoRnZ
nOZiFFM2JLSplSaHMUUOcYFtRcQmy/kCRTl81v938en59vb7vc/3+T5vwuay
vNIIYKZEyr65UOjBpAaYJtOl7Ty0yhU5FQ+12fB7M/yS3kt+OwY2TYbolxAl
RY/g8FiIUG9aBxvlfi0kj4S9adC/D7apc0KwdD1kyslWOCHtK+F4NDSpp1RA
wxA9JMMc9Vz5kAQTPOvcqqedepPW4J9IvcZlwCjZ3Qy75PlqiI2BCnVRJ9SM
lhZ4PwMG5LIzNTlTu3WhcyVLeQp02WNgOVRVQbXstPeaERDSy13P70m+/ldJ
uv7P2eO7c00s0Z+kNsKWOIhfbJ72XSsFneF7y73vUDp8NoNrdVBcBCXSE2TZ
be3Ihavy+ii8kvpgL73qT93wUb50h+cJZcJ8fceYwYuH8KMHfsqZjdAi2Rfh
mzP2T4Jm8zot74Ic7+TDv2PwV/7IrsEeebAg8J9kXVLsnqT0Bhxxr8+eQoo9
U+VHgft19iXV8NjcnkhVIlRKkpnlmlni4B43+Ab87sEFfenjrDyY7Zl01IWz
uG69E7yTLuuBFXBQCm+Zn4TsURblHtTjp8I42RHsZbs1rTHsv2EeLFJnSL05
10mbd3+1/03zeGseWUPdmbpP3S/LgoyyrJU5ziCx+2GYlM4Kex+uDiXYR/qC
N/zGmhbs/7aea3zfe+Q/BeG8nw==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.9968569008210757, 0.8621422520526891, 0.5902563925453345], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtkk9szFEQxz+thsRqE6EkstVuq7pBRJbDLiVt/LnY0miDSlr04OCARNJE
rF92CcvBgSt1WBWbFC1OQrOlB6ciLuVSqT+JiKSJ4Mp3Mu/wMpN57818/0xi
8PSBU9VAVmeBzsEJeKPkXQZGy/C+BiZG4MNNmK+DT4q116GwCB53w/MOr39U
vT0B69XjXoPu83B3CZxTnyPqmVXeEMFOnR7lHYp3HsGxZbCpEfL74aR67h2F
qV74qbw0BOPdPqtVM5OzcCIOdYpf9a5Gfz8rTg8Lr0hcSqnngGOovgpz6rtL
f3NP4W3Gef05DAuv+aycZo5pRm8MfmzxmZZbr5cJn2tcv7epVz0cr8DRiueD
iq8Czh3i8i3gia12vUy35k7oS/gsm7lOuOPKr2T9WN6mWlWfYzOMywM20+N3
Ec7WClM7bIxcw0bFy+HvWNk1Mgw9ayAT/GrR3KZOz612PmhrveeKro95NRz0
v604LhxnpO3aWffVuK8U93QBXlTJr6S0DN4l07A9cp0KKffDfNma9f/WZ4Pi
oUndrZD/is2R92m5DxfCbuTyvmfGvVX30yG3HbQdMpw3BpybcdwWuZfm6WSX
75Np0qT4Jbw3///OCNcq2Cw8lS5/f1FvYuL/UHouVvwVtJ0vei97s/sWPAvc
Zx74zlluNeNv+P9pf/Ip525796TsXpgnqaCJ3dv+GZ49/RCVYN9S8S45Dpv1
WjPjacdv3pou1n9qxO/szZDq/wH6RLXJ
            "]], 
           PolygonBox[CompressedData["
1:eJwtlmtM1nUcxY9aWSYttNoyLaQMvMyK1DREBYO0MQ3UQB0q3i9NWRcrUIZL
sjS8YBdXrzJ1FlNAu+jmBaU2S9eaTqhWviirrbJFWRqm9Dl+nxefPfff/3s5
5/yfvrOXFS7tLGktXAM/75F+gqNHpWbISJMegKRV0k1wiPcOQtOd0hHQXVIH
j8mpUg9YMVFa3FXalSR9PlK60ihdhpWTpEoonS7NgpcypTUw6IxU1lvqzW8G
8DwJ5ide79kp9b9fSoceW6SeW+I3/m1ztfQJtNZKLfAQ3x0O05qo8zbpQCde
U++n2/geXBlPnVDA549DVro0Kj16cm9/FEttkPSW1B2epdbl8HWh9BWc2y79
DqMqpd+o7UuGlsVzzeHc2VLNLmk9dBTHtb/oInWaKo19W8qBd/pLW6Eb790A
9w6X0iB5jHQzvDZXeh36bZLugb3zpA9gxkmpBBYflJZANb2vzowZepZZ9DQS
vjslnYFHR0t5o6Mm1/YPu/w7sVPv9t+N0kXYXSDVQ5eBUmc4zixPwEGEcADW
Z0kboHlb9OOZFjO3YfQ8FD4uk/aVxYw8KzGzTvADs/oeOt7kPfZ1roV5tUSN
rnVovjQEPtuMPmA/19wHSwZIT8IyelwKD/PdTPdWwmNJ9OzerSFryTvyrjYx
s41zQ4PW4mRmNelkaNbaXblVmpAs5XdHU8z7+m+lrtAZukDRCekJmM0158CP
a6SzMJ5rPgaXmGM7zOL8Ukg7E9q0RtN5vpIZrYC9M9kXDHuDHmHcAs6A9RPQ
xoTo0b16Rp6VNW1t20P20q99mRPsRwv7oIndH4HDnHkIPmQnH60NjVqr7x2T
3j8WmrF2Nu/mcXd4wF7wGT6r2yvhRXuyYmJo3tpfzlyeg5cH46nBoTlr7/kq
3odph6XpUM01V6+NHt1rB1q5MjDe82eu2bU/skHK3RA9u/dCZjoJ8tBYbkFo
0trMZjZj4I6FzBF+GcLObgxPNU8ODVvLq9/lfJi/Q5oHC2DhjtCktbmwVFoE
xweho0GhWWvXHrfX7XF7vZFZNDgb0NyI/PCoveqdereXs6X/YAa1zoQXM8Lb
rql+OflCLS2nQpPWZkplaMmaemYcM0vk10nCs47rVIyQymEZMyyrisxwdtTe
x46gZw5ZlhMasVYuLMKjUERGFjdGhjpL7Vl71x6wF+whe8kZ4CxwTa7NM/As
1jGTV7NC09a2NV2U6Mm9WfPWvjVkLXmH3qU9bC8Xc+ZUeJBrZ6RGRjgrXJNr
s6ft7c0z6AVy69hpXezQu3RP7i01O2axqhf1t+JzsvlYbWjMWrOmrK0XmE15
VWS6s90z8CycSc4mZ6Kz0T25N3vAXri1RrqlJnbu3Y9lJjktoRFrxR62l52Z
zs7zp6W/IBct5DWFhqwlZ5CzyB6wF9r4zp9wHT1eWxg1u/ZCMrYAysmeiszw
mL3mzHH2ODOdnc4oZ5U9cNULBaH9i5x54XTU6Fp9z/K9y5ngbPhmCveYKZFZ
zi5r1Fr1Pc33Nmeis7Ge3zRURw/upZ0zL0G/yrjXOKNTeX53Yv7WZAParN8Z
eeXX1qo9aW9a89b++dbYlX+Tkh3X8LXcs3v3NdoTPbgXZ7qz3fdE3xs9s7bE
jD3rkWg6M+Fxe907vrrrEeEN/6c4mvgP4f8S29npNjjbh+ztEx6xV3yGz+qV
It0OT9Hb0/A/AiIRwA==
            "]], 
           PolygonBox[CompressedData["
1:eJwtkUtIlVEURheaRplCpEZSmQ1ScRJXDEsHkg96qIQZeYV8QQ4aZGhUgl4S
inDgIB1mQT6gfFHoLEINhRQUZ2YDRfOCg0AQnbvgd7D49n/+s/f+zt4ZTS1V
T2OAixIni4UwnggJ3dBbB33y/BZUnobIAKw9gL9yNR0azsDHCQhdhlxpi0Cr
vJCS47DpnZoZSEqFh+rcEMxL2SPIsdfmO9iWqCz2wYLklkNXGuyvwttBeCON
095NgXo1esEcuTsKT+wRzrCecam8rwvq/vP/7GOYkY1e2E2CH0XW8ZENsjpm
D3Nnze14DYOn/FbPXYI0eWbcIu3Xg3+dxrt6bHMu+2qMTWKlKwQrDi/ke/Pk
mjQded3JhJfmvZKR3/BVDmpgORaWrJugj2POb1vfQ/UwLGtHXv+ocVUQL2d7
Aq/f7kGycYpk5cN9fRXb70QYTkqmZ1ekwLP/3v9VDVO+f1L6J4JdfVJvON/m
85C4bs0v8F1KPwT7mq6Am8bFMqWfSdkaDXxG1YFs+CxFkaB/iRr+6Y4l3bjc
s1rjO+73tlQXBjPbc2aHZcKCXg==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[0.999281787317679, 0.8682044682941976, 0.5977735406848049], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVGtMz1EYflIkcsuUW1LNKjOsxiT/LPdchz6UP5pLpjERw0gT4q9pkTFj
88FIbhFmPkipuYzlA6M+kBFjYkjEMjzvnvPht3P2/t73Pc/lPSdyec6CdZ0A
7Obnz2/tTqCSq18+8OsZ8HYA0MF1mRf4y4TCJCB3MHCLX1gvJr7SPrAR+MG8
ZuZfmwlcn6na34y11AP3A4EtC4GMSGA8y96FAx+uAq19gaZaoMdx5eQzZzsx
nAoG3jwFklOB6V2I7xSwPwQoc+deadI+OgX4lg4U+QE9CwiHNQU8N4V1zS+A
KO4znij3rKvNnQFEMD6f8dcR4ruRfDcvFAbDElTHj/s3pcCYE8rxRZFPg+L2
/xO5rGb8zhDg3FLx6rxfGplWE5bw3EIgoQf5cP38XFySiM3nciYz50qmaqNZ
+/iwMPpRz2kl7N8TmDIR6FcMxHIfxtX7RLyM3wPmhzI/qFH8ch3HSUeBNVz7
TwLWJ6s2lLVJj+gDz2qm5vscBvP2/ENxCV8BNNZqb7E46ryBPTvI+73z6+dV
cbac28y9exqo6QOk1wDt84A5AUCxR3yMl2mTvUzxEsZvrgfKuwFjqXnkZSAv
iGdlAcPOqs899msolc6Js4FFVezXjz5WiafxfUTe29yceKvln3k0cCgwKkbz
0Jkxj5sf097wWf869r+0UjqYHruKOKv0aG+RzracDtYNOyRsvpH04ALwhfM3
/YIwGbbKcvIqYxPGvS+BoSnC1tagebVz06rlpXlST8yxTs8YroOmcNZ6szfn
a6nzdAU5pjjvJnCdfEI5U7nu8AhnIXH+41m+QUAAZyAkAyilj17W+r9QvCvX
NgrykfhbshmP1mzbXTR8hvMh8dSmqTZmHND3mPLjRgMLguWR/WsOF/dp5B4S
Jd0Qoc/2h1bqrpoXWxLpTal0u5glD8yLBHoyl/oHh7J3jbQzDcdTywTufewf
X653wWbmTKbeIPPU7t8uen2a/fdwravVHNo8mu6mf+As4GAFkMn4kQrNhOHZ
ulP3zbzIqdJ9s5n/c06zYv3zmPM1W9xNs5MVwn89SzgMT3fOuydfuiRz7eY0
j6VuBzyabZvxevJPDeM8P5CmlmO5m9z8f6eGbe6dbOU6vEl3dkSTsBrm5cS+
uEr63+BdSY6VbvOp22o3b6vK9N6ZtvExwmqYbWbtDDvL7mJ1pvaG0Tgb98Nz
qZ3T0N7gdsfd/G9xe2+l/LOedkftrhqegnjgP0XSSbQ=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlX9MlmUYhQ/iZDqziaVrQ0UsHWjTtF9sUZopIkaJWDorDKlwWUlWbJXf
tE0TN6UAmeuP2tLQchZoWVoYfuUixVaZibQ+t9LaWkvDrWVWdp3u749re/ne
93me+zn3fQ5jqp4of7yfpFroD72N0kkYUC5lwXOF0rbB0uvw7Gpp1V3S83D4
FukIfMX7L+GahDQOuifyO3RskA5A8TxpFhTfJs2GuvnSZ1nS95dLiRnxm99p
qZQBB5JSDX/2DZM+4blhl7QJLlZJf8PFEqlzqLTnKvb4Rjr7hvQbNE2SmmHG
t9J53p2GP49Le1dIOwZJG6+Urh8vzXlEKoH53VIFjFwa59UMoc4G6brR0mSY
msf3eekz4cFRUhUcbZJGUPtHOSw6Jc37WhrNWRsypEnsv7hDasyMM+/jOfmQ
dBA+nMYayNjCOjiJtr1wxe3SMLixRbqpJTS0lnkwNhE1uJYLL0l/wRh+y4Wn
ZktPw8yGqN13+HWMtKhdWgg/svdpGMW3I9NrvDbJNwfhso3SENj8tlSJ1nWs
31UtvU/P9sKlCfxAHyekpCe560q4NhVn+uzeBdJ3C+IOvot74F60r5XaoHwx
GsNrD0ivQr/1UiYk0v3v4cx/qbOuMGbLM/bC6uiJe/PPdN5DxcfMxwBpDRqf
OsZM9oT2rsm1LUfjR+EE73qOxRqvrWSPJd2h4f9abpeuhjdz42zXkDkWbRAu
pyZ64F64B+6FZ8Sz8tOL0hmYc79UCm3M8jswlF5mw7xOafDwmMdLzOag0pg/
ZUvLWulDMrT1PP/M8807pPW8G8j5J/DZD43x7N+m8m4irON5ODPWxaytmRKz
VI4+RYnwiL1iT9gb9qi9+jn7HIaMV8Jbvt8zaL1uq7QWKtFxCWzNR2+4g71m
wsOtUatrtnfsSa//ZaB0bhm6oWUrWtfzTSG1HW6K2lzjDXOl/Wiwb1rMuGe9
aG58a498wbfj6NH2nNijLRWZ4exoYiaaYVFHeNN3/ACvZpVGPd7fWvyxO7Sz
htn44NZEaGGPJSvQbHx4r2SEtLNLupf97umITHI2OSPcG/eojF5NTM+za3Jt
9pS95Z66t/uZ3X2wvEB6rCDuXJ/uR+706Ll7vxmvtFRHz72/M+nQttDEtfsO
Na3hGXunFvJ5XrWH/ITOO9EM8ieH1tbcvXNGOCucwc7iWjyxwrkLCUglQw/7
vScZM+nZ7GNGz8M5OAuZ+Lf/hPCcvTeLb4phSlovZ1YF2XUk3U/f0b1zxjnr
nBHOire6Qluv+X1hnNGXPsNnHUKrT2FTGfNYFppZO2eAsyB1LLxrDxeVRA2u
xZ6yt5xBzqL2u6XdMD4VWlmzddRz4XhkuefT3vIZPss9cq9ero7ZcIY1k2VZ
9fihPv5H+X+V91iZzouCVGSis9EZ7Cx+r1J6F87spJ6dac2gm72Pwn9Bk4gG

            "]], 
           PolygonBox[CompressedData["
1:eJwtk2tozmEYh69sDstmTBvaWBtC5PwBY2zemS0Tc5jX4mUoIkaK2iHkMGpN
2+yLomYhSg5D1JhQ2HyhNaGVHD74okSSwvX2fz9c3U/Pc/+f3/387vufVbGn
dHc/YIr0l03dEJFB76EuHf7lwZVtUJ0A567B9EyYIf1Pwjzzw1kwwPVAKbwK
31Lg42hzN8J5eVQCnVJwFpKGQnoImt1vkiWx/JDxRSM8l7qpgVaX64Jaz2Ti
HGiMg5QwxMfqijOWWec6qT0ENVItN6xpl7F+AZTEw8MI3DkFd6WwU0350wOf
RkF7McyeYG4qrO+A0WqNkaN+35YIVXOh0vVeufoMikbAS/fWmlsmmx7qlVRI
azTfvIOtcEC+q/FRjZ/GL77vswweE3h23ZpuFQfnP3qCmqK1hV9BtnsbjTu9
f5eEYr4tNrZOggvybg28ldXmZZq/bym0bIUz0myPIsPhtDG0ELYP0ccGNVaq
IavKoVSqcmBWElw8ph+9vjFDn/tgiCTLuEswVh632b9hMN51XXbg7wf7X31L
zyWt3u/USDV2OUTdUm7SV3v4a4f9cR2Wkfm+KRnyWiBju15L8zTnQOa3BGf5
xuP26ZN11di/dn26HQnqidY1bxkkDITf1luqX4lpkDsx8Dvqe14RHNaPvtdw
7IJ3yUvf1y3zN8BfZ6guJ5iZ6Oxs6Qj8LtfHmyt8m4yIvacyF2ZeNt/5nGO8
twjuyxvv7pU9fls4QP2i4Of5N1nNWO1HjE3LA70T6j1R/6k8cL9DGmKzuX8z
/AdBocXl
            "]]}]}, {
         EdgeForm[], 
         RGBColor[1., 0.8754613562057036, 0.6102400428856943], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVF9MzWEYfqIUkikZzSJK648ZGTX9X9Y5lamjWFJKiK1EslmttKkUosm6
ic1q0nZSHRUbjqyr1KmblmrI3JiLXNlsacPz7v0ufnu/8533e9/ned4/QWfK
bZdWAKjht5LfxW7g8SpgTTpwygnc8wfyaH0TgR53YCALKPbS+ztuQOEIYKF/
Yxcw1QusXw2UFwGuWGAv/TsLgDcNwIF1zHEI2B+q715eBuxjwF3GieLdzlrg
iDewi3bzZ+ZhnKg9wMQDYNEHGKddmgVuBjDHAlC6HRj1A046gGN5QDMxOZgn
roR+zNs9AGQ7Nb6NNteh/nm0724rTlck8IrnRWJriQOqBwHvjUAVrY/h+/qs
aiGaLM0AXjw/4tlrDnCfUzx/iMvRD9znvY1v463AjS3A3DSQVqJcDrZTzy/m
LWPEZgAXtlJXcnErBuqYy5IA1J8HRngOZbzlCOAneYU3k4tL40i8wFrVULTM
NPonM2dch95H0161AP68z3RqLIm51gYcrtX6dYUBbxP1fvQcY5/WXN/tQIbR
8xvrE2SwWYmtn1ifEnPfgv6W+wD+X+hSzf8mAZE9ytGTHPFV/SfbgASr4hS8
wyZXI7WvLNJaSE3sBdoz0juiu+jvR4xjbRpTYg+lqc6p77V+8nZTC/NRo17W
0aNZ+0/uf5NLd4NykR6RN/J2kDEemlwTzPXrFnPRJz2fPlnKK4X8fHNVK9Gs
tU/xtBPXvyTlK7yvGZ2D6BPToWfRXnQUjsK1xvRV0w5gZlp7Y57Wq0nzekYo
DsFTc5RvDZ7UfK2B4LfmaX/LuSxc+1sw5BADkvUsvS8zI30C9lvIM/aCLxBM
W2FwfspRnhJf8lhMHYW39GNTgPa00/SG9GMT5zaG2k4yv2teZ+EDbYpdMYuW
2YN6L/+fMHMn810ZAzzhXJfVsaYm5r4e7T/RNoWa1dapzxXadDMvsgOqOrVe
w6zXj4+6H4Kp83HT89JT4w2KbYq2wtRd9tAGU7v4Dq2Z1E522LDpH5nXiAXl
68k5zjCaSE3c+V1nzALWZLfxEV8PM/syx6Kj6Cn1l/kRXsKv1HARTjK30gMO
9kB1nWKWfekyO82RqLtM9F6e1R0qPklW1ULi1NMOmh31grb1OWvMPeYMBLZF
qyaiTZjBKXgdZr5CmnV+hPsQNfgP/KMzLQ==
            "]], 
           PolygonBox[CompressedData["
1:eJw1lWtolnUYxq937hilsBqVTW06lA5gZcZEHTQly7Ovhq05P2waDtTs09YH
13BJzg4baSMwUURLd/Kw8IMwykmeKzzh1LaFm2gYpOQh06Lfxb0+/OB5n/d5
/u91X/d9X29e2bvJlSmS3oFUmP+9lISqbdL7MORTaTDsmyu1w7+vSvd4cE+W
tOCk1LxUaoIXR0gvQf43UkG2NOthaVS11LZEaoWJJ6RJkN4lrRsqLcvl80zp
8FrpB6ifLTXA683SNNiyWNoKl5LSRfhjh3QDFp2WSqDvF6kfxo+UXoa/G6T7
DaHBWnzP370wRhoLaWhJh/w6dMEuzm6C23ulW3C9QvodRu6W8nZHTa5t+DJp
GDxWJOVA1XypEqqnSB9AHmfmpEsfJ3i2Ojyzd7fPSXfgoUNSFlz+HM3QfJyz
YVg5z8PqOejFz5ZHpAx0ZdbFte81o29aqbQzkzO5N2iddPMjfIDU56gJyodL
ZdCZJx2CW3j3J9zl3L/g5AbpBEzG60Io2BRarXkC11+MlTZCUaM0BVqpuWVp
eGAvfKbP9gx4FpqexjsYNAoN8CSePFEUHtmrC51SV2fU6Fr/2SU9gA30diM8
eIM+QfdZqQcK0VCeGZombwpP7M1r9dQOKXiagPF89wosnhRe2JOZpaHZ2q3B
Wo5dkDZT22Dmq7g7anbtP+HBz7B/VfzWZznMUgez1BHX1pBdTL+Yz6yu8Mze
HdnOjG4PzdaeeJ4lgTXrpdr14YG9uP4j8wPZPTHbtcx4Kuf040UfXIVrUNId
2qyx4mvp1ARp+uPSJ2hYiJY0ZjoV3mK3iuESM3MRMtiBzGR4aC+9M96d0dWx
az7DZ137/7f2Sb/B6on4hl919quEfpRRR1nMjGenl2d7Bnrm3r35HXsNvWek
X2EovahhFsc9yn62Ro2u1TvgXbjJztyoiB3yLlWhoRLW1OBBTfTA9X5FvWkz
2PPWOMtnJsojE5wN9sheXaHGfkh8Se8hf6A+Z0ol77ccjVp9b0SB9DZZUAzL
8W5FR7zjd50Zzo4+arh8JjRZmzPEWeKZ9+zfOxe9qIdvp0tzyL7ZAxnoLGyj
nztyI7OcXd5h7/K4nWQMZAzkmZ9Rr/Qhu1+7LTy0l0m0zTsdGeQsUmNkpzNU
zGvnLOkgPDVVyoWMGeGVPfOseAY8C848Z5976t66Z+7dVO9AaeyYdy3ZHrW4
pgXtkVHOKvfIvWpso+62yGRn8/3zMauu4ZmeyFRnqz21tyuejdnxDB1YGzvr
3bVH9irZEbPrnrg3/o/wf8WqQum9wtg5714Cn1LgP0Qpf6E=
            "]], 
           PolygonBox[CompressedData["
1:eJwtkmtoz2EYhq/NDv8xEzaFJXNI4YvTWDLbLNsshy3UCDkltTksRVtYm8O2
rC3iC2XNadjYTCmshUJsPtByDDl8QtGYc1z1/3+4et7e9/d7n+e+7zdpzeb8
TeHAeImUwBM4FgV3D0GM676SmAnDJfMorA3AwALIqoW5kjkbyiIgaS1sTYUt
MqQGBsRA8WpY1A4J3lecDXkPIV8yciDbvdIyePMI3kr9SjgufSphR3+IsLaP
gCmDobYZ/qyBvxI5wTPp2gspfnfPOrYKPjlXyyoY7XqMlLRBbDzstN6YDzfl
tX1eSXqo/9IOuLwOGp2/7gIcliPycSN8kOWt/mf/wpFQpI5CeeL/u4dCt/VB
aIbKmTBnhV7I7zr4JS15wXvj0mBqozpksnS41+5eIB+i5d5B+8VBp7U1Lbi+
77ppPTRLsp5Pk8pRQT2l6uk9H/R3m/72uP4q4eYUJl3mdioRLr6EqF36JVPG
wYEEWOz8SzrhpzP8S9fHF57Lr8dQMcx9a8wtM5cKsymXPVIfa68U+LEQvkvN
LOdUd1s1LAt5VGB9p573UrfAzOSq/iT73TVrtJk1mlHPfvgsX+RSdfCeK1Ym
Or+c8w2clUgzbPIsYN2eCzMGmfMZuH0S7khCBsTL9CN6rRe5G6DB/yapLVM/
siRbnobySjXzigb1SFFIU6E1TH/CpV9+MJvrZvBM/59LhXOVy77q4Pv6rYac
5VDl+rSaGuSE9HbDN2mbp27fVYk9/gPFpsEN
            "]]}]}, {
         EdgeForm[], 
         RGBColor[1., 0.8832209929948344, 0.6247893618653144], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVGtoz2EYPXa/hI02l4StsfgjkTvDovZvtjHNZWnLECm3chsl0WwjteGD
2hdmChMhKVouqymbZLO5zSjJNyWXwv7NOZ3fh1/v0/t73vOe5zzneTMqdhXv
jAJQyS+a39RtwL8YIHs8kFUL3B0MTOD69TLwIB7oLQb2jgNOMLd1C7BpLLCe
caQCWPMQ+JgGfOoCklOARH7LY5l3BrjEs4k8+5e4qxnfrgIKmP+YlyYeAeY1
OH8u1yVBPHIZMIdxAuMRjMcG3EblAs94PorEY0PmIT4T64Hv1d6P535arvN1
rqgFOEVuq7hOz3Zc3Mla5pnD8aPMeQTsjAP6XgH7gv0YcitnXjr39+dRF2rx
PIHnQtZI+F1vgY6gxgTW+DnbOvR2WQvFJaz1Wxvwgjjr3jEvwLlWBixcASTx
bNwbYNAU8iX/2yeB/pDjScyN4b/q0cCwPmAD+XwZQd07gCFLmDuEPOrMW/z7
w7zjA3tAzPk9wMBVay7td7S4ltJO36d7bxBzfJF1i1C/n0W+9wo5LO0xjvBe
nHWcQ76xveZQQg7RAc4C7v8Jm8PLEiB/q/VRH6Sd7k0m3pMC++LQHeBAvjXJ
os6Tb1rD8kxgzDLnKPdfoMPxkz4vnMo8916c1XP1T/06yL7dz7RX5dmYGqCd
Ol+gzofv2Euz6an2JvovFdhNnK1jgKrRrqE1w36Wrw8G3NQ31azaO84aS5h5
zfaQvLSyxf2QJtJGXpQn720GhhIrfjjwi/mzMr0/gzNU2WgOq+m70uBsRafr
lw6aG82V+LQQ42afeUZR7+4u66B+/mw2/m+ua4MZlAc/M+fYKCA3bO2kofwV
dd76fKFXr5fZh/K16lFdjWXuvfLlwZQ+a5TKdU/IOUnUNbbG+ss7A6+B7enU
ZxrQVmW/nStkj4Maf3dba8WRbtcvHZo5u++D2Ukmn7pCnxWGPCQvRcKeK+Uo
N6nVd/197XdE+fWFnkP5LT3X74V6vbjBd+te6Z1E7WqpYcIbvzvyjGZdvIWZ
TOwHAaa4pJymNpyvXTnAzNPuxYmN9PQmx9rTmyg9f9BvT5vsGfm6OdBWs66Z
1/6jJmsnDS/y/6IGv5U5XFPX2/PyfiR4x+JC7pPwS2+x/iBWD/8DJ98i0g==

            "]], 
           PolygonBox[CompressedData["
1:eJw1lF1M1XUYx7+CIEYv0IsltjxgWy0uukg3TYST0hKEQbxcYArTKFcrLOui
l2WuhWXNZbbogjujMnkL1NpqpNlFhRKbNgQnmHXYpOmWbbUsrT7fPaeLzzic
8///fs/zfb7fp3Dj5rq2DElPwmw4dUKagFf3SO3w3DLpq0zplfnSz3zf/ii/
wR390p1w/ZT0WoF01RyppEp6ZrWU4Nm5edKyTqnxePz/5k1SzZB09kSc5TOr
D0mj7dL3UL5euh8OtkoHoKNPeg9e2M/3WVIO573I5+t2cve1UhO1fl0o/faY
dBF+H5D+gMNdnJkttcGlCmn6tDS5QJrH/y3U0raNXiFjq5QJ9YepIz+er+Fz
Yqm0EM6NSTNw7B0pl952uMdxaQ7vZEMDvTRCPdRBz7dSL2QtQkc4PyJdgNJN
0gr48BPpI6gdCi2sibWqp6c6aIBG+IkzzkLFQ1IlLHxYug0eeEtaDV8mpaFk
zMCz8J2+2zW79lNHmB90D/M99KNlH5QcpQ4o4qxCqCjjfLhSEb1bg6Nod6lG
+hP2v8EcYOty6SWoopZq+HuXNIj+29F/SZG0pVR6GrZsoB+4+IH0K7x7NzOE
kQk0hO9geCJqcC0papyG7DVoBusmpfWQgcbtBaH5KNo/X48H4eVV0jYY7cEv
sJm7ngKln990q5SHF7dvCG/YI3k740yfncMdc9eEhtbSGliLQbQcgN5H0Amu
3sHfa9Aih76KpYLy8J/9nMTPS/ZKi/fGDDyLGXo4BzOD0i9QjYerIOd13oFj
JXHeCOd1N4dnGtKesXc8I8/KM/as9zTH3X7H717A2+fhiQS+TcQMPAt7xF5x
RpwVz9iztkbWyplwNlK7ye3uqNm1O2PO2pWPpX9gMTO6B9QhzeqIHtzLGXr6
EQ7U4oXa9Ixh7fHIkjOVIlu3lIc29rOz3pj2smfu2W/ku+mb43lncWlnPJ8L
K/g832ecjhpcy6yV1LIyMuPsrGV2TZPhEXslfypm7X2Tyex/QKODaX170O7e
sfCOPWFvLEDTAtjVK73dGx61V+0he2mQHTbQHxl0Fm9kpjckYwd5F5V1xu6x
B+wFa2StXKNrbeH+5pKYuWefSu8b97yO3vc1R22u8Xa8lSRvZVDL7nvwUGTc
WX+fHdgFX3Dn561Rg2sp5p27YKCFWiFrPPbt4/Okf09Kn1ZydmX04F4+a41s
OqOXyWrueOwua3LfWOwk7yZnytm6nM6/d+Y3XbFDvUvtOXuvbyq0tp79U5Fp
Z3sVGpR3RIZT/2fgSGTIWSqilkVQ2hmztn75TeGpM+kd5V3Vjaf3JWJnencO
p3eFZ+7Ze0d5V3mGnuXyqqjHGliLZ4tDX+fF2f3rZGjj32fz+3+TS5EH
            "]], 
           PolygonBox[CompressedData["
1:eJwtkUtI1FEUhz/G0ZlRUiO0poWVJZYitCqiSLEWleQrTGyh9KIIc1q0qCAJ
SfFBYCFuWlVUhEg5PRaGiLRLyUUZPYSICmpXZFGY5RfzX3ycw73n3vM7v7Pm
UKK+LQSslnS5XA37IvC4E85vhXbZ0AMFFs2XQol5qaS1Q0g2XYVoLmw2xurh
hm+nrsBIBSTl+03/8uytd1/Nv8nau1AoQ0ehy56nV8FJBbTKgZFU/WghnDoI
Cfk5BJFlkFOgvmHolzHzJt/mHYasJ3AiHzKNH+z9UTLUGlLzU+d4JtNSNw61
UrkbOuLw/jlca4bJKIS7oXkbtMis5+/yYL+15dZWyNldkJ8BM969ljfyoBfu
S7I35c9cjTWV+hSGqmOwYhbiEqvSo/+8gp6V6jXevge3pGEKPi13buOXl/BZ
1unrtL3O+Ga9PhVLVuBtiXndGPSpb2Oxc1obkZj6oxIJ5k43T7a4BylyXw+X
wAtn2zkIOyQe6Cw7Dn/vwIIMBLv/Z/6n3/fZkO0OR4+4E1mYgb1L4dx1/9sD
j+RHsJs54y/n/y2d3l+UhvGUj43GsBon0tz1Fnd9Adoksd3Z7JFzSR9r9VMW
Aa8PjfQ=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[1., 0.8909806297839651, 0.6393386808449346], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk0tIV2EQxX/kI0UNzV4KpZIQIe2SLEX/gZFa5guLAl9BW4U0qE0JaWm0
iLauCsN8IZQULUwqCFMiyvynlpJQkJtSy0Wg1hnmLi4z997zzZw5Z76M802V
jZuAs3oi9JSNQGEUVH+A1EKIT4SCLui+BZc2w2qZ/zPMLv3/mAcHI+FRnc5f
hePx0NgKm5UXKa9QvY1P0JYKa4p/yrzOsOol5zhm+TV8vQtLW+C7YvQJ+CH8
uTnoyHC89d8j/B2RXBT+UJf3sp4R03BD+KR5eNcHKeKTqT7/gr5R+l/a7zzb
9H2g1nPj3tLqdZJy/LE8V7Vb0qA5GfYOQWcDXBC+OR/KZyBmG/Sn+bt9v97g
j+VvB6CyAG7vhMFxCareSylwJAzt96VvEsxOwplRz+3bsRroiRH3dggJtyJ8
gWKoGFqVfxH+YtBruBy+BVrFvYI33fBCdcYU04ecc6Zi3LTXiZWW4w+81zX1
Sgh73qp8YR/MbYdT4jIR1Fkvdr1Mt9yTztXwV4pcd9N/t3Q6HPa5csPut+kW
KS9mX0L9DvmpODbjPk4olta4L3XS/EmJfNbZ9Sl51Ku+W7UjvT6/6RCdpTN9
nufr3MKk86wYdd7Gx2ZKD/ZhcEx1bjo+VOMem79T6rUs3C/hfyuefuzemYe2
W8ZtXHn1iO+h7ez7EsevCL825Tw3FH8e8Lk+a66eWp/Fds38MF+a5E9zsAPm
VVYnPE2A/Z3OybjZTKWjPovNZLyNf5X6/w3uxWq/a2T176lPXpdzs7syHNxB
w64G+D59y37o+2B7cVl+Z2uuRfnyrM51sN0Pdfldtjt9NNgx25GoDnkrnrGK
1YE+VYrPQ17TaifOu9e2y/UBN9PgP6bZ7ao=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlV1MFXQYxp8wneBhYhPtkB/4saCouIiWdEyIbKGkThhb5Rh+Zl1k2tSW
F1ZbIrZc4oW2cYtLJ4nB8iNrFTTmNJYf7RQIbtU0sWlaWy1T1u/pPRe/7cD5
/9//+/E875mx8rXadVmS1sPd8MweaT48/LL0CBycLo2dKA0XSFtmSoWrpOlQ
/YG0ACpapUQed0ZLk+dLB96T9sPtEukOXO6WLsEwXIX8SmkifLpaOgJPpKUb
SSl3ivT8kDSF2PdBy8fSbth/WPoIXvxWWgY1y6SF0LZN2geL+bwIfj4p/QIz
lpAj3NkujcDSL8g1Efkt4XNOrZQNneTQBXX8b9eoOFPP52PkdBRu7yIGbKKG
jZDYQY4widzy4dGdUhm887T0NvzxivQnTJ0T8R6jX1eprb2QHsLoWdIYqFgr
zVsbNbm2Wwukf+BsvXQOPuftE6ujR+7VbGpJMpg3c7nfLBUM8jeUlfJGafTc
tT1L/o8zi6/bpK/aIqZjp56T3iWXJhj1I+erqKEqYjjW8nNSI2yult6ojp67
967Rtb4wwFwGIqZjX+bOpcG447vrqO1V+AxtnIDfe6XrvXHHdxM98bZzGPlB
mkXMmbCwglnCXmrYUxqas/ZSrVGLa0pS22F60QFPnqZv8Pcn0l9wjV5fhwkX
I741lHcxZuBZ+IzPZhHzLkPNWdCFZjqhZTG1Ql9/aNsar++KmXv2noFncYrv
rxTEGZ/9l1pvFUYMx3JOzs0at9ataWt77yHpQ7hwHn2Q21C+9FORdDoTbzx6
n4s+smvINxl/NwyFpqytphXS9hXhQXuxiDeL4SE0eBQtlKGJ442hYWv50Br6
BE0vSduguEN6oCM8Y++sZFarYOmXkYtzqkQfnY0RyzFLiF0MRTtC89b+cDq0
bE0Xou23UtLWVHjO3hs5gC7uQc9jmV8Dd1uk+1vCQ/bSlX3SrzCI54ZqYwf8
vws6pd9gAzWuh/HTmB98Qw09ayKGY7Wfkt6fjNYmSQPdUYNrsQatRffIvcqj
ZxN2Rs/de2vG2rGmre1x1JGA7+n/+f7wgL3gHeZdZk1am/aUvWXNWDsXuuNt
51CLXivSMS/vq6yamKFn5/9VpmMHeRd5R3lX+YzPWp/l6dC8te8d513nnZeb
uf8U36cy+9CatnfmNURv3eOqqaF5a9+es/eSGf97f83FO9nNsSu8MxY1hCft
Tc/As/AO8i661kesvtCItfIglMCWOu7XxU7zbrNH7BXP3LP3b4C9YA2f7A9P
2Vvead5ty/m+EXp2M0vI2UpOsKmcOZTHm37bb/itezP5+zeksjU0bq17Rp7V
mXbpu/bQiLXyOprcADnUOa45cnbuftNve0d7V/uMz97sjd5Yv9PmhMc8L+c/
piZydK7+TfBvw38XWY0Q
            "]], 
           PolygonBox[CompressedData["
1:eJwtkktIVWEUhT/C1HylvUTBvBcDDXtMbBCESJMeUoJRzcQSG2qhRk7MQb6i
Jg5qrNxQ8wUKOUvSCC2lNKyBBkI1McjSmpTX+i7nDj7Whv/869977RO+Xl9Z
twM4KDvl9klokoQWOJMGja1waBQa9lrnw3QtvJStj3AvF/6pc8dgXr52w48M
eF4GbTegXTaewHoW/FQfHYfHkvYBUqX5LFR4lm69dApKEmCoCgq7oEi+jcGa
rE5B9QH4fhS+FMJnWXkPrTmwrD69b89J8KsC+q0HJOshZEp9KdTq23UNtpfs
0TvPzsOYM43HidWXxiF5H1xRMw1jt/weDHw7w/bbCSnSY385+lXb7/xQ4N2g
91vrdzL8Gh5kO4eaXwMhuTgJn/bDBXWXuaa0BHnFckudDjJbNbu7vUEeVyeD
GWOzJvpmc7q7UUPOF5Zb5nZTovF5ttRRdzIiBfFdhdRosWdy2Cwn9DiiLl6G
BYmegxe+NRuxt0rzlM34rhbMZyYSnL+JBG/F3tzu8J4k6tmX7O6tT+f53R7r
AfgTgr+y5j5P+G/cKXdnr/SU//f+k8s=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[1., 0.8987402665730959, 0.6538879998245549], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVFlIVVEUXT1L1LQMS7PSHAKLp4aFkgPlCJmgZNRHfTiTERhOfUioCZEK
ESlZYD9lkmPviSH1o6QhlllhmIYFJSI2OgWF5Ku12efjss/bb5991l5rnROY
eyGzyAKgjJ8TP8ckcN4bcB8Cvr4DXH0Av0NAUB3gycJSKzA7Bkx6AW0BQDRr
mp0BSxqw2An8dAH6stivGrjrDlyMZtNaRg/gdBzQegXYxFTaGeA3+4RtAGqS
gJkQoGMd4FIJ7MkDDroClWGAzQbU8awUO5B6XfMB/H+BexO2A6uMOz4A9TsB
n0Tgs+kz/RYILwRGWJ/SBMyPAMc5yyzjyHughRgqggB7PNC/HnhZADwy6+dc
+3NmN9YvDXOmB8BWzlh0FGivB75wlg7Ghm7gAPvvIp6Z3dozpg34May8fWdM
55xrJLYqVj9ZN6QD/64qJw5GB2f4xL3LjM/I3TGuW9jf01/XxTnAXvLfx/oJ
cuiUppzPNgJxzcTpCfgm87eZveoetRsEcqnjHGPUHT23mud7UK95X+rLWGo0
KmF8nKXaiYa/DLfCseMmcHYzzySHUVOqhWhiSdS8pUlnltmniedjo2ITjPPG
J396yHmrYotgv2Cjr+jpeoO80xDOjAP3+W0BBhl7jRZumcCpXj23l+c+MThD
61QP0SWSuLLJSwX52VirGovWXcy/6aI+3DvWpb6UvRmccXFY9V1mTBhVrlbC
1BMySyf1vJyhnhfv334IZBFzX77iEDyOCdYkqYcrTtDXhtt+ivZ3QrEVE2Mo
68tYX86e8axZYk0cY4lV+3vU6TyCbY251VTl4Sl5uGQ8IxpajO5HuPfWfvX2
cqtqLx6IpRe+Gd1lplcnFYP4d8F4Uu601eDZZ1NPSP85cuadp34WX8udkf5y
To2ZcW5M55GeI8QW80LrfbivIkzXkpvjfQzmjHnjeldF627mO+yaz2E+Ilz5
7CGfHkP65rxmbuWcniW81gaq/+UeuJuaWOIfqNe83JUAm/rEVqB3WNZyj7eZ
N8GL0Z6vZ4mGVTm6V3rYTL14zWreipBC1UY0GuU7kT2umGWm9il9u5L9qMth
4uSPyGvqafG2vGHy7sha7qL4Xvwv76VzsN7xrgDVW3Qvp9b/AQf0L7s=
            "]], 
           PolygonBox[CompressedData["
1:eJwtlGtoD3ocxp9c/o5rdtxvYe6tKdeSzJA358TYouS6cQhFbm90GnIZKzl4
6R1bjMVcEiGZS2MbNncHua6JJrejHOTz+P5fPPW7fa/P8/31zluevayRpGmg
CWi5VVrbWmrL4co06cAcaT+4cVC6CVbkSn/wrns79qVS5iJpLDhQJpWAfllS
X5DATzPwokKa2kn63liaPBPfOVJ6U2lcZ6mhWvp9u5QCtuG3EEzoIY0H//eS
voG3V6Tm2HfoJg0egJ97nIPqwdJ1sJw3y8CZVOlsarzx2/MpoEia8TD29vEO
Xz/uEIvc2yfww7r/Nulkst4N5P1sl/QUvAJ1YFVa3LknrahnTXJvm4HYjrgf
vuxzJOtbNLIWXCX2NfDvbmkf/XrfRRpzl16BPYnYZ7I+ukCa21wqJr/DY6WM
ylj7rIy7mtLotXu+jv48yZYegxoOasGjcmKAbGxzQKf50lBs09tIf2dED93L
45ulE+ADPX+q6P8n1n9is4S3w7Dpg233pL3PfDd8e/jyWcf50RP3ZstCqQBU
PohaXGPFg6jRe9f4mNrfLYbnxcGRucpPj1j2P2UHecymD6ASbVWBDXul9eBa
MWcg6zy6AS3y0WZ+cGyu67l7DbbSk4Lc0JC1NJr4SztG/FGsL/8lXQIDdsIX
yCLHmq6R7/Oe5JDcm7/px0Pj1ro1bC1PLIs7v7HthaLQljVlbeWSyzxwiZ5c
Bqfh7BT4/g9aA4d6RizbO9bX6ui9Z+AL6wQ5nWgTfA9Bz3XVcXePmPWsJx+S
JoFN5LI5K2pwLY7hWA1Jf+Y00QfOmDHc/Zo5z55n0LPYG9tU8OVo+HaMj/BS
MIY+ouWG3/A5F33CRcbsmEHPYl1FzK791VcER+bKb/z2ZFK/rqFDJnzDb0N6
aNLatKat5zw4eVMePXFvzmJ3DhQXSkXgM7n9B0rvRyzXUML67THsjoVP+zbn
5t4z4FnodwSujgTH5noQGhsIbtPrO+Dl7tCCNdH6IrHTolbXXFIYf5b/rplV
0qyq+FP8t/gP8F/gP8l/0ypmaTWoK49aXJNn1We+28ibTbmh6SXJeVlLvj8B
5bg3lw==
            "]], 
           PolygonBox[CompressedData["
1:eJwtkktI1FEUh7/GCmcaLRtNejtmqZi6KKNyQmtVQjMw0abSRi0tgoIyi4ia
SJsSXCjUxlXmkIxJliIIpiAVPnrglErQpl1qT6OC6PX7c2fxcc7l3Hsev3vc
Faf8J21Allgg4i9BZB68ywTvIPjE0q2QJApbwLEEtsuOtsGIGBbJC+HFfiiP
wrrlEJA9txvOi2S9c4mvT/U2Fb7Iut5Cw0pYIVuQD1vyTU4rt6fF3LfepfvA
Lf6GoDZBzV2HQ8/goKiM1Yp0wZ0GKLHCbmiTHxaPjkC/SCmGnkSwN8HEG3gt
UneZ+imq71TOC8od8MDdMmgXT5rhsXD4YWA+dCnHkOYcTIJfeyCqWV+JARV9
rx4SJiHYClfEWFjaiMutRsdh+S/z4MQyzTEFv8Uf0VMP3aLZq3McXCyEzGO6
b4c82aw0yBZR1RgXc2ETy1GsoBFyNdNm2VC55hYHPEajf9KquBR2lhpdLX1t
t6B6serfhG+5UKFeZoZg9iF8EPXSuE5MKEevcmy4AYu0Bw5Ruw1uO+FM0Pyn
9a/OSTN3omyoCq6J7PtQ44KNsiNHjW5p8jPEenF2rYnnyA+ka1fEviLwi85R
2KTZMirhh/r4LiL6w2n1EtoBcbH+bfq3omrNJ+Zi+7RGezItf0acDppea4Jm
X6299XXAp3joOwx75Xs7zF3rzWrF7crxUX67tJ5Sfz8f6P5x+CzqpOtV8fwe
rFJsXPY/UrSxyA==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[1., 0.9064999033622267, 0.6684373188041752], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtk01I1FEUxX99gEomZEYllI5REYlBNWWFFJRRIQ4YRYRZlgQRJOSmRYUG
4mgYpUWBs9NJy0WzSDCoBCH70DI1zDaBLaI001q0iIrO9f5hHu/yn/fOPeee
80InK0vOzQVKteZpRXpgfyokX4axZriZAjWnIeUGnFD9pALurgD9KD4Gbw7p
v2R41QbLGmFdGmTarvPdqlfugkvLHfOaGvx9D6fUcDBPd/O8tm/dx6FoPtQV
wPQZGBJ+RzZc3AHhhfCwFvpHoH4ObLgF0XJIF5+weu0O+OwUn5k+75ORD88D
zKgwC0JQlgS/66Ay2/GtT9cD11gtjTUROKsza+qFne8456vhatDrXS48rfA5
RPvh8QH4ughexvV/o58xXlXVrneBZhgvgwHNp1V7atTrqvXQmdBaDFnikhR1
bqvVvzfgPN0pD5b67IzHhX0QUl0+rL45zt90HB7274Wjwqp3/leEkxvoqpOu
hDyYlBfPmoTf5HWf9k9ZEBOHyAefi3FYpbt7Ev59r/atY9CSKV1FsCWow9qL
xe9Huu52em/jcGTY+1nfz02eFZvVv+s+C5uJ5aur1j3dFoOJPtf5s889M63b
W+B+MJ/SAdgc8/N2L2+tZ+Cbzm8s8fyMKqd/sj0DloWpds/koLLZEHhn/qQF
PG2W8Qb4IsxW7R2BR+bPSJDn3jb32PiH8zxzs32F/SLuvvfHXZudeVThOTPv
zMOjIffCPJnQue86/1Z5OSj9H5dAiXYC33Mirtm0W+5Ms2m/l3BvzIvChL83
0zikOYw3u3abQU0wc8uyYRmmZWow0DLT7u/TatM3FczcZt/T5rpsruNNjmnv
cvy1Zyzjjq/Z93LbexuHTTF/J6axNuLv1rT/Uj0Z4A/ovf4HOQfkVQ==
            "]], 
           PolygonBox[CompressedData["
1:eJwtlF1Ml2UYxq/SJW7qluZHB6S4SPyqZaVNkcyPTatJYfNAJ4nCcmvTLT8O
zA/AOJCtmqZ5wpFKEJqmmeXWxPmBpfw3wWIyUWcTBBVBpVJr6u/a/R78tud9
3vd53vu+7uu+M5asyFv+tKSl0Buq0qXmgVJ+H2lqhrT/LWkf3Dwu3YKyXOkT
3t3hm7l7pJavpYswtUnKga4q6TYsny2tgM6DnIOu8VI3TKqQJkLxFKkE7nBH
Nxz+SPoZjpVLtXCS9SnIzI1YHNO5GmlIizQYBsFzLbHnd/VpUnW+9NM06RD8
XiSdgaZm6c/mODMkOeOzE18hFuizRXoGXn1ZmgAHC6UDhZGzc59+Vnob7hF7
DzSR61IE29ZXusD6zTnS+ueltKFoVEeusPmpeO5kXfuOdBRKdkqlMHyEtGeQ
lMGZ+Y3cv4j7oZ48UjURs2PP3C+9BCnW9UWRk3N7cEC6D9dSUiusGS6thoKR
0hLoZq8LHsJ/kElhX4QNxL5xfNTQtXROzm1XfmhnDV17f+Nv3/9K+gBaf+Nf
sPeC9D20pUft7YEF+OPxdukR9PoG/8Al7m6BeWj3IQzj30NhXQ46wQvk8MsA
aTH6HUXngsbQwprU/EBuxPwvlM6QNsGUamlydXjMXvtjnDSQs6O5Y9gXUr8N
0px+UQPXove7xALX+LYVOirx47NSA97+FX1Wjo18f+wvjdwcHrQX28jxOoxb
Jo2FUZC1LPb8rh06DLG1p6IGroVjdKxt7F2Hx/AI7sI9WJUTsTrm8oLQyFpN
+5gaQBl7n0PDXqkRblWFf/oSYyfrhdnonB0esVc+ozZrYfIZtIGG7MjFOVVS
y7REj8uDpb9GSXm1sfaetfIZn3VNXJsrebyHRjx6Hv6h395jELRzZyV9+Gmx
9GWvOL+yODTz/1z/ktzwhL3xHdTYH1ujN9wjV7fGnt/NxDez0iNH57qRnIsL
wqMPk5q79nfronf8z+666FH3qj1mr7kH3YueKZ4t7ln3rnvWveuece+comfq
iqIGrkUP/J0KT9vb1tBadiS1tcftddewLamxa52VeGE0fTsmwWvPFM+W0mQe
WhPXwjk5N88wzzJ70F7sf0IaAIfKpDf4Fin0/4jQ3Nrbc/Ze147wqj17A+8e
KYxecc9kbYkZ61l7iTsvQ/350MueOcv6+O7wjp9rd8c3/tY94d54rSL+7Rhe
rwhNepKZ4dnhnnXvemZ4dnhme3a7p93b35aHN+yR08znJ5vPkVs=
            "]], 
           PolygonBox[CompressedData["
1:eJwtkc9LE3AYhx/Cmjs4aNHBIGx6qEEIBVPK8AekRAjCJBAjy0V2cxfttKCi
QIwOZZ3aydC0HdwpO4SDcqOoVXqInYqJhhKk/Qc+Yzs83/d7eN/3876fN5JI
xscPAMfkoAytQ6QRQj9h5TLk5OwLOCMbJ+HXURjMwVQ/vLSorQRLS5CVrSJs
ysIJWLNX2f/dTkhJ7AmEg/B4tJpbqenNQvoIXDT+UOffYdiZUyMOv6VlAEYC
NpqC4QtwVR7Mwn35Yt6O+e+tSzTDqOSfwd8QfDDeG4Pn6p1WZ7IJ7kj+OqzK
q2nYboB5Y6wVbpgXfAqHJCCFWp9sN3y9BUVZtu6tDGTgfxj+HIfPtRk+zVX9
qfhUMDcvp+zzzh5RY89t6JZF98y4b8YY+ggN8l39mx6gPOMN9ChqzYR+PdSn
R1J84wzSdQ2UZN5n1xn66+zvPHuVeSR5CcYlVqrepd3YV/N3w93PL0CHnEub
4+6pDm/nv132Xrt/PXy74g3878o+rlh8CQ==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[1., 0.9142595401513575, 0.6829866377837953], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtU1lIlWEQPVQYQaZWkBlWFkWFpi2ipmXa1RaE8OpDtCgZRgQlFPWS2b1C
6LUiV3q5T4oLarg8VA+KZWC5/FkaouXCFUy0rGwjMaszzPfwMfN//3xnZs6Z
CcrIsl9eBOASz2KeD4FANO3jdKA2DrD5AD49QF4SELgUaK0BvPmd5AdcLddv
uXfxfwv9gpXAQfq7y4AEvu2sBOLPAP5LgFMxQF2c3jsqgCmLsf7AJK2nHchl
jO8Qv4sBPkd3JvCxA0j0AiKPAmMlQADfbiPGgQH1h3mX0qaYklNqlZrD6M/l
Ade8gXna/mNAKXHG7EDGJsW/vgEIcWm/DWnAbB3gtQr4QhsxqD1mHQGaYoGq
NUBsN3D7LOC3jLnvEbtcY4SP6ZeAnTGprOt0jPabzL5nqoFscvKJ9u5OIIdv
X7CvLee031Rij5q+pKcW1lnEOnOJPWUwJ2lr3gOPAsgf62psUM7zybOzQvsV
rfa6eXyBPW7FFfwR8tqRqXm38l12CLCPgkd1AduL9F7+t5m8J/rIez/j1gI9
tCeDlB+ZixvmbfJ9oN1oJFyKZpKrtBn4RS3jqekC7btO5cpJzlY8B9axzokS
1VI0XZ6jfEmPd5hkVyhwhfjz7DV9VPW6uJF6kLub5PBrteok9ax3aT9Sfxfr
r2J9g4yxall3pc6DzFq44STPBrwq1njRYcHU6UwAnqYrpsxC/nntS2Zw2syn
gzERprbVw6yDPBymP8N+bQPKW9oIULgf+Mx5e1YAvBnS+F7aaLMXiY3KnXB4
K0T3R+bnCf9HsM5w1hnlVlzB/8GYP8afpf+vTDGllsJmxRE9ZaaFq9fU0GHm
s6+eJ1h90UFmXfpysL+fpvfvtClmN2Vmc9nnId7P8d7WqDMmsyazIDMmmuUw
JpYx45bmEHzZiV7Tr2i4I061HqfWvy3FnLd0/yXX5uPAW7OPonPwBfVlRz2W
4k9YOh+S08799pQopsxRvelFtMq3KW+R5O2v4Uo4+/ZAMSVP7aDuzkNaV7T6
sk8yZ1JzWKjum+goe1BsuBWORVe5b+X9fzXnG2g=
            "]], 
           PolygonBox[CompressedData["
1:eJw1lElI1VEUxj+iHBZS2uCE+SSCJjMSM3rOaKMkPalWJmaZq1y1y+pZ4lSQ
muXCVeaAFoqhtbAMI7XyCWo5kBUtJFJLrWhRkH0fxxY/uPf+//cM3znnRpwu
cJ1fAeA4WSmOAEv+QMhq4EM1UJoOhHkD6TyLnQBW3eY/JPkckEIWI4EDNFDE
y596gZZ3QH4o0BUClDmBgWygn5TGc0+SaK88wOx/pP0nh4FKLyCN+8EGIHon
sJt0nAEeklsdZnsffVRx/b7X9vK5QN/NYUATiY8AEsjjZotVMZfQ1/dWwGst
wFDwjHFM0ucEcefRDslttHxD6X9bMrCHvmOIdyXgQ/a3W7yyl8p14mugMdD8
/2U8g6PAxWD+xxxm+4BracwliNqQXx7g5AhwgqSN8R9yKQEoJBU5wHWyJdm0
UAyKpYn65VE/F33MDADhScBG8pRa9JDxSWCMbJgCAomrx3xLv0yuYw/ZPpV7
dz0wVW32lYOz2XJSbtJYWr9ssLuqQTdrcaXe9rIhW9JIWnW2saZknPbGljWU
ltsd1M1hMSm26QGrv+L/wrXbafnErKG9OqupatuWCLSTaBdjcZlN2e5jjV6Q
xnJqQUbigGHScIpnxJc1LQywGl+4y5ryn29+gL8vY6eePzymvWqwxPVcE+sT
YHpE1QAZWcBRMlxM28WmqbQtZV3LyNBZwEM6qXkX2VVjd2XDJ91iUCz15B75
PGC5KkflunAHmCcz1HWWrK8F1tXamb55WqgdbQWxh1MYx7EsW+tsiN8cZaw5
KcoArpLLkdb76vnNucCfEubtZ3cyeXdvnWkr/+qduFesMwniv8G5NnOavV5q
+pz8XJ5X9XAK892azx7MtxqqltJc2mtmNbuqkWo1x7n7Sh5l2yxpphZbTQNp
oRnULOpN0NvQylm5Txy0Ge6wGdAslC2/J+rHbvbjpgzLRTn9Zm4VTtNTPaS3
5MGEvSXaq7ei/teDM/d61DSSVuoR9Yo7x3pBPXEz3jSQFpo5zZ5mTrP3Zgfw
lkxX2+xr/vT26Uzfgm7wLik4aL2mnptnL/VXsUerrEfUK+oZ9Y7eDL0dylm5
K2fl/g+8PCVE
            "]], 
           PolygonBox[CompressedData["
1:eJwtkk1IlFEUhh+iJBfRj+ZfmLpTMIrShVk56EyLCAMhiECCwAgXBoGrStQK
K2hhf7pwm4EG4cJZ10QKiqazCAU3CiJZmQmBYwt7Pu4sHs7h++55z7nnvRU3
77R07AHKZJ/UTcFZP9w7AfXm5yT9GOblzBDUHIJaYzIG4zLVBl25MPsC/szA
pvyTpiLoTcCnZ7BxAD4av9yACfksKfk9Cjl5sGVceQnHDsKy8XSLvaTb+pg6
39XLjMGOHH/qXM55vcKZzcvlgvl52emDTntljMkPzifdt+C15997wRV1GtRb
NuYPwlE5dRLuet9dD+194w7kVwp+SuM0DBfCWAMUP4ciKZHD3jddDe3l8CoH
qm9DpVTJxW+QkGtp6Pdf3Dzp7salzr3Vur8ncdh/Ge4fsdc7+HoV5uTHW1iX
uUtBd2sARhesL4ERY6JU/dJwNqrZtPaBGrlqTbeFe6b0YUImJZP1Ydv4sAke
SV88eFgzFGaKZitcggLJXwq7mF/UzxFYUHvYfs2tcKU11Ec6azPBl3Vjjx41
mv/Neh+9gcnsm6jq1y/fSFkseBd5uJr1oMu6/68yl/A=
            "]]}]}, {
         EdgeForm[], 
         RGBColor[1., 0.9220191769404882, 0.6975359567634155], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJwtVFtIVGEQ/tKMldBuD6uWpvXQQ2aWdkOzmxqlYBkRBGpaIlTYS0EPXdSU
dbcSMhSRIMlcb5W3UrtBGpSmWa24elztrVJBqKhAMeob5zwc/v/MmZlvvvlm
TljWudRcLwAX+Xjz8fQC561A6U7g41FgbhFgSQZcsUDUQuBaChAXBoTTty4Y
eLAacKwA2puAx0167+B5IwaI8QM2jQGvMoDvFuBnI+BXrLGpacAb2n/Q3uUA
ah16n7e9J44PkJ8AeIVrbBftU7R/XgIU7iNuM9DkC+zNIWYQYFi1Vjtx/5FI
g0fxJPY1Y2dsiiu1N+8Cysml7RSw7QBQsAzIqwZGrJpL8gw0APWMPcw6j7mA
VsaGhgIVa4Bp+rgMIJH87fRtHAE+GWq3ku9ZJ1BF++Ik4Iib2IHAiXFg0Ozh
o3TAv1/x6vewV5lADu1X4viQcwG5z7YA6d1q/838aw2tGW36Pu/fqniCO8zv
WeOKJZgt6YolmLHvgMvE2sGzvQg4zvy2eOpbpPVXHuR35trAQbjE8xdzLF2l
HNyM76SOEXby59PKewjPLXdUXxdzBLOmFMZGR1CH20AgNRrmORSkuSTPKOur
4RmQpFoVrQQmWN8cNY0PAPaTR2yOahpdpn7in0lOGeOq6WZizno0doZniIkr
+LUe9d9On78ezSP5OuqAu8uBpzxtyXrv5P2LoX2+yn6npKnWorllvd4P0Xbh
ns6Cb7LqIf559B/IZhzzvy0FPpj3kgidOanzOmfQHq99HjHUT3z6shVP8lgr
OD9jOucT9PEp15ojN9KWoHb5HnhTdRni8D5M1xmWHZrqUb7CW+ZMepzLucuv
1nmWuX5BnlXka2f9p506w2ec2kep08E6e8wdlP3rNe/eBOmvIQbzvORshO1m
H6mZrQ8oNnnJHP2hdoW8Fybo3Eidg4xtMfdrulv5i79h6K4KR+EqPZXeyj9m
gP2Z9mdO4nhV6o5/o78rXHNKD76aeoluFjM2skz/BeI/w1oWFKt2ouGkoXbJ
J7MsXKRHU4bWXPJE/1/Sz/vs66SpkegpdUv98p+Id+sMJ7p1P2XvAk+Su+kj
e1lg6iX/redmz5/xdJo7KP/OUXMv1nHfo8pUC9FEcsueyHtUhM6z5ZZZ6zLd
EXkX+1Z+/w/vCEV/
            "]], 
           PolygonBox[CompressedData["
1:eJwtVFlIlFEYPbRIPbgFZVrU+Fa5tFgRqKQwFYRgVBBUzlTaQou91FuWWqJj
JqVtD0G2ydie0UZEZg+ZS4mlOJlWBmlWkBaBNVbn8P0PB+7Mf+/9vrN8N3bT
7pW5owBkE2OIR37g3ATgLFGcAZTfAQ6NBdyTgWALsL8W2MqNCTyUx/X7SuAd
MSMdmElcKQUGQoHv44BR8UAc/5tF9HLPR2JjN3ApBBiOBjZxPXiKe4kvl4Cv
hI81qyZYD+rlGGscJfYlsB4RGQAiiOP87wRRmgz8G82epgA1XcD8E8CN8QA/
IYnrYf5XxG+BKJ5rBt48B/ZEWf9t7G9XNdA/xvb85t67acC3MOAA73ixGbid
A5zk90zuT0oE8pcAhdSjJ5w8qccICwWJQfY2RDTwzDNiOu9xpVlN1S6NARaT
Wy7rVYVYTdVuJZeXxNzZwLzZppG0SlpJLsQccgiG2B3hzcZZ3CuIylo7o7N/
2HuQKGB/Bx2/RthfeaJxEaeWCvrTSY1DTC8/9/cFjIs4feL6CPeXJRoHcfFt
AUqIPp7tJ9ZxT3uMcdjJ/j30MGIq8JN+ujvoBXv662gibYZb7H71VKjeMsmN
3GuZEZePPhD3nbzUeYG0JurUZHforsOOv8rLat5/Jd20G4gEmpmXR8ttrR7U
S6WjjTKj7LyKN6/leRe9f+C3bCtfpfTjB7M3RLzmPe1Ef8B6Vc+fuQ4Qa8da
Zt9wPek0MPG0ZVbZnZ9o2VBGftUz69s4B0ScC4gnFjrf77G+j7xC6WFnlHm6
97xlVl7Ik9YiIIeaZlfbzGh2dvCO7S67U3cHi+k1sSqLehAXPawD07Sa6172
8KHeZkSzEp1t85rHmimNwLK3lg1xPEg/NnSbttLY222Z0XfN/C+u53J/cqhp
4HOzn2qbLWVAWbjs+FFIDwouAEs7LAvas6YNeOI1b+VxRwrzzTt7W0xDaVns
trtVY8EZewP0FsgTeVPcZNpJw2m3bYY0S9IwrNk8k3feHnLpsYyIj/waaDCP
5bXelId+m1HNqjSSVtc9pp00vOaxmdXsPubc1xH5F4ybOCp7Lpdx0xtz9Saw
6IzVEocSt72BegvlobxsKzJuNdQgk361O3mUJ2UbgdH8PTjO3ky9nensNy3D
3lS9reIkbsqAsuB38iK/fJyNWJ/NkjjcYv++VLtLdzZQ+9RG8171PPWWGWVn
Pb3IIgrZQwFxlOeOpdobo7dGfOXtiizrXRzKWO+p46dqqNZ/FSl2LA==
            "]], 
           PolygonBox[CompressedData["
1:eJwtkTssg2EUhh9CwlASEg0DajFoS8Ii0fTvYLPorIRgZGB0CQb9GxLaRLoR
kyaSukUbkWCsqttSrY0BQwejqMTb/B2evCfn+n3nOCZm/TOVQJOoFoEBGBHD
AYjVQEUQLg5grwEupcYQ+MTaNKyK8ziEGuFMGvPBix1sdzC3D/Ni0QULov9W
tmIeaafymushF7F6lHoVX+FX9HRDvBb+ZCfKvQ/bIKgcUxyNKi5aTTixgUN6
PQlXwkyrRjMcBrjlTyruMq38Ut1nGD5EegqWNeNLNqewUwXHXvCq3hDPOSi0
wJP0QTwKe1Rv1YKWBuEtA+8io/pCHdxLN9ywKfzam1Ntf9b1H1EUfX7oFdmI
9e+81NkOXSJbnhXtgLBHO9P78ylYGdc8sS3flrgJwbfukRqz9lrab1L32NVd
EtJ/dMJtVg==
            "]]}]}, {
         EdgeForm[], 
         RGBColor[1., 0.95, 0.75], 
         GraphicsGroupBox[{
           PolygonBox[CompressedData["
1:eJxNlm9I3WUUx4//pkF6pw6D62Vpb6JSIWYEtaEX+vMiVyGjKNHlcKNarTdB
QawXWTOlBik2X9RikeIW/dONUb3RG0G22daawd0mtBxNUWwrt1U46nz8HrAX
D7/nPr9zzvM95/s953ert73QvCvXzH70leerocnsxkKztcfNcsrMcn19sMZs
JGU2ynKbf866rZ8/P2RW6s61frbR13xSNod9/0BC/vvdtyWrODuHZMP7b0xn
+RF/ptzskQqzh8IXv7l8sw6P/66fDfpK5ZilfS34/rpj2FNptuzPBWKmFDtd
KT9wlhxXLuT0ur/v9FVWYDbuz3UF2neGH3h+KDJL5iunsxPC81ONYo+m/pdf
1OGeYrPzpWZFOcojL3Lp8DynPM5tac/R/W/2eB/36N4xX6dM94Ip4/sh99mw
1uwJx7M8afb4OrO9RxQL/Bc91rMe4yPTvcN+djpfv6nJ3b68ZHbVg213zPV1
wkhdsK/y9495zAJ/5kG2+6433cP5mhzhJS4xT76h3A56beubdT7TJw7QATbL
5brrZVPe4ARvdaPZIY811qFcqTG1pa55oRXwgpu6YTMedl8POy6P09Mk3sfy
xT0YyQGc1GEqcv93xOyK42g85n6e6HXfdx3TPeRXG3jBjeYqchSHOsDjSGg1
48+lpDSx22Ne8DivjogP6gBO3h1ICOd7rrHBhM7eulf1fLTVrM995ty3f0S1
w7fH3y967N99zbvp0WHx+eKHZjVV4v/2p71X3jR7ye1bvZH6bzC7XKL80Vxn
6ASMFYEff+IcdI3dFZqlB9eG5v/2+1tyxUWXqSeoHXqAG86rGoUdfNTrF+e4
2H3TTarJeGh14BbdD97P28xOeJ/UdXt/FcqeuHekxQvaXxhUrS7vE5dw+qXn
fahIOcLPxFazh93+nU3q58WoD7mP5a/y3xL9P9mr/d46xSuJvjhcrL4lf/SX
KNTsQB/EgPtZ52SLa/VJk18ifDf0a9bU96/OArQKtweCX+6kfmCgLuT71bB6
mnozrz5pE4ZP/bnkd7X7Xc+Y+mMiqR5hlpAv9rz/Nikb4k0FN2AcT67iXB/1
JZ+SqHNvpbQEb/B+InJPRP+t1OQzzYfOHXpH79XGHNgcfbTf47xfqRkAz5mY
iWifWQwGsFyI/cms5skpf5a6bXlKcwtNXoneQWNgBecZt7vk59ms8F4Kft+u
U03h82r4oueFmN2jMdPoPfouEVwT97esfC5m5Ucfci++9EkmfNETd8253TU/
n82q3vQmNc+JOU3MspRmL7lsm1Ze7dP6tjHXdvnzlWJplzpSVzSKtuCcd5xX
d4sL+oN8F4MjztAoPHTfJ/7uPCf9wB8aggdwMufAwtwg/6qYpd9tVzzyok9/
zUhDf9Rq9jEDKRz5zUaOm76Xnna7TVtGe86o21LUnJy5h1rNTEr3Nw1oxmBD
73fvUL5HXVM/bxTm8ehdckDPpaGF+ZhRmZgbcM67+ZjDcEtfNsQc5p65Xs26
WX/+uU99x/wg75V5bsIIr8RB03Bwa1rfVDDk1WiGwv/OKtXxWuRYMaC8yG9L
q3hc7tJi39yq+tG39OlfSfUEPcITboh3OmYS+JlZ5P9au+O5X7304DnhXQ7M
zw3p/w3/fdAHd63MvaTu4650fAf5dm+OmpyPPm2I/Zk+fX/5DtMfe+L/zdZp
afepaeEAT6/j+iLmM3r8D1Uem7k=
            "]], 
           PolygonBox[CompressedData["
1:eJwlU1tIlGEQPWrWRq2lf1jsmmU9RHiJsl5qgxbKoKDChB5i1QQLMuyxh7Ie
um6U0C5Li1jQQ2JCRWpI9ZKBkHRRMsXf1eieRlBWaxdW6gznYWD+f+abOXPO
TEHN4fL6dABltBm0bBfo8QH7coG3j4D6FiAjhzHanO3AiiDwkomts4CRKBA4
AEzw+4wfmE4AB5mfxtyyeUBpDFhbAtSyVsoBFncAk5eBa4xdp+XGgeQw0M1+
FcypZL8brP+J9eayftZTwFPI/gR4xMu654BYO/s5wmhYBwJAJ2N9HuBOJbCI
GLPzgG+MjzA+uA3IyVTPH+ydUQQsYb0d7NFbBdQRb3qOMBv26jHm833LTGD3
EHCc/d47wmhYUwnNGqStWQU0cr69rPeQ9fpqgUvMH3eEMUq/8S6wZwHwm+8/
u3pjb7/wu5/fZ5+QN+a28X3BJvIVE3fGqXFb/Qo4lacZbJZbnPG5RzPb7C9c
1SJ1iC8DmpjzJhtYz3j/aeB7sbT8yR7TxLN1FLjqF6bUM6AkLO7Wsd8Q6y2M
S5tm5pzYQi1Yf4r1M9PIUxNn4/cvfl9hvGxUHBlXDjHWkLvljPf6pPkUQf1J
SEvbob/065YKq81ksx0jpneOOG4wP6rdGiSeQu5Cd5WwmWbp1C6yUdrtZP1E
L2cbU2/T3LQ/v0Gzl84n180y803TKuaGAtqlNs5cEQJ2hbT4tmO2awNFqm2Y
DJtxZtwlaf/apbFpPZlFjSKA62rXvtKGXXFkXBlHE/xeTY4ifvW4QGzjEb2N
zQbC+3UTdhu2A/n00aFexqFx2XVbuXZznfQf12pXbOcucve8vImjXu3ETe5G
eUiz2T+LmUamlWl+knquDIpbLzl+Ta4/sEfSJ40/uprBZjHM4c26ebt9u5FD
LdoJ2w17Y2/vt6pWPu0B/Xut8u2Gu+g3FOu27SbsNv4DK3ftYA==
            "]]}]}}, {{}, 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkTtI1WEcQI+6CGHUoi2KtwYxH5G6paiQCuoQVzfRq6IWabY4+oAk7F5U
UBFFmoSikNIeIuViTamJYiQ+SqKoTFxKDIordYbD+X6v//97BBpvBttjgAGZ
KIe12/BwByKXIOcuhD5CvVRtQKNukDMVsL0FW7Ip4ctw8QP0O3OlFuIzIOYO
1OZDtXG0D4I6wdyjOngs76w90YEwzOhsvWHuVQhiM2EqAnF60XioAG41wLDe
WXTWfOdT6JJuOdqEutdQsGQuy35zIzIqp93fZ2u/zB8b/5OiZQ/7DM5Z+20t
LxuSjVOkz1qgCBaaIFW/afZurK8Mw6BeNf7hek/CLTA3Dc+l13Vasfcy4veC
8EVnGDfdh3T9ybi4El4+gHmJuH6h56Rj0ju35+RbKDR/Sv/xDf7KDefb5YR3
3qZr3HOrvi65o/5L8q96NnujknPBN7RnXcbPQmYqnL/mjK7fhfe+8eEYHNyD
nzpx3L2uQJLuKYGvzn2T7xI74Vn1npT6vr3Wy3TU/sFZ2Df/H90MmhU=
            "]]}, "0.24000000000000002`"], 
         Annotation[#, 0.24000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkUtIVWEURleD4DaQnEg0KK8zs+xBlIXvsqAIJC2clGKWiYMciLMQM0Vv
DzBLc+AoTS/ewEcgDpJ8gN7SLC9pmT3ISWAE6SDoSWvwsf7vO+fsf5+9ky5U
FVzZALSphmPw4wX8Vdc8r8l6+VM2HIVVWaf/NQi1ckWf0AHf78PXh7AuX5+E
ko9QGYQdFbBTvlmCLe9hXr5U+/bA72XYKze2w5HL8GgAgr5bFIPji5Cnij/A
qPVmrR3J9e4uSDthb7JPv3nWGjYeOAWvzsImWfMA4syr5UgYmsxGZUg+kTny
011I9vuyHkiRK/r9BfYpl1R9OQz321MiNHv+0gozl2BazsnhHOn51m4zfaL+
6UXvmIGDZoE71pOPzQay4dsEDMpsn/8bgj9qLRU+m8c7j3v6VtWirpoffg4Z
amuZc87ynlJY2KW/DTH57pkzMGvJhPEbMFUCvTIqQ2aTcj0CYzI1BP3FsF0G
1fV8a2RAj1m3Cm+DrCR33OROVOF5OOfz03KuD/JlrBEOdDrLPP/dc7M8pO91
h6tROOOubqa7E31IhmXkrXu09n9Cfp5s
            "]]}, "0.23760000000000003`"], 
         Annotation[#, 0.23760000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkktIFUAUQE8gtJFWERGYaSQWmvAqVJ6a+Yk+UvTSiKQitWyVuzaRn0TU
IqKvLlwppmjhB6RNZCi9SpP8xEPBChcWWfGKEjIXdRaHM3PvzNw7wySUVYUu
rQHuyb8J+CXL8kNW5Y/U58Nn/UVWBmBRL8j6Voi2wFInTB6CjyGY0SkXIVl2
bIHIHGyYd62kp1njPsQ8gH2V0NsP8a45MQ2FETiph91/rR2e6teeG3D98WEI
SWw1ZByEr2F4MwPjkmb+Wxd8l7cl9q2jUnXAerPQVAT9fVBgrf0S7Ib5u5Bj
vQ865rD30etGvZMOeIeInpW6CzDk3lp9OR7KEmHkDoRl4ry5XBjTSa4J6+23
YbOxZxXWHYc9O2GtsYAeNNa3115HIM/c71R7HrRf/d5Ysblt5VDj/NgtuKKD
Y7DR2NUcuHEO3qU4vwmbpMH59CN708+vw4uz8FC/1E3Z9qmjvfBTnjj+FAen
EnzvZt/3KExlQecZ6JAuc9nm/jbCVnOl5vJOe8cezzR3xPFUA+xqg90y5DhT
p0td0L/xyr8hi/LYN++RQvf9B2CEoRA=
            "]]}, "0.23520000000000002`"], 
         Annotation[#, 0.23520000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkklIlVEUgL8IGmhYmNFKLKksNMOFj7BMxYJI8IXRJhp4aZYbhTSIENNQ
LCGaqE0tpJLMJDUkCtIHlmEODYZWZIEi0vzEoiJU/BYfH/ec/5577vnvqkPF
uUVzgDrZFgN33kGTjHXDZxmXis0QuA5luq0aplZClt+m74e+RsjUe7dY4AzE
BWG+XqNfmWs4AItdlySYOwuVxtfqap1zF4Ly4CBM6Ie6Jg3+mKuvhZvy1FhY
nwrB6yao0qVboVZHnfNInaLLjK3Ig9QeOLkBdp2Hcr3a2O50GO6EiOvv9+GX
zuyFb8bumWvNh+QkmHcRFkq765kL8Eivc9112Ps0w3PdluGddYvuugShODge
C4nmawqcl7EReWG96bfwUi954jwvw9xs+KjThuCDTm2AUfcG38P2Fmi2RsDZ
p0jRDvh52zp7oOcWvNGdOixJ8d7jGfyQrzIpExK9yZrXnIs+VuHMZVG59cOw
QI+6L/kKdNdDr1TegI6dsNR+TnheaAAa7WNfn+9AZxyx56vOwj2BjbBsGJbL
oP2u9w3EH4UEGbDGp1z4Ys3HzqPYXKTQf6/H+uFfq29Jj8vpLPir/0tEfsuk
zMgsScaqpw==
            "]]}, "0.23280000000000003`"], 
         Annotation[#, 0.23280000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkl1ozXEYxz/OxS5mKxIimx1TozE31NY5nXMayiyjI0oLYxg30+atXDB5
2aaEXaDcaQt7sXFKRAlLx+aE2YhtRUZeipAUNj4X3z7P//v8/s//eZ7fP7h5
Z7x6HHBBtedAWi58ScH+1XBoMfzYAb+u6slq87dmwYcWGI7D0+Xw3fjsAlh6
Bgq2wxzP9L+EqcUwfQgWmQuYC/gcrYJLXVD+CCr74L35CrlvGWQ8h0xVZyM9
1jwoR/Jg8Bm8kWV3IP0A7C2C3XUwsRBC52HaEgjLST5/ewDZ8qPMkp+s99V4
3Su42wy/S6BvDTw0Tqoav/t3AMZUohPWJmCVvbfNdH7nTBr3qrB1YiqqAqVQ
JEMq477vvrCGShXA6yZ4p45tg7nWy1cV1unWS3dfiRh0boUc/dmq2zjvNNzY
AqOn4Lac7Jnr8twV6JKRXvd0z1nU52vew3x3YhyPQkePtSqh5CTkylK9GbKp
A6bIhSegfpO7ko1yVwQOy1Q7PFE1xhOyoSEIzcfh50polZfVaD7Ma4SbG2FF
GxwxNxD2fvX2mMuUtXJ8gzPqX9wAj1udy3NpekE5Vg//VGy9ezQXkcVZ8Md/
JHHUPsu855B3Ww5vk/YvW/T/A9I8pMU=
            "]]}, "0.23040000000000002`"], 
         Annotation[#, 0.23040000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkllI1FEUh7/BLCaDCtqDnBSykuqhosVSKwObMk2RxLAh2x/SFot6EV9s
g6jpwR56KowMt5o2KFpIiHBBytbBopUoMGiFQqvv4cd3z/nde8695/+fXF5Z
WBEALqnGECSmQl8XHCiCmmXwbTv80uyTO/RvpMDHc9BbCN/lV1U3C3LqYMY2
SHNPzwsYsxTG98IcvYBewDhzK5y/CKWdUP4IPuhH5L5cSHpqTxnvgdqzsPYO
vEuzj3H2Clhj/MZ1ngxWw94FMEhW1ECCnHcaxuZAlpwgs+U4WWz9/FueV0Pc
VyyLVPMDCM2HT/bdvxK+3IeSONyth9/2e1gMA7LDeKf3GngC18IQa/X8Zeuo
Lt/ZrkpfwmBrlMmgTHoOS6xbYrxQYjziFYxUCa4zVjln+e8ZdM50fxu8Pwlz
G+B2tu/fAlPtM11FnHebXtB5x/RaNkOq+apk866nROH6Jug/ATflKPdclada
oFUu7nDO93yn+hyD1zKumtoheSPkHocUGc6CiTLaDKPl7GNwcIP3lpWZcKUA
dss95rqbnIkcPgl+NjqvfP2j8EM2yP50mHYE0lUsAo8X2W+9/4Zxld4wuUsO
PQxnzEf088p8o3GiClln4JAzdU93LSzX+3vBeak//l8xc9HVUJ3huXXw1m8Z
lvXm/wOLs7CJ
            "]]}, "0.228`"], Annotation[#, 0.228, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkWtoznEYhq+9zSyKkELabKYVipzasoO2lc3G1jZqM5PNscxyKEMOhRxK
3hyW8kVziL072MaXadFWDvOiMKwxhKJ8sGLJrFw+3F3P777/z//5HeIqqgu3
RQDtqn4aRE6H70+gpggOZsLAFvjVoie3mpdafymEwAXokz+uwvk5kFkLkzMg
ZjNMlLmbYNJbmG+GGXqpetduwsowjDArkWXP4bN1qazqgJ4X0KuO1PndXfhg
vUqm50CBzJCf9GqS4fAh2CWrZOAALLoI+9pgr+pcDlOzYFwJpOmnqiSVrHZm
+y9nFTpzbiJE2Vv8f60aHkJsEnx9BQn6u3PhwRX469z+l5B/D4rUHvc32OMs
eXsZtDTb79xiFe6FR6rknee0v0xGy+g3MEqFz7qnPHgmA66b+6FJRVmn6I+3
jrT+89rvuzzvGVhwHTqWeC8bIdFZo737Pv1oGZYtZo0bIN4sJOfFwsJ4GArC
GLP29TBB3pK1Tc6TKY+9+07Pqr61wnvZq0LdvmMlLD0NcTInHabIYKN7iIHh
CqiUXXEw9hS0FcD2NNixDp42QLUcDMFP9Tvf/CS0qojZvpkcmgUzT7jntTBD
Jqj6cs8iQzKcAnUy2/5LMvI4lOvlrfEb65H2DxzzbmX3UWeqLLPhG3BuBdx3
HZR35P7F9q2Gj75rjrys9w/Fg7l9
            "]]}, "0.22560000000000002`"], 
         Annotation[#, 0.22560000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkmtoyGEUh5+F1nyglqRkzFyaTQuTNBu7YDbGLmLNdYjVMCJKluY2am3Z
LOWD2hgzwzaXWq4TrV2UWxa21SaUD1YjDeH58Os55/f+z3vO/33f0NzdGbsC
gCeq6jjUqMwcaJA7Z0CzLE2Dp7Jc/qmFxPVQHAOdesMjYOAkDKpU/U9yqRxW
DBc2GNdBkqowbl8Ah1dC4CkYoWr1wuTNjdb5zW154jQUKSLhriyJhZ/WDLq+
bzM80OtwbWwJFMRB4yoYZdwSCrkhzpfrvPUQsAWSF9o/3f5ySSlM0LvaBl0t
0KO+NMJn2a9i2qF+K5y9DmWq0jh4kbNZ/6sMoifDrInWb4PQG3BNtp+BNhWY
Ae/kPb9v0W+Ws6/AHNWnH+ThDr2F0T3wW4bLmSpCBXb5r72eZbkzGz+Xscvd
WwaZt8pI9wlMhZxuyKuBkcZDb+BWiv/3CJrkD/ODVZBhnqa6X9trGTy7CFMv
wxQVVgjT1Iv5sOY+1LU643TvQi9Kpr+EvcnwfjXsl6H6ISratTsFsM6aHBWc
DYv1q8M92/MwPgker/Bum3wXntNcvQDX849AodqjjqkidcDefa/gkPGmh953
NcQ7Z69elvlR/yHOvMs8317ZztT/wb5ybYfvzfhfvLXGf2WWTNkO8yphTIJ3
vAPGyQTziij4dsm78X4CzsFHmd3gXuprHnyXA7Iw0bky9Tp9t2G+y0nwHwaa
w8M=
            "]]}, "0.2232`"], Annotation[#, 0.2232, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkmtoyGEUh59ZLdFWSEqGTexisSba2MbMbXLbBZtla5vLFtmKkNmyD3OL
zQyJ2ocxRC5jiTS7US5TItaklZZ8ccmSS2IeH3495z3n93//5z3vG1ZYmrEt
AOhUf5uhMhOCz8BOGSCjYmHUafhRAtnW+zM0uu6Vn5ugfjoknoIUNa5Y73yY
ZZy2GTK74U8K5MuhbyFQrTUuaoW8F7BF9ryEUjknDT69hiTZZ676nN+1QaHa
vQ9y5R5ZngBlskLtVWMnwvZKeDfB9S1oXw4Lz0KqaoyCBdYi42FYDkTIzixI
NpekquLsVd4pgxx7WKdCXU9UO5bAm9WQZZ9xERBSBV+z4fIjeGYPa/Q+l5P1
hqtJF6HrvDNqh4dy0HOkGydHwq5GGHgF39Qic7/lT5XqeTddgGI1cxk8qdfT
4/+dWcIl95Q3+mCKilHRar++CBmpQtRs1816E2TPcYg3vjsPOjbCPdlrLsi7
eiwPTrPfOmix1nANYp3ZjHD4dQyup8MI/Sc3wAlrdRLrI61/vwkfVJeP5L7q
GA8fw5xzrefxu8Vz9RZBzVXPVggF1jusBx+1t1UwRo5WT2Og9TDUJkFJARyR
bflw29zgVO9cVphrMff+Cgx3n6b/caj3435Bh7zjlc4p0XeX57/19FtrMB5y
0PV6vQdgqRyQX1Sg+3ZX+0bNVc+xt1w4IB+Yq1nhrOTWaOcsM6yVW/sH3US6
ww==
            "]]}, "0.22080000000000002`"], 
         Annotation[#, 0.22080000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNk2tMyFEYh59sZm4b5ou51opc5pJMVJPImGsXIitqWmErs8mKWlEaFirD
0AcpY1EuM9mkFpv7bEyxuYyZmcvGXGeU58Nvz++87znn/55z3n9gRm5CTgBw
WxVEQvxqaCqDjeOgWVYsgRtyl7m15kplZCrcM9ZjPHwvh6QoWGDsrf61igqE
+uFQmQZxDVAl++6GPmrbUhgsi+VCc2+dV7dG6t+oS/rt0X5nD3S5/2V53dhe
Y9npsE9eM3Z3gvtUwPllECKvys6z1jgC/mRY9znolvNmWUM8zN0PH62rzXxL
O7SrdxfhhxoY5FzjB9ZBdSMclANioNF1vw9AmPka48fVpUwIroTyid5ZFfRM
gKfylWoz1+y66aehw3HEIuvT938JF2WZ4yYZ4rhBttRB0Gz42QlTzd2phnCZ
dQoyVWwH/HrieVRcG3yTX1VeLUSHwjJjXQvgpvsk61NURAnEmOteCQGr4OEM
z6g/4wN/kf3NTxkDiY/g2XIocq9CNSwCJhbBSLWyBa5sgmn6MFUcBg9qYKds
yoMP4fZEEtTqE4PtB+eMdn1vvzdHH6NOjLX+Y9C6GHY4viXz5GY1ZBSUFEO+
teXKApkvU1phq3xvfen60pPw4rH95Bk/eRczZY61dRjbIFM9Q4Zccd9efA69
VJr+r3eaIOdneYZDMCgWhmZblz5SVU2Cz/W+m2/Xfdi+k8kXfIf1zj0CoZP9
GY7ClkToJwvlP/P/AUNsxts=
            "]]}, "0.2184`"], Annotation[#, 0.2184, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkltMyGEYh58uGHOBmTGWSSU5z5qkWkUWiU5jNUtqLLkgQ0NGOU5YK1tR
01DDokxGbUp00ZbTbB20sTYzc9q6YmOI5+K35z187/d/3/f7B+XvydgdALxQ
h6IhbQu0nIJd86FNnt8I3bJX5Zo74Zmn2itzoKcJYmVmDKyVqfLDGYgOgsZA
eGa+Ziv8NLZ7AYw/C4dTYYo8JpNvQ4pqyLVO3pAlsTBi7qAsKYdOY3dluX5B
HjzSble9C73ngrk0CJHtcvAODKlf+fbdDKNyTRwkpsPqCvhqX12zoKPbGdTH
VviuJs3xrPGK7VDVAhflxHgYUwnN1k6T92WdudYdEKwfqE4vhuoqOCeHZZe5
NuuW34IB/cgU67RPygfyoWpRIcPQJDsaISgBfryBt8+t89y3m/BZzTXe1+89
KvEJrFcx8yCszN3LeP2AZGP62dqRMs74aJYPmQ2voiDJWG24Mxpr0x/a5M6M
Dcgj12HmClh01H7kVBksW4sgQvvYMv+JK3BcthQ7m/G97ZAV6rv2QJH2a/lC
fYmAbfXuU17zbEaIPXpHqPeNs5dV2nHqqr0k1MHjDVCm3yNjPHNAe/psKC11
dmNH7XW/dVldjqKKjX8K899rgHB3Uy5HBt2ViloH/X1+z3xeJ+xzt4Uyzx96
7DvIkb/dZbpMKnC2as+qGTvtSVYugZc1UC//ylH1PgM23/NdCmHyJXe+FP5d
tqdMmFDr7uQf8/8BNCnJLg==
            "]]}, "0.21600000000000003`"], 
         Annotation[#, 0.21600000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkmtMyFEchh/TlvnCzDJGU5RcS2yksMpsCpHlMpS7+oBGLhNdmFFzq03U
5jJsNRI1w4pqtqyWCWW1XIa5bz7F2Ix5Prx7zu99z/mf3zn/E7JhR+r2fsBj
tS8WUlbDjSNQqbImQK7cIVtlutkh5zQ7jlkLLdegSUU6To2D4BR4fxRmhUCb
fqsqS4dfej/VtonyGGTLoCLocE2eaxZcd78MGKX3wyy/GPbPhu9me+V+6/vm
NbJWbVkP9bJ1Enw8Ds9k6AkYo+4ugRfVELARoq1zJsPiU55LJS6FBPnV/hqD
oeGhZ1Ef6qBPDQqFv/onN0FJDZTKgBLor6pdGyTrZIVZ7Wb3tB6pjkyBM6VQ
LF/LRrMu+VxFVdn3TZgqDy+E27JQRvd4z44brkJvO/So390QaPatEsLiXd/l
d1RiMySp2AgIL/Tu5VxrkuCdeVuMmf5yvYBVMM/xhfEwX5bLvpVwxzndaTBE
r0vmXoYRM2FSnr2poSrUujYbpjnOi4b28/BENeq1yHq5Isz9HpmplzN8G/fg
leyw/jIdMi54n/LSHlg61l79VpwKtK94edF+KmSVzJcFqmWR/bt3juNho/UL
4LPeQXve5br0Jv/zONit/0keugIR3lGRPJAMnZ2wpheeyhjzdQ9g5xvIlHW3
YImPO1nN3+rZypyjhmfCHHk60rd/Fs7LAef8HwnwNhXSan2LWTBYLzwK/pXb
yzIYWOHdyT/m/wH+OMmk
            "]]}, "0.2136`"], Annotation[#, 0.2136, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkmtMj2EYhy9smS9i5rSxFqUlJdbmz8qh9v+AGrGMWTXUymHlsLU5rGEO
FYbmUIgNW0olNk0RZqYsi9Qkw2wZM+YDlo3ZXH347brf330/z3Pfz/OGry9c
UTAE6FJlKTBiExwZ5DnYvhL+VUJkPIRWwL1k6N8ILXJBPgzXuzATOs7CcZl0
BiboB+RsFcyDJc9gmbrZCHmtsO09ZMtAFDzvhrVv4KXcvRRKrkBUNUxTHZfh
qzWb10DmA3uRe+Zasxc+pkFxMXyS8wLwWC6Qh/Sqo6FSXlSjXFMuQ2RALo+A
c0UQ1gSX5LqLkKU+J0DnE6jVa7gHFfLdHPvSy7kD+So9Etr9XiWbt3pmFbTK
NUG4LXNuQ6OM8Zxwexkj49U44zvWTpSj9xk7w6sM18gfqz3LfoP6VTJFDrPX
jIfOZdxuzYceSPR7vorUS5OLVbIaWOxe5iMWwRfvLCQVfvdCbwf0qZarUHcN
7suE1zDVu99vTbxxzQ2oVzPNd5VDt2rNhbeyNA5OyQMy/CRMXuhs5iobfMd0
GKt3XQ6VsdaEnYDzOTClD/7eci7Vrx48sgcVqj9Spbom47i9yzS5IxZmHXPm
DdBTB03LYdd8iNZ7McN3PgptsrkMctfZg6xXd7OhSO5U35bJJP8H458xMKnU
tYm+vzWdsirLfvUKzf0qgS1y4LDvZu60ubZa+3eP8U+dU343l24uLtN7M/dY
BQbjg86jMte6RhZMt1eZL+tkUP9PDfwHcKrOjg==
            "]]}, "0.21120000000000003`"], 
         Annotation[#, 0.21120000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkmtoiGEUgB8W+ePSXGMu07DNbnJdWAxlbRihYSY2hsKsyNREctkyNiu7
sBUTNtNGNpc2NCLasDbXQlkuEaH8oJTnx9PznfOe933Pd74veN22JVu7Ae2S
Nwd6bYb+5RAdA11lEKL7lML7TXAjHuI2Qk/jk9HwqMR9MtZc4mUYrCecgLmZ
kNAKC6W+HjY0Q9ZbSNNTx8HjDlj52r16dyIcqoIcHXHeM8/AF2s2r4DU27Bd
5+21RroWQO4e+KBjp8FdHacPmDsXBqW6Qvq6p0j30FP1ohAo2wkjGqFSn54H
6yrh4yRouw/V5i41QYl+btwu6dchUwKyYdkYCNW3KrxTmrIgxTOu6vQGqNNh
3hMugRItA+3rmrVDdL99MNRc6B34lwKn7LXirPO0/3jXWmOhu70udT3W+IHx
u06YbjxTQswl6fkyW34nwLNimPwGOnX+C/tMgimu9dAFxt+tafGMiS8h2NmP
lmifJ0htHdSMhKgL8PQ4NK6Hg7pJl+pi2R8Fo4qcq7mhs9yTAUF6gLmaxdBN
R1gzohDKXQt+BX+vwE95L58ifY8W6G0+0fqlx+xdJ+ls12IKfOd06KiFhmS/
f5zzMfckwu98BD7L1rXO2/UMXZsPN9fADr1Lvi6CfTpXfo13znkwTCqsaZvh
zH0uT4Mfh523vmeuUMddhKM68CEsNxegU/QgHeSZ3w5BsnHkau+ugarh/kM+
Nx/wP1gFW3SqztU5khkOF/Vcc3+q4T9EasmI
            "]]}, "0.2088`"], Annotation[#, 0.2088, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkmtMz2EUxz+a5g1ZDHNJGha62cTYZNFslJjcSqOJCnPLhjYtl0llJbIh
ylxHF3LLsjLE2hpynzFsvGAZo/Eim42PF999zvM9539+53+eJyxzY8qGHsBT
VZwAvdZCv2MQPR4+VsJI2ecofFgDTTMgbjUEej4WA+1H4IkarZd4BQbK8Ych
IQdmPYRk1XAZsm7BxvewTE4Kh0fPYaLMeANbnsGOJL3TEHHenrLTXM5t2JQG
+89Ax1jYu9N5kiG/wBkmw0pzF+w3TO7RO2dNlZxnLkjvgPF+tXQUXN8Kc2XI
Dag2PjkTLsrUE/aQDS1Qrw4bv2yDd7Hw9xS8lj9z4Y0M3AzZTRAgF46GcNla
DSn2at4ES+Q1mdkIl+QYvx2k0jwHy2TzN60f5Hx9d8FgvfA78CcVjv+f/az7
9f9NN3dLPpgCMcb3ZYhskxNkq3z7Arpne2fyl4x9B88PQckr55vjbu3bU5Z6
/mb+tnXR1tyV5xqgTtWEQtQFeFwBjVlQKJvlEVmhdkdD6EHr9QbH+5tVMFT2
16uZ72OREdaEHIBKcyNew++r8EN9UJ+inLkVeusnWr+gHOJlksw1F1MG26dB
VybkyYIV7kOvIxI+l3q/euv1Wuu9w+Gw2DhIFoXBtn3wZR7slPmqK8K9lsAQ
VZXh+5V9VeVy+F7sfuW9qVAu4+qgTAa3wyK9ALlEDpBD7dlZBF9V5DK/XQun
Q3yzxi2F3ns6rJPpMl/mqexxUCsT9Lpr4B9J6Mdr
            "]]}, "0.20640000000000003`"], 
         Annotation[#, 0.20640000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkltMz2EYgJ82c0MNc1GkCEUpDReaRstc5DgMxWS1clY5LBsrJVFokVk5
D20pQhqZhcoYpjFrziwXzMYwZjlseC6ePe/3fu/v+3/v9/6HZebOywkAnsiu
qdB7NfQ/DLHx8PYQROi+NdC9ClqSIXEl9HJ9aCw8rIYGcyPMpTRBxlDoWQGR
ujoCZj6A8xch6zo06i1voEgKJCkKch5D+gvYpAtnwINTEF0Hd/XKm7BcctOg
4jR0jobSIu80CzYXwlbJdK/OswfrEte11hzRsydCoLlK4wpJGwHN+TD8CoTK
UeMT0+CcXnTcM/SPSGhqhYPGXXfg1QT4exKe6W/rodx8ieyQXhsg+yoE6Pkj
7Ve3H4M4vdBzw/XSy76HNOZBlHcIlFTX/fRMa0J1s98E6/hR8DMV/sjxWnuQ
FvtMKoZWfT/Bs41v6VB9W4/T7fpll2+eAo/0dz3+NTw+ADufQplMaPMd9B75
5P4N62KtadO1F5yfnJaN4c7CmRVU2aNcyzaf5JyNi+MgbL/15oLNNWT55q4H
yJm58G+fc7MmVNe4F/7cfi7BF+mWd7HeuQP6mE+xfl4lTNHTdZ570RX2J18z
ne1k75Dhm7ruHAPv9zpnc2vNtZ9zlmGwwDhQfzxrz3Oc2W6okt8xzl5/1SHl
vuMy/8s6SGrS7b8MPku+33QkwnZzCZ6RKHuNg+45HwmQEBkog6z9sMvfkpil
3qEBRuvEIfDL/3lWKayRxUtg3STYZpwdDfU62VxPPfwHbwbRfQ==
            "]]}, "0.20400000000000001`"], 
         Annotation[#, 0.20400000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVknloz3EYgB9JyhFSjGU2M7bZz2aTo8kcqWktuTcaNlsYJpOVxRixtc0x
1IYoW8mMzMqQyRyplTA0NrElRylncpXy+OPpeb/v5/1c7+cblrVpQV4PoE32
zYZeuTDwOMTEQfcxCNN9q6FrHTTNgsS10NPv6lh4UAV15sLNJV+CVaHwYw1E
6DsNcEW23ZBXsFO2S9JY2PgYMjphi96RAt/aXS9ZP4FHNZBzE/LSoaIWyqU1
CsqK4L4u1JmOnXHdegkybtbDdeoU6KdTdJV1aaOhsQBGNUGwnDA+Ncd5eskp
19Dfx0BDMxw1fnIPXkyEv6fhmf66GUrN75YBCdAn33NdhQUR3tG45SQE9GLX
DNGrLruPfhsOX3bBO73U3ADPkmJNsG50zlAdGwk/0+CPvJoL11Ph8lN7PtIe
FUO0BCRYJskEaZkKz63plIcy+SXES9sR2PsMSiShBQ7oeH3rsD117Uhr4iRG
zl6EfPfIGOV7OL5HruVAzQzfUg9xvFYPqvSc/3PZ9tY4brxvcwiidLC+kGSP
HQvp8B6N8Em65E0A7t62V+aT58N865Yd9B8wH6k36cB++JwFBdMh1LgwEzoq
PI/ONLdeN5/3vrLIuF8IfKj3LvN8pzKolN/jfG+9UGpWQrvjva07aPx6hG8f
Bh9LYatzbk2D4hX+u9Z0O1Zu3L/VdxEkSAbLMGvfl7iXRGe4/znPrBOd88t/
evVeyJX05bAhEYqMs6PtqZ5p7kcd/AOWLMuC
            "]]}, "0.20160000000000003`"], 
         Annotation[#, 0.20160000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkmtMT3EYgJ82s8WGDy7Tli6atJLMZcXmOiuNSZiaS0lGUVbDam3INJeF
sIksW1mubeS2/4plfWKNzKWYyYwvZiIpLBuPD8+e97zve95zzu89ETk70guD
gMfSfwUGZf5a+KxT9LY5kKHzKiBHfobD7FD4YX3meqgzd06CYmHoIwiWvw8h
8AZuSVKEPfbv3eB912Cf7jsE32XncvijS/UCa+/tO5blnAnw0us64/QjsFR+
Ob9Kn5Je+z9Z75GVG6G1EVok3zh7LpTpV5XO1WFHYZe5nhyIMy6cAtHHoURn
6tGbIG0e3G6DD+bab8IX3eV1o/lDuRBSBZPjoUNP1eNPwGXzY+fDKOP6zTDm
ujldZy6ga/T+k7AuEorC4JL12LfeL9HSuwQeWJ/9ABInw4EueHoKplmbJU9e
wGvpktYkSCj3vCVE4iRG5so7Z9+2p3kZvHXm7wwYkHhnjt0DTbWQuti92LtC
D+zzne7AV/1xovOKIcvrUL3Kepxu9Z4oXRCA7RJsPGI6lO+Gg/KtCDpnuLs6
917vTsxdvAeVum8SNOjV56HWeR3GDTqgI+76PnpNFJz23VITYXim+9Xjdct9
GKfTouGqcbZxqX3tMXBYP9QnL0Cy31lgLbfV+T6/9zlUp+hO/xFd/MyzcUZZ
N+yRkv847+4NaJMo/+H+LX63Tm6CyK3ubqG70M3Vnr8e1HfMdefBsDMQnuBZ
n3WHemQNDMmHikXwD+piyOc=
            "]]}, "0.19920000000000002`"], 
         Annotation[#, 0.19920000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkl1MiGEUgB8zkwu5YKYNSVRqzFamZinM31VJI2vVFJP8FRtdWc1SQ0sZ
qo1VoiUjNZKpMBvauEhyQc3PbGYi+dtk5nHx7Hm/857vfN97zhuSvS9l7zig
VybWQoCMz4NAHbkYhmogWE+qhsGd8Ocs/JYludCp43TTSgjRCddhjXzfAaFz
4F4r3JBDXTIEB/QRHR8OBX1QsQ5GBuDMfz+Dpw2Q0wO7t1hnPVRegIcLoOyw
/6cLdZZ7zdZJssZ017dd35LRfEiNhb5UOG3epnnQehDm3IQO3bja+jrjvHnS
6Ho0DI7ri3egSuP3x+rheQx8KYCjxopkcrR92Q+7bkGUfv8A5hvrPQcbrTvT
WOYNCNLvQuFzEaT7/EMnux9QDDfNnaCjI+zLKc8lbzxjwzV4pdv77XWwvTEn
QqIkSGKkM84zpUG3vqqfmNusl1qro8oZ3IUePWKdyEHnZc1Lkm+99LlQ7F5N
ornboU436Wnu1+vASpgiTdtghl60yD6dhHAdpEuNtyTAwH34tNAzt8Fb3e5z
kvGpOZBW4XyNhek9OqochrO9E3q2FG6FFyf8l+V+J9kZ6jRj3VcgRQ+3wAcZ
SfJ+xEP1MfgVBRt0ns91Wc7V/X4pd71KJ0qh+WNl3iv9Vef5zutSKMmErsu+
NwtiQ6DtpWeXv4+cxWPnIJhbW2KOxGTAt2b7aP5P722usZxlsDndmnqt/uh+
gl5hzj8ORcX3
            "]]}, "0.19680000000000003`"], 
         Annotation[#, 0.19680000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkltMCFAYx3+s8YAX1tZm6CbKeFAjk2pZphcld5EJS9lIm8wLaZIllMta
NkK0RKMo2cpao7TpQaUX5DKbueY+Zo3fw3+/c77b+c75TkjWrvSdo4AHKnEK
xGfAu6uwROYshNUyS2YXw89g+KZvWEVvhGptVepfFAT0wFg18hBankKjmh8C
bfVwVx3KhGVx8KLEurNg6AjskCOyW/veVEi4BkmqbBP0y8eq2nXOIkgrhV/G
V8oi98PGv9X/US3fDO3XYY3MjIfaNFgvB8usq23KMeOy4GgD/JZRJ2C6Kpht
jpy4xd4SoKkTXmnraYIP8on7eu2Ht0JQOUTMgV7Zp2q1dcpqOaECLmyDSTdg
nCp0XZ0Io9Ndn7SXUJiqfbLqHoDI5/afAvf0xXb4XnLeTKhbC4/0N8j2BXBa
Bh20t1uQovZZp24a3DHmorVeWqPrFHSoueYHGNt8zjnI1GT4UejZzfBJvg6D
sHwIjvZ+xoTLN/d9C225rebI8doOFECx+rwbBmKseQkCl0KFtsttUCq/RkCN
XHEeNqhe1zWel+v6izkt7leF2/9+Z7jSuFhz8uy73b+gAtd5pxnOSra4z5Fl
xpaorkgor4EMbcne74r+4X7noc7Yx/AgHJd5fRBnjaIhyDemQBbI2zd9DxXq
X/2ebY1G/7QK3u7Mknxv2VoJMfKPfJbj39D/Xu5Z7MxyvXcV/HU/5iz8B2vO
yEQ=
            "]]}, "0.19440000000000002`"], 
         Annotation[#, 0.19440000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkltMCFAYx3+NPNALs7WZ1s0ttyHXKTW31YOyNEOLiSg2qSk2WzSLhBWZ
5lZWmjFKEm3KbWo1HlCe2splM5fJfWJmfg///b7zP+f7zjnfOeEZOSk7AoAn
Ki4EYtPg3WV4pcKMsxZCaRJsKYYfYfBVf0DNSofdzlXp/5sMQV2wPAb+dkK8
bO6FueFw5wq0qAPrYYV+3yFrToH+Emh1XKrfa1wiB2WH3sEN0CWHHob3rk0o
NScWXidDpqx3Plnvp3OnZIPjIv2EjebKGr27U93jKKQvgrqV8ML4qSpwzdhj
8DHDva/BLxkTB1FlkD8NVsuRmzyrXuNDeKnXeQM+yB7Hl/WLN0NwOYyfbt/k
M1Wn90BWyaDjUJ0JoxpguNpnXBUPASnGJ2BtBIToj1EdPdZXbfrz7ts3OWcS
XFoDj/WvytYFUCGDizxXk/dUe6xxKRRuueaCdfoTob0C7qmZ5g9x7c3zMEwm
LbO+cb11vu/3bSMhIg9Co91bP1K+eWQP9LJbzJEj9AoLIFDOOAufciHPfd/K
vfrds92jBkYnQLnj2lb4MsG7VcNv2aWXVmV/ZI37Zxt/NqfZceo471Poe6RC
ynzzdtq7Nlg10XprvaNMl816WTLRNUdc3x4FZbWwTm+p973o/EA3nJOVnuWk
Z9n+HHLUQmsU9UGuc/kyXzZdtz8q3H/8bas1Gv3vKjTL91ts/+XtSoiWg7I3
23/i/Hu5a4nvt817n4Y/jgPPwH/LicpV
            "]]}, "0.192`"], Annotation[#, 0.192, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkllIFkAURk/LUwYVQbT/aVCR7RlUmlYSJkiLFGhZ0WpFlLYIBYlBYoZi
KRTlRiZiimUlPbiEhJppJKhPFq1EGtkK7UHn4ePMfHPvzL0zE7zrSPzhIcBj
FTkFIrbCuxvwUgUcJ4dD9jrYmwnfpsFn/UG1cBukuVas/282BD2CNRHwpx2i
ZN1TWBIM9VUwfj3E6QXMiZW9WXB6O4RVQ7ps0MuWfecgS/6QrXqZO6BdDsuG
/lCIOW89K+CV++2R0c5rjMmRGc5jdpojrzlvmgPPcyApEso3eKbjLnXCmEm5
8H6XZ9bAdxkeBaN3w8Q8+5CVHdarV/sAXsyFh3dgQPY4r9Rf3gln91jrTciV
w1Z6hmy+4H3IoItQsheOBGDMLXt0XGwM8Y7zISEEJutPUK29cMu1qnJodG1B
s/cyCyoSoMO1atmwDPLluDPWLOPuwkZVan6RqjcusApaCiDU/JHG1ZnTWOz9
yK8Zvud0CD4KUxfbj36IfN0Cb8K8p3uO5e9Nvq9qPAkjXJ9XCPPVh1RI9by3
8lQadBs7tAzGroU852WN8GmGfZXCT9mut6UEOuV+uU99NKfLvdv0OmVFuj0s
NS/Fe2vyama6X6K9ySRZp5cs1xqTKP+2wWY50OO7x8J11wcdF8pL1lJgLRnd
cFAdUin6x58recDPPeqZtcj7tfavviS7z23/qyxfDU98myJ57zIs2u8flH0H
/CfG9Mtj0b7fQXu/Ar+cD78K/wEdEc8R
            "]]}, "0.18960000000000002`"], 
         Annotation[#, 0.18960000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkmtMD1AYhx/xRW2Yze1Df5qNLQzLh5Jc0tJmo5pN5tKUSl9SbbI2xNyi
5joz3VDMEoWmjWqMRLlslc2Y+0wh183dxvPht+c97+Wc97znhKWtS84ZANxV
MaEQvRwi5ZtaCGhnRsOGHVC8CA7JEtlvbNpKWG+sQt/fcAjugLhZ8Ps2zJaj
FrvnLhgpH8uF+gLWJMge1xtXQUSd+6g87Sv6c819VAwP1U593+VvtT0Vgnbb
oOqdBPF77CsGXpifLmNdnzWnRBa5jl9tjTzuumUyPC2FV6om0bPltTBIDUB3
GjTJ4nPwTXvmHBiaDmP2eR95uhNqVcN1eDYF2i9Cn+x2HXXHOalta+y1Hkpl
0FzPkFf3OxcZfAAqMyBnLAxrgE3aFeYcOAj/kqBeDkqG0cbaHrg2VnsSmvVP
vQbT1akU6DB2Rl6JslaO2GrPcmEjJKoq68vVZfMC8+DGIQi3NsS8RmuaK52P
/LIFno+HcfkQGuF99IfJl23wVj1t0p4Bv5bAJ9VcCIONzyh3LnHwPs838rzX
srDAvbu8kxyeAHvliRaoU0uPwY8JcEvfsirolFkyQ31w//vufVNfpzy12TtE
wsdc59bq3vKrfa3QnzTRM/RlLoMF5qTIP+2wRPb1wDtVbbxflsnD1XDQXoq6
IVsV6SvwY4c8gSEqS7v1vPdWn7P8Nxf8X7ImFu75DuXy0hHnvta/Jx9lOxdz
emX+fN9Mdh2Fn3JgGfwHxGrUWA==
            "]], 
           
           LineBox[{15530, 24093, 24090, 34965, 8534, 43794, 43793, 43795, 
            24331, 43913, 43912, 24341, 35189, 11192, 34988, 15531, 24346, 
            43801, 20322, 15530}]}, "0.1872`"], 
         Annotation[#, 0.1872, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkmtMj2EYh6/qC22YjeFDqDatMacMOSensSkxhzWZQ+RLB6NlmkPWopjE
ZrREaw61Un/nsyWGsilstUWsiZnDbBg+xOXDb9d9/577fp7nvZ83fF1GUnoQ
8EidHQ7BkcbH4Znq2QxZ8dAtP9RDm/xxDMamwSV5YjY0J0GF/L0J4qz5Kh/U
wS21sRn6dECo2ma88zaktUp1eAEcrYDTeoui4P1zWLoK/jyEFXLeZEiVNa4H
VPJO+FYGXZlwx/yzPKdXqR4vg8ZseCo/TYANJ+G77GyBl/o3bsHPEbC8HKqM
T6mD+v29Q64MWJcju7Ig4yJ8lH3nQEwp9Iqxfzt8ce9f6o37dlxxHo3QLl+n
Q7Q1E7fALteD98BuWR1rn/cNyFC96HvQcATC4uDaC2d3AcpUguctVAUrYYB1
xTJSRqjcaLheCfV6o+2/UeI3m9fMgvvuMcj+EOdfo9+zxF5Z6lpuKvRzLUeO
GQbjIuBqsXNTFRsgyJoimV8LeXJSk+/YAC3qQcAzZa068wR6r4fBh5yHjJ3p
XNd51xq4PNR64xR5NxxaD7h3IryVHermKO9SCOVq7lrffDoUGlevgRkyTnUm
+Pb/11X3SPi7z7vth73W/DbOkyHunyk7w/wvPKdNP8O+69P0U2B8NbxybYdx
awHM1w9b7Uxlu/lAa5tkvHmofl2Vs1BRxkX5/t9TYUoybJUl5gWLIVummofp
vzsPQ2Si3j9BJM0z
            "]], 
           
           LineBox[{15523, 24063, 15522, 43886, 15524, 51546, 11186, 35181, 
            24332, 43911, 24340, 35188, 11191, 34987, 11194, 35215, 24345, 
            43916, 24342, 7630, 43802, 20321, 34985, 34984, 11085, 24092, 
            15521, 20316, 20314, 34967, 15523}]}, "0.18480000000000002`"], 
         Annotation[#, 0.18480000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkklIVlEUgD/bVFARETRgmgVWNI8oFZkZVIssqWigotSsze/QICoKQlmZ
YMMibLBsMDRNTZAmI1Iq1EwzSHAoRItoICioFkZfi4/vnHPPve++817Y3uS4
QBDwXEonQ9BU4yJ4JYMHIGUVDOiPNfBW/zwPc/dDha6V5jgoiYbfSRBlzzfd
WA0PJbEFRnTDcDlknF0PSa8hQ7Ll3DW4am3dNPjQAXHb4M8z2KJXR0CCrnC9
RrbnwPfL0JcC9eZf9C1r1+XFJmg4Ai368yKIL4Yfurcd3livewT3ZfMVKNO7
9MQ1xq0wWtfYl25fXyoEauGTHhkDCy7C0IXuzYCvnv1L3nluV53zaIRO3ROA
6fYsToMc14NyPS/SO1kPfQLh0r8WXjbDhJUwxjxYd5gXVUHhVsjcB6kzIMy9
WfreDai2Ptve+2d9T/NSKYuCS4nORFdYH9wIBbpQsqyP8rx0PScU5k3xvU87
KylJ8OO6J18fvQO5eonPb34KbdJ412fqSrnZBMPiYVyhM9ARK5zlXvdUQp60
Ge8Mgcdh0F7g2Rvgve6SB7PgQj4US8we76VPSvluWK6jpDfW7/1/XQZmwt8T
zkeHmJ+yr+E2DPH8ZOPeSd7TPM09/fYFdLfukeRdMN+1bnsyjVuPex8J3um6
7pSx9jfp6GX+g9aryp2JhBvnH/PfXgqRO+CgPmOetx4O6wTzYOv9ZTBex1r7
B0Zs0PY=
            "]], 
           
           LineBox[{34968, 24062, 51541, 51540, 51542, 43885, 51545, 51544, 
            11185, 35180, 15630, 20390, 15629, 24353, 35187, 35184, 11190, 
            34986, 11193, 35214, 24344, 43915, 43917, 24358, 35002, 15535, 
            35001, 24122, 34969, 15527, 20320, 34976, 20317, 34983, 11084, 
            24091, 15520, 20315, 20313, 34966, 34968}]}, "0.1824`"], 
         Annotation[#, 0.1824, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkltMyGEYh59ucJEZNoe1EtaayRpqMm1KLnQTWhcaaSq1LnRCo8WYRWFp
zdBaspYNHdWiLIfFMkmpLtpSNgszbG1tzKzhcfH7P+/3+97Dt+/7r87IT84L
AF6r26F+1sJQDeQkwFwu5MuP8vN9uOV+p3Gu7FkDHddhIFl/B/Qbn4uEyGvw
JwcetUPWIAS6t2QSjhqXPobsUTihSlV1A9TrJYbDpzHYmwq/+iEuBq7q75Tp
p6HdOFXO1MEP9a0A5t20fhM06L9Mgb5imI2CCffOd8P4CEypMf2uXuhWKfVw
R6bJlbuMh2CRbDev2LwPhXCkE77IwJ2wsdY5m609Cd+d8VO9/z/jgffxwhly
Mg/CzYkqglPuc9Z+Wz2TfsgzCFPTiTDoBa+Ih8Wug+So6xttULkPTmZDwToI
tbZEPmyENv0Ic7ur4av1bXp34qD2MDTJJv25vXBJVqoS/YX2K5YbVvkOvk9v
lfe53ffJgr+yQp5rhTMy2vkDfTCsnnc4UzarxgGYnwnLrngHcot1sxnWtECZ
GjY+EGJtM7Tugd+X7S8nZE8E1FyEOpVwyHPJcnU3HWLldjW12/eWkzJTzqyH
5TJYXTSvrwkC7J9nHGMcrQrNfRLrP1Luf2n+iMyWTy+Yr44fhJZ71sh3wd6n
fKP/VgWlOUuOq6X2eSXj7bVAv9WaLhVmXFHmv77NmfuhSFa5LksylsdUkP70
Xc8qk1z/A1z30Tc=
            "]], 
           
           LineBox[{35006, 15536, 20327, 43808, 24364, 15537, 35009, 11199, 
            35224, 24359, 43914, 24343, 15642, 35218, 20397, 35226, 11196, 
            35186, 24352, 15628, 20389, 35183, 35179, 11184, 51543, 11183, 
            51618, 43890, 55508, 43884, 51539, 24059, 34947, 24061, 34949, 
            34948, 11071, 34493, 11074, 24054, 43791, 24076, 11078, 34555, 
            11083, 34970, 34975, 20319, 15526, 24124, 34979, 11095, 35006}]}, 
          "0.18000000000000002`"], 
         Annotation[#, 0.18000000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVk2tMyFEYhx8f8CEzl7msIVlzmcbQXMaG8iEfEPmQ5TJR2Ihyq2Vuk9KY
XHOrRk2ki2IpZLE0ySVMm5WNMMPWZm7DyOPDb897fud9z3nPOf9/cNz6BYld
gGZVOBQ6h8HDk7A2GhIj4PoaeFcBlXK189XOV+RA4wLID4e7xrvHwpjj8GcV
1FyGFQ8gwLnebZBsnFYL8U9hq0pTh85Bnl7kCHj7DKIWwZcG+KGO6EdMhqXb
odw4Rnbkwlf1cQN0zbN+PJzVb1gIt7fA5zB44Vx6NbQ8gTb1VP/qTbimovOh
SC6WAyONH0FPWW7eZvNeJXneK/BeBszyIpJh5Gn45bi5xjuRYybCN/c7eheO
hVhT7xnkmypoTYThE2CCddvM6dzp2lPsT39wHYSo9tnQ1AQDZkIvx4HyieOc
cjgQAykJsH4UBO2CVFlVCJ+syZ0DH+T5w1CmVzQDTsVDsSzW+z0fsuQBlarf
w/U2y9Age/atbmRDgTl/p/t+K73/Mt9L7TAOc//GO/BI3al0T3lJFdyHbiug
30EYZ90k6yfK53Gwp9R8GTvE2hIojYKf++G7agj1/WW1PJMF4cvtS2aoC8tg
qtwbDC8veaZ5kOA4TnWMhv5ykNpnXp3zt9U640ly439vGqyStfJ1pt/SUr9T
mSKr9J4Zx7vOrQxr1Sb9kmLvarDndM9svb5L4LEMlK2yRfWxj3p5T3XXv2pN
vjUhxpnp/gNT7SEWThgfVHvmQpLcqAL12y/au5zj+B/2kNkA
            "]], 
           
           LineBox[{35010, 24363, 43810, 7635, 43809, 20326, 35005, 35004, 
            11094, 34978, 24123, 15525, 20318, 15528, 34974, 11082, 34554, 
            11077, 24075, 43790, 24053, 11073, 34492, 11070, 34951, 15514, 
            24060, 15511, 34946, 8533, 7619, 24319, 7670, 55507, 43889, 51617,
             51614, 11189, 35200, 20387, 35182, 20388, 15627, 24351, 35185, 
            11195, 35225, 20396, 35217, 20399, 15641, 24371, 15643, 35223, 
            11198, 35008, 35010}]}, "0.1776`"], 
         Annotation[#, 0.1776, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkmtMjmEcxn82fOiDw2bMTIQtlbCaZsaQ8+aQYmyG9SrNKYrFmKbFijU1
h1qjWE4TEjk2zeuQWr0oixkZwwdmPjnnML8Pv13/57ru//N/7vt+IgIbkzO7
AR1yYij8GwahcliXAhumwc018P4SXFIzzK+b15ZBczJUJsJ967wxEFsKfzLg
Ri0EQhBm1qcTsqy3N0DaE8iR7VJSBRV6xer0SBhr3yz1+wM4oJ84HpbnQo31
EvVLBaydAR83QfdK++PguH7jIqjPgaA8N9t9A162w7DZ0K5XdwuWHYM2vakz
XacOMDv9yH1Y18gW173Ocr91zpAJfn//6X77YfegRh6BX+aPb3o2amwCfHXu
wUY4NMLe++5FfXsNXmTanw1xssM1XbvskUb94UF7R0KDB93UCi3SW++Z2ial
F6FoKWxdDZlREJ4H29Tak3BVjs6DD3Pg1AG44PPpKVCeDld8PitdC2GvunM0
/CiBArPiGogZ4lzvrF6vyjV/J3uPad6ZWZRZrnW885vvwkO5c9l5arVUtUCP
VdCrGPpJgv3j7O8IQP4F16uh8/bK+ST4WQTfpHGU/4EalKRUz9k8Odw51mFq
5zn3sgDS90GqfI6BQeriSVC4Em6bZ6t99V6ZfSrUmwir9d5Zv5GcFdCqhmS9
77pqHtCLtneD+kQ/zd5gAUwy26x3phrOSXyEZ6N/SAYu11d/R8NTta/vuqc2
SU+zOtdXDvb+rPP3eK6SsAzK1P2SPx82qQH7U9UosxR1rvwHnkDcsA==
            "]], 
           
           LineBox[{24357, 15647, 35227, 20395, 35216, 20398, 15640, 24370, 
            35222, 35219, 11197, 35007, 11200, 35244, 24362, 43930, 7674, 
            24379, 35011, 24147, 34989, 15533, 20325, 34995, 20323, 35003, 
            11093, 34977, 15529, 24108, 43799, 24085, 34973, 11081, 34553, 
            11076, 24074, 43789, 24052, 11072, 34491, 11069, 34950, 24046, 
            43781, 43585, 15513, 20309, 34945, 8532, 7618, 24318, 55506, 
            55503, 43888, 15618, 51616, 11188, 35199, 35201, 20394, 8556, 
            35178, 24350, 24357}]}, "0.17520000000000002`"], 
         Annotation[#, 0.17520000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNkltMz2Echx/MRTcOM2Y2h5pR+dP8J2PLRDRmpLgwhkpliSLDmFkyNIei
VpjTKGaJUi21RY3UrFaOc5w5XIi5cypj81x89rzv5/P9vqffLzQ1Jyl7APBE
XZ4A/8Kg8wxsWgGb46AxEz7dghqZYd5gXn0KOpLg/Hy47zgvCgJlMNz5+40Q
Ird2wUi9/Yug5bL16qI6egfiJkOUdfHyZzuc1Js3CwZ2QFByATbsg8yF0LsV
BjkvCtqv17YSmna6pnphdqARXj+GUPd5pFfbDKsvQo9ebLx1cpTZlW7P7viG
2m7du21w2LvsroPZNZ51AQwt9exy0lnoM+9u8j1kYCZ8d9/iB1Ay0d42OCc/
NMCrbPtzYbraY01/nj2qTT+s1d5waH4G7Z3wUA3Rey57VGm177EKdmbADrUr
Ak5X+B5LoV6elZ8XQ0UxVDm/EmueDnXOr6n+RCiQe6fBrxNwyKzwJkSOd1/v
1qR3yZq/c/12aX4nsxT5d5znMH9ZC62q/J7fUjXr94bCiCKItm+GfU9TIf8G
dMnOKr+jur4cfh+DH6otALdli0pI8X3NE10n6DhEvrnuHRIg7Qgkq29TYIxc
Ocf3Xw93zbfJYXpvzb4UwFeVrvdRpklcZ518PRamWr/F9bJUt/kjlbIOIvQD
Kstx/WH/XRkTA7nyaiVUqqB3KzQrUaPX6sty1RfpP3kQ/sh254PNaq0/735h
jvPNDqnoNVAmj6v8ZZAjU+xJluFmSXKJ+g/qK9Or
            "]], 
           LineBox[CompressedData["
1:eJwlkL9LwlEcRY/QYJuE1KQgBCbfqdUMAhsaAiMdXFSIFhWU/oNo6AfUEgSF
QVuQRoMVzYVYLUFbk7Q2NLmEEHSk4XLe59773uO9xEZzvRECVtXOAUwtwlUO
6gmoOscqMKvi+l394w5smR2azejNm524fgqgLx/stGVHpczO7LdU2nVvHzLy
LgPLMqlfs/+s31cVz7iXhTJc29k06zrfjD2zuT1Yk5fOgZ1p90flufOK/s8u
ZOWkXsTsJQbDEhTbMJKfC/AtjwbwJcN2JtSS+an3Fbxv27Pyvu/Rvb+e8/4B
b6ppL+R7L17hNvj/qz/jt0bX
            "]]}, "0.1728`"], Annotation[#, 0.1728, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVk3tMz1EYxp9kYyOKzGxKhXX56UajLZWV3DZdjbauutDFKv7IbSO2xK+i
GkJppIZqXfWTpaT8ChG2RjGXsamNzWYMK5ePP57vc87zvO857/ec8zomZUdm
WUgy8NmUL0UA5xgpAU50k7LgI6FSEXwG+ODl/9eAY5xUaSe11ElTGZsLpF/k
BOH9gKuZ14L5eF6rpTLG3o7SdeKtwyQ/tG+x0iq4DS8jXhplPUM9ezN+clxK
NkiFeElw7AMpDsSAVnLSWSMNmImLx78BN6JvINeeNXzgFrQoPGfWCINrmbuh
z8OfC1cwX48+eYxa/KTpaF8YW8ID1PKV2rdR7y/4Lf5nuOiNNA734JtGpGms
FUhMJHWFgyhqigYz0GeCSdZ6SpwSgL+0F+0PdZYTa4N24AS1wDZ418jL4IzS
0BaiLQZ26C3opeTl4BXiFQMvvNPwXeo3wyZimmFX4l3wzhHvD5vQzMQ85F/b
2DcYzQUvAP7NP2yFo0EHXjLsiRcH/8XrYryLsaVRGmGNcdZ4Bc9mHsU+w+wZ
AZ8jZgHaJ7w0eDfaR7yX5E+35963czZwQ4MUyri7iLpA3zL2gTMDpLpwqR9/
JIlzK5ZS3CWnU9KKQO4yQprDeIz/72Sdyl7eF7jTKr0AVk7SBHpiinS4UUqF
J8i7RF5HCW8Kvxi9COSnSt/RDnpIBWXST2Kuwq2gHK9mjVRfI11h/nGjdGEz
58a8BC6Hc13ZY4c0SL4xmjtokoYGOQtg1SPdh82gc5h9XegTtL4s3kEee4H9
W7i7PZIvGEF/Z+IdLpFe36NH4FIz744Yw0pydkuPb9FP8NIKyR3MOiPZriW/
WdrXRt4i6UMG5+PAmQxJ7c/4B7gbvg0C11Ef7LCBt9ZBb8BGeBTtKPw8h9hc
6eRy6f1FPNiiSpoCxvDSQui/Q9wTnrcv3gDvAZR00TP9Uoiz5LGTvoeNaFXV
3CPoBnnsZXtWyn7EOwiih4izhg1ohz2l3nLOC/RH0rtwO/eUyn80pVNLi3QT
zgym16N4v+c5D/zL+P8AgEUfzw==
            "]]}, "0.17040000000000002`"], 
         Annotation[#, 0.17040000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVk2dszVEchh+VkNhKxCqtWK3RRhNbxeZDlaIE7U1rVIkaifmBSszSGKFS
TUlpYlOl9rVi1YxYJVIhRoJIqCD248N7n3Pe94zfOed/I9JmJWZWASL9+XwE
KtXPVlCWB9NGwfQBcDwDXugfkpPD4Zj5wa1wJRGuyYtqSTRE5ULd/lCRDtVl
5i1ooLd0KAR3Ol4VqDVB6NcOOjkuz/Z6xTWI6Q5/CiB1CaQPgjezYaastd05
XazBLEcG58NDs2UnofyemQxzj0WypbytFzcYzsig2nXHmmWhrG/9L6fDs5aw
4Ch0K7bGgVB7C3TMh9bq6xy4dcp7kFFd4dNo70fmXYFtrWFOJjzYDHfl8+Pw
WHabC9FqoWO/ZTlXXdIPv+D9yHbtrUsvSjbWq6UKrrueutEZisZ5h1NhXiTk
Fnkn8VAi8+TrYea2d2yCnSp3ChyRWc4bKhfLDxvgi1putvYQ7B4Jr+zvkDfl
j76+3WT3MAvIHy2swXd8VALnVOElyFen9d9EeE/rIda5XZwXYXtSJ6iZ41nT
fMcDsHeE30ac77XOc3aEUhlU8amw3zzBdWJsv9gPT9TrBJjdx3fNhncdvAO5
NQAj9O6bJco6ek/N3q52Hxlif4Zjzjj/rJpou7NMkyd6w1g5Rv0Kc0/9/rYf
rfFTcm6Za1yWpfY7uHa8WXt52r0O65XKy7JM9TALymiZLWd5/g2uV+yY5s5p
pd9MpZtlmO3Wr6cfqrdIr57MLYPf1jTfeX9lvv097r/ZOkLMa+iP/X9OlWA2
UsXtg2r6peVw3jO8TfbtKuC9rOgF32WSYz7Jq+YhKfBxpf8tWWneRM40D5WN
XaehirRd5J7D3bvtKveTxfZj9cPMh8iT9sfrJ5kny+F6bcySZcC6UvWyzXJU
ut429wjIcmvIkCX6XT1j5UToKet6pj2OifFuNppF6zWy5iLbheprlP/3FTBM
heo/3AtVZb7rhcss/eUqdoL3JSc5vqkMyCSZotqapXjmfyKkHEw=
            "]]}, "0.168`"], Annotation[#, 0.168, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVk3ks12Ecx9/+sRUpNh2rhMgZsTIdusmKRGkVfo6KWDlamf6gtlSYaIki
rPsQolQUTQfDsA7nOlYr/uhY0Vrrj46XP96/1/O838/xeZ7n97WJSQpJNJJk
z0/EYhgGj0ihyOAsTYNWyBPfGP7NlEatJY+ZUs91yTxC8sdfjn4yvvKYtGCJ
ZInvBs2CpHN4pvABXIg3Gi7V0q5CuwxSP2sZYHGFFAtdGZNLFuWC3y6F49nd
kAJhOF4o2VZ4L0vyw5tB5glv0g/Gtyd3Qo5jGbSFXexhDnezx1Q4ylmN4dej
khFsIf9OzaHkv+Ab8k8w5600DB+S1w1ImYNSPZx+S/Jl7O82yZs911NnMGfc
jMZRj1GkVEA9V8lKyMrQfvxCWIAmkqdlQx/uKEqaDK3hFORgJc2D85Ed/lqY
x9x8lGgjZTPPjfmN0Bu2wSeojr2rYQN0YF4AmTOsG8upo416WmEv/RVkFawX
Brvw+siewWj69/EToFEOPt4w2SCcQN8SvWD9INY1pV3EuG2wBCbhfSQbYP47
5B7NHpXcAQqgvW4pNedKj1ylPzCe/rUN0lPyvhhp/HEpZi73kM+5kWewNAkO
ceYG7qTkMf8l1MTd9yITW+4f37BDSq+WtsPfy6SOE1I5cz/AKzCH7PBO6Qf9
z+iAm7TmpHQQ1sBCsvOwHF28JF1GZwL5j8I8WAj3ObFHLPkWqZ15xbx7KTJp
5s2Qk6PUeUiaA43pdydKX+gPoQ4P9j0lfUN9+K/hS5RMu9iOvVrw73JeL/6b
ezlbgzRiz/eUIs0+K7kg00LJYrXkVSOl3pZezZLeJ3A/fIu13dIiP97tueQD
O2EvSqvn/+9PvbQjWS+Lfk8yb5DK9+XJG5XhQZNyvgtfaiWLhVEZvA+Zu7f0
r5U7aKJG5BrHeJiJSi/wbqgRZbCHRZG0p5Ozr+TbYZwZdMJLd5eaTzM2hPVh
P9xUy1tRd1U8NdC+A+NXMa9YitvIuWEKHCH7DyKGGV0=
            "]]}, "0.16560000000000002`"], 
         Annotation[#, 0.16560000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVk3tMzlEYx7/+aKYWNbmMJV2ldHndYkIj1wjVH9FFRSmXSih/xBASGsub
eqWyhi1CREpMK5dSsvTmPhmZjUZhhmE+/fF9P+d8n+c5v+ec8x7HuJSQ5AGS
PPiJnCG5RMB9UhiK8pBGQntkwLeAf/dKfWMlX3upo1yyiZIW4M9G38k/ny1N
9pfs8L2g9TKpFM8K3oDT8PoipUrGH2AE9HGUjrFe4TkpPlryJCcC7iYWDt3O
S85oCeMIT3rr92H1AWke3mhiDsjAeDoaSP24fp88R9jK2jZwA+uPgH3s0wL2
7Gfj8A7xL/SbBsPIqQuWXpFj1UX/KOe1ZERHUAo1Q+k3idys59L1Z9KoK1Ig
dT+bpG/Ij94205s/fM+6JfTzg++Uwjz8s/imZukk2krfRpiHBq+WMnKkncg6
Rho2k33B4chtDOcEJyFn/EWwgNpf9LGJfg5Q40V9HfSDvuTcZ1zFuV+ANdAN
L4hYFfMH9NADG/E7oBkFECtnzVWwlXgnvT6CMcxr8ZOgDkq/yX2H7824jXo7
2A6DWd+KcT55K6EJJuO9I/aU+i7kHcs3KjgDFMR48Sx6PizVT5D+wDV4iXgN
cdTCQblSrBfncIR9I8MKaQjsZs81nImpgXNFN7kDM7J04h7wo9ZKmRelONh8
VGpCxdS+hWdgDrE98ZxzgPQVb7u3ND+Ps4eXoJHYKViMyk7TrwMyc+ZLpRPM
jWjLeL6RQDyc9akr5O6LkGU9d4bc3aWWXZIrtGD+MFn6xLwbNRukj0bpM+rE
fwkfoxTGhS585y5+Nfudyn82jb3VSr2uvLHNklMR7xVZ5Uu2gdKUSmlblfSC
Ht+s53x4n5VtvIX53Fs7/0PYAs0oo4Z3sZB+GUezXjbzjlTuIF06NJE7KsaD
liXcLX76NWn5Tt7OPO6HmPc06d89KfcWPSLPdeTDLFRUhs/ajXAHtD0ubWxl
73N4T+RZQ3e8TB/pdgF5IZwFfAJDL3NX9F2RRA+Mr8LEudSZpIRQ9g1TYS+x
/+4pGwo=
            "]]}, "0.1632`"], Annotation[#, 0.1632, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlGtMjmEYx/+sWbUchpzWSQrFWwktS2mkKUvz9kE66LASmWo59CEsodIK
FR2o0DKJFTVUlkNz6KTpZNJWc9wwK3P6gPHz4f/+nud/Xdf9XM913887PzbZ
mDRBkjM/4V7SgnApBoYfkyKcpdnQCrnhm8DfR6VxO8nVWuq7Ik2NlELJ9yf2
lfzabGki3oVaaThCWr5aqsQzD5aaYSsax6+H72EYdJkvFbJeCTVx2+iFmjCY
QWwLfE5sI8wmboRziftBX9RHzA16okn4C+E86uxgF7GpMJG6WXCcPk3gpyzp
LfrJOxXAOTw/hJyWTfRMjvmoZIFyRqQidAIlkTedvMwhqfEFPTRI97olS7iO
2h7qfrZLHkuklBzJC75lDhX09J1nFuDlo0v4pR3SnqtSHTwIj6AdrF3A/eQo
af9xfGQRLc30lmygJXK0YVbQHdnjb4DF1HpDA7EY2ERdC/JgHVdyWpl7FTlp
rF+D74gXSKyB6w56+QTbyBmGXsTWEKshfyvsIj5Azz0wivum/33CIPL+kv8a
35ArPaV+BnwGzaEpOk1eKNxNrkMM7wRXwhHWMMCaa8wCBXId4EPPecxzqfQL
xuIl4D2IpR6a5kvRBuZwkr3eTJ/QB5qxF7d579I2zhi6w170IzN79gLfmnhy
HHt/ivPgIj2B5dS9gtUwp046HM+cfaUveGnkrC/krKEifA+YC8vhxWr6tUUD
zDxIGgyQyvBSnaT07cRDWZ/685yBy6vo4T57hqxQZwYzWMzZ47o7SfrI/RvU
vkz6cFr6jAbwX8JelMR1iQPPeYR/i3f24B1Sebdmzgccc2RG8Bs0OyM5nWPu
cJqftOK6tLdRGqLX0URpCt9qfQ/fhz/718vsYCfsR/ub6Bk+RJGs1ZfCt1bB
fOA7OIKy3HlGJXuMt++mFHyIPcL/gQye0p/HUl4rvSLnBPJhJjpbhb+BswUP
wGnF0i6+F5O1nDXyFnFvi9Jdpbsl5BmZCRyExhvs/U6+MTdyy6T4EP5bYDIc
I/YPOF8Z+w==
            "]]}, "0.16080000000000003`"], 
         Annotation[#, 0.16080000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNlHlMz3EYx9+tWVrkKGSpRNl0KiIpR64ysrJJBx2S1XRM6Q93psgxLcpa
yrFoiVYZyopiuh0/ZapN5NiIlTmaMcfrj/fv9fu9n+f5fp7n8/l8f/axKSHJ
RpKc+AhfJM2IkKJheJYU4SRNhtbIHd8Y/j4sDU+XDOVSJzLfLIWSv5LYV/LL
j0hGeOevSn2RkqevVIxnul6qhfVoGL8Svodh0NVeKiA/D23dIs2mJgweILYR
PreR1sBs4sHQivhyuAQZiLnDBWgUviOcSp0dbCdmDhOoi0WGINamV2PWHcyW
RpgpF05h/RDidcT7iI9/JTURs4D10Brm9UtJ5E4gN7NXqumhjxrpbqdkCf2p
f0TtSKvk5SylHJV84Fv24hx9faePXLxSvLAc5ocVbdJ1tLdCOoR+0u+/KM7A
lv2KxifPDFr4STbQEjkQc4UeyB5/Ncyn1he6EIuGt6mrQ148y42cevb+IjkZ
9F6GX44CiVXDVvoYhE3k9MEW6ENNVxP7TiyI2VrosROtxd9H3V/yBoi5HMMn
fyJ8Ak2hCTpNTijcQf7MGGkXTOd3pYtUdUKah1d6jR5gwGIpBpbhR8MvMB6v
MZZ6aHJSinJl/lOcczC9QT84mjMov89c7dIL4nfo8xly7pD64TTiyXHSpFzu
gpvUDIuoew3NljIHMVOYuo018TLIWZHHPUN5eF4wBxbBC6X0a4e62et1Uncg
3ibp0z3OFqbF83zqSzj7KwvprZGzQtao7SD3DQp1JNMv8Y94LR7ShzPSZ9SF
3wufoiS+FziwzkP8W8w8nxl2MludNAYOObJf8BscwLPKp5dl3C/u4Q80t4p+
bkg99NufKI3lXa18LF3GD1gl/SE/rZbnGTgX2AwfoEieZ0jlzIvZI/gOvkRZ
nsxTwjnjpd/kPuyXfuG7eEu22yVv6AnzG3hvYRbMRIWXpOMB3Cu4B44rkBLp
z9ife0beLH7bot3uUsNZ8kKkN7AbBlezXQnMNofcQiluA/8tMBkOEfsPVqQd
wg==
            "]]}, "0.1584`"], Annotation[#, 0.1584, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHss1lEYx79aF1Nqq5amiG5rXpeYLkYqupAJXYyUV0pXlxJ/pGbaQuki
1lWlC1mJSVsiiWzMbfa6rHnXRPVPtUUxa23dPv3x9fmd7/Occ57nnPNyjE3a
kmghycCfSG/JMUoywshMaYcTYxjE2BXfD45jPOQgmR5J7ch6lxSOvw7/O/kP
s1kMr7BUMu+U3H2kW3iWIdJz+I2cZDhELBpGIGdH6Qr5E8hZQv4rYgtgOrHt
0VKvnRQIM8kJhTbE/KAvMhFzhcvRePyFcDbz7GErMWuYBg8w17SZff/3wPqf
s6QxesqFs9g/jHg1cTPxaQNSA7HpsBbawrx3Ujy5lX1SBbJ5KtV1SC9QB3OW
FbMf7KX3sRbJ0yAlnpG84Ae8m9Q2Si25eEV4EWelcljaKpWhE4+lU+gHtf4x
cu72nFkMPnlWMBtmodXO9H1OmovnVsb6MITxJvx7xB1WSRvwLrOWNzSwjhE2
EnMm5snaLrCWs75LTiq9lxALwH8Pt8Fh+Bk1kGOGzdCLOd2v6Y+ag+m9mZrb
URD+Seb8Jm+QmCGHutBb5rSxfibrT2ScT044PEz+/N1SCjzGuJy6K85LG32l
q6GSPyxhbCRnGMYxro9ljQuSBYp2ofdc7jyMmqAPnGTm3TXST5v0hngN9XUh
p3apH84hnrBXmnmJd+EqNcEC5g1AqzXUT8wSJsWxJ14qOf75vDmUh+cJz8AC
eId7LpqHejnjYKknEC9C+lLPHcPkffjcfwp84EVtDdIMZItaMnh78C+5bYnU
S/wTXrO7NHKZM1rLGePnwD7G8Xx3V0mdqLCJfdDMZHqrkSbDr4ukGDgCB/Fs
rpDD3FHepMcTekD9h6Qp/F7LO6Vixhs3SL/IS65mnS7qhE2wEUWxjukId3yb
s4HG9dJHvk970Ech94137Bn3ny79xDeslOz2SyvgUbzFblLVfX7zeBl10nW+
cwJ4RzANXoRTr3IfyEzOImiHjjPv5TXytvAGYQ8MreTeD9LTUnJvSHu28v8F
JsCvxP4BHQUdHQ==
            "]]}, "0.15600000000000003`"], 
         Annotation[#, 0.15600000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNk2dsjmEUhq/GTIxEGhWjtEakpWhqF1FiBjXStEVbGiNWzR9ipT/UqFU7
SI3SiGoEiT2qKFWjqsZnpOWXEbXih4Ti+nF/1/Pc55znPe/5njc8feHEjCAg
0p+VQ+H5HFgtv+2D9EkQkCE94Lp+/Bl4MhHe7oUieUUu7w5t9kBHFZgNrWQT
tSUPClXWSM81d6M8576T+YvWQO++1pkfKX/lwhi9Jec8T91ZBPNlmUwdBlWy
0pxyObkTFFdAssy8CL93w/DhcPS0z3sEjcLgzVwY4j5a/XgAB+N8B/NeX4Jq
lbYEPltf6jrY9eYSe4mBXPnwPFSoeRnwYpd9W1vherv87r4kGt5nwqF+cE//
bxEE3YC7ei3lI1lgrFb/mNxZCotnwf4k+Kh3UD4ZpT8W8p7CEbWgHSS2dxY7
IEblzITswTDW9bJu8CUHMvQa6K2cAZ/cV6l9E+C2DDUnWM431uql738WIu7D
Y3lRPYuy3zI4fhPqG4+1ru82iJKtZYpxtkA9dT0dZgzymZud/XTIl0Pc7x7v
nOUp94Vd/a+yYelACDcnzXWC2p7mGXJtuLM5Ca/iYao50XrVXeDPRvs3Z7Re
2T1nqcbYX6WximJ70i+xJmBekfwgv6hJ1ryVI2S+XOb5hzw/V62a5l2ybqYs
NpYqI9tCf7nT+DCZp39YjbLvcZt8jl63Qt9dDnQ/SD/LeKxs6z5Yv73xMM+p
9ZnrPCdTrVANfdZZ+y6050Rr8uTWDd6zVO+R3KTepMAs+U7mDHBWrmPM++ld
qNQrjYWex+C+vOr9POr3FuIcTgXgtJq3zroq71M1XJ4CzWSRbCoD1lwYB+ML
oLlz2GruT2MfZNBUqDFebny28VDjt/T76LdY7/yNdbDPOvbUS0ap8lBnIONU
iH68XGtttn6E9d2tO2P9anlNdjanrv/NLnO6GE/UT1E1xhbLr5FwXjYwZ488
oALGcs3PV7Wue2TBP5lgP42dR9kJ+1A1frtBxuL0o3yn0TLMfbJnJslgvdfm
/QfI+R+9
            "]]}, "0.15360000000000001`"], 
         Annotation[#, 0.15360000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNk3lMz2Ecx1/uOf5qsjmTMDnD3MfkmkYihk1FJHOH0RzDyJGrRo4oLDH8
2DAiR85GGLHIMeUf15Zr/rCpmdcf79/red7vz/M8n+f7/f5CZy2JXVwLCPdn
9Qh4OQ/Wyh/ZkDgJymVwBNzUH38BnsdC5QF4r3b3gFSZKsP2WzsXmssmamce
BFTaGPd1zTZ5yXl7a5esgz79oaX14fJPLozVS70M38KgOAUWOC6R8aM8S76w
plQlL1UdrNsH66/CXzlqNOSd97yn0KgtvJsPkc4j1K8nkBvpHax7WwgVKmEZ
PJYPVJDjHcX20hty5JMCz1HzF8OrLPt2banjTPnT+f2e8GkD3NY7PACKHB+R
FfKAPPUQTsuaW3Bc7nGekgzZ0+CLXq58HqUf7b4yUAYLQ2BKO5/FHuilMuZA
+jAY53h5d++aCYv06uutToKvzt+rgxPhnmxlTZBcYNb8jfe/CJ0ewzN5RZV1
s8dHcPIu1DMf6Lp+Gb4DtdCsYjfEybq7fM+z4PdOz1TxiZAvI4dC1gSfszzn
PNAVlm6HZUOgrTUJjierzBnuITeFwsMAvImB6dZE6FV0gep0+7cmSq+kxGep
xtrfC7PSO/akf9815dYVyW9yuF6sayodj5b5crn7H3H/HLVmpvewJkneNouX
4W3s+SyMdLxih9+t/R41GyOjnffT72beQg52PkQ/zXygbO08SD/EPFTVeOZm
z1mvVqkGnnXBvgP2PMU1cao6AWab/ZLbt/n842GO/CAzBsNrWX3Ge8q0LX53
g6B3PjyS1/0+0/WO+Z874feRJwv0is0aVtqPKpoOK63J7AyF8poqGA8x7tnU
Z7HL+W9rPkvioMq1T82TzVuZ39Xvq99sK4yQte3po3mYWW29FXobVbD+H/1N
rutk1t3svP5aeUN2NK/je9lr3tk8Tr+NXpVZiuPv9ndZ1rdmnzykys1yrM9X
NY57bIZ/crI9NvZ5lJy2V1Xl/xazYfpdvUuUDHE+zT2nyiC9t9b9B9E3IMo=

            "]]}, "0.1512`"], Annotation[#, 0.1512, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNk2dsjmEUhq/a41cTEnu0xChFjGisUnuPENHWKCVaWqNEiUbNUlp7j1Cz
ZkmFIE3NUjNmUf1jxYpISKio68f9Xc859znPc77nfd/GMYkjEwKAFv4kR8CT
6fB3B3xTE0fBM1mjLVw2PyQHHo6EN9vgtVrXBubL+TJoq7XToJasrtIPQLZa
1t997VklzxkHW5uQAh06Qx3rx7geqL4Ew/VZEJcLBTKqj2fIR3vggYqdrZpa
twVSLsBv2bsv7D/jOfehaiN4GQfhxm3U97uwu6ezW1d0EYpV9By4I2+qQNdr
bjhDe9glC897jpqeAE83w1yZaf8kGex+ISrP9YslsDMMrsg9slhulUcK4Kgs
zYMDcoNx4lTYPhY+mHunFm2EVwOc9bQzP4H4hjA6CJqbb6cyYiEtHJLk31Mw
Q75eDxXNJU+Bj66bhMJhWVdWk4EqTq9Wkf//LDQrhPvyvHrc2hnvwKGrUEE/
bAR0yvTuVbxecQZEyvLrfL4x8GOt96uiJkGWDO8Om4Z7z/KEcXYrmLkGZqmG
1kTLenJQAyib6Jzy1nHvaBiM6wapE5zXmmT54rbPQRWoa2qg8z0K8c7z4apx
vlrcGHLsL7S/p/0j7HuzGvrILDlHv7S+d23NQs/rYM1kmacXJSNOOLOKcJ2U
7vvqvHv1+snBxp3Mt9KvLbsYdzW/TD9M1jMONN9Av5Eq9czlnpOiFqhKnnXG
GbOdOdKen13hz3iI0fsuV6d5/9EwRZbIDP3n8k+2/1OmroTQg54nd/sOpMtz
vhNpMsd3dZ/f3kHj/TLX+HoXqFLiXOpKJMyzLrMlXJAnh3ofMldulGvVD2ve
yzL52d57erGeXdc7yzffMQpqroJeMsDZ3uoH6QWYSzKXqmqY/2V+qX3N9Frr
nTa/SF6STfXTXP+zJl6W8znVN/dZL9F4pvrkjK+Ww1e5w/iZ3i73y1KlrkNX
wFDnq+yco+QS97p3zD38fsvs62EuRK+/rCkL9AJliSxS/wE4mCYZ
            "]]}, "0.14880000000000002`"], 
         Annotation[#, 0.14880000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNk3tsz2cUh5+yIU0kjZa61dK6/NFqkZK4X9rNVpehtsTWulW3RUdrSlJC
lWxKp52g6FwidVm6VlVTl7biTukoMUW1sz/cgo1ILFEy8fzx6XPezznn/Z7f
+74NT8lITA8AovyTFQ9/zoe3RfCvmj0dGmXwQKjVn3QYriVCVRw83wYbBsBS
uVSGb7X2OwiVgSqvGErUms/c1561stJ1hLULsyF2KHSz/kvjBPWsN5xbBPOP
QJ1M+gSa5deyZRek/qD6WlcIK4/Daxk/HmoaYEcF7FFNaTBGxqgXV/THObt1
d6rdQyUvhsvyggoyXn/BGWLhV1l/FBanQ9h5ODAIHm+BAvvn6EW4X6Q6aXw7
B4qGwQm5U7bIQrn3kn3qzSnYJjeq9G+NZ8AjvQdq+Sa4mwAdDnk2NyHtI/gi
AgbqZ4+F/G8gV2bKt+XwvWzeCB/oZaU6k3HvGNgvu8sg+dsYz8xcaJO/vxL6
/QFX5RF1I9oZ62HfWWhrfug0z8z6cb/4bXMtBZ6vbJPv/abAyw2er0qaC7tl
sdo01fuWpaqkPyzIgwzVy5pk2UNO6AXv5jinvFjqGU2Br0ZBzmzntSZL3r7s
Wwj3XTjHDeME52s6Aw3qtOsV5irsrbd3rL1T7flrvTOq7e49xL0XygPWLJOx
1qTIk+aTZFyZd6/ijDN/9q066y5z4+VE10P0o8x3lXX2xuv18bfNkh9b00X2
UEHmw6wLkJ1cx5qrdb5AezrqfygDne2QXkmU5+c3Xo2E1lkw19leyHXr/G0z
YZ68J/PN35Ktv8N1mbMWovd5HnKH7yFPVvo+cuVB322F2uu6WlapcyO8v7+h
vVpiTUEkHJNln3tHsko2WrPZ+GUSPJTv5FO9K+ZS/W53z/e0/uBkCMn1DUic
6775cHPoZerlqGD9//RX29fPXH9z5frLZY3sYz7X+H9r0mSAd9ZT76m5dNcL
1BNnvPsj/CO3u240V+x+RWH+jxhH/wSTna+dcybK4a6z3a+zXCVH60Wa+1SG
yLoS70bek3fUe8iTIvs=
            "]]}, "0.1464`"], Annotation[#, 0.1464, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNknlMyGEYxz8Mrc3WnHNT1ubIFf+YO8dcK2JjcpYrEsLSHGUj5QpDuWZy
nyFXzBqLIVeWlGY25ogxxhZN4/PH9/d5n+f7vO/7vL/3DY5dHJ1YB+jpJ3ko
PI+Hmr3Qriecko3lMXP5EdBsPnzNhs09YLlcLjvsgdJ50FwGqsxcOKJOquRo
uCkvqmBr56+FBNXC+olypPrcEe4s0bsCc1XUUpgzHBbKyoMQJ+NCrdsNq69D
tYwYAQVPYN8FOKTKF8BA2U19e2R+iH1b97IAZie511MY0huupbiHcZH5IJlx
FzaqpnqR7t1CtinyvL3gwy7Y6jozEu3ddTurW47L0iCnr+eSb1Wl2mWce995
6k8h7JFZatFcx5MhpBN8N5+yEypGQUCe/6cU4tvDhBDoYX7NYNgyB9Jlkqw5
Dwtk+Xa4UQGvZPJs+5Ih3eGobCmD5CTzxwe5RxyEF0OoenQJLquSbvb3EPar
Sv0I66piYXCW++tVboN3qtjcinPuJT9vgSmz4KA8rHaM8/7laXUyzLvZBImq
rTUxspUc1Q5qZ8KzM3BXlUXB5AGQOsN+rUmWZQ9gXbBvxPOUOB5pf+W34bEq
NF6ll+fcB84d5Nwo5wyQHzMh27X7uEeCPGbNShmuV6IXY08Zmz2PuYFnvWuZ
ZDzG/AH94XKY8Wg1Ue+e8zp5pgjjjnKaHGpNK1mgF2RNG9dBNjIXrnfD/gL1
GpqvJ08YB9hfpOsHyp/94fd0p9jbj7bw3vEtGe2ZYjO8V/3X07xj+UL+Pg1P
ZWo6hB31fL6L1BO+XZng21isLvpm4mVD30+6dWd923kq1/x1ma/u9IO6b6CB
WmbN1i5wVZ6J9O5kviy1pjbGnPFx/WpZZa5YL84+WtpjobneU6HJRt+G/Kf/
Vr+D3j+9JHOpqrH9/zKf5rxQva7WnzOfIgtkpkxXf62Jl3iXrZ1TpRciV5r7
ZA8V6+GLzDYu1Tvsejn+rz+OwzbAWPevb8/jZV/jNa7XVI4w/jjFf3vKe1RB
1ryWL9V/3kMqLA==
            "]]}, "0.14400000000000002`"], 
         Annotation[#, 0.14400000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVk3ss1lEYx79Wma2tpdqUJl5ShkS2VotcmspaEq2LRG5zaRE1utibPxJh
ZeUyVg2RUNK7EWWaYpOMSkirVabbVrPVRpapT398f59znuc55zzPOc/PEJ0S
kmwmyZ3PcJ30Fi04KHXDdvQ5TArYJC3OljKDpA0wmPlcYlwYO6Lf4VKpjTQI
G1kzDj+ck16jL85SRo5k8JK+YreGf9knAdsfmA3HiNkKW/G7Q2e00iCdrZd+
EWPJGiO+VDR7XrLF9xH7LHn4YFtE/DrYga8L9eIbhI/hJKxh/3o4Q86DrDFh
r2BeD5thAf40OO+9ZIY6/8f0SfdR5SNqgg0om5j5TuT+SmrCfiNQSmZcBo21
UhZyqZb8RiQnaCS+/xB1cTdT1GJinE8tO3ZJUbnSbupoxzceIUU2SGFoivFP
YiwipZ0XJHN486k0x5uzb0ttjFuQh6u0MJ+9sVsHY4NOh6Vl2PzxhUN77H5w
NezGH4o/kHko/jLoiT0FpiJffN7snwBzmIcR85zzPViXga2a3I5AzxVSCfyM
zwtfEPlthj3U1EjMaWrqIL++TmkEbTOxD/PcUe4H3xDjdNYY8rgfuI+1Q6zt
Yu0AmmHv7ZxRRC6uUbxLAe9HLknE18I65iZUSO4V8Co6QNw32BYtnbjD+8Ox
i9IblLCGHrlE72Hz88EWI5X3khP2PeXSO+jxTJrAXoN/byz9XygtdeN9oQF+
gunYR2EbdYzAxDhpupG7g9m+vCvMhG6XpRB7zrUlX3rD/C7/Af1xEvsEPXMU
Gugh3/2SAyzu4f/BXg0r0ZWN5JhFf6MHaAi9RO3JvG+TZIciGBf4kVcR6zyk
5V2SlSf90sx/Cgu7pVXrqSNNetImxcGWU5yJL3RAimE+jN2ymD5gnx/0tiv7
eqORJOk6LEOt/dJDNEncmVbuGEY7olRyvMabwNgAegDGcXY86jxGnAPvbuQs
ZBVP38B4ZLeW/6aKulB6CPcDq1Ausijh3yTW8x75QGOpdBzlseY7XJLAu/tT
byJ5u0u3yiQbOA1fYEvfIv0D/7kspQ==
            "]]}, "0.1416`"], Annotation[#, 0.1416, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkntMlmUchq9Kq7WxmJpWUwTzNNNCcroGcWhJHlM/ZzNPcbA4qAQ0da5p
tRF41qGQZk7lQ4UUEecnOGPFhk104ytGIeVSZ4YUq9VSm4zy8o/7vd7nvp/D
7znEZLwXyHsImOSney/0qG9z4F85NBaOykgZ1Kt7FQZmw++fwqYXoVCuVz1Z
EFcHbfKxciipgEPqiFodgLOyVg13zLsbIFcNtm9Apqpbz8HX+dAlC0IwuwAy
p0KO7NwP6TJ9FJQ2wO0y5zgA91KgvhX2nIT96odcSJDdssps0Aoz+f9u2JcK
/52xnwyEIeklCK2DsZNhQSGMkk81w47zMMBsljUMls/qBSfCL86xxbmW5sEY
1+gYDuf8/+4jaFdn1TXVqUpfhoMX4K+v4K5KWgjRY2FlKfxhe63smO5ZtsPD
tdBfzRsBE/T/mQdFybDsMvx5wjtQ2e+4t53Q0OnZLIfffvZMZZVehRryAkTI
BXqVSa6RCbGX4MoEmP8ZhOXei9amn2zelQGJOyBLv3M7XFcteu/XwIko79v/
hbIxBg5s9UzmWqusUkfGeyebXUcW2H4+HXYdh9ft35sGrcfgUb2MV6zf9psy
2v6r3/acWuBD5yxxH2H/U0+5rya4pBptrzOrcfxxFXLsNMd+Lm9ugjIZ5xq5
Mmi+Rrbph9Vb1lK8xf3oJVhLksy3nafirH2PDNhn2gOaNTvvaP1k2zFysUwx
f1qOMQ+ZP6NfL5/UizULWV+DesL5q+Vh1d89zXL9ngTrnON9y+5l3p313ZDn
hsFc95S2EWaYbzavWwp3vnCPMs080jyhw1rUuEo4PxM+PmrNvo9Vvo8KWeub
OSTj7bNC7/CP8Ljvacb31iOPmR9UmWZpKt75KxbDN/HQ76r3VOzbHQenZfUb
3qmsk23mvfartl1pfls2PfBli+wyT1wCP9n+0nxkCfTpXTOLsu4+/Xzz9SrS
vc037zFLlH/LCL16s6m2rzu+SN7Tz5LRZkGzbdYalmv0frVPRxFcVTf0aqqt
RZZ7TnflyE88I/WINc+xjin+f+B8A+Rrtm8u8swd06wi7DPFcfcB2MIxbA==

            "]]}, "0.13920000000000002`"], 
         Annotation[#, 0.13920000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlH1MjWEYxq8MW9aYb2YK+apFjjYbqZMoa5nqzCYp1aEvtpSV0dIYpWK+
JoeKqJBKQjqtbCSGTGk5lWyxxKJlzEfDND9/XOf3Pvf1fNz3+97PmW3eaUq0
k+TBz7KZksNmqemaVI/6wqTVntL4TCltPT70RiOY4wKd0c9wKY91bbCSNb2w
55DUgd67SqmHpRZiR8ulYui0Uool9ov9DsK3zFkDa/Ec8L4S92I8AE2wDX8M
TMf/Qy5viHchZ2INeN1ZzMf7gPeEeBvj+/A7LMEvg7/Jtw2/mvgFxmXwNszF
T4L70CXmrCDHyJeSGRXdk8qR/UIpwCaVdrMf2o7XGMjcTmIBUjxePfMakKFU
ssKl8CFzXOAD6M9cIxo3m/15VxUR0g/OqoY51BwQRDxbCsKvx+/dIkVUSP3w
C34BfmAO+6CRkZz7lBqQfSXnwRrk7iaNPSJNRtOCiXlJ86OkqYx98MLgLOJG
OA824Yfgr2Ucgm+BBuJpsBPPG8+T/WNhJrFQ5rRwfhSsZZxKfBO+wVE6zXMf
XsH//VhbA63kP0wte6jpLvk1N0o25HeLfRhnvZIy8Np5TqEmp1zJFX1mbTR7
jIqWnrPHb8b+nHGKs1yJJR2V4pCVPB7BZlRE3lb8jcy7Ypauw13X6QeeFxjp
sWPUsYg+OU6fEDMS69oqnW0mF+KmfOk1dH8mDRIvwd+wjX48IU1ZTG/AqyiF
2McecoBW8rcRi4uRhqrIG0V00dM+0rcQye2UFDyH73VDskPV9E0H/bKb+CA9
sgM60Vveodwhxn7w5HJqhEfgm/1SHWpHL1B9Iuud+KbVUjjP705TFyo2SNMf
8t096JE73FV47JE0idjcZdSxi3cAa/ZyFl5Iq1ToL/2tlfLhMHtYVkkTd1Aj
7N/Od+cMGyyEFlTbwn3FiyniXuWRZx19MA8l8x7Pcweg2U9aB5PIwRcOOUuP
D5BHHGdmkB9MgDHI0V2qKqY+lGKSLsOLKAuNPsNdZa7hJv8BMN0iJaNs1nyC
E+J5l77UncB9WsL3PifNgEOwldgA7Ef/ADo5Lvg=
            "]]}, "0.1368`"], Annotation[#, 0.1368, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVk2tMzXEYx7+NFyysXOYyRbUsHMdppDWdkGpWWzpYLqVTyX0rkRctsxBK
KKRoc8ttIQd1DpmtJMylOi8i2URCScZCkzE+XnzP5zzP9/ld/8/PKzltUaqL
pBB+Ajwk1zjJCOvKpY4VkttucigzGh+akQs1ftAb/YiXiqh3wsuMaYf+s6VX
OdK7KVLGXqmBXP4l6QxcTWxFP5lvJ3xNzXxox3MNlr6SDybuhhboxB8Ms/B/
MW8b+RbkTe42Xuse6vHe4z0k7ySugd9gGf5F2M9+nfg28ieIi1Ae3rhdUjbc
RnyamiD2mNAsJaGTNVI5in4mXYWWSCmwRaqNYm+1rAFnEoeek3qJ58Pl1Nyh
di1j3PwkEzkHcRUKpfYeY8JgOApBw7xYj7u7tFL6zto2mMsdLFhIPpe18avx
2xOk+MtSJ/yCX4ofmcc8aIBVOvtIGnRFevtCGgH/Ek8zSJXQCIfmSyPR6Bhy
ZmkI/30TpSXQAJ+QM+AFMPYYawaRryMXgxfB/xjmKIYmajJhIHyOn4vfCnPI
LaWmgf1YoZ04A28Z85k8pSP878Ar/T8f9ZXQwXkuQDP+2Dru74bUfJf7gQ3s
e3erdAgZ8MKo6aJ28j7pM0xkjoFJ0lPm6Cc+xDoFaDK5tP3SGuRgH/XwETrJ
fh34scxzPlm6AtMr6Bf+T5pDDx6kL6fRRwX0EbkQci2rpJLH7IW8pVR6CY1P
pB7yZfiLU+jXQmmUkT6BveQ+tElbyHfBT8jB/utQFWqmZs1qemMC98J36rsq
JcN4tHMu4y3S1MPSQm++qY0HiWz04Q20lXwPPbQBetJX5mW8O+IwWBjEueHN
bOk6akLVqdIz1vG9JsXx/20RZ0Rn/KUx9ZIXirTTozOkA/fpGWKfWZxpM98m
k3WRGS+miZ5Gvx3S8QjpD3MUz5OGb+TbQeNR3rVJegM7N+Cxnr2Rt42Xcoo3
SL7wFt8fWdO50xOcHyaFS1EwjT3Mg30+0oMdfE/kt5Y3DsdPZ47tkgesKON8
aMsi6Rws5o48J0ru3E0sNF3nTTIuq0TahPYy5iN0X8dZQjn3et4a+zx/nDcP
+2AjuW7Yif4Bco86Fg==
            "]]}, "0.13440000000000002`"], 
         Annotation[#, 0.13440000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtMzWEYx7/0D1krzG2kQiuXdkqtlY6JpNVGF0O6KF3ksiWyCX/QQsTq
LJJMqyxGcebSafkHUeYSx6ZSpisiooUmY/j0x/d83vd5nvf9Pe/zPu9xSdoZ
lT5G0kp+fBwl21jJA9ZfkXpjJPsj2FDWGvzQiESMG/yB33RY+uQsubKmijXd
cZJngPQG+9sFUmau1IQtr0oqhynMO7Fn4G+HgcxXoBp8tkZpkO8EMO+HEdBK
zDi4H/8v9u3A3opcsN3G13aUeHzv8D3EbmV+B36DFfgvwRHyteI3j66F57Ed
wzcjRzoIDzAvI8aPHNOapVOhUuld6TJa3SJdgxFhku8ryR/135O8oRdaXikN
MR9EMeulaOKi4RbWpSB7d8lAjB2sYx8LCmVdJApHQeh1hxQCJ96UlkI7Fyme
el6Jl76TkxnmUpuQcOzHyAn/2GppDLJB3Zu4EtgHvxJXQlzocc5C3DD7fEmQ
Zs2WetqkSVelv4+pJfJbJM0/IU2JkCbDqXACtEXzEqW1cCF8shTi82FtMXv6
YV+CwvEFj5J9iqCBmCzoC1tYk4u/DeZgW09MEzltgjXMM/FtYL8YVMi4F1/J
6H7E34QWznMRGsl7+n3JCcVSHz9oaicfGITvAzHuedIATGCtzWbpKWtHmJvY
Ox+5Y0s/KaUiC99/AB+hUvK04F/HPpVJUjXMuEYfMXZdRk/BpnzqCxcXcDfY
WpOlM0+we9AT5+hh6PFU+oy9Av94kxSVwvnMUhwcwva+U9rNeAD6dlFDYgYZ
WzhHPbqFXmJLTaVvnKgL9zTM+s0wFmUH8kYK2StSSoY/4T/8Znr1LL5s+msP
9h56y5E+M0bzNhkHwQJ/zg9rD0kz4d450gW+sTGdO75O/WHPad4kKveSpjVI
zijUQq9Ae3S4UZrjy7l2czf7+C4yenPvVnod/a4lj1XSH/YoWk4f7+DuoEcR
795T6oJ92/HxvZrn5I8vuYw3ir2gjprvkl5gty6mRqVSYrAUhi2dHALh8Fyp
MZt7RW5p/AfAZmQwML5I/ignihpTR0f+ixyoyzpouMFbJd60gv+PYuko8R+h
w1bOgK18G2+N/CpLuHv0jHkRbIB98D/3R0Ai
            "]]}, "0.132`"], Annotation[#, 0.132, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtMzWEYx7/8kzYrZsNcumCySqWWQwelWUJ3KZIkhKhWNmFmkdydQztK
N7EyShmJZWZahC6OP2i5hpFya6HRmMvHH9/zed/n+z7v770873FOSo9KGyRp
Pj8+4yXb5ZI7bKiUXsdJdrnEUFYYPjSiv8Qnw2/QvEd67yRNIqeSnJfxkqdR
aoX38O7CY1XSAVRGe/U+6YWrlI73GPrTn4su49nOknr5jh/9HhgOrYyxgdvw
B5j3OfF25ESsHq9jL+Px3uA1EbfSvwG/wFP4Z2AH3lP2FcoaamExsX14o3Ok
nXA7/ZPEDfjJj6S8BVLJTeksCmmXqmH4Qsm3Q5qBehokb+iFAirInyL1EVsW
I8UyLhauJS8aTse3wz/7VLrGPKHkPHvBPlAw7TuLpCgYhorapFJUiIbVSiNQ
POd6boX0lbXVwNT90iYUFC5thRFQ5zm3BOZuZm9ufPeA9JmzPIEXTDvZWepn
nk8rpbEO0qvH0vBq6TfjB5DBXZpySHJDjhGSC14eObb0JyayPugKm2dDfB/8
fHwD8TDiJhgHi6EFeTAmC/rCR+TsxdtNfwdawrdaWdMKeJl+Jl4M852G9+mn
Eh/An0feJWJ17K0CGln3qEbJAcVxLgZofsJ6YCDeO8a4HJQ+wgRy/WgXMVfC
YWnwKukI33CBnnP4BrE6vEZ4F5Wwzjr8aOYpT6I2a6QU1ER7kj+1BVtN1Dac
Zmb/qH21dLyF+FRqo4hahu6t0gfiQ45ST6zNBkauYY8XpOWwj7nedjLHS6kb
+sJ8xvTS7kMN5Fz/v6cJ3IejtJh7ikH95JeESIm0swN4L3mMj5SS4Hf4B7+G
ui3Ay6beNhN/Ra29QcalvFMYCE0zOQN4JVsaA7fwndN8Z30a653Gu7TwRuHI
29QBCr5CnUA7lNPEPaLITO5lG/P6cMfRjIH15P+4St0/kH7CgiDpF3NZ5lLH
G7k/6H6c/wAvqRN2peBd5P6trB8vqYz3StxUz9lnSA+IW725y1LqGC0glspa
/GH/ROn2LqkFTV7HO4IPkYcn7TPsG+2OkjI4x3H8L9lzLtHQ4xLvlvHmQP5L
CqRcxndD+/WcHbGyDdJQ1ldeKFWhNvoWeAt2wX9OdEfk
            "]]}, "0.12960000000000002`"], 
         Annotation[#, 0.12960000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlGtMjmEYx/99aW2mmg8MK6oJpeRlWRHFHDsfeVMoWshCm2hmiXKsVyGp
dJhDTmUqp5ktklQqmyI59FrKcY1pNOb08+H//u7r+t/39dzPfV/P6xC/KSzZ
QtJSfgx2ktUKyRXWXZBeR0vDs8ih1CB8uMxFqsmU/uAVQBN6P15yYs151vTE
SO6zpBb4AK8R5l6U9qNSxvH7pJfUSMbrggHENrOpiWcFB3iOF7l3MAi2MccS
bscfou4L8p1oHLkbeE/3Mh+vF6+BfBvxbfgFluGfgTWom/cKYA/VsIh4L96o
PdJOmEZcQt4TP6FTylsiFddJFcj/iRSGJp7hPO5IRsbR6B3jAZQ2SbLezf5g
H3FMlDSGuJbYeJbnQR/WRpEvpe7Bc9JM4ornnNUraiIzCuiSXsGlsMmfuJw9
tEohxCfhCWRTI41AKzjrGez1Vqy0gb1PcZWS9ksLgqVtMBj+xR9YSZ1m3hc/
/IAUiQrwFsEEB2mQOp9W8fxnnCuyrZQqfaRfrPGcwjsfklyQfYjkjJfHGiti
x9VSKJwMm5g/Gd+An4/vST6QfA40QjN+EWM35qTCGbCDXBZeBvEOFMGzWthT
DKwh3oIXSb1y2Eq8kfwQ/nzWXSFXe0k6Db3tpZH1kh0yci6e0NTNfqAfXj9z
nA9KH2Esa70YF1IrNluyiJOyeYYzdJ/DM8jV4t2FjaiYfdbih1PnVDz9WiWt
Rw2MnebSb7DFxB1Cj8P05Br2cpk8rJ4vPeqRPjDugP2whH1Z5nKfa3k/5kXD
z9R5g+9h5lyQAeUzZ4BcLuyBdaxr/P9OjtzHOHqRe4pEg9QoDpBWMU73lXyP
UC9UioPf4G/8Snr5OF46/ZZC3kw/9yLv5dJX6AdzvDgDeHWXNBpu5TnlPCcx
GS9QqprGt0J+4TX6oIHegbZwONp9n3tEISncSxp1p3PHEcyBN1j//Tp9/0j6
AY8vlH4ek4760cdJ3B90zed/wYO+h30b8K5w/+3sHy+ujG+YfM5Nzn6L1E6+
zcBdlkj1cDG5QSfpXobUjCYk0sPwMXKbyphvz4wywqTNnN9Y/qOsOY9w6FbN
98t80zy+2wIpk/lvofU6zoxc6XppGPuqLKRXuMuHxEcZ18M++A/GrUu5
            "]], 
           
           LineBox[{32425, 9676, 50952, 9673, 30902, 9680, 51274, 22710, 
            32425}]}, "0.1272`"], Annotation[#, 0.1272, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNlG1MFWQYhq/mGP0Q+qWrLTUsmB8wRMZCxdB0OTsiQshQUcFIJaaoM3XL
OSg/8ZhoeAyUUFZzqSnQYtYPSo0UJUpDM8rDQoYfczCducjVvH7c53qf+3nO
+/mcE7OsNHv1M0DAj7qX4N/RsLMa9qtLxZA/A07IzkaolX8cNH4dumTkSiiU
UXKPXt8KiLcu23miOmHD71CqyrIh/LnfUfGJcKXcsXrF+ovynHr4MsxaC2cn
wt1aaJc/dcAqveAZGDgABXWwVA1MhyEl8Ej+qb9jAoyT9cbR+s86HqyCjJ9h
rvqnGebLv2XzangjGd7LgUXrIFOVt8LQH9yTe8j9Grblwckk182A5dbXjYL1
3svz+l+VQawMToJWxwvHwsefwWy98Hewdj9sMd6s9k2DonfggCzQ78+CNBlx
HtJlzRzPfQpybkCWinOdMa7T6p21qJth71tVVTpXjWfshmSVqHr0+9NhQRGs
cY5MGWHdYb/X+zZcNX9HdsgG3/Avx8Os+1Um7nXuZdD2kb4c7Tzn5covvW91
1PG3J6FJ1cxzf685T9A4HkpkgnFsIew2j8zX+8TcqxWQqu4WmJe9ctpIz3TO
/nBfKTKvCV6Uw9Qkc/XWNJ2A03JwFzxWJc51ebf3rpfjGmtko3GDmuF+emSR
NWVyq7mrU/2O4yMx9rH1U6wJ6+WZC+rPkSmyynyS+QlqiGf8xZoH7n+BuXkq
xrpIWWldrDUjnKfFmgS9FNd70mbvGz9nrsv3Cqt7S33DEVDsGeozocKakMz2
HNXj3Y/x/SXw/3F7UX/DTpgp35XjzRdvh28Ww0Tzx9t9XxntHR10fMh3q5OB
I3AhIH/zvMfgLdlmnGaPBY13qdrZ9niudyAD+ulq1lnvdoy9bJ922GsvfOCZ
Jtv31vV8D7dUlF6/vK/61Pw3fc9r0O04zjmyHIec84qslGnur8jfdoo8vAg2
uf/N42D4h/5uZLVxg37A/A3ZaBzSLzX/qWw3vjPFfptr78nUfLim12xu5A77
U79LPTa30VyEXru5DNmnnyqj02CFufddIyQDetetWbXV34ssNK7V32t+n2/T
6vhHc20ywXlvyqNfwDF12/+qPeZC6r+F7lfmOkfSNv8jXC9SDlXd5lqsD8s+
a54CI/hN8w==
            "]], 
           
           LineBox[{32431, 14422, 32427, 9675, 50951, 9672, 30901, 9679, 
            51273, 22709, 32431}]}, "0.12480000000000001`"], 
         Annotation[#, 0.12480000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtsjmcchi8UieMfLOI0qhVDw0zj0EYNUXwopaJaplOHomltVksm4qyq
DXX4VOvQShxSZ5LGIZHZ9tkc6kwo6hBhs47YTIaYuPxx93p+9/17n+d5n+95
Gz4le0xWLWC4f7a1hzcdILcY1qqzMyF1EOyR1w7DFllVBPUyIE02kgUD4fEM
6Gqe6PONrkNOFWSphWOgMgBPdpp399nFUCcGIux/3xcuW/8dAfHfwKkv4I+t
cF5WXoRMvfxj8DwIo+KtSx0PgNqz4aW8o7/ic+gst1s31q/v+PUGGHEJ9kZC
3aNQkQWDe8J3SZDyLSSoRaehYcj9uPa4CliWbH8P1xsJ0+zf1g7meg4t9I8s
gkj5qwypCZ1h3Q4Yqlf9I8xZBwus56vCLyF9GmyQk/WfJUKsDPsF4mTxCN/3
ABTJGbfcj0rwnDq63m8ypE6qu/fgtlpf6Jwl0O2+Z9wfHuo9k8lTIdt5EmSY
PZt95lE6XDH/XV6QB/3dHjhubt9V2W2N806BM6uhtXNEuLdwWa6XuR/K5PF9
cFgVj4axcc5TYB0Fs+SArz1rveVmUTJVr8is1yrPQwas/0uDf32n/p9Cp5+9
G+4rWo4/4pqyuepj9qc9B+wN85m5PvsqzzXkuXzPXn+se8iWz/t5HnoDXfOh
TLdnoVxqdsVsluPScNe2P8aear3xZvn6w2W0XG/+mWvG2FPbd7xkzwvfJdns
L5ljVi0jZKQ9bZznpD1R5tGu9/as99+6iVmV+65WTyfD7L2QobaPgjx7gjLR
99jU1f1Y13wF/++Bkfo5K2GQnCm7mGesgGOToId5eaXv7G+VpFciB5dZ6wXk
8t2+q8pVK1Wsdyxflg7z+5RBtVEF9EvkLv04x/E/wX7v6hDHeR+/M+9bSlto
tgRa+f3VlW1kC9lSpt+Apo5rTnnPVJLfbKrePccdnWO046BzX5Zr5AS/8Qzn
O+E96+c7bE6F793//C7wyVK/J7nJ+qB+wPymPGQd1M8y3yrPWz/VTzNvNdH7
a31dVZi1zfXOJnje6lUszDMP06ujQuYNlvm87G093ewH5wjKgPUN/Uzz2zLN
eov+avNC9xtyfNrsjIxy3ruyrNxzU0/831VgFlTvUtyv3KfGOc8L+Vb9o18j
H6sPeQdH7A==
            "]], 
           
           LineBox[{30972, 39977, 13787, 32435, 32436, 14423, 30970, 48584, 
            30969, 30972}], 
           
           LineBox[{32430, 14421, 32426, 9674, 50950, 9671, 30900, 9678, 
            51272, 22708, 32430}]}, "0.12240000000000001`"], 
         Annotation[#, 0.12240000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlG1M1WUYhy/SdE7nMlzTmCYva4K5TJcLmqaW2EkRQiLAEj0pSAyccDa1
D65ADcGJ0VERJf0gKijH13zZ3GziVoqD2bBRMl+aFPmetcppW1cffuf637/7
fu7n5f/8T2xwWWZpFJDuT+MY+CcO1m2DTeq7Ish7E5rl94dhu+zeCk8vhXw5
WNbMgJuFEGs+oQuSZLQcrEI/QolanQnt70Bvk/mX7fEZPJUCcY77Nxk6jR/E
w8zlcGYi/NoIF2R7B2SkOtdxmCsvbYbinXB3OkQVw0P5k97aCc4vx6oh+gPk
32GY3QktCdD/BBwrhbcmQXkW5JbBVeeLtLkWWZ4DWV9DpWx5BarTYLH1jS9A
meeRehTizeUUwJxEaPvUZ/nFbpil33MGltVBR8Cz06udBsEl8KVcoH/nXUiR
/Zxviqyf434jsEUWdLseNfWqvT2rNNWmTquV1lzXr9tkzwYYfw02yDtvON7z
LTBfqtIW29uaesc0qQbV7biZ1iY6psvnXz6CizLi+7zmc7TjLsnxtXAlCN9u
hOftG+dax8h9esWtsFOePACHVH0GZE61zwbjl6BITlvkueutMTdO5ultMfdq
tecjA8Z/LfRducc/1ItnvTOub5LMPuKcMlrdNvebarW2n2PKHPvneueQ52t8
F/qZrqFU3p3i+ehNd87rMmjNallhrkQWqa9indv6ZGt6rM82V62/XkW7p09G
e9dde7I1UcYd1tw3ft/8bRky3yOTzMerGPuctmagfeKtGSD73OMevaHmmuW9
fMe4hz758X4oVLvSoeo8hGWG+9k6znUZ31oAT1p85/qhKpghl8pE84Xr4MSH
MMH8vovu3Xc2T2+bDOzyHP0WKvZ619Rr3rc+73mKbJ9tjV6d6vA5oNcptxs3
eTd734O39VJV1f/fnfcvdxQ8UwHPqv4qxu/yOTlCBi97bn633d84v8w2XjEW
bhgn2CPdOGzfTrlR5ngnC+13ynu2eb578+41yJhKGK4qk9y/+4joBdzbD/Kg
cVi/xPwOecG4Tz/f/MgP4GfjVv2I+WMyUS9kLlcO+9xvRW/QGsfJycZL9FeZ
D8uAcZd+sflydUBvbbPnIWtdZ5s8p5/wunvI8/7K0FzPyppe/wtrzIXVY3MH
5X6VZb/78pH6Xf+WvKn+A3xzTBA=
            "]], 
           
           LineBox[{29908, 41684, 41683, 21842, 31674, 14083, 31673, 13360, 
            39963, 13357, 39981, 17539, 29905, 29904, 48593, 29908}], 
           
           LineBox[{14426, 22724, 48582, 48583, 30968, 30971, 39976, 13786, 
            32434, 21890, 32469, 21896, 50956, 50949, 9670, 30899, 9677, 
            51271, 22707, 32429, 22712, 14426}]}, "0.12000000000000001`"], 
         Annotation[#, 0.12000000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtMlmUYhy9Mt2ZzK2bTtjzAZxOUZlFtkBEeiH2KRxTFDAoVRCIcsGW6
OVMQEw1NPKF4+EPlINCSqW2uEmgZpEgpkbJkigtNp1jTmmutqz9+3/Xev/t+
7ud5n/d5vrAlK5PzQoAF/lSOhr/CYWMFbFPnVsCiqVAtf/wC9smuPTAwG9Ll
YFk6BXqXw2jzgcsQKUPlYFV4BXLV2mRomw43j5qfYI/1EPI6hDnun1hoN74f
gIR8+DoafjsArfLbdsep9FMwMxE6dkHOIbg72QW/Dw/kFb3il5xfjlVP6Q+S
j3bC9ItQMwaeOA2NeTD1FSiYD6kF8Kvz1be4FlmQCvNOwgZZ8zJsnglLra8c
Bfnux1uNEG5uYRYkRULzxz7L7UcgUb/7G8jbARemuXd6ZZMgIxN2yDT9O3Mh
Vg5wvhCV8wscnOEcMlPFX4MpKk4luV9rGuytv0pW6vWoz7bbdx9E9cAWeSfe
PXOPM635QM1YZn9r9jj+iKpQXY5LsDbCMR0+B+QPst5vem2p38lxHTJqG1xd
AmfL4DsV5npH2f9nn+e8CDFtUGv+8zr7z4G5b9pnq3EUZMv4DPder8jcOLlI
b5e5V0t9Dxk0fvie38t3im6GofYr0U85AevkEOMX9G+Zr7NugPX5+n9utr/8
fgv0x0GLubsy6Dxn9CbJHplhzVq53nyuzFYHwqxzvTHWdDsmxdxVWW4u1HdZ
PdKz7rpjrMH4grl7xgvM/y4LzXfLSPM3ZJP5TnlGhlszyH59vt9R4yHOUf3/
eOOxriXLdT94Vx6HQ7NhU6vzytn6u8f7rY2D6mST8RvOneY+fOKcarJ1y2WE
dVklcMrchFqoOu9Z8Lsl6+2VwcMw0W/7h/fi0jHX7FnvU7Gev7Ykv1OVdapM
feX5HBrhOTYXKpuM+1Jcj/EsVeodPOd57H8eTvsf8HC1PdS/3stnNnh/1HD1
rBrmvU3vdM9V11nX471O8flD+460V4V3PCB/0mtXn3onFnpOs0bAl569nYs9
457DCpkoS+w3osi7N8698N3q9YO+b6dsMC7XzzW/X7Ya9+mnmx/+Dlw3rtOv
N98oI/QKzaXKpzd5T/WeLHacfM14mf5H5stl0PiSfo75AnVcr7jG/zhZ5lqb
ZYt+YKLv8bbnWhbO8m5Zc9M9Kjf3nN5jcw0+16p59rsn/1b9+rdlr/oP7XhT
gw==
            "]], 
           LineBox[CompressedData["
1:eJwlkLsvA2AUR4/E0MRqslXRpYmFeMwiki7S1CsWuhKP6EAkEhabxeJRlSZK
gnjU0AqdUJIuGiJpLf4ADP4AcRLDybn5fffmu98XTMzGZuqAEXlJwv4AxIcg
0ArNJQjJUR6ycnYPve/QIxfWiYJnFTiWE9m6dV6+2yCWhok3mJSUWTBqv3W1
C/JxqOnGOdjw7MDZrOxap+XL+Y8d+NSDNdg2C7jXnj2VDjh0z3PvD1lPZaBF
X5pN30BZF5ah3awpBREd0SXz3yv4WYS1PgibVTudW4FV3/uq13XDI9TLg+/P
2Zu8hgUZf4IlHdX9khuFU2fyeqwb7nS5CEU9HIb5Tf9UPxf///UP5lNfCg==

            "]], 
           LineBox[{52618, 52630, 12857, 52613, 56139, 52612, 52619, 52618}]},
           "0.11760000000000001`"], 
         Annotation[#, 0.11760000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlH1szVcYxz81CVuINGT2h5f26rTWrfOWMMxb190oW+mqOtyw0lVXqbWJ
bUQExbysdHeMtux9qno7dEPiH22HIa2KtDcsw6ZZZ8QwbxF/2Gd/fO/nPM9z
nnOec37PufG5SzKLYoBsf6ri4EEAtlRARiqcLIAcWS3PHYQKGd0BTy2CkHxa
bpwMV/NhoPFAGyTJeVMgLgp9tAsvwopMOJ0OHd8bf9k1VrvhGOeY9/gVaNH+
ZxCkFsPmLDg1HO4WQeZh8866l5z2OrRuh4Iv4cYkePIe3JYX9JUOdX85WD1T
CF3l/W0wpRX2JkCXI1DvepNHQLHrzyqB39wv8rO1yOIc9zoEq+XeYbDhDch1
ftVACP4Ir6l4Y9nvQvoQaFzlWG79zpo863LnN8vZYVirr2wizM+zVu256voM
GC2LUmDpBejuvotlgdo9DUZchoWOP1eTHNfqGyfTvbtlP7iP/g9kpb4qVVYJ
yVdgk7w+wbvznu+rxc65JhOse+pCiCl3Tdf4Vl00L6pSzXne3EQVUGf0RfzG
lxZArPmtMnmr83Ph2BY4oeKsf4D7tDvOeAlGnYG3x8NbdTBdJmiPf8c7+cRv
oL1muudxnKO2vej5NnkGGdS+N9/v5nmGNUFv89bpz6qHlbKHdoL+v4zXOi/G
+e/r/3cj5MtfNsOtV6HJ2A0ZdJ+j+ibIy7JTfWqsXa6S+XJXvPMikKZSPNOf
5vWVYWOx8qMB9ry1jzL+RDYbvylnGv9blhj/VSYZ/0M2GG+TR2W8c7q6T4fn
61Q9rKP6/3zHg603z7pvz5O18EWGvT4Oyk/D18me3zNvl0HtnxodG2sOeQ8b
YLj+NJkoQ+vNV4eMpeyDb5phj5qhb4ffLfiVT8lvesf3cX6PNdvzUdky1Tcr
y6vtF9U7yT62N2NlwzHrnQk19uwBeznN/ffL4/bdSdXT2g77X3Bvme9PdVlj
nu+1j3xWhtrtbxVt8BvLLLXUdfu7/k7feEBW+N5D9uJI/weyZV5/OGKvfTbH
vrbvdso0uc71+pX69l7wDjxTRH/Qc7bJOu2w/kLjlfKUdqf+kPG+c+F37Vr9
EeP1MlFfibFZstfHvlN93daaJ0dqL9D/ofGwDGqf119svPtY2KevtMa6ZZm1
NsomYwFjLbNhiCx507fknA7vJmzsOX2PjNU5rlGZrndTPlS39F+TV9V/bV5S
/Q==
            "]], 
           LineBox[CompressedData["
1:eJwlkU9I03EYh5+wCEY7dQrsMLGFCBVSMengQUQPVlL8aHXSCnYIt2lpE1H0
IipEggRq0xJUCBKEEFutwyKnRBErCM0IIg9RJ69B4CMePjzvny+f9335Rm6m
riQPAF1qpgk+34MPb+CTSo9DcBLycXhv/lbGY5Drh8EquF6AV9aCdairhUwO
bhh3ylwGfp+D8h44porGf6wVVMr+uxMQWoOEfkMBfNFzQC7JDd9WZCGqdnz/
/wWsule1efVZ/eQpudLrXtbbX8NwFBaNE8ZL8kkjPJPzqrMbJkpwyPseysPy
sdyuh3+z8HMKpvMwpUL2Fuw9MD6ahrt9cKHGGTImxz7CIzWijjfoJ0POmPSe
uWvOkRe3YNQbmuVldUllzM97y31ZJs9UQoeep+XfTfi1DLe/wi2V1fe5O4T3
/uM7HJElGf4GLfonf0DrS7gj2+TTFXdWB+1Fit4nrwb7/7kL1ZZ16Q==
            "]], 
           
           LineBox[{27302, 29765, 29752, 12403, 37304, 12405, 29619, 21428, 
            29825, 29827, 27289, 47000, 27285, 46996, 27302}]}, 
          "0.11520000000000001`"], 
         Annotation[#, 0.11520000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtMzWEYx79h7jOzlX9UjlJuUTGWS6icOS6HkFCKIinKMZc1Qx2NVHI7
R+Uy90uFLZLLPwlFNNrqiLlHbosQZs3i0x/f83mf53nf93mf3/u8xxCTPCfJ
SVIUP2/SpQ/o6yLpN2xCoUOka9AwTvqDvy/ci93QXzpRIFnM0iB81cTK8d9A
NyOlbFcpD1qZUwC7tK+D0cSz4JZCaQOKYTxyh3SXPJ3b18Je2PPxW4h7wWJ8
RdukQvhqu+SCL5JYYwTrsPPxJxDfC89j1+I3EjejIsYunOE6TB8rhbySchmb
4D5Y+lJaxlnD6jjHY/aFedOo9xTzTkv94LpB0lyHFI4cN6kB1sCmFMmZPWug
k1W6B1tQz0tSd1QxQ7qNLqaSt1wKQtuPSedMUkQ9uVBZGXOQMzkOn5UenpF2
w0ewerpkY2yCDuxvRingILWxx4FgaTa1nq6WjiMfai1ZzPfjOy/D7zWUnBmS
H9wMHxCzjZcucwZjFWP8vpzxGNyN3UrsyCzWFknN0XCnNHAYNWaSF/WYzfeG
DajjEql/FjlQ7VJqmMC3Y/yX+Zm7pNf4dEH6Ce3YnXy4Z+KxqA3f6PPSL7jR
Teodw73hd4Hv2McHhhA3okMGKY7YVvLVwT2wEb5AgZznOjTCz6wrJ1aJXYbi
OMd3zp8MlU3fEHv/RPK4RR33+R7451J7OuyD7Yu/mXgL84zMz8HvT537YTh2
LEojz8BA+oTxBM7uwbpZ2HOocwEcjW2mzrocyXWi5B4q3WH8lhpKqDONnmlp
r/ei9DyWvuT+qug9A33ohTxREHfrwBcIK+GJp7wd1HUA75G17+jNDyiRPX7C
L+gTuezMr2K/fNasJ5ZDLYX03VH8BdCGPYmYHU6BRhSC/JEJjULxxBJRl9v0
O1w9XBqzj/2pIwLGo+jlfM5J0jbexELsB/RxykzyYWegsMH0H71ugmFx9MgC
KfiytIM5q7CtcFOSdNZPSiUWekVaAx0efA/yPoPz1+KbJyXB1ciCilnjdJV1
ntLUR9RuowftUrdE7gS6IauvVA8/orYEemIyZz7Ke8KezruJLOV9PiQn/MF+
d/35z7PQr+T6mEZdsDWAe1sh/YMOfN4j6Hf+A8bhu8d/wrWTvEvozv9EFLV7
F3N/3IEbfMOcjCDuKp5cuVIH6IB5K1lD/AwM544qoBnuyucNcK8H+R/9DzW/
X9Q=
            "]], 
           LineBox[CompressedData["
1:eJwlkU9I02EYgB8hB6NbJsSaUOBaFh6MJPPQoRl5jknr2mEQtK25qDwsvEjz
sg4lwrRAKNAoBGXsn0GjjbmDxrp0UqgOUaeuQYce6PDwvN/7+3j/fL/TtzM3
0n1ATl5VoNyC1CFs6dd7ELoHGz0I65VrUI/DtzKMDcPoIxiXwjgc0Ys6oPvl
bA2iEpFYG67KoPGbm3B+BAa8s2EcMjckwftQtF/YHgV9Sj/Xly7A3TxM6ll9
zDme7sCvM7DmXMFpOCjBUf1nDb7HoGQ+4Lmol2VJsg/czx7r8vI6bOpkA97q
J9bq6uOr8Ennp5zD+NxF0S1zf7fhtzNHPH9xz85j+Kp7+rMszFhvwnk68DEC
aXf64P2f0vbeiTk4KT+Mq+ayfr+1Cw/1lcsQN64lINGEed+nas26NM1130ND
x6OQeQb7nnP6hTum9B0JJt3Zvu8q///jP28vcYo=
            "]], 
           
           LineBox[{27301, 29764, 29751, 12402, 37303, 12404, 29618, 21427, 
            29824, 29826, 27288, 46999, 9473, 50709, 22292, 29983, 9472, 
            50387, 9466, 46995, 27301}]}, "0.11280000000000001`"], 
         Annotation[#, 0.11280000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNlGtszmcYhy9kSJcFic4Xh+ra2aEOa7IQ020Uc1hprTNU0VZ1DmtfbLaJ
Q18t9arSaamRDWF6UNIRyhftlFXLyOpdNz6QbTYT2WbMlg3h+vD7X89938/9
PPdz+vfPzJuS2wHI8nPlS7iq/o6GjZ/CzLdgaiJ8OB9O67+gKmyHK6DDu5Am
V42CtTuhSPYKQ5R61n7p46FvuzkToH4vNMv2L2B4DhxohErVPQ+6DocbQQil
mrMYvo6Hv3Ih+Zg5F5xDThgL32yFnF1wcyQ8XGCOdrsKDoE+MkZ1XQgd5d1y
eOMi7I9xYfVQ53iBJbBI5ThPbQDyZF0T1KjwM9rTnPMorJYr7b9cBZNg4TxY
J0cdgX7GUrXHPQ8N+bZl0T4oUR/Zp9U1T9sCa7SLX4dZ2c6nvWQQRMtFMvcH
WKo6O29QDrvqGHKinKTGqZdUojr0puuQO41vV1Xan++AMtsl6v1D+o2f9YzK
9f/2mmt3/7u41wuM/Wr7Z3Wvrz7PtOoy7FFnzDmtRpozV0VdgwxZ4zih76BU
dTO/UOarI+b/1B+aNnmmKdDbeS7ZThoIL7fCO69CykHrl9HaIzLcm42eiXZ+
MmTaXiFDcm+ccTlG3ZkDf7iOwaegh3kFxqYctq+M0I7W/4vxavs9Knbv9N8O
QbY8qX1GNRq7meB4jn9cO0Fel//r22zsku1VMlvucA2DXUtKLcRlujf2iZSl
xrrJZcYiXMdD668tcc9cX4axTrJc+67+R+ZekyHt+9YxxHi8atMXK/upjs73
4wbrUBHW86e8pWLsn2X9D0YYnw3/yZavYFML7HrR2lx7mRyjfVh/mfHWdPdj
vfPoT5SxMmud9+8Vz8VYXA3sPg/71GT9CZ7jMDV6t/P6bsL7vVMTHavSuySr
fJPf6pv+vdSu1P+ZOtXgnqqwvnRjld7ltY6RaB2FsvY53+5qOChHT3U870qn
5bBV/vMxPGntd2SzYg1clD1927dk2Ld+Qy41t9nYJ/4Htqko30mFdzXNOxpv
Xakyq4/r8m42qaMqxbsZUeD7lElqW5o1yQLHPm47stp7Kxeb1yLn2LdNBuR8
tf0F/ynuy3V9ae5V5Ez/cdrV+muM18lYfQFjb8unitxbfU8UmifjtTP0f2B8
pdpge5axUtnZM6iSQWuokMXW0CBPGG9U52bAAPu02X5vkn1lQD6t719jUbJe
X7Lz3JMJ2r/rHyofAwGWZHw=
            "]], 
           LineBox[CompressedData["
1:eJwlkU0opWEUgB9KWdgwRYa60TCNhaT8LZRCY2GBGV1rNVLMdUOicDeakbKi
KbpEFDVSjLoJMfktUTYWSLIQWdhJ2XjK4uk5ne985z3vebOaOxpCccCgzMVg
bQ/ar2FFz59AehgWzyBD109Dnax/h8Je2NC/i6DEuFQKJF+iOZCnV45hVXLX
4bEC4s3FSW0Asv9BlgTktBI6u+BETwX99wsMR+CzTrY+RRbNp9snUxK7YdTZ
Mqo9Xwf0mC4uhLYBCEmy845sQpJ+yIUZ7zAnV5PwMgvPcut5E+aiMip/ZFzC
PdZ6xoJMfYVl/WMD/upf9jrSH6LOrfurYFc/e48dzRq8Gj858ydrzt3Pgcu9
0Re6rRSGGu2nf3qX1ENzetv6e9mzLq0PPsqdccxc2O9NR9Cjy8vgm/HEJQR1
8D9E3FPM3kN6p8keW7AvoTF3qjt1tMZ31a2S2AIJvtFS7P3N3wAgnYCd
            "]], 
           
           LineBox[{27318, 13258, 29621, 21426, 29829, 13335, 27287, 46998, 
            47002, 14044, 22295, 49483, 10483, 29998, 29999, 13398, 22293, 
            13392, 29988, 9471, 50386, 9465, 46994, 27300, 29763, 29750, 
            12401, 37302, 37308, 27316, 37278, 27304, 27318}]}, 
          "0.11040000000000001`"], 
         Annotation[#, 0.11040000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlGlQzWEUh38ZMYaJGTFjKXIvk6VrHSayVWOrq5sSk1JCSculD3ZKJV27
SGNPSd1sI9QHYwu52SYRMmMLMYYZ29gm8vTh93/ec867nfc9798jxjoj2UlS
PJ+RY6SP4ZIP/J4pBQ2QymEv7B/4u0DrdKkYXyK8D/vhu0XsMu0L0BO+6i11
c5PS7PSNkJzpsx1GErNBG7E1pVI07aEbpRus05rYJdgBOxS/lbgRnsZnz5BK
4LMsyRVfOLHXcxiHnYd/KfGi0ewHXxRtB1zCGnboyh4qYDpx3xfkiaagZNSO
vhZ47rlUicpQDONCHrKvR6wD90wj/6PSTphbJFWlSymeUuNK6cEV6QPszNz3
YPN64vAnCh7JHPuk3X5Sq1WSF+0ByC9MGn6JPcCxqZI3Os58tnyp+2TJzFqF
xcwdIB2GdfAYrIGzH0sNz9gXLGZ/R1EA/h343J6yT+THPKNYxwdN53wK73Cu
nH8c/ouwIJIc8RsHch7Z0mC4Glbjz/GRzlyV/Ktp4zeVSYfgVmwH/l/EX0Yx
3ibNRYZB5L+Jc7RITdAVdjvBPtzpP487hDXQuJm7gUPhYPSHcdlbpef4/tH/
K9yF3cqLmiDeBh7HbsLf7qTUHrnEUEPEXGHDWGkgtDDWxBp7PaQFxNZGS7Vw
G/xNn9e0fdhTBfSH7/FdJnYdewV7MGyRZuL/i/0PlRB780TyqGTdW5wLfYI5
g3TYCduE/xPxL/TzZ+wYVNCSC1zNPPNgKgyBlpY4+/dgnHkcNjmEwRHYgeRX
u016gtyCqT34ihzKyCW1TspALqfIF2YjOzUUzX32olbnwwnIQa32oE9+PbWA
StF3xjdQs29RPLE21OxX2u/Gc76Myd8h3WSughLpNswhl4P4iwN5R7Tr8O+D
J7EPQDNrBKJpKAvbGxYQS6OdjlJQEkowkWcO7xDGwsiF0iwYilZQz9VTpeVm
aQvtROhI4oz6SzNiIXKfLU08K20gthg7Da5M5h+B1hELOs97hQ8MnMU1/gko
OZQaWcJ6MCGFWkOn6d9cLh2BRUb2XiWdhc4JklOu1BYaYE+UNoR8YSNqWizd
gVWo8p40dRJvjHmqaAfBz8x3Y5gUsZT7YL1G3nlb3nxHK2+Tf0Ap8o5jvpb/
A2deXijdhW68zwhy73uGu+MeuqIsXylzP7UKw/P48S4iL7gnnjH0u4aW0Z7J
/cwJkTbvlb714d+Hvx79B42jZxk=
            "]], 
           LineBox[CompressedData["
1:eJwlkktIlGEUhh9XLlqUQtOkaMo0A4OLqLwUFBhdZmWCeFtGiosStYuQSEoM
ZdKsmhYRg0OjMKgLFwOZlCNlpgtdGCSIUbQo2+guW7SoB1y8PP85/5nvPe83
f+X13qaeAiChMrMQrYbsGuQ+QOQylPXB+VPQOAavm+HkPahWFfZDc3BlCZ7U
wAl7UesqGbduSMJVFbEOq8RdCHyEI6oiB0dlUOVOQ2wQvtZCUQtsHIeOYTjk
89oZuHUHLuShR068gNWLkGrTKwojzkVk0POH9czaD7pDqSrUL2GOEjM8kuXy
qawxS999fer0MMPoWzggf0Ugve4dqC19/ryE73ptrMJPWfnFvCrp+8QxuO3O
ebk3A+MxGHrm3m+gU03p/dDzlmVxyhxy8BK8l7/NviCrQvDP5113Dznz2f2X
huCb3JQ3zB73Djplt3kOL9uTeee31aJzgQHPdWb0gfnliMyH4aD9H75/nIYd
eW0F6s9Cv78/J5usn29Bq2x95+7e4Ss943Kh3bPnnfW/+1sPnzLehbxpXdgF
034jk7P738p/UxmIiw==
            "]], 
           
           LineBox[{13257, 27317, 27303, 37277, 27315, 37307, 37301, 12400, 
            29749, 29762, 27299, 46993, 9464, 50385, 9470, 29987, 21834, 
            13397, 29791, 47056, 47062, 22298, 52419, 22299, 10484, 29997, 
            10482, 49482, 22294, 14043, 47001, 46997, 27286, 13334, 29828, 
            21425, 29620, 13257}]}, "0.10800000000000001`"], 
         Annotation[#, 0.10800000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlGtM1mUYhy+WNByVM7LMlCHYLBWGWo6pScrKqZwCdCKYQtMUBkhbmUx9
Bx7AE4nFnKYiJscpCx1+cMYkQ9TKEDWxladGreUm1Zo2PuTFh997Pc/vvp/T
/Tzvf2xuUVphEFDsz+sz4M8lMEP+sxmSJ0CbDLf/r/5zsjAZ6vXyZbd8We+i
sXbbp+V4eScCRo6BQJO52TDEnEqZbaxCVhhbJpcaL5L3pkOosa9cL7Qc0vUK
myFKtug1boIG+fNWCNPLNJaj7mXBa87RL486R7d819wuWeQajTLM+ClZanz2
bVil5qoCFWJuikxXHbegVeU4Lu0axP4IE1XGL1A9Hy6XwWd10CmLX4G+ddBz
Fv6Qzzr3U/pvTYOhJfC9Xqrt2P0wVQXpTZL/6ZeOhzj7G2SfLJNT2t3TIjgb
BzMD0Oz8FYfhxbmQeBSONHg+dUjVqZ4FUGU8uNv93YC77nGhrHe/n9qeb/wT
Ofon707NMXea6ydZv/LT3oMs0Fupzng3tUs9t17URGtUATGyRF7Qr5oJX3ZA
wkXb+tEn4KDcab9L/6Hx28scv837VJGTrMl2a5sKAzJMjjzmPsLNz/Fe5QP7
N21/tAsemR+zw9rIcvv1s+CGY+rk0FzYo1epgqJ9M+YFy2b7A44POQ6jzDlj
f7j+EeN334AJeimDa8oy15tsnX4wdkXtWu6a5iS5xnvmNI2F4/q/67UbO2d7
rXuJ3GltzQmVIe6lwdivvRDxtf1L1secVGtRKofZj9a/b7zfvCjzExxXO3gm
WeI8y+VGmSZT1HT3H+G4RHNTPMdCOdX+As9xpdIaqNHv+C7lHffY6jk2Xvc8
6ukWayLLVWOCdfFuw33DuTJedfmOR5lTc9N6qufVCHXfd33LMU/4nlcZD5Z/
6f0Wb50dV7MbzjtfbSNcklWe54D+NftXVa/ap3cs0Tcg28zfIjepWr2ArJHr
ZbHKi/GMe2CNXCGzV8Aima7W+q4vzPMNJMEO2/myq8D6vOp/eKX34Jgxi+HN
k7DZ2Gq9gPy40LdrTrzcYHx2m/+HKDhxDtZNMZbh+1jjejLvA+eZDG/LFvP7
T/k/GmeNz5svh+T74auGJ2WkfEkFYj2v7FMDefCt7FQdl51LZTpHp0yWD5zz
G9fMKvYuXK+v1Ln8FjxT5Pv129Ck4t53vsHvhrVu+8I79T/6gsry7ONavTfr
P0JtmWMdP4dtKnOv30LPnSr/d3yPrF5t7f2ufueYD21neD9L0mH7Pvg70m+j
fq96DP6ZaZA=
            "]], 
           LineBox[CompressedData["
1:eJwlkk1IlFEUhp82FjFkQSISpOn41yrUVCrCyCFcSBRJrYpcBDnUGCqUMUYu
LLCFZhDkTziRRJuJsqKfUcYULUbKhZVmtshqUe0yIQh6oMXL891zz3fPPe+5
W+ojB0+vAp6pojIYfAx31F2VdgIaeuB3FczE4I9sdj2WgJEj0F4MD9sgKg8k
4cU81Mn9U3D9A9TKjaNQeA6O+f1jO1y6CUtynbFEPnRchLY6uCxbZYbxMfe/
nnVfnXziGZOyEuZdL1o7zZz31l00b1y+Uivujcqfcmue92uGXw8gKVurISU3
9MF6FT8PVwqg5RqEbTwqY/tgOW7NbDjjfqe8OgO5C5CjvuyF2RTMqU837GXQ
+8gBc7551tpGe3gO6XK2AiJRKCuB7mlYbezdMLxUeSHoN/a9FILeNeC9Mu1x
6LA+2E+msXz97LjgPGSv8dvWuaVONUHVCDTKlH6k61e9ecfVQhDeDlivG/rU
/QZ4KodVZJt3sc4eFTPe5WxXzH8zDn9lbgvUeNYh53/UnNfuz6osayftd0xN
uE7owecwhOacn94GVK3zXi7y/Tj7Gr9L9LNcdXpOluet0e8MGXVd4Fzi3n3S
3gPGp+Q91zvM36ma/K6UFarL/I/l1nIWm/y/WF/a9afH+Gb9ylGhCahWvb6j
oOtsfS41b7e+h/thl8w0tqTvj/yvUO+Hpv+/838BBLto
            "]]}, "0.10560000000000001`"], 
         Annotation[#, 0.10560000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtM1WUYxz+VjaLLHOuiKdY5NouEBEotNVO6TcNjQiWBprIIQbnoFKWM
EBl4w9QuTs06TonDpqWJXUSNwk6lJeQN0Sm5sdZq0+kfyvirD398z+e8z/d5
b8/7vr9AbklG8U1Anj9PjoV/s2GMvFYNUx6DJnnB2CeNsEvG69UbKwxBmzyt
fjV+SH4vh8muh6DC/DJVPwNusU+dzNGrlbXx8KacoV8sL42BDNm7Al6WVfpB
maJa9eLk53qxslzvUg48Yd8rcod+m5ypH5XF+g0yTn+/rNSf0AX5ar4qVDHm
hmSGarkIzaqnHvp/4R5ce+QsjDgD0y9ApvpoMvxRBR+ac0SWPgrd5fBnC/wj
7zAWq54fBbe9A78bm+r/EVsgVWFsuOwxXvkIjLa9THbLlMOQpF58HX54Csa+
D42OXxuGNGMDXoJO1zVYbm+A9cb7tbu2DrjeZn1d58a+Nap1aoMKnoPkYTDR
3JHOm14DNQesv5xvLE81eybhmTDbWHC4NVrpOmS5/MX4xN+Mqa9+NFclfg2f
6q8xFrV9fRxcnGX/VRBIhFOrzZE9slfFvQL37/K+DDF/DhTJy7bP+n9xHSxQ
JME2edLcOnlG7hxvDXPdh+1Y/ajsMh6RjarX/jG7YaA5zbb7m7N9Dfz1DCQY
C/XNKZc7X7J1Oq7XrtbOhhvmpDtWrjmRgPfZ+N/GDun95P8y1x9Y65mbEytz
ZIzrOa9/u4w5an3MmWotKuXdtoPGS80LyHtdW5r9wno1stz4LPmenCZD6mlz
HrRfggq5j1SZpCa7j/Z1MGiaNZSJskJ/j/uoOW29vIN3fgmLZJ3thudgrmf7
ndzk/R2oN0Td0wn/nfLNmnOzufnG+snP1sMc7+s2WWu/n+0Xjvh+1FbbVccc
R56w3aE6VZO51b6FvXKJDKd7leW7qlQVPO5eNkKJfEvm5MFrMkOV7TRXLZ4C
q2WhjBZZhwTf6tvW2z6Ds+DZfbBCb66xCrmk2Dtqzni5TH/Cft/ZUNfQCktT
9V71HpQ6nyxY6Dgp8ILcbf6Vb9zPw9Yyar584FvPZ5710/8g2fbHziFPym7V
WwhH5RHVctwa2yfLMS47VqtzZS+wr/N0L4db/Y7cVeL9tIYRNTrfcfq+B9a2
aYfn5ju8T2VPgqF7rbWM9xyq06ztVlipsjbBQfe7L+j3z+9MUQEcM3eRzPQ8
3siEVZvhqv554x3qf2GQWTc=
            "]], 
           LineBox[CompressedData["
1:eJwlk01IlFEUhh8XFSW2MWRokZiO5iaKGspVLqaahbSwolUFRSEWajSBQ00h
YYFWNhEt1KwpojYZMkVoo2YZaVNEYj9qFiQGaYuoCIKgHmnx8px77r3nnp/v
K9hTW1mTBTxW5xrgSxnEt0OjdjoIOTGYCsGpKzArdw1Bsb7cfqjQvjQBW+S2
AXg07r1S6JcnR7yj2iIQuwNRdUj9LofBDNxcCT1RKFkLf/dBUN56Aff0Td2F
aZVXpz0GARncCMtk9WWoUknPtZpfQuZ3wwW5ot54aqmxwkdhk2rRX/YAzsqa
YuiQC9thkeo6DPVh6JTfUnBbBgvhmGeWGGOBZwKyyXXIGKtVxDp7rC+tKrSz
vZejwub56QA8eW59amQVdA9q34dh9XBO+gM7jG3eo653Gner8SP2u+AI/CmC
l975JVvcT1ZDlvvlc7kbL5UwpurS3ybPq9cdMOH5qhPwbD0sNlZG1lrLhj44
KK+12ivfrXR9XTZ7tlEVOas8+xV3rjf059nHbN8q1DezBtqdx3L7PuQs3qhx
Nd8Z7I/bQzm6zvfk6TR8trcJOStnklJ98N0zr6zpvd+CfGf9JdpBtddvIaGv
KR/qnFNa/tSX3Gz/Lzpnex2VzcbrdD/gLFKywXldld/t+Q/Va76lzuyrOfcd
t3dyt/UPa09a11s5z+91shfG3KtyL/eptNa062n1UQ14NuY3nwn9/w/+Afu5
ymM=
            "]]}, "0.10320000000000001`"], 
         Annotation[#, 0.10320000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNlHtM1XUYh5+s4ZhtxtTSRAculYIItRBtRmbqvBwn5LwcRcVAIEQ0xbyE
RnrwdkSnM5dRMiWwZZpS6pCJSGhqwzJFdIBu/GWlW2tF/GM9f3zOc37v5/3e
3u8ldklh+vIngGx/Rr0OD4IwRv65Baa/BDWyzdj+r+BrGa1XaSxvBjTLm+qy
8Tp5Vg6VHTFQbH6RqlwAPWwTlkG9Ulk6CDLkfP0CeX8spMnuzTBVlujHyiR1
US9KfqEXKdfq3Z8PI237SB7Wb5YL9JtkgX6VjNL/Tm7ST70HS1W+ylQRVcr8
FP+PVfUd0PUl9DZ+1rlXt0JiC/wxFWa3wz7508ew15xGWRgH7Res0TqYayyQ
7NyMT5A918M14zP8n3gQ0uXRy/CfseHnnc9wSDZng+yUScYS1MTZcD4FxssG
89+UJRXw3GRodV4DZUU17Db25M/O67ZrkH9fhwNt8K9cX2vd7sIrw2xv3quO
P60UQsaDMt9Ylqp1Pw5lwCJjsfHWZxtMUpeMvSbrZeoVON5groo/ZW3lBRUy
XqraF9l+O8QkwK87zJFdsltFzYRnjzln1ZQJD+Xv6rb/y9+A1bush/nl8oa5
YXlLHtHruQT2+B35sm1lh/Fv5Um9bttHfAP9zak11tucip2eMRVnLOAY0fKj
wdbA2oxSbXrlrvmvcbBzMfwjp9lnprnVsZ5p/ROqTq9BFjmvmLD7Zk6kDMoI
x76rH3EVdulnHYVc4wP9LpQx+n2d23jzD+mHZFiV6X3uOHWOE/A7xZzBtolT
AdcxQiaoKa7jehk8n2YNZbws1j/hOkK3YIXnr9dxWCXDfldNgBz39oz8xLPb
X2+Q6nMHfrvpms1pVb3MPyUzPKuLVfke9852P9iu0jV8OB0O+l1yzX7kL8Za
VFcq/ChrzF/nXVijRjtOstro/8cXXbfMTXQ9e73zKpgNz8g0mSaLKm2rVgdg
u8yTTQUw80Xv6lLfmLnW2/bZsknmGCs2Z81yz6k54+QGvdTv3etG74f8YKTe
LO/TCnhX5r5vHyPgbXnM/EenfQ9esJ6XPDNywBnPd7411C9L8nu/Y8gbslN1
vwdXZKOqb7bOtpljHw/ta95KmKVCjtNZAk/5jjxdaL/WMcv7n5xjP979O6rm
iHvne9FPzZsCQ05abxntXmx+y/p+BlvVnANwrsY9GeKe+M4sy4Or5q6S6e7J
4U99T97xnsmFskXvf0bqXXQ=
            "]], 
           LineBox[CompressedData["
1:eJwlk0lIllEUhh+hICgjjGiZv1MFEYJKBZktCpVWaQNBtRBEykzhL1K0zEhF
KzOSJMscFhJUGiaE/WqKlZIVpWYpQgMRTeYiggaInmjx8J577vnuvWf4Aln5
GQfDgMdypgw+rIOS7XBSOxQLC4rgbRKUN8Endc8wxOqLuAtbtcPVzAEYmIL7
0icnRo2XhjQo7ICgFMiPjTA4Am2rofsQxCXCn2zo0u6UrmhYUuB9k/Bart6D
mM3Q6t6+RmhWo7ohIHXaFb5nVaHv8L1pxZAuNfrXhyBZGrXnX4YmtWgTXFS/
3oJZuR70bO8r1jfjulQ9YkyVWil5cRDvGYmyox0WGZPum9qlQyKjPEN9k2vN
vPe9OqN+kbF4+KkmrDFndSYT7pjLFvMdvA3DstjaLjxgHdVd3jemb7eaYUyq
+UQeht8xMO53/fpq3K+U5v02ynXKvzd6z+A52GZdb+pv0D4r41dgym9zSq2V
Z42uhWvmm9wHGyRXu6XBeuy0dq5b1VfGVBsfvdIeWNN6fSXWN8Xvy9QofR8T
4JKDErAnQ13wXCZlrj3LPgrz1DFzDlcrepyHB3BaPS+1Ui8jE3BBnW2RNghz
Rk49g6fT8ETKtV88cja0YyTLuanVV7UM8q1lSP2mrznV3tU5F/YnqFbbrxvu
L7Xfnepxe9mk/rJvy+1zj/VaoX42j95j8F3da87D2tPmN6HOca6ne+GlexFD
9kdynLWQ63Fj3qn9aqH/xsOk///LXz/K11g=
            "]]}, "0.10080000000000001`"], 
         Annotation[#, 0.10080000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNlGlMz3Ecx989qLVssYzIUawVIWduMRllf5SSIqRU6HLkKBXy1+RfseaY
/s6p3FGNpOmSHCm3bm154Gwzc+SB4/Xg/Xv9fp/353t/vr9hYfFL4ywkRfKY
MEP6sEKaCttg2SWpFZ6BR9Bl3gfhnTdK6xdLDfAlqiNeDkuhM+xwkpLJDyfH
gvws4r+nS8F4+0PQECkEriAnBnbi+cKefZIP3IPvBMeiarw+8BSeNdyB17lS
Gk/bbngOvwGuxK+FMfj5sA9+CUzF9+yUtsEIaFmAyJ3C+zRU8Vb6mS/ZEi9o
Zm1ozBvp80JpWYeUA8/iR9DeG9anSe1V0tdEaTnfhsnMi9hcaJUkBcB3ePZ3
pLwH0gX0l2+XCubiKnmQkwS74Fhi7+HdqZKZ/NuwivzZgezBWan/AqmJebWi
bL4LmZcJ9syXvj+VjrVLv2AibZ1apQTo7iLZpUsToZHvYN6t6Gcj7co4i9Or
pNXEnEZJCw5IKTOl+8Qm8V4BPR9J16rJRW7F7CmsREbi7Ws4z6vMGTYdlF4g
t9HSP1g0iz33lfrhO6DatdIX+Am94d3sKW3NYi/IN8Pn5JrgK7gfGlE6sgqT
DkHrMfQBO/Cvwy54gz4m45fAMmK25JwxcWbIlbiBsQbB3UPZh2fUM2rDM7P2
b8zvYKj0Ay6kr1ByC4ZR0/iFqByvCiYwP8dMyY8caxgMLRmvBd/ysZSJH35R
iiLuwHccdMTvyxrnkH8a3whNKAvvJOOUM46B7ynkDKGNKzJck8bBUcibdTRm
SwP9qEXoBpPxj79mLTCeGrQplLZAE7F8L+5rrnQLHqV+7fEGI7sW6eMr9oS8
NvJsYBEMoV7XIPNh9pp2ZuafAXcZpBNwTz3jzmYe1P4PWIf/ABWTn0lsOmNk
wJ3Ig/cU2N0k/anhx3GPNeVw71FwhNQb+kJfmJAn5TpSV7Gc/SLuDqxFS0Zy
XyP5zwSx5+7SOlgLI4klk7ctjnolZyZMwvO8yXkzzjy4fQJeAPdqkxQGo7bQ
x3jJC14hv/sW/wRn1lJH3cABpdR6NGeCvwM98edubOZsxlFTR7lLG6WHsAZV
NLLXtAmkjy/0FUSePzIyTtdeYqhXPP2yl+Ej2Iso6ph/QDMqPs/5cT/DfRiP
PU+tlGKPU4+cR9pc9thMfaNAYndKOJfhnAv/yegN0qMizhb6cZ7nTvBfYY6V
cBV8jfcfib9kDQ==
            "]], 
           LineBox[CompressedData["
1:eJwlk1tMz2EYgJ9wl7TGuLKSMFujKacbXFhrXaXWtMUFI5ZWjjk0HYbIaWNq
acSfyeYUy5LCP0kHpymHJCPDSrOMcdGF8Wwunj3f936n3/e+32/K6rzU3BDg
lUS1Qf88mKw/6Mw+GD0NFj+EvXPh9C3Yp5fYj0qAc0/hvFxshY+9UKPrpkJo
Boystb0V/ugm3SAXZkHwMbRIXi1slu1yMsn9u6FE7r6FVmmW1PswNggpHRCh
Y3bCCttf/YayM7ApESYYC5VGv3NPCXxeCB1ZMKD3N8NRebIDDjvW6brtOqg/
GXuhG3XWbQhr9wzpsd931/tIiPv26NF65QL45didQu8jscbivWtFgXetg2pd
tBRu6Imn4Ioum+4dT8D6Jtil+5+bVxn2zj8l1znr9CqpNydNUtZlLmSUOTmo
0cM1EoDyO/DoNRzXBY51voNifch+qzV7IG/mQ1cRdOs1u2HMRmM34aW0ScB6
VclgPEzxPsXmYFG6++mK5ebTWPRMv8M93nvngLGUe1Cpz1ZB9hbHZkCisUu2
u5wT5fos5/fGmNNqc37MmkptNqQtsd62c+I8xzfw13PPGC/1LR2RoO8oxfXJ
+e6pY7fBMmOZzu12PENHWNuwHHhmv11aJNk539NgvPNzrcNvcxnnnc+a+zl6
xFrWm/cGGdwAQxJr/IsecO5V3+tliYyGSZFw3XaShFvL9GvW1nWzJccalvoN
ByTf+hbqIed8k0Ce5/u+y439sF+pwz1/nEQm/P+f/gEcsOPF
            "]]}, "0.09840000000000002`"], 
         Annotation[#, 0.09840000000000002, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlG9M1VUYxz+ujNUkZnOVjkCyWJCQmVrLwKktFOJPWnSDjLwJDkkMKkvJ
mN2rI0BrlaVYxAQsnBroTHIiGJUKarqVmjLKXvAi2MzS0Yu0Prz43s85z/c5
5zzn/M65ccEVC0pHAcv8Cc6Fj4qhSB7aArkLoUHm2C8zfrTNPJk/EVrvhm/2
wjOfwOzHoXYrrJ0DE36Cl42t6YTYn51zPtx5Btoa4WwznFLTlhq/D3Z3wS0r
YHAtXFShp2FBGTyrBkud+2sovQc6TsLhTXBEDS8zV9ZOganm9VrjynLHqtgS
uGO/8zom7Qdrl0POscO55uinqvYHIfwKdMrtsmIqFLvu63LuPv1uSJGrAjDT
ccUJ8JqsyISCIihUL+l1JsPDMs9+ljk9yz0j5yw3r8P2llh4tQmyP1CFcKsM
yEkyWv33LfyrBs/Cn2pIVZ1zzX5oehJqbDfKni/hyiz3Yz9dre+FTFkpN9fB
anOqZJ154RG+Dy94rvmq1fO/OR3Oy9PWUm+7zJyDfs91fod9Mst+oWqyXW1e
pu2owxD5Hrxh/sfGKnZBwlNwdaPfUp6QaUmQ2AMPqAz9eBmtZiy2XwsH4mDr
Tr9TjvPaD6nPJsMseZs5MamwXG+8Y4pk0Ppr9G+0f+5FqR8wHmF+joyR8eq4
3riR+WVLDTS7ToHrzDfnSgq8a/yyrGtw3/pxaTD9FLwd490cqTMIv21wDuuv
14+U7fb3uN50va/kRefabaxPdsujKlKvS46WIdnrujc433lzWhxTb+ya9ZfL
Afe32djf1lU3sg/39JfeTa53TG+c8SjHtVrn9WrPVu+0PKMGCnyM+hdk6Jjv
0G/RrRL2WKfcqVKMdyyCh6rgO/nWY/CFvLzDM5bp682d6d31DEa7/4D90AHf
SzyMtZ0k37R/6UfY1Oe5PWGttodltWN2+V43yOwMx8k2cytlaq73/gjsf8R9
GTsoB1ZD8iHPTMbJaDVRTbN/v7xXXVvlW3Nco7rdcb/bXzjD2syZLSPe8c7I
XO/kJb0L3t0eY2n2lzzq2crE7fC5/MM7Odn6tvkGmlWk8avGO3w312XKr96d
kDK+xPYoucY5xmR5/i2eu2rKh5K7PFeZZ+5x2WDOkJyi3y9X6kc8D5/qR8ku
/WQZqyr15slhvWzZr1cin3Nsvgzrh2UgDP/o1eb5Tf0eQWuoMKfP/89Jeknq
e715MiPROuRSc7bJCea36H1ofr36xXa73Kv+BzaLY5s=
            "]], 
           LineBox[CompressedData["
1:eJwlk2tMz2EUxz9iXqCtZV4xIZet5q7hhaZNYjZtYVnaGKsX0sWlplCjsZAZ
q7lVqjXmsrSwXPKn0YVk1awyMmumGdmMFxjNx7z47nN+53fO85zznOeZujUz
IWME8FIdPwjte+HEIziiPiyF1lQ4pD9f3Z0BY3JhvMpaCeGy4CKEyfZZMPYh
hKjRdXC0G5JeQXMYFGuflNE3IecGZKimdgiomjnQsAcq5e8U198I9eFw9QkM
3IJpi2B+OlxogJhmKJPRcpkKsp6k15CsJrVYh5r8T+YEl+mTZ1w71HUrM+GT
+1fL7BVwWdaotJkQeR9mq/W10KvirHut9W7bYf37zFMRi+F9mrHyoxxUNeY2
mPdzCfxqtU7/Vbtvo+tXybl+fzc33X5Cs+HLOlhtTU320KI61Dj3CLGPROvs
8jtJRhoboWI3GJ8D8TJgXrH/D6uK7TC80DMwNm2e652ChOVQqz9Wfq6As/r6
ZLfqmw4pBZ6P63Ra65XdxgWgXBY5txfWfkzG66tMhH5jSuV+c07LYO9EXpT7
mT9Fe6IadP9zHcarZufUr67b58gsz+2Avdh7p/m9stD5tDqXwi7vyRt4rgq0
/8TBM+087ac91tUPbbKkEYaqYPMaeQlGrbIHv+94X4qMvSdvqy3eo1SV7hl/
lUPqbae+GO+n8bklsNP57FLXjJngTOpkvvMplz+8D6VygXVHeocf58Mme/9m
f8kySF/PAx+GTPZ83mn3+C/E8+r2PIbP26Os1TegAto5vpO2qP9v6S+azd0h

            "]]}, "0.096`"], Annotation[#, 0.096, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlGtM11UYxz8WMZvEUlfTDLxMFA1tXuaYgZE5CETUAhG0CxBe8IYuU9HM
/n9rDswc6hSUoQkOUpSwJJPA22LAlr7whpe0F67SRpmOF11WH158+ZzzfJ/n
nOec3/kzNHfF68t7AYv9k/Mq7FgM+fK7Msh4A/bJSlVovPVL82T2EDhzHL5R
6bshYRqU7IVNU2HgJVhibEMLRF6GKNVyEJpOQ728UA0TFrpXNNQZe3IF3PsI
7qhAOsxeCXPUveWufQKWDbf2Bzi9y1gBvGasW8aaM0612+PqVdaqyCXwbKPr
WpP4vX3L++bXutYr+vGqcRwEC6FZVsui8bDIfd+TU7/WPwdxcu1cmGxdrMob
BQ+XmSffXQC5es1jYZLMcj7DeJt+oWuunGG/jvcMhlVVkFaq8uEpmSnXJ9hj
DYx0/vdZz3QVflfF16BLvqB3KNW72u6ajh++DMl6pcY+7oBUx9PVJufdGbBO
lpkXLJfWTPNej3rn+d7tcXlM9U6BTnnRfiocF5p7ym+82W/xlZznPFX1OwPh
KuwzeN+8XdYU1UH0bHi0DR6orDF+63bvV46VKfpRMllWR8K2XM8ry4+YN8v7
m2Jsq+8oBqbIvjkQYWyp3gDr8mWO/RfrP+786jtSP9N4qPkzZYSMUh16/eVJ
WVMCVUPhLfeZr2Ze9BFbt2O/96A69YckwUTjH9jPwJ4+7e32p65h7xX6YbLB
eaOaqHfU+jvuV+f8hmzt8YyF6bU4DpEB2e6+j7lepzk1+r94pj3G78p0z7Db
2J/2VNZzDucPPNsT7tcQ77sx55j86234t9i71bssK43dNfbfYbguA23+Bv0W
Z1V0g33IwyrOeNObMH4LnJPr43wv8o8vvGOZ/Im5L/lWvYMQz5/pPPCtv5UR
8LTjGLnGedcF2HkTfpPdib5FWXsFjqit1qZNt07Wm7tRxs+x91Y4Eeu5jJ2S
bc7rJ/mNP3SdIhjUDIPVBMej5XD1zzrfhXmfq2es+8l5uH6ISrA2NOAbkhm+
xS69677bNmOJzvMm+53kqEPws+/xOfmr7Cur/A2EyUf6TT96lzLutm8nqIzn
OUZucI0+ae5Z650/DwfnQUGE9yqzzO2Qlebcly+ac0uu1g+dD3v1w2WL/hgZ
qTbqJcluvTR5S69AzrU2Wwb1g3LWZu9elWT7Tc3JsYcic274v3OY8Rh1Xi9J
poy2D7nAnHJ5QNXolZpfoa45bpQN6n9eE2Q2
            "]], 
           LineBox[CompressedData["
1:eJwlk1lIVWEURldGgQ2KhS+Fmo0kZTZIBQkFZkJUlERJkGEqcVGvUIZiGkZh
ZASCDYQlIUgDTSRZiHkJ0dCcCpVKCR/qoQEiocAGW9DDx9pnn73Pv4f/xGcH
9xROAQZVVwmcq4TOZCiWrXJM313Vp/3nKgzIyE7j9b1vhQPLYFJ7UPu1SimF
wxtglXxeAQly9SKoLYOfj6BOxtfBAhW2Hr72w2N9RS1QUgvBG5C7BUb1f7kP
31S+73NllmrqhqeqagCa5bDxU9ONbYRx7YPb4eUQ3B6FXlluXKn6vQ0q5KTs
GYFT2h0dMNu4ync+q76T9qAC5dAts2VYEdyx/pEmaFf1PXBFfVwL8+w7Tm3a
6xnOZZZ2zT4oM7dWjjiHepn+zH6c2U7ZL3tUlXOrOwqp+m7KPmNj/U6OucOL
1XWY2AqXa+Czdupm9xCA3TKkL5DkucfciXVc03+6GapV6zrP8Tvpx82Ry4vt
UV+EzDO+zZjIJTAz3zlpR8tdvv+bYY6MMi7ffr8780z7HZctqe5O/lAXrbvQ
mnM8c8KaD8ksdeIFNC71DhnTqxLdbaf8pNpVtufsiIO0NzB0DzLUCneeoALm
Jb81Pwhz18B070aUbPA5KhcuWXe0jLG+ODnfvcXIXuewssAZ20eSjPf9mDXf
aoeH9hC+H34ZFyEbEt2lPOIdCnlvCmSxSvFOXrCu6lfWKTOt76z2tAfOqQ1m
qC57jvUeV9TDQhlMgzkyXD1xluX+K5WqIw8+bIQzITgf+v8//QNj7NpG
            "]]}, "0.0936`"], Annotation[#, 0.0936, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwNlH1MlWUchi9QtxYxyuWiFhLFVERZ0soKLMvCyDhh4AlR1/EAlpIea1YD
Yg50rixLLacoMzclTEQi6ljYwa8ipS39wwQc07ZYqc1lH6etj2HXHzfX8/zu
+33e5/m9zyEjHHlmRQJQ7Z/QLNi8FCrll01QWgI75E4Vsd7bCS/I+XfAkS44
qEq2wsOPwfodsPpRSD0Dy6zVHYa07yFT9eyGQ0fg+UmQ5TwkR1bAfmvXReBS
A1xQDaVQ/BLMU5f0S6JwUS7JdP1v4EU521p8GUw3c7c66R5XveyzKq0axh10
XXOP90KR+tP8I1/BZbnXtWaay1fRadC4EmJyj2zSSzVTJutz9Y9D3mfwWhk8
YG26CmfB78s9h6xYAov1YjnwtONpjseZv1dGXHNlkWc2+4WqSofAnTBqM9yg
glVQO9P8Xpjg/J9jnrcfsp+CP+Rk6y2Ov5PtG+Fr2SE3WVv7LWyRxQP2W8bn
wQf621Tjdmlulv1tt8+V9nfdk3BmD+QehVOytQWarUXMdvud1zjvkuXO56ib
zCWrpHfhFXPvu05NO0yc697egauqbKrfow/eUwv1Egft4XjYELbnsmm/frE9
e8ja296hKTBD3rgYbrdWrXeLz1bKkPt+Uz/R+dmQ1A9aH2M+IDPlWGt9emMd
fy5b34LdGbDI9yxQgdNwbYZ3d5fnVwP66bO9D+4tTy9VZrq38xtcw7036yfJ
TudRdY9eu+9ocXzadVPMD/vuqLUkvR7rMbW8wh56vgo5xkyCGjDXau5nz7bV
zLCc61lK1G/urVwG1VXPmOB7R6uYmQPuN74e/nrOs8m/5U5rw3KkDQZlw0l/
h36Lo2riJ+5H7lN51g8t8s69Acdkbb57l7/us9eyYJ3fyD48IUfZh6B8vdv1
VIrj7AnwquMrp/yGQ/CLjBd4D2XbWfhUdamiOfCxbDPboepdMz/onfa3GFPb
rHXfDyccd9zn917tWrVwWw+MV7mOs+Rd6t8a+222zezNPveD82T9Qp8rlNu9
xwHvYqm6ojfo3T3R6O/YefhBv5mc9CH85J28VV6UOXJY/qeX7vic49QL9kcl
rlHWwo6v6de5xvUB3/mR/7v8//Wjax+eb5/MbdHrW2D/5WWZY2ZIrkrzOy90
b2aSZY/+FJmm6vUKZFyvSA7pLZXP+myKXr/v6NWrK7f/a/09yBEzIfdQY+ac
fob1bHVcr0AWTnYfsspMk9ylWvU2mW9W/Y6jslP9D2qxaB4=
            "]], 
           LineBox[CompressedData["
1:eJwlk2toz1EYxz//IhvbmBQTWwhTzMKM5gUNeyESaaMoYzK7KZe5bFhEqRUR
ZWsLjQijWUtso12Y2TBGs2FeULNJU8o08ikvPn3PeX7POc/t/Cal5qzJDgBd
crMeZmdBSRXMVFtOw4Q0GN8IkWrxbiiS5Bi4lgNjtI2aA0OLYbRapm3eO7jn
ZTH34VQz9HXCNyl03X4LOmRzJtQdhB5plFnxxlKbpGwa5D+B9QshdQfEHTFe
LJQfhhR1i7bMGsiSxiI4Nx1G5kK41CyFYWryXX2l3/syppjjHhgrf9bCqnnm
bfxmaxyuhk31nOs06wrVJ8Tv0WriOkjaCyvVB9pO6nNUio0/OBcS9E83n1p7
tHox3NCeqH4tMSdtA8tgome/uB+n5ph/6wK4uks/cy9Sj5v7s8fwXFZq61KT
1JJk6NT3jHrAc6fUEfusQxK8K1KNkM/mcb5Ff6mz3k65br2BnfY4H556Nl2N
sJelr6DN/RFnEfLeuyRMirQXvNT21n7I2svwNwnytPVcdC5vYOMK6L0CP9z/
lDdS7Tz7rbdC3VQOWyXDfn9Xe6XrhbYlkK1v7lnr9z1U+r1Pe8B5R/lmBuYb
X1usOc/YD48O+W7UVGtfpLZVw2v5a60b7NVr9dcF+KAGnP2g69Y4e+++Wx64
PlAAn6y3yX1wOzSoKdH28CEckwrf1h2plIZt9kP/PKnyHQQZM1yyl8MkNb/U
GapNxg6utV8y5DacaPPODnse5btwXahun2zOFRAvmdYfSIFL/ieh6m//kyC1
2/l8lBv1//+1f2VC4Fc=
            "]]}, "0.0912`"], Annotation[#, 0.0912, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtM1WUYxz+QW0vJdDqxhZSghiQpzqlDNJcijFsKQyWtI+DdPNh1iqzC
S7OywssEYZQLxcQjKXogFTVJs8sSN1ND52zxV86lEW2Vo/Xpj+/5PO/7fd7b
876/M7y4NC8YAaz2JzADtq2AEnlyN+TnQ42sU0H7zx+BZXL+E3DmKLSovCqY
NhNKZVktrJAVZ4xV/BWYmgmn6uHEl7A0ARLsC8g9th8shSMVEFI/JkPcyzBG
9QYhtQWWjIB3L8AqOct2z0qYqD9WfePeXn0F3lYxq+DhVlj4NQyWQye5lvEf
jpl+Dn6V+53zGXOnqLBrVayBNlkvq/WizZkny8frfwUpYXhjvuc3Z5b9RaPh
99XOK4uXwiK9tqch13ic8WDzJ8ig+aU5ntfcL9TixyEnDiK3Qz9VsATWTTf/
M0jK1jM3UY6w3X0NRstL6gcVqoRzsklWmrPxe9gpn/sJ3pQ9BfCxfrr17N0L
z8r91jekSqzvZmt/2f7ks3BR7tsHDSpYA8e94w3GzbLQdqYaYF6U6vsR1DrH
DrX2EIya494+hLtqXpJ38h1sVwv0IjqtYSxsLYZsWR3Sn+09TYNHi2D9VnhE
psjH7FupN8SxJTLg3reMcQ7bVxZJ/fvvu6fh8JrzFJkz0L5v9QY6vlU26H+q
P8m1si45n3lzZI76dypU7fHdpcM182JljHtM0YuW8e7x5gdwXd1x7gjPE+15
wrbH64Vca69xh/P3N7/LnLB9ffWOyXa9l0qspWsXyz7mLJMH9V6UNfq7VJfn
ne2Z8tQ991coC9Rdz4r7ekC1mXPI/fa8B38GPKP8S9bZ1yV7D1on1+kwvjfM
d+SeUpu9C1XvHdWpVvuz7U/Y4htUZ1/wbaV6Bvlbo/uRae94Z9YkXUZajwK5
/oTfjepvnDgKXjdeo7o7rIm1ilR/GzdetaayRe666VpZ8Llxs2oyP9Wx5c49
Za5v3e+0TVXZf3wyXDBumug7eAtul/kWTsMwlWycIOPUP+vgsLmN5g5y3C3b
UfoZjsuQu33f+b7RepnjW27f4PcmZ9pXlOIblSMb4Ek1VI1TSarLnPt6scad
xtG34GfZz3aZ4x7KdZ0D/of5P/aLc54utEYb/eZknX68/kj9JHVjgf8z1rnP
QvdjTpQ8Zc5TMkaV66XJHr1seUNvucx17Fx11TXO65U9b+03+W3IXnMCrrFW
v1M/0f5u+9r10owzEn0PcrE51fIT1aBXaX7t/3Mah+Vh9R8UFV8B
            "]], 
           LineBox[CompressedData["
1:eJwlk2toz1EYgB8tc9nYSrk0tJE2H1yGze2LzS0hNZcNiWHM7GLuchnTlFLI
fPCfxpoWrVyH2oyl1eayzC5hM/lAbmGKWCjP8uHpOef9n/d/3vOe84tam5OU
3QN4J1vyoGwbJN6FgC6IhuY6+DwFFhhrd9wqbc45By16jznHk6HvbgiTaUth
mI7VebvgzUTY1+BY7lfAE7k0Ek40w1Vdb/4DSd8Pg6dCsfEh86BPh3N9xnmY
44Du/8z9HffThfMhRCeVwhJ5XwJbn8Jb/bEMvunv0ip3HkGj7pwBx/bCD73x
lI6HrEJYlwD5xlfrTNdlyU7j2VVQYfxTo+edDMPPwi9zAsbGWXvMHqg5AGN0
qr2YrtuqIcW+/bUHy7v7p38GoEN3zfR/iqAhDpqcl0vuIbimX3v2et27FWp1
cox9rYHDcr3eXkmF1G6wl+bslVujoJd7hkvWHIjUm/Q+76bLnta7f9A9CJag
qxBlfvIL70enZUHcDWuWeNl8xdpSoGQs9HSPxNEw2jWhxl55Z+W1kBALY40t
t3+Radq1ge2wTF/McY1EGK+76d5SMNfa7d0RXfUSKuW4d/Gl3Zzuu3Dcchme
y5pMc+xrpH3+qkfoHNc9dlzpPeRZc5VOsU+pGbBCTzpoDeNhgp4opYutT0d4
N+ebPIs0ebYLulRWzXIP+7/Ft5wr/X2f4VJtPFiv9Jy55na6Z4YO2wED5Y//
u3ASDLDGh7d9m7pa35H1nj/UNSH+Hq0Tffdzdvq96CpjR12TL0XW/NtvYZrr
06357klYZA/KjSfqD8Vw2tiv2TDU3LfOB+nsvP/f5T8DTOdL
            "]]}, "0.0888`"], Annotation[#, 0.0888, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwV1Husz3Ucx/GX/mgKrdWcbCY5iUghI8clNbelc4QixHFcC3Of5bJGpZyl
i7TcouQgnCS5LeQyouTSCmHK8letddFp2XS0Hv3x+j0/n/fr/X1/P5/35/P9
NRoxqd/EGkmm+9m8IdlGpwcnhQ2S5cZrjd+dl/RsnszDrvgwdqMDvMsdkmbG
Z+9InpVf2jupFivnPSE+Ew+9qCa/P/8x/nn+I+JV4r9QtyHJbO+rj81pD78W
LuUtpH8GJffjETVaqFGoxgo5x8QHiH+GP76Q7OXX4tfkz+TfuC652CspuGh9
2MD86trkknEL45Z0GzWhxrScV+a5rlhCB9Qslru6f9LPfCn2nEXtvAd/mJnc
sivZcCSph5vbJ19+nmzHnWJPy2s8J+kgt97e5Gdsa75J/DD/K1rsud3YsYme
jEuKcI3YJlpHW84kb3+vJjb5Otl4QZyunXRo5pfxGE2SO43qvJzMwbpYo6ez
eEn/eujTKn0WWzY0+XVjUoEzOiX7cTK2LE8ebZTscA4rDtgz3fWJddFI8d/F
TwxTrzK5QpeMV3Q2xi9eSf7CKvybdg9PrluQ/NYiGfSaHBxy1N2gKx9aD025
3X0YmRzFIbhM3lDc+GCyynjlvcn6N5IxYls3JcfljTc+wJuIu+TNwtq8OnTC
Git4H1DrEe4xFqiR192xPsk58wtUyCuQX6R39bGBHp2x1kJcrEfX7KmY14fG
WmcvbOfd76u/Vt6OsuTmV+35f1pDmdrT5G3hX+VX0yle7HW+fZeuT0bIqWs+
Fos8255u0qNZWA/bqlPOW6JOBS2wxtXemXPJYGt807PlNMB+/rWfll2cTV/f
G2/RafeWbtCrus5s/t3u0fJkIL0nXoqz3eEJ2JQ/Dte4y8fXJK3Mv8F5/BH7
k7k46ruk0nMfnfedq1XN74Er7aPK/X+uOOl91p03v3IqaYhviR3EyoXuIp6k
u+myWndiM35xiW8ObzWf8ZD/htG+z0XuKBUXumMN1ZjgjFs7X7kTsM1A+dvt
F0vGJH1pmPFwHN0s+UN+GXaf6P7In84rkr/tYLKPBogX7NBXXD3ZvZQzF7dh
yVR9b+Nb4v0kp8uh5E8cfdh/wgPeuzN5yrg21h/vm5I/lY48ntw3xbNU5Xvt
7plxjZ2Pb3gUdjSvVvMefiP61rsqn08+pusnORN9LtXPpno8Gj8131ORdNL7
QrGZ+6yRnlli/I5eYOdu9o7bt/qPoyf9z3XaIm+s2uI1W9n/Mv9R1rYLD9NC
XmnX5D9g+2u+
            "]], 
           LineBox[CompressedData["
1:eJwlk2toz2EUxz+WJVOUXMpd7i8sl2EztOWWDKFt/0ZoZqu1+Q9za4xJUkQy
LzBkLtNeMI3EmkviP23Y5rqNqMkttwmTS3zkxbfP85zfc85zznnOr39qcN7y
NsBLtSAGfuVB7BWYoNIzIVpmyGS/Fc+HRDl8MwxUgSD0GAApq6CuHGpVcT0s
nAKhgxC8DJ3XQksxdBoDx4vghArXlnLOC2UX9XgN5Bin62r46R0JUdDHdfMI
88k1RhZUXIClrjtoj/D7YBmfCFP1nSkvadvumQJ1wHx/jIYYz2cYo3IPzI6D
Uu3x8vVhKNTWOhV66vvCfTeZvQlu6pcgT1hTrPlvHQL1IXgX7T3uG13fVw3u
/+h3T67z/K5kaL8OOqoYY/WSI2S+9TUbM++2a3XNuu+oU9a7+x6ckXf072Zf
MzZCd3lI+1H13PsinlqzKnJ/Xz5U9WpnI8w5BvtmwsQSezcDXh2FFXXWI9+c
hE/y63T95Efr3uHbfpHpe+VYyCqE1Hh7pn2RzPXcMm0l+qRWmKN8W2udnu3t
u7XK/Z6NNOdR6+Gzb3o3H5bYg/HuGyohSi62Z7UB7z4A39QTe/F9snFc1+hT
575U5RRAmXxmzSHZ7gFcl0lDYctVCHtozjJCtkTaqyrnVG7b4Ll0WCkz1flB
8N4etqisad4j8454pwyZS5gzHK7CyqCfMZIafB+Zlm3ezuxv3y7zjH6yrXHD
VPwwGOr3uJHO3SyYJAe5bzoNj+b67uqg8x8wn9J//8EyuHXeeRoIZ+3ZVntX
Lm84Z7uq/W/se9A5DsgabX+cy3p7maat7zj44Lq/XN4E1a4v2v/8qv//5F80
qOjk
            "]]}, "0.0864`"], Annotation[#, 0.0864, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtM1lUYxz+1NcNqNia2WplvIRGo4WWJb0ZOkUxIJdRQ94pCmpoislbg
mqwsbWZ52QzpxQsiogiVEpR4Qwk0xWpJ025eZs7WWhktNsBGH/74vp9znu9z
zu+c55zzBrKXv5B7G7DCnwMlUK82LIZmeUilZ8BW2ScBqoqhSO+pAzDkHExM
hs3GxsqCMLzc6x+3rQLfmzcZDpdDbSOMtP+FjJMxKhQL2+3fsRw+edO51XfD
YdAKc1R3LgTrISca1p6CxTLZfvsSGKU/VLW4tlX5MGckPPAK3PU5zG6BSDlg
NLxk+2/HJH0JN2SFc44yN80xtX6rKA8aZJn8UC/KnBnyWJO+SqyDVzPdvznJ
xrMeh7+WOa+ctxDm6k2TaWqY7UjzR8il5i97HpbIk+ZnPwypj0BsLURsdu6P
IHccZCyA1+U9ex2rUh0TmwaP2R4hz8qqjdAoT6qBqqMNOlWl7b2qfQaUyonW
s3s3fPoj1Kgqa5xzwW+r1b3nYD/+BDyhWs0rr7CmriPG/lK50pyQ3G7ei3KS
WuOc/fXv3AAlxjep12ogOt39PgP/fWC9hno+Z2CjmqXXc9F6DoR12bCr2rqq
tdOsexLcNx8K17tfOVoeCrg2/QL9me732jzpXs7Lzvfci36+fpZ+P8efMt6v
d7xKKoX1fmf8t/CcWmRewrPW1Patp2HLTs/KOeoa4J/3YbBeol6Uawy4tp+M
XVS/O3ePjHIftTJBb4/cpc75/Tf8RqRjCnNcr2toNV5ubqv7zTN2UG+BrLRG
pcZ36Idlif35xmv0v3KO6bbzZJfr7FAhx89RHUMg0zEh1WRdftVrkO3rXHeW
e5bF7ud21xmW541173dt8s+HPF/XGDzomagyzyqs6oxPNj7sXd/mVO/YWM83
ZH2r4A+11faENZ6dNepKcb53/AOwPv2NrbJed8t8mavOfgM3VY+6pSp+hn2q
WkVbz51ysKwwt1qVq8QY74/vNCgbfLtbjJ2Rzar6Se9CEfy20vtwDMbIR+0v
NF6v/1kinG6Gj+U2+/c6x/2O/6UQ+pqbYl6KLPbep3uHy2Sqd7fxLd+h/VAQ
rlZ6Z+Sl0/4P7IF/7V83J972Vdlp3oO2L9iOumyejLBf4Jg+U/zOPjg6CK44
55FZ1mm1dZBh/YB+vH6L/nDjXcaLZcRs35h+UP9rvSJjY4y1y0nyB70petMd
26bfZLzAeMbbvg/Zrb/IdqY5STIkbxpr1Jtgf5waH+d7kSlym9ytV+J8Ac+7
zXac/B9Zbm14
            "]], 
           LineBox[CompressedData["
1:eJwlk2toj2EYh68/kvmghJVFLP+FD2SxE5bJnKMctmFRG1M7sI0Z5jThC1Hi
g5BztGiTQ4YwzCjGZsxmGU1ITnOOabnkw6/rvZ/nfp73Pj3h6bkzlwaAD+r6
CCgqgJnlMET+Gg7jCuGL7K+9KwvqSmG3nJYAJTJBvjng3k74MR7CkuCldi+Z
swFueXaqPLYcRl6FTQOh9ja8i4Up2p9ko3aDbPdch4OwUv91F2CZ3J4CXVbB
9yAUroRY790s16kW7y6q9ltVnINqdWIA7KiDUlnt+SmzoU8c9FsCzf7vkHvP
5Wv1Sm1/ak7PYJucfhRGn4BRqudkfQ5DXi0UqBd+f5sIybv09/ujeW9dA19l
hmtfoyF7N6SNhWLX58vl+i1y7bjn0i7D2xqYKyutW7v+V2bBHn2HGGvkavgc
BffXQ42K0264AsPlAmv2YA607bXG46DJevyUNXLuWfdkicrdCGWy2XyrZOfH
cEMmDYKNFRCoN2YZIluHWqM71kBuWavfYsiXmepcBLy3dq0qe4KxyiL78lNW
GUvgGnRSgdMQ9I7gv/rKhdY4znj+2LPMMs/Jjt4bUAmDYaD7YyIhfRrEy6D2
U+epfgY8VHtzYb/qnWGNzkOoDLPvp61bpfN1Wy3NgRRrftfv9mHOkvULxjij
zfZAfVN5TfZM5aso97KqIFoWG2Ob/vHG3mQeGfahUcZpx6iLzka5SjafyGLn
QUbIFGN6ZF51KtU5vrcPzjh7N2Vqonm7Nk9WaJ+c5L3O6CnZegS62dOj+625
DHdmO6lQ1UM98W3l2vueK+C3s9BX9lEt5tXme+turpd8B+l+d3U9xPcZIRO8
P7Hw/3v9C5NC8eA=
            "]]}, "0.084`"], Annotation[#, 0.084, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHlMz3EYx9/GIppjxWauLvKLSG1SOqSIcqRyLqFUjiX5o4OVKTVnjUVJ
6HJ0uCIljOggDCHNvYzNDKsxFeLVH+/f+/k87+d5Pp/n+Xy+P4vQ6IBNvSTF
8mMYJT1dIZnD2cVSIXbuTmmWrZQMe8Ie8ExwE+27ixS8QHJjvRSOhLvwpaEF
YMfBt1OoaS4FUm8+MS3oPvjb8E+Dk+CH6M5o1Wj98B3G17lcsofr0GzJNUfP
QW/EH4T/GvwuWbqOboxuhB7Xk39KeuMrmb2TmuERrG2bJSu49xnp32npPHnt
8A8wtCf+rhRC7nvWwbDfSfojxpf8vMWSP+vD8Kyt+MDrBCmCnGZ40Dhm1CCd
nSY11EmX4ArW4VMly+1SCWtrck7DLXAp7Ii/FL2WuMxqqQD4bJCcqFWCbfdY
Ov5aOgGssE19iMcuAo2PpHT4HhxFbAwYkCYlwqbwv9ncQSrzg4PyuCt8WSul
LyVSK0jAjnWVpi9kn13SXAvpMvedU0OvwKqcuwBr8H/F/2AV9UqlJjjHTerl
L9Xv4V5BO742+Ooa6UMZPjh4P28B/JxIjUZqumOjdYK/IDBMKjtLn2A1dnYG
swUn7JgDc45YhMY6xkNai36RuGj4PrUKiLlP7SpqxuMbgrZtNGfkrPn4J4dK
HbArbJQudWN/5rwf4RpyzPGbkePETK2ZaTv+y8zt217ugVn9pr8AtMlokZx1
DrYn2MsebrmSyT5pIKhfDVMvhNoxxJ1n/w5qNOFfzBtr7eF5vEf0ZPQq9Knk
mTCfeHgY7Eh+Gvoh9Hywm7N1tzBrsIwzmtB/Bj0H0fMfeqlCt8O3hRnZw9nP
pb7MyZQ7Sx3P+8mRloBj+IPhBN7uRngsega6J+85Ha5ArwST8N+Aq0EysREv
uEM/qZh12Ut6Al1FnAm08faN2PcrfIr+TInveCaNwq4BU+j1LXH2sDHrccAG
23c+d4RtAmJnMNtw3ixczrn6HSTmEjGWvJMx1Imib+Jjp7DfUmlwBbnAbhnf
Y4S0EjawjoJ/EfsNhBgkr03SCnxZ5D3IpH/4xh3mht/sCvOF8zbzRvEnweWw
3xbm78j3hPaJGLdaKaxeWv+KNwkPdWLvSmk5dn94+Eb2ID6RvLpAyT2G+3Dg
nHyzXuSvs+Yu+ZZDYWfWXdQ1EDMGPGG/4h3SOdAnmvPd4n64hwnM2ZM5VrJ2
wC6HqwslF3wpN6WR+LpsuJcs3tFRvldv6QC2NzzhIXEX6Wc9tfEZ2dP/Ef6n
OFsVXAvS0SrgC+A/ualwrw==
            "]], 
           LineBox[CompressedData["
1:eJwlk3lMz3EYx1/4oxhmucckP7dGiGLmvjJtuUabpkIjJUQ0TSz/GP4ojTnG
MJsxNsPccpVcDU2OFnPOGCFXrcbL/PHe6/N9vp/jeZ7P+xOWnDF9aSOgVsVl
QfZKmHYWwuXvwTDW2FcZ6ndBKjw8DqVqThlMHQ01e6F+gv/y4YfsOAteGWsj
l+TCDddOkQczYdhleH0TRsgP0RAjP8snxh7LBtc12gdZzs85A8vlltkQtAa+
d4dVqyHKffNkjnrp3nn3oK3nFp2Cu6qwHMplvtyqjgWMu0/MTOg0DLqkm4Pn
nu8Fb+QFGXvQmlXlfmgf43+Z+QBeyJpJMGubdTv+ZL2b1sI3ucDYt6GQWgiJ
YyDX+Fy5wnnzjR1yXeIFeH/fXsnr9q7B+RdnwA7nhptXRDZ8GQL31tk72dk+
RBt7ewkSzKtsDtTt8mxZP84exsLsk+6nyuzJYbV0A1RZ13b5WjZ/BC1VM3Xq
GZxQ8b1h0WP4Y4wKa7gC56ZAsOO46TAzB6r7wwa5UV1NgWVykTrZAz7av2qV
OtEaZLZ39FMWm2O++wcXQb9S2FzpfamA48C/Xstk+x1tvikyyDoy5Mg+5uEZ
o2RPv/upJGsLyDAVF6rvusGjadBiEHRYaP9O6y09UJDmvjJNlui5dHlb3lIN
EXDf3gai9Oxze6oSXsAR+//T8VGZaX5ZKtI5i0v0qKpzzU7vbYdaow+eWVeB
dQ23rjZV+ku1UyEqQn9ErIcBKtYa4zOgr+NfA52vFxPHQ1PPmSdT9HySvLPb
e9Cr12SxSjYeb7zI8ZHJeklPVx9wjeylr1vohVDZVTVRIX63lRW+xaeqVg+9
kzWy0yrfgXXX+T5b2Ytzvpskx02NN1bBkbB3D7SO/P++/wI7iPoZ
            "]]}, "0.0816`"], Annotation[#, 0.0816, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwV1H2sz3UUB/B3NdGsVvijJM/pMhItxJWbjDyHhGQeCslzG8oyu6JJXUoe
dqOQyLNd5I6smEsiKzZp0eOqtUajFFaqlz/ev/f5nPc553M+5/P5/uqNmNh3
wjVJpvkpuCM5/nhSBy9dn7zDXjY76dQkKcZFuDe+2Db5kPYbHtwrKeR7DI/C
Y2AOrQ+eive9qGbdpK96PcSclNOZ/xx/azwDf0pvQ9tFq8y3mO/SoKQ5rqA1
lluHXkr/hL8f/278zazkA3oVeiX61Kv5a5Pq9Bn7koZfJKe7ycf1+a9dl/z7
XrJF3nn8B9TgP30o+Q6+tR6sRrc1ziemq9wV/Z3ZejHuPj0Z1yo59XwyUvwJ
fFMjM/o42dQmOXgg2YZ3WD8lrt7MZL11A3lr8Unckq8pbKDvF/fG7mQVdH4m
aaXWenbTz83+dHJLF32zq+HV1uugBA59pg9xt72U/Mze2C4ZvtLZOieX55gP
uxc8SF8yJClzn79uSJ5jTylM2va2x9zk4XrJdlqpWa2A+tvcAwzjP8N/ZKh6
G5NjuLS9R/JIcmBesoBes7YzDHff+IdN7pn9+gPmV5JcaKrGYTWtL9AuwT/Q
90m9bnZGGMoe28E7W5C83cwMzHhkH5r1aDyJVqHGYTgEq8QcVvsoTJN7sxqT
8XH7TzejP/kvQrsR3sL85Ar7F/3+iPfqow5/dTmtxHaA8/zbzbAczr5iL/w7
vtusR+m1i5gimKd+4XKzhFqvGgGuqt6BYcmNeIg9JonfYiYX5R/jf9Q7+/4q
9/Am6cX0cvp98qua0zTcUu4MPXXAC/FKMXPxlS/NHAbotaoZzHf2fs7+tzOV
05vyTTarKXC9WVV2b//RZhd4Q28m/WH5CXft7dalzcRdvOUm7CJcIm4HfSc0
43uZvoddjEeedJfdvTPrjV+p+65z+iZq0855/5XseQavcb5qfLVwffhaXHNn
rcK+Exqxu/Z0R+wi3OYt/RYlW/VWBpUXitmuJxhWx/2Md15xU1rYZ0By+/vu
vIGzDvQtjkqewAV84/BfYs/CkMZJxwnJIL4l8o4scm68Z7958dfcmfRsmCxi
V2evxONbmvEkPYjr9qw7uNd3xf8TvbAiGXEwefqUt4lrtNZ/eTKQfQO+day9
xL8gr6Jf0n6y+1DvnO+2o/zR9prjex6O21hfVrdATG343H7ripPNcN1Efe4V
Y8arcZE57sQtrMvwrtXJ/XyzPjIHvst3uZel3tEy322n5DX2Q7jJUXFl3tAY
tfkq3WMOpf6r9FaO90MJbQfeCv8Dqg1uDg==
            "]], 
           LineBox[CompressedData["
1:eJwllHlMz2Ecx19hapO5jzGhOVamhRwtV3MkzaIyDBWN5qpROYZE/vCXybG5
TWxtZo5CbU1yLGfI1VxzzLEZIebKH16bP96/1+f5PJ/v8zyfz/N5fr3nZydl
BQDN/UlcCatzYWoFDJA/h0Csvi8yxHHRYqg7AVfVjNuQMBYaD0JpEWSVw/Yc
aJoAr/R1mA6LN8Blv42Xxc6NqILXV+HrCEjXl+a4UNbre6SvxSEImAh5+ta6
3rc+sCDPeLliFeSqYa4bOxQ2ab907U210NE9q87ATbXjPtyTwfEwKQVijsAE
We+a3aKhxzLP4L5dZVV/SF0Pjw+bs3FPZGe/m6H9J844x40yZYd5a3803y1r
IcNxqvo6DBbthOUqX//sWG3j5js+6ndplfD+ruvJS9bur/HHjKtMhvFr4IL8
bC638uG77G4dhut/cx7eqdqZ8Huve8umcdZwCswpg42hzq2GErVso/eictUe
tUu9Ns9WD6G1GvUcRqqBkyFalj2Bc6pcZdZ7ftXikevIcmO2VEOFDNSXmATJ
66AhAgpkoapeCNkyU5X2hQ/WtUFt9u4KVZR7j75mrvq2uUfRU9e6AOH6tmr3
dz5UO1RmegdvjUsZBC3NMcvxIhUXBuNkmvmGy3QZKnupxJ7ev/k/mOYdD4Yu
C6ztWahRRUu9X3ulVjtHuzTbfnLta/bn30i4Y+0fqCXOzXphLdVx7yZXLlcn
tVd4xjy1tAYuPnNtVe1dtq2zX+Ru7zfCHhlTYr0T7FN7ZbestO86WN9Bzp3W
PqkizXuuZ0g017AC+OFZou3XGBXkXqnj7W/fxY19cF2dsp8vyitqnv4qeV59
LIZPKsPeb5Cpsp/9H2zP9JGdZDPZTj71vYZoN0XBL/vrreNG2c139NIa/PYd
tzH/Ct9XunaccUHOBcoD+6F91P//gX+VtAX8
            "]]}, "0.0792`"], Annotation[#, 0.0792, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlH1M1WUUxz82QqNcqWulTuSmdTXQiZWIGFdZYr6AifMlslDMEimxRjbK
8gVLRXxNJ0oiMU00sYJ5Q1vT5BpCGbgZtbAXl6211ag0YK5WH//43s/5nXOe
t/Oc5wZyC7KW9QCK/AkOggvZECvfka+tg7AskatV6H7IlJ3j4BP9v8vsTEjR
N1sulsnm/FQM64w3ydPqQhzMPAzTzGlzzCRjHfrHyJXyc+NJxuqNRevbqa/r
cRgpG4wNc2ys8TLj5/Rn6T8hv1sLJ433NB5lvK/+Pmrtp86rhrRB+1THy8C7
EDcdelRDjeO6DsEdfvfT334OflDf68t2jSkHPZ85aXKiuuU+z/4KVMyG/DHw
bRE8bf5F2dvY3kbrpc6ehTr5vlpkXtwqqB4L9zj2oGyTifri1WHjZ8zbcRIq
1aSl8JBzVWvHtzrfJe9D3jkZjmlvUodUqWpscR/m3f0m/Kx9JAUWVMK/6dD9
hvXRzlATjO96Ej7wPn89Ai9rF473jma4xgaYHIBaY2XWqkIFar0Hlaa++AbO
q+Yc53wPWmXZw/CfYyMlsMWx/WM9x0JYIi8f9a61t6Vaw81wNQFymqFFX4W+
zEVQJdcY2z0C3toKS0OQOxPy5Da/88y5+JV+We69LTH2l+t82e48qsH5mlSj
qnSOJuc6IOsdu8Ix9TX2mnspsm7XjHWqcbn2l+tGbYFfHrM39XXIU/pqrVFE
ppr/h/5aaxpWv21yLfmnHGH9F3u2oEw3b6Pzp7xtbdXAUpghY5wjsgBuk/Od
u8D8Gvfd6fhW/bPsuR9v0H57yfhq42HjDzo+xvqskImOXeleU+V2ud+c9fIf
76BbzfFsMdZps2fP8szXPU/YeLy+5fZoobrZOkR7j8XD7Oc5vltZZT0H63vd
eqbb08O1Q7LU2Alj6/Un6NsgS5wjWXujPOVbuDzNNbWvyIjfg8zp8A1E6UP1
8bvrgG9ABjzjJe2RnnGgdk91q3o0A26XIZm0z31OsJ/32pMqegfcW+eeVM5g
13zec5pXmOg6c2HAce96iGec55t8Bp6QQX35sticv82fP9w3ugzm6dulr3mn
vSM/brBO+vuHYfpQ+027r/Z++dxoz73cPZg35UVr/4B10n/FeEoEFn4Gz9pv
T8l+Se7/I5ir3Uvele9a5r/quIZZMP4F78H5Ony/Ex2focp960lytOp23qPG
g+a1uF54jX2RDDcVmHfaPO+gSoas4XE5yu8ENfZGTb+2R+QAv7uD/ufstn/K
YZXaqp32iLU7b+6H9k6e/w/69qmoUebu8e7kGVlqrE4eU/8D/tltFw==
            "]], 
           LineBox[CompressedData["
1:eJwllGtMz1EYxz9m6UVGYjOWmVGECd2ZaSi3iZU7hdYsUSFyv9QbmzEKm02Y
y2ZeuOQyhgpD5poh16SJF+4xdzMf8+L7/zznOed3znku598lMz81rxkQ6E9K
ISxZBGNPQ0/5NQoS9X2QnRxvzoGaw3BFTbwFoxKhaReUl0DuKSgpgOeOH6mQ
CTBnDVz02xFyj3NxldBQDR/jYYa+DMfFslbffX3Nd3uRZFikb7n7feoGWYtd
LxcsgQIV476JMVCkXe/eRTehbRJUnIBrqvQu3JFBI2H4eBiwD4bJWvd8qEJz
vYPntpcV3SF9FTzbA0vvwLfhxuX6H7JBX5O8LdO2wFS1bgVkynT1MRayt8J8
tUr/LJmhGmvgpco4C6/kRHnBvP1y/UHXnUmDocugUr43juur4bPsaA5i9b+o
gHuTzaP+9REQsAN+DjV/Y2DacajuDBvWeke5qciaqAL1NgEG18F27f1PIPi+
NVCRo2Cg/t4yXh57DCdVzgPIV69Hm/daeCPnOT7runLjCDkKU1KhhXMpMnUl
vOsDa2SxqpoNhXGQp10eBl/MbV/vUGwNo+Sgq8asb5NnbfY+21SpitC/UYbJ
99ah0DqEu77RtWn9jNfYc/Vlq2TjHyKT/o2NP0FGqyOTzM0886Ba93dvefmk
58hQe+WG9kLt8nw4pEKtf525x/3vyhznJtebTzVJLVbz1UJ12HqN9M7nn9o/
ssT6V9kHO2UreyTf/oi0txIP2KPabcxZsDpj3/XUf1RGVsF0z+1hncLVF8+N
t0+/yw32RKBnBKkAFac/y7cRoj1H9vKcHqqlff7bt/dHzdR/0Dc5XZ6zH97s
9Z2a8z+X7EfXRfgWwlSQfdRVtpPNZLB87PedtH9G29/2XKPjJtnBd1Xf1zv5
rpOd+zXXPMtxjgOda6FdVmZ80f//F/4CEJ4I0g==
            "]]}, "0.07680000000000001`"], 
         Annotation[#, 0.07680000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtMzWEYx7+WW7RcZqhJRY4kE1HpcuRWVrq5RdYQM0olYRRyX5wuJMwl
tCFRTBzFrOSkXEZhkrthZtNipprVzKc/vufz/J7neW/P877HOS55blI3Sbv5
MThIDTGSAzwLt+6RzHA/zEBGNykMtvpKd/A3w8Xhki+++XAl9CHn827mI/4A
VqEGJymyWAoh5yVjZhJrwT8ZpsNHxL2IlRPrge8wvrbF0jh4j9hoxjoQP0a8
Dn8U/gr4dZeUis+K2G/sjjCpP7Gd1cyLRjQyFjW+kkZBpwuS4xwOe1EqIb+t
SOrH90D8bx6wb76LyP0byvmIV6DA81JvA2dPkwoWSPFe0ust0gryX0AbYsfr
qBequS+VwSsojjzHDMkNOTP2nA9nhx58XyR2ch7nhZHx0pnb1AROYq4i7EPI
rUG68U4aFCyVwqsoDzUHSbX17IOcIfuoAXaxn7T0rNRJrH0v9cFuhjbO0iJ6
mRIrfb8kbYKp/vQogvkzpSDid5ukSlRMvXwfSqax1KmMfqBp6DGxpqWSvbtU
f4Beon+Mt8Bsxg8dznmWS59KpPeoCjvXKD2FEdnSE5gGC/CFrZAK4Q6+j47j
PLnSEbQ8ijEwG60m58VLaoUmX5FewUa0fqp0mbg/vr6O0pjnzP2IdVAteo7q
UQJz3SSvHG1krvJS9sweN1PPdNTJ2t+oTx37mBLH3YNWOfgi6T+xFliJ7xo5
FhjAmJ/4b1HvafTnh4k7if0LutOblZzZAGeRl8k6vqekqcg+SwqHQV0280Q+
kdaSm4RKqFsr4+uXSXO5ix+7yD3cwNoZxM3EPRlvTe02Qg/Gp7PXAHgQniZn
H+ygN+1oAWe0pj5ZnD+Kuv7lPGbibviSub+pqDv16EGPd7lKHxbypmEhdR2O
b1sI++euu2IboYlYBTEXvk3EYvB5Y/ugTOaq5J184o1YY1uwq9Ew8lp4H47Q
Cn9/2HaOOwidOONbbHtoh3qiPiiY92oLjdCrgH0Gsu4Jej+Dveax/nXORsyC
bx58lkjOBNaJZh6z9AXWjuQeWegjNOCLX8QZyflD7pIxvN8kKRpfPr6H+dwX
FIWvCobAUBfGwwE3qStMmEht1/HeyJ+9XsrB5+FJX2u4L9DzLX7sVTAR2XlL
sbX8h0Dbcmkhdi84OIF1yU9jjnu8db8UesLcLbzzQNaag07wn+AFJ6B21rlM
3EDeU9Y27+SOTJG6JZN3lzz6UQiN1PMGnA7H4/Puqi//WZ7Qju/20fw3HeMu
nZS2oxxsV+6eC/K+xj1aI13AdwpZeZB7nD7CamgiVgZL0X9NM3sw
            "]], 
           LineBox[CompressedData["
1:eJwllGtMz1EYxz82epEl8SZja8yl2FJJQnNXQkxuIfe5dhtdrLmVmc1YMhlb
pqwZL2j/LeYe5rpZydw2t0wvjEQvUG7js3nx/X/P8z3P7znnfM9z/v1X5aXn
dgGC/UkrgqICmHURouRvI2C82me5n/GBjfCwFu6I+Y2QOgHaj0PgIGRfgPJ8
aDa+af6vSrgiJ++EFFHtXEI9vL0H78UytaXGK0Wp406/2y3/nQr5crH1SsTq
QvgyELZugaSRED/fPcklxm+sX9IAQe6tl9+l1EAf+ehjCEmFpnOeS06eB6Od
myw/tXZSLLyS++bAB9e/OgQyt8PrE7DlEXxP8Xzmd8qNajNfQIOcfggWiT1b
3becKb4kwLoKyBPb1FfIS0VLk+cZ7PgK3NC3n+addv7SXJhUDB2e4Yn6rksQ
oR95iTBS/d01eJyhjztgbxR01ccgUZ0Gi+vgbgTsK3FvckUpfBwNm+VWedxr
OOK45iWEPoWY6TBRLcxxwXN9Fc9OQbT6GPWok9A2w1r6letcm9on41a5wxp3
nM9Sv2x+wDOFBSAjHbo9s1fkOdvMj4b98vZRUL8WCuUc48Ag+KrHw91XaRXE
yUn39UGtTD8PWH+sWoU8RT1StHkXhd7JIPUW89K9p656sUDOVp+qHxPlKWKd
fiTKI0TtQr3K1hfRIw6q8jy/3xTfsr7ag/OwSQ6onxF97YNX3kWz2KBe5x2t
kRc3u5bIF9Xe3Vn1E/I091vu/R8TlSLUHgkRufZIsYiyx0L1KVKu1cvn9lPs
dVjiWkO8qx/uZZh82HXL7ItN9lWQtYNFiNhRbt+4Tm9rhxmHivW+lyLzhqp1
t+d/+Q7/iOXqp32fRfqb5LhA/n3bObHSvHD7KtK3ESwPkENErfmtvtfeav2M
f8Tb4/Zhi/Xa5XDf2JsY79x31MXxzyw9Nme2cZBxN8eVx6Bn/P//iH+U7wb8

            "]]}, "0.07440000000000001`"], 
         Annotation[#, 0.07440000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtM0FUUxz+RqZtb1tbLljwkIYLUVBBMhA0FHwiKoOGWKNSWLzSyGfhK
y3QYKEolio+tDDJ1GSRNRoEGiEIq8wH2mjbXluFyIbOaWx//+P6+93zPued3
77nn3pDc5Rn5DwBlfnYFw1/DILkCZoriRfC6nCsCRsGej+GgKFKPOQahHRAu
StTW7oE3Ra7jvnB47BJUXoWn5GFXIEjETIMR2mMOQmsjNG2AJLVotQptlkNv
HNSqd7wIw9+AQ6PNlw+jjhsnKmJhupwgehYbq3+8cU2zobAA5oyBx5dA/zpI
a4EsseZ7SHQtOT/CUvGaSFEbLccaH+d4pFzif1LMcdR/b1oBi829V+0R/1Um
T3sWpsrfllsfuUM+LXYaP1o742W4vsw1yBvUFsnDv4a2UOefgmb5+lxrotYj
Fxhz3viMGXByN2TKoTXQbwdcTII6tYJE970XJohk/SPk+UHwULV5xOVP4Za4
Ku6KO2KwNQ2wxjccr7CuZ61vsNrJKhio3ig3iM2Odz5n7ibI3uh5G9NobKj2
JO10ETUePlNbo2+o+gHHW5zz8xz3KPdTe3CbtdK/ynwRCfBnKdTkmk+ulQeq
ZR7xHLtgm3a5+oQX7KcP5In2k9pGxyvFwIXWUq4NgXWH7amZMCsVflkgu98f
5N6t8IX+ZfqXiHR7cIh5JlfCDDHE+aWT7C3HmwPdy3noNkdkinNcd/0J+0X8
YZ7EMPjG8a0S12LcSfN8ecD6yD3++5r6DTnANbepxbrWFvmGMf/pyzRnvXs7
Llbmwdvu9cT9esyCC2esm3azvFqO7IR5U7T1xzZA3nbPRn2ceo76WDlGRIvY
+7HuK96z7nvVfj8KE0W86HBO1llrI8+WM8U49fBu62f808a3u+/b1qjUfy1w
LeVymfjQuq913etFqutdIxeKduueJm91b+3ut1Q+rPar9a2SnzRff8cD9P3d
BvfSPYtiax0FV3LgjGeb+JVrF0GiONJ7ZVy1/dGg7zsx2fVEbHGtzi2YAG+9
Ar8fskfluUNhkP6bm7xb1rZPzpPni+qX4Ldz8MT73inPqtnxzWT385P97/iY
XCMiPL9gUWLMdpHk+7BPTpePx8Bu34gqeeR671cRfOJbEixHaAeKhfqOtJpP
nGqG/fIuMcge6Sz0bTsNXfIi4yqzPAvnDtCXYN/XeVfqxd3p3hffukftt27j
H5b3aWd7j+5554Zqd2kHyp3yJRF2GUJEkbV6Rwx+F/71rt82X0CatXJuS7aa
9j8Rvsn6P1J7Rl/Y5/ay73aU2h1jdsj95rlf/dH62/QVqY1V65GT5Iv6pupL
d+45/a3qF9Q26rvmeNzz1v49e8uYOLlX31J9+cbvl1PV4o1ZJ28RtWqr5VXi
f3nridU=
            "]], 
           LineBox[CompressedData["
1:eJwllGtMz1EYxz+kN7RcZjQ2xhCbNVRCm5GUIXOpueQ2L3JJl6ncimouM+bS
amwuNQu9kcxmiqENKzRjWZlSWzMzkhmSu8/mxff/Oc9zznl+53nOc/6jNmQs
Te8F9Pdn4XbIyYaEahgvv4TDTH0f5HDtY1vgyRW4rxKfwLxZ8LEUqoog9QYc
z4I27VrX/zgDN+WyfKifBmXORd6B9jp4o9boX629XhU4/ua+P3Nhbw4ExsFm
mW/MDbJrDOzeAdGREJ7kmWSg53ntOQNk8jkY6N64cgiRpxpho74mYw9Kg2n6
I1VMIjz3W9GToUUOc+6ta96p5D3Qeh7Wye3PoK4Vfsabq5z/EhaoBueXFMMK
dSDXs8tk1TUVUkogXeXqXydXq46nsG+c41tw19pVOHdBVS+D2bug2zwa9RfW
wAhrsl+mW6uHKyBTtu2FQxPM0VqWJUBJAVySx+Rh9W0kFBd6Ln1d06Gnzbqr
n2rWK/gti2phjuNYFaNKtKvN5XkFfFoAL+RHOf4ihKrMZuNavxDXfpdBDdDp
uLvF+Oq+a+pUlfkNvgqPPcOB0dYoD5YvhZVysXofBkdkXhTcToFsuVW7aix8
tvZhnregDCbL6HrroX55DzO0YxwX+605MlR16s/2rjrc166WeH8B1ihJpuqP
tUbxcp52irWIcjxFVS63J7eag/7SDAiWO+8ZW9+j6+Yqh0zxTM4NszdavJs2
tUn/Ne8sqR3Kvb+D2gdPuM/7v2lPnJa3ZJo9lalOWr9Ka3VZNYXCKuNNvWt/
yETzmehdlRj/qP1wUma6d5fxtskCGeS39sgA2Vv1UYP8xgAZrDb6dnJcO0Ff
X/v/r28y0N5Zq7/CN5BjTaMdZ0kemJNz6103VAb5bmpc009elZXqnW+3Uw3X
F2+dQ2RPBHy1LzuM3apeTbJ3z0KzxDf4PdX7cM0i31ugdh/Hp53vH/H/f+Mf
400SIw==
            "]]}, "0.07200000000000001`"], 
         Annotation[#, 0.07200000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlG1M1lUYhy+0dLPMD36IpkIqM4KgREMU9qCgpKIgkkRtFJKFZvjaTKQy
etE0TTI2VCQdE833kuEWw3wJCEXECgJKXTXWyrCcZFZzs4sPv+c698tzn3Pu
c85/ZN7SuUuCgHJ/yh6EP0fBtO2QrjYsgnw5XwU9BnvKYHsSFOp//DMY1QJj
1Cb9r5XDRnnnIUhpg5uy/Hu4vx0OpsLoDv8zE6K0Y6qg8RScKoYE7fFqm/ad
JdA7Ear1nx8LYcthf4y19D963Dy1LQ5myoDqeclc4xPNO5UJq1fABZk+Dp6s
h3l9bIQix4mu5dkfYLFaoFL0jZUTzIlzHC2j5AbnWrbMPclF1t4phzhXiZwR
BtPliVLnkOunQKvjra51rHZGNvxU4LzyTX0LZUgN7PrSvchSWaLqR5v3lL3R
1yO/9T+tKmM2nN4BHcnQ1eeXw7bCcX3LJ7v/CohX08yLkjmhcNcn1lHte+Ca
6lLD7PO/8j4ZZK+7HS+1v+fsc4sarG/KaRgo6/bBOrk13Nr6st+CM+acVKO0
k7XTVOQkqNIXrG+4upQF98j+qt8We+Vcq6wTngi/fwDH8uyl7Kc9JMO55Efa
8VGwY5MMeI/MKXa8Ug2cbw9l9Uh4/RCsmANzZsHlXOn+WmTv+3DAeCAEUr13
ReZlyjQVbL2pO2GWCrbO5qmQ5HiduckXodNaEU/Ay667ttb7on6zXuIY+HUz
nNW+Jqt3w1FVZ7027Q7nCzsM111Pk74JrrlBdpvzn/FMa9Yar1Ern4dX3efn
ff1wzxfPQYE8YSzmG/dlLELWG594wrfjG8krcQ2OA30yljvd91bp+WhP0p6v
/d0l8x3nuM9293XyCHyhbi2wD9HwojXy1Q3t887xguPDzjFHHpGN+mLND+ty
TvWAec325ajrWuD6dpuzS+3wbAplqXzDvaW6nyK5WjV7PjPk7L6xvdhsDw7q
u+IZ7JUD5d1qgLEbZ+F2ume20bN4xPU/Z3873ecx77AKURsifXfm7fP+1Bmb
bH7We65TBuTyBHglB3454N2VWSNgkGdx9V3fnr2/KfNkjtoXDz+3wh8pEGr+
VXlBu8S+tctP5TEV7j0IVZs86y0qye9HhUyTNbF+2/x27JXRa317a6DSb02o
DNceoXKNHfrKeupMA3wsy9Qg79DXhZ5Vk/dFLjSvfJ7fNv87wFjAd3HcN1Sr
bvktrPRbWKU6zR/svaxwnO37uu1bHK7doX3vFd+XanPcrIIc37kMa+3X37L7
Yd/3275zvwXXrRuUZs+s0fC0Pu1/jOcbH6p/ihwmx8lI9Zc5H8r+z7hv/zPe
WJPf/kJ94/T1yCTZ/x3fr0oy3qVvurxofrGxH7VjIzwD43P1x8leY4uNFey3
NzJVX4I56+VQz6ha3xrHq9T/TYmXlg==
            "]], 
           LineBox[CompressedData["
1:eJwllHlMz2Ecx1/oH4y5mpFjWsQ/5kjSZq4prYyVo+VmjuVodChyazabljJ3
bbTyTwtj1FC2SHMNzVmhmdmQNXeO8TJ/vH/vz/F8nu/zvD/P5zdoaUr8unZA
L3/S0iA2A7qGwZHj0EEOSIfpxidrf18Nf7QfjYCd5hvlZtf/Mvc5Ab7JvTdC
VAP0lRdEiUY4XQHnxKbB0Ml4hfYF8cPaoDFQov3nGmwwH5kKZfqlYoF2gPku
s+GT+YchEHwCUqOhu5wmD5bXydceeQftdpdgWx5U6zdO8BzG+olMYymu663d
1X0y6+DwLEgYB4tSYEw1PAmFOO20o7C+WBaHYiFDThdXrN/jPvnukSPnrIGT
Q2DWCzjrd1fqh46Fl5uhj3uXu9cAOXAU5J6H7BrYKLqMhEJzneVca8rmQvha
mKK/fDpEy1H//GGQLAcmQpv1YZ450VzzNjUw/q4KhhhrlafK47zLT+2J2m1y
aSZEGMtSv4/WlKvv6mxrPePlFbBZ3qv/drj7ymv058RDjPbuYLg5EHqese4A
1JZAjcieBB1ve3bxpV49m+y9HBMDPR7bA9GqZlNOwQf5sVwvKp9B0lAouKoG
6pUhMkW+/mK57bnvSHwTLZ75ljrk74CvnmHfdthurMRYgXaR3P6YvVCfhq3Q
JOrUaG0E7KqE/jdcLz9IhmlZ6iEu+j6L7UupqDI+z37ttHfN97S9X6rxeGOb
5IX2N0lUqVvIFs8Q7hspUBNzc+WZ4pb5ButneK/rvvEaUSdqRfp971sL99Qz
yF4sdo839qOPPXtmH56KCPtYK0fKY31b3c09dM2KQjj4T9ep9tR4NznJWHvn
7pUzESCPdyZGebZIOct5avE9L3FOt16EVXKAc7dF/m3t1yLnwe/k+baXuf98
7dfq81yE6Rc5YzfULd545Wj7oK7VcpN1ueaS3bN8v73Uj57ovNz1ruVwR+xT
x76e573rxzvLn+RQ/biK//8lfwHKNBZL
            "]]}, "0.06960000000000001`"], 
         Annotation[#, 0.06960000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtM1WUYx784aYsVm/4RDcflhIZySySwOB0EBLGDR27aIc0pl6BQD5Cr
DFxeKj0FgajDUGgIgpch4tmhZhqXKQUk0QzkqJg2lmaazuYlZnN9zh/f3+d9
n+f5vZfned/XkFucafOQdIRPbaB05wUpqU5aiuzvSgVwDdJcqXmv9FWitBH7
yyckw5A0C1VgL98vfQ6fBEvJI9J9uO+S9NyodDRVim6Rsg9JkXCgR+pD3Vsl
I/7JV6VHtP+BN2ySg/ZPkVJQqXR4HmNhi/hGikJ7X5FehyZ0q4hY/ENZxF6W
4oKk4rOsPUrKgsvc/EEqox3HWlYRU4TyUDK2uTCGmPm0w2EYtDNXcQl7gu8w
9n7ozVzVcPFMKQWe3sMccHsC/8OADsaC6dnStfXMCzez/kLo1yl9fYb1wd2w
Gp1hndes5AbbLXief35G6RapZ590YaHkctuh7y6pE1tJvBTbIP2XRH2IC6Md
goICpGBq9udB6TZyIV8zeYTryfEELIU2dI5c78T3DDWI75X2zJbMzFMDs7Yx
PjYr7CWuCxnoJ9K3oJBY6SA2H2wz0OU3JC84BXlUkyvGvVNFfhn7L3gil1xC
jwXkL0N6Cu6iHxsu1VXCOM4RMVtob4AN/lIuTIab2lhzupS2RBpfAw+Tb1SC
avEncubMqIy4TGhBPoyXWs9eyI8PY1bCcf63YhuDLY3SnBRpLevu/k5a+CI5
q+BcwBtfSv3YbsMYYpzEnmK8X+lfMJDjY1IgenuQs4b9Kv4JNIk/k/iT+Jzo
vTzpA/a5jv06yMlD/u3CfhpFnuf8oh+xm76nZtyPu6wlKJ87gN2E4rHnLSYP
Tdw5NJuYRGwJbh/Kx3dpnNwhFzKiley91CntqJFe44xcZ79GuIm+kXPR207d
WU8l/QpkiWAfsBA9YO5v8d+D+TulNtZmgWmoin/62MsMfLMuSs/DDvbRjvLw
2fA1EV9HPTfCcpTB/pvxm+GH5GYwhzsDl7jb1LOS3C2jfTOM8/+FdBz/VGro
ie/egPQ4jbVi98E/upqauKiPg7whP2QP5a4S18qZO4VvAfHL7bwt0AhNaMMq
6Y+jrA8u95Oepgb3P+MeG6W3qFkr/H1Y+nuR5E/cTThEv5pcjkDDL5xF2v6w
gjNRhRJ4Z+qhBTpjeAN5b1pg+GbuaJl0gDfJHwbTt2Jv5i1cDUf7pCuoFw2j
c8hAzet5d5rQ2n5qh2xuEt/fylpQEmNNYz4j9OR8mrhTndzBk+ghb+mBMe4i
GuO/RliPrNzPSd7Xx8hB3EVsXr9xhuEgEu0nV6SPyd0DODFHevYT6V/ekrvE
ayn3izHOvomN/iP8BfinY4+HvnA3/ikreH/pe4dIh2Ao9ijkxJeAz45tJj6P
T+ljd9FPgcP4t+C/Sj8afw7+DOwvwfmoCN+6I+QemukbidkOp1MvB7aPaL+P
/gfBvaYk
            "]], 
           LineBox[CompressedData["
1:eJwllGtoj2EYhy8mISK0jDSMOeU4M/PBTMyZzOFvDLUcwkYM/80YyymxnM15
mUlhSA7TZmhOkxxilIkRHxQRObbkWj783ut57ud57+d+7vt+3/YpixMX1QFC
fTTvAyUB2HIBssohV7bsCyscb42A51nQdhJExsDcVDhXAhfVesebt8ObONh7
FEqHQ/AY9BgJg05Ad3npCaRrSz8AoxdDv2vQV810nBgLefoN3oUmHY1FH61U
UJ9tZJiq0nfZM7iuAmdgymj4UuRYlmtL88yO7uusmqn2Klw91d/XmxASDZMu
QwM5OB1OFUOsLJQFqt4taO3a7xXeyfll1TAImZ3gvOPkl8aqpqvkBGNybVgV
pDgfJT95xv5aP+aiWh9VvSHnEFTKv8vg50KI7wdjHIcsh7qO97mer9K15clU
OcrzImWi8UTJK+4Lk9H6bCG3LjB/4fC+Eu6bh6QH7lUJg43hCBTtgPneM9e7
vXReFgW/DkKxnLDGWmm/PcCzHVfId3e8k+OUMtjWGbIdf/e9GrXKOEO8a+N8
YzOOec4/ms8M795rsmearxr9VXvvt6qO8SUdhqbDYKi1DpV7rPscbU/13ywN
+muPtc9ueU6MfCUbaw+3BzaUWjfZ2j54aI8V34Y15rZEprg27gW8iIR71nX8
LlhnP6Zp3yW7rYYIddW4klyfoTK1T7A/c3znm32XLUvN3zRtV+Vx1wvUpYkQ
lwnD1WPtm65YN+sQZm5SzdGdqeYyGzZ2hdPmYotMvmGvr4Wz3ifHmAvHGqu8
J3dqr5AHc+CQikiCWa+hnZwpp3fR7nvxfhuVaoha+hyWqAP2cws5wm/mh7lb
6DfS6L41lV19PyseHum7aDecVBX2wroO7l8FkxPdb94Cjj/09JuUK52XzNW/
zDA32dqCsr4xxhjv8Qz7w9rEmfM/cqCMVTfshc/Ol1qbamsUsFZR2n/5T6ip
/S+Yk08yVCa4NtuYhsho95/yH5Jb+38I/P+n/AOTuA9w
            "]], 
           LineBox[{38963, 17096, 38957, 38952, 38963}]}, 
          "0.06720000000000001`"], 
         Annotation[#, 0.06720000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHlQzVEUx78Nxtpg8GaKLM+aopBmenqF11hLC7IvJUzRK9kzI1sykWIk
kq2SZWzZ/shQRIt9qR6FaEx2w1jHMnz64/v7nHvPudu55/66hceEWO0kneKz
ZIO0AuVPldoOkRKxTX2l0TCLvgVHpUjoSbs/ChonzYYexDxbLyXgu2OSRtBv
oz0UCn93/EkNbfxn8Q+kvy/Ko88e3yhoh287Pgf6fWm3hXPhd2fpxzqpeIoU
g/9fgPSR9g/YCn8d/q9Ppb/oN3L0l8pt0i2UT9yvw9JPFMrYPfTtR1VlUg68
DzsckL6NldImSo17SbNy2DNsUyBZ4pknTypFsZ5SNPGxKAodrGE+1DVUunmd
c6Mi9ARVoJnEZ+9hXdgrQXJirk7QEd3Hfo4yxpMP/L+wg92lZezFP0pKZm2n
e+T8ibQLGbAf3pVej6D/GGOxH6ND3NE0xmTCL4lSs27SBCf2OUN6SVwc9N7E
HSKPQHzQBxY8YuwV7rGce3FhX2e4E2RGpfgqZrGmK+dKZm/EfyKucZDU6Lh0
Mkyqpf81/vEpnA+V4xvbQNZf2Jl55kglMPsENYId4SvFp3KWfuQNTqMvmr52
EdwpzKOvaX8pJI05UUqwNA4ajFKLLtIr4kzwwknuGttzqDRvG7liTAr0oX2T
MUX4TYxZRd+LLOoR1vhJG+HKc9J6GAdj0fTbUhiaiyKQjTw/Rr4PGFtF7VBL
Z1At9nNkuSQ59yY2mzfA3lzYhysKHyX1hN6MM8KP1IM3sSZUwrlm4i8kD+74
K8nJN3KUT/9Szv2Hu4uHxbTfc+druOe1qI7+Mmrrlg/r3ZC6MN6IKhn7gDwf
w2+Dg0dK72ApY+uhmbp9tVkaDi/TF8Ve+hCTS3wV7yKUnNTAzeTEsIWah2Po
M7COPzkIRiu549FwGEpnvzFHpMVoBlqHVjXYzGENp06JDYNZxMXBBOZcDr2Y
bxe2F/e9bavUhDPacz+CSbRPE/MGRh6SPsD5Y/CRAztqsjmqZt+O0IByKsk7
b9eftzwADoLucDYMR6FoMHFpfdj3JJbANqOWzJ3KvHFF1CVzBOGvy6U+addD
B3w22B4WEvsOu+NZ3ir1Y6TWnPdyx8jCf+Y3efLCjqHOzmUydjtv2MJ41iuk
XYACibsdzd3zPzoM3+KzPy9d7S7tLJYmD2Re2nuxO8F5k6XVA6h3WEt8IHSz
Sp1Pcx6YOEwKgBd3SOdR+j5pZA/mKKXekP0FcgGbwkzi5jN/MrTGkmPoco36
HMRbgW7Ukivyw864SN6wzdXcNe2QEvZAXAh2ALRCM3s2EpPPnOXs9xJ8ARcx
xmER56Mdwb8tG7amXc96uWulz178r+FPaCLnl7Gvke8y5E6OJ/Ef9oBH+d92
wL+b+fYjvwr+37yt1ELOksFa/IOrUcZw1olkHfr+ufFv3s17RUn0BUAL+sB9
pXeV/gMp8KmU
            "]], 
           LineBox[CompressedData["
1:eJwllHlMz2Ecx19YY8vmaAx/5EiRWe7kH8emWlobIbkiMzMiZ9JBjlnDkJsc
y33ExiQSQmhYbKVN5NhsmMwck63ZvMwf79/r+T7P8/08n+f9+fy+PeekJy5u
AQT502EQlE2BzVcg6x5slSvlCrUlBOqyIXQ4hE2CcJmfBlduwAaZvwPejoI9
RbDmMeSoyzXQP849skQtO64Owrh0GHIbEuSEEXC1BDKqPEe17Q2djJFhvBzV
x9ivjdtNTr0IXbtDeR3cVF8vwF15R6XFQojvhal2qocKVjXG+1YJv9TEUmg9
DEYth3PXIEoel0Wq1X1ju/Y7A274nBMKbVZBprzkc4d67yE/VcOsV/BBpsTA
bMepKu4lNHrG/n+xzPWNceoHQt4hqJV/VpjDQhg9VDqOVwF6kiTLxuqL3Ove
hTLOM0PlBHMaLK/5Thc51Jgd5ZYFeqgP75/DYz0Z+AK+RENxgbl4x1NyiZyv
tnrHl0f0awg0FUKpHL/Wmjl/Pwr2OT6opqnkWzBJbusDufKn7zWr7JXQ0rsG
HjU/c5nn82d9XaU/EZMhWt+ajffGu79TmGPyYX223imyvT0wV6aq68Zutwga
PKuzfOg5lSrS3muQgc4F2xMby62h7GpPVNtrpQ/sKz0uk6muJViPmfJFmPWw
L1/LNJ93Og7PhV6q3NyS7YEZKtP58fZqnvu+24O5Mt7nR3qZ4Hq2NSpyT8lE
GLkaYtQz1zZdt37Wo8tDeJAMZ/Tgibwgz6vpd/RO7cmDi963WDV4bpE8pgqc
T3F9u6xK0Ot1vhcO/U6a41RrXmENVKF7x56Gw7Iw3j6thV3ecbf6YZ806tsC
/zN9fSdrDDw1VvFuOKuq7IX1vSA2x/oluk+/khx/jPB/KWvn6bne7MqE1a7l
OpdhjgHmFKnHJ5zH2JWeEaXfFXKpdWiyRlky0rnBqsnvQbMK8v6N8oOq8HsR
be1Gu2+A9zqQ9v878hcJ9Bai
            "]], 
           LineBox[{38962, 17095, 38956, 38951, 38962}]}, 
          "0.06480000000000001`"], 
         Annotation[#, 0.06480000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlHtQzWkYx782YxkNzY4oSnNsruG4ZaR0kntRyhRSxEl0O1iXsc1sxq3Z
2ra0olFEyv2W3C+5hBzRCBVK1B8u6z5rLRsjn/74ns/zvu9z3vd5n+d5f4Z5
i4ItrSSd5uf8UakUve4h+W6RJqPkGGnsGCke+5tRys+WzMxt9pUeFkgNaAtz
6Relr72lMVVSXq00ER72Z+NCaS8M3SMZd0lxfaTyS1LJasmjWvrkIX3Efg8L
4FOL1GEJ5wzhnFxpN3RgvJg9G64QI2MrLIKGOsnrZynhKrEOlYJgcAvLpJXY
XvxnLj6bzxEXYzfsgci9xcavH0zmvITF0hz268J50dDtujQE2Z6UXKEBjXeV
svKkHHQ2izvCpNGcy//XwWHQuYj9YcAM6XECMQyWxrH3bzCbmLciwwlpOmds
wr5M7LaM/57OPfH37CvdggFTpDM50gVUw1ol+T+A3fkv8nKcfMCmsdQIv8+w
F3kduk2KOsz+LpLTMakreknuL7BWghz8pB/IdzS5j0ONrAVSCytzaaz5ck46
9Ifel6kfHA6HoZA15BHNQcaR5AYGI1fsO6FSH9gAHfF9CNvCRmhhPxtijIYL
ieFFunRkHjmHzd7cPUhqbZI2MB4xgPymkSe0Ap8kuATmdpciYcpB6gTDJ0uJ
e6XVKBz9giwoCz+fCuJGK/HdTl5Cse05Z9JWKYOxPXumwlr2CGGuGubvoO9Q
DPGWnJUWQB/OCa2k73tJZcy9/JM8TKAWcB++d2CVgVwfkrojczk9TV+dfCRd
h434hOO/lj1e8f/SDOlX7vmF+WWwiPG//L+KmI13pVkTpR/JUwR8z/meJdIb
6BoltR/I/jt5EzDsJv7MxW4gn2g+89H8x5m3tZQ3Fsv4cY1Uj8zcvYa7zoaj
iCsSLqd3VtFzazLJEfZ6WItPEmwgH4nQg7fvTQ/5HSFu+ukPzkxFJh/pFD0/
Cqbg9z9xRMIm6M7cB3gM/xPoGXY79hiJnUmNw4g1DQbBNtyjgPvvQj/hF08+
tmHPNFNLGAbNzAXCPHKbj7yw48iVlZz5kXvrVOoHg9Hz/tw5VTo0l/6m7jas
vbshvUUurFmKqTtsVUotvKQns+k3N74HKfQhNOLnjgrp2TMPuF+gNO133hP0
gF3xMSVTywi+C/tZc6ZWxPHPer57nsRLTQvhg9vsjZzweT5euottT/1zyb0d
veCEnUIv+MdSB/4zdRA5TJSKh/N9msZ/sSuR4yqpG3LC7glDWM/nuxQB712T
6tBFVIHKkQt9kkPP7UAxVmkRim8h/mW7pZvIl706cnZzT/qB77UNfZ0RQg/S
M52IpRp/O5jJO9qIstFx3vft+/QqtEJH3kpTPd949AE18q1qv1b6j759g883
aOE7UDqTOcYfWY9i3S6AfoIOMJN1hUkTGNv2owdgX+YHo2LWTKwlM9eDtWZo
Yr4GjoMVrCexXs+4Dg3Ax3kddYLucCFrsft4XygbOwPmQjtqUwRt4XfTS62Q

            "]], 
           LineBox[CompressedData["
1:eJwllHlMz2Ecx18sxzJHpuIPzCTMfTTHH/whV7KIVmZomFGIJTrHEHPLcuda
s4wxcyWZWDlzbHKm2DDHmGsrW2y8zB/v3+t5Ps/zfJ7P5/N8vr8us1NiFzcC
QvxpMwBK4iHvHGzrCqnlsFE+zoJq1W0q9BgC7xwHunfLdli/EF6NhPwj8Frm
VEK6OlsFQbVQLG/ehbJREJMCmfvgu2ezbsGkYXD+PKQ5bhEGw/UVJMNklr7D
Za0+O8iEU9C+M5Q+gfedoOAMfDkJn1TyWDg9B1oZQ6DqqB7q51sF1KnYYmga
Ab8cHxvkueUwIhUOX4TG16GJ+qntkvMfcpF3px4yhm7WpBrWmscatU7lqq3G
8OE+zK2BOeqrfse9MBa5+59P432pn+f9YWWB51VdMky2rl9l3TKIUgHWJk6W
RMJSudN9SXKc94bJScY1QBYPhlA5SJ9BcmMSjLcWbx7DHevS7zl8Hg0n8iDR
XI/Kt+af4niTeVYfhMvmXb8fLsiYlbBae8VQ2OV4r5qm4q/4pt1d03++TE+D
Bs9mykDr0VwlGUufOFiurafcvAIirW2D/j6a+wZj/+M4/oA1LoQZsvV46yQT
1UX9tloENd4VLIPtgUDZ0h5oJtvJjtrWXPa9HYeoe/bchRtwW+ZY5wyV6Pqz
cJhpL9bKZOd5jnvkQBdVamzx9sF0tUJ7TKlv4b7v9l+2jHJ+2zyjXR+rMn2r
w+aXLUdnwAPXckugynxCb8L1BChyvVLmjoHj5pZgXrFF3iNfet9JbTWyUMZp
277K/K/BLLVX2/Ge0PsoDIwyxmm+91U4qH2Ke4Ofmqtq+ki7PRcgv1irYzth
gu8WrXp55pQ+zubDOXV/om8uf9sLE4x5vvptDWOyYZ61mhILC2Sc8/d9/VZl
1Tzrb612pPu+rmVrSzPmAGONsO6F2v/4NuXePcTal8kl+qzXliH7uCdCe729
3KDaWo9P8p0q878j0m97pPv6Gueehf//U/4C50wVNw==
            "]], 
           LineBox[{38961, 17094, 38955, 38950, 38961}]}, 
          "0.062400000000000004`"], 
         Annotation[#, 0.062400000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlG1Q1FUUh3/W5DRuiOYLOZiJli8brApMBSjIqqAiCirEikIuGkILymTj
9IIKuA46iiSCioK0SJKFZIpjaSamEKiAIoOAEB/EwMp0rBGnIXv2w+//3HvO
uS//c8+9Htb1S1MHSbrBxxAgVa6QXGEhzPlKKoAfwiSUSNt3m+RtlMZCT9ie
Jd1B6fiu+UtzF0st9APhf9CDGLuzj/8k/unYp6Cj2Az4QuAzi5SLzw37LPqu
MAH+PVX6J1Oqxp+CfyBc+oN+D+rG1wHb4NNOaXCX9DxyXyRdb5Ua0Cn8BeXS
XpSLXEukW79II+DjMP4vSnpukrSqVBr6g/QSCv6EPeGr/1JKfYt/J36Rn7QO
hsIjHdK4aOnmFelT/BfgZtgOV8KSQ1IZcmeeulOsBV/ZIjXCLpS/jDwQ1097
yXRpI3tZmCxls7Z7E3sMJfd3pJG0bzRK90KwH2cs7VZUytlYGHMAPrLz3x7S
0lclIzGZq8jzdmnMm9I72ZzTEnzQPlPahy8L1sdxhnXYiDHvkPbALmz38ekS
63qS6+/4R/iEuJexlc6SvljNmcHOnewJX+RuqTZCeh82wd5vpORxUkACOaiQ
gqA1SIqNlOJh2h4pBtthWIyGr2E++IJJ8suVhsAYaEG5jPE7wVyoh7jTsBf6
zpZqnPN9zpmhfmzZcCdqnsf5NHAOcD75a4Mh9BfQ3k5d2NHXV1kTlqFS5EAd
zFmOvQ3+xdmW0V5QKYWjra/Rv0ltHJGGoZ7D0mh4ey71zpptcBvcdFrKgJsn
cp60469LM1k3EFlptxKXCG0O7sMx2vO5P3At/ID/TcLeSI5M/I+F9aORmX++
R525kBcj9rtTpDjiVjJmMPfAxL48UTM5f0wNVJLLfuqiCq6mhqrhQ2rqAvwT
3keZ1FQsvm7iavjXKvZXB631nCOaxLnVIDtzNjNnE2dbTmwL9GFcH7zCPHHM
0wAtMAoFWRnPXs9jWwcdjClx3jXu4nJylufME/YXyc20XZwPtpGBjCUnxfg2
UTsFMJR+HmuncFfTUCzaij52tpnLxjrZxMbDQuI2wHTm+wgWwDz0thc1ncNb
QD4N1Iqd9hZ0gpjfYGIZeV/IvSeHKTCDfje59eetmMwb08Q+J8JI+jOQifYa
6AuXQ59q3oN3qXXaBt6eHMbvZp5gbLUt0mW0mPm6j1JHcOAWsRepc+yDkBux
lxhTAfuIGcMbkcBZP8Bnhd5F0hv4n5CPYPb4FLrtJZ/kbhQ8XkitzOFMWO9H
2v7soc/Gf0NHCvWKevEZqqj1n3lPYLS3NB6ugIewfTaDd3oDeYedxIfHSF6p
1OS3/B/MCpbCYDosKpa+3ycdhHlo3uvMVUuOkOEMOYJGtJa5R/PuxUEbc9sZ
P/UyPh9yB72oMyMy084/J71HO6CdPdCPqCHfxEXQDoM2GMBdGk9MJfPVsudz
8Fe4njFuafwnfSvrlUAX+ndZz5HBHeaN7ocunNd5eJHcn4XJnIWJvEZx747x
vj/jza+AoZxPEXOa4b+TOcufeFv3sxb+2yjfzDpJrINtYBr39aA0h/zbsfnB
MPq/T+C+nWSP6H+bGMmR
            "]], 
           LineBox[CompressedData["
1:eJwllHlMz3EYx19uNpHbP5gjuSfHMMMfzjTJb5VsrGGOEhlJSXNvbplrhFyp
WNpaKceyueaIuQn945ox1gxbTPMyf7x/r8/3+T2f5/tc+3adkxxYUg9o7U92
EpRPh6wSKJbd58HdFbCzO1RlQI9oeC/fqmZhsD0L3o2B1d6beQ4y7upfCZ1e
Q2d103PFWIhMhvRDUOOdVbegpBQuqBHeC+7he+QqY4XIjXKD+jAQOvp8LBOO
qC3qQDHU72ae8kshfFKJE6FoLgQdh3z50HhFi+Ce/H4dppXBL1mr8gZ7LxVG
LYeccqh3w3hDYZnv+6k9WSapZTnQ8iW0UOurYVAE7HgGu9R2VX0f4qwvVlV5
/mrs/f/imW+1cV6Y+6bDUDjOHMwlyn5+ld9TIFw1eAzRstz/l8q9+ibIiSH2
Qk41r4Hy/BBoLwcZM1huSYRJXeDNU7htvwdUwefxcGY3xFvnKfnWurda35ds
OCj/yB+q1Noj18A6bdeG21PP72WcjK2wrlD/M/4eudKZ1x51ZrKZvWiiEsyl
Xwys0NZLblsJY+1drfE+Wvtmc6/zHHvE/p50H2SLcJgj41WZcYMWwyvf1Va2
HWFs2dx9aCzbyHZq/WXoIDPln9VQOcx8XrljKk3Fa3/eE2a5g69los9Znsv0
C3VHLprbbHfhoHuRqj3yEsSoGvcvQ/9wz7esM0KfCSrdWeVY3wl1X3vmBXhk
LVvlc5mr/bS6E+duToACazurct2JfJmnvllbjoy23og8eyBP+xwlD8mC3tA3
F7rMgLDJ5nUFUlSyCuizWDZ64syMk7cPpjivru5GH/0LvVu8132eYi/T4akM
yMlqgfpt7yLt0zzrDwRgoXw0HxralweynQxSu9Pso/9l6JtijxqshabqhPY6
Z5It1+4xR+9cNY8f2tKM3c851bm/Yc7kst+BVvahTH7SVuE3YrQ+I1V/8zyQ
9P8b8he1eBM8
            "]], 
           
           LineBox[{17097, 21226, 38954, 38949, 38960, 26732, 17102, 26714, 
            45406, 26694, 17097}]}, "0.060000000000000005`"], 
         Annotation[#, 0.060000000000000005`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXtQ1FUUx780WbnRVpjU5Ci6mbHpIshkCyiBDzRAwUTFJajllbgIPkgb
Ex+wmjUihjAGPtYHSTqAlJoMyogZJDkCGr6QR0lE2lRmDvQHWR/++O7n3nPu
7557zz337pjEzLcy3CT9yI8hSKq0SUZYDPOOSEVwJVyCUmn7OyW/V6URcDy8
myv9ECitw3cRTp8rtWKbCv+FoxnjHOzjr8I/Efsr6BA2A76Z8OFiKR+fJ/Yp
9I0wEf5tlh7kSHX40/EPzJGy4G/YuvC1wRvwnw5pSKf0CBqKnkCXr0sj4Sjk
hXxuSO9Hsp8viIWM+1n3BckD3o9grwskt3HS24ekp2qkJ1HIWtaHr/GwtGwy
eWB8RID0HgyD+24RYyGx6qW1+GthNrwJ46Brt1SKXmSeC8eJBZ/fIDXBDlQ4
X+qH99FcX2kVazHOkqxLiQ89WjiHdmkYbGmWesKY6yjf0jbCNXHSQc6qlHzd
20wOxkjzRkpmfJviyfkW6YXx0utbObMofNA5RdqJLwc2JnCejdgYE/qxtB12
YLuD779zxJ1A3r9ij7CPcc9+Q7yp0n671P4JuUc9+KLzpIZoKQU2w95y5kCB
SeSgQgqG9jck2zxpeT65RIuw7YbPJFMTleQFBu1g72ioD+cAG/kmn2+s+O/g
t2ObhS/pUykZ1eNLgFYTdeMl/ZFC/uG0Y9LVmax3p1TyNXsdSyzYf1PKpFb6
YPU+ycTZnoEZ2GpgW4h09KJUhqrQPc73L1RBO5I5o1DlbOnwFWrEJT2Nft4j
DYceqHMGtdEkpaHsE+QDbnwJscZsuApbF7FXw2RipqCF16RudJz2bZh6SXIc
pFZZ2+gyxsJe7CbaK7CvREvQT6wrFTaRIwu5aYGxrDOUXPVQk+7kyYy921uK
Z9w7aAj3x8La3cnRSYf0GLY+aq4fneAs3qXm6uCf1H4tjOE+rKf2bNidMB5W
U4+n0O3vuees4RZ8mTOuR85R0hVqsJk6KGPOSYw/D4Ng3OD36BJzx8IYFJzI
WaEs1hsNa1mra/Beck/nk9cC8pmL73Hy5bONs8c2LJhvydFefKupsSIYRr+A
2Gu413a+tcEN6ANko+9g7o8YmwCLGZcJ1zFfFiyCBWiyhfrfjh8ZqCsnXI8q
GPMLTP2cMwvnjSCH6XAj/S7WG8AbNI43qZl1mmA0fV9koZ0EI5A/bRPfvQbT
6Bt4s/L4fgcKWcTduUqe0Bzm6yqVZsOBVsbWSY9iF/Ik5jnGP8BfTnsE7WPw
d3x2ztxvrzQWmxdyo/bTL5Mj8uZCzxVIR0rYC2ol3hkYwBp+TWff8MAy3hDU
i89wkrf5PO8LXDCJ+eBiWILtQz/e9+WcA2pnfCC8BiNjpQkZrKmKu4B8qfuc
UO4cd2oPqi5kj6zpM9ozuIve33EfrMTiTvrSNqNkYgznrYyHDuZ1Mp/3t9i5
L/5wC/MWnuaMUDF1GdrG+WOPaiDn/pB2OHTAQO6aF7VZyVwNrLsGdsIMvvFc
wV7p24nlgu70u4l1YBN3HZUhd87pNDxL/k/BNM7DQl5juINx6CH/EeXcSzP/
MblvStvO8rZyXlvhrl3Ewn8dFU4jThpxsA1MlJYWU+/T2Rs2Kwynf5e3q+5L
1oj+BxaQ1cc=
            "]], 
           LineBox[CompressedData["
1:eJwllHloz2Ecx1/IFUVG/kLmihELOSK5NtfPbMws0tzGbNP8bHNkpBzLnWHG
rF1hVgwjTInIMWQ2V8qViJZGSRYv+eO91+f3PJ/n+X6uZ90XpsQkNwE6+2dr
EH7ehtQh0CIflsuwWFjjeh+5Mx3GDdUnDT5egm29oFE79hiMKoTxKlW/kMlw
St8iFXkcAhvhRRXUqZBVagS0km3uQHPZQX7oDZuvwu8NcG8YrH8J8f6er2rd
m7ceErWXqD3aF/Xp7b2X/V5CARyOhKDrgSswS9XnwiQZoW6vgP3uT9EvYxAc
N7cC9cD1DZfhsXnskLVytzzl3ukSOKm2RUBUKcxQJVNhupymit2bKBv6QPp1
OGHuBe4XyyIVZQ26xkOae11kyFP4pm/OC+N0LVm1rrEOKkn75EE45Ln3Y+HP
fQidAPsqoPo59PJ8WV9t4zorEzJhgaoJQLScrJaqX9YyYP0WW5voGFgmHy+F
Ztbsoewo26q9GbBOv6BKs35Ns6ClKnC90R7lyk0HjN8z3/39TaV7d5h9azwP
g+zXlR7Qfo59kJ9cuxYHo/UZqfobY06S96hK1/e4f1aGLoG7ztIuzzyzVz1m
ma98q1qFQ/ZeeDfG3ntubrkx3tPfWnR7BXdkB+sRkWIP7W1Q1Xsm01gqLsAl
Ndxz7XpClXaYdpq+n+33Fu/9IDu7Vm9N8p2b7SrnnDGqI+rLGfNQic5J+SLr
5KyUykfeV77S/lfad/XzpnMwWP+10MS3MND5R6b6jdXqh+t15hA09uR/+VSb
izOU77yEOx8Z9jC71nlTr9yb7V6c+T3TzvVN1clVziHGmplnXWSZs9BgDFHW
8atsWONsq6ZPYKasdD9FHtB/uYzwfKicfsv45AXfcScZbmzt5HbnPrIbvHEm
Bzhf0a+hn/w80Tnc55szz0L51tx3mN+Xo74vmex3fmufN//AJshy7cZwyNN+
L+NkrLOS7Zxn/XtzcmXV//8rfwEGsRm9
            "]], 
           
           LineBox[{38970, 21225, 38953, 38948, 38959, 26731, 17101, 26713, 
            45405, 26693, 38969, 38967, 38970}]}, "0.057600000000000005`"], 
         Annotation[#, 0.057600000000000005`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlWtQlVUUhl8HU5E5XUxrIhORRIQQxEG5yAgKJKBAOkpcPXJRBEEpdcrR
6ECoFSAIo0AIKEVYXCopRzFFgpEwEUVFhUNESNJ01almJJsefrzn2Xvt/e21
vrXW/o5t/LY16RMk3ePH0luqj5IMsATmnpCK4bMvSBmMkxi7vSO5OkrW0BGO
Zktx2INZd4LXvKQebEtDpX+hDXuyx+esNbK2ALs9Oo7NkjV/+ChSymdtBnZv
5ga4Ed6fLz3IkiYwrmGPBT4K4M/YBli7DXvhP2bpzQvSxAFpMurulWbC2eiN
VZLzLWkHLK7FDzJUEWeH9BQ0fyz1o9x1rKPZQVJrDXGFSJurpeXwHPPw3cR+
XpqP3Nfzvp7SHHi0D1+wu50YFktn4R54C0bB2g+kMH/pOZ6/eBKf8JlM6TLs
R0Vrpb/hn2i1q/QaMRlelpakSFOhdTfxXJGuoOFAzvmE5xgb4K5o6Ri1qiZf
v+fw/raSA/a56O1Ycr6P2jlJiw9QszDeAcagQ6yZlkodcdTzW+rDHt93pTzY
j+0ea/+Rz2kvSalf8H7wL/Y92Yo/H6lyo9T3HvFgD8yTfoUJMBF1hUsjdZJf
grSdeYEzcR6UjMukyFekbYy3ovWsl8EnEslrAzmBLezxKpCmLJCioS22DmyD
sBMasQWyFl8otXFWBuyEzTzvbUMcSeQe+jVK1wOIt0gq/Up6HGa/SE5hW5l0
ukK6yXoZde2FSTc5A9uJS/QZakT3qavZV6pjHMJ5oah+JfWrJBfHiZFa/FhO
jeB0bGZqvKlLSkZ7msgF3ICmXZVWbqVfb5MzlECvPk9PrcNnBMonhmG4A5sN
fRj6tXSXeRP7RmDoNc7upzdgGv4343uQ2L7HNgSjiS+Q9/dHEYx94TD96EDO
7NGQAzXnmYmrpQupkhU8BZvQY9gno4f0nBWMo99OUpMN8Dz87Qz9DNfaS3vp
w3JiyoSVsBodQ/u5Yz90kjs4CGuhiVrdYdwznkPYVk/+Z0lX6c8ueqIGfwvx
0Qq9YBRnxqDv8BfAPIKxTzx1RK/zLmHwLO9RMX5vucdryHsMymJtErmeipxz
uRvQFZZTi530YDEMuCwV4nsX997Is5EwEb4FI2EKZ+9jbywsYZ8PseYwjsvn
btC7hZznDvOYlyBL+i0b7kV17LsLkz6S0pHIbWowOWI8QLwefJ/m8l3rIk4X
xg3cJScYjGKRG2u2PJPMeBOy5FuWy7MH0bIIqf0GfQ1nsraK8x5el8ZQcotk
hx8L1mfAFvY/+FD6lLE14wb4C2tGesH1KD6Z243HR6+n0o/l5KkCPX2IenEf
6lAPfpqhBzH8RL+6w6o06oxGWLP8km/2N/SbG/2DzYJ7NQpLse1eyHdyO32I
+rB5whsw5FV8p/Ot4046chesP5MWQRdk8qN/uHOXiOlUMe8KjzBfwT2dd5E7
5IFPfGRCF+YJ+J3OtzQGpnB+NufOa8POnXKDOZxd1EydUAn9uhNbFgpFQYt4
BnraSbPoyXrOaCfu09AM0+6QxwzelbkRH0nIinkV3+tJcAhfVSbpD1SDrKjb
GXiOOiRTFxP/SelwjP+LKO7wI+jAf5A9yuL/5H3+M8Kp2354+Aj+sJnZU7Qc
f1uoBbYxF2lLKT2/gnfDtgQGMR+dw138nFjR/6/d3xY=
            "]], 
           LineBox[CompressedData["
1:eJwllHloz2Ecx19zpCiaqyitOSZLjM0VEtkWtmFzHyl3w5b5MeaYI9dcc05o
xtya5NowRG4LOSZHwhDRnLUQ85I/3r/Xc3ye7/O5nl/o2NTElCAgxJ8lM6Hi
GqRGQfWdMEmGD4YZrofJlemwVlXMgLdFUC6XtYDIK7Ba9sr3rHZ1+8BB7fJV
TC7EzYfH56G/rNsF5hRDzetQQ1WbBsHydRgsdP3XPLjZCTKewqWrMMy1UWrk
XJgsx6u1jk9q08LvFXnfmF2QEwsB1+POQpIq3waxMlpdTYb17vfRLj0C9hjb
ohgocX3uaYi6A5lylVqh1qicUmOSB7Xt1A8O7TNWzwzc73nnSXK3jP83dy9G
5jrvK3fKWJlgHho9gsYq7QJsfQKfW0LVB/BJ5jiv4ni6e5X34bfq55m9m2GL
udykynrCnxLIPg4b1e8Q2RSaD9d/fWspN+nXXcdHW5mfOX6zI9yPh58dYIHz
ASpZTVA/zHecOf4jp5vDBinebY6qmNfbE6GerKXWzbZO2gVUmjkOWghn/d66
jZDn3mK5QDXxzDdrGyrDrW2wbGs9W6szzaDOMGsl352A4qHQzXsj9HO07KqP
7SbYP+qUe2EyVJXYb2vsvaaD4J7jEPnS2tZoB1nZ+qAypsKII/p4y2/JG+Yo
2PxEp1pja1+ubXttvsvusvCkdZTnZLEKd5ym7Xv7YZHfey0bulZuTnLtq+Vq
6zE5RN8L4I3KumuPqIJx5she2ifvNHc+xd4utHaq4rL1i4QPs+CLauMbqTSW
md7xpIf+uFYqA/r96jYMf2ZscoQ1zLWP8lS6tcyy/wJysOtLHSfKp9qVqqm+
tUrvnL3DnOjz4d7w1XmCOf4ovwbsPxVkPyXKU+6nyA3aT5LRng+V8b7bNvKE
/tWXEfpWWy73XcTYZy8eWsfH9s9zaCXfR8OB9ebbOHfLl8a+wvg+bLeX5TTv
yZRl1iFD9s6Ei51huyyTQ+Qge2Wkyvz3Jn0Dyef//+/8BaKVIoM=
            "]], 
           
           LineBox[{17100, 26712, 45404, 26692, 38968, 38966, 21224, 38994, 
            21233, 45418, 8894, 38947, 38958, 26730, 17100}]}, 
          "0.055200000000000006`"], 
         Annotation[#, 0.055200000000000006`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXlQ1VUUx78pTo/GqchlIBNkkS0wIIdUFBcgdlRSghAcFqVHgpgyLZjy
CB1ECERzCVCyEMOkbGFKYnmBECiVDCUIaIgalqVS/VHZ0Ic/vnzuPfdyz/nd
c8599smbozMfkPQbf4IDpBijFAmjnpOazkijDlLIEckXWx5ry+BG+AVr62HB
IalshTT4nrQpVHqb+e5maWWvVAhN2OZeklzQffbE1Uj/wAxXKTdOam2RGtGX
JumhRVI1vIOOoeFMacoWxp+yBucFSrNhfLk0HWa7SJda8Y3akOsA62iBo5Ta
JhlRJDKhbeiQs1TUQLwo/2PJG1tyv+QM8/CVnCWl4MsIrfExDSX74LdD2rFA
MtRLOdCZ+Qon6eBR/AZJ9QekLljFPHc5+7+VfJANPtzgBTvJnfPDYqXeDOLj
/MswirNDGL/mLR0m/lFsk/BRD08yfxcZPpduPC+lsecU9vlu0s1N5AtdxX7m
M6kH1rwjPVYmVfDtxovSCewZMB2Nc28O1cQQJj1VSd7qpFs/SL8iG+y12Bvg
vfeJhVyMQQdsaYzt4Ti5DCdfs/IkW+SPP2doQSx7+T8D3MA8Dc2JlBLhOhSK
3NHpT7gT2B0jLYHPoCHOy+F/d6DxCGKFqej6W3xnsrQd5iHDavIGi9B8T6m0
iLzBBOb57Ft8mnVb/DHe9SHfDmM5742T5BLGwvUwG5ayL7Cb+2Rezp2YqMlH
uSdr5MG5lnAKMhFnfIW0Gl1kb2UV90O8UZz9MmtP4L8XWyDzwGDp/FnyCJO+
lxZCM2vtqA41oa/QmnRqFf8txNuKBrvIG7XaD3OXkq8r5BAdGZKOoyoUHY5v
eBSVo+2cH00NN5RIa+F1cvsHvm/CGygF34bj9Ar6G5+OIdTSS9LDzFu9sJOb
FubNaJTv6YHD0CVVGuG7AqgLC+rfEgUzDkLrzvNtPdLAoBQBf4LD6BpayfwK
XAUjG6kR5ElP2tLjhSekYrSGOn2c7wiDQ/RaMLQi1kT6IgXlcN9Wz1KnjAfJ
ybRj+Gd+jbt/EI4Rezg+/oSn8FOLtjZJXvvxvUyazFsyCOuI0xXbCH344o+S
Ez43QkeYBjvpzT7WmmA/b9g5+sWX/ZX0WwV6hHEP5wQRh/9HvHPo9gbeJu7g
LOqkDrP2cY8wCQbNowZLqS10lfvrIIcxjG0Z+8A5sBnbDOg5ca+8ARaMv6EG
7tpLmeQwlrNegdmohJraXIzfFHJJHXev4i31p56x3fbAHxyBlwuphyTqYwkx
f829dNKX2NPpMSv4n1n6eTH5SqRnnpSW7qGPoDf7OrDlsrYvgfoukOywO8GZ
8Ondkh/ayZpTLTWBJhPn77uoxyj8+RFnvDQV+8B39Axsg2ZkRV3aIEvqz5c6
nwq3UH8R1Nzd16W/UBm/JwPwApqxk76D7dSZNYwi7zW8tXG+9Mg57gubM3Xt
RU2asBmZV1Onjrm8KQt5B7C78tviOfE7w1ojdbZ8It/UQgA0M7fjd2f/Wt4n
NEA9tlNL1sS0lX726OPeoZn+v0NfzaLvxmAH823c36uob+KN4l27BUv4nZr0
ATFAvSn9gt0N3oOL4AF+t6ZzR8XwPnsCsBnceb/hXOyeqI41vxfIBTZb1v6F
fti7YA9yZy0UHwlwlLkbe2zyea+hN0zFnsX6zNl8F+O9jAvQ/24/46A=
            "]], 
           LineBox[CompressedData["
1:eJwllHdI1VEUxz8GBRFBC4K2Ni3ae0BYz/arLNsSNMUssyzNhg2aVNKgaNi0
TYPGo0kR0YCwbXvakhbaooKsT/TH933uPeeO8zvn3Bc+cmK/pDCgvj/zpsL3
y1Co8o/D6xRIagGTtdceAIvTYLn6rv31CfgoF9SGZhdhqYzKdr3rynaHPa7b
rqI3Q89ZcP8s9JZl28K0M1DyCrysA58mwgv5YybM1v5Lnr8E59Qg58PU0BkQ
L0ep5Y6PtdbvPRU9b6p7Y7fB2q7GvAGy5DjnhZ298wZ81RY4DRfHwQp93fSl
NoHsLTCnC1zVPv0kNL8OGbK9THwMbeTau7Doid+t1jlu1RPWyEPujdRfV4Wr
bO3V7kEL2X03bJV7dkFVfdXUOvNyzzOytFd03SZZWcaYp7A7UEkfMvkcBLUV
3YYecsca73NvXpTjeHMu98tVR2GvDNSAkDzguhxjWuX31BkCq+V154cizVm6
d7SCW0H42RJmOe+jSmhLkD8mWB9z/lsmm9cKSd5vvsLMdc5Y82x+yznOnGbd
XJeiJpl75sApz8tcDVv0FTe2uY6ruOezta4hI611GdnIWpeSmRfgZE34dsx6
DIIR3hmn2hlbkzH2kQppj2sEuf96zvky+y88Fm46z1ElmsLdlVBMZq6A9PEw
/KD5rA4REVDe3ATsqVTr/tE1TfV/kQO1FVj3RNlB2+mQ8ck/+iZpC/OOkP2U
75oI7R/85vXOC8zJTvleLpULB8LbA/BKLbG/TjQ0f76D/aNgsG/mWi3Hifa6
48NyR3PfgdwqC1KhoWuL/KYpxv6go7Fpy5UpV73jEaTJN9fseXvwlUxwnmwt
U1WsdZ1v/8XIh/pyVaLvrsjz07LMjXHvC9j7zoPm+L0snAJdFPZUjAzpnyCP
yKBnrnRflGyvAp41wLc8WPVSo9VwddR4g9a4r2psvJ1kPVnacxb6fqLN/bNc
aPDA3nqqT+ZHw27rFGcetsnn5mWR3/5uo+9Kjvf+DJlnvdJl59nGoqJVXhvj
kP3to6EqwzsSZPzZ//9RfwFk/y2Z
            "]], 
           
           LineBox[{26750, 39057, 12219, 38981, 17099, 26711, 45411, 8308, 
            26691, 45279, 26697, 38520, 12194, 38965, 21223, 38993, 21232, 
            45417, 8893, 38946, 26729, 39036, 26750}]}, 
          "0.05280000000000001`"], 
         Annotation[#, 0.05280000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           
           LineBox[{8310, 45416, 21231, 38992, 21222, 38964, 12193, 38519, 
            26696, 45278, 26690, 8307, 45410, 26710, 17098, 38980, 12218, 
            39056, 26749, 39035, 39030}], 
           LineBox[{43254, 43261, 27152, 7396, 31363, 22030}], 
           LineBox[CompressedData["
1:eJwVlWtQlGUYhm8iB7ExaTywWkDIIiwH5TAqoiWBretyGA8RBbQFRAMeAJXJ
0pRFIBMNxJgsTLMSKAfSTIsUkIOAkIUYoiCaWQ6Wgpb+aKrRLn/ce73f83zf
e3gO73qmZi/NcpB0lx9zlBSfKcXA2GVSw1fS0FRp4YfSTGz5+ObDdPgtPhvc
sksqi5QufiatWCSV81x0QorrlbZCOzbjeakQWs5JD++Xupuklb5S3otSC+Mi
6BIu3YmVnOFIvrQXXcni/dWMv8YOAxdIT8DE3dJ4mOsj9bWyNmpFPhfxo9le
UtpJKQPFIDtai96fJm07zn5RwSEpCFtKv+QN81krJUdKZa0M6MhaU1gnJYR1
O6Q3sd1tkD6Gm8Ok+5uk5uekyB+lzmelDd8wJ+oo5529nO0ZKRhfMz4Da/ky
9kG7PKQcYhrCPLNR/ypizRo34T9HiTccxTwO6Cjjas61Dznh+y1Bei1YOoA9
1CRdW8l36DL2Q0ekHlhVIT22U9pNDDJ6pErstxdK2YzvcSbPSva8h/1YpTPV
kgn+QV4M2OvRMXSbHL1BXtahZPLgzTv/xvM9ObWSN7fNkgd5eor1vBkbkRP7
SeJbG/Igj6uY80nOmoTPgkyo5jCxhKefl+bBWWiQ+dbzzUZ0L4a6gCPu5PEs
54Q/e5KbEuZfQv7gNhQaKJVuJ38wmeeCVCm8VpqLkhgX1nB2mMB8b31OTmEC
tMFcWMq8UT8QT54riImd+hxHnFyRP/MuJnZjGdvZZ+JHUhN7TFhBbKCZeWPR
anyPs/5P+5iL5yhi3HWMXoGvnJHCYBu+CFgLG9BxtGw5Ncv6Xey1BfV1kTdq
thfmzSefvPPBJXIAl0RL12EFz0NwYxo9QR5/RX+xlsmCnXEqazh/ShN/Qg7r
pUb2asQ3FltLED7y0Q5PYh/iDD3wHLrJGTrhVehI3Y9GY9A48mYm/pYvOQ8c
HCQvzGdlHI3M9EEM8qP/kqiBABhHHW6v4nxwMvteBAfpLTMczx5b2WMq9T+J
8SNmck58XeAw8TXWsRc4GbqiZN6LZc0hZEV3OMcR1q9h7TWN5BAFvie9DmfA
Onx+8CB+H3iK/isySn+zfiV9tLxPykTX6MUT+BrQBe6xMN49e5qYRrA/bJfw
h2IbhM6wG7thKfGCt9K5+w5KN2A9cfkOnaIms8ukLGSdTqzgAmjbQU++Ss3A
eOTGOBh6wEZyPAH68X0AcmTcQT1UUwsvM19hKd/BXFhCfWW9S90/zf1L7sth
XQq1je1GAGvBq7C/WNqDfbiTOKIxLdKjKJN+GwX/a6aWsffaOPNWaQD+Mo/v
Gef700f42rHlYdvxEjX/juSO3QtOhCFv019oEz6vA9I09BB9OVxEycVx381l
v0nkFftANzmErbAJudALBjSa/M+k9jdQxzkomnq8tZ47FZXxXzMAv0cT8qg/
2EYdusJY+rOKe/iFWfRKGzHD5k3tz6Bm7dgyeN5PTU+1U69zyB92H/53Ah78
B+GrpyYjqMd0/p/aGDchd/6LdnKfFaMB7sA26tCVPa3hPvC/QF3BJu6EEfpu
ymXpT9jO81riuA6df3Bvcd9dhyX8dzl8wR7gfZ5/x+5bQP/COfAwdi/8V+Bi
niORkx93OjQSuwBUy10ankgusNnRJPwN0A32QBM+C3MkwyGefbEbCqXpMAim
Yc/GP9GNczEuZrwF/Q8+nedC
            "]], 
           LineBox[CompressedData["
1:eJwllGdsjmEUhq8mJMYPhIhNKfFDqzVK+WHUbo1otalGYkRpaT+Cqh17lko1
EauoaKSU8kmtNBIzIUbt2HtFiBCE4hI/7u96znnO+7znPec8X+j4wMisECDc
n8Wz4OsF+KRel8OLGZDZBabrDxsFK2fDw84wTn517/4xWNYWos7BGtm7yHjj
4mWcGt5V7oBi47f0h5EL4Gw3qHtRxcDsU1DD9bN28CEAT+S3+bBQ/w95+jxU
qCTt0SplHqTJsfKI55T5roOyoefO9NmEXVAw0Ny3wFaZrv0pFu5cgw3a52Wu
rJQnMyDiKiwaAJ3kEpnxAKJdZ8osFVA9tJe6103GqDC16Tbkq9JCmOtee32t
VPM70Ex1joNBxdBVFu+FHGMGbYU5spH7eT7347Lfqho/hKaqmfp1w9oNhp8y
3/oVFcBeVTQJ9ssSld5Ratcsg1oq6LpU/5s+cMNzC3zHMe3tx6FQRabok1GS
aLg+FL7bl/lzYJiqri8ky9xcr4uC8dY9YE3r66s66TPW+3KafbC+9Vzn5tg3
Y457xvZNUC7X5utXO9yrZh5hxq/WLouAt4usj72uoy/cXteSuWfMsQ18CToP
yfYzE1JVjLlFT9T2uaD+VHnz3+zpW+sctkqE9fKavurmemujvVU5U+FxqTMg
m7SE0NYQ6zwNVpH6Phs7yvXHSHsse+o7cdS85G/3punDs4PO0WtjQvW/91s3
a+9Ru9U7a7JGLk+CVwfguVrlHJWHwxDvQskESPbOpKiSKTBUHpJF3pddslB+
zIYOxlb5DTPyPFN7hHlPvwR3e2nfh2zX49TLKzBZBuzpLJVgX1c4cx2dqZvu
zXNeKmWG967K87O3WRPz3tfPmdeOt7ZJqprvS7fWNZyp2upPJTSQdVTQ2CGe
Ha/yfL637KFiPTPRO52s4tQENUYdNu94ezxcRZh7H9lTtbDeDax77D3n8JZn
yMRH3gP5xXsf4t0YbT1S1U779TjMbzGvt96JAjnFPBbIp0fspezrzOSpp92t
YYJxcrn3NaXCODlZplX8/7/6C4HKL7c=
            "]]}, "0.05040000000000001`"], 
         Annotation[#, 0.05040000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[{22029, 31362, 7395, 27151, 43260, 43253}], 
           LineBox[CompressedData["
1:eJwVlXtQlFUYxh9vSA2pU1wqAuOSrLAQMYWSphmtiCxqK9IAgwlpJCjexkoy
WJFIKgIiM1IcahFQIyPvIsLCkpcMEMEkJJpyqGAI02bKmrIffzz7+85zzved
c973PWd9UtdZMsdIGuQnf79UgEoSJVcvKRW65Umb4cPQAwUESgPbpSS8KMYa
YAfth/BPQzdYNNrGf4b+4QTJCe9VvDvTpcWwH8+Xvjo4k/YIfgD8Bf6XK9nw
RX8h/Jl2L/4V+Ipd2ohav5XuN0s3+qRGngOvStPRBjz3CskxX+qpZi/L2Avy
imZcFT5aaZPq4UkUmyV1B0hBjVJYvORjlaYim0FKoy8nXArB9z/FPlEQXtlu
KRSan2Uu6DhMrPykvRul+2A1nhvsgcVLpVvwN7QwVFrH2rLQ4+nSxCji2SFN
Ro3t0hLi7X5A2pTEt2ZJd+dLFYskI6yGvvS9kSwdoy8CzzUIbwd7gwmwiL7s
2cSX59bleAeldvgDXg+cUSBdhjnnpX+I4fhm6eUvpXvgXWgIf0+KtA9FFUqR
aNBIHOBxvNI5rPtFaS3tdFQYzFqLpPjnpO1wOayqlWrQ2JXE6nNpAmyYK71F
Xz0MLaYu8OJgH6xlzHUYXSLNR9EhfBNGPC2d5Z0T9N9YJW3B202fSym1Rp+H
RWqDzrR7TeQONu+V7Kgf/9JFqQtZDhE/8hPbJi1C1xlbcUyqRHn+0l9rWBus
6ySuC6ghvnMchsDNZ3gXfkR91NB/GL8WHoVD16RfUTLfNMMk6H6CmkRDeyQ/
6IX8LpFfatEVuqEUxjWTdzPz2j6R/qQmSqjD95EF753RmoRBzJn4vGRqYA6Y
wZyGWPIFo1mDCU2ayny+xJr9TUTnMpibWu2CHWiAGm6BrczhzLt26PKpNAU1
4NefhugO9dgCx7AeA9//nTp/BP7IereS70H641nzNda2JIazSnsX524IZpPT
yxeYr5dzBO3kfhCehxeRhTpvYtxTvP8ZnAsdcAZ8gbo/xfMV5luWSv7xOmk/
SF2tZx9mPBM6yT7iWW8jTCC2OfS5HKHOOWOB7xJ3niehHO6BMs7kS4z5iXug
oIZ4QQP3Qgz1vRitwQvi+wveo675dgRrzIVJtC3IRN8BOIHa2wmdoBV+78N1
5C15EvdhmLFP+pdvb4VbUC9re4L7aRb6mvUZ4UHOVjVyIkc3eSe9m/mRN7lI
5p1E5MS9ZmCsz5PSbPLsDf/mvvLDuw2nMMZ/IevbJr3eJC1lnpFKYoLvgax4
3rCTu64dBTB2Xjl39ej6iEUmORwhrpXEJ43nVPQxcbO2cMfAQ/h9zBv8GPmk
7sJYz/615BNvFZ6N+l8Nqxh/BF+cm/FogOfbR3kHmsOkqzAKhq/njmO/H1Kb
wdT6Gc6bxxfUAPzqA+5u3nXAHTAXZaFz9M1jbFMcd3+2tG0ma+M7t6j916Dx
rLSCbz/AvTuWPaXhpVDvK6A1k/g4eO6RHoW5zFVcL72Ndk5jPrwcFIPSUCoK
Z9+e1Os01My+vkPdaBNn7t4N1BjzeEIjcznDcuYaB/uZq5w8DKM/0E3yOJl8
5fEfZScP2bANfoPGkaMoch2JSvlv6eQ/J7aLs4vyaJfuoh74T8qHF+h7Eyav
Jrx13DEonOc5kdypZcSX/xArjKEdh2+C/wPqxNw+
            "]], 
           
           LineBox[{8309, 45415, 21230, 38991, 38990, 12196, 55316, 12192, 
            50011, 38518, 43078, 16943, 26695, 45274, 45277, 8244, 26689, 
            8306, 45409, 26709, 38984, 38979, 12217, 39055, 26748, 39034, 
            39029}], 
           LineBox[CompressedData["
1:eJwllHss1nEUxp9iq2yptLb+cYlQa4go9Q+6uU2X16VpXfQ2d7kkFFLWzSK6
qJZEsqxpE70NmVqbUZtWYWyEbLWwdbGl1l0f64/Hc875nu95z/c552eJMcWQ
PEPScv6YEqXIdOnJSskLvrVKuklsBbYzGM+UDHXSVpDaif9aOghHgXfYe+Bu
Hym5Usrvk9Jg12Cp54WUPSR1wfGO0m9qZpRLecCOug0bpblw+APJDI5zkGb1
SBbgb7e0ELYEJvICqRkMSrjrA68F66kZ2i5FgCBgBLtAgye5h6UtwIXefeF1
wNqemrbc65dGe6kBhw5LHvCXTYjxUjIHsU3SV3oeWipVXpCG4VP0N3ZdKoUT
6CcXHjFJWbDfMfoCI97SvVDy4Nv4Meh5Fz6ZIEU/lo5nSN85m3wqvec33nI3
lVgicAiXTmdJg2gfBU9yNtAsneCNnrzpkJeURI54RxwcVM37iAVVSDXkX6P/
7UeltjXSvGdSZis9gg8p0hsn7mPP5NwP1JLzqAPdiRlzmAGxsdWSDXyfs3rq
18GL8NO5a6ji3f70XCaVwXH4nzdIfa+kYvx2uAjuglt4qwsa5m2W3OH4QfKB
F/ZikIQdDRZgOwBH4ARsp3UnHgPssY0PJasBqZA519SgM/X80b8E/xywYQbf
nqMnKGYOP9mTi8z3F/Mtj2XGdmjVIN3B7r5CbTfefZleppnYbM6a4QnO0oi1
ctaEP+pHPvV7QROxcvqoAG6RaACfB7nMYwrts49IOSAEmKOfkhkPdqG7tC8X
Fw2tiFmgcws6dsagOzwfv4g5ZpLTTJ3yUqkRPnuJOLjBmRl9OJBfgF/vynzY
o1rYkpifB/vKNzMB2nZI2/i9vQck7xB0jsYmz0R8J9zDbpXwPbgRn80+5Sex
5sTMudPPbu/2RVtiw3zbBrSrxD7DuQscwO64wWGwAXxin+PhP9ydE8b3DJvD
KcSm2PtG9uUHb7bjjhXfrzVs6Sx95L1XOasGVWCcnIII9MTuWEZsP3dd2GFi
JjiA3Q8EtcQjmv7/f/oHmRMllA==
            "]]}, "0.048`"], Annotation[#, 0.048, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXtQ1UUUx79YSo6pY8JlVECuJDchJTKMzEwNeYddQEWEEsVrgEIyaWIK
gg7pDAn5GEVFEwRBkDCCCBHkUSYxEi8fSdkLizvFZE1kltaHP773s3vO7m93
zzm717g6OSzJRpKVn+Q8aTMKj5eCXpLSaQeHSzHwBfre2MvPSdUomvauQ9Ll
QskSKP0I42FIj9RJe1+j5NcrBQRJI05J7RelnSuk54qkqzOk+xnSuLnSnZel
P2gHuUh5OyQDPDhNOlYl2W6UPHylyTDyqDQBppiknhbpBmpC02/iR96uUmwr
e0FBKA1tRAfcpD3npRyUUSnNwvbaDckVpifRfkNaxVoWaMNa2+FY1noLDl2Q
fkf5tHf4sOc0qTFCWnBFurRYSq3hm+gd1HKA9eCnsBGfgbUuwCcZe3CqlMSZ
vPmO39PStQ3EFVrh3WqpHy58XBrF/CraRZzrdS+pYL8UBzuWSyXYvYibdT3f
xNaHreIj9sa50xmfBy2d0oC/VIh9EPrmS4vr2S80EHc3ctF5mjHBkhP9dHIS
8YTUtk0Kg8vIw1ZsUXAC/vHo7lJpWqbkQq7M2P/G78/aJmwj2U80Y6L5rhN5
TCTf8eiOMz7Oe+5D6QwaUcEay6Qv1kjdrPMMc7+CW5g7FCKtLJD+hc5d5BKV
MD/urORg5ox7pVLkO5P1YRTKWC354LdAf/ru+BJLpNBmco9M16V1fG83tu/h
2mPSYXKbdo0aRPbEJxWGE7MZ2cyDY7ClscdIxjawt6WJUi0MZg1nvp+MbxK8
8j4xRBHYe+uoQ1Q7bIOfwPnEvQzOg43QnMC52evnaKCN2qdWe9Eg7evoFhpk
3MMnpeXMuVnM2nAA29vE6ztymgZNAVImbCSfzegB/n+o7Qba9ex1PDFsfYr5
n0mzOcs99tuMvZ8zdMN2fFZsl2iPot5tkAM5GkttLiLmvshEDhNYJ5r8+lL3
K2AQDERm6u7P7eSf7+SyxyFYwJ6DsTex31XUeSucxH7H+VEz0LEWIisxnTOd
WNOejJIZa+6TNsGfoRVVsP7QVWL5tfQxKqVfA0/DQ9x5D+5CHtzSQA55B+rY
Zxn3pRJ/FnfnL/ZRSP8EMvPdb7l7S6AH5zR/QAzapVdgtYWaWMBc6M03vdDF
48QE2iJDGDGBY9CRWaz3njSX8bfXUnPwtzjeIGwB+AKgJ7YfsJVT43OIZRdt
W2hPbD1z2Rs1XP8iPto2zMnOwc+YIuohBl8m/Qy0n9pKgNlw/bvkkFzvm8+b
RrsqlvcX1sAsbKfgUWS9LD1CvT+K1nHPHoL3mqgX7F2vsuYeagzemkfdwsgy
cgRDdlPzaG8MNujoIRnhROiTRYyel7bhM56RikOJIbYTcDTMx5eykvPhW+JE
/XUQqy/JOZpNradSl0kokPr4dSv/Efx/tMAcWA6L0WPct/wU3jVy04LssQVz
Pz3hYd5ed2jiPrmimdTsBvoWVEAtO/Mf4YK8sLvzH9NDTYTgq6Um69Aa/nta
oJH/opJu6o0xRvbTRk1GDfvgaPoneSNqeANakR1vxFnoAPt4mzYRw97hN4r3
7TbM5n/rP96SAnif/k/Y3XZyb+GzsBK7sVT6BobSf4B9MxzpLv2CbSG+KVHE
G5sdtvNwCuyAJux++KNgP3037IZd0lT0JjY7GAsnEutc6Aj/B1CO3rA=
            "]], 
           
           LineBox[{45414, 21229, 17108, 42616, 38998, 50017, 12195, 55315, 
            12191, 50010, 38517, 43077, 43076, 16940, 26472, 16942, 21142, 
            45276, 8243, 26688, 8305, 45408, 26708, 38983, 38978, 12216, 
            39054, 26747, 39033, 39028}], 
           
           LineBox[{10395, 31389, 22037, 31372, 31361, 7394, 27150, 43259, 
            43252}], 
           LineBox[CompressedData["
1:eJwllHloz2Ecx1+sXCG3P9CYM83PMEaJuc9llyvHnJtrm1mGZohQiDQTttgc
aQpzW4TckbnP2ZRzEQpFxLzkj/fv9Xk+z/d5ns/z/n6+v1bTUmNTqgCt/Tk6
F8alw/kwCJcF3WCXuY7G7VRFBjQJhphDMFwl3IRXpTBJ3u0LybtgxSPoNALW
yjC5rAyWqyyVbi6tLTRzr6w8CJZFA6G2jD8OVWVSa6h2H2qq3/fcdyg0MO71
HKLd/497hA+Gja4PyD7maj+DCVestTsMk7vlVFkUDnGLIcdxqLX3Ne6lmoe4
p/fo9xTePoSeMrYcusgvg6CyBIJuQ+Ip+Gb8Sb1vA/fSHOfCLGvOttbZMlO+
OAYZMnK5dakcdSgO3vWEvcYz9fOAXDUHZpzTj4Xw3bmv1+CNZ7x0baq5OSpk
NKxeBKV6nyC/Ovf0tHV7n3KZ7l3m+kylc0ly2B6I+nfvnbDP3Dbrj86CixFQ
9zosPGuN6kOqa2WaquJ8pCr0mbNX9d7c1Ex9NPeuB7SQR5w77P4HZSPHC9r5
3gu89xBr3uHZxjPUpwHw8I71qsvqjrqlir1rqB6GqVqqqWqs0n1n9WRDNbHY
c1WCumBfrPNdblCD9XijbKG/uTnQUmYVwSZ9/ul7y03y3bXUA3P7je9u9UyV
3Bl+ySOxcFyN6w83nR8vP5uf7/wZ9ztp7m0/13nGA3XSXL41lFtDYLx3NN6k
MvX8j96uXOId9GWkDJKVybDIeF0XmLLUc/Wofoo9q4/F+nQjUV/lenttyxbY
LgtkrjrhftnZUN3z88xXlSE+v9bc4YD+2yeFso65yK72o9/FZ3VxLIzyvMme
HRHlNzATesvSGLhk30x2zWMZMF/dPlkxD0ocB7nmyWa9jrRHzZX53cbo4U7j
Nc6HyiH2RkDGyRj10X6dJVNUjXg9dY9E4wy/zSJ7IcjcD+8c7Jr6fqPNZZ32
sNW5L3qQJyvsq9eqwnH+GPf0+WzzVzo4nq4PnexV80flKHv8oP1eaH70qf//
Q38BzBQgiA==
            "]]}, "0.0456`"], Annotation[#, 0.0456, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXtQ1FUYhl+0q10mZXE0AcFg45JMMSuUMcKEIAviAELMYiGhSyHKpUSZ
AlRQ0lFExYZMMpdLgEQqYpokKRQEpmJoYoKN3QbHYTJrQwOdHv549znnO2fP
5bucn3tqVlymg6Rhfma4SGVJ0hSYAh03Su/Am3MlV9qePtJvxZIFW1iDZITn
6D+N/QR0hKXjfewhjN+0SA9gy8V2z1uKhoPY3Bg7CAPoD2P3hH/AsSLJhv1+
Pf9jzlbaF7F9ADM4Q+tlaepC6TPoCDvgUbS/X3pkv9QeztmqpW7oRn/611Jd
n9SAUrF70O97Vop9VboA3enPpe28Xqr3klygDVrflVai5xjzPcGeRsmbfsVe
yQ9GzpcMsP0I90eVb0uTn5FqsTWi7YsZg8dRxPOSibPMg3nQf4X0RK80CZ08
Ly3C14YDUs4S1nmZe5RI+xZJPrAWujH23utSC2OB2Kb4YttMrGAiLGUsGkah
jmRsjdJZeC1IugznbOGusKBbuntamtAupTVLj8GH0Q3sH70hVaNN8/AnDCqV
mmEKTEX+y/A/3DpbSi+TdsES+Gaw9FqsVNMkPbSccWzyY88dnBVtYswPGmYx
PpNzMGcObPxc+oW2X4j0JwzZSR7ADBiI7XertJb2arSH9SaVS05xxAc6w/CD
0jrWsaVJh2EDNDF2AF7n/y0wnjnFjKWxd+Q5aTZx+jlMiqG97wupCv27kv/A
etTyg/RlhFSUw95t+AuGf8ycKnwyKI3AkijyGG6EIz9KdrSa9ZzIt0wYM0Ac
oddx7umJbyvJMdozkPsF4s68adD1E6mtVUpif5uN8yA7+VH2qXQH/lPAWoxF
nJSWJuLTQuJOfWSzdzpnNEZLoZw3mPv5rpW2cNZvM6QHuWMnvEHenmGduzCk
hTvAAOiPfuqUBlAr8zq/Ikfhf+T3PXJzDJ7GtoF4G9nHwH51xPpvxiwLpEc5
5yBnnAAnomHs13rIMzQ8zqv4hpwYot1FTiSQ63baCZylh7mvsEYytvPUVC86
hs3Mnv20F6dio38WTWPPTM7sAiOxH6Mm4zmnBRVgd+Mea2A0Nee1TYqDebwD
Buz3iU0R7QpqdDn+v8478T7vSRo08k6YyflotAKbN+uHb6fe2SOQ866HFvox
KJSxetiEppLHyxivc+VNwe8uaJT1kvBPPLrC+brwWQ/q5lwO5HcDNXYIHUG3
+F/WJeZHkr/EbgkMJ672U7yjcBTeQTEbyBPeu5loJEF6shafvsTe2C0olzmx
7NWdT0rQzkfOzBnizk6wpw4fwGDydj5xDIXD+LwKvwxBK7n3Ib4q7MBHqAn7
NlgPr3IO3xd4z+AAufc9rFzF3ths1FYNaqa/FzbBEA++BXDkqHQbBVBzkf7U
NPVpypZWUXe7x/OTeiinFjuovTb+m0WtZaP23ZyfNUpo56Fg5gWhtnjykHyf
uI79WecvasCO1tB+nPc3H4rYWuFS8j0ZFmZKs76hfYUYHiImXbyLsIEa20V+
bYblMJs5BciMrCgFmfDHdPLWA53CF/2oD+XwfXiKukpkTx/2i+Ib5A8HiV81
+zq54Uu+F2Z4m9jcwj4GR9ElavVF4lDEf84QI4caaQExDyMHdvLN6eVbFHVR
esss/UrbCr+DxRXkRjpv0WHeSGSiHRTKG7sH3/JNKYRm+nHYc2lnov8Bvzvh
+A==
            "]], 
           
           LineBox[{10394, 31388, 22036, 31371, 31360, 7393, 27149, 43258, 
            43251}], 
           
           LineBox[{39027, 39032, 26746, 39053, 12215, 38977, 38982, 26707, 
            45407, 26698, 38536, 26497, 38487, 8860, 45275, 21141, 16941, 
            26471, 16939, 43080, 19526, 38516, 50009, 55313, 50012, 55323, 
            19529, 55320, 50016, 54858, 50015, 38997, 42615, 17107, 21228, 
            45413}], 
           LineBox[CompressedData["
1:eJwllGlsjlkYQE/9MKRkav2B2NeRWqaoRChqKVFLSzvWEdU2QVuqra1Se5DY
qrW0hhEZITH9PkHUEg3DmLEzExQVDdFQJEVIRMURP8537n3e99733uc+92s3
KyMuPQTo4k8gAhIXwrleEKEjZe9c6KY7SVUONGsDo0pgrKRehecPIUn/HwVz
9eq7kKbX65UVsEJybOfqTD2/E7Rwrtw90FoHhkGojj8OITqlAzT8D27EwOc7
cEs3st//EYzbB7XOETECNjk+XA80FvoAplxyrX0hRu/XM3WgD8QthgL73V37
Zj3Ifsv2MLjcsTLOdR0e7Z50pP2a4fDlBtS5Cckn4Z3t1/KiI9xeYL8Y7uss
112mK47BY8l27VF5rksK5M94c9MfDtiebT4P6w/2s+bAe13t3G8vwzNd6dj0
bHhg/qP1PT1tEcyQtz67X+r+3U+FznQPcya5Rp+l6JgDMObbvvd6JrLLeOUJ
GLkczkdCcCL8o2syYOlZeKkz9XzBd6JkgBzynbhlcESH2n/eD1rpoP0Sv9PE
dpgs6Azj90OCPCtyDTpJXkdbA7fcg/wlN+WalLrf7uayp9SX5tJUMj27H3Vj
mXrK85Iya2NzIVzQu/Roc12k25jr2mvWTBDypCjV/evPctB27FDrZAfM6wmf
dDAOjkmi8Ss+f2OsWjJ8ftr5yuSS8a2OD71uvckJYwl+L6gr/H74ZCjXu11X
vuSZ/6VSa65XLoFf5Q/jbdPdl7nKsb+ht/FccyJhxuuZ41Lz9W8KnNEbrb3t
Be5N/66L5Ljz5W93rLE1Ae+h6647BNYZK+nhOVg3h3QD54j62XP0nryR84me
t98bGAsT0uAX7+WTCeZfLlhD0x1zV4cnuz7r5if3kjfPGt4Gq/TUwdasfuQ9
rpTfbK/1/fXSz/YWXW3djrdeXulUnSY/WE+f/G6y7WzvasCaqGPso3XS2nFh
3tmWukEXKPRZjTko1lV/w1Opsr8vwTl9P9/4xa72k8xDOOw0flSPteaLjR3x
HryK//6/9BWygC0u
            "]]}, "0.0432`"], Annotation[#, 0.0432, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXtQVVUUh3/V2GNyJgEtX3QtReAaTQRKQHEzuXAvYsQjA0kIBBIQNQdk
TK4oCpqgiVGkxICYgEqoXMNSGQVSHmYYIlqiY5blME6OSg2iZh9//M6399r7
nL322mvt80LikojFj0i6xWO8s7R5nuQA46HjOmkZ7PeTouGHu6UIOAcGIhfa
p9dK44zS99ARFg33sZsY74+RHsOWie2+uxQK+7AZGKuH0+nfwD4FXoP38qRK
7CMYvztR2kj7LLYSmIYPh89LY0KlvdARtsCDqOKC9ESl1ByEnzuldmigP/YY
c8/ip1VKwD6Zfrer9M5c6QycRN+X9oTV0rPoGN+M/ViqcZPS4TTGjIdZc6rk
Rv+LMskaKDUsk6JgLTxtl8rgqMnS18zZgzZF4gs8hIJfkbzw5Q2YDT3TpJFn
pKfQ0S5iSayd9khLY9lDgfQoKn9bcod2f6kY+36YOl+agc1hGnvbwJ5QEbax
sACGwJY4ae5e6Ud46XWpF3p/wl5hToc02Mz7z0t/wuQG/EHvo8dbpOuMb0uQ
qtC6AOIK/TdJB2A89FzA+DfEC6Z/Ki1ExR5SPrRiSzFJD+BCuBHbQ8a8t/Ct
cHIFFkKves7WgD9JxIl2LfqNtseb0t/QVEw+wDSYgf5IlpbDL1+W/tvKOcPx
n0kT0YQIybxPWsX3KlOIEeymX097XIl0lbm+zPNDdmyRjOUxJ/lF/P1Jumwm
5xcxDw7BHY3SP3A3rEH2bmL4KjlbLq35SLJAMxqsYi0L8ahh77PJa/oDveQr
HE3eLeLbjjCsjzOl7fodcXAhvl9Jr0Hnn8k7bG3B5D3tkcx9DjpXSE1HpBh8
qNxBLZAvz+TwrSjptk26g8IYC26S4t4jvvQdqJklrOsyh29nSy9BD2hEG/C5
EHWlS5/Ddr53nXzuhIPQdJD9wunQE106Ka2/KF3xoc5458RRzpO8v4VvnZxn
Lmd7HNtq6MSajqiaM75NTkezlyfx+XI1cSYmI2hHwUPEJYmxa52cK1pLbtyn
nvLhAP0ofOng/ZnMmU9d9DAWxJqN2CzwPP2IRPZA38BaqbxjJAcT8duKvZE6
jcTXaJSDzcA+smAotehaJIXDbO4HJ+wP8GcBZ5DFNz6AV6j1glryAbpwf1io
gVCUis2Ntcyb8Z01ZrBeLhygJqKxvcVYDaxDY8jpRMarqSkD+RJFXgzxvRhi
E4ku4N9J4tWB2vFLwzlPve1DDegm7y0+x12APS6EcerkznHWQoGcsY33h2iH
rSFnuAd7fTkLfD8HE7AlomiUyZzlqJ18scFT8C/22/ousYcd5KrTLimA/J3F
GZpQK7l0g7h7k19JnHEpsbK1kuuojngVwhr4K34YPbnn4EXeOQXLMlgb2y5q
a9RM7gj622nXQdMU6XfoB//9lvyi9qzUkQf16rWU+qD+tlKLxciH+mih/pp4
N4uaW8E7zdTuSphPPxsFMMcfNeHnvVXcj7msz3fuUgcp3OFZtJ/mXl4JH85i
LzCOO7mAdXqo93lt/IMmcaf8wpnQLtrPGVBn5aiCHPMl700o/gf8g+7IMnyX
n+AuQN3E4Qi0oxWsF8S/KJ71QqAn/4A+aq6K9UazRin/kO3oJradsB8OcT49
1KkP8Q/ijG28Z4Yl/HsCOfstsIt/U0gP/1f+U1dpJ8E2mFeK/6msfYD7EnnR
9mePsduIKf8YG7TQD8eeSTsD/Q8E3OLn
            "]], 
           
           LineBox[{10393, 31387, 22035, 31370, 31359, 7392, 27148, 43257, 
            43250}], 
           
           LineBox[{39026, 39031, 26745, 39052, 12214, 38976, 12202, 38560, 
            26706, 38542, 38535, 26496, 38486, 38489, 21140, 38499, 21135, 
            38514, 38515, 26470, 16938, 43079, 38512, 19525, 43199, 19527, 
            56853, 55314, 55325, 56856, 19530, 55322, 19528, 55319, 56855, 
            55321, 54857, 50014, 38996, 42614, 17106, 21227, 45412}], 
           LineBox[CompressedData["
1:eJwllHtMzWEYx7/NJWsNM2y0RNSqhYSOPyhCKKF0GebWxaXbEU6yKGM2rMsS
5VbRhC2d05SlLa3cmiXiTERWm2XkGrK1anyaP77n8z7P+3vf53mf93nPtChj
aJKNJBd+IvZJ5rnS5/VSGbwQLQXjq5gp5UdIpdhF6L6blH1YykVF+D/UokdS
r4E1+L5h/0D1fNuTI1nbpZdo/AtpIpqABvjWckn6A82s2T9dijZKMWhkmJQA
R8BrJum3l3QKZqP5CdK+edJJxpcYd5qlErhtsXQLboQtuVI6Y3cXyS1WGnZH
8oQPWNOA2kKkDhTpJK1LlALnSKl5nBVGYn+9LTnskMpnSceLJKdQyLwrPGaR
TqRyduzK+VLxGXJfIhXgO804B4U/J5arNDxJsqUOY2DsIWkLOkEM00FplA/7
4r9agx/7CBpgv/SHkiNzYW+Jwdw59JpzeG6Q2qHlLPtflKqgfbNkh3IqiLdT
qsNXg5JmS935nAM9xh/hT23I3YL68MUz/wyuxl/KfD/rB9F5xukwDfU/IR90
nv1WEa8ANhA/C24hp1yYEoD4dvQzzoM8UHWc1NQiPUX3UBuyoi9Lpagr1AG9
v8AZ4Fq0hzqN4f7HofJwaSp0QF3UwA6W0R8hadJ16ItdB/9SR+NQj9EjBnxe
3tw7bBzqKXqmHgZgd3KPBQe4V+5wJbXtYxwEB6EJ7iZeMmynPwzU/RXsod83
M78JtfIG/If6BSbCTua6q8mROnxvlH4toBc5by+8kUH/0qeXYQm6yRvKg5nI
F+1nrTM9/qmSMySzbhnx4E9q2wI/zmD8VNpOTWOIsQvaUs8fyyWfNvJ/R4xA
aQ1ciO2HJjtLi+i7LM7gkUI8GIJt5n1s5TyXsVfAQrgB2r1hbTG9xN6ZvD1v
ONDKnvgMvM+xVvpiJXfP+2yG9tix5CxyD61i/dD/A3k7wjTWT4JGamFiD/cg
egemkl8GTGiSjsI4aPXj7mEXPb0DBvNmO6ZINuRfu5f/lnjeKXsVQh/oje56
/f8/+gcL4Scp
            "]]}, "0.0408`"], Annotation[#, 0.0408, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXtM1lUYx79aWasWglJEiIGv3KTGVZCUQkBegkhAIiEpQEgQwQtaIYl4
AUUoVMpAgoQJgiMuhhMlVFIQJRFBXeLmWlZzbI2GBopRH//4vp9znnN+5/Jc
zmuTkBGRPkXSA372vir9YStZlEr+KdIGuBTugNnIGCnFQB9/yQ17S7NUwjfL
aecekDqrpXmDUhfMDJauQy/6l+GTDtLia1LA26y1XFp4WJqPBhzZO1e6+45U
tVX6C+5cIB2kPYO1Dx2ThrC5BEjBfBd3UAqEn9qz/3npJOr/SToCq1HQHMmh
i/OhuHOSL/RGFXZS+SmpFu1pkiK6pZRfpKmPz097YDZ99lqBEtdKk9wxCz7L
fpkwif3Gf5TKaE/JkR5ukdqX4YvL0iK06Th+QlkG6UwJ54OZ9Nv3SwsYn4+K
GyXXCKkJmzP0Yy2jm+SRLN1vZQz68l0hc0uYU4qa1kgmflIlLOL7MngxWrqZ
Jhlc8XmG5Ah34oMCdPQHyZY1t9P+Gl8k9kvunHM4iLl8s7hduoIvFn0rmeH/
rlrpAuqMIvYh0s+093lJacSkN5scOCNF0x4iJslwEPaUMw9F0e+CYTCb+Ppz
rs1wjG/++xJfEuv1xPyZ76WnkM0l7A1S93vsmSidRzeY/34VexjJg1ApEn7M
HMNVKR7ODOdOX0g1yO815sFRX2lLguTJeCIMwGbP2Koj0hwY2SmtZa0i+jkX
8Q28Tf9DzppJPwE+4q5m+GrTDWkjsmCNJ/B7FD6zxr6ZM1a6SLGrpVbOaGSf
eGyO7LmKNdJQDLbn+C4cBuHT1u/ITThwUvogFf/Rv4AiWWeE+aNogrFtbxIP
2ndQ/hUpDxlucnY0xngUZ2u7zj7E7D7fp3Ofv+Fh7maKr+rgIP7Nw3+9sAeN
EOdR1EN8/4HnYBtnv00s84bIMe7kg+K53z3u4Ut7DPZwtj9hNyxZR63yTQHM
R86f4AtPapr686JtgOnsP52anfwcekvLiLkJNCfHxrGZwhfIm4esV3mI2JJz
7dTcaWRZyXmhFezibrNP0OasXnM5AzFxh3OxOSM7tIZ4hN2SVsMZS8hFOMH+
T/OeNJMnLuRqIwwil/X4jQmUtnLuEPq3qIEWcqiGGnzAGT7D7kqddFdIvzJv
BFso6xnRSt68XOq/kfobosZaoCc17IFCqFN/eOd16UVogRoY72NeP6qkbYQB
yJK5r1CzL6MK5v+7TzoAN+6VfksiZ2AKGl6J/6HTW1IH+e0MB7DVUSN90AO6
oQLG/IupZegOJ4l7PrHejR4R+yTyKId2IO0EaIQx2LzhN+SpC4wr4g2JJ/Yw
h7o5u5T1YAm2YmRuzXtjQx204Af0+1n8g4ZnUS/Y3XdTowula3H4FF6CUUdZ
BwbvorZWSC/BPTCVcXva0+fhvzzyF1vjG+wTi0+hA7byMN5POA1lYDerJw7s
daqPd4I6cKBuqmi7QG9y3g0tIZeOZ/GuokL+g+pgNTIhl8vWk1O82bUwkv+I
ZmiEX/Fu2zNnJvXoSE05keOp9Guo5RjYwXtgzn+MJfJmbNZp8hG9S9sO2qKP
yCkD/2P1A9yRvjVn6SYPY7FbYX+e/jR0zwof84YcQ/WoA7WhFB9pP/9VV7cR
MzjOvFJoVUfewELGnbbja+rJAzZgs2ZsCIbQn8C+AU514v8Rmy9jFjH4Gpsp
thPQAvZCA3Z/xkNROO1kGA3vssc6aLqDukT/AyGU56o=
            "]], 
           
           LineBox[{14927, 46887, 14933, 27154, 43256, 27147, 43233, 43231, 
            31369, 33403, 13963, 22034, 31386, 31385, 10400, 31353, 19639}], 
           
           LineBox[{17105, 42613, 19214, 38995, 50013, 54855, 54860, 54856, 
            55318, 56854, 55317, 38939, 55324, 55365, 56879, 56880, 56878, 
            56851, 56852, 43198, 19524, 43073, 38511, 26465, 38475, 26469, 
            38483, 12102, 38513, 21134, 38498, 21139, 38488, 38485, 26495, 
            38534, 38541, 26705, 38559, 12201, 38975, 12213, 39051, 26744, 
            17129}], 
           LineBox[CompressedData["
1:eJwllGtMz2EUx78ymRdq2KxaK1FkJKGySZNbqURX86Khi7Z04a+bS7OZLaPo
wr+JakmydNHF0pSmVlooKclQZkwZImymZj7mxff3ec557uec52cXkRiUME2S
E5/Ci6hYeuMl/X4kHb2FHSNdxR/hLHUbJb+NUkWQ5Atr6evBF0vfFAzH10hf
2UJpFHsMdTHmEzzMGPt8qZl+c2jAbmHddvrPsY/ZY2npZqkeX8hlKQDVcZaX
DpKxScpHwS+lXSgIWbtJ6R3SpKt04gh7o1LG2CRIM+lLws5wwX9cikJm+E2b
pemwfTF79LHvBSkHGdM4H3cuol3Hetl5zMV3skZy4LynsG3+sUiqXCFZ7edO
t6WweMmfPVLp3wZ3YIfZSsOB0hDqSJZOr5GWRUsmd6Ql0JH7pMdJvTnSAKql
vWcDc2jPZ4085pTgMzBvDUyGWfi+rySu8AYyCyEvMG0ReUnk7LAqXdrXQPxg
7RWpGk26SxZPyZmPNA/6wIFX0tfzUmukNE487sMfjGuEE/AjvvedCBaGEQvW
y0JtjtiMuYYu4q9x4u6HpUvYFauZFyyFYgeiZs7qAhtgn0G6coD58C4StTFs
w9xq6W2VFP2QWiGfiTD1tXQELfcjRoPECibBBGJmwXpHuZM1PAvPICP7zsL2
496W/VI/9yu4R65oL0AvsE2ek3M0yTqtrN2M5pZyvq3Eg/pyh/Hkuoy8m3ZJ
66ghT7QuhTHQA+bStxRmQg/GWnIHzxeMQdtZr9xX8oau2ONbWKdXimHdyEZp
L/zWI32wJ+eHaFPXg9BArbfA0XryBe3IYc4TaRHMPSHdJJ4lsBhFEMdyWI0M
seRprfTlgWRLXMbYY4QYxFEPQ8TDCz6D+1O5G+f9St8gtefGW0nBPoh/Lvcq
glPIF98v6A39qW8j7RFqews5b6Ueqqm1Trgb23kV68Bxai6B+vjDu2qhbz2+
63DnMfJBewZ6xxu0graoMlSaA81QIm8voITcF0ifUQZv7ucm1uKtdXP/Nt6P
Of+ECTibOCbzb0gmhtn8F8I5dyaMhlFN//9XfwFYECn6
            "]]}, "0.038400000000000004`"], 
         Annotation[#, 0.038400000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXtM11UYhz+IltpCmSYjBMWf3FcCBkiCcg3k4gWQiw4DFcHIG6xwokSK
TcQ7bMqIX0GlYHmBMAhi4AXBkHuSonMtajm2opAkMbPHPz573vOec77nnPe8
7/nart8WtdVEkukE6dhc6dd5kkWxFLBZyoAr4D6YjUKipdUwAbnhr6qSCpkT
j517Urr8meT8g9QCM5dJt6An7Q5o6igtvSX5o+wEafEXUreT9Bd9vbA0VypD
v0dKed7ST7CC9gBML5EWBEmhzEvEDoJZDqzfIn2Luq9KZ2A5essgOVxnfyjx
muQLvVCpvVTSIJ1GBy9Kq1qltDuSyfP9Y/fOof0132S9yaz1IF56GihNYb3M
7dJG1htrlIqx9QE+d/aaQ4xgQ4fUjHK/kWphDSoqZdh86VIhY/E3wEWdkgc6
ekFyjZIu4HOBS/imH1q4SRq9RB/0ZW7B87HoFOOcP2Ev/szZIplBIzzEd4rh
jTjpzruSwY072CY5wjxiko/O1ki27NEzRrpNnzu8USYNhTCWOf7fSU2wk/ic
I05dsPUMfavxwZvouBd38KF0j3u5tps7gZG0U1Af9s2PuWNiFkO7BfsqureH
eHDnj49Kj5ql/2Amd78DvXhemojmtuM/J12PZc3XWG+D1M+cuHIpNlT6J0KK
gpsYY+iVkuCMVdIrS6XqI8SMObHQuF76c4n0bKU0AgPx2dOXWiHNg1FXpG18
6xDtnO+JDbxPex37zKSdDJ+ES+bEahzu+ZEa4BsTiH0M+WSNfxd7NLpKa9K5
X/YYwppJ+BzZUyrfSEcJ+KYybzJ6v1uKIJax75Bb9dJa2P4p50RRfGeY8SNo
nL7foP2ANAj3My+eeXa0H9FX3y/VoVTua5S5WzhLBWeyyCaWxKKLuPah/cSu
HbahkR7yn7i1cbd/Y4+iQe7wNvd7H+bfZTzy5lxJnO8h5/DF9kEvUDM97O/I
DmobdXDeQfLHI0s6TNvag1ykRjxpG+AW7moa9fuY+36KoslFs0XSTPJsjPZ0
+DI5Y47eJs/aqL84WMkZLcnpdtpWsIXz2dRhs9dX0Va+c5s1vO2oEfw7uYss
FH2P+KHd2G3kxDB2K8ygPc5emji3Bzk7hXdlIXRHU7Gr8T+j3zSYuuQcYdTn
MjTA2XzY4124E78rtdNiJCfRMPsM57t/wOw+3kJUwzsxQN1VUaNh1KFXEaSG
A+Dg69wL9MP/Ff2djOtGRuwQGIgsGdvvJ82hpksZ/+8J3hPsoRS+Rf/PMO04
7Y28kdAXNXLPLswJwvZjTsQx3lb63aihfPoCaPujifS5wKfkxwHy4Ak5kQtz
UBB2MgyBCdSPFzxJ7l6xkZywU2GrLfE+zFtGHe2ljgqTeX/QTPoK6HuvWtqA
frnM+4yGrKkh/O755MsKYuhDvq6jZr4kp+lrxg49QL0lSrPgQbiZMfbY01yk
Nz5iXXznF7POWmIKHfCVLCcmcBLait/8LPfA9+q7eDuoDwdqqQx7AfSiJtxQ
MDl7aRf3jwr4T1XAcmRGfhdnkGe87adhFO/URWjkXS9C9oyZQS7OpwZsqDcn
mIgvATXyRljyDwrmjfPCP7uJMWg5th2Mhg785yKhAX5OfnTxn7BiP7Pot4ZW
+F+Ck9DD2bzfvC3VqBI1ojqU9qZ0gn9az17uDY4x7hS0qmSfsID+WmjYR17B
+fit0QB2GL5x6i8Dmjjz38LnS5/FGuKNbzq+WmgB26EBfzj9ZsRzJXYKdix8
wBrb4fQ86hX9D3+F87I=
            "]], 
           
           LineBox[{14926, 46886, 14932, 27153, 43255, 27146, 43232, 43230, 
            31368, 33402, 13962, 22033, 13971, 31393, 10399, 31352, 19638}], 
           
           LineBox[{17104, 42612, 38989, 19213, 42624, 54862, 54859, 55326, 
            19532, 56857, 55328, 38940, 43082, 17089, 55361, 55366, 19598, 
            55358, 19599, 55363, 19597, 43075, 43072, 38510, 26464, 38474, 
            26468, 38482, 38481, 12098, 38215, 12101, 38494, 38497, 21138, 
            16932, 38493, 26494, 38533, 38540, 26704, 38558, 12200, 38974, 
            12212, 39050, 26743, 17128}], 
           LineBox[CompressedData["
1:eJwllHtM1WUchx8dbmxCG21NW4GilEynoVycTeclQIGtUjiuNWYil7ZSGGgq
qWtdJHUwRMALnDAFa2QaZUICsnAasZoSaqUNnTplTisvtLac5cP643Oe9/3+
3tv3dqJXFC0pHAEk+hPcq2oh9xhUyl3OL8yHp8/AmlTVAmGO746Dx16Hbtnb
Bw+/gKEXoKwGbtfBe/LtZ+H9c7BFtQXgtSY4KJ/cBNeSIESGqpc2wIGZMNvx
0EZod3y9CDplorZpM+AVecr5oSxId5w8bI+BqnW+RdWqf9TfKi0RHsiPVIR+
FMnZpzxLnf8G/lwNSa7J134uHua9BQvVbe3X2uCSjHoGbvXA76r4De99Bz5R
OXHQIJsyPW8ffCar9X+7Gj8RWoph8Ihvl8XJ3ifv1MNpecP33jltHIzjCu8p
kKOM5R8pkHABUgcgRTWm62Oe98mjB8zBYufr9dU3z9I+RZ/i1PNrYc4w1ajv
fZPfV7ouyXMXmrc4GdEIXZ65LcP4/AwVMuQX+HURjDsLkWpPF/Q7H+s4/Wtz
ov+1xmVrUF9ljPMG47bR/VPcP/oHa+I3WOu5jzsuVIPO8+SVQ5BxGAai4L9o
c1lijaj6N6FPHjF+cZ7XIV+WWeqmMWz2nhTHO3Nht6pZahxkUHXHQrn5rlRB
7Tc7fcMkuPqdubcmWl1zXzb7/dup1pfvOKmtbi4s2K9P+vZXJfzrvg7XjOk3
Fq5v0b+T5ugrbcv1+3NZYg5zrL11MmhNhFtvn8omdc83l8s1CRC/0vzKj+UO
bU9M1+cqWDbPc7WddXxYTrWOqn3nJDnCGE7Ohw/dN2BOj7svZQIE7KH0VbDJ
HnpRllYbW5XhmQHnt47qU4G9M81+ajBnS6TfY+S77tmsPjDvYfZmmSyxX2vl
dnuwQmX+BCfsxZGF1okxCJe59lm2KvOOVaWwWkVq328tHVSvOj8us+VT9upi
87tUBVSpfVTvtzEX4aJ+fWmttapM67xdxgzH1P+OWLnDN9XbD6HjPc//i2XW
+wkZscv/D9WhDxNlrOrTHil75OBOY25sWv2evcC60TakrUX2yDRtzX770XGv
ynkO9nnnFX2vcc1lWbf3//+zR2psNGc=
            "]]}, "0.036000000000000004`"], 
         Annotation[#, 0.036000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           
           LineBox[{19637, 31351, 10398, 31392, 13970, 22032, 13961, 33401, 
            31367, 43229, 27158, 33424, 12345, 51403, 14931, 46885, 14925}], 
           LineBox[CompressedData["
1:eJwVlXtQl0UUhl8IzTKiMMkElUsg0KjIyE8UAo2LORgKyCUBKURIRG5Tmoqi
ggkUqNAEGBTmmJpyCyEiEpKbyVXSEMlhphqZRqbSyqhJ7eGPd57dc3b32z17
zn42sSnByUaSTI2lJ7IlM5SyQRpbLoXCuDPSWmg6R7KFDVmSK7yM/wJtM2cp
F1pg82Ts2Ksshu1tbOcYM0zfA/vgpJ01zkJbfA0wD385nI2/GN6zkg7BgQPS
UZiA/4shqRmdRrWoCt1lnEmF9DiavVqygjNbaMO++dKJ7/gG9jVhkgNMOiHV
OEpP75OCsVky1gB9l0mzsDWvkSJ2SVHIEfucJskOmjtI9tiKPmSfqDpdCvKV
TsLLdVIJNLWT6hhTauA8IcSE9nnk6yK5sB8DWpgoVfQzBtVbS7fZ/9ZI6anP
pG3Q5B3p4UHpWCD7pb0YFWCv9GAftOOjpRHGJsE3PIk3nJlD7JGvDfsirvUb
pZCz0pfwBmPy17JOrhSN/xf8o99IP6HYz6U3UR72GXP5zutSIdrvJbWsk9zz
pU588fgcN0kfVHJ+ZKAd4S35w9cOSz5wD/wX2ldJRnHSgiNcPXpkIeNgG+Nz
gogD/qv4A7B54/M5KvmhZnyecKmttGweZ9ws7YSGavZM+9IK4lIolTFnbpE0
ge0attJ46Tp0wHYT34z3WXclsQiWvKAZ/UbGeMMmuHbSR3s1fsMk6ddgH+Y7
keTKKAyCgSgD7UMib/5M4jzkzsLFUvtH0iK4I40xyGM9812ZUy5N8ZP2YjOG
Dz6RkntpM+/iy1LPoDSd9sT35HaANI12DlxyilzB34H/1x+IOdzdx/nRs/7S
dujcyLfR0A7yJFyyviKlwe5V3Bf89ivyEM36mPogV8PYbxf9jdB7KfmVQSzY
5709xAiaupP/zPuP/pNOxIV1LaAntHaTnF6hluB7nGUJth85X89W6RYsxDZA
Tk9p5wzI/zz3DOPI/7vUSgx0x5Y9wvlQHhrqZA32McG+XTlrVzO5AHvJG0vi
dIj8yCZ/Bun3oVTywWI3eX5Reg7Gc85TodJf1GM45zNjvUjodIM1sd26LP0D
78Aw9maEv4IaNGauCdpA3d3EH8CctwakRwukx1BELN8k3xOZN5/cfgHFcIZA
zroZlrPWTmjFeaZzD/ZwKjRCFszP4A2yhEa8G7dop7FOOoou43vYsk5TG/Tf
hcn0gziPzQLOQ98evsTcO3z/AfX2GyxnP6HYvPHVwmeIizmxiGFftuTFZhhE
3P5mrVAYRuyu8Z71ErtO5nSw1/uMmdfNnVBrU1HqNWLBOrvgfWL7sFXKZM4I
d3+RfbajkP3cL+9ZN+1B3sI4+mvQMO02cieRdgI6wh12k6+t3MVt7J2wmlif
Q73E9gL5toK7bYWXjnPPaDH5NpQiuUFr8ucMMbSDOW3EnDpqxWcLr0/OISdL
thEv6rAcmlKfVXAadCK3i6nzAmKfhzyfpw6p3T/qyanJGk+VXkTO1HYV4xbB
AtZZMnlXzK+kbpuw5zdQo8wtol7rqM8GlImtBTahNPY2vpf7QCWsN/41OQ83
8T9Jh9N4/83RWAR5RMxqqJUE/gFXeK/Cu3gveNcThqV1tHNr+EdQh8dQGfEx
ECdPFEW9uEAH5Ee9HO+QPkX9xKQR1qDtfM+Hf18U31oFE+EWNMz3TvGvGoVZ
3M84rKBfhq5Qw7/zrvTD5Se5c+at4N69kDF33oPP7SpvMEznXWuHTvRbYWYx
+9/CWdl/TS37ox1RKq1H/tTSLngABWJPgyuhBfyZN/swc/4HVdrtoQ==
            "]], 
           
           LineBox[{17103, 42611, 38988, 19212, 42623, 54861, 42625, 19533, 
            38938, 19531, 55327, 43081, 17088, 55359, 55360, 55357, 55364, 
            55362, 19596, 43074, 43071, 38509, 26463, 38473, 26467, 16926, 
            38484, 12097, 38214, 12100, 38496, 16934, 21137, 16931, 38492, 
            26493, 38539, 16951, 26703, 38557, 12199, 38973, 12211, 39049, 
            26742, 17127}], 
           LineBox[CompressedData["
1:eJwllH1Ml1UUxz+tFpvoRss0EWZESjkJSUm0piFE/Uib/kSbb+VSawsE0Yk6
QVYOqtlE3gXUAtT5guEb6U+wdCW6MTPTNac/fFtZs9bLaG5u6vww//g+n3vP
vec+555znifu/fxg3iPABB+7VsDasdA/Gxod16lgIZTlw3uHYJ7aXwzfZ8BR
uXszhCTH4F4n/F8OgTchrRnqJ7lvITzdDd8lwk737VHt2q53wVXVL8H3zIIr
+u6Qqfolq7+mwPocOPU8NLu/yrU6WaMylsMb6o8ZMENelzeXGc9oOCPPqgZ9
j8uQuh8H1/ZCWD1hLOHLsKIHLsp+zke+BWt+gS1HIN7ztoyBz7xXtYxwHvDO
g89DjNr0rXtk8SXYZuwjHH/sOEF+4Tl3POdzeczzo1ogKRMyv4QUmbMKWlLg
sdMwPgSvqvHmNkmOVKmLYKPrAffVTodD22F7lnPtzXKKZ7ZpO7cV5rg/W3Ua
32LPXnkY/vkRfnvOHBQ4boQLcql16pA3D+orh8VD+U9QqXaZt7FN8KJaYO4m
rvFc2Vqi30fW4BTcUrHDocf33PAdf8pMe2KSOm9+Fq2ES9pSjDuryvvIV05C
nvYo43tSbXYcKZtkruvV8l+1USUab7o9EVCt9tw7cqZKfMnYZMc4+NXeC8lk
571FcFu9bawRzh9VN162x/p6cSa8uw2+kZ9egE/U6hHWp9q4G6BU9qbD3TY4
7f2PD4MBHxqLjDwLy/fBUBmtLqZZA+tWbG7LaqBI1shGbVdcq9LvK+db1YIk
z6uFbrUzCF3ypGpzT688IOdOtu9da3nWWmjr0hZTZ6/KAtcSHB91fYCMUie0
zzeOThnxjP1s/SqML8F67ved8TJkLEHr3C73qUH24VNqWdj95nuVdZhtjw8x
P9NktJy72jNdmy1399VExeTp4zxXlSa7x/xukA2yv2uxfpsnzGPwHMxS9ebx
B3tmqXmotlcLZKmMNL51stJ85njPEvs03jt9/br1+QB+b4eBMsWaZy+x19T9
12CqLLImAZmtb4a+nfZX2G+gzH/RC4v9v/htNvq/eFzWyEo1yr7cmws/V5hr
GZaX1UBjr9C/UN9W7X/bt+lyvbb/Rj/8xz0AmTc6bg==
            "]]}, "0.033600000000000005`"], 
         Annotation[#, 0.033600000000000005`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXlQ1VUUx79o5IyDFObLMpMlEJh67i/MZy8FMUKRJwqIBI4oJIsCNchD
EDQmBEcyrERGBEOj0gRBDdGU2BtAkSRZQtrGlaa0ZZwmsz7+8X2fe89dfvec
e859rjHJIZvsJP3CT5en9PRB6QKsuCxVoiVhUuIhKR5Ve0mPb5P8XmLOUskX
NsGJ2M7C6C1S2ouSJ2smn5GcpkpFb0qT4FFYul+qgtZFUg3thNnSYfoOz0m1
rN3H2oIVUhk8R99vhjSd85iQMUEq72YOOuki3Z7M+kjpsSNSEhydJz14RypZ
JnnQnoEKsX9ultxox0ZJg8xNhG/Ml/LhhHzJEfm5cq5n2TdaCjkqnYYDzNkV
zD4F0uuM32R8uFH6Ca2tld5CBdjHT+E7a/ETbbNI562ST6HUylgsY57rpA+P
Sc/D8FfYf7m0ZrcUiXyxZcG/oXsVl7BeqmPOC+9Jo6ZJ/tARWxO2DtgCA7FZ
GPMtIubstQI2wRrWz3XGx1jiVS3NQjdpty+Q7sG/9iD45PtSL7Z9cVIf9KA/
xH7jP5AMyC+Eb0IHVMccC6yHyxZKSxn7gX1z3IgL9gBsbuRFEIwgV1ajYcbv
BEhhtK0oB/1H/48kyZu5Hsg0U2rM4bwrpcxUaR7sn8U+B6TN9E+cJN8uSBtR
9zfcGbRjXSP7dNK/O0T+wTNXiQGqR+mDkg3ZM+9R5FIubbmIv4ulG+nkNRyE
xtPSFZgULjn3SCmw41XuDl46S56SqxNZ+wkM5cxt2KKgxUd6inPaZ0k7yNc7
W4nRXGk56/6hPc6bGLGvAZphAvYGvnUAf5xN0mxsP+JjZ6J0DRZh7ya/H2mR
xiB/fB4F17H3XeonGvpgu46fZjgHn01oFbEYaGMvznOP89v4du+XxI88mlTB
GVEeeZJLTuXDHuzJ5Ichkzg2MQ5j8bcyVPqTGg3DT0f2Ww29iN842sJn+4dE
5dSjHWtGowhqcIg1gcxNv8T9so/ju9w59dlN7ofH8D1oJN9nonxqJBdF408Q
fq+Hpfhsg8/g01juxx3aQyEDe2X24QcU78k12jeQrUP6Hn6HBtjfXMldwizs
Oz8lT5hrxTcXI77Rd4cL2SMY/Us9/srcUs62kr6FsePwCWLjRFyiOacrMY4g
t85jdzhHLDlfKHHs5b3rIo6trGnBdp+5UzqJCWuL+V4ZtH0rZaD7xPnBV1I2
awa5k69LySveuZDt3DlcAjfgayBcg/ofvp3kUjzt3dzlVebvhbew3Uat3E8F
/SruoIt4W7jjdvKwgTFn6qftI2qQfLySjL/kUw9jQ6d4n+COZmkqcxoYa0Z9
2OrhZdhOXhZvJG7UaR7KJe4O1K8nOe+F9vIeuFArhdjN7tQue86j/qNSeBd5
J+ZDb96BY8wzsC6AsQnwSBlvLarHvusLaStr91DPteTrKZSNbbE/MaadwnlH
srkXVMx+I8S8CMbwv5MKx/Df4ISur6KWiV11kBR3gvrkfQtr50wwboD7pZ1/
nP8Q8rUE7SdOJuJlRpHU0nTogRZRSwdbpY/RRWJTB6vRZvI9DQVHkA+8R83U
7ga+28/3KvlPG4Zvc08jMA+OPczdY0/hPyAV/cY78zvKYP0tmAZfJhfsyIFO
+nN6iTlMfY294SY4DZsXquYNtfI/ZoynXcNZYXgJ7znyp+Yy4HYUhD0FLoAG
+DPrPmP+IfQ/Qm7b+Q==
            "]], 
           
           LineBox[{14950, 33487, 22918, 7413, 22934, 43289, 22940, 14985, 
            22965, 33569, 22954, 7423, 22993, 43322, 23000, 15019, 23027, 
            23014, 7431, 23055, 23061, 15049, 23089, 33717, 23073, 7436, 
            23118, 43363, 23124, 15078, 23150, 15076}], 
           
           LineBox[{38987, 42609, 42620, 42610, 19218, 43084, 43085, 38937, 
            43083, 17085, 55308, 17087, 40462, 55356, 40466, 19595, 52687, 
            52686, 8240, 8859, 38472, 16922, 26466, 16925, 26456, 45260, 
            26453, 38213, 26455, 16828, 38216, 12099, 38495, 16933, 21136, 
            16930, 38491, 26492, 38538, 16950, 26702, 38556, 12198, 38972, 
            12210, 39048, 26741, 17126}], 
           
           LineBox[{45424, 45428, 8904, 39061, 26782, 26789, 17154, 21267, 
            45433}], 
           
           LineBox[{7391, 19642, 13957, 31355, 10397, 31391, 13969, 22031, 
            13960, 33400, 31366, 43228, 27157, 33423, 12344, 51402, 14930, 
            46884, 14924}], 
           LineBox[CompressedData["
1:eJwllGtMl2UYhy+ashTb2nA6hWVQ6gfRUDGKrRAIwtMHDh7KzJUMBVRUlkCo
66AdcEXIn8MfmXicGmk1YfyRhiwtPkh4qlwiqSs70KiGc7o1V5frw/X+7udw
v89938/9vjGvFmevDwPm+khfC1sTICIXytTlm6HxNchVs2RHMbzcCu+pXz4H
1eop9WgThLZC5FT49wu4VeX79kOyNCS7dxWMPwtd0+Gw+z6WVueufw0/yij9
GpfAgL6H1ET94uWPhVBZBB/KLufjPHunGtA3rQQy5NccyFavqzc3QUc89Kp9
EtRv82xj1L4XA9eOQb88bCz1xtXf79nar39vvtIUgljf1aTPu+ZUo4Y7zvTc
cZcgSuq73KNuuQIHjHuy9hva26TJtZ0LIOwyfJdpPZuNU7KlsAw+cX2DGv40
pHSY62R4yro2qzMcJ+ZB1RzPc09tFpw4BAfnO3Z+n7pgAI47d34PvOD+HOk0
vrwM8+sz13bzkN6N8OduuKQWez8n1Zsn9FUfeQzqzpvz83DEms3eB9NlpXV7
psK4pLgQZqoF6u89EG18Vz3nhu8eVF+xN9Lti4vWZ1Up/OBcgnHPqzEfNekr
WOf8WOOr13e39mjtvWqR6zXqX1IlcY9Dqv2QKS323RI1V+JmGZuaJD/ZZ6FE
e0J7eAvclkXGF+74xpPWIQBD6vKDsELaFsM738KbUjbF+3F9sBG2q8Np8M+n
0GMNTk2CMath02fmLBPOweUUa+99BWVHLVRY24B2QLtOdrm/WV35hP51kK/2
qwNyPBtGfA77Y+HM/bF7h9UXU+HnNdZNvaMOyfuP+p0VwMR6+0r63LvB9Sna
Hb4nUs133O38S8bVqYbrE/Qea+WBb9zr3bYbW0iyvO9KY+3RbpWx9uPGq/aE
lEipd7LMfi9RY6zV295r6H7/yLJy4/OejmpHrdfPcZFsn2ns1voDNahGuBbt
N9ptTZde0McearCmp+2fLim3dvOcf9Bajpa37ONqa1xoPbbZs7HmdSzdf0E+
/NJmjmqC95+zzn6We3NhoVrh/WSqOfqm6dtprz3r+d1qmpoilfZg0H9Ho4z0
u11hfwS0p5nHQ47b/Jf95v4Jxn6l2rPUjxzXSYtrQ/by35Kqfbf9/3/ffxt3
PI8=
            "]]}, "0.031200000000000002`"], 
         Annotation[#, 0.031200000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           
           LineBox[{7419, 43288, 22939, 14984, 22964, 33568, 22953, 7422, 
            22992, 43321, 22999, 15018, 23026, 23013, 7430, 23054, 23060, 
            15048, 23088, 33716, 23072, 7435, 23117, 43362, 23123, 15077, 
            23149, 15075}], 
           
           LineBox[{17139, 26771, 17144, 21256, 45427, 8903, 39060, 26781, 
            26788, 17153, 21266, 45437, 8908, 39084, 26805, 39121}], 
           LineBox[CompressedData["
1:eJwVlXs012ccx9/OsdMabbXsbNqQclvnF4VpDE1ppgkp0kUnQshSzcYYlnMi
p1aMyia2Sjtd1i9dmDUcDB22kGZIdnFma+uUtVp/NJe9+uP9fT3P57l/ns/n
+drGpIRtM5F0m09ghHTiurQcJh2XEpDRSXrmQ8kCfR8k+XlKT1MefUlanSE1
YUv1kBwY8+JlaQ4q3ClZOkinYVmZdBZWQSNKdJOOUzebK51n/GHG7lkllcM6
6ksWSN6fS4NvSIYkqaKLPujibOlP1rx3Utq1XjqTK6XPk8Z3S6XBkl2e5IL2
0WYLrVFslDRwmrPAeG8pH0bDmXtYx5Z9WTHvRmnlGekr2E/b3hDmKZDW097W
L7Wi201SZrtkbpA2XZB2okzUT1tptHT3hjREm99HzIvqQyUP2MIcsdb4ZrNU
claaByMWs95KaeMBfEh7K+0PsJvYSHON0iTlGvpMi5XsC/ETXAybsLVTDqQc
gHycWa9IusxcYbAJVjF+EfMMxEnu56SF6A/Kba9LD+GDjxF8rli6ju1wPH6j
bIsGmW9GCfeMloSxPjRDNfTxgX7oX8qhftIYHGbuGtbKnoO/aLMmVtygHbRF
QfSLIpbuv4lv6DsKw6lnIw1JWXAC2z/JnD1QcmKM+0KpMYczrJYydkie8F2Y
iqovSRdQwlUpGSWhzh6pGzUyTzv8+6bUAXMamB+VOUqmzGvzGXGJfk+TXiCu
HCjHvIKfqG9dw96vSSmwPYCxsOsb6T04gb9T2ohjYrkV2wb26rNIep59mX4g
5RHDo1nEJAql/yNo/rK0gnktoBdMxN5QKx3hDK7UndEvruxzq/QbLMTeScw/
1YKvqPtzRhPKY9+SD/AW54lhnRHoxvlcUaU/8QXX4IM01kw+wn5hbx33ivqI
LctjUgExc4ezdRF77xAf3di3wVmZUjP5NuUo+R4unULXqE/nrGs5qyPxbE55
klw2fcxW8pAcncK4OvpFkpeDtP2MQvDZtP1cKTnb6Ut8x7AONLDmApRPnuSi
KN6HIM68GZZx3jQ4i7NO7STuYf4y1qJswVwZfewfTr7F+Snb88akdUg/Ub6B
+pnf6wtyEJsvTKZ9XTNxOF/awbiH5F8wHIN36FvGnlZR96H9HHwWv0zHD1Hs
bzZ+jSR+6rGb1fPWoT72VsB8LfS3pN4B7b6TDmErZ2xWL3eyXPoPf443Es+8
DwP4/wr3MAS7uJ8eGM+5tqDAXeQ72oSaiJsEuJ84ukn/g/AutkrYwj0chT7c
YTV+94ZtxFwD7dbkRiv35ULs9abgf9RN22C19CvMI17s6dOC3Yo4+hFbLeUe
2EYMHnpbKiZfc/BxAfm4G+YiM/LU8Dg/yIuDvAM2cII5S2gbh57k+obtvI+8
D69BJ96GL+l3CQXQNpPxpyp4j1Ettr010gFUVC59TXwu5V6zqC+D9dRT2Nu9
bOL1VfbEfH/h32jytOh9chEOR3I3/CdG4BP40bhCiruIT9l7+BX2BuMGuF/K
+VX8S8jLUvQpceuOz7zQOvLGGdqhpeSOkfj1IG6v4iMvWMzYGmypxHnwWuKB
N6eZfN3Cun2sd4L/Wz7/OctKfMudPAmnogrsKdz1fd6UGdQzebfSGX+L+ggS
/0rPH/ATckN+yBdtp58BzkeOyMibGcL/zJBI+Tx7hRGf8I4jf/IsHT5ywQ6D
aLOCFmiYcSfpfwz9Dxgf5G8=
            "]], 
           
           LineBox[{7390, 19641, 13956, 31354, 10396, 31390, 22043, 47674, 
            53175, 13968, 33408, 14912, 31365, 43227, 27156, 33422, 12343, 
            51401, 14929, 46883, 14923}], 
           
           LineBox[{17125, 26740, 39047, 12209, 38971, 12197, 38555, 26701, 
            16949, 38537, 26491, 38490, 26498, 16937, 26485, 45267, 45270, 
            26461, 45153, 26462, 16827, 26454, 38212, 26452, 45259, 45256, 
            26447, 16924, 21129, 38471, 8858, 8239, 52689, 17779, 55353, 
            55354, 40465, 55355, 40461, 17086, 55309, 19522, 38936, 43070, 
            43068, 19217, 42628, 19215, 42619, 42608, 38986}], 
           LineBox[CompressedData["
1:eJwllHtszlcYxz/NKtaSLCpEiKwvSqIatEMkFm1Ta6civHWpSxGGurVD6lWX
6Mw2lbhUL8rrnroEjU0rbWXIiPrD/b5Qi8xtqpmQ2JqtyfZZ9sf3/ZzznPOc
85zneX5vYHZ+MC8CGOXPmk8gbTH8WQcp8o1sUccclxdAt8FQI/tPgKfypap1
rUM9VDZCRzl9GETKmXK3tmLPTF0DU5yfd/+njkeo147XLoGik7BKZTpuS4Zs
GVRJfSBmHjw/DV3liVEQCOqzFxb0gm0fw1crIep7aK8ybsHKFDh7AC6oHWXG
mA6xP0KOaz1kdJ5xene5muYb9hRCiW/6UnZ37WiDPnEw2fkZx3Vq/WXPGAor
LpmbG1DQpM9n+sjOD83HPmhUxdrGhWGz3Or957RFXYO4NIiQZTXerdrFevZ8
7/es83Juqu/cAfW+LU7mO7+mfYns5Tx6AWzUpyUX/lCztD+VrRXwVlW796I8
YE4++MG55zQ5f6jmDjQOeUFVuu+9eSqRpeWw3fhK1QbHlfK2ucvX977s5J6l
7u0gkX9Zn9dXjUF9bV5f7YJ1MtQXvrlr7J/bBxOtfRVMVS3mK+j6ZJW9Gpr1
HyPfmveEtTBQ/ZoPw2Wiik+ELFllTaYU2W9yrMxU8fZBYwh+V/OGGLdcKPfJ
KOuzS1ZYs1yZUgqLZabMUEnu+3k5zNZ2K8n62XOz7MdX2p7Y149kD31/s8a5
C2GQMebJZDlCzRgEA6xlojqSBYX2U/lN6NnbPC+FZ9azQUbuNvcq0juue+Zj
bQWe33Yd5tgPZ7QFjTVb3bB/qw/B6MewfzSkf2H+nJ9SZeP9Du3pdDVUe4L7
9xrfsBXmRiY7bzfcOrl+/JzfgRxv7VJVmrqbAf/ct2YPIOz6OvvzUD/ocwcO
ytXOA44rXOsuu6j0Ws80vu3G/q1vCMuA87DfcMizCtWHV+ynR/qNhI/+G1fD
L6otYH8t8636VC7yfHnPeb15eyab1Qvz9kTmmLNUzy2dA5smWVfvLZGb9StW
zWPsi4O+W1Vpb/J7jTTm0Bbvl7XaavRtSIDD9spZ2dlYuqpWY/lbdbxtfKp1
q/9h+r+TMfrWuf+wbzuqttl3P/lNfidzjGGDzDK/F+2LnfbHVMchx9ET/v8/
/BfRFkGr
            "]]}, "0.028800000000000003`"], 
         Annotation[#, 0.028800000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           
           LineBox[{7389, 19640, 13955, 22042, 47669, 22041, 47680, 47673, 
            53174, 13967, 33407, 14911, 31364, 43226, 27155, 33421, 12342, 
            51400, 14928, 46882, 14922}], 
           
           LineBox[{17161, 39125, 26804, 39083, 8907, 45436, 21265, 17152, 
            26787, 26780, 39059, 8902, 45426, 21255, 17143, 26770, 39075, 
            39070}], 
           LineBox[CompressedData["
1:eJwVlX1Q1UUUhl+zUQNNE6ehBPUCSqWAQhQlKojBVULATxikQpQpUBAZZUQh
aQSRJiU0HVGKr5QUovjSAuyqkCEJiIiGQDJSBIPkQM6kmNPDH+99ds/unt/u
2XP2GjbGrIoeI2mIHwcvyf4j6XW4dLV0+nup20ayOC5ZIV/GHOAjJykeejEn
EP5L3/+YtIRxa9asnCUVs25Oq1RaJs2HMzqlmOXSItoeyBm9jdxQXruUi3rz
pZ3MiQ+WEuCUAmk/3HpaSoX31koTsd2FlnA6OrtXir4oFcA2PynihHTxVemF
jyU//MTht6JOyrwivfWG9OtlyRUWY1tqy3l+lia8KQXXsgYuo+/NmrwqaRN+
W2n/hlqQDz4ikB9Kd5NCYONM5nHGYr797DKpJ0iazB66YaS9lLFL+gD21Uhf
bJN2sO5BEnt2lqqv8b13pD2V7AWep5+RLR2kn47OHZaasJd8KU31ZF8RUhm2
KkcuLFaqhOvwGYLcGHtSIR1ulAze3As21/NSDvPnfiWZsX4fY1aMpZVISbQT
0Qb2v5y7Kovhe+jmFuawtx7Yir+7sBO2oyba7cwxLJAGPueu4Q97pBpUx9jC
aqmc+OUTxwpsgfRb4H10BNudk9Lv6Ar9mHLJBEOTJSPazV1EYrueSEyJYzPz
xhOr8K+lLmxPTNLjQ1LYCuJ1Uzq5hHhekmwbpHoH8oH4XoZp2NrWSc/TN0PV
B6VXWqSXmO+Xxx3DXGxZG8lDOLBYGglgjPZDuA064icYP1Hvkq+nyMWr5A68
xdzOW5wf+05sdrB3NDdp/wm7GDdwV9b4SOXebDjPBGI8HuXPZ4zYZUHfKCml
VEpGB1Aqcirmu2hLM3eAn44c4udDvuNrJez6kdij9ZHcP/k7breUTf2NJd5X
6T9lzIz2NGSOmrEVUicFaFwuNUF/eyB5xLrHBuLMtxrRwHXpb3SH2DZyX23w
GfJ1BzGP4g6Cyckc7mMStZkP+4nlfdSD+lAvqqJ2RqgrQS/OPET+PEf7Gmc9
RJ52cd5K8nkyNdfH2IJ46QT2GvLzw/XElr4FNRsA57lKQdiMtP3hIPtIITfG
kisvrpHcyaMQcs1Efe7inLUwFkaj/zaxb9Y0YkuCvxC3Qs4+Hd/38BeHLQz/
dtTDbPQHNgPsgdmcOZDay4JJF7hzVMPZqkfP20GckIl2Oec7B3PZUxxnOAUv
8NZ4srdL8CfkQl3YEy9tlRrwk3xDGsP7tw8GoYf4WgMHjdwztTgEN9D3pUZt
WTdC3/kIeUTbESZSnxXUaTdzR6hzIzZv5IP+oe8Bh2E/c/pH3wjYxlzjKvwx
5gmnwHbei1m8B7boKPMs4TQ0vBllUj8ezGNuHezA5oKP27D0W94gZCJ/Aqn7
AOSFL1foDo0ZxJrYe8DFyIy2HZwIK6i3p+HSTNbboGHatTM4OzkYSq4F4HMt
cyJop1J3j3hnnZjTUcQ+qEdfaqsaenyGbR53wfixMGrxNndE3cSi95E5Ywn1
nJ83u5axTH9ygn46XHSAfaHK9/jeWc4Di6yJC3uYmkbOMWezO3cQynt1hjOj
cNrWqcQLfRrCPcCE18ijFP6fYN4n0hm0l7EHhdJfVvjlfy+7SbrBGzuXOm2H
C6ljT+qgKoE3ixrcT80ehd/RNyN38rZTAy78f/CfUYKK6GfBb6DlHOoHGqjt
l9Fs3rU41pp4d1azfpBvmvO/Nwk1YLOA9fB/Ab7z0Q==
            "]], 
           
           LineBox[{43287, 22938, 14983, 22963, 33567, 22952, 7421, 22991, 
            43320, 22998, 15017, 23025, 23012, 7429, 23053, 23059, 15047, 
            23087, 33715, 23071, 7434, 23116, 43361, 43359}], 
           
           LineBox[{17124, 26739, 39046, 39037, 21242, 39015, 12208, 38553, 
            38554, 26700, 16948, 26500, 38552, 12114, 38505, 16936, 26484, 
            45266, 45269, 26460, 45152, 45148, 45146, 16826, 26336, 38211, 
            38209, 26451, 8237, 45258, 26446, 16923, 21128, 38470, 8857, 8238,
             52688, 17778, 55352, 17780, 55187, 40464, 52362, 55311, 19523, 
            52366, 56347, 42622, 43069, 19216, 42629, 19220, 42618, 42617, 
            42607, 38985}], 
           LineBox[CompressedData["
1:eJwllH1M1lUUxz+Km4Cb6R+M5dqUzJzMd0WlLMAEFW0NMECXspCpqDyoIRA+
LV1uVjpABZ/ydaKFgMy3Chji1Emp+FJGc6mNpeZS17I3tNysj+uP7/O599x7
z++cc899YnIL0wM9gFf92VgFJ7+GgiS4ex7+Pgj/qshFsPwQ9JPfuRZIh/eq
YY3atBs2y0rX/nRPSCZP0c9WyBsFXTLN+QHP9DwMrwyCs4thneySD1y/IXPc
85e8p9a7FpEPMSFYpv28PgPyuD6e0kfDsxDuWpvzvCd21+degnz1plqvkvXR
or2XrHL/ffMKHXV+wWRVuIr8BnrLNnMo32P+KfDadnhftmtL0k+HvF0DN1Wl
9inaiq6bh1zVDgMnwNqv4IsWv6cy3zafIVDr+OkAFDqvHAM75NzZxhI0DhXh
2oBj8IYxDJQ3psFW639bnjSWEus8zbVU1c+6JsrJqns5bNgFq1VQDbIGDckQ
tRBufQ5jn9PvRYiX5QXej+qhr7XyXe8yKO+u0p8xZE20do6z5Vn5RyuckQ9l
t+pyPN+10JfWqhmOLjP+8caofZi5HJHR5lYl61z7rQkGm3ui427Hv6urp43V
M/OLran8yL2n5AeFMEdb+Fho3AEnpkKFtlrHH8r+Q2FIlvctu63Pgwroexn6
qH8anauoDr8hGzLh2AholUcWGKfs7bnicgiT1zy/V9tL0yHOe7wzyzte6n2r
Su2xnxmP3OzZpLe8k8HmvhJ+ytA+zv2Om0ZDpyxzHvJckWxz/igGfjCGsjSo
TvBdnNKP7Gtsj8+Zoz0T8bp9p24VwTbPRfuN/eY78lsYraqPQ40qu2r+xvur
+0Z4t7u0jZJXjDtejlf1rr9sfepdq1WBUn3HQ4L9ttfaT7CmO+Vw53F5kOL6
VLXF+A5/Yh4qRfsBWa8u6rPR/VlP+te4co33kf1T5N1dX+FT0RZmzD29l4fe
1fe+j2bt13xLz1inKt9VqT37qbUKyjH27jxr9eJqY1IFS8xBxqoBfidoL0XJ
Lv3/rO8ce+GKfMG+6JTZJfZwHMzaYp8mwlLniY4XyWrPfSzDjbWXuuw4370d
8hfVrmLt+9Q1/p+pOns0W2aoWGO/tM2ekpPegR+t4Ug5XN33Lcw0vju+jyyZ
6TtMU/d827n77K0Z9pT31yTXddpXz/v+W///v/wP1iVICA==
            "]]}, "0.026400000000000003`"], 
         Annotation[#, 0.026400000000000003`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           
           LineBox[{8304, 19957, 19221, 39825, 19219, 42626, 42621, 17092, 
            56348, 52365, 55312, 55310, 52361, 40463, 19467, 55189, 46469, 
            46463, 17782, 52693, 45264, 21133, 21127, 38479, 38480, 26445, 
            45257, 26444, 8165, 8842, 38197, 26333, 38210, 26335, 16825, 
            45145, 45147, 45151, 26459, 45268, 45265, 26483, 16935, 38504, 
            12113, 38551, 26499, 16947, 26699, 16954, 38565, 12207, 39014, 
            21241, 39045, 17135, 26738, 17123}], 
           
           LineBox[{8321, 45448, 21280, 17165, 26811, 39124, 26803, 39082, 
            8906, 45435, 21264, 17151, 26786, 26779, 39058, 8901, 45425, 
            21254, 17142, 26769, 39074, 39069}], 
           LineBox[CompressedData["
1:eJwVlWtQlVUUhl+ZKcMSAX/QCOQBS1NQ5IhBQuIlvDCQhBqY5RiIJHKLyDwK
qSUqhSgCOQQpmGIZoSAwxi0RAsFErikqhjIZDJCXcSxJxx5+vDx7r7W/dfZe
e62NQ0hMYPQoSQ/5c95Pst4uNcEX4Bg0ZCcFbpHiXpNS4qTN8CA0lEup0Gay
ZGR8hnHfr9LHs6SCbCkc5mEznySd5PtMvtu1XMqG5cznzZTm5Epdi6RpEVIb
zLkkFRmkv/jNO99L21ZLP3xOHLRpmnQrSTLB6bukL/FNhHYo5H3p8gmpFa1m
vM5LclomWe3hdxykH+2lm/h+WSPNaJQSnSSvZCmZNVHM02DtFam/hvjMxzhL
a4qlWGRCv+P7+gNp8Kp0DZ/3XqkiQPJtkurgtQLihkr/4k+aLoXt4/xo2dvS
e3CIPdS+JN1njUMhuYYl3pwPfzGctJ88rZPegA3wKGuaoXua5IYWzJBWQuM8
zsA3hfi7w4iNLR3fowPsA9+4QH6D8R10H//4dO4HZa6XHGHXyFp4EzpkYEOL
+abzJPuYyPlZ1w/Xn+IsjIMypedcJB/WmcNY5sPYo/APsc4sXFqFz/AdcZdI
royHoRfcQy48YVU1942Wt0v38D24TlzGz3ZLo9FXjL9ATax5GilNJpbRlXxt
4zyvc38riMH4GHUU95GUC8vayAOqRhXErIAmvk9AAd9SR1OknYwHPqVm8IXN
JseHpbUwLggb9glTpeN51BdKxHaxQoqHj8l7VD1nRbXYNsN45OlOTnK4E2iW
QHz2MZQovcU3i4kXBJ2IHw4vnaEGYQ2sRN+w75ms6TNKFvRIaZn0M+reKDXC
HngP34IS9gxr6shFrZTvJt1l/1XM6zlnL+MGOAiPvEmPkisLFMG+HmILh/Hs
aRTn76TuLlZKV6EL3/zdyvwnqQU9oh6ttkpn6cVXYR10gEbu7DH7a2M+njOb
oyf0diNzM8Y59O8zrMuD5SN9TJ9XQwts/ayzTqUX6OmOudLGFvKI3Pi9cJhK
/Xfxu9vpp53IlzNn8QYYYjgLtGimH33YBzlIgnbEMhwiR8T68zg2em0H8s/n
LnmfYhlfv0xv4vfAZmLuBSPwBZ/jjaAPY4jxgP70g8NwgLXejLNCqCNoSe/5
HZFehFNGagmbeZU0FnW+I+0mzjni2DA/Dx0vSBnYslm/tVOyZ77Wl7yulEJh
yDHq2oP75x5aUQt3sYHz/Aa3UC+e1HkCjMZWTw11cIc3WJdOTQ0yb0UB3FkJ
PE2+T6E5zOvoi72sqcRuR28M0PcG2EXumvHdKJVeeVn6g3E7415oSx11QBtY
xroljryN9OwO8jyBt3Y3PW8LD/MeuFKjh6A7dEMBsdIB1u1H/xHPnZ5fQZx3
sZfydjyF5bCYb3zwWc3nTeKumrm3MmzJ1HQmfViGzRNbIeOlMAUaiTcbpRLj
9mf8BownZxmwjzzfRftM5I0a7gmmLqixXugADajAX4psIDZM5js/xmFoEWql
fq+gdhTKW55H//owXkgeLclfMH00Gjozn889FFDrbtTvBXrNA6YRowRbHN/4
raJGiG/J23OWt+IJ70cdjCLuCf4vpiwlj0fJOXf/PLwFk7BFUqvRaBy2D+FY
aMK+iXifwNv0ay7xvTqoBeauMBF6Q3veQxdYdJr7hAXcmT//D+2KpLkbeGsO
ck70D2/x1CzOgXyx20Jr1MP6fNbOpz9nLeQtxecM/wd+0vpQ
            "]], 
           
           LineBox[{28433, 27459, 7387, 19636, 13959, 22028, 47667, 47668, 
            22040, 47679, 47672, 53173, 13966, 33406, 31384, 14910, 27168, 
            14914, 33420, 12341, 51399, 51408, 46881, 51393, 51388}], 
           
           LineBox[{33566, 22951, 7420, 22990, 43319, 22997, 15016, 23024, 
            23011, 7428, 23052, 23058, 15046, 23086, 33714, 23070, 7433, 
            23115, 43360, 43358}], 
           LineBox[CompressedData["
1:eJwllHtM11UYhx+iCTovbbYmbpmhqKxESE3IElLxNv8wEvDKLFqhIlYKhL9y
jJzTCkhAXHlpmpqgKXilYM4ppfNCGY4MkUnFFHIyNW+VW0/rj8/vOd/3Pe85
73nPe35Pv740KSsISPbn4zI49iNkvgwdZ+H+Puj7FoQ67jdC/3q4oG9JEhQ4
XhcOd56CT5wzbiDcroJyxxPHu045pBvTKmf4vduYoGoIUacy4EPnt8q7+ttk
mnP+lJ1qtb7QhTBwA/SW2fr6y57G9laV7huiL117xxewWL75A2SoBWq1ylcF
LTB0MdzwTF2q/AA8lHXa78ngc9D9PHSTda5TuNUzqis7ze+/8SRIcJ3T+tq3
wa+qWNskbRV5sPw7GPA8rDrp2rFw/BsIOP4jwnrqb5M7tfXLgiy/i2Ngo5w9
E0rfN0aF6gurg7nmMUC2TYb13kO7PGYOOdZ7ur5mv/tY33jHY9Wdt+GjLdZe
FagSVayqE2FQAwxWnYfgSRmmYgd7viXwqcI18+VK7zcgO7Jd11yuy7ljvEd5
sxZuqZOODw2xXo5bHZd/b+6jIHyze8ooz9KufZislgfVrkz45whsl+HWIF5G
yKZ689beIn9RK4yfnwNfGjOzxrWXQr22WdpCnoM9m6CHPPEBFOn72/o8NtSz
pbqO49vqbjFMngK9foIHX/utHj9j/rIyBWqHw7eyOh32y27GZxdZT2N/Vtu0
vWj8KO/22nR72n7ZG20ttUcetB6DYOEJ70xeftcaqN9fhTUjne/4sHMbZaVx
L3i2QvfJ03dGW94r8Ki5lMV7R8ddW/by++Fpz2gfhSbbg+q35fCZMU8sg68m
wvBGGKHKjsJWlddsH5n3Dec96x1v1hYlm8w7Vo5UFfpfskYV+hJkcByMltGq
8JTntP6x9uK4N3wn71mjKJggS8yxaofnUIn6dssKdc419xiTYkyNef1lD91X
yzzjpXfgrLZHzDnIO7rnHV3cCEe0N/vGNvm2WmSuPbvDWgVktL08z1pNCDjH
N5O5yDM4jlRh7hOwr1aqVtdfKy/Kq+6RZj80yTh7pFGm5toz9u0c2ZEAi2R8
qW9C1Tguc60GGWLe52XGaN+vvK7qVaTvYGq+b0rtsmdTZZKK9AwNnxujrliz
GPNvkc/Ye12+jWnmec19U2Sq7yfZN9rpOV7bbo9Ntbe8x8NyvO+k6IJPrPb/
/9N/AVQMXhI=
            "]]}, "0.024`"], Annotation[#, 0.024, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlX1Uz1ccx98dh3GskT0dyyr0gFCpZVrrYXrQyppKMcccShYpcpBpahmi
RcTGSDU0q7GoRiqhaWVKT2gtsjNPp1JrzWLR2as/3r/XvZ977+d+7+d+Pvc3
dkl0QJSBpH/46R4jDUuQOuCcT6UQlBwjrXeUvoKm56QUaAdt0RnaDy5LMfZS
7kEpHGZiGzpeOsnavazbEih9A4vou9pKMzKlJi9p4nKpDh68JuWZSffZs/O4
tGmBdDwRP2jtJOmPLYyh7dh/h5uh8VZp8UIp503pRo70Ee1QZ2mSvzQyiX3G
Snewt6LzH0tTqqQ4a+md7VIScyLpp8JLTdLDi1Is/WGTpYWnpWgUi64ztm+x
1N4sNTPmkiKd+1DyuSKVw+Yf8Bsq9TL+xRQpbJf0wRzmMD4XHjohpaNu5pid
lB7DfFfOx9i4VGxoaJjkDCvgEeZUQys3yXG35D5VCoIt2OywNS6V7OECbHsY
e7JH6kMvBbAH7ETdzBmVRtzDpcof2R8+o/8E3WGN5V7J013yYk0j403oIXOW
5hE/1Ev7IuPB+6ThNnzPMe6UuavpX8H+lPFI5kUhg2XSPPyZHiH+8Pks9jwv
bSUe25ATthL6RSigQeppkQbdkv6Gg+EgH84PdzCWiKqYdxX1R0oNcNBKzjaD
uwzCT7x0lJxavVrKgIX1xBmVFEil7BuULm1kjT/cDBNR23pyhzm3kIrInxDu
6C1s2EdPlLKzJBM4nJjFMSbYR6xjKiTv6eRGMXlPew1yot97SPoPGcRJn7Pv
843sxbd0fCbNZr0XfoPhJPYIhzVniSlMsJAu0D7At9sw58E0yZCaKfhJOota
VhA32Ar/Yswd323wws/Eolw65iB1cYZKzmm2jvhytlV8Rzu2LA9pBPG/ylgE
tsfYegbOayUNYe9+S8ZKpN/IzanMqScf2+vom5AT1MhIzlBGbVrBcmgG7bi7
Pr5vFOeuxNZBuwL2wtGct586LhqoZ+q9FBqy5iFvgdFOaoLabnAhP2qJiTf5
yn7htFPYr4n94qkrH85pHE1OwPHQFGXxLhjWcD/YMgslc3wleTJ2mPjg7+53
1Bh1lYD8sqkfP2w3qVX67vRDUM/7rKNmIxgLuSRNpiaj8NNDrfrCp7ANXy60
9y8hj+AI6tH3W+l1aDmQU9iMSjkn8WsMJtb4uYif17Cl0d6FxvwqrbsuLWK/
q3N5h6iRRWjw29z5QH7AIniNvAjjLjcQM2fy+0/iv5K+K+0V8DJ51MD91cIb
A/NhIHflj/Jpnyb+X5J3t2jvgMXURTFtYzvOwRvwCFVjuweroLm5dBvWE78a
NJN8foM8us97U0iMvcdRp6bEkDg/4q0x4e0Vb4YNuWmL0nkjnMlVR9r+q6Td
zAtk/VpqKgBaU/vzsRfwjvTDIniKNR7Yc2EOyua+qrm329RsHSyk7wRP4GMW
TIZ2fJsDSsHHvU3EFK4hZmnwAXHuQjs3SJ9wBwbketc86UXqP41aNSXncmcT
v1/wDZNY50s7DHmiWnK3hHk34RLe9Uxq2IP2e8RyBDEMoaaGQGv6btxLLjlt
Tw5foc6mw1R8ZOBT5PNh6Dafdexdhs9nGbx9+FyOvuc/Mpn36y73/8pRfE5A
cH+Z9AI848vbBQvhMnI3FMUyv5NazcPWC+Ppt+Lz5WrpVWSE8vKJL/Lj/9D4
lPRuBHX0NWdD//IeTzjAtyMf7BYzuV/ardzrMea68T87DZsFY07YHdD/hST7
QQ==
            "]], 
           
           LineBox[{7425, 43318, 22996, 15015, 23023, 23010, 7427, 23051, 
            23057, 15045, 23085, 33713, 23069, 7432, 23114, 7440}], 
           
           LineBox[{12757, 28434, 27458, 7386, 19635, 13958, 22027, 47671, 
            9756, 22039, 9758, 53168, 47678, 53177, 53172, 13965, 33405, 
            31383, 14909, 27167, 14913, 33419, 12340, 51398, 51407, 46880, 
            51392, 51387}], 
           
           LineBox[{19956, 42630, 42631, 39824, 42627, 39823, 17093, 40471, 
            17091, 52364, 38943, 19466, 46470, 55188, 46468, 46462, 17781, 
            52692, 45263, 21132, 21126, 38478, 12093, 56085, 26450, 45131, 
            8164, 8841, 38198, 16812, 26334, 38200, 12032, 52277, 52279, 
            45144, 45150, 8168, 26458, 8242, 45273, 26482, 38508, 38503, 
            12112, 38550, 16953, 21152, 45289, 26728, 38564, 12206, 39013, 
            21240, 39044, 17134, 26737, 17122}], 
           
           LineBox[{39152, 26837, 39107, 8912, 45447, 21279, 17164, 26810, 
            39123, 26802, 39081, 8905, 45434, 21263, 39102, 39101, 12233, 
            26785, 17138, 21253, 39067, 21250, 39079, 17141, 26768, 39073, 
            39068}], 
           LineBox[CompressedData["
1:eJwllHtsz1cYh58a7Rj+IJ1KhJWq+qMuxUo2rUuxxWZBf2UuITZp3c3YSl2b
yGTrWFNlcxmltC7N3H6rqktmwlxalBKsYSr71TKJmBI04Vn88fk+57znfM95
3/e850RPmTNqdhgwyc+3a+HEJZgxEOouwNNfoFU6RNhu093xfLji2MxRsML2
Dx3hcQf4zjmP9sFDlW978CDYJsvWQYG8Jj/R9lsGBORFGb4fzsjsd6BG1jvn
jmy0HsLUX+7X+Cf4T9ta5650XsQ06OBYCznfddrKtxxroXbpS7hjU7TXbYHp
cupFSFeT1Eq1TK34E2Jn6Ldx7h4GDXKvPKb9ie03L7umilBNKqDctcocb2w/
pwDu7oTbKtt2suv1V2edU/gB3NsGq4fCEG2ntBUvhLePQ4nM72v8ZbDoDPzT
GVK13ZFtZkNQe1e5XdsGNTYVti7W50T90B51FMa5f0g/dmvvY7/o/7PShwWe
x3DHbjjW0vxXyyT7j+fqy89wcIgxy6DMlftkbCUclfeDxibb2U+MMb5ZsEa9
HABL8mBCT2tggXnTtq63cbn3OH16pK2+3LVj4bTtQ7JGtt9sfmSMjFa5/hNv
LPe0dZFBma2taCa8KDVeGW0OkmSMrD6l39ornXPL9kI54Stryf9GHzaHc2CM
/YAKT4A9m6CpPLkEvnfsuXlpUJ3GuI6MlUM9l6iPIUU2q4J/28POA+6ttqj6
EmsnDY7Ew/HP3DvOnNiv9f8mXayz1ebW9jVVoP091+nlOYc+sv6to5Ie5ll7
3CFz0wkyfvf8ZO08z6+XHA3fyJD9oHOr5C7/62ecOe6X6dg5bZkj4Y3zkJfs
eZ10bdncfsM5Y7amIgLeDXV3PvzoP5FfGkcKJFwx9/qUZ51tVYXqgXN6eta5
nm3kdmtQJdpPUMXG9L65KnZesmzUD3rL7irnD2P0HBKtx/6fe3cyvU+qdTfI
kktVivYRjifL4h1wwTX3+E9AW6k+PbOWnqp5xnfzCzivLUx/8ayeeFbXN8Kv
2m8chI3et6XWa0hbpPWUNV0/rOnx5mlQlnPe9S3SdlXG249yn0WnrU1V4/qr
5HX5t3tMtFaqZV9rpUqmfW3t+H59Kuus52myViZZ16W281yrQobr9yWZ3kf/
5Hh5VsZ5H0Yu9w0xP0XWboZMsx9nDBUb/EfdNmc9jCPdt2eV72DuVdeWIfcN
6G+adzPVe3pf/ycX+iZpqzwBA43xyIfWrPMHlL9+d18B2ARgcQ==
            "]]}, "0.0216`"], Annotation[#, 0.0216, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           
           LineBox[{8315, 8900, 39004, 26759, 39072, 26767, 17140, 39078, 
            21249, 39066, 21252, 17137, 26784, 12232, 39100, 21258, 39091, 
            21262, 17148, 39085, 26801, 39122, 26809, 17163, 21278, 45446, 
            8911, 39106, 26836, 39157, 17169}], 
           LineBox[CompressedData["
1:eJwVlXtQlkUUh3+YlpkRpZVSQMhFUQmULmCKkIAkkYGAUmNT3wehIiAMQmKo
6SDwhZoWYYpSCJnkJeUiiILXvpCLF4YAQaQEmzStaQqvRA9//ObZPbt73t2z
5+xrb0gIjbeQZDFEMr0gXR4n9W+V7BZLXl9JjnDKLGnmPKnooNTF+NhBO7ZA
xibSHo/+dZP88qQ30XTs1swNwl9pqXQAWTVKo9FTqKtAWvWG1LeLsSDpJkyl
H7VbOkQ/FlbA92FurZSHhhWhCdIomMXcNMZM8D98xZ6Q7sMaF8lyNXuNlHZ4
SgNV0pdm6QH0jcX+itTKOUrO0HZg7z/i81Up4jTroC/9WZekgmrpA3z+TLsa
n+egH36MaA7KxHdZsLSEdgm03S5tYd5jfPvWAoJZI8WMlzasoH+M/cM01phg
EuxZJeUskzzKJXdk2iHN9pf2Qi9YtlM6Dy+HSQ2wmP6ezyXvDyWXCvYILRK5
J3yUvigtgBOxhUyVkvHxEQrHtgy+BV9zkvJZPw16VBKXzZJNAHFskm7sl/5A
AdxrWYLUG8L94uf1aOkCe7NzZB9LJQf4E+xhbQOM8eFstK2nSEc+RtiyiWEn
7U/hQWJ5iHboUanFWWqi3ZLPufykZ7nvi9C7GX+B0tIy6VcYDX2xGWFTulTJ
/MNoKDEby32bw8mJYqkeprZIy9Fz9dLGk8QfPU2sc2AGao6QxnAHVtiqNkpO
F6VnZnJ/hdw13Iktz0Bs4Ax0523G4N8wDi7ERwRyaMM2h/a3kg+KPyv90ipd
RUH019G/4k2f/XVAa+7KFjngo4D4Gcm7kcT5a3dpHPHtJF4h2Kxpj0GLaXfa
SobznB9N3UcNzSbPWd9zhP3DEOL36EpiQZ6NhNWwclDkc38afsjlPnL6DP0b
0AyfJP73aLuTux7IhnWu0A42MD4aOqIn0G17qY09XL9AHnEPVuS0Kxw+n1hz
f8PgAHv4hxjWYV/EndTDRJhDrifATJiB7FKIF/NuoaKX2N8pqZb6qkF/kleN
8Dg5bEYdnP0wLEVW7HXCy1IheX2WHN0KV5OvBr7dSD8aujAeDv1TqUeUzbmD
lktr4RpyRuTYXfbSh7zIwRRiEAhPUM8BcCBKmjSYk9TMSvyMIMdtqNvib4gh
7MankW9kDZ6Xb3Zyhm70O/ZPONs86qmNviU1eRoeJQbVfLeK9q7BO+A+PddI
5bwD1cib+n3cSxoSR76zvp8aKScns8jxHFTSxXfQ9yib/hDes6GXIUqmn4Li
UDVra9F+1np9QV1BE3dpxvaAPaxgTqQva2O4S+rBkrd4eS53hO1hbHUwnv4G
anxRqHSSfG6ijkYwLxz7ccb7eD8MP/AGo99otx6ghpA/8/0Yd+K7V4jbfd4R
T/r5zDEzvt8Ov7RXQiP+/9rCmVlzD95Gm1kzn3fiHdRMvN15N4Jpt3MXbrAD
OmNrgIW8Qx74OUX7ITgKf/afSem8SS5wArrryv6puTtGaTu1EsZYFf1gaNxE
PTLeR2wmM96+l7nUs4m6nDtYt5PJTcba4XV4tY7/wwz2yVtvha0X23CYiv3a
dOKA/QT1v2ku/xhsmXBaNmedhH/6x97jX1bCObA70neBtlnEkbWRC3nvGNtj
w5tF23o9efqudCmD+4e9sBslT+SdWCvtRunYb37H2PP8F/l3bjtH3R/iLnir
HbfxLvAehCGfJby/0ICcaRdRz+v4r+3jLXiEPCxIol48yC/eiER4jdqqwObG
/FyYxDwj9iiYwloTtgjaWfB/mA0CLA==
            "]], 
           LineBox[{17479, 40567, 40569, 39826, 52367, 52368, 40470, 17090, 
            52363, 38942, 55186, 55185, 9211, 46472, 46461, 52695, 52691, 
            45262, 21131, 21125, 38477, 12092, 56084, 26449, 45130, 21086, 
            52256, 21084, 52244, 16813, 44991, 45128, 26330, 38202, 38199, 
            12031, 52276, 52278, 45143, 45149, 8167, 26457, 8241, 45272, 
            26481, 38507, 38502, 12111, 38549, 16952, 21151, 45288, 26727, 
            38563, 12205, 39012, 21239, 39043, 17133, 26736, 17121}], 
           
           LineBox[{33711, 33712, 23084, 15044, 23056, 23050, 7426, 23009, 
            23022, 15014, 22995, 43317}], 
           
           LineBox[{46480, 27462, 12758, 28437, 12440, 19634, 19632, 31357, 
            31358, 22026, 47670, 9755, 22038, 9757, 53167, 47677, 18143, 
            53176, 13964, 33404, 31382, 14908, 27166, 33418, 33412, 12339, 
            51397, 51406, 46879, 51391, 51386}], 
           LineBox[CompressedData["
1:eJwllGtM1lUcxz9mos16UyhtppWG8MIpKD5Y80LgdYUz5ZHl5YWXRYBJSgka
JLrKqWlMwNKWhOQDms4bKoqaYVNTvBDmKLGUKeqinILObMs+rhff53PO75z/
Ob/beV6cmTVxbgcg05/lxXD4HBxQGa9C3FHIkmF10H2A6yXumwjz1cId0PY8
rEiD245XycRE+Ma1BFm9Fr7W9rMc7/zI25Aiz8hOO+GYXC1XqZuOb30BTd7B
53BZdlwHd7QXuV6iwtKhl2tPymzPeVY+o33sC1DZ2zNday51XbbK6yrdfXPO
6tNo/W3SH7nC+UfqY+cFKjLTOIx38xj4R34r78oHqkO956l/HVdrf8xxR3X8
AlRcMgb55mtwJQRLymC45w5VJ7y7fCwclRc3Qq2sWAjdDsNWWTzEfOzXp+PG
HgmTtP0uu8+FKu3RcqO2dSo1BUrz9DneHGiPOOid+jBDbdYe5zxehaxdf1kp
G/X1KWtyXg5zX9u75nkD7BplzLJKFsrtMvIM1Mgbe4xR9nAeeMmaOi95B2L9
dkYs5BXBVHnvffhQe0kcjPT+0eq2tvYa+FPu6wtdFsBzX0FPdeXR2kjo47jQ
b5qcF/WBbbKfsS3RFppjvvdBX3Ow8pj2VGP4Aepca9N+Wpa5f3q1NZTJ7gs6
Ls6Cyd7VdaC1lmWedyQfvlefuva3+Yj2rFPOH0RbG2sxyrpEJEOSfOIn+KMX
PG7/bNoFG1T7NnM4GQ7NMi/qtN9VO2/2rKsqe7W+yVz5imdkyID863UY6Pkt
8jN7amuMOfe7qCrfkO8oRmbKNJVq/M3zrekgOQk+kZV+M8ZYK+RwOUSt9P4c
1350b84b9t8p6KwKau3Vk3BfXbZeddYr7FcV9O1dtB/M17X3fEp+G55tbOY/
tsHc6+cae7BUlatW98TYB4XWPbzcusiA85Brieav1XpXLfYtyfQCGKQt+2Xf
7QnrYA0C9urQ2fBWrj2inu4Pi2S+StKe7PoW90Vam0o5znmt/uS6fk7f7un7
POP8ZR6c1I62h1/6/qznBblHe+NuWO/7y7eXW7SF22cRalGGPSXzZGPAOsgG
2e8D172rwD4a75tp8vxljpeqaealt/2aKuPto3rvDObY19vtI7XT8fUEOCiH
2e975RrPqpOd9P2svKva1ZTBvnMZZe4nmJvZ5iVk/6XJoPMoY2hYD5eS4Dfz
NsA44tQy/zMLz5tr1eKdd6znVZmi30H/a9PlBN9wmqz/zv5TCf637B9nT/vN
iJr//6f/A0ewc3Y=
            "]]}, "0.019200000000000002`"], 
         Annotation[#, 0.019200000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVlXtUz2ccx9+V5trp2Jz92qZQKKRJtkL3XFYZiVLHMtJMkdxNM5fOdJn7
RpZShxoZmgr7UXEq11IU5ZLbXDpm7MyZtFx+9uqP93k9z+fzXL7P5/l8nm+f
6ITQeWaShphLKQulsEQpDc6E0e1ykxbArdhcjktH4MPT0nzs+zKlGJg0Sdp0
SloDqxib+6nUL06awfhZyIf2JBiMHHZIjWOkAxelTkXSk3wp/YLUDFdMlQJH
SHuSpEUDpTtrpQcoBft1eAWZ9ZGCbKXwKPq/ShHQNlX6CDlNYP3zfCe8ha90
mjSIfuIgaXialIw9jv5CtL2cc3jyfbSXoo7O7HVDsoYv8G3zku5h/xPbNWzP
4F04vkoaW0GMvKVRtFuwJw2W3sAf4O/YjGjSRGnHQal1plRO/z98jps5I/bg
auZApwLJvJdUESPtop2Dqmn385VuQJct7A3HwQmo/ispEoajzS58549St1DJ
4iepBxz5G2dlvfWzpDO0K1EmbXc/6SVjbjOn71YpH1sAtmY4Fg7GZvmxFLpN
Okk/mrXK4Hj6bxnTvZEE+ZpzBAF86+2leHwJyBL7YrgIWbHGC85mgS2C+d9c
5nvQmRPEi/gUOkoe7HUQnsA2F5/ppjQHtn7GGvD8LWkJrIF16CIy3SYH2teh
nQwPM//1XPysYRZPDIZLXpO5QzhmtXR8leQJ3VFLgrTbgTupx36YmMAKZDVa
ugpDd0qrWefRMuk033AHm8nIflNoY2tChgFS3i6pJ+zMHSTim0gsB64gF92l
d7DdKJG60l9yhjNie5VF/owift9Kq9h3Dd8QtERKhWn0x7Fud/buhlw/kfZf
4u7Z9wKawfor+5GjC4gH/V3QkTFlRxlP7W3oy35ziAf9k+gCtff3UOkUPMBY
P+bonLR3GHnLeeyWsi9nzCFu8/iude33gVZ8R71y5peMqSslv1AH9q6CHaEz
PuvPqYE6vpW8urpYek7923MmB/QeqqbW7aAz99sTRvWX2vhGE3qMWtC/yMC5
X/M2iDERxKUrPMr70QmGMMd6o3Sf9+Euat5EjYxlP+onhrg02UmzOa+Bu/wA
hdBuciVPYcYRaTrMhdnInnVss4k99elKO3IPbwpKogaD4L2r7IHi6fvQD0PP
yGv7a7Sp6y/QXOY9C2EebIWecARKj5Z2QisffLupD2Skb1kmFUMD8a0Pl75n
jXWoB/YtcAP6kLpY3MA+jGmknqrCeLP2SjbIwkMq4V7OEZca7iSa/PAlzx8S
/3LsBdzVdeiFrY4xNrnEFt8VbKOx1cMacu8KcSxsz0nuzwizyMPbMBUegseo
mUe8MWVwFm9MNbzPW3IHuXHH9uSVD7l8iTj6QRty6gTxfsBb1cKYR/Ax81Nq
yR9kwjaUXGuD3uSrgTyLJ58T0OT50jK4CIWwzgDekSnYiqgbc3I0E5s/Nify
1wvm8z7lcW/56Ca1XAwLkQd1up81DqE05M63XSSX1rHW/ZX8m4hd2nJpOUyH
T4n5evgWmtDTCKkL78EWateWfNtHPseeZX2YzJxA2tEoANWSw8cZ1wCn8w/I
pqb9aftS01bEMIz66gAb+c9VkLcNsJK9vKkBX3Lw1TH+G6xjglms7R3JPPYu
Y823OcSS/54hj+8NpAy499Jg6V36GSepNyf+qdgKyMdpMB3blzAOxaJCxj7h
3hP4b/4Fo7C1wDZ0i7UNNcSG3LCGBcXUSaHUm7YNHBlLPW3njOg5b7RbBv/F
AN5+7A7Qm3P0xzYC+sIh2BzwedC2g69/5k548zNZaxhjeuG3xP5mtvQHvkZ8
A7C/j/0mtufYLsNyWItvLfNs8XfB34TtEt9ghEbGvPInRviK6HeGJfAs/hx8
/+CzwJaBTfAXmI824suByXAqrGSPxN7S/xb/PNI=
            "]], 
           
           LineBox[{46479, 27461, 28436, 28435, 12439, 19633, 19631, 31356, 
            10392, 41001, 22025, 47684, 9760, 33436, 39449, 53165, 53166, 
            47676, 18142, 31381, 47706, 31379, 33396, 14907, 27165, 33417, 
            33411, 12338, 51396, 51405, 46878, 51390, 51385}], 
           
           LineBox[{17120, 26735, 17132, 39042, 21238, 39011, 12204, 38562, 
            26726, 45287, 21150, 38548, 38544, 12110, 38501, 38506, 26480, 
            45271, 26473, 38234, 26352, 52262, 52265, 45142, 52275, 52270, 
            12030, 37894, 12025, 38201, 26329, 45127, 44990, 52243, 52242, 
            21083, 52255, 21085, 45129, 26448, 56083, 12091, 38476, 21124, 
            21130, 45261, 52690, 52694, 46460, 46471, 9210, 55184, 38941, 
            40467, 38945, 17786, 40565, 17832, 40570, 17831, 39822, 40568, 
            17478}], 
           LineBox[CompressedData["
1:eJwllH9M1WUUhx8rqK2tLIu21krtes2YiN684kxJM3AL5xIkgrZcll2gMIkQ
hg5brqmw3MBUSgWlC7ZyUYiUUsyMLKW8mcUU3c0azNkqlFpRm/Rs/fH5ft7z
4z3vOec973fC06uWlowBiv3UZMLGrTDvMGw6rSzS90BvN8TEyipYoj0i58yH
bPnn9+HyCRiQ6/TfIl67B0LtkCLOr4JzD8OpNyE4w33rjTMbojmwQl6iHAzA
sTXwxEwYlp+SU3vge9c3fQw3iw7XD9bDYXnwIWiTl3lmvshxHXsJpr8Md66F
sByQJ4iCB+CVL8xJ9HfC4llQ7TppEiSbf8Ey6Asbwz13WfdEUVmkXR4nBt6C
phg0iD7rObDavNT9YS1X5VH5qGd/JX6xppMhKK2ANeKIukXm3upZgXJ4R85S
XvAMrNVeKW5JgWflndY8R31I+0xRam9m2LuI/RmcDu3Vxpfnq4t+qs9u+/2I
OTbbc3moDOaqS7fetO8gvgg6rbdfvl+5bCeMNZ9xIqxPej8kWHvCWThh/+Pf
wF/H4R9R/RkkeqdjRPlj0FMKX4rNK2CWMeeKlmLIkBeKda5rrTueDRf0y70X
io7CT+Y77QCUuA7Ktbnwbir8mgUb3DN4N0zaay3mWPg6zJaTla/OM69TUKXu
Qpd1uK/3Pjjk+V2iVXl4P+z6EN4W106ES8ZKdM8NImmxM2ycOWLEfcfXweTH
4W9j1di/UWegR12T9xXxXopFg/r8j6BezvKeGp2HJ5ULRNi9MXs2Ve773Bzl
zc5QrRi1/i3yiBx9Htbrl2zc99xfZx/Oyg3W3i8PL4Qf5Svy+F1wveceDMK/
ztmQ+qhxmsVYz6x5AbYb60/1+faxytlfLqe+CFu1DXU4q97ZIe8+qC5y0DrE
Jmfg9zP2WKxU7tSepN825zTjW/P3jQfswxQxVUR9z2E5JPb5XpbrkyeSlBNK
4FV7tVt9rjXtqIQ9YrL6dmf0on1KO2aNec6rXCG61denec/63eactshHGvXx
Lpq835RW2CvHlTvM5WKLs+A/Ju9R7+QHey7vO+8+kWge3ef8Ocnl9mjEN1gm
h52dNvdOka+oC8gb9GvPMN+T9kA0uq5Q1ywXK0cW+H7MY7/yjdudK9fXya3O
TuZ4uPUDuKPQOvRLUX9pmv+eBvXq6rRdjsA1ynH1o9u8T/m3Heavvlb71/Kg
cp/6Ae3ZxulWd8b1adH4nPXKnaJ5qe9Ye5frAv0ze50h7RVtsFpbkdj4Btyu
LUFbif/akG+oUP4k9v9/+j+ga3Li
            "]]}, "0.016800000000000002`"], 
         Annotation[#, 0.016800000000000002`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           
           LineBox[{9213, 27460, 46483, 27464, 50022, 50021, 46081, 22019, 
            10391, 39444, 10390, 40999, 41000, 22024, 47683, 9759, 33435, 
            39448, 53171, 18140, 47675, 18141, 31380, 47705, 31378, 33395, 
            14906, 27164, 33416, 33410, 12337, 51395, 51404, 46877, 51389, 
            51384}], 
           
           LineBox[{39821, 40562, 40563, 17833, 40566, 40564, 17785, 38944, 
            17784, 42646, 40469, 46477, 9212, 46474, 9209, 46466, 46459, 
            52680, 52678, 16929, 49994, 12096, 56088, 12090, 56082, 52250, 
            16816, 49956, 16817, 52254, 21082, 52241, 12021, 52205, 44993, 
            55637, 44989, 8163, 26325, 37889, 26328, 37895, 37893, 12029, 
            52269, 52274, 45141, 52264, 52261, 26351, 38233, 38239, 26479, 
            38250, 12103, 38500, 12109, 38543, 38547, 21149, 45286, 26725, 
            38561, 12203, 39010, 21237, 39041, 17131, 26734, 17119}], 
           LineBox[CompressedData["
1:eJwV1nlw1tUVxvEHilWBcaiOOEMlmhRZwiLFMciOoChhKIpaqAsltFRFJJJR
lCIWUChCC1SE0rjU4gKDRhCBiCwlLBVEEUTZglhU3O20Qi2yaD/88cz33HPu
e5dzz72/t3BY+cBRdZJcVjcZe2Gyvii5cV4ylP54W1KONRcnz+D3A5O5OI8e
ErvzJW3cIL50bvIPfFHsJWp4XXKsV1ItXq39lthe3Efniz3kt2+aa5322/oc
xlo8t3fSUvxdsX/yneCrd3tSwH8Jf6Xf1YodF2vK3/EvSRFeLN6D3Umfi7Ab
FvH1ESvGDnyHraH0z8n91tWZ/zxjXfCm31yRdOcvwT1/TRrz7cejTydH6OYF
yec46i17puXPJcv6JUtwmFgVlmPl35MKXCt2N67C+7DxM8maPkmvXxjTuN1w
xmvJTDq5MnkUj2GPO8RKnMHY5B3rrxknjx2T9vyTViW/pwLtTn5/e02yolXy
8N+Slbh1X1JmnMffTqZfllzNnoxL+ye3sRfi+Y8ls/Q983fJl4PNvSaZY66e
4meb99sHrNdvpvJ9zv6Apt2VbPuJ3CznfyJZTIuo45X2/6Txqfb6ZAE+TQtm
J11/k7RYkVyOlR2SdnjMOC2xPw7gG2OMYmNcpz2KPZIaj7H/i5Iur1jbn5yp
XI3smUzZlnz2YvLJtc6D/0NcXS6n1HO42rK27ljYzDnvSC6lD/R7QW7K/P71
kclwXI2fGOcVrLo/2U2L6TE5rca+q5MdzZOJxt2JV+xMPr6a/bj5cR++vFaN
4GKsonXsXvptUTtN1Mhrp2pofPIqf125bOL8y9XBlhvU9C7nShe2ILkvxFnr
k3PY0/BsbMpX83O5wHra1TPky9zP4lXznS/OGaYG8L1Ca6zSTz4qtO+gm4xz
PRXuSf5dylabJ7AEj+OQUzVL19CNNJja+93B7urD+RWyn5DP+fRLdTcPy3Df
T60D92KB/Nx6yleQ/Gp7sssaSq9KDs2U91edDw6Qvz0V6kPNLaf6anmQ3Hz/
W+ugxmrq603Okz6jk3SUbva7H+vbWj0X07Mbna/a/MZYzfkP4667k0YXJJ86
57PUdWv5OU9u/tVSrch9/UHJdmd51F34lsbxTXNWT8npnc7lSWyi1mbyNcU6
m63LHeip7p4f7T0z51dqdCuuVcebaK/9/kF9NbDG1drNLzWevpv9Zi6OV7dD
zTsJF8rJO/xVuIja69tAfTeifvda4zJ3ifrekzyID9B39nZQfhqqw6+tsT7u
d9/30mlqu68abcV3TTvvtHnO4DudOtj/OmMWutcHTo0tdtLcB+z7B96UjXIz
xntWq72LGrpzNbjCnCvpiLMsmeDO0UrvwpXYmxp08t7Iy3TaLk8P4gp5O+7u
vIyT1fym98RoGz2ixrfiG7SZKsS/MfcIPLlfDdJodo2xJjvXJcYYql37RvI+
beJvp08b+li7zQb1eXny363W7N2umJP8CLuKnXmrnGmPpynsLr5bY9j30QY1
fnCJnGAjd+07b04pf38q8/1aa8xr2fWM1eZR3wftQ/r0wgLt59j/8YYtwBK+
Sly/2PpoOrsbdqZzjFVXvzo015l88Yh6wsHenR3O5WfYj3b/OmmLRd6fave0
GW7ke8o7VIOtsAVNFCu113HYfFbyv7b28Lr72kO+8RYc4V6vYT8sdkIOJ+IR
7M031f3tI96f/X4bd59/N36KB7f4xnSTS9+Ms/g+5Psh3sM/nD7qag9io9kT
Wvvuio/FYu1ysVVD1OIi+xhgH3wtsMlU7wUNusX7KHYD9m3qj4Q3aedkd5+m
3JTM7uJ+syuK3eVJvkud7ZH/0ELvmLP8Ak9f6t75rr7rG1lUKQ/ekIHUfYT1
4VBqxp7vHdji7Zjg2zjD3Sy/xBqqrYsOuJcf0TLvQ1v9Z+Nd+pbpU4ZD8P+q
j0tu
            "]], 
           LineBox[CompressedData["
1:eJwllH1M1lUUxz8U1mq1srKptdBARi19lHxCySg1sIa9CL7ShK0wXkqMCDE1
dBrLl2JTMFETkwS3aqKIT5H25MoyxEkFY4H2DFfMaSXlqlkr6NP64/v73nvu
ufeec+73/EY/vSSjKAoo9hNfBMPvg7dfhjmzYedKyJbXJEHDTnhNzvka9mqf
fATa4mFPNdzjOEHEiq4ZkKrPlkQYdgpCqbAoBD91w0WxrhYKneeJMS/AaH1i
RP8hqFoMAW05E2B5FSyQfyuFv8QG1274EOq+8E7R/5/9MPwtrlrqGcZ3jfzH
wxAlb22GGtGt36ZYeE9eNRFG6Fchv+EZlWLgA5htXoF5cL95cRcUub9dn6C2
HO98YgzUuj9d3rzEuLTVyG36FOq7yxode8XY5AHPinEfk6BV2+UESK6DB8Sw
x+Dqb+D2GLhuL1whLjW4rwl+lw/MhUG51T0tz3i+HNLWa12XV0K0e/9Jgbs9
a9IjkK9tohznvO8OWPscvDveuLU3yc9/BovFOOtw1lpGMh0b9xm5/0XYeC+s
dM90a5Aq6h2H42CK4/Xef1yfY6J0lvm0wRBR/in8ecI6i4jvdkL/6B5IOe0+
EbQmN5X4VqLkLcvZAT3GGPLMiJzkPEWfKeqgWm38+BLs8+33i7OuV1nDSlH+
Dlww5mdXqxUxwbiLJ5tvCySK5FzYEYTcZXDjOFgt73M+VXu667NErG/T4JvN
cHzUeJbqUyxOmfcF7/hS2/fytDLfTb127IBOcbBYHR/0jb/ybcUP2kaqs1z1
vqxQzTq+TWSqiS77JXkFZM0xNvWzUJ6pBnrM90m5Qo1lme8o12JF0D0j5PFy
u/dnever6mFBIzQ67nvIeNX+XHOJ/xw+0na98XfKAefZ2i85ni+HjH24tkNy
tjUqtD7YPw9+Yh3EeWvWuh1OT7dX1GSvvFANJppbhXdWd/rej8J2Oe476yn/
4htfFJlTYd4e6yg/bo8vMseR6rHdc1N224/6brDXV8jr5UH3HLFW+fonqrno
k/ahuCXgf2MLFGQYmijb7/vmQZprWa4dfhM+FnWuheRmUet6h/ytCOdDxjTf
wHGX/n01cFLbxgNwTv7ZeY/2AdcjctQ2c9C+yfWhBdbO+XntY7dac3GrtqGu
pY1SG3fCldp6d8G18vtp6sJxnvcVthuT87IzxiOvc75GNDleqy3WXvnVfBPk
RvMPyiVq4rK2UnlQDus3xH9hufN665tkn6yydk+lG7t93uy+iL27W92P9V8Q
EN3OC/Trko8aS73/4pvD9rW82X9KWC28Lpcd13e+Z8rn1HhTy///738BXnF0
JQ==
            "]]}, "0.014400000000000001`"], 
         Annotation[#, 0.014400000000000001`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[{9307, 40555, 40557, 17834, 40561, 40560, 52703, 52702, 
            42645, 19229, 40468, 46475, 54873, 46476, 46473, 9208, 46465, 
            46458, 52679, 52677, 16928, 49993, 12095, 56087, 12089, 56081, 
            52249, 16815, 49955, 52259, 12024, 56079, 12020, 52201, 52204, 
            44992, 55635, 55636, 8827, 37863, 26258, 37885, 37888, 26327, 
            16701, 37898, 12028, 52273, 16822, 45140, 52263, 52260, 26350, 
            38232, 38238, 26478, 38249, 38246, 12108, 38529, 21144, 38546, 
            21148, 45285, 45291, 26719, 26724, 39016, 39009, 21236, 39040, 
            17130, 26733, 17118}], 
           LineBox[CompressedData["
1:eJwV1nu8yPUdx/F3TraW9WiX2KMHGpPriYNick2iQ9RSqR6rWNONOi7V6Lak
nciWJs4MW3bMsmG5nzQaipG5hnM4NJdstY1HCxtK2tMf78fr+/18vtfP9/P9
/n4N7x3Wv+S8JH1qJP9am5x4JznbKHllWXL90GR3m6TG0mQwex/2GgOSmvRS
j6T29KSsWdLiN8nmXsmX2a/9k340fWzyLf7FW5O6+AF/cxzAdwdNejIZqc0o
qjskGYfPUevWydsbko74ovWUXGkufPaWZIM+5e2TRtoPNMZg6qJ8M/amhsbf
aZ655vzSYvv5fTJlU3IYn/y+dXVMZptjRIvko1J77JSUsk/EKvUvGiTF9ZML
5xr/7uSYdXy1MLl0fNLkJuO/az2dkwlrkkfwMvXmNFqb/dXWiMPVy/g/4B+s
/BjVvCI5xH8RnuCb3CU5wP4hWyXbx/g37Lsx6fm2WHQVR+Xj7GNaJp/heFzJ
9hD/Xd3EVXkV/Y/9gr3JGSz+qzjQmJut9/Vk3eCkv3rHVknbSeJ2TVLBd4Vy
C6rk74Pb7hP3BWKAR18RNyrTp+bkZJM+3+ifXM3fmSbcn6zFidiuu/jztcX/
aPs7tvpTku7qh5ULlZtRQVHyvbLkVhqkfV/sTZ9rc3Gl8enAwuQS/CZt0n8U
/xG2o1T6gNiqb2O/QLmTM+1AE5YkY+lrxj9tn4Vy9O/shfuSlrT2z+KqXk0D
dyQLmiY/EcvV7MPVv9CmBE8V28Nvk43vJ1fi5BuSVrhevRBP3C435cJY2qrv
BHyBLrzaOY1JrqPlzyb3qHdUPj5M3Z05hbV66r/c3cDq95LHNyfvmG+X8qTG
7tOb9mf890clDZo7U2zTz56cxW3OYDTfTdjsaWui89l3r0j20lfUP/mV2F0n
Jx63d+yHY81djOOwlPoY8wjfxb9Oitolf9iWzKcd1jUHZ9H2GeI1wj6taT37
TOXG2q6osM91yU8vN6/34Of4rvu4ln3eVckW5SNt3Vmcq083fQvE5myHpN6P
5Il4lYv7anFu9Koxacwz4ooffjc5KQ5bV9qLfZayH/We1JnlrojB/sfkA+7G
XXRspP5PJf/FLd6B2eYscp4zcWATd2CPeekT633UPZnC3kq8W9MA+9+n31L7
rMIbtT/0cnLQu3EYe1+fDBGHXX9M9tD99lrf+Q3F/d7AUVjmTZxK9yjXEIdy
5QYTvV/2csCdLVK+6zVr6OPM8Ad0N32q3g5voY+Vf6jdSeypfkq/Aneyhzn3
NZTXfFPuTWZgL3GYjTfKlwoseMubey6W3tl6eLu912NrTN8+J7bd7s8j8nfD
bXIbq8S0LV8lLpMrfxGHS+V0XVqlXuF8VuI8fatwsfpCOii3PjJvP2fTw9m9
J15jxKNYvRdV8E93fq9jJc2nNx5O/uHdOUSF271/3o655camg96Z7WJ8FXsD
sdtz7vsil3ca8z75vQIPicNx7Ybq149vCLac6QzpDHtHudWFasurkXK5mTvV
f7g3GPvieca8AZt6V05jS5wmN6/BJvK1E77mnZrlvAZZwxLrqr7V/vENam+c
V41bTuOolfHG4mbfvReNd/DHyT9p3BPyQX6fUv66POy23pmxnRHnf9/hjfIW
vOwu15Vrc+TvA/wj6CJxnSTfp9EMGsS20Rku13a8+Zfhg74PHe6Ue2L7gjv+
HBXJt1rqq+X+Dt/BNebqbN6u7OfL37Pu7EvG6qzfSbHqjit9B2vPts45yRP0
KL0lH57BN8+9b1XWpDz/XJ7iAlzCvhSH+34uwjnGGG4Pe43ZTt50mWpteJn7
VGeRb8JDyVPXujvsx7zBbaY5C/8FPdkbYmdrvZytA3bFVmwN+dor18NPfyn+
3xEPY7XVpj5/AftnD7pzfDv5mrJfwl7NdoxtO67CtVSXbyPWwd24xRoqsEKb
09ZVi/1zXMi2jm/RL7xTWMY/zJxP+96X4PPqU7VZzTdPm1X4sHoJ/YxvIN5J
a6xntD7/B2DyUhg=
            "]], 
           
           LineBox[{13149, 31328, 13152, 31343, 29330, 47660, 29363, 13954, 
            50659, 46892, 46898, 46875, 51383}], 
           LineBox[CompressedData["
1:eJwllG1M1lUYhy/zS28zTS2YGxmIGilqPuELg2EBFU5TUIMmfBCmkFMMJUN9
SppTc8vUEN9lBuHCVFAxDZFN1yNh78YS9VETIm0Na7MlW1bX1off/zrnPvc5
//vc5z7nyXnFmYv7AEE/D74BB0KwJwAj9sCfqQ5o23UMtsbAxVLYJOtkpbZ6
OUS/CLXGOZudO2cC3PsUsmT8KzB5Ffw7Eha5TrEKaMs7AWPlqp2wshimx0K2
tm2221ynehYU6PvYMDgddD3XitK/1XZI/eV6kz6EQdNg8H5jkP3kQ6qP+qMW
9h2BO7J+DvwjW51zIt/1ZaO2a6egbCP0/R7+ToanXG/Ci7BA23gZY78rCt5Z
CB+PNW7tDbLkLPw8Dka7/+synGXbuC/LnhLYMN49OSfDHJwx/hrbzTLR/nr/
H9LnrFo207y0waHRxnDZ/J+Bwqvwhb5VMiTvu+SYSnI8UQXMzYCl7lWV7IaR
F2CUanTtBBlQSfok7oUU9esyONgIh9V197TFvL6ngtVwy9gXrtbX2NNbIPdN
2PmsOaiC7TJQAPnaHomHt+VBbSnaMk7CDBXt+aTLVNViPHWOl+r3lfu/5T/O
abshpyz3/J6Bq7tgvvV05HVoP+pZfwt7Vaf2yCb/NRyWv2b+5VD7mdZWe4Ln
vBJyZnsm1tFcOdVa6HC/L8s11luO+x3uWJr9gHMibA9UKdHG9gR84v+zD5tn
2ZVizB/AbGON/RxOanvY+C/IePtx6q51eFvl6vO4/WPuIdc8FU3yvMxVsrlK
UTdtt1q/l56HXmvzmuywP9danF9jjcvml2DHD+ZHxoTds+3b561LlTnFu6Jf
tppW4X2RGbLA/UZao0n7XN//pMmg81ao9S9Yy85tMm8LnD/OWuz7pfsdA+vM
6RCZrO2KY1kyLNMcz9H+WaV3IhPW2t8v79a7j6HmpRBWy1PyR32aZae8odqd
17Udzmvb0ADd8jf7HdrvOR6W7HBP2jc53r/IfNq/qX3UNhijBmvr79hAudH/
xMmA9m7rrC4dHrB9QEbK3z2LCPmL7FT53xizY8Er1q3tSnXcfrlskHHerTuu
U+G9LDNPh8xPQNsK6+d96ygoJ3t/asx9gnxLn1en+m/fg6P6hr3jP6lybRdl
oT7tssU1a8pgyQjPQ9ujp+F+tXmi55ztk3hOf5kgu327Gow1drH1Yr1WOW+W
NbPbGsyV5dblR76Pa2Xed1CrfaJvT5vxVXveIfm0/WiV6vhzqsL7Muhrc6EK
jvuedcBS34N13ulSWaRt2BLvieNRqsf7vWWRZ+28eO3T/e8A72eed7zXO/Gu
Y/2s6Vrvyzzj6NHW2/T/e/8fbRl6SA==
            "]]}, "0.012`"], Annotation[#, 0.012, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[{9399, 21761, 31350, 31342, 13151, 31327, 13148}], 
           LineBox[CompressedData["
1:eJwNkltIVFEUhj9jSiIIevFBjMyiRCubGqTLQA7FkISkhhVIIzhU0s0iaNDK
ILIIizQtqichg/Khi+BDBpKGdFHqbaQ7aCSBOESMQcHU9/Dxr/X/+6y99zln
aX1j9bEsoE9mQ5B+Ab8luQ46+mFcnbUfD8LOJFRK3L5eypdB1m4IyJWt8K8G
zr2HjLq824H6Y1GYp0YGICq3z0POHXjyDnLVCfNCtcZsj7Q3wwnXnJLcQ3BR
Da+FEf2X0l0KBfox18YlbF2pbpd85zxw7j2Z64V+3IfOMZhUm2rdfxPcdd7x
Iphq9X6b4YL+VTVpn8mH+b2QLbF98PMVzMiCYvj0ARaqK17D5SE4EobF1oWS
0P9i3qI22neZT5jHrU9KYBV8N/+s/0tSMvQRvppNSXgYtkmZjOhH3ngfyfjM
H7m0Gp7ZN5jXbvHdWQ9KWj/b9X/VilF786fmUesBtUrduAaCHbBe+qugWC0t
gNASM+uEWvLI+++H4TKYvu75fSbQCaP2i6phg/m1A9DjvKRZ2iwU8dxmQTVl
32Oe1+U3kEnrInWlzCnxv7kBu6TO9TvUNvefdt+mg57Fd37af+bbYzjjt2qW
t848q7bIjH5KWhvg4U3olUFnHr4FR6VNP6bulefOTTjvP821ubA=
            "]], 
           LineBox[CompressedData["
1:eJwNjzFLglEYRk9jSzhFSJBJ0BLaFBYRJASBmy4R1FCkUllGLU0J/QLJ0gga
HaMI+wPRENoqlLU0iBRODg1BdobDeZ/vufflfuMb+8m9ASAlO3fwl4STCvT0
tn6Lw2YW1mUuBF+3cGVXvICyLuhEFLbOISu5DDwtwppzNw1TDbg3p7xX09Pm
3wgMlmDe3PTMrO6fudO5rTsSc/eMtOvesQ8+QlR/mr+l546hFvzosDvD9jf2
I84Bv8d807Be0Mt2Y/7H8wvkl+C45rulYT7VLR1/h1e90oT0B2Rk1Xk0AaUq
TOq8+UBycmR/KPVrqLqz4plL2TVPPMA/hHNYSg==
            "]], 
           LineBox[CompressedData["
1:eJwllXtM11UYhx+wNJyzVrpVUnhBMCYgBiqimKSCJm4ZWc6pRaFZTpSZdrEw
owutQJYTJTWNDZeVlxAwLBQBw6WFoCJeMNcFTVdelmCO7HH98fk957zvOe85
3/e85/z6pWdOXRAAFPtzbRKMK4H2RAh8HJK+gpP9YHgefJwORXL8Z46VqSlQ
JgO/g17hsGca9JHTTkhtoerBW9LWfAwibGc9Bt03Q7TtGHX0Ddi5DurGQXAx
XDRmlf2yKvjSeef1J22AM8tgh7afZZtjkptg8rcwRWVn2pcr5Nrh8IoslEcd
+4Uqnw/TQyD8MPy2FSJlhHruEdi6CZqSjVsADfJ4GYzU1ywnZOgz1vNRUCnP
mo8rjutQk/XNc37MpxA2AW5oi98Fo1SvJbBoPdwrB4+HnvLmThNszEkLHT/H
GHKwXDMUxsiB5fBXjXuTbfIXNTsUtru/r1VLGuyW5SrOmOuNv1G9qyKNe3AA
5PutDTLnVTj3pj7ZLv9Wdw2DxO89Q203zPsfT0O3bLhN5T1kDvUVyoWyh3le
2ejeVJGare2AZ1qh/z3X3ynnVlsT0z0z8/zObliuol7ybO3veR0an4C9rpXg
uqO1d6mEzoHwobESnHfNvO02b+XW2l65xJqotDaWyV0ystlvPm2dyHXWTry2
OfoSZKlzSpyT+QmcME6stTOqEB44BPep3jtgxDx4LQlStF+OhiFrYdCj1rb2
vjLB/Q3QNlyOlmNVX31xso+8vsb1+5sDY8U4Jtg5gdr/eQFa9TXpC9N+j/YW
bZe1Ncg62VXb/foO2O4tm+Uh91Am/3VPWxy3xLhFcpu2Wn2lq60Dfau0bbe9
Tb0/F3JVgvbN9tMcl3jQM9D201jPTx6WI7XllsJb6k7HdPxgfVs/v2qPPgUX
3E+NZ3pOntV2Wj3r/Zml3vZcq83zClkjC8xvrexm3jP1L1Wx3ssKcx800bXk
7TJS29WnPPt6mB8PPxp/gcy1HyRTlkO6rLC+Zsp4+1e8QxXeg3bZ3Rq+6l3p
KlusscWe2xHZpFZaJwHfWMfGP7UUQqy3Kjkk1e/z3qV5H5fqmyLDrflI1UV7
qzW4LQzusH/JN+SMdTHjZfMgA7wnGbGuKydry3EfE415QV9PbVFxzm0wH74B
je6rxPYm1WCN1SyC/dr2qQ22Qx1b6T0NqoMPvKPN1ne+rK91rPYtrvO545Jv
xZFJMlEFmpvOEdaX78FH5qve3BbIYeaz2nZ/37lQle2bFyHD1e/eJ/zWczJH
+8VB1pTvbw9z0boY7pZDXa8jy3fafv7Dfv9+6817V+x+ojzXDXKWebnR4vrq
kvvO2udboD3SvEerJ83DSWOU+r3HZKrj27yz5/M9n43ud4zvnfk44v/BcZXh
Nwd7ji/K1hjrWa7yHVqtZtoOMB8h/jcMVoPUUBWlZnh3O/2PmSJvymfkdRkr
p6o/bafn/f8/9B+olagk
            "]], 
           LineBox[CompressedData["
1:eJwllXtM1lUYxz/2R637xQuMzRQExZJSX/HyTivkpWTqmq8atKylhBSFCKmp
vJjO0trKZIgmIHlLur2BoJXlZVZAppmRm+VtIZC2puVsaVO0T+uP7/s553nO
Ob/zPOc5542fURie1Q141Z8PmiFnBPT8DKbL9faHJMGd9l8rgEtz4ckhcMc8
mDgFUmZDWIaGwqJ1sETdo+3D76CfnJMIy2qgWP75s2t/AjEHobsqd07aD5Cu
4nc6TzX1h42rYJ/cEIEq13tX1srNarF7mub3qrRNljULoNdwSJwF9Tug072m
tsCRbJgrT8qVI+GG3cagco4alyocAKta4QXbeerIRtceD7/I46rhEWjf4nqq
dAOMckyZe4p8ASvkAhl4HqKOm6+/fDBceAe2PwxB7X+7l7LvoUK9oUqOmz8V
UTPsn9L/q4pZA3/Is2qs7Xrnj5CdrhWQA5+DN/t6Dluhh+2+ax17P9yr77S8
2f7t2t/Sf+5ZiE03Vm2DJhuv7HDM7297Xto79b/uuG9lu7bD+tpWQ6s8ZL9J
+1L9L/u9qO0H5cV62BK2Ng7AK+opx77fCNkyZD/8FRxLgzEyTtsyfXfJ6/QN
1obs2g87DsFycxU5DB9nOtecteyB0TI22XMpgUzPPbwZJshGxxTYflxdcH61
85JOwDq5WiXYrpC/TYUix+x1fK58YiL8VOm5G++lLD9vu0WdLoQTnnnIb161
PX2xdaQaraFeTbZTzZ81flGl2L8iC7X1tj1bJsopMlQOGSr6EmTVWecyvY+5
SjBuazJGBbwjIes0yXb2MHPqHRqjrc2aeVqG9Q39z+feU417pJqkvY/+mdbW
vHxrRMbaP1VlzOYuL+Q4c5Ur9xcZi/Yr3p+H/H6bMTS/CGfkgYB3br5n5F53
a0u3rjJUvPf1UTlAbtU33vg+kgXGFXjGPDtnjf3h1t1aOc1+hrkKmqt883TG
Ox/ZZG2oMr+z60e43jsdlDfJhu2exRzz4F0PqtHGHdCXqrZ9ar3KW72bt3km
t8jLxXBNBR2Xdsx8qRu9Y02uVXMSvpF5MvKltaQPFU3x7L+GSlWW431x3eVy
p2M3eef2ykxtC22fd+2z6qj3YJAxdLj/Yu217rNCFlmb9d7ZwAp4Ty7R1n63
Z+DdT1Aztd8nk9XlB9yDb8XYcTAu6n7lXxP8hpqkv9X6/cd3okvVPWa9yvUN
vneSWuNW+b4tcdZmD9vdVZdzOkp9J2SL7G1e9shdqqdx5HhOzeam2lzvk6XG
kOWZLZQl1vMiFXDOQe9Xt4G+Y46/6lqjrKup1ldQ3znr53PraqX1t9Q14nw/
z1s/ddoqtvn+9fPbrhfMNUZtldquyWTH9VfVw/7/P/gXr9mD2A==
            "]], 
           LineBox[{13165, 50316, 50309, 50312, 13165}], 
           LineBox[{46891, 46897, 9403, 46902, 50658, 46891}]}, 
          "0.009600000000000001`"], 
         Annotation[#, 0.009600000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVk1tI02EYxh+jTANvE6mwtaYM80BhWctTakKG1SC6qF24NLcUp0EnjaxI
kKBazalIamCYRKmJiAlR5ojSRt0sUmc0I7EDFUOihKKfF7897/u83/d+h/8+
g91lrYqQFM2PwyQ1DUte+DMmmael36h3SGqG1S6psRstktJuSbFotl/KgiKj
VHFJqoRreTQckC5MSr3rpb8HJeNtaWI3/am/QTvQghGpFV3bJrmZk8WYELVE
chu1hATpeq1UzZiTEHdcakAtaZIP/zl0bpUM+A7GmxlvITai+8jj6dPzWroD
y9nPfI9085U0i545zPo7JCfaQk8HuuKetAzKiN0W/GIp0MD+OUMUfiTYbPjU
fr6QViVJ01NSDGp6yd2Mcgc7OQ9xIpzCD1G/iu8BNzzmTu3UnBAkD8N3eIr/
Hm8OLM+kPMgGH37OuFQIJeTlUAp+/H68IYgmjoTFZGnvhLRAfTib8xHvh2LI
SOGb3ZAGD0g/AtIjtLtXugsZ+Cl9UjIEyqTRHPaNtjDvA9qOjuONUPejXeQB
+i14pC257NfKGYi/QtcxaU0Tdw+zxGY0IlXK9Eor0RL0KJQxx9nPnHi+RbmU
zh3X8n/5iLd5l1THd/LTux49x/hMvIsO6UEzd0ifmlZpBu8Kno34EDzZwP/v
Id+L3ufJw0troJOMsy+Ng+2s08m4Ovq0Ub+M1sMeepayTjlUsh8fax8h/sYZ
ktjDALmVvQ2iqeSLnD+KswWpT3AvOfSyUPOQ/+Me3OhndBPeNmrp8Il7m4c4
3lQKfoj4C4TpFcP3+4Ua6G2gHhHkDUEs+TrIxSuEfDhLPsabcxWwNlqD5jLW
TzwDecT5MEV8mto7tHpGOgE1YOLdVrzlnNDHu/bwptuhcSPnJL8PLmpVMMd8
VwcxtDDmP/6KFgw=
            "]], 
           LineBox[{9398, 21760, 31349, 21757}], 
           LineBox[CompressedData["
1:eJwllGdszWEUh5+bEkRENEYIFaOqUVKtoF/QXKO0RM0vYtymRmxRI3YQX6TU
iNUqtVKhQotajU1iKw21YqRR1IiZEjziw+/+znvO+Z/3rPe2Ck0fMi0A9PTn
6wAI7oVvPSCQCokHYUcE/LwDlXIwD3qLvExISYIiOXAGaouSEdAsCoaXy57b
iBYiWrQXj8pgZjLU2QedPMeKe4ugMBv6l8Ix+a0xz8hFJVAsXmtP3O694tVC
CL8Jud2gr/7Jp2H5dH3U14yDcnmztrnq7ilnyJGtoWVL2fzbiVcFcLMfxCiH
esHBndaVBW9OwXX972pL0FZ2FPqke1Z3S6R1ghpzYIL8Xf9kbRP9PjbX2H2h
Wl33YmiqT4457uoCC3KgQx+opy7MeCVtrHOG/uONIW8y50M3YLtcdQHei5hj
UCG/EKPbaje/w+LBMHhmbieVuxgz29i5YqWIMfY1Y2dac5ZYYg/y1Sfqt9vz
VuVNYo242g7i7FuUSLXOQeK+sSu9760Ief+Xh/bQu6cp55vffhFtvkv9fpEI
mm+q38SoS5HrW1+4WDXVe6x9hRwbaX6XYay5NLQv+cr7xDb7EmmMzfLvDHtt
Hy/b3w1FsE4UqPvYG07IjfQr/nd2NlUiYaQ9tp6waOObd+NCZ3Ydbog4beeC
5rcV5htvhHculK96zzZzDJnfGNHQuk67U831fy63livkl+JXe2jibk5xR5sO
hElymOdwMVH5h++i1B0OKRe46+nyL3V3/G6wb+JjCnwWvdzhfr6bwF1rNM9q
31KU9o4i3ffSSo4QL3xPSyc7lyP2Tq7Ur6v2Q7Eww1lsULfX2c6UX3Z2l6zn
4VB4N8u7xHz1Scdhnvx0jd/chrPWl6hubRpsuQgbxYGO8Mc3GXjkTp6H8U/h
in458kW5trZi/YLaE/7NxdjVoq4zrGd/Co3XQP5knY9nwxPRwP501ve7fuWe
M+OhlvPNkvOMlWbsgHHned+HS9Ygr1Mf7y51957F+nVVXibPNu9y41Sc9C1b
x4MdsLqnPVdfah+nWN8H9XvsS6Q9eGIvMtRl25s/7v0oZawjwt51EFGiwl52
c1YBZ7Ta/q53p5Oc1Rjxw/+4eDlVVCmPy/z/v/cX5BBHRQ==
            "]], 
           LineBox[CompressedData["
1:eJwlkj1I1WEUh58MhHTIISPQQQmtjDD0cr1qIkqk0JYNtoRJBiJcBxW/yjuo
NagoFomI3BL8mBIrEI2MBslFQgdL0c1II0TEDxCHHmn48Zz3fP3f95x/amXt
vfAZoEddDkNiEB7dh65maFe/26BTHsp9dd54wTfo13f8GbbLoSMEsRF7XIM2
Y69lrYyfg95liKqJUniob2ENFtXzt/DBvCdfIfgAknLs8wki6kYNnPM81wpL
ZfDFb82rW/pjZuEkzfvZK8+6gyjE6TuWhXdhesz8O9AwDmffwLPvkPEDfm7A
dTm0At3agzJkfpV5efK9daPWhYdg1V7ZtyF/AJIX4ZK6MAU51dBcDCX6dzMh
c9Ce+oaNRVV3Clz1nGV80x5BOWnPIvl3BnbURe0j7/9H+5dq8n6RdaiTj9UL
7RbVpT1r7St5YF6ub//oec++/Teh0fm1qiz9Tc6sJ92z7JMh5/vU2KZvmiqB
gHOallsjfle1+94Bd1Jj3ksZvgIV2pUqwZ3Fnu7NnW6423rnvCIDMldNepdi
+W7m///yD15Tlvk=
            "]], 
           LineBox[CompressedData["
1:eJwllHtM11UYhx9MFP7QnCsdU8siIZZJIgwwIy7ljdlCUhpqqaEjr6V52SQi
0A3HTDebeUmtFQaVpFTMKI1xdSERkIIOlGIGw7k2NzUlR4/rj8/vOe/ld855
33PO97Hl6+evCwBm+zOjBkIiYce3EOs48zJEyn8boeI32Pw7nJLH50DKp1D/
M4x5En6RY2XpJUj7HL78Ar4xJ/VDKJdr9NXKcv018ojzhHXBJ3K/6lsAb5lT
ZSxLZs6D8wehXd3OgEZZr/5aD53hru169xwvzYNFqvwVGF0HD6vrp+CWmux4
QK6LgfGOI1SoStdO2es+5XdbIPlRSHjcOnIgMRaiNhmXCbL9R3sie2S3et1x
mrGp5ma45+ht9km9rP8R4yvCYNMqWCavHIJwfX/I6fYqVmW9YK/etgZ9A1Hw
vOt3u/e6jdArG6fBxq1Q4t5O60v+wT5thmz3fTwaNsgTxuZa11dyjXZUFrzq
f/ZpxxyFOLVUe5pcJK/Yr1h7Fa+i7e8e1/mpDQKf0CeD5cnvPYN3rPkIPOs6
D9jza55nwbswuBCuWnOEsV0vQq6+Ilnnf8P0xdyf8ww0aNergHg4+qt3Js4z
aoCkSVBszTPdc4ksdf7qCvNr4QPXvrAadsph1hKkrrq/UGtpMLfO/1TLZvtV
7L3LmwUt+vJlmfbT5o047JnYxz57u9Bz6JfB+rJcB9mjnan/5sfwtxru2ZV5
Pl2ezZAV3hPt9CkwQTanWY93b6T+SHnaeWtUkf2Y6N4K5G7raW31vjZ5VuqG
+wm2H1sdR3mmSd7HO/Z6sX2oeM+7IGfpC5KFZ2GtbLJfq+V27RvOOfkzGGof
430fQbJCdqVCpeyUcTK43bUdB8o9str3U6XesOc3Z8NK2XnO+6R6U4y7Rr/s
1d7gG6v0nr/mew7zPWfICJnnOy9U8ebskosvwkv6E7WfU+l+C47ts6/yfe2E
ZO+heTnm5aoD2bDlpHdelTqu3O+bUufMvyAfSoezMkQGupcOc5q0O4zflqP1
TTLW6vvr0r5jPOBNGKf/Gf0fOW+HsX+MDaqx+qfoH3YAnpKjZI9z9d+P+98H
jYfq79P+U7UZ63b/LbJZu9acPOfMV187vnvCb4Uqnu/3z9oKrXGJuSXWmCFT
tNPsx6Wk/7+N/wEO80yN
            "]], 
           
           LineBox[{17191, 39202, 21302, 39228, 12271, 39177, 17177, 39178, 
            12262, 38698, 12268, 39199, 17191}], 
           LineBox[{13164, 50315, 50308, 50311, 13164}], 
           LineBox[{46890, 46896, 9402, 46901, 50657, 46890}]}, 
          "0.007200000000000001`"], 
         Annotation[#, 0.007200000000000001, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwVkktIlGEYRo/VpmgTUXQRmaKEqKZl8gvNVDaLbjIDbQqii2lQKu1atChh
jCCIcWogkhChFlGOdpEKwdJNTmoa3XScLCiESLpYRBHUmcXh+Z7nf7/3/24r
DjUmGkqAO1K3GpInoFmmtkHmNczfCbe64fcY/JHcVejSd0qHlO+A1utwRU45
Z6nfQ2YTQ7D/FRwvQL0ck8gERCXntwZr+9STg7C1H2ISlVL9YvmXhzJ9qJjJ
h6fwTn6Y/5QlZlP652FY6HhEXaCOqovUuGvtycL6zVCw7o35nIsQ6CMJ1+C3
IcnXQnUn7JK4vNcvs65d/ZSGaQms/6XOyAv7tNmvXR44fyDq/h1PHvG81F59
i/pIvayuURPuPUjBtQ64H/f8tsPXl1Bpr3nuZaNabW1VsY/+rXzr83/yRe7l
ICuD5of1tXJAYmYR6TffpN8igXwccM/Saz792F6Sl6NmB6XH/IK+Rc5LyGy5
PDRP6s9KYRzGZe5a1/AEPsulSrhpTUbNFnW3a03aS1+zD0pueMZS5zjT5H4C
WNcGYXkWg7RZueOV8neP7yrkOymFWbe97y5Iee8Vzqm3bvZde0lzlffiO0rI
hlY45zsLq2dWwd5hOK2mfYcpmfHev0u3a/0PTzzRRw==
            "]], 
           LineBox[{9397, 21759, 31348, 21756}], 
           LineBox[CompressedData["
1:eJwlk1tMyHEUxz9iGDZLmBelpItSpFUvYokiJi082dTCg0UP9GBoxryYhqxN
q1za6EGNSIysrZFNtS4uQ25rrVxa7kZsPubhu8/5n9/5nXN+5//7hebvytk5
Bvik0i7A19WwpRSStRNUhjr1FE6qow0GZUHSYxhIhQjj5qtotUCV7YAh/Udk
qbEl8k0wzD4Pc1SBMbEyQv007k+3+XpgZR0szYTPa2BErXO9KwpGrV1gvbqN
kCd7rPtD33btwIuwQ46Xsc32sQlmao+6b2A/TEqBUH2vtV+pWeHQ0ghBMq8Y
KnKhLRG2aQckwMEKOLDLmOWwyH2tsqsdZlyFePsMiHYm+yDFtZFb0BABTXtg
ehUMp0One0fkfVl2De7KlK2e0ZglssJaq+S0G1B7zz7kOVmt4ufBoUIo73R2
8qyxQfaVZY8xRZAt0+yxxFoLV0CUvjhZ1wGF16HYM33x/+Rpv2v1H6iH7llr
39kq4rZnUm32XGqOcnVa1XieZeap1T6QDMf9PqbinVOMOqw/1fUauVjePAcv
M+CJuftko9+brT1gvW77i7H+Q/nJ7ypZb39X1G/7HW++lrn+E+1mOfnf3PVN
kfvMv1ed99yVziBypf3JcLmhDz6eMKda7fy+y21xMNZ9+bLbOYdYK921R+ZL
8rwp6oH+t/6nD2rQPYNySHbYd389tMto44JDrBMGu43v9ezF8rl8qsaZd1Ce
dTbVnrlaTrWvQNWvv9yZpFcb4/1qugPv5bD3ONn7mNULmaqh0rz6wyMhUf9E
72iR9/aZdznS7zDVpV3/Ai6rSyrnGeSqZu/9BNdbZbZ5v/k2Mn0bQ76pX/Z+
Ri7z7bDetdT/7/cvheHzxw==
            "]], 
           
           LineBox[{55808, 49783, 50670, 49776, 50321, 52530, 56119, 13181, 
            52533, 13184, 53363, 29401, 47845, 36839, 41175, 41173, 16267, 
            36833, 36829, 53359, 9407, 46912, 25487, 13187, 56117, 50328, 
            11691, 56069, 49781, 49786, 56933, 56938, 50332, 56992, 9411, 
            55815, 50359, 56130, 13368, 29437, 29433, 9482, 22284, 47026, 
            22288, 10480, 29921, 22291, 47023, 29436, 13363, 29913, 13197, 
            50694, 13200, 50337, 56930, 55808}], 
           
           LineBox[{28194, 13844, 21600, 13836, 32499, 13838, 51004, 14467, 
            51009, 47533, 28194}], 
           
           LineBox[{27451, 31172, 31166, 21456, 31676, 31677, 27436, 48003, 
            27435, 47991, 27441, 41338, 41334, 12433, 40944, 40945, 27448, 
            47604, 53139, 47609, 18104, 53135, 18105, 56457, 56454, 53106, 
            56446, 53111, 47588, 47593, 9718, 38677, 9721, 47602, 38720, 
            18094, 38709, 40931, 38705, 38712, 17014, 40941, 17016, 52507, 
            38714, 39794, 39789, 40919, 55835, 55833, 56713, 56717, 56715, 
            54938, 53114, 55084, 53116, 53118, 40961, 54943, 40962, 19262, 
            40953, 47623, 54946, 47625, 47622, 9723, 27447, 47617, 27451}], 
           LineBox[CompressedData["
1:eJwlkcsrrWEYR5cJ/gjlUgoDMiFJigE6qZ3aLkXKpXDKJSmTwx4okxPTnYmE
sNuSJHYGcksuA3XkfhkwcQxM0MHE2p3Bav3e5/ne9/u+501v6anpTgD6pX4H
Ro+hMQ/mViDoOiBl1op0sYxYL9ANd5Crv45g9QQGTmFNR6t8fgp2NyFkbU8f
yYFEruDxFuZ1YAYW5syy7J5FvRTP8tPe1Q9YMW/bm/ScLmspWXDhOc9B2Lfe
YS2wBa26oRpOJ+BM3uvgUL/pL+ktgrYQlGRD/jQkubfbPeueH5NVufd9G/pa
F+rkcxgzJ+pm+et3P0nbH/h3Ay36tRLa9afrD+k0PzirHPNTOQz63b3SJ7FU
aHJmmc6sVmfpYWf5W8Yz4CXev4Rq66WeEfQOZu1FJOQ6qn/ZL0mDcAcM6cFl
52eOhf3f+J2ZK8r+3+M3AaSIeg==
            "]], 
           
           LineBox[{17178, 26880, 26872, 39132, 8913, 21284, 39158, 21281, 
            39143, 21282, 17166, 26878, 39145, 12258, 39183, 21290, 39173, 
            21293, 39166, 8919, 45462, 21295, 17178}], 
           
           LineBox[{38252, 16840, 26475, 16835, 38235, 26347, 52266, 26353, 
            16824, 38208, 38204, 12038, 38240, 38242, 21092, 45160, 45163, 
            26487, 55673, 55671, 45282, 16945, 38267, 38525, 38266, 38569, 
            16956, 26752, 38572, 12220, 39024, 17116, 26761, 17110, 21244, 
            17112, 26721, 26716, 8248, 8862, 38522, 21145, 38531, 38526, 
            12105, 38252}], 
           
           LineBox[{26800, 12235, 39110, 39111, 21272, 17156, 26839, 39116, 
            39115, 39118, 26819, 45439, 45441, 26795, 45305, 26800}], 
           
           LineBox[{18305, 30546, 47913, 9833, 47910, 39904, 41273, 41270, 
            17507, 29129, 39899, 13050, 30526, 21727, 29636, 21734, 29622, 
            9361, 50439, 21732, 13602, 29126, 47300, 29121, 39886, 53412, 
            18303, 47312, 18305}], 
           
           LineBox[{54218, 32690, 48972, 48969, 54212, 54210, 17802, 32125, 
            17804, 40488, 14308, 22270, 32130, 10474, 22274, 29927, 22268, 
            32121, 9224, 54207, 18738, 21647, 18739, 28472, 28470, 10206, 
            30810, 40754, 30815, 17962, 30807, 30805, 25649, 50539, 50543, 
            47177, 13743, 50545, 13484, 50535, 13735, 50378, 50373, 50374, 
            46785, 13480, 29095, 47173, 29092, 9536, 51196, 14587, 52894, 
            14592, 54218}], 
           
           LineBox[{31798, 30046, 48095, 48098, 30011, 48086, 48082, 48084, 
            25857, 9901, 31750, 40174, 40180, 30041, 40191, 40189, 13411, 
            40200, 17641, 30037, 17639, 40198, 40195, 30030, 47901, 30031, 
            31542, 31539, 21846, 31792, 31798}], 
           
           LineBox[{28668, 32863, 32858, 21681, 50449, 50452, 47340, 47349, 
            50475, 47354, 13677, 50459, 50472, 50466, 13650, 37698, 13648, 
            30643, 8001, 8765, 31765, 20945, 14146, 31775, 31772, 20942, 
            19764, 25869, 19758, 30658, 13655, 22410, 50463, 22402, 9614, 
            53969, 52591, 52594, 47345, 17672, 52599, 12849, 32832, 14688, 
            28667, 28666, 48962, 28668}], 
           
           LineBox[{28455, 27508, 46491, 27502, 9220, 46505, 46501, 27504, 
            28458, 28456, 21464, 29419, 12455, 36844, 16271, 36846, 12452, 
            28452, 28455}], 
           
           LineBox[{18144, 39462, 47708, 9765, 31374, 33391, 27160, 9768, 
            27194, 9762, 47694, 39454, 53159, 53155, 45571, 43239, 17298, 
            33437, 17295, 41021, 18144}], 
           
           LineBox[{51054, 48650, 53902, 53918, 18599, 51037, 56007, 56012, 
            41349, 10674, 49509, 22837, 14106, 50792, 50791, 22834, 41344, 
            22835, 18358, 41703, 41705, 19330, 53910, 55914, 53906, 10093, 
            55910, 48643, 48655, 48645, 14478, 22748, 51059, 22741, 51002, 
            22747, 32517, 10636, 51069, 10645, 51054}], 
           
           LineBox[{39201, 17190, 39198, 12267, 38697, 12261, 39176, 12270, 
            39227, 21301, 39201}], 
           LineBox[{50314, 13163, 50310, 50307, 50314}], 
           LineBox[{46889, 46895, 9401, 46900, 50656, 46889}], 
           LineBox[{45470, 45468, 45473, 8331, 45470}]}, 
          "0.0048000000000000004`"], 
         Annotation[#, 0.0048000000000000004`, "Tooltip"]& ], 
        TagBox[
         TooltipBox[{
           Directive[
            GrayLevel[0], 
            Opacity[0.5], 
            CapForm["Butt"]], 
           LineBox[CompressedData["
1:eJwV0ktIVGEYh/FHhTYKRZRFpUOtWkVFFFNpeZmECqnZqigTdlsUrRTSVWOb
QBwd0SxGpshFkopEJEKgtci8LJIya0aF3GUhhnlZRE+LH//zvuc73+Wcsz9y
O3wrA+jV7D5IfIHjJ+HZN/h0FFpeQavi2nIOOs0OHXkMH0NQOgUlKpiEplI4
bUbNwyk44Tw9zhM0r1ZAxiBEzLI8yHrugrpinW6ClNrLoc/xA+pV/BS8MH+8
h5+6NwL3FdWQ/T1jENAD65iaNWy/xt41fbVe1pLe2E/ZW1RwFIpUoFH7hR8g
pGrrWkU0br/P3kv9sl7RstL2S8Y9g9asN7SugfNwKQ2D5mXz4FnflWO6FFO7
4pqrhUdmQq/7IWl2a/qQa7TBHwXD7tlsOAD9AZhw3JgK7WfFIVMzjk/9n0/D
3gvP+q4cu+Mt1Jtt9rd5nZyDrWa2+87Rdq93KVe/recd9117rQPK01/7Oyfs
6Yx1SMWqsx7x+173fO/MG+ZNVX322QtQYeab1WalFt3T7gTc9T9J9kCjGfK/
WPDZmPdb1Kon3nuq8ot+2zvuyf+ua8azmVH3/9DrTdfvNDu0egz+AQsEzPI=

            "]], 
           LineBox[{21755, 31347, 21758, 9396}], 
           
           LineBox[{41005, 18126, 33426, 40997, 33425, 33429, 14915, 41003, 
            41005}], 
           
           LineBox[{49782, 55807, 56929, 50336, 50333, 50358, 50331, 56937, 
            56932, 49785, 49780, 56068, 11690, 50327, 56116, 13186, 25486, 
            46911, 53362, 13183, 52532, 13180, 56118, 52529, 50320, 49775, 
            50669, 49782}], 
           
           LineBox[{13011, 50160, 12956, 52656, 17713, 28923, 46341, 9151, 
            46340, 28706, 17711, 28711, 17709, 52652, 46700, 55797, 55794, 
            46688, 13010, 50156, 21715, 53583, 18400, 48165, 48175, 48176, 
            40333, 40344, 17724, 31906, 17727, 31890, 46378, 40323, 17725, 
            40354, 17714, 41400, 18397, 21718, 18395, 41396, 9308, 50148, 
            13008, 46634, 13011}], 
           
           LineBox[{13843, 28193, 47532, 51003, 13837, 32498, 13835, 21599, 
            13843}], 
           
           LineBox[{16838, 26354, 16834, 26474, 16839, 38251, 12104, 38530, 
            26490, 55672, 26486, 45162, 45159, 21091, 16838}], 
           
           LineBox[{40942, 38719, 47601, 9720, 38676, 9717, 47592, 53110, 
            53109, 18088, 53105, 54941, 53108, 53136, 56458, 53134, 18103, 
            47608, 53138, 47603, 47607, 9722, 47621, 47624, 54945, 54944, 
            19261, 54947, 19260, 54942, 40960, 18089, 53113, 53115, 47595, 
            56714, 55832, 55834, 40918, 39788, 39793, 38713, 52506, 17015, 
            40942}], 
           
           LineBox[{32689, 54217, 14591, 52896, 17963, 51198, 51195, 9535, 
            29091, 47172, 47171, 50544, 47176, 50542, 50538, 25648, 30804, 
            30806, 17961, 30814, 17960, 40756, 32688, 10208, 48967, 48970, 
            17806, 54211, 48968, 48971, 32689}], 
           
           LineBox[{30045, 31797, 31791, 21845, 31538, 13414, 40199, 13410, 
            40188, 40190, 30040, 40179, 30039, 48100, 30045}], 
           
           LineBox[{16100, 36389, 16099, 27538, 16103, 27525, 45709, 27518, 
            7904, 41500, 36447, 42545, 42566, 8666, 55701, 45706, 54840, 
            54837, 16100}], 
           LineBox[{27507, 28454, 12454, 28457, 27503, 46500, 46504, 9219, 
            27501, 46490, 27507}], 
           
           LineBox[{22290, 29920, 10479, 22287, 47025, 22283, 9481, 47024, 
            47022, 22290}], 
           
           LineBox[{39552, 17346, 39551, 12800, 31960, 12803, 31973, 31974, 
            21661, 14237, 52752, 17815, 31970, 17813, 32234, 14347, 54092, 
            54093, 48438, 54090, 10021, 48437, 22313, 14345, 22304, 14344, 
            32226, 46529, 9239, 46527, 9234, 30304, 21657, 30311, 30309, 
            12801, 39552}], 
           
           LineBox[{29128, 39898, 13049, 30525, 30531, 13601, 29125, 47299, 
            29120, 39885, 53411, 39890, 41275, 17506, 29128}], 
           
           LineBox[{52601, 47344, 52593, 47338, 47353, 47339, 50451, 12851, 
            52601}], 
           
           LineBox[{41023, 39461, 47707, 9764, 31373, 33390, 27159, 9767, 
            27193, 9761, 47693, 39453, 53158, 17297, 41023}], 
           
           LineBox[{18601, 41354, 56006, 51036, 18598, 53917, 53901, 48649, 
            51053, 10644, 51068, 51072, 14477, 48644, 48654, 48642, 55909, 
            10092, 53909, 18597, 55027, 18601}], 
           
           LineBox[{17646, 28621, 40211, 40210, 30134, 9905, 22327, 48104, 
            48101, 48102, 37350, 9904, 48107, 28618, 53559, 12830, 40214, 
            40215, 17646}], 
           
           LineBox[{53553, 18383, 45848, 53544, 7965, 8739, 55730, 55729, 
            45847, 52431, 45844, 53550, 53553}], 
           
           LineBox[{41554, 22210, 48390, 22204, 55891, 55889, 56747, 56751, 
            56749, 54991, 48417, 48422, 55001, 55004, 42759, 48435, 42756, 
            10019, 48429, 48427, 42757, 42768, 42767, 19302, 42742, 54993, 
            19296, 22188, 19299, 42746, 10447, 41554}], 
           
           LineBox[{52450, 54120, 56571, 54119, 57005, 57004, 56803, 42068, 
            56567, 56566, 56808, 19416, 55134, 55136, 49107, 42806, 42932, 
            49114, 49113, 49110, 19422, 55137, 18885, 42095, 18694, 41776, 
            41775, 49487, 49486, 42087, 18886, 21994, 49111, 10267, 42089, 
            49109, 49108, 49106, 19417, 42926, 42928, 42924, 18864, 42923, 
            42069, 19414, 56806, 19415, 56807, 56805, 54398, 56608, 18868, 
            56607, 18869, 54399, 18859, 54393, 54391, 56361, 56360, 56609, 
            52450}], 
           LineBox[{32869, 14703, 32867, 32866, 32869}], 
           LineBox[{22273, 10473, 32129, 22269, 32122, 22267, 29926, 22273}], 
           
           LineBox[{19763, 25868, 19757, 30657, 19766, 30642, 8000, 8764, 
            31764, 20944, 14145, 31774, 31771, 20941, 19763}], 
           
           LineBox[{13465, 25916, 30204, 25911, 28617, 25915, 28624, 11873, 
            30210, 30213, 13465}], 
           LineBox[{38207, 16823, 38206, 38203, 38207}], 
           
           LineBox[{45950, 45963, 8846, 8174, 49995, 49996, 45988, 45995, 
            8864, 8252, 26775, 8317, 26790, 52355, 16966, 52354, 50006, 50007,
             45990, 50004, 49999, 52289, 49976, 49978, 45955, 49973, 56920, 
            49965, 52218, 53428, 54388, 18858, 54387, 8832, 8120, 56923, 
            56924, 56917, 49959, 45950}], 
           
           LineBox[{17111, 21243, 17109, 26760, 17115, 26754, 26751, 38568, 
            38265, 38524, 16944, 38521, 8861, 8247, 26715, 26720, 17111}], 
           
           LineBox[{17159, 21271, 17155, 26838, 17160, 26818, 45438, 26799, 
            17159}], 
           LineBox[{36845, 16270, 36843, 36842, 36845}], 
           
           LineBox[{13471, 21583, 13470, 40313, 13473, 52890, 52891, 52888, 
            17955, 56404, 37359, 25928, 9522, 50845, 9518, 28034, 52885, 
            28037, 13471}], 
           LineBox[{32831, 14687, 32830, 32829, 32831}], 
           LineBox[{46894, 46888, 50655, 46899, 9400, 46894}], 
           LineBox[{50537, 13734, 50534, 50533, 50537}], 
           LineBox[{50458, 50471, 50457, 50462, 9613, 50465, 50458}], 
           LineBox[{48083, 48081, 48085, 9900, 48083}], 
           
           LineBox[{44351, 44350, 53759, 44357, 18494, 53756, 53753, 7838, 
            44351}], 
           LineBox[{36832, 16266, 41174, 36831, 53361, 36828, 36832}], 
           LineBox[{45134, 45132, 45136, 8166, 45134}], 
           LineBox[{40197, 17638, 40196, 40194, 40197}], 
           LineBox[{46507, 46506, 46508, 54206, 9223, 46507}], 
           LineBox[{47909, 47908, 47912, 9832, 47909}], 
           
           LineBox[{31165, 21455, 31675, 12437, 41333, 12432, 40943, 12438, 
            31165}]}, "0.0024000000000000002`"], 
         Annotation[#, 0.0024000000000000002`, 
          "Tooltip"]& ], {}, {}}}], {}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, 
     Ticks -> {Automatic, Automatic}, AxesOrigin -> {0., 0.}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> 
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
         Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi,
          Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
        0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
         3.141592653589793}, {
        0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
         3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
         5.497787143782138, 6.283185307179586}}], AxesLabel -> {None, None}, 
     FrameLabel -> {{None, None}, {None, None}}, DisplayFunction -> Identity, 
     AspectRatio -> 1, AxesLabel -> {None, None}, DisplayFunction :> Identity,
      Frame -> True, FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> 
     NCache[{{0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, 
         Pi}, {0, Rational[1, 4] Pi, Rational[1, 2] Pi, Rational[3, 4] Pi, Pi,
          Rational[5, 4] Pi, Rational[3, 2] Pi, Rational[7, 4] Pi, 2 Pi}}, {{
        0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
         3.141592653589793}, {
        0, 0.7853981633974483, 1.5707963267948966`, 2.356194490192345, 
         3.141592653589793, 3.9269908169872414`, 4.71238898038469, 
         5.497787143782138, 6.283185307179586}}], GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "GridLinesInFront" -> True}, PlotRange -> 
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
        0, 6.283185307179586}}], PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
       FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           GraphicsBox[{
             RasterBox[CompressedData["
1:eJxF1As01OkbB3CTbFFqFVrJmkLRlpKUbr6ltcpGqFxKIdd1WZdQiHKXbEIp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              "], {{
                Rational[-15, 2], -180}, {
                Rational[15, 2], 180}}], {Antialiasing -> False, 
              AbsoluteThickness[0.1], 
              Directive[
               Opacity[0.3], 
               GrayLevel[0]], 
              LineBox[
               NCache[{{
                  Rational[15, 2], -180}, {
                  Rational[-15, 2], -180}, {
                  Rational[-15, 2], 180}, {
                  Rational[15, 2], 180}, {
                  Rational[15, 2], -180}}, {{
                 7.5, -180}, {-7.5, -180}, {-7.5, 180}, {7.5, 180}, {
                 7.5, -180}}]]}, {
              CapForm[None], {{
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -176.43564356435647`}, {
                    Rational[
                    15, 2], -176.43564356435647`}}, {{-7.5, \
-176.43564356435647`}, {7.5, -176.43564356435647`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -172.8712871287129}, {
                    Rational[
                    15, 2], -172.8712871287129}}, {{-7.5, \
-172.8712871287129}, {7.5, -172.8712871287129}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -169.30693069306932`}, {
                    Rational[
                    15, 2], -169.30693069306932`}}, {{-7.5, \
-169.30693069306932`}, {7.5, -169.30693069306932`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -165.74257425742576`}, {
                    Rational[
                    15, 2], -165.74257425742576`}}, {{-7.5, \
-165.74257425742576`}, {7.5, -165.74257425742576`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -162.1782178217822}, {
                    Rational[
                    15, 2], -162.1782178217822}}, {{-7.5, \
-162.1782178217822}, {7.5, -162.1782178217822}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -158.61386138613864`}, {
                    Rational[
                    15, 2], -158.61386138613864`}}, {{-7.5, \
-158.61386138613864`}, {7.5, -158.61386138613864`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -155.04950495049508`}, {
                    Rational[
                    15, 2], -155.04950495049508`}}, {{-7.5, \
-155.04950495049508`}, {7.5, -155.04950495049508`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -151.48514851485152`}, {
                    Rational[
                    15, 2], -151.48514851485152`}}, {{-7.5, \
-151.48514851485152`}, {7.5, -151.48514851485152`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -147.92079207920796`}, {
                    Rational[
                    15, 2], -147.92079207920796`}}, {{-7.5, \
-147.92079207920796`}, {7.5, -147.92079207920796`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -144.3564356435644}, {
                    Rational[
                    15, 2], -144.3564356435644}}, {{-7.5, \
-144.3564356435644}, {7.5, -144.3564356435644}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -140.79207920792084`}, {
                    Rational[
                    15, 2], -140.79207920792084`}}, {{-7.5, \
-140.79207920792084`}, {7.5, -140.79207920792084`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -137.22772277227725`}, {
                    Rational[
                    15, 2], -137.22772277227725`}}, {{-7.5, \
-137.22772277227725`}, {7.5, -137.22772277227725`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -133.6633663366337}, {
                    Rational[
                    15, 2], -133.6633663366337}}, {{-7.5, \
-133.6633663366337}, {7.5, -133.6633663366337}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -130.09900990099013`}, {
                    Rational[
                    15, 2], -130.09900990099013`}}, {{-7.5, \
-130.09900990099013`}, {7.5, -130.09900990099013`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -126.53465346534657`}, {
                    Rational[
                    15, 2], -126.53465346534657`}}, {{-7.5, \
-126.53465346534657`}, {7.5, -126.53465346534657`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -122.970297029703}, {
                    Rational[
                    15, 2], -122.970297029703}}, {{-7.5, -122.970297029703}, {
                  7.5, -122.970297029703}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -119.40594059405943`}, {
                    Rational[
                    15, 2], -119.40594059405943`}}, {{-7.5, \
-119.40594059405943`}, {7.5, -119.40594059405943`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -115.84158415841587`}, {
                    Rational[
                    15, 2], -115.84158415841587`}}, {{-7.5, \
-115.84158415841587`}, {7.5, -115.84158415841587`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -112.27722772277231`}, {
                    Rational[
                    15, 2], -112.27722772277231`}}, {{-7.5, \
-112.27722772277231`}, {7.5, -112.27722772277231`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -108.71287128712873`}, {
                    Rational[
                    15, 2], -108.71287128712873`}}, {{-7.5, \
-108.71287128712873`}, {7.5, -108.71287128712873`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -105.14851485148517`}, {
                    Rational[
                    15, 2], -105.14851485148517`}}, {{-7.5, \
-105.14851485148517`}, {7.5, -105.14851485148517`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -101.58415841584161`}, {
                    Rational[
                    15, 2], -101.58415841584161`}}, {{-7.5, \
-101.58415841584161`}, {7.5, -101.58415841584161`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -98.01980198019804}, {
                    Rational[
                    15, 2], -98.01980198019804}}, {{-7.5, \
-98.01980198019804}, {7.5, -98.01980198019804}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -94.45544554455448}, {
                    Rational[
                    15, 2], -94.45544554455448}}, {{-7.5, \
-94.45544554455448}, {7.5, -94.45544554455448}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -90.89108910891092}, {
                    Rational[
                    15, 2], -90.89108910891092}}, {{-7.5, \
-90.89108910891092}, {7.5, -90.89108910891092}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -87.32673267326734}, {
                    Rational[
                    15, 2], -87.32673267326734}}, {{-7.5, \
-87.32673267326734}, {7.5, -87.32673267326734}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -83.7623762376238}, {
                    Rational[
                    15, 2], -83.7623762376238}}, {{-7.5, -83.7623762376238}, {
                  7.5, -83.7623762376238}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -80.19801980198021}, {
                    Rational[
                    15, 2], -80.19801980198021}}, {{-7.5, \
-80.19801980198021}, {7.5, -80.19801980198021}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -76.63366336633665}, {
                    Rational[
                    15, 2], -76.63366336633665}}, {{-7.5, \
-76.63366336633665}, {7.5, -76.63366336633665}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -73.06930693069309}, {
                    Rational[
                    15, 2], -73.06930693069309}}, {{-7.5, \
-73.06930693069309}, {7.5, -73.06930693069309}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -69.50495049504953}, {
                    Rational[
                    15, 2], -69.50495049504953}}, {{-7.5, \
-69.50495049504953}, {7.5, -69.50495049504953}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -65.94059405940597}, {
                    Rational[
                    15, 2], -65.94059405940597}}, {{-7.5, \
-65.94059405940597}, {7.5, -65.94059405940597}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -62.37623762376241}, {
                    Rational[
                    15, 2], -62.37623762376241}}, {{-7.5, \
-62.37623762376241}, {7.5, -62.37623762376241}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -58.81188118811883}, {
                    Rational[
                    15, 2], -58.81188118811883}}, {{-7.5, \
-58.81188118811883}, {7.5, -58.81188118811883}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -55.24752475247527}, {
                    Rational[
                    15, 2], -55.24752475247527}}, {{-7.5, \
-55.24752475247527}, {7.5, -55.24752475247527}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -51.68316831683171}, {
                    Rational[
                    15, 2], -51.68316831683171}}, {{-7.5, \
-51.68316831683171}, {7.5, -51.68316831683171}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -48.11881188118815}, {
                    Rational[
                    15, 2], -48.11881188118815}}, {{-7.5, \
-48.11881188118815}, {7.5, -48.11881188118815}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -44.55445544554459}, {
                    Rational[
                    15, 2], -44.55445544554459}}, {{-7.5, \
-44.55445544554459}, {7.5, -44.55445544554459}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -40.990099009901}, {
                    Rational[
                    15, 2], -40.990099009901}}, {{-7.5, -40.990099009901}, {
                  7.5, -40.990099009901}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -37.42574257425744}, {
                    Rational[
                    15, 2], -37.42574257425744}}, {{-7.5, \
-37.42574257425744}, {7.5, -37.42574257425744}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -33.86138613861388}, {
                    Rational[
                    15, 2], -33.86138613861388}}, {{-7.5, \
-33.86138613861388}, {7.5, -33.86138613861388}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -30.29702970297032}, {
                    Rational[
                    15, 2], -30.29702970297032}}, {{-7.5, \
-30.29702970297032}, {7.5, -30.29702970297032}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -26.73267326732676}, {
                    Rational[
                    15, 2], -26.73267326732676}}, {{-7.5, \
-26.73267326732676}, {7.5, -26.73267326732676}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -23.1683168316832}, {
                    Rational[
                    15, 2], -23.1683168316832}}, {{-7.5, -23.1683168316832}, {
                  7.5, -23.1683168316832}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -19.60396039603964}, {
                    Rational[
                    15, 2], -19.60396039603964}}, {{-7.5, \
-19.60396039603964}, {7.5, -19.60396039603964}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -16.03960396039608}, {
                    Rational[
                    15, 2], -16.03960396039608}}, {{-7.5, \
-16.03960396039608}, {7.5, -16.03960396039608}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -12.47524752475249}, {
                    Rational[
                    15, 2], -12.47524752475249}}, {{-7.5, \
-12.47524752475249}, {7.5, -12.47524752475249}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -8.91089108910893}, {
                    Rational[
                    15, 2], -8.91089108910893}}, {{-7.5, -8.91089108910893}, {
                  7.5, -8.91089108910893}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -5.346534653465369}, {
                    Rational[
                    15, 2], -5.346534653465369}}, {{-7.5, \
-5.346534653465369}, {7.5, -5.346534653465369}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], -1.7821782178218086`}, {
                    Rational[
                    15, 2], -1.7821782178218086`}}, {{-7.5, \
-1.7821782178218086`}, {7.5, -1.7821782178218086`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 1.7821782178217802`}, {
                    Rational[15, 2], 1.7821782178217802`}}, {{-7.5, 
                  1.7821782178217802`}, {7.5, 1.7821782178217802`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 5.346534653465341}, {
                    Rational[15, 2], 5.346534653465341}}, {{-7.5, 
                  5.346534653465341}, {7.5, 5.346534653465341}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 8.910891089108873}, {
                    Rational[15, 2], 8.910891089108873}}, {{-7.5, 
                  8.910891089108873}, {7.5, 8.910891089108873}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 12.475247524752433`}, {
                    Rational[15, 2], 12.475247524752433`}}, {{-7.5, 
                  12.475247524752433`}, {7.5, 12.475247524752433`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 16.03960396039605}, {
                    Rational[15, 2], 16.03960396039605}}, {{-7.5, 
                  16.03960396039605}, {7.5, 16.03960396039605}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 19.60396039603961}, {
                    Rational[15, 2], 19.60396039603961}}, {{-7.5, 
                  19.60396039603961}, {7.5, 19.60396039603961}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 23.16831683168317}, {
                    Rational[15, 2], 23.16831683168317}}, {{-7.5, 
                  23.16831683168317}, {7.5, 23.16831683168317}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 26.73267326732673}, {
                    Rational[15, 2], 26.73267326732673}}, {{-7.5, 
                  26.73267326732673}, {7.5, 26.73267326732673}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 30.297029702970292`}, {
                    Rational[15, 2], 30.297029702970292`}}, {{-7.5, 
                  30.297029702970292`}, {7.5, 30.297029702970292`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 33.86138613861385}, {
                    Rational[15, 2], 33.86138613861385}}, {{-7.5, 
                  33.86138613861385}, {7.5, 33.86138613861385}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 37.42574257425741}, {
                    Rational[15, 2], 37.42574257425741}}, {{-7.5, 
                  37.42574257425741}, {7.5, 37.42574257425741}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 40.99009900990097}, {
                    Rational[15, 2], 40.99009900990097}}, {{-7.5, 
                  40.99009900990097}, {7.5, 40.99009900990097}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 44.554455445544534`}, {
                    Rational[15, 2], 44.554455445544534`}}, {{-7.5, 
                  44.554455445544534`}, {7.5, 44.554455445544534`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 48.118811881188094`}, {
                    Rational[15, 2], 48.118811881188094`}}, {{-7.5, 
                  48.118811881188094`}, {7.5, 48.118811881188094`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 51.683168316831654`}, {
                    Rational[15, 2], 51.683168316831654`}}, {{-7.5, 
                  51.683168316831654`}, {7.5, 51.683168316831654`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 55.247524752475215`}, {
                    Rational[15, 2], 55.247524752475215`}}, {{-7.5, 
                  55.247524752475215`}, {7.5, 55.247524752475215`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 58.811881188118775`}, {
                    Rational[15, 2], 58.811881188118775`}}, {{-7.5, 
                  58.811881188118775`}, {7.5, 58.811881188118775`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 62.376237623762364`}, {
                    Rational[15, 2], 62.376237623762364`}}, {{-7.5, 
                  62.376237623762364`}, {7.5, 62.376237623762364`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 65.94059405940592}, {
                    Rational[15, 2], 65.94059405940592}}, {{-7.5, 
                  65.94059405940592}, {7.5, 65.94059405940592}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 69.50495049504948}, {
                    Rational[15, 2], 69.50495049504948}}, {{-7.5, 
                  69.50495049504948}, {7.5, 69.50495049504948}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 73.06930693069305}, {
                    Rational[15, 2], 73.06930693069305}}, {{-7.5, 
                  73.06930693069305}, {7.5, 73.06930693069305}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 76.63366336633658}, {
                    Rational[15, 2], 76.63366336633658}}, {{-7.5, 
                  76.63366336633658}, {7.5, 76.63366336633658}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 80.19801980198014}, {
                    Rational[15, 2], 80.19801980198014}}, {{-7.5, 
                  80.19801980198014}, {7.5, 80.19801980198014}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 83.76237623762376}, {
                    Rational[15, 2], 83.76237623762376}}, {{-7.5, 
                  83.76237623762376}, {7.5, 83.76237623762376}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 87.32673267326732}, {
                    Rational[15, 2], 87.32673267326732}}, {{-7.5, 
                  87.32673267326732}, {7.5, 87.32673267326732}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 90.89108910891088}, {
                    Rational[15, 2], 90.89108910891088}}, {{-7.5, 
                  90.89108910891088}, {7.5, 90.89108910891088}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 94.45544554455444}, {
                    Rational[15, 2], 94.45544554455444}}, {{-7.5, 
                  94.45544554455444}, {7.5, 94.45544554455444}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 98.019801980198}, {
                    Rational[15, 2], 98.019801980198}}, {{-7.5, 
                  98.019801980198}, {7.5, 98.019801980198}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 101.58415841584156`}, {
                    Rational[15, 2], 101.58415841584156`}}, {{-7.5, 
                  101.58415841584156`}, {7.5, 101.58415841584156`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 105.14851485148512`}, {
                    Rational[15, 2], 105.14851485148512`}}, {{-7.5, 
                  105.14851485148512`}, {7.5, 105.14851485148512`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 108.71287128712868`}, {
                    Rational[15, 2], 108.71287128712868`}}, {{-7.5, 
                  108.71287128712868`}, {7.5, 108.71287128712868`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 112.2772277227723}, {
                    Rational[15, 2], 112.2772277227723}}, {{-7.5, 
                  112.2772277227723}, {7.5, 112.2772277227723}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 115.84158415841586`}, {
                    Rational[15, 2], 115.84158415841586`}}, {{-7.5, 
                  115.84158415841586`}, {7.5, 115.84158415841586`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 119.40594059405942`}, {
                    Rational[15, 2], 119.40594059405942`}}, {{-7.5, 
                  119.40594059405942`}, {7.5, 119.40594059405942`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 122.97029702970298`}, {
                    Rational[15, 2], 122.97029702970298`}}, {{-7.5, 
                  122.97029702970298`}, {7.5, 122.97029702970298`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 126.53465346534654`}, {
                    Rational[15, 2], 126.53465346534654`}}, {{-7.5, 
                  126.53465346534654`}, {7.5, 126.53465346534654`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 130.0990099009901}, {
                    Rational[15, 2], 130.0990099009901}}, {{-7.5, 
                  130.0990099009901}, {7.5, 130.0990099009901}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 133.66336633663366`}, {
                    Rational[15, 2], 133.66336633663366`}}, {{-7.5, 
                  133.66336633663366`}, {7.5, 133.66336633663366`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 137.22772277227722`}, {
                    Rational[15, 2], 137.22772277227722`}}, {{-7.5, 
                  137.22772277227722`}, {7.5, 137.22772277227722`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 140.79207920792078`}, {
                    Rational[15, 2], 140.79207920792078`}}, {{-7.5, 
                  140.79207920792078`}, {7.5, 140.79207920792078`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 144.35643564356434`}, {
                    Rational[15, 2], 144.35643564356434`}}, {{-7.5, 
                  144.35643564356434`}, {7.5, 144.35643564356434`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 147.9207920792079}, {
                    Rational[15, 2], 147.9207920792079}}, {{-7.5, 
                  147.9207920792079}, {7.5, 147.9207920792079}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 151.48514851485146`}, {
                    Rational[15, 2], 151.48514851485146`}}, {{-7.5, 
                  151.48514851485146`}, {7.5, 151.48514851485146`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 155.04950495049502`}, {
                    Rational[15, 2], 155.04950495049502`}}, {{-7.5, 
                  155.04950495049502`}, {7.5, 155.04950495049502`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 158.61386138613858`}, {
                    Rational[15, 2], 158.61386138613858`}}, {{-7.5, 
                  158.61386138613858`}, {7.5, 158.61386138613858`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 162.17821782178214`}, {
                    Rational[15, 2], 162.17821782178214`}}, {{-7.5, 
                  162.17821782178214`}, {7.5, 162.17821782178214`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 165.7425742574257}, {
                    Rational[15, 2], 165.7425742574257}}, {{-7.5, 
                  165.7425742574257}, {7.5, 165.7425742574257}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 169.30693069306932`}, {
                    Rational[15, 2], 169.30693069306932`}}, {{-7.5, 
                  169.30693069306932`}, {7.5, 169.30693069306932`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 172.87128712871288`}, {
                    Rational[15, 2], 172.87128712871288`}}, {{-7.5, 
                  172.87128712871288`}, {7.5, 172.87128712871288`}}]]}, {
                Directive[
                 GrayLevel[0], 
                 Opacity[0.5], 
                 CapForm["Butt"]], 
                CapForm["Butt"], 
                LineBox[
                 NCache[{{
                    Rational[-15, 2], 176.43564356435644`}, {
                    Rational[15, 2], 176.43564356435644`}}, {{-7.5, 
                  176.43564356435644`}, {7.5, 176.43564356435644`}}]]}}}, 
             StyleBox[{Antialiasing -> False, 
               StyleBox[
                
                LineBox[{{7.500000000000001, -180.00000000000006`}, {
                 7.500000000000001, 180.00000000000003`}}], 
                Directive[
                 AbsoluteThickness[0.2], 
                 Opacity[0.3], 
                 GrayLevel[0]], StripOnInput -> False], 
               StyleBox[
                StyleBox[{{
                   StyleBox[
                    LineBox[{{{7.500000000000001, -147.92079207920796`}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -147.92079207920796`}]}, {{
                    7.500000000000001, -105.14851485148517`}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -105.14851485148517`}]}, {{
                    7.500000000000001, -62.37623762376241}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -62.37623762376241}]}, {{
                    7.500000000000001, -19.603960396039646`}, 
                    
                    Offset[{4., 0}, {
                    7.500000000000001, -19.603960396039646`}]}, {{
                    7.500000000000001, 23.168316831683153`}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    23.168316831683153`}]}, {{7.500000000000001, 
                    65.9405940594059}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    65.9405940594059}]}, {{7.500000000000001, 
                    108.71287128712868`}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    108.71287128712868`}]}, {{7.500000000000001, 
                    151.48514851485146`}, 
                    
                    Offset[{4., 0}, {7.500000000000001, 
                    151.48514851485146`}]}}], 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], StripOnInput -> False]}, 
                  StyleBox[
                   StyleBox[{{
                    StyleBox[{
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox[
                    "\"0.0216\"", 0.0216, AutoDelete -> True], NumberForm[#, {
                    DirectedInfinity[1], 4}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -147.92079207920796`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox[
                    "\"0.0504\"", 0.05040000000000001, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 4}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -105.14851485148517`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox[
                    "\"0.0792\"", 0.0792, AutoDelete -> True], NumberForm[#, {
                    DirectedInfinity[1], 4}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -62.37623762376241}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox[
                    "\"0.1080\"", 0.10800000000000001`, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 4}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {
                    7.500000000000001, -19.603960396039646`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox[
                    "\"0.1368\"", 0.1368, AutoDelete -> True], NumberForm[#, {
                    DirectedInfinity[1], 4}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    23.168316831683153`}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox[
                    "\"0.1656\"", 0.16560000000000002`, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 4}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.500000000000001, 
                    65.9405940594059}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox[
                    "\"0.1944\"", 0.19440000000000002`, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 4}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    108.71287128712868`}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox[
                    "\"0.2232\"", 0.2232, AutoDelete -> True], NumberForm[#, {
                    DirectedInfinity[1], 4}]& ], TraditionalForm], 
                    
                    Offset[{7., 0.}, {7.500000000000001, 
                    151.48514851485146`}], {-1, 0.}, Automatic, {1, 0}]}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], {
                    Directive[
                    Opacity[1]]}, StripOnInput -> False]}, {}}, {
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], "GraphicsLabel", 
                   StripOnInput -> False]}, "GraphicsTicks", StripOnInput -> 
                 False], {
                 Directive[
                  AbsoluteThickness[0.2], 
                  GrayLevel[0.4]]}, StripOnInput -> False]}, "GraphicsAxes", 
              StripOnInput -> False]}, PlotRangePadding -> Scaled[0.02], 
            PlotRange -> All, Frame -> True, 
            FrameTicks -> {{False, False}, {True, False}}, FrameStyle -> 
            Opacity[0], FrameTicksStyle -> Opacity[0], 
            ImageSize -> {Automatic, 360}, BaseStyle -> {}], Alignment -> 
           Left, AppearanceElements -> None, ImageMargins -> {{5, 5}, {5, 5}},
            ImageSizeAction -> "ResizeToFit"], LineIndent -> 0, StripOnInput -> 
          False], {FontFamily -> "Arial"}, Background -> Automatic, 
         StripOnInput -> False], TraditionalForm]}, "BarLegend", 
      DisplayFunction -> (#& ), 
      InterpretationFunction :> (RowBox[{"BarLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{"Blend", "[", 
                   RowBox[{"\"M10DefaultDensityGradient\"", ",", "#1"}], 
                   "]"}], "&"}], ",", 
               RowBox[{"{", 
                 
                 RowBox[{
                  "0.00002000616671563038`", ",", "0.24745426786945668`"}], 
                 "}"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{
               RowBox[{"{", 
                 RowBox[{"0.0024000000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0048000000000000004`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.007200000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.009600000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.012`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.014400000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.016800000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.019200000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0216`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.024`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.026400000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.028800000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.031200000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.033600000000000005`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.036000000000000004`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.038400000000000004`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0408`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0432`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0456`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.048`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.05040000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.05280000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.055200000000000006`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.057600000000000005`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.060000000000000005`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.062400000000000004`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.06480000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.06720000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.06960000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.07200000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.07440000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.07680000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0792`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0816`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.084`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0864`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0888`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0912`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.0936`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.096`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.09840000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.10080000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.10320000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.10560000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.10800000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.11040000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.11280000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.11520000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.11760000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.12000000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.12240000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.12480000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1272`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.12960000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.132`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.13440000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1368`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.13920000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1416`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.14400000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1464`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.14880000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1512`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.15360000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.15600000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1584`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.16080000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1632`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.16560000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.168`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.17040000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1728`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.17520000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1776`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.18000000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1824`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.18480000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.1872`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.18960000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.192`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.19440000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.19680000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.19920000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.20160000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.20400000000000001`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.20640000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.2088`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.21120000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.2136`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.21600000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.2184`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.22080000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.2232`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.22560000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.228`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.23040000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.23280000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.23520000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.23760000000000003`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0.24000000000000002`", ",", 
                   RowBox[{"Directive", "[", 
                    RowBox[{
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    GrayLevel[0], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> GrayLevel[0.], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"GrayLevel", "[", "0", "]"}], NumberMarks -> 
                    False]], Appearance -> None, BaseStyle -> {}, 
                    BaselinePosition -> Baseline, DefaultBaseStyle -> {}, 
                    ButtonFunction :> With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    GrayLevel[0]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["GrayLevelColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    GrayLevel[0], Editable -> False, Selectable -> False], 
                    ",", 
                    RowBox[{"Opacity", "[", "0.5`", "]"}], ",", 
                    RowBox[{"CapForm", "[", "\"Butt\"", "]"}]}], "]"}]}], 
                 "}"}]}], "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"LegendMarkerSize", "\[Rule]", "360"}], ",", 
           RowBox[{"Charting`TickAnnotations", "\[Rule]", "None"}], ",", 
           RowBox[{"ScalingFunctions", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"Identity", ",", "Identity"}], "}"}]}], ",", 
           RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "True"}]}], "]"}]& )], 
     TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{3.855719386562212*^9, 3.8559554675437813`*^9, 
  3.855955499251074*^9, 3.8574487990847735`*^9, 3.8853710602493353`*^9, 
  3.8853710997869015`*^9, 3.885372705970808*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"b7f6f7c9-4a6a-49a1-8626-c48171508c08"]
}, Open  ]],

Cell["Finding the maximum point", "Text",
 CellChangeTimes->{{3.8853726496543274`*^9, 
  3.8853726577171373`*^9}},ExpressionUUID->"ca335946-84e5-41ce-81fe-\
4491ada97fed"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ccs", "=", 
   RowBox[{"Minimize", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"BS", "[", 
          RowBox[{"aa1", ",", "aa2"}], "]"}], "-", 
         RowBox[{"BS1", "[", 
          RowBox[{"aa1", ",", "aa2"}], "]"}]}], "]"}], ",", 
       RowBox[{
        RowBox[{"0", "\[LessEqual]", "aa1", "\[LessEqual]", "Pi"}], "&&", 
        RowBox[{"0", "\[LessEqual]", "aa2", "\[LessEqual]", 
         RowBox[{"2", "Pi"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"aa1", ",", "aa2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"css1", "=", 
   RowBox[{"Maximize", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"BS", "[", 
         RowBox[{"aa1", ",", "aa2"}], "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"0", "\[LessEqual]", "aa1", "\[LessEqual]", "Pi"}], "&&", 
        RowBox[{"0", "\[LessEqual]", "aa2", "\[LessEqual]", 
         RowBox[{"2", "Pi"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"aa1", ",", "aa2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"css2", "=", 
   RowBox[{"Maximize", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"BS1", "[", 
         RowBox[{"aa1", ",", "aa2"}], "]"}], "]"}], ",", 
       RowBox[{
        RowBox[{"0", "\[LessEqual]", "aa1", "\[LessEqual]", "Pi"}], "&&", 
        RowBox[{"0", "\[LessEqual]", "aa2", "\[LessEqual]", 
         RowBox[{"2", "Pi"}]}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"aa1", ",", "aa2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.855141913655821*^9, 3.8551420323430977`*^9}, {
   3.8551426949594073`*^9, 3.8551426987402515`*^9}, 3.8551427287556047`*^9, {
   3.8551432583574085`*^9, 3.8551433062562323`*^9}, {3.8551434152834153`*^9, 
   3.8551434497959366`*^9}, {3.8551434988915057`*^9, 
   3.8551435257697854`*^9}, {3.855143838530148*^9, 3.855143899051985*^9}, {
   3.8559550029628105`*^9, 3.8559550031665773`*^9}, 3.85595565837236*^9, {
   3.8853725271198077`*^9, 3.8853725479993753`*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"57f50ca9-70d0-4e62-8ffd-e68c2745b735"],

Cell["Generating contours", "Text",
 CellChangeTimes->{{3.8559550256377883`*^9, 3.8559550610387745`*^9}, {
   3.855955646046559*^9, 3.8559556473094683`*^9}, {3.8559581277116613`*^9, 
   3.8559581380159035`*^9}, 3.8853725461368876`*^9, {3.8853726685495834`*^9, 
   3.8853726760715075`*^9}},ExpressionUUID->"a5653a28-fb67-4c35-90d0-\
22e1e79e7d7f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"A1", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"BS", "[", 
         RowBox[{"aa1", ",", "aa2"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"aa1", ",", "0", ",", "Pi"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"aa2", ",", "0", ",", 
         RowBox[{"2", "Pi"}]}], "}"}], ",", 
       RowBox[{"FrameLabel", "->", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\[CapitalTheta]\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\[Phi]\>\"", ",", "Large"}], "]"}]}], "}"}]}], ",", 
       RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"ColorData", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<SandyTerrain\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0.6"}], "}"}]}], "}"}], "]"}]}], ",", 
       RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"BarLegend", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Automatic", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0.6"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Automatic", ",", "20"}], "}"}], ",", 
          RowBox[{"LegendMarkerSize", "\[Rule]", "350"}], ",", 
          RowBox[{"LegendFunction", "\[Rule]", "\"\<Frame\>\""}], ",", 
          RowBox[{"LegendMargins", "\[Rule]", "5"}], ",", 
          RowBox[{"LegendLabel", "\[Rule]", "\"\<Amplitude\>\""}]}], "]"}]}], 
       ",", 
       RowBox[{"FrameStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{"FontSize", "\[Rule]", "15"}], "]"}]}], ",", 
       RowBox[{"FrameTicks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Pi", "/", "2"}], ",", "Pi", ",", 
              RowBox[{"3", 
               RowBox[{"Pi", "/", "2"}]}], ",", 
              RowBox[{"2", "Pi"}]}], "}"}], ",", "None"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Pi", "/", "2"}], ",", "Pi"}], "}"}], ",", "None"}], 
           "}"}]}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"aa1", ",", "aa2"}], "}"}], "/.", 
          RowBox[{"css1", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "}"}], "]"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"A2", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"Abs", "[", 
        RowBox[{"BS1", "[", 
         RowBox[{"aa1", ",", "aa2"}], "]"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"aa1", ",", "0", ",", "Pi"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"aa2", ",", "0", ",", 
         RowBox[{"2", "Pi"}]}], "}"}], ",", 
       RowBox[{"FrameLabel", "->", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\[CapitalTheta]\>\"", ",", "Large"}], "]"}], ",", 
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\[Phi]\>\"", ",", "Large"}], "]"}]}], "}"}]}], ",", 
       RowBox[{"RotateLabel", "\[Rule]", "False"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", 
        RowBox[{"ColorData", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<SandyTerrain\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", "0.6"}], "}"}]}], "}"}], "]"}]}], ",", 
       RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}], ",", 
       RowBox[{"PlotLegends", "\[Rule]", 
        RowBox[{"BarLegend", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"Automatic", ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0.6"}], "}"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"Automatic", ",", "20"}], "}"}], ",", 
          RowBox[{"LegendMarkerSize", "\[Rule]", "350"}], ",", 
          RowBox[{"LegendFunction", "\[Rule]", "\"\<Frame\>\""}], ",", 
          RowBox[{"LegendMargins", "\[Rule]", "5"}], ",", 
          RowBox[{"LegendLabel", "\[Rule]", "\"\<Amplitude\>\""}]}], "]"}]}], 
       ",", 
       RowBox[{"FrameStyle", "\[Rule]", 
        RowBox[{"Directive", "[", 
         RowBox[{"FontSize", "\[Rule]", "15"}], "]"}]}], ",", 
       RowBox[{"FrameTicks", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Pi", "/", "2"}], ",", "Pi", ",", 
              RowBox[{"3", 
               RowBox[{"Pi", "/", "2"}]}], ",", 
              RowBox[{"2", "Pi"}]}], "}"}], ",", "None"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"Pi", "/", "2"}], ",", "Pi"}], "}"}], ",", "None"}], 
           "}"}]}], "}"}]}]}], "]"}], ",", 
     RowBox[{"Graphics", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"PointSize", "[", "Medium", "]"}], ",", "Red", ",", 
        RowBox[{"Point", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"aa1", ",", "aa2"}], "}"}], "/.", 
          RowBox[{"css2", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], "}"}], "]"}]}], "}"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8559551245517516`*^9, 3.8559551898930054`*^9}, {
   3.8559567934321437`*^9, 3.855956793657194*^9}, {3.8559580632336845`*^9, 
   3.855958143845955*^9}, 3.8559581798049383`*^9, {3.8559582516556454`*^9, 
   3.855958258893613*^9}, {3.855958482917533*^9, 3.855958527447516*^9}, {
   3.8559602834444275`*^9, 3.8559603084528694`*^9}, {3.855960437007834*^9, 
   3.8559605376657867`*^9}, {3.855960739320876*^9, 3.8559607617115517`*^9}, {
   3.8559607920146947`*^9, 3.8559608317257166`*^9}, {3.8559610910526276`*^9, 
   3.855961108821749*^9}, {3.855961198116049*^9, 3.855961224146577*^9}, {
   3.855961285179516*^9, 3.8559613091019382`*^9}, {3.855961383504472*^9, 
   3.855961417589514*^9}, {3.855961464903281*^9, 3.8559614842767878`*^9}, {
   3.855961539916439*^9, 3.855961555640417*^9}, {3.8575368621353683`*^9, 
   3.8575368920003605`*^9}, {3.8575369238563523`*^9, 
   3.8575369279373455`*^9}, {3.857537049036496*^9, 3.857537139337268*^9}, 
   3.8575371766752553`*^9, {3.8575375320024767`*^9, 3.8575375520657253`*^9}, {
   3.8575375894438376`*^9, 3.8575376520571423`*^9}, {3.8575378012240353`*^9, 
   3.8575378175279865`*^9}, {3.857555210659955*^9, 3.857555225365287*^9}, {
   3.8575558152933445`*^9, 3.8575558425199213`*^9}, {3.8586736806642756`*^9, 
   3.858673684053547*^9}, {3.8853725576128387`*^9, 3.8853725613931003`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"4ba73189-f638-4cf5-a5de-92294c10d05d"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{
      GraphicsComplexBox[CompressedData["
1:eJx0vXVYlcv3PszeNCISexN2t6KiHus4Y3d317E7jtiJ3XpU7G7sVmxREQxU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       "], {{{
          EdgeForm[], 
          RGBColor[
          0.6659554038499249, 0.3237041960547114, 0.21032661068309477`], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxNlluIVmUUhr85Ov7z/3vP9O8pByOoJsfJixk1lXJCpqgbD3SgoKvIC61A
pYSUbopwwKBCa06SHRA62IxQYtrRyFN5U5CnauZ2ZnCUIjSIguh95l1gF5vv
22uvb53ed61v37x+y0Oba1NK43rq9CwtUhqem9InlZTmt6S0Rh9vyVNaJfm9
2h+RfEDfB/WsrEnp+UzfSil9r+8jktU1p3ST5Au1dum5Xfu9kr+l51/ZP1+y
XrXGNobDzo7WlE42SlaxHB8fJ39DH5v7mm1/keJ4J2zuknxdreN8XPvh+pTu
ko9NSmZK8a+VfFLrscLyb7V219o+Nncqt5LWU5L36OxZnVtSY9tvR8z9Wsfm
2O+ahpQ6ZOdB6X2oWBdLtjVzjHsir0uyuVrrHH0fU7yPSfcJvXdI9wPtN2g/
Xng/orN9ej+h3KvJ+ZHnRn071Wg58eFvut42rurMeu2vZI5rX9TkYlNK27Sf
lp3J2N9T63V77LF3Mnydq3O+7Icq9tff6pqCGXHiZyiwOCd/7Xpf3uY49kZ9
hoIP6HxaOKanrnNeZ2R/QY39nAlfawMrznZW7O8BYfRR4druL1z/vYHvT43G
YFHwDx4uyJ0jdSXf89L5JfIabPX7/qj/gcBgnbBbKvtPav9l4f0X4CC9Htl8
Q+cGWq37bNV1Oh82J+RrufTHtc5TDVaUnNc3heVHtW7PjNuhwrXd0OC8j+t9
pXROFOYPWHbVmKO8s98lJzOyvVvrYvnc3OD6vxm8og+ON5kDnIfvYEPNd8rv
fbL/g+yfzRzfI8LoQm4u56rtX2VzdZnkl+tcV+xTy9Fm8/Wriu3S9+Ml8+lX
Pb3a310yD7uCx2B3tOLem5Z+Z7P1pqPH8QVeU03GCe5xFtyJ+TPFukR6nxfO
iV7oiL6kP9GBP73hF47DK+oLTuD1vvz35+6535XfTItrd6nFXDgXfMM/OcIV
4oJPiyLvsZC/3mr5bq1Xc8ezJzMX8IUOM45Z97PWG+o9L6jvgbBDLScin5dy
40nfUUfmEnh3xzyiB76umCPtMXeYmZ0Rz7vS+UPfHhVe2xuMKT7pIepCXnDk
cswT/GwLX/BlJDhD/fqiR1YFjszk5YX17tB6a24cwXOg3rGBLz1MzZ/WOhdu
6Nzl3PVYGHFirzdscm5d9Da5318y7t2BPZjybU3gCy+p32RuTneEXs//cm2s
mJvM1IfbjOkR4fJjYfsvaz9Vdm9sqXpmYIeaMEtHYm60tbiO12v9s+x4hzL3
A5xglg9nzo150BT5vlZ1zF0xr45lrvvcFs9Sags/n8s8Xw4X5sJo8AH8wHGw
bO6iw71zsexz3D8DgRXy2+LuIO9Xq+6fV7T+VjbP4Tu8hJ/cIeCP/V2BdWfc
ufQtsTGjXqh6fr1Y9ewDD3yxbopZBK7kS96TMTf+LnsO0gPPVG0TfsEl5hmz
i/NwbyZ6nLkDV89klqGPXWYi+W/LHAP9MNsLTc5xdfQwOS4rPM+mmq7dX5Ph
dzT26I/HfCJH5vFE7JEzv/jGPwhcBdcrcW/uyK07HvrvtZr383NzujPuUPgH
D2dtxuwnF/TQvzH3PwJ7uHG6xb3MPUk/99RfszEv7DAbL8R87IzYZvuxzWf/
Kbtm+MMX9zH38lbV/3DcffyL9QXGxImv9phFp8vmRHeb/eCPmn5XuFdPFuYg
GMCBw5l7it46VPF/1Z2Fz2PneOY+2hj69BM26amDFd9PK2KWgyl2/wOvDVPZ

             "]], 
            PolygonBox[CompressedData["
1:eJwlk0lIlWEUhk9ec/i7k93fBmhjI7XKa2klERQFkUm2a+vCJlJCKGtTlEFB
g4beW0TDpsIoaNRmyyncFDRp5FrJIqgMohB6Xs7iwBnf837nnK+ktmFrfY6Z
bURyka7QbEfErCwwe4LekDLrLTCrwVefcpE+n/gN4mmkvdAsg9yOme0lvo34
rWlmO4vN5ibMqmhQjcxDL0HWom+g/g21Z8j/DH45djd2V9zsA/Wf8sAHrwaM
xWAtpSZLLIMsmeI+xQ5gV1A7C/Lv0WckzZqmms3EHqbXrulmN/PNjsGvpcjs
F7466q/TYwL9MP1HChxDWM9D5yLfIWKPQ59FNZj7iJ+IO/dx4i3E54DRRq9L
4N+D7wryL6JfRu5j7yd/e8Q5PCD2Lu5cxbE46ZzE7S3vPYu+nJwU/M7jK0f/
FzWbTX4d+ZMJ76Fe6qFeZcxgKPCa7+T+RLLkp/E9JN6acq5VxAtjPhPNJo09
hD5JfiV6Frwy8v9GPaaeg/C7E/OYdqxdH6FmLNdvYpTc0ynH1g61y928rwqu
lfTvDZ2zuGunncQ6Q5+lZtKEPYy9JvCd/gZvLOm3shkZRc+n/yZio+CfAv81
+esDvyHd0kJkXY7nLEj4DeoWa+E4AX4hGPX0K2W+4+jtxPvR+5CjzLs54bm6
0afEHoU+O/0B/YUt2hHYP8C4kvSb1m2rZyf55+J+S5rJCPnPYs5dN3EV/Jf4
VgW+E+2mkfzSHN+ZdtcR+l/SzDS7F9h7Il7To78V9d7f8A2i98Zd15t60PtC
n7VqVPs16W/VjevWO+DzMc/f3Ayf1iK/NXH4A96y0G/tAnKX3IrQdd2EbuNa
zP+e/nRbkf9J/U1htmP3k7868B0ehE8jOxogFlD/Jeoz1qzly1C7MvS/oZku
wj6Z8t1qp8epHwi9Vpiv0P8D3VinXA==
             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.76275975, 0.4377885, 0.24676025], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFmguQVdWVhk+/+77v7XtaAqM14wNEpWneDx+xIhiNtGgcMSQgNWPQGHXk
rYk6RpGKgKAxEURBhKCCmGiIEYmThKgZESaKhmeiiI5WIgKO8jCJCMz/9b+s
VHHr7N5n77XX3nutf/1rHY6/YsIl19cmSTKwLkn0L7msIUnmqHGXfqPU/ktz
ksxW+5fVJGnNJMlzeg6uT5Lj9ftA/R36tdUkSTf97tG79zX+bj37ZJNkWy5J
/kn9W3Puv1Zj51Yts6mQJHvU35FPkt167tP4mXr2lNyOpiQZof4D0me45lwk
GSP1+5nmnC5l+6VJcp36h+ct86fqv0e69U2tE7p9XeO7FDVPsrItSbI5F+M1
/1GNn6Xxp2r89WpfqDHjW5PkDs05tt7nMFzj5zXqLNR+UuNK6p8kecfouUn6
t0nOGum8t9lj0JE2en5Fc8t6fqL+dzOWP1ftq7XWOP1dk7pvQaP7L9Xaecnd
KPn78j6z5zVmvMY+0OhxHZI5S78uWvdi/eZrfC89u0qH19T/hdDlw9CBfXOO
+yT/mhrLrwudkLdIz0R952jMUW34Kek2VPL6aN2pre4/XPE9dMRdcE/8jc5b
sAPpt13Pu5u8HmuxJmNpc2bz9Cto3X9ptD1xvjdVfYYfSdYFOZ/X4kbL76mx
+zW3r9p9ctbtY43bqvG3VN3HXlnjypL3cYzu9wm9W6GxK6uWxT55N1lrXqzf
Z3pX0v6apfOWxHsaEbb3uuY0ac5vyklyrvq25GxXffOet0fj39b7xfW2kQ/U
/3vpM03zekrmSepr0O/7OreHNW5KwT6EHKnWuWYm43vgrjZ+fl853wF7vLbG
4xjziPoPq2+A2ufEmbCfjGTvUP+X9RtZ9LmfpwVK6q/E/eJz28Pv5kjeXP1a
anx+2C7jNuuO/11zexTtN4wZojG91H+X2qfpuaTR58gZjqvzXXKPQ0LucXq+
0uw28oeEv39Yaz87N3yTM6CN/32v6r7fpMYDcIFzmpG1PaBfd51dX8n8Q9W6
0sf5vtFo3QZL/tCs98iaXfX8o34HJGdDo/cFFq1udv9NdcatYzLGlk57Dn/s
Lz3OlLzD6mvV3Q/V2E06kwtz9rdP9a6L3q1Q+wLJHKP3g3K2h/c1vl3r7dLz
ea01Ajnqv0W2thCd9bs1cO2Q3s8sGkfnhN+wn2c19kPJ/6b6+8t2lmvOjWr/
qMbvvqb5V9Z4PnLGqj2YfeesK740K3B7Wc52MyDs59GwIdYZnbO8L0qH7nr+
Sn6zI2v5TyV+jo42uPKg9Duj1vtGPnufXbD/dE2tExg0vsa2sTPrdSdq/CT9
LlbfC81uczabpMNm/TIaUy/552vuIa1V1dlNkz6vFn2XE2PucxFrNleNW4zB
tr+tM1qHXPW/qLk5yfydnhN1nzfX+b7elpzJOev0GvFA866R7nvrvTf0flb9
ffX+l9i55q8CI/Tsn3H8uLfG8e9g1ntvy1nmQLU3pLap26RzVnMmaG6u7D3d
nvG+rqpz+3j1jdK8y3K220fjjvqrPSBjPGfN27SvtdrLLcLbPfW2IexnbsX+
1K79btf72RnPnSa9LtRvX519a3j4F7aJjRLjmhuNaQeJ7Zp3ntqHG+xb7Rm/
Iw48ED4+quL2BJ3Vv0r2V/V7rM7PS7K27R1a5309e5bs68R49PupzqRGc5/W
OTwZcWSj2keaPZ+5C+JMwcOrdXYXSJcpLbav2WFjZ7Va77Vlj50T49nrSP26
60wuzflMwaGxDdYVPQdKtwF54+U++IH6P9azTFzRuJLGj9e7dVn//TWttU/P
+XnLuzTs/82s28cF5lwW/T3qPB7baJX+qdo/0TkkxEiNe0N3NDd4E3v5dbPv
m/vaX7Kuu8vGoJsbzFE4p3sCe+Ez+DZ3t03jz9aY7XqOrxrL/ie1LqM+1zP1
vSyQLv3yngsm4G/40YmSMyLn+EpMIg4fqjOGz67YNhcXHFPWNttOwEh0Q8d2
OFvOZ/4fVY+5rmqcYw3k/znvu50uPR8qWCayp1ZthxOk2+OSsVK/HY3GA3AB
H8eWOSPO50qNX6P2m5L3arPjCjEF/wbTwfM3sVPpcnatz+6E4Hgf19lXxtX8
Iyb9XTr1yjpmgU8vNxs3wB/8DLwAK34QdzaraHxl32DszIrXXag9LS14r3Mq
nrcmsObx2BP69JGcezSv2Gp8varecTwruV207mT1d9N9fUv9fy8aO8CQF2Tc
R5vtJ5wr/Lc14hTYS+z5Uq3PjDPnrMECfG5WxfjEGOxta2o/2abnfZLfofaW
1JgAjyFmzZAeXdW+Q88f5u33cKgHcu7HV5D3hVgXTPlD+GB9zv2sCbeFh2Az
3C1nwfj2sBfuArx/Oc58KTxAf/+b2ldI/2fU/yfJekV61mLbWuA7ardL9urU
OcXrjc4rfp76Lp/Wc1nGPGxno33i2WbHffgRPI6YvqBirLxfz0H4hX6rEvME
7o1zh3eRe8AzV+p+BxATitZxU+h5X8V7eEzvVxdsP8QfzvVo3NfJteZtcL89
edvsd8iB6r1H8BlOij7YObwCfTqCX6Af+I/v4sODIh9CN/jt/qz9As5P3+7Q
eXXRsehwyVhOnrK8wRg5scF3sFvr9gh7ni/9u0nGHRFf8Bc4BvaCj6MnWE7c
wofhG2Dq5RpzvZ7tGj9a/b3r3da/TpwFbzl77Av9wR/03Bu8/bPg0PSDRf8n
31lIjlk1no6qWgbYTQ41LOc2su8seb03tNf1WZ/VqsizBsR4uCf+jt+fp30f
bTK/KOmePlP/w1X7H7kMSsObOGuwljtMMt7jI1W3lwW+HQlfG5SaCw1Mff87
g8PwxA7JBRiLLOScUvI5vaTzPj/2+1adz/JIjIFrwb3gUPBD9AQ7dmlP69We
UrUNYUt71TeVOKlfTb1x4fi4U2wDDkFMRz53Rj/yDsVah5v9N204JtyHdbdk
jbO9aszPt0a+s6EzWZHftng9zgx7g7Msi1j2PLFMYyfqXkZlndfAC7tljSPE
WWSwFvnp1DrHHeb8uGKetKbgednId/AhnnA8fJ87hEdhpwsDT8DZRZGbrwjM
oW8jd8S5SK+K5H6qtRfr/JZUvf+lei6qel3Wh2swHsyEe6wIOdQZamK/GcnZ
rbn3at6JJetwgp7f0rms0J1eUzSf5izhwNM098x675X8tE/e9s+8XY3Wf3rW
MZiYBA9ZIjnfS+yng6OWMrbF/WNaLGNP+NGj0vt9yfm19GpCB619XtlxBft+
V30L4z7eSu2TF0UePT/rMdwlZ7YisLpH8FxiKBjMnfWK2gJt9kXezN7YF/7F
vXA/02Jd4tvcFvvM3dKxrdF6dq91LQId8FMw5sLgbxPqjK+Y1544K7Du95J1
u8bUS/aQVsfWhoJzYuyDnH1t1nEHDBmsMWdIyBHNX97ke0H/Uwvmmn+sOodZ
Hv0nZt0+vcb2eGbksz0Dw7E94nY+YndDq++sUc/FFXOKd/PGWeLfwaijkJcT
d/DLweGb61qMRS/peVBzLiJfTW3zzZl/5FE875K+txad901qcYxiX8QpDmlv
YP6rZecQr+g5rMG4gL0SH8ACcIC5xLmzpMND2v9C7liyF7WYL20vuu6Ajd4q
mVMLzvPHVhxLiVsHQgZP5FBfYg7juSfa1Ha4a+L9uKhpMA7f3xRcCE70C8k/
SzoPSR0f+kaMA7eIe9jfppL94HLp+POC72yAxvfOOe/qjHN55+mDU3NC8J77
4D3jiN/rSrblFsl4OtY9tuS4QfxgPbg9c+GT1O6Im+SHN2ncO9r7/QXzHdpA
4fii9/2Y3t9cMXckV4Mrgt3s80dV19xeT20f6NUzNT6CeSeVXcvqR04e+QO+
jq7UJ7pGjQKcRibYTX2CuiF2NS4wAWxYnBpnryz6vLvFmY/NeAx5zZDIyeCs
lxTt5y+XnA+3RX2A8x8YsYN6KlwAv6DOcnbwGXwCfoPfXV01V/+2ng9WzMUX
VhzfwQjwgbVXRJ61qGL/xY/hFX2DW/Dkb2pT6EgbvkF87hdYx/lvjjzohqLn
Pad9T686Zt1QNfax1vllc8a2kP8MdqP2jZGf4SfgehrPkcFb8d+FgSdvRT3t
nZIxb32LYyI6YAPvlRwnP8k7p58eeT1t1iVO8ewd7UsjN8XOPqo3f4IT/G/J
OS+5L1wCLguPgO/PDFuaHDbPXVH3aovaIrk6PA/sARM527uqxtX24G/3B+/9
SdWY2ic45CTNua7BmHdt0bnX4zqnNanvgXozvo7vg9vg89LA6D/rfHtL5l/K
xif0x06+2uox8yXv1JJrAjsib+gSOcIqyT9Nz5+l5h57o/ZCTYp+8rK/1vu+
r4169hnBGZrK1nlt0bXS14JXUF+gzvALPRsl9wqdSUPqegF1g9+WncPgD9gj
+2JP4NiXpHOD5DxUMe8gTwPnwQZiMD5JnQg8qI9crRT2TwzvHXG8WrCdYC/k
jnwvIedvT11HbUuNkegNTmIDX8zaDsjfqSmA40vLridQh1iXesxLqW0WXB8e
d7Iv9nCkZPt9ouS6UUfUjuAUk+J+D0SdgXoDNa1PY+/kCeDooby/neDzqwre
U1vsi1oi9Xk4Uef3kIzjGzkDucO8guME8aJ3xBa4AFgKjnIXHwT+gm0LW2wP
9cE3qJEgB1uh5tK5d8l5smwceqrsugX4BXYxryHmfrdozn5bNXKa4LzgcWeN
ttb5Ivrgg9SGt4WsD8qekyn7LNuCn/w2dR35d6mxZGPY2PVV59sTqpYzNPBq
cNTXsNWVqccwFr4JN+I8vlHn+8bfOUu4JufJXvAJeMmLqX0QXwRLwBG4affU
f5+Umkdgk2ODq+ALxJLpDa43dtY8aowPWxNjNTwG3Kb+vTDu5RTJulMyT0bf
omW+WDQPmxhy+KZxbHzXKJTdny+7Ho3fTil6LeTDkTgPzpU9UBPhrpYUXNvh
/qhTsGc4NRTmpqJt/79T2zW5DLyms45fa6yk1jU5vtHw/Yl+6ojkzuQc/Wsi
dtU6fs2ruE3uvj7ywnl574XvTOyH88YvOfNODAhfII/pFzJnVNx+XHL+lne9
4d6K63bEu8OBeXBHcA98gofQrpS9l3LZ/Ab58I4DRfsX3yo7x8Z4uOcZ0T5Z
774sPYdq3v1FYymYSv5L7luOHBf+DJfnDsnZiEPEQNrkvXBz6t3wWHSH33Dv
1PzIt4lx5JpvRb7J2J0xfnKLvze0l9z/TtYYsTa+zfAtl3j0dvQ/EfiTLThu
kt8SO/F9vpV+zou/Eut2aXE9mboy+t4ZufrOwH50wA6xQfDnnaJ5L7yevPn8
kEM8ZV9PRX2Atcgp2BN7Y9/fjBoptVLOFew7K3IgcBT+PKbiOijf6ODjnDmx
jrr4wOCi1Gao0WBPfFO7I+tvUOxtWNwL70fGGOq/cIujJeu4I/REx2FxJuAK
+EIsYF8joh7bN/gg/HJKq9vDZUv/Fd8m+EYBrwAf4DaV+A6GD/5z0Wd/q8bM
zgd/Lpm7MQZMaIqaEHlKc6v30tTq+sqwOEO4A3gILnI33BH8db30qICtefM7
2tMC30YHhpPrE2vBTL7PcF7ohj8tC575XvBh8qdHCsar71b9DZwYzfz7gj/D
o6kt9Q78hD/lovYLZ8vEtwxyd+Iu+Tv5Iv3wtzHBJ8DnyyOnWFEyt4Kvw69Y
h7yUOEV+T+xGFnyYHIo4Ao8mP98dvBbcpXbKdwP6kXtDcNEbq75L/I1vpZsj
ThGvduhu9qtvXcHv8AtyxWeK5jwfpd4v2EguzDt8Hc6PfXXaYYPfT4gx1Gng
pnMCFztrMjXeJ3qRS7HOBeE7rxWdz/L/C35QcYy8psXnxPcR9Nge3xqOKfv/
RGAD4ExHo/VH/ujgLdj2CxE3iZ97o+bZO/U3qOuCy+EHb4Zvwuvh99g3sWV6
xB3ugRyMuwBHqVOwSfLyaYEPjFsetUpwhvHY7ZnxLYP7+Wve+sLTt1X9TXZr
1bFkatwdsaJfxA7qRNjQq6nzYfLinM5nQ9ZcEL+GV9GGE+6iFl9vnyKXwx4O
FY1P4GAnxta5jR3CcfATfARMBT/ZD9/fZwSvfy++F1KXOjviHjXSmorPvVfB
382ORB2W/5sCJ8u0uGZKTteZ29X7PTxhVuTV2DB+tit0BieOC924z86YqvFL
U/cvSY1/AwIDyRv6Rn2AM9gQ/BhOAc+BYxHrwFkwtltwu/7h+90itp4WdZg9
Rb/viDEr4/9pPFi0bfSNvO+kiAXcNXGXGMF9wRPBaHQ7t2w7Ai/B6kFRS+eb
1QlRG/1T1WdPXvKrguvdM9T+ccFn0iM1h1oe64Hp54RvwiWRxxmC1RMiPzyY
un0g9ZibozZCjWlB7JXvQsQv3l1V9Hk/rPEvtrif+FaQ3jMlJ6/nKQXbVR/p
1r1k7tKjZPvl/wdQX6QeRN71n0XXILiTtXmfEf2nRw1hdXwH+WH4OL5OLjIn
vi1uDb/g/yzwXYLvx2D+J+E7t8d71hwf/k6dmr+pScNpsWnqI9RG9mtfD+dd
L/tb0VgJPhLnyM/GhN+BX+AYZ8Z3y8HB9/i/M2AQ47g7zoT7+3/Ou+ZH
             "]], 
            PolygonBox[CompressedData["
1:eJwll3twlOUVxl8g2SSb3c1uvm9hhDpWKaiUJKUVKbVK7UUcRYoy2FaQGUEQ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             "]]}]}, {
          EdgeForm[], 
          RGBColor[
          0.8305318333333334, 0.5565334166666667, 0.27070483333333334`], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxNm3e4lNW1xufUOWf6fDODmkAQxAJB1BSNiSIaTRQjXRSxd5BiwVyKKDYQ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             "]], 
            PolygonBox[CompressedData["
1:eJwtmXeYldURxr/dZXfZu7ft/b4VUJAiHRT0iRFRiSIW4BGlGERAkSJNmi4G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             "]]}]}, {
          EdgeForm[], 
          RGBColor[
          0.8892701666666667, 0.6799575833333333, 0.29063316666666666`], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFm3e4VNXVxod779w2M+fMnJkrKIgUFRGNsUQTE2MHNIkFjTQRK0XsikoT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             "]], 
            PolygonBox[CompressedData["
1:eJwtmXu8lXO+x599a+29W8+znvWstVVK9o5JqTg4h5lxyWVUOtgVSkqRqTRK
HaOL7ulG6aKdUSkOdjVIV8Ngd9XOzAgp6rgkCaPhhDhMpOb9OZ/++L3W9/v7
Xn7f32V9b09Vv6Hd7iwMgmBPQRAU8/tBHAQLioLgu1J+c0EwMAMMQwFjdBgE
Y5IgqEsFwTh4RgGfzPgE2pKGQdC/Igh25oNgJrq+QX4X8LZ0EDwOXIvyduiq
Ax/GOr2Zq0T/UHjqkb8ZfBhwFHrtG0uC4BD836C/Ffg88HOw7dMoCBLwLGMf
tGGMNdhThI7xyPbChj0p2zgaWm/w6dh2Hza1gN4O+R/K2Bf006CPZO4YtK9l
QzYIlrLmbPa2BbwU3pMZn8J/HfwZ+K/AxqugLWPuN8BL2UMB8AH2NxbZ5uC9
sG0x/Pex1/XIH0Df6di/Hvl3GSH0EeB59rOZ9Z9CPsd4HtnNyMzgfG6B5xfg
LaHPLjDPlay3jrkYuHt5EDyK7hC8M7yzGvCL/XfBMwn5vfD8HvhzeE6CXgO9
GvpObNyru8CmG6F1Z5wJ/CvmtkNbxTgJ2z5mj5XQtmBjU/B/ovNjbLsQnagJ
/hv9FwG3YP0+6F+P/nsgvIy9y6E9At4DfIHuG/oy8FvBR3Af27iP3ehvjP4H
OY9+BT7DZeiaxfqVge/8MLQ/MHcYuDvnmQMfhY46dG1gzGet9djwLLQVyNQB
b2KuG7pncj4xay1CZl2R34Dewt9Ycyy00Yzj8Bcydxn08eBFwAPQ/z37rcbu
qeCPY0+97lZ7zvjMdfYLmasE/4zRtcRneAO01ozDrH8G+DT0v8voAv8R9ncu
tLXsJwIeyp5/QPZn6KOg5xl9oHfG3gf1NpGvBh/OeFVnhf2dsWce9O0pn5nO
Lo38YPR9D14G/AmjT7n/AwWcRU3eb+9k9HWSPp0ptE3s527g5dhTW2Qb34P3
aubmp7yfYdh3lLn/K7KNx4DLOZ+7sWc5612M/qXo7AttLjJXITsFfR9yX//O
3Djg3zJ3Pvy7wM/F/gj+vyMbsZ8OFX5jemsboLcFnwL/Kyn7iEdY/93Idxmy
x9Xo28+9fAXtDebOgb8R42Luoga8KfD90KdBfw78TPCTK0z7iveyBXuno+Mj
7NvKGlNZ69fQh2DP/8JzofwX61WgbyRn9hbwSvbbAFu/h34J9OPoeAF7K5i7
Crw3Nm4rPrGnyHequ81i759Yqx7+HoXWcTn8f8e+raz/a+mHdxE8HaEfRX97
6G3BB0BfyB5+C/1AbNod6Cvn/BuD36P7ZM1ToU+Ffx/8jdjfDmin5+w79sM/
Ev5rmFsJfw/22wz79jLOR7YNc1XQLmc8CdweeiqyT5Zv1h5L0D8Amx7F9hLw
CexlB/ZvxrZn4Pk3aB31Plj7O8Yqzupm5FeW+j+0DN0Z+Sz4n2UuBh6o/xT6
UuibhL4DzL2T8n+0lvVPRWYCsudh462s/yDrDUR2KvirwHPgeQx9p6GjGl2z
wOchWwl+LfgpyI9H/lz4/4H8adjTV76EO7mD9d4APyh/AF4FvhueS0rsE+Qb
+rCHzwq9Zjt4n8G+HvBvA18BfCNvZgn2tmduPWsNgOdlaDnkF0Hfh411pdb5
DrpPSRxbdIY6yyrwbwt9BjqL/Ylj2ffo+wj43tBnc4xxB7Z0gmch6zWF3hG4
RWLfIh1tsPcD8Aj5S9nv/wBvYc3LC/wmpmHbt9jzLvDF2PM2tHXwfFBkHyxf
rJit2K0YOIK1RzGOF/gMdBab4T/C+v8B/gy0Jeh4o6Fj3Knob8cZzC6xz5bv
1hvUW3wRmUmRY6xi7SDGWeATQ7+lozpj9C8Cbw58q+4E/E/wH0rZxrXAOxgl
rNVA8Qm4u2TQv5jxX4qdrJmw/l+h98n4zevt684T1osyzl3uQGdL5QPMPQSc
lQ+Hdxj2vob8Rdj/FGdVEzqWKcYo1ryUta8bjo6XgfvBswnaZsZ48PvR8c8y
7+E+4Nno26/4yZgDfHbktdeBdwM/CxuGp+wD5AuaRo5t1zPixDmOcp2f0f+O
8pXEb0EyZyc+Q53ldPYbsrcrmJsB3hP+MuwZytzGwD5cvrxLZN88h9EJvC30
J+WvWGMBa7ViTCzwnsYhP4GxBXgm9NbQfgS/FNkxyDRANiWfBP9lzB2F1jDj
/+ZXnEEL2YbNB6H/Bvpx6NnI8BWMY+DtlfMUWudP4KdAfx98MjrK0VUWWfc8
bLgG+hDGX9jPKvA7gQejv5NiDaMw8R3oLnYw5gBPYmD6/+/hXuDLuJNabOvA
Go+BTwU/XOY3PiXvOdEOwP+49oPOanRPxJ5S7BnEXL38HfTfAV+Sd+6jM7tY
uSD7eafQMmlk/wzPsgLHyBez9rnyvUt4zzXATzH3Jbq6KodUPoT8Dgz+T9ZY
mXZMU2z7K/R+kWOeYp9yhjXAR5RzlTinrNP/C/kpJc6JlRvXgfeF1kzvNXaO
o1xnjHQql4jsax5kf/XY+yw2fIM9N8C/Hf4P06ZVwP8Ish8m9u2KkXuBW2Pf
6nLfTzX2nM7c7Snn1MqtP9KbgtaasT92jFesV0wOtT4yX0Mbjb4m8r/MNWW9
5syVwzs879z1U52h8mv07yvym65NnCMoV6gFn4uts/SfDRzjWqF7cezc8iZs
aqxcm/ElulZAj4Dr06b1YjQBXxD6rPSfmMZZ3IR8nXJ1Rq/YPOJ9Vfk88B5G
Q876Zeg9ob+Zdi7VCfmY93JIMaTYMahZ7P+M/jsNwWszjtmK3Z+zp+bAG9Km
l0N/AvxM9tC/1DlAm5xzduXu8/VmlJtyJruLfSYvsdZf0s59/8Ee0op3keEd
8DTD1tdVg8l2+VdoI8A/KnONoVrjLGw8gu6AsRY4nzj3eBi8AngZ/FWcd0fk
nwAeEpp2GzpS4D8rhwB/QDkw8LjQtVh3+Vzs2coeKuHtj471OecwymWUszYE
Pi10bbYR/ceRHxa6dpCPl6+fFjlXkz8eCX4P9KDQOfYt4Kux8YuUz1xnf5di
FLxfYc+jeovyFw18p7rbgaH9l860C/LVyLcpck7cRbVI6Frqc/gXwj9Y/1lo
IXP14EPAn045Jr0J/3mRY5l4bk/sM+U7L4O/El2V7HFcmXOWU1WfRL575SCl
0i/7C13DDEnso+WrVQN0hXcyY73eMvregn9P6FikubGKh4lrTeUkPRLXnML1
H22l/wpzP6Qcw7eia3DWvlT/2Tz29M45N1POptztyxP2606Pxd6D9iKf9Udk
+6LviZRrwnPQd2Ho2FMPPkD/d3Q+XeacV7lvU0b7Bn6zg3kPdyK/KuWafSzy
c7B3QeA7a836GfhbAv+CsRd9cxLXnqp55gKvReZgyjnn6qz/k/pvKgecAW1N
7LesHEy52FFG0sA+bgX8u6G/V+Q3s0b9C2yqwbZO2D9QtSH2f1Zmm8YAT5PP
gHez8tHQb0pv62vGY7HfiN7KQcai2DWgaiflGNcg+zRrHmpgn/cK8o9Dfxva
LsYC6NflXLstRf/1qp1i730ANiwBrleML7DMQvgnYdOhMvdcJuRd06i20Rpa
63V4ipUvMd4CPgn5EN6PsamRYHjaBc55IuDGWec+ikFNgDcm9s16M5sS5wjK
FXQGOoszs45Ve5hrA3yBfGbgnOeXWZ+BzqKONYvZ6+isa3X5oOnaL/TnoO9k
v7er/uF+ngffBT5I/R5kZrF+Kfa/LX8bGVZMUWyZydwD6uXI5yTOCZUbas9v
JL4T3Y3OaGLeZ6CzUE33HWvdEHs9vWG95Zjz646+M9C3MOcaXbW6crrpyDdR
zV3uGlO1ZmNsnAc8GR0tlDupB1DsN663Ph7802K/Ob2968Hv4nxK9V6AF4fu
FV0Jvhe8Kufel3oo6qW0Z/2WJe7RjMg4Zih2qAcxANm1Ged+6sm1FS8yO/QW
mDsDOM/cm4XuYRUk9nHydcq5rgbulnUskQ9cnnFOptxMMSGOXLOrdlfNMB74
/dhnfR38Yeg3q7ermu0J+G/MOhdXj0q9qs6Ra8tnseeX6P8if8L3Y88G9K1h
rvGJ+x4bOudV7qsem3ptAzKOXeoZqXfUD3x7sXPE2eBBhXMZ9aBOz/jNSNdq
dNYoloZ+W1pDa30cOxfRHTeJ3YNUL1I54aXYNjzjXphyzLuBf8SGs8D3qN+T
dg6mXEw1xtMZ56TKfeRj5Xsz0L8usI23ZVyDqBZ5Bv6ZyD+cd60vnT0j1xyq
PVYrB1EtDv8K+OfCMwj+CzI+uxrwwWn3hNQbUo05kPO79sT6ur+HY9ecqj3l
c2+OHJMVm5UjK1euAu9a4BjUAvi1nGvfNuCvAzdibmSZY6RipXyOfI96tt1U
O6tfVWiexnnXmKo11cN8D/i5nHsd6kmqN7k9Z93qQakXVcjoC/4SOqawn1bY
+G2Zc/B7oTVXPCyzzx0tHJ3PB+aZnHfNrtpdPOPyrjFUayhHUq40HPoQ8OXq
Gefcs6s+0aPoz1l1yTmXlA1FyBdUuNennvNrkXNI5ZLSEULfEzsXVYxQrLgF
+bWlPgOdxRhkLi13DFMsG5ZzbyAlG9POkZQrVSpHBX4yb1g+R75OObVya9X0
XZVvZN0bVU7TV7UX+rrBuwEdm4G3Zgyrpn8F+Ke8ey/KWX4EnoGOqgbuud8P
fEPGZy2fI9+zM3buoBhyXP8P9r+p1D6sifLRxLWNzlxn3yGxr6pC/zXKfbCh
Q4l7hH8E7pnzWaun87e0awbVDurxvQa8K7EvlY/eCbxSPhl4FjpWAf/uxP9V
5yFf/KsK996Ucyj3+LN8WJl7iuot3obMUs5qB+OhxDmYcrFIMQX4i7R7B8pR
l3Ie90b+NtGbNe5R7wL674vck5yM7qLEtaN8ZgfF15xzT+Wo24Cvjl0rqIf+
ALKdY/+XVeOp1huZuLehHES5SJL424BqjKxyydh7VU+kbeyep3qf2kN/1TKR
e+2qIU6CNjSxL9Cb0tt6NfbelGMq1xx5ot+tnuhU8NqscwV9g3gxdI2qWlU9
k+fQ9ULWvQPVoBeFrqlVW6un1hzdj+Rc66rnqN7juIx7Oy1UH8M/MXZsV0xf
l3YPVb1U+Tj5OvUw1MtQDFcsP5J171A1v2r/nol7Y+qp3wR8OHLtq5iu2H5/
zrWIar4ZwJ9Erp3UQ28Zu8eqXqvezHmhY4Zih/4TG4GvyzgXUw9XvdyHcv7W
pG8E+lbwKDaHRf7P7gb+Q+K3ozc/Dt0XJK7dlBOdD1zImoNKXFO/hO6iyLmL
erq9Mu4pqrcoH/pA5Jit2K2coLFosd+aeqofRO6xqdemnvm2yDmlckvlBBOg
FSf+tlTLXAnw9LRh1YCqBUflHcsVw3ORcwzlGjczFkf+RqRvRfqPvAB8ed7f
ovTNRd9e1BNVb1Tf8ObCvzF0r0HfRJZzV09mXGvqm5C+DU1L+9uGesDNco45
ij2KSYpNQehvHeo5N4rdk1VvVjX3LRn3yNUrVw/yffYzN3bvS9+k9G3q6si+
RD2JKxN/09O3PeX4yvU7Rv42oR7rPPYyP3HtrZ5LTeJvIPoWom9S25AdGLvW
UA67FFvPjh07VcOqltUZ6azks/ap/gxdiyrHn5Zxz169e/Uw1cvUNxV9W9E3
hbtVP8jnlDinmyT+yL1X9djm5/0f0X9FPD9l3GNWr1nfaA4CV8fORVTTXRs7
51burTdWBJ4OnUvJZz/M+fwL08L7FA==
             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.91843975, 0.744143, 0.300414], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFmguYlVXVx9+ZOXNm5tzec95zpgQEyrvGRYUuStYXKGri9xVkKVjJqKCo
qKiQigiKJh8ooIhoKkqaqeDtq6+AxEsIKKChFmAqakqmYmJpmYr9f/yXT88z
59l79rv22mvvvfa6/Pf+fNeZw8c3J0lSzyVJi8r+rUnygCq99du7KUk2tquu
stiRJPMKSVLV/6PySbJGdPuL/n/1/4nx/wzVi21Jslr1TfoN1v+3iPmulSR5
TuXR1STZpTNJPqf6C2mSzMmSZL3oZ6ucpvGHq75R3z4jmjkaa4v6Ha32uzX2
YSp/kXd7u2R7R21dov+lZNim+vGq/yyxvJtCZmSl7yjxHJm3XP1Fc109Sf6m
b6VykuRVv1XfL5Vss/X7vfpdpXL/mLuKneswUeNuVX1SwXX49y/5/4GSp1n8
V4j+bdG0Se6HxXOw+Hxf9QH6fkPDsrCGzOV7rZbhWn2bLxnmqLxW5SK1D9Jc
nm8yj0NUf1n1E4tJ8lXVLxT/Mztdf7+WJDe1m4b2SuY1LKv8sXhdJp4jtM6X
1j2fDyTvPfpt0BgTJVsP8ZkreT6r8k61r1P7WWr/l8pUfasa/xO1d9Pcnlb7
Uv1yqi9TuVy/VtV/o7JJv6s0p06N9YrKn7Z4jzeWzOtufV+i8aeobZDknCka
lK1d//9fyboyVTSD1X6q2nrq8z6awxmay0jJPljzvEJj7S05Z2mMU0SzQXt3
tfr8QXznqnxFfAqieVT13cVvtngVNcZd6vsd0T8q+lmiWaJvw0QzuuD2Seo/
q2iejPu4xttL+7Rr2TRzg+56rfNo0U0UzfMhP+vzlngdqHEP6jSPMcHnOsn/
tOQfLH63a9xVGnesaLvpd4Hqr1St26+1WD+3qlwX9d011m7t5oW+oDfo8ml1
69g4lQdzZsT/IJVXafw3xPMCjTte871P/59R8372afe6Iy/trPlm8dyk3+5N
Lvk/kyzPRZ32Y1r87WuqjxWvu9R3qtbkl3mfw1Kz57S3+E9Q/eSy9fRazes0
8eqr9qlq7y7Zr0Wv9O1nkvtJyTw3s77Ah7M8Xuuzh0Q8SHv7pVaPAf8R4vW+
yuFVy4V8DfVbKppf67cssb25ueCz3U9jLiy47XqN9Z7+r5b9nfZ7m2yPpuZ9
ztkHaHqL51dqbv+yymM03j9FN07yvIjc6nuexvqqvo1Xub3m9V6l9tf1/dCy
eZ9dtZ5APyZxeUfUvxE6fIzmvo905Uy1XaF5b9T6/Fw092i8jpr1f4hoJujb
AaI5WDJ8X+2L1HdS2XqPnj2gtjvUNq7Na/QjzqRkmKSyrLnfq7Y5VZ8fztF6
8btE/z8ummkqK2rfrLW/pmp9ntRmHWHe0DerfFZjna3y/zXWDaLbor7Xq1yg
3x9V7yPZ9pd9+4dovqO2YeI5QzIdKvp+an8PXdZcZqntO1qX5fp/ed56y9m8
M2+9Wpl4Pye2WT9pm9DmdvaNfWV9sff0weYP6XT7C5Jxq/rOzXtv8AO35u0L
KBcF/bdqphnL+mXmP0Aydqmtf7t92UiVt7aaD/MYof+XSp4j0NE2rw3/Y6Ox
z+jcTQX7FMqbQ8e+0mY+r6h+cbO/0b4y52+0z5MtuSjsIWd0XN7nlP28Iuc9
PSV1yTlg/DNChte1l8dKprO03htyXn/OAnvIGWcfWWfW+Hf697iqz9lGzfsT
6dsfwzZeUHb/sRpnuuobVd9bNK2SN6dfSTQvNHnfzhWf3q0+t/A6S302qz5M
9Pfp+4PNtj8TU/uOr2ttX9PvSNHsrvFflGwPq31f/baK5zrRXyb6z9bddxeV
W+UjuzhTKh8q2rfh5/Bv+EJ83C3ieb94bBFNBzZP/B9CV8VzocrjiAdUf0L1
SxLrH3rYV/3K+q1Vfah0p6o1TPXrqfV4Fl+ITVDZD5upXy+NUSm57Nli/f1t
zmuBrr4Xa35u6vNznsoLw/+9JtlO03quZ+6a15HquyLnM47d4Wyekvj8sXbj
sCmSbbRo3lX5zZppOMfTJcM5+t7ccDyFjcKGrQlbxnzPT8yH9d+k+ZZE93zm
s05sMwrbWnM9HzEGegxf7A9yjU0cB+DvunVa92fmTdeoW5//S+vzV/HcrLbp
xEXal3PzXvcr0VXsvmgWau6vqn6R2o5Nrfc9xKMPZ1C0H0m2U0WzWu0f4J9F
86jqx6g8Qb+1qo+mLpqHVf+26oWi/S9yYufgMwx9SK0Ht6q8Xr9mYheNdbf6
vqm+j2isn6g9p/bpql8nHrPV95vMt+b6VtF+RfM9j/iSfW1yCc1eot+z6Pi1
UzwuyXn+V5Wsv13ifXLR54Qzwg+fgb+YItonm+0j2E/sJ/uOj8RXnqRxj2lz
7LtJ33MV02Br0Wt0Hjp8DTzY3y3ar1vard/ETZ/qAnuwusn6cFHO52trzIPv
zOXE8BknqZyU+DvxDLqPPR+q3wDJ9K7+/5p0YEynbW5Prducon1BH9EfKzkH
aeynU9s2bBw2cIDknqj6aSp/m/osrUwdC5yWdzxQaHN8QJ97mtx2iPq218wf
nzOlxXzwf/30Gxf8iTVOyDveoO2caN/Q4v97q357k78j5zsae6Rk2K6ylbhE
9bzKA6ruu52zUrMdfr5sneLMoFecFWJLzk4fzbcbeZH4DFK9l+q/Sr1v5Ctz
8Ec1+wx8IGfjbfW9NLG+oDv8f2LqfUnF44ia/eKRNcekTwQvzsT6sHXYj+dV
n4F9UP8XVL+OsUrWK9r/LH2YHnRpZj3qLv77dXqsGSXnFptCzr/X7C/naw2W
FXyekfd/JPeNWt991e+QsnO8gmjLqu+Ofoj+q2XnUb+qWV50EFvLmXw2dPuW
sHHoITZvYdjmE8uOU0+XHZvX4n5zk//M7YrE8/tnk+f4tsYbKPq/qhxado5Z
Q57Utpf44uRO+/vumdeA/vDq3mofil/cUHK+UUudPxCDEYsd2Orcc5FkuS21
T86r7NVhn/CjJtucYtFnhXNJnTlSlqL9PeKvNvvK35etV+jXh63+Rjv2DNuB
3ZhQcDt++YCK/fkPJf9HavtYv79gq8U71V4sabF/Zj7M5f7UcdmFGmeR2n/Q
ahr8Kv6VXObZ1Lnp38jzMsfy61Xeod8r5MgqK5LhpTb74mWtbn+kxed+iOY+
XOWmss8gZ3qR+mwRzV3hz3cgf4tzk2Lk5oy/JWR4SvQj9P0M0Q/JeW7Mi3iB
+J7YnvFfDBl6qn0PzfnqxHMZ2Or2dZEPfFd87tRvmdr+Iv1ZHPkQudJ0tbW2
2nYdL3n+IJ5nN9kPj2p1Lvpg5j16UDzeT71u76XGK3bkHfuRp/SIfSdf6R71
yerbBC5Rtq87rsN29iGdl11VX6Hyx622M+jSflqvy/X9Y/LQTsf2u3V6nE9i
rOU1QALNJ0r4Y+v+mDm/2VAxrpJE+2OZdWN1xfpXCD/4Ud3y7F2zzOgtedRR
nV6THZL5SNXzqn+i+lrJd5Lqj7c4/kHXiW8O0rfbJPNb4te7w+3M/fwmrwO5
G34YPuQtS2uez69Vflx3fnNqw+u3a/QdLJ6L0UN9PyrnmKRfk+P5myNHmxhz
4Rz1D+xo/7Cd6AP2E5mQ7eCyc9KWduv0fVqLNfr/b1rnz+Wcy/XKWRd3Ec3I
Zn9/J3SbfJq8WmySVeL5ecn5mMqc+o9T3xXid6/W+Q3R36Pycs1ttea4QB16
RdxTSI3z0D4DPSEfjbEoO9udz+Mzz+pwrrIgtW42i89ZBcszpckxLPgAOFv3
dsvMWf5t2XgDuMWCNp9JDZ88UDE+MClzjH9uh3Ml+nULGcATGiED9occADuz
qGJMb4H6DlDbhjgjr2Xu+wb+XHrytuQ7WOVhea8P+48NJ87DjnO2+qr9UOaf
s96j89gq+oKDgFmw1pXEc90e6z9E3/bp8Nn4ofoeUbBfAh9hHX5Wsi0f3+G8
7Sitw1Iwq7pjtxGtPuvzW4yd4UOIn4n3iH2XpZ5rc9U6h+4NKXt9sKesLXHc
XmFn3im6HX15WOvwT439UGa92zNo8NvU0UdyoqzovAj7BP028VxZcbkis6zI
PKxsfBMM7MayzxyY0hOi+yBnjJV9x45+FLa0UfX52JxZj4hV2EdsVffQDfKO
czrs/7AR2IqnVZ5asG6z9o2GdeN06c/1mcd6TLJ0q3utiJHhi85rq5MxBcdp
2AHyQrAzckP27eXYO9rJ/cj7jqo4HxqQug+5Ev9fXnf9UbX/utl+lhyZuLJH
nJfxku05yXZGw37+zQ77+mniOZlcVWuQlzx74p/U/knVurh72THvwnbndPR7
q8M5PuW2qKOX0KO3izXGXmBnDesl+scaov+HBg28bm63ncGfQoN+9ij7jE5N
LQt8yLe/ndmP/UQ8xxQd99MfvWgNmceqLOu3SvQztH4dBWM68xquH6m5Xt3w
PA+vGBcGHx5Td9xKfAtWShxBrEV8W6m5vVzzGUR+zi+Ye1f4FHSwVLDfLIUM
1CkrUUfGfMhJXIIub8HNFPyNtlXRf0VifzUq+E+NPVuoPZklGe5uM9bNOrAv
5JLY86WBlRFbUidH2h642bKS2/hGzIkuo9PYMdqWRzy6PGjoy3iMe3PV+MTS
wP3Aw8Hf3ohcllyVHAxsm1yOvOfwmtuH1owxEH+SQxFf05cY+6TALf9Rc15K
DnC+xvpBxbj+xw3nBuQIj9UcqxGzgRG+rjXYu8N+tVvNGM4uNcfFt4Su7sR0
8s4pyXXIg8hfe9Rc715zrHp2u2M88CruNsCs+gaGtkfmePW2NmNR+ITh4RfA
EPHJvepuG5F3HkTMO6HdWNDAuus/EW1XZj6j8QV1j3t9yTqNbr9YMuYC9sL6
gN9Pbjemc45oXpRsExrWwQGhh+QCtDPvfcSzS/RXcp9QtA9Dzn1rjp/2Id+q
+45met1+hXZiqn31/4lqn62+m0vWzZ+W7LtGFmwzv69yVMFtxPzQE/e/WnQ7
8vw8YsVbMsfa+EJ8A9+PDxro/1Q03y/UnPvvR17ccG61h2S5oc3+Htv1UdVn
48O496Ad/V+l/4er/TGVLWX7enw+64etA7t6pmF/93TDeslY5OTcpbQEnxva
jcUQ1w2MtSXuerdqG7xd5ZVtpse+VivW4x2S+eWIgV6q+ly2Bk/8LTYN+9da
8RkAbwNj426DWJ2S/1kv4q8ZgYWSbxGDEn9ynsG1Od99qs63v6Cye93Y21E1
4xXHtRuzIP8k36xq/Q/LbC+GVTxH+BAvMo/PFDwX8gTyhdXi2VU0HetwY8M0
o/V9Sqdt3WFlx57ICf5KjIyc2MLBnda3x8rGsZgbPvhl8TkOu9fwuLPCdhEH
0U4sBgYEFvQH8nKwM32bqfLPDa/TLvr+YN0x7sq6Y2R8Jz6Q2HVlh9fv0Mz7
9mDN91n4AOx/VrFeoV+71r1Wl5eMSYM7Yx8vz+wvwddPyFkG4h0wBM4U8chl
FcdBk2qOuVnLpeLzSMl408SG77qIIbt3+pxxj8n9H9gn2BC4D/eW3F9yl9lX
Zb+S7d2Hoef3aJzdyvY3x3da1+APDgVOib4RI9GP/ltVT1PHhU/q/7VFt+Pb
iMu5YyHfHxC+lzWaljoXub9iOfoFH8Zj3Bsy6y++eUnkLsRQj4dvZX2xWTNE
twY9UPlUi9u5gwPDwlbeUzPv/jFHaIlBuXs9ReOelDPftnavO7Ji27Hr5BDo
OPqNnyD22xY4NvgQMSj4bbVm/URPLy47BwA/mxJ4Ijg/+Ba5DNgUfupTrHFh
4J/goGCxxNxgJge3Oe/Cvo8uWzfQEfwIPgTcDJ1dGvjexLJjaHCRfGAa/5Jc
t2WO5W5X+Vzgw+DEd2We+/ta/7srzsl/mnktaCcGAKcDrwOrW5x5XZZk9uXo
7LSS13tI7EVO457PW4LUeol+Xqzyc3W3/6bk+23mS3z49ZwxBWLgbRXb2qmZ
43OwhTTi93cCE0HveoXuHR35HrnPnVXfx84qG7dPA7sfHneI/cX7tor9x58a
jieIKyaUvd8nhH7elDrPJW8eLB7fKDlm6BnjQtNS9f3yZ1PHEesD490WMSU0
XYFXY+/I27jfJd5eVTE+A05DjD8u4nxwCs4O+dRLYc83VozrgWnNCP/1avis
vTLHDZXAvLHtO/OgivPM9zXH31SMN32g+i8iT/ir6vdWHKe+1XAOQX7O/S+x
LPg18fC2hs/G2w3HbNh+4rFvBj25ypbMe8c9D/359gy4RNm6+17Ncd654UP+
HPkmeefawKfJ/VsajiG/Vff9IlhbV9k6gV5xpjmrnFkwzGcz2yDuTD6s+W7i
61XjH2ncJYPRFQKv4/4cXQEv4u6ZO+irM+fKR4f+0K8aOoNtr8bdUC0zRp+p
HJQaEwMb466XO701NceA2Ka1EafgT4hV1mXGK37HW4DM9uWZzH4Jf4tvwp90
j1ybHGhd6Ak5GDpG3HJNvJ/hHQ06R/tnVN5XM/0DgYUwPnkLOfphkefsiPcJ
vFN4ITNu9qLKl/Srq/5yZt3Hz6C382KtWWfiJ+QEe+P7vKABpybmQ9/RyZER
j41KYz8r/jYv+LDe6PeiyN2vDV7YcWwNdqYa2HWPinGDNTEXsHJwbPDstdGH
du6XHo++d2emBxO6rmp8+7/j3Qd4Iv77gNTYzyna1zfinpH7xt06bNMfDpu3
Knhe3HBuOa1hG4UugmkQX4MREQPR9lS0k3tTx++8nTkf34atLvn+r1Q3RtU7
7MjouOfqXfW9N/E6eRBvaLhj/b36fVLzfQB3ZeAEQ0IO3k1As/ONRN6yEPMT
ExAbXF7x3oIvcD7rReee+MwvSaaLVX45c/xLDHR/YDgHRo5Mzom95+4F2z81
7mrAj9jnWys+G2COYH34emJ94nzul7C34NSTU+/77XV/Xx/5QN+ID/D1vPng
vM5OjQveFG85vpf6vvW7qfPiJeE3ie3gMbThnGxx+NYTKo7XR0jGoyuOlYdm
fqNCf+6FuLuFJ/dz60Nm4pPj4o6Su8pTg5Z95P3MlBh7c9zhYM/AlbHVzO2o
sHvYPzA/3i6A+3HuwStHfGq34izUM9d588U+gK2Aq5CjkH+T84AlHxjYGnER
78/wGdzDcH7mR75B3nG65touHm05//9M1djvjanjBd6ADY1yetR3NBz/fdTw
Gx9k550PcSJj6W9nzMOaEEPAC57gymPKbuPOBCwLO4dNvCzzGLw7Y97wa25y
zMs9Fv7r4bjfIq+8qOF27snB3PCv+B3scCVsOD7ztbCH2CEwfWzmlUW/2SKW
mhl19mt73B1xl/TpN3Smd90+/aY4c+wlOANvF7iTODP1nd7mOFOjw3fg8y5o
2Af30jrfgb3Qev28YR2ZGeMujvueJVWvJ/MHo57V8HuLKxu+n+Q87czNi+6P
bLwRIkbAPzKPK+MtGpgGeAa4yhmpsQ/eaIARUAcDQZbxgQlgq8DFiGlKcW+F
H90Yd3RzIobBfl8S5401Hpj6vpW9ZB/npo7NyWPQ+9mxhvjnMYF3EWfw5oC4
F3x0j8BIO3LWRXS+W9m2dXXd9/CvRjzJvTHvJYjVHon7hkfrvkfh7uDNht/m
oMsrRT+5bFvC3Rfv+zgXR4ReoB+jIv69pugY+PTU/gEMD7vImwTWfkPV87xU
+3hhw/emkxuWmf1CVwdWbdO+WPU8wfeIXbAb2AzqYJT46cvqfkuwIN4TzC/6
f2RAlmURk4ONTg4dvrfmu6vDG8ZYwLDAr4jluXMmngevKwV+yH0nefj7meNM
6Dk7y2K+gwI36Io4k3ea7CPz5E6Jkvwdfe6KO6NVNd/Br66Zx7zgMyzeR/FO
inmz1+jeu5nXkPcd5DvsOXfi4PGtgclzZzgiMCl09uTouyDWBGzniIpxxmsa
9mODP43rQgb2kDcGc+OdwRVln0WcCv1ZX+6UpwR2BIZEDgF+QB6xJmhY89bI
Qcg5yKfIpZg736GDD3fUxIbUufNnTuzBuQ2/sTivYZ/HnnBuOQdLwtcg77Xx
fqsSb4qO15hfTL3fYORj6841wREXxzmi74GpdWGGyicjPlwXawzmi66i+9jz
lcl/3kngk6fF+71vl20rZoYNxJ6BEXAG0Z1tEcPMj1jokJpzKO5CyJeOrltv
dtQ9DmcW/Sff4W0Btpq9QGZk/3vmt3a8uSNGmxZxOOemI847PDqCz4q4j+Q8
4QeyyAtYt2tir3nP2Qi/uWfd2AIYBrYWXA9bflan34Gd3ek8bHDIhn3/RtS5
c+B8se6vxxzI1/A7zIW2v5dsj7kPB6fpF3eN3OfhB3pW7Huwj9hG4rOekWNe
EGNh78ib8feNyM/RHXSof+An+Oppme87eFM2N94nj9R+jana5g/ivWLFd4e7
dvoMEDsSQ5LvvhN3UuTr3M2D/fH2ZEPY/E/XGh05vNOx3RGdjuXIDcE2h8Ra
Mfe+gXkQ53yY2g7zPmtGvO3i7OwZ9xsvJY6J1kZchB69GXabGJ8xdmJlTc4F
8Y9rys6ftma2j9Mjf+SN3do4H9zpgWtzr7c0sH/8HdgluXOt4ney+ELs7MyI
1YnZsQdzQg95L7M8/CL+6ObA2LEx88POzA76PrFv6Ap7R5z7p1iffwN/GXHa

             "]], 
            PolygonBox[CompressedData["
1:eJwtmXn8zWUWx7+/7d4f7v3ee7/3amyRfkJDK5Ulr5lRSpM2lKTF0kToZyc7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             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.9295889166666667, 0.7691333333333333, 0.3041335], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1mXm0VVUdx8+b7r2P984995x7rwPqWlm6kqWs5YQyySAOqWVoAs9SRJAl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             "]], 
            PolygonBox[CompressedData["
1:eJwtmHlw1dUVx3/Z3gsxL+/9fu89VpnRqhWmZQZZhIQtIQhWaAetQqAiSMKA
BQLajmBVVtFWotS6VVTKlClbBEFZZNfWVqHFDmURUCsOW6ussgUasJ/vfPPH
nXfOPcs99/zOdt+NoyfdU5sbBEHbnCDI5/dkGAS7gG+LB8Ep4Fg6CCoLg2Bm
LAhKwa+WBMFkGFtDP54Igq3gR/KC4Fv28lPIsPcmCn8JPiYTBFPY+1dBEOxm
TQV+kXUEeCA6S9A9CZ3voPtR8G7ge4uD4J/Y8RU6s8kgWI7+zcA/QN8foyBY
BX6cs4+x6sE7oe8l9M1nlQHXcf469F0GXwZejo4+6JuNTRXAX2JTVRFy7C1E
1/CE73YY/hfgb4c9VdB+wV574I3sVUDrhQ0bgJ/EvtHSB94b/FJk3ROwrwG4
Af0PF9n+DeCfwL8F/gHQk5wfQ2Zwvn1WADyH81dz1gXO+BP49dkgOJtvnmPY
9wYys+BtDc9u+Rf9tzTjznyjk8Dd4MnJs45OnBfB3yzXe2ngWmRuAH4O/96B
fxvhKQV+FP4fcr+d8DyOrtPwfAJ8Bf6e0J5grwH8YonPOoq/lyN7AXppzDKS
fSrh875jTQTvDb4S26/A8y76l6f8LdaDPw9tr+4Ys//2AD/EHfZxn+Gsq9j3
D/DKIt/5Kc6+HpnpOb7zduhLU7b1be7wAPggzuyR529yF3AAfRznHcSGXyM7
gnUA+Xexrwx7PmQVcpf70JcBfhn+o/D/FpvGwDsYHduQ7QLPZfBXUpYvBT8P
fzFn3lnoGJnBtz0NzwJ0b0HmS+j9kF8PXAHPr6CfRf52dHdjfQt8LmVYMaxY
XopPD8ft0/PQ7mWtxZ4J7HWE3g+dh8B/j75BaceIYkU58zRnlybt71fYq+W8
jeg7j+wN4D1LLCPZGuytRNdE/LsVe3vDUwv8P/T1QldvViNwA6tHzDFwGXiF
8jvuPdHkE/mmM+sM+s6yugLPkQzwGXjW8z0OsrcAW6Zj0wrOm4KNG4CHYO+Y
wHtDgS/B3z1mHyyDvzU6egeuGW2Ap7P3ftwx8SRwX+4zl/tsh/4qePOEz/qM
9QfwnyT9LfrDM43zDoWuRfpGZ+Bdxn2+gPdz1kL4x6esSzWkM/A98Ozge78I
fwdki9LWVQ9+O3gN9Hkxx4xi51JoX2pPNNkgW1oRXy3AZ8NzsMA1VLX0Ysq5
pTvr7tuQL4j7Gyp3vkf+785xjN2UdU1SbVLN/B1wfVM+7cdHn3K/kbo//Gv1
TdF1JeFYn4q+c+A/58yeea5h44G/Ya9j3DFVh668pOXXIZMP/G/80x3ZatY+
7tIFnimiIbMV2dvgWQbtPGsucBdWvWofax7wraFrZ0v4GzlvZYlrh2JMsTZT
+VRgn8wC3o+9ucoF5HsgfxmZIfiuGXsDoa2ApxHeLDa8BdxCdHxzAJ4CdC/G
xniec2wJ8E58shnfLINnOLwfYc+DMcfU34BPZBzrH6mGIP81ayhnV7GOqr6p
Rgfeu6j7RM5F1TjVunHov7nQPpAvTqrG53nvVOSeqN7YivWpegk8E9G3Bvlh
wMm0e9949l4DD8FXQ7uGvkj9D5kWcdcQ1ZKBoWtTFTKtoe8pdu1ri0/WQX9a
PsxzzM4BPoYNbQrdQz7Glguha5fiozHhnqTepBqxCfjBEve218HfwDe5Cfea
HNUc1bKka6l83APeNyPHhnJ8MXjXtGv79uuIE+K1nPOeiTmm5mLPzexti3uv
D7Q70L8K2iX4p0ErTPvuukM87Tu1barfjwC/1FSfZyH/M2R/k/SssZzVSf1J
9RF9W9E3Keueot7yAWfOxNbN0Lc0c469r1hgrx30ReCjgWdE5h2BvpPc52Hk
dxY4Zvol3IPUi9qgf1DWNsk29fhL+Ksg7VqvmScfeC1nTAZ+Hv6R8K+IPKuo
h70Vucao1ijmFfvv8T2rVQ/Rdwv8FxL2vWretMjfQLh6Zh60D9C/mvOncsYB
8Er5kLOK1Z/g/w+rLfaMgF7NWY8hfwj+9ujYBjyflVfgHne/Zg/0jYX3WXSM
QNcR7nAj8guw9zBwFXdcnWObhwGXJZ2rHeF5BNt7ha796pHqlV1T7kWqGaod
msk0m8nmnknXCNUK1Tv1rpYJz3bV3P84+veAb+J7VaGzULEEvh96Z3TsUO9A
34fACzmvBjiCZ1aubRwA7+esvyA/EvliaJ0SvovumA/eHXxRjr9RHLwP/mrB
930G/1XoW0H/O/IPId8i9DfRt9GMkcP53wdfWeRv1gX6rU246mlf8GvoKCv0
zKnZcyx32ou+V9m7iO7yyGfpm+jblEaubTPYK4s88yo/NcPkcL9+7M2FdgX+
F5KeyTWbS+c4dJcTnyn431P/hfdH0J+NucfeCTwQeocC1+iuyFew93aRbZbt
4zPOLdWgBuzr2jRviK67zkLnn+OOQcXmTyPninrKKHTvYm8ttlxgry7pmVj5
J5nZkWNKsSWfd4O3A2s+8P2cl8tZFeD14E+AXxc6ZhW74hkNvCb0LDmRvY4p
55RySzLlyH6h+T3XOaBcuJZwL2sNPhA8bIoP1Zz+0DLYmJvneq5Zub7Ys3sC
e7eH7gHqBaqhx5VPGcfmJmSOAR9ljSryTP848ncnPEurp6m3fZbwXTRjDoF3
UeReozdMPf6qCT2/bUK+Gvh0xr5TD1kD/Rw5Nxh/NqKzL7omppzrmuE1y0/I
uPep5lVDr806ttTTT6BvXsKxoBlBs/fdSdd+1eNR0Pqhv67QNVG18QT4XcAN
et9Bb5N2r1HPUu/qG3mWVI70x76zSb9lVEPPKL7x35hc14xv4N0Xuvcrh5RL
6oHqhcqJq9AfS/ktqDeI3iLfRZ619KYMNN9nXJvVw5cAbwk9eygHlAunU86F
VZx/Crh5xrVBM0sW+K+hZwfVANWC17Fve+A3YRf0h0m/VbS3C9q60L5WzVHt
0ZtAb4Ox7DUH3hE6NhRDqjXvhPaVYl6x3znpXqQcU66djhyrqlFngFty5tBC
zyyaXe6L3GuVg8rFJcV+m+mbVELPhj5bM4Bmgf9yp5oiz6yaXQ9lfHe9Yb8C
3ljsWU8zuGZxxbxiXz1Lb0fFrGJXOr7OeAbXLK43l95erxU7FvXm6Kz3VMK1
TzOYZrFrab/NNJP+GHhxsd/OmsE1i2vG0qylmG7H3fqHfmuoBg0A3pz2LNye
Mzel/cbXW181vRb7FqFvZqFnvAPAuUnfRz1KvUozkmYl+bBV2jOGZg3lcHf1
66x7v940k4ErE679yiHlks7U2XXcP4J+MXLv0vdUbfg4dO9Uz1fvV49Xr9fM
0hzZAuj3xtxTa7CvLOHepJxR7oRZ69YbSW8lvSn0tlCNWAreI3T+qT8+gOxz
Gdd6/cdRl3EPUy/TGTF4y1OeFQdzXgb9M4sNyyf61nqD6C2i/2iGJTxDaZZS
DUypnoR+m2lm0uz0fzyde2E=
             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.9241580833333334, 0.7696170833333333, 0.30230225], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJw1mHuMVdUVxg/MzH3MzJl7z7l30MRHYhTSgE8UAQWZsVixBRQUUlJ5qWhj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             "]], 
            PolygonBox[CompressedData["
1:eJwtl3ls1FUQxx89drfQ3+7+drfVeCWGI0ZFodiWUpDWC1A5FZQop3jEA7y4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             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.8889619999999999, 0.7470652499999999, 0.29091725], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFl22QVmUZx8/uA+yz++x5nufsOc9UirK7la3ZoKYsKC0YusubqLxUMyKk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             "]], 
            PolygonBox[CompressedData["
1:eJwllllsVVUUhvftwKXY9vbccxtNLB1QiTgUUKhgOjCVGQktmhi1IIoPSKnY
GC2tiQ9UmmIQlAcTMUZNNCYSI1BDnYO+tYVafDCVMlRkqLNEkWLU78//sJO1
13zW+tfap2JDS8OWrBDCdk4OZ1kqhLdhHE2EsLYghJp0CB9NCCHKDmF+YQhx
FMIO5IeQL0c+jv5GDHuRX4FeVxTCF7khPDcxhOo4hE/h7UaeRr4A+0yxdXdN
CqEY+k78deC/Hv089E9xOqGvI5eT0HdjMwH9zmQIteQyB14b8n/zQtiZCWFh
oWWKqdgPceJsx2yCHsoPoS/YZi62i9DPInaCswv7fr5hPd8zgE03uf6Jzmz0
G/D/V2wd6WZz6rE9D28xsiWcKmy3kv/lXMd4AvoA8VqJPYWcTnCvQ38Hsbs4
86BnYjMP21rO6dhHdB1nBrILsX0f5BzlvpicDuOvBH8XuR/HZybpHqgXG4l3
LbEXoX8O2/mxY02FtwnZOvIfQLaa+wXs26nJN7mu+X3cq7m/xr0Un2Pcp0SW
N6JfAf0b/uZAr8TH79A1nO34P0I9bqd/h+nJH0ljYB/x/qFGzdAxvEHs2+DV
TnRNVJv3OFty/A1DyB/IGEtV6DwIXQnvLb6tD14j+VxNW6aetGL7csrfIp29
wlbGvclw34P+f4XG7jsCNfJezkhwz19E93pOO9+SRr4b/VOczizn3E/sZdwP
JsyrwbYU3hZqVUy+V1UL6vUK9UlyH0b3BLxJwTUZgW7A/2f4nwVvDXRcbKz3
cx8mt4X43InvL4mxGvsP8l3rGuyzsP8R3h7oj68JYTO2PxD/VmJtI4eZ0IfQ
v5n7NM73msUi10q80cg8ydrQnw7dg/4tSfuQr/XKL2FMPAy9IuVaVQpfkTEn
7Amjo+TzJvaf57rH6vV05K9ivx/5UuyXZzyr73NfAd1FPv0JxzyLv79jz1IV
Opehu5EPIL8N+Tnk5XzjG9SnmxzOCP+Rc2kn/3sLPEOapSe53wT9a2wsTsPf
L9A3wNuK7C5q9hS51vE9L2QZs7XQJRn3WjtsMvSZ2LNGecNj6B/Pd282w7if
XB4RRoi3Bt4G6KfxcTLHNVAtvo6M7ee1M6CPpYw96QymnLNy1wxp1prw0ZLj
nM4im13gWdVO0G7IxkdTlmtaiawDm68S/qYbkT2K/WCeMSFsHImMPWFUWC2L
nKswWg49WuBaCmMvkU9fgXtVjv0Y/WvE37sJY3RtxjVT7ZTjfuhN1OBDatGF
/Wlsn4FXjbwZ/yX4H+F8ollH/jPyOyJjUz1VbxOxsaydot1SU2Rd7YDs2DtJ
u2kfPS8lVku+Z0UzdSntnaLdojegNnbOyl07TrtucuRchOFWfJcVG1vCkLCk
N0RviXJcxfdfSftbtHPGoXtSfov0puhtmRF5VoRZYfceanIgzzOt2dYbo7dG
O2Mu+j/xzRVJ90S9Gca+LOl+byvyTGu2pfNdZEwJW3ojZhF/PPYuUY1Va2FI
WErDO6b5i0z3kO8Ccu3gm1/P9RtQn/KO1q7u5b40ZR3pqkfqlWqq2qrHQ+iu
yng29catzPgN0VsijH9LrKmRZ0uYe5b8z0eeTf0DXEK3udi7SN/4OPSSlGMr
J+V2MfYs6k0cg/4fQukVfQ==
             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.8186932570561003, 0.702017816264464, 0.2685738563862033], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFVDtvE2EQXB/GwZwv9uV8VEASGioak8o4KTABFF5SQAIJsMEkDa8g6BB/
AEqaBERFTZEUQYolECARGqRIICFEwrPj0SEeiSmYYTaisL7v9ptvd3ZmP/e3
JkYvBmY2gd8a/N4lZoN5s/e+nsbhnYzZwlqzp+vNHmN/P2t2G/Fh4Fd6zAbW
mS1j3Vc2m8adkbLuTvv9qUB3dwF/FLHtwD9CnvGc8tZN3xXER001bgXaM0Z8
3eMV34+VxeFbpPMBj79CE9WC2Syw1wrKsadotrPbbCtqPcD+clb5ma8vNbsL
br1YN3SZXQ/Ec1uqvgehw5OMemC8UTJ7iDwnS6qzw2vVSsqZAb4R6oz6HIqk
Vx11m6HwPO8AdwxabI6hfU77VQ3Ii7yDRFxncOc71nHUBewfF8aJY87lUBwO
57VnD/uhzwy+D5TVB33g3clAdZifXKrO52wqb1YSYciJOOZres4+59obyzfW
p+a8T42oD30+FWp/PpVHX6HBpZx4E9eEVil8qnfrfC6UVswz57nIi14y/jGS
R/RquCju9PZqSdg34PMzUf8/EnHmnpr8yUp/5lmMtacnVdTeiB5mka8FjRaA
P4N1Pq9Z4kxxHtgLex3qEZ73fqHGEeB+Y30dS6/Pkbg3vBeekz85XClIvw5y
dLLiRAznkTkXsb9Z1Nkn5OmPpdeWWB413d+RSG8miRVruM7kWvE3dQ4atRG/
kEp36su38iGSv/T5LXjXsF9KNCOcLc4HudAX8qkl2tOrF7F8vlcQr01d8pL9
dbwX3mcezhj5kedLrCdQ+xmCx7G2/L+EmCXncNC151xN+v/ElL/Nts8De2BN
zjzP9hb11r54T/P5/36xFrWmb/ymPkOJ6vJNM1/bZ4y4pmtIbuRD3I2ienke
qQZr8X0zJ/lxHug3+e4G9i9HS7Gu
             "]], 
            PolygonBox[CompressedData["
1:eJwlkrkvxHEQxWfXLpY97KXCWo1Cq0Rh42aLJSGIxIrKGVT+A0qNEJVaQWRF
JEQUNESCiCPuVue2Cp/JFJO8+c28N/Pm+4unJ1LjThGpIlzEd1ikyyOScYi8
g8+DIsO5IglqZ+BNP7lb5I3m+YBIBd8mqR/QP1sk0hIRGURwHY02cC0aK9Rq
yO/AM/Scuk2z1UdErLeWuNe6V+Qyx3b4Ik/Ssw+/hzxLfs280jybGQcnI6ad
ZuYJvWVB652gXg7+hdPtMQ3VyrBzCfMriXq8dMDf8NjOuvsG86dcNkNn7Qas
9xb/V9RiUZHVAttRdz322S1Uox3+EHEKXkTvCv6a125Xnc8uIZEX+v/ozxIL
aD+EzbveqA7cB/+IvJj5F/B/QsY95FsvtSz5nNN6+skTeIjmmKe6kHGUqzfW
W+sb6lt20v8JjgXtNrpjGv5H2GqqOe01j+p1D/4A/DH87hSKLFMfBTexc4r6
EnkzuDFgXvVbA3jbb7fRGz3h9SZo/4ZqjMB/9ZnWFv5vqSUChvUmehv1qF71
zR7JHWGbpW/iBD/77HY6Q2f9A2xSZ+E=
             "]]}]}}, {{}, 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            
            LineBox[{3533, 5198, 5084, 5085, 4925, 5421, 4926, 5087, 5086, 
             5194, 5195, 5193, 5197, 5196, 3532, 3978, 3763}], 
            
            LineBox[{4189, 4190, 3288, 4029, 3650, 4021, 3642, 4670, 3651, 
             4191, 4924}], 
            
            LineBox[{3402, 4212, 4564, 5211, 5212, 4859, 3187, 5109, 5110, 
             5108, 5112, 5111, 3188, 5407, 5408, 3553, 3768, 3554, 3986, 3555,
              3907, 3407, 4571, 3564, 5220, 3563, 5484, 5485, 5483, 4570, 
             4218, 4386, 4385, 4569, 3249, 4866, 4865, 4156, 3562, 3912, 3911,
              3196, 3909, 3910, 3561, 4568, 5219, 5218, 4383, 4384, 4382, 
             5115, 3406, 5114, 5482, 3552, 5210, 4857, 4858, 3244, 4562, 4563,
              4371, 3402}]}, "0.4`"], Annotation[#, 0.4, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            LineBox[CompressedData["
1:eJwV0Dtrk2EYgOFHMhWsVq2bCtLaMQfFIJQ06lAbS6nmoJOHCGZwaAYRK+qs
dFXoX+giiLT9Aa7ag46lok2TmBSq1joKemW4ud/n+H7vd/pevThzICLmUDsY
sXUsIt0f8Y0z3OBV7nCWv/MOupgejPjBP7GLPfxCRX7scEQeLTO3xE2+zW/c
8QhDRyKG8Wwg4oqZ5zwiPoNNvNPzBAm1nNqu+S/yN3nK3j75c+Ib4qfqld43
iruYVP8jDv53KGKey+IC7/feoGfZ7qt2tJ3nzJ/lDFpYUiuoNZ1fqqU5hW0s
qk2oNZxfqJXsSzrvcc37fvNr97zCY71v0ZG7o1bFXUyJH5o9aW7crhM8q++y
mVXnNazgE9bx1xs+8ldzWXOjyOktiN/Lb/AFuf2jEXV7FnDdPUVcQxkl5PV9
xqnjEQ/0XHL3ReRxXr7N9+V37PkgnjCT4qrdSU70/q/af2OvUvM=
             "]], 
            
            LineBox[{3649, 4669, 4469, 4922, 4470, 5149, 5148, 3472, 5147, 
             5496, 3641, 5259, 4920, 4921, 3282, 4659, 4464, 4465, 4263, 4660,
              5465, 3283, 4661, 3802, 5395, 5397, 5396, 3751, 4089, 4090, 
             3831, 3228, 4792, 3234, 3959, 5458, 3960, 4048, 4047, 3473, 5264,
              3653, 5262, 3652, 5263, 4025, 4030}]}, "0.35`"], 
          Annotation[#, 0.35, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            LineBox[CompressedData["
1:eJwV0E1IlGEUxfGraEafOn7sg2onhFSaxTSiUlREuBAlbcIUhWgCl4IKakHU
Mlu0Dly0iMioRVBRG7VFEBERaJBQNKaDUZmg9XsXf85zzz33uc/77um52pYr
iohp9O+IyKcilrBYGfEFdTsjSioi3tKHtLs6ot45r9dAy3jv6GOa1cs4r+o1
0e28T7S9KuKV82tUoQbVeI+W3RFD9paaKcGyfJ/85q6Iz/oF9TxdoQv0rPyI
/DbZw+pO/kh5RAf9oV7GgPl+/OblvGkp2UPz9JbsIbpffZB+x1P37VMXuTtr
7xl6CnfwRG8YaXPj/ssYfiU76SiG8cauiWTOHTXeNSa/1/m4u0+rM/Sm+ay5
dPLtvKP0gvoGv5s2qiv5q3Rd/ZMW238XXepz9C8tJP8Ct82dV1+2e42Wm61A
CpOyW2kZrstdwwTa5GrN/vPm0HvgnRve/ZX/gb/B30TGfBPm+UfM/eGt4b78
jNwsUjihP6g/59zhHZ2oUzfimPmT+i/1PtJ63hXk0Gr3lLuaaQueybzAc6Rl
H9FpHJBdsbeAe/J96l5s0StFL++b3iVeDy6i1nxx8kb6HzxEZns=
             "]], 
            LineBox[CompressedData["
1:eJwVzr0ug2EYxvHL7qtvPyQ2h0CilbSJMhgNDsDgANrEIg4AiYEjwERKYpVQ
ickiYcLoGAyqZfIz/PO/n+e5rvt957a6G52xJOt4mEp20S6SFSxjbTJZ5Rbf
cR+3GFWSIbblb/A6nmyWk9508ij74u4ZA+cv9HQuMTR/Y3bCDu+/5h+McK1X
qiYF+nbdY0buTK/GLfen5k/ZC9kT84Df+YPfuOqfaniy+0Cnww17uqVk3/lc
d48XZBs681znslyBCuryh3Ysud/xzUXnI50r3eP//9Bpe2ty09sfinwvqQ==

             "]]}, "0.3`"], Annotation[#, 0.3, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            LineBox[CompressedData["
1:eJwVz0srBGAUxvFj7zYuZcHCQtgplMu3kJAVQ1khsbO1sBgbRcnGGGFmDHZ8
BAplIVnLNeRSNmbhN4t/z3vO85zzvm9zcnZgpiwippAuj7hFvjoii1RFxEIi
oqs2YlP/GomqiO7KiCH+MKbVS3KtNREd+oN6nfIbshdo0Z+wYxI7vDb1KP+S
1+68VxexjzHnJMYxaM+nvV+4d66iV/LfdBEPpRn9LdksfVG/4hHPeEKDN23z
c/w0zdMMXeet4Uj9Rove9IdDdY7/S9/1P3DmnedotKvo3iZ6IFMo7cOx7I/Z
b3xhT28XI85z8v38E7psLvTKUK++8ZdTOo+Ue1bQY64PvVgt3SNbwJ1sBv8l
aEPA
             "]], 
            LineBox[CompressedData["
1:eJwV0l1MzXEcx/EfqtmkB7IoN3GBcUO5KGycHrA8hYQLO4WNSskNbuhoLgyz
mKdpuHLh0iwr487DnZkYGyMjDdVMnZhqXv+L9z7f7+f78P/+/+cU1DVvbZoU
QujH4swQRpDEj4wQvswI4Tv9Sr+hD8+nhzB3lpj/OfJpWlYIqXgsTqFnzC9D
ISp5y2nCTBG9gGI0pfP1FkVz2SE8Qpl97WpDvEEM4Jb5Tzkh9OIjbsvvmI3N
DOGq/kY9DSjEW7etMF+CI3qS6tn2VvDr1cvpCXdk8UbUauz7wCvlDUfvxm/R
V8bLFD/DU9y1qwV54nwc1XMMxzFmbgmvykxCfgptSHNfMX83v11+EZeQwc/E
dTfOobORi1Tv1eievfpv6EuabXZXCw4jTf2QehP+qI1in97LevfTSnmePfnY
afcu/OOvVs/hJdzfjV/6VmIVrqgN003qD9VGxGNmqszG6U06BSkYl/fTiehZ
7ukQvzI/WX4t6qOv5T1I+CatGHDzNhqnnfx6z2nAO/3d8i48QK16h/farrca
a9yxwDNi9Hz0e9AN5kppmzsr6FqUYz3W4TR/h701GHVLgfmTvC4ctHvc/AQ2
ol4+T30+psnT0apvs9leuxZiUXRD9D3UtthXp/eNvE+cG91D/6pV0lq1J7z3
4nRaSn+rxWhcrZPXI55KS+jP6L9B96jd470Un/PsF3TIbfd9jwHfYRAH3LVU
7Sz+AzpLg7c=
             "]]}, "0.25`"], Annotation[#, 0.25, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            LineBox[CompressedData["
1:eJwV0Lsv3XEYx/GHrm51OziTEBPKwiQdGUxEU5PEUhEOUSRuCTEZqMtKLE4H
p4uSNHGOuiYiTBaTSDr5CySNxcvwzvv7PM/ne/n9agfHelJ5ETGD54KI8bKI
X+URGaSKIja5kze4i7e4g09KwTnO8X/94+KI/JKID0hYVyKLlcKINrl29Js9
cGVFxJN9Ex8jvuNO7ot6nLvNx3jHe/as08ia/eFjfnHXiHnSuYu8hAP9V97V
W+AMn8tf6f/lM5zi1qza7Np3Ztx7ab3PF1zjTUkkUI0qPMpvm81z2p6f2HDO
Jtawjh+4Mf/nvRe+78i61b0D+n3qYfW8Mw54joe4V78Hn+Qa5Ir0DjFr/o0b
9X/zrTMLuVldJ9fE9VzmHyzLlr//C+9PYRQtZpPyU/gqe8+rctP8Wf0Gh01F
BQ==
             "]], 
            LineBox[CompressedData["
1:eJwV0LcvhnEUxfFrFb38AdiUQVjUwcBuxmDQBkaRIBFlkxixKaO8xKJF90pY
lCgTAxEDCyaJ9jF8c+4593fvc/MUtPc196ZERA8+0yJGcyPGMIRhfMiuMiOO
MyK+8iJ+8I02vlO/A7N8Kz+QH9GoTqZHNKgT2RH1tIJ/8q6SJnIillGSFVGK
Mkza/y57Qzl/7d2a2Vraxa+rN3DDp9I62i3fVG/hlh80O+qGC/klft09ZW8S
M3pzetN0nj66cZE+0AU6K29xZ6E9Z+4sor92JNXHOMQRtvFiZofu4tnuA7qP
PSzZdSQ7/M8xIRvHuV0jev2+s0pX3HziG012Lavv5Xf//8XbPHm1W2pQhVez
PzjV+6bF+APrXUp8
             "]], 
            LineBox[CompressedData["
1:eJwV01tMz2Ecx/FHOYz1/3diEx2YjOSOjc2FYQ4hEi6cRpliOYbaxMqmyHlO
OYzYuHDBjdlssjGRC6fKRjLF5tIc5gabvH4X7z7P9/P9PN/n93t+/0aXbive
2i+EkOTP53gIY1JC+EJ70kL4hF48U7fSNvqEfkwK4dLQEJZYF2PesBDmokD/
DH8Wb3BqCNNiIZSZV44b9lQgxo9jG287bvK2YzgvA7t5VbjNq8IEXj5qeXW4
w6vBFN5UHOedwEnE0kOYzyt17gX1RfT3TLM9WyJdlRzCasSt5/Bi9KFZjdE5
6mT1ev1SHOfl87J4Q9TZZuWgxHodbuGxzDGMd26hXqbsaRTZd4r+xA+8cR9v
aa/MJ3xGBlKi57S3x7pTpgPf5Y7Qo3jP747eS+6r85Jok3wX77B+I77Jd7jz
TpzVO4d0/kh+Ch1Bk2kaUqPvYk6MxrHAnIU46h3W8ivN2Ikd2I1d0Tc2rwiJ
1gk4IDvDngRzl9uzDM3oF92pmYX0XjQ3und1JW1R38ddnPcODb5RLp1o33le
g1yJeqn6oLPq1Q32VcvV0wPqS3otzh6lP8A68Itpn30F7vuydY5eNg5F34SX
h8XqReY0Rb9D2SLrhcjiT+f9tf6DgfZfR5nMSnoNV/HArAZkys+UH+Tc3/Kb
5PpoqvofTaFV7ueR7FjZXFSr06L/KesK+X3qbPUeuhc1aJU/gTyZFeZUyl1x
TnP0e9ffj1qMtm+Ee9jgnapk4rxqusaecXpZemV6tbxUvTparjdJb6Pe5uh/
18ynaMMW9Sv+azzHS7xAO355nslmdci0o5v3Ae+i3yS6MNSM/7oricA=
             "]]}, "0.2`"], Annotation[#, 0.2, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            LineBox[CompressedData["
1:eJwV1OlTllUcxvGD6bg8j0KKI2gqYGEJaDK+T1MblxGSTERwicwlF8iRBjR1
pPRBsdSgRNMy3KrR0ja1xRmbcm/KNzQ5qeNomjrjH2C+8HNefLnO+S3X+Z2b
+35yq2vKlqWFEJb783EyhA7M7RPCHGRlhtAPT/cMYWZGCJWoQmvvEFpQiEWP
h/A6FmKw/SC8HXt6hdBI1+Md7NXXjnpes9UW8d/mrDNIpIeQp36YWAEKMU8s
k1dfTFO/VF9XPktoJ7HH8AK/fLVD8Qufevk+fIJcJk2j78vt59XNvrN9F4zV
l1J/Eu1ye/GffKlzpqIMB8W64qF1d7kpdLrecszAzzwq6Ey8Kt+pr5mQhgv2
l/UmaI2ZapFrjjw08Glxh3raSlfSFI/f1aTUN6nZiE3osO/Br7O6v5zXgaNq
j+C+3BP2A3HXWXeQFKvDJD0r6HX3G2ldbf2F/OeYjWbxSfomIskrgW7i39Lv
8DVO6PmGvqk/y7rBfNl0l56s+AzEf+OTbd2ETfEZiTXTd1FivZkmzJ6rNw+D
kIPBaNW7JT5zdVvpe/iHd5t799Jz3zzp9IrYVexGmdxpfUVyo3mMwSee36fY
g4/kd+I5njfU95BPIInueEluGobr36f+BP9m+gMdKz8Oz+NH+3LxWjqdvkFn
0Hw6Xv4U/Z7PMRyP75fZJ3oGL9IJdGr8H9BSetpZX+Ir5NgXxvu6Q08+ddFX
fwXOi21HungGqsRm4YB7zHf2en2v0QK+f6p71r5S/n+1D1Aen2WcASWowwqc
k/tDfYbzb6rJ57eW3rJ/Of7P1FTRHeoqaRutEVtlvYy+RWvpGrPe0LOaLqa/
0g30X9796QJ1a2mjudbE70b8kHkP46IzL+A8Dumbx6843id+O/ggnmP/IV1N
d/NaRbP5rIzvX/x90LtL/Jr11fguu/tnOIjLZv4bxfIpuhFN2OGsIXQnTZnj
npn22x9AO/bF36WYF1/Es4WWOqcET/FaYp6lWBy/d3U/4Yi6s+qS9Ek1A+SG
xG+Rzhdrk3vFWdWYgwZnz6XF5hyJZ9RuiO8izdNTQHPoMJpLF7jvOj291TTG
Z613lFyR3AgMx21nXHLWdjUVcpPj7xB9gD1yjwC83rl3
             "]], 
            LineBox[CompressedData["
1:eJwN0LkuhGEYhuFnOoVlbKExTEKGhg6xHYBSVHQ6iaW1hGFOwBkoLZ0Z1EZp
7UgkROMclFzFnft79z9/eW17aauQZBmVjuS4M6nhCFWMFZOhtuTC+xJnuBOf
c5OLvclHe3LVndTRwK89t3yDa5yqD8lFf599/RgUl1Dxbqq38D2/6i/re+IX
POOnJynIrbq115Ws8D7voGZmlzdb3bDjUzzCX1zmRZ52p2pmijf0TfI6T6iP
o4E6vuXe1N7xaO7P3QeO2WG5WfEcZrCAeZR816jZA/9jQN+aHYfeJ/gH1SYt
gg==
             "]]}, "0.15`"], Annotation[#, 0.15, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            
            LineBox[{3359, 4506, 4507, 4312, 4508, 5432, 3333, 5003, 5480, 
             3509, 5441, 4509, 5440, 3370, 5081, 3371, 3820, 3171, 3962, 3479,
              5363, 3765, 5360, 5362, 5361, 3982, 3306, 4981, 4980, 3695, 
             5293, 4275, 4276, 4032, 4033, 3696, 4132, 3835, 4103, 3775, 4110,
              3869, 5381, 5382, 5294, 3697, 5298, 5299, 5295, 5297, 5296, 
             3296, 4968, 4969, 4502, 4504, 4503, 5036, 5035, 5034, 3738, 5341,
              3527, 4353, 3372, 4352, 5083, 5082, 3882, 3293, 3880, 3881, 
             3526, 3975, 3803}], 
            
            LineBox[{3369, 3888, 3490, 5158, 3492, 4985, 4986, 3312, 5385, 
             3313, 4988, 4987, 5384, 5383, 4296, 4115, 3790, 3792, 5460, 3791,
              3231, 3832, 3646, 4028, 5038, 5037, 3739, 5342, 3466, 5145, 
             3467, 5146, 3833}], 
            LineBox[CompressedData["
1:eJwl0b0vQ2EUx/HThKrGW0trFIO1/4GNMBmIhdZANSK0ibJaiMGI1dsiEmaj
shuKkc1kZ6Q+jeGb773nnOd3nps7ulybrSYiooKzoYjVvohTLvNVf0SjJ2Jy
IKKei5jgbf7JROxw2swWf2QjPj1n9AeQxZuzObVbbuEXN0j3RpwMRhzj2Z4m
1tU6OIlOzMlv6o+pv7TncC9z3K4GP+Bd1qb6Bh69P9nVoV/hcxmXuMCI913+
xhfu3HVR/oHZuvwFz9tc5IKsI9+7Kjtvbhjz6jX9lLNVLjvXrZ6Xm2rPcJpn
eIqT6MKUO02jYP5QZknmNV5R0l9CsX0XtOxdk52wI7DvzB5Wcv//5A8SETXN

             "]], 
            LineBox[CompressedData["
1:eJwl0r1LFVAYgPG3Ne/V/FrcBLUy9drU35FQzmqpORQlaKCG1ZKhglCCqFdv
t8a00RpV1BRz8JN08OMOBYWbbtJPGh6ec96vcw6c8uYnDY+vREQaFSURuWsR
E8URHwoj5pIRWV4uiljCYUFEoVhafhIj+RFbeqr4jbpxuQX9i8gl1Imd8A01
N3Edn9RU87l4zrwzfmnWK3ShG3/EnvNfrlObQi0+673Ns1zPM7zhrB9YR43Y
LYw5d1v/Hnaxg1/yv1Gs58i5371nFStYd/81zsq1cYd9Kz/iY7Xt3Gn/gp9y
Hz/jlNxVM/NwKJbkBN5b77jHLpqc3Yyf3vJa/T632D/Amvwq+tXPm7eAI+s7
pREX6rrsq9HjPf1ivfzF/Id6D+RnrGdxFxk0qhkVb5S/j3toMG/Fucso8r5x
8yawJ56nPokEyvSXyn/V8w1b2EQ98uULMGU9jQxOzfvI2cu/gnfmbXvLkNnD
7pkxa5CneYhTagZ40v4tp7my5P+f+wdVTGKV
             "]]}, "0.1`"], Annotation[#, 0.1, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            
            LineBox[{4118, 4056, 4055, 4111, 4069, 3322, 4297, 3797, 5430, 
             3323, 4093, 3766, 5459, 3767, 3498, 4501, 3497, 4484, 3477, 4483,
              3478, 4485, 4979, 3305, 3976, 5318, 5319, 5317, 3706, 5320, 
             5336, 3317, 3734, 5457, 3735, 3495, 4499, 3494, 4500, 4978, 4977,
              5481, 3510, 5183, 3511, 3878, 3877, 3334, 4075, 3335, 5005, 
             5004, 3720, 5326, 3873, 5327, 3721, 5008, 5009, 3337, 4076, 3336,
              5006, 5007, 5311, 5310, 4991, 4992, 3705, 3796, 5461, 3795, 
             4117, 4118}], 
            LineBox[CompressedData["
1:eJwl0Dsvg2EYgOHH2KTOTLpgMErU8V+IpP0BNiTtIKFzw45EwmaRYHKo8yG0
lv4GXVVCQqIdLBKXdLhzv8/xe99vcD4/l2uLiAzSfREn7RFjfMzNjogG1joj
7sQDXRFDzsN4EL+J63jFvXi/W49aCmfiaXtKPMMjPKtvD9n+iO1kRBWjzhXf
KCOh9o4PNOxoYlf+xfwO17goVzeX743I4UjuEEvqFX7GI8p4wrfeK77GJW5x
gxX9F1zgEq/yOS/0RCxiw1u2sIkfOybc88AblvWlnT/l1t3l679mbhLjONUz
xb/J1v/8A2IBONs=
             "]]}, "0.05`"], 
          Annotation[#, 0.05, "Tooltip"]& ], {}, {}}}], {}}, {
      PointSize[Medium], 
      RGBColor[1, 0, 0], 
      PointBox[{1.52622544271098, 1.9168414232863418`}]}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, 
     Ticks -> {Automatic, Automatic}, AxesOrigin -> {0., 0.}, 
     FrameTicks -> {{{{0, 
          FormBox["0", TraditionalForm]}, {
          NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
          FormBox[
           FractionBox["\[Pi]", "2"], TraditionalForm]}, {
          NCache[Pi, 3.141592653589793], 
          FormBox["\[Pi]", TraditionalForm]}, {
          NCache[Rational[3, 2] Pi, 4.71238898038469], 
          FormBox[
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
          NCache[2 Pi, 6.283185307179586], 
          FormBox[
           RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
          FormBox["0", TraditionalForm]}, {
          NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
          FormBox[
           FractionBox["\[Pi]", "2"], TraditionalForm]}, {
          NCache[Pi, 3.141592653589793], 
          FormBox["\[Pi]", TraditionalForm]}}, None}}, 
     GridLines -> {None, None}, AxesLabel -> {None, None}, FrameLabel -> {{
        FormBox[
         StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
         TraditionalForm], None}}, DisplayFunction -> Identity, AspectRatio -> 
     1, AxesLabel -> {None, None}, DisplayFunction :> Identity, Frame -> True,
      FrameLabel -> {{
        FormBox[
         StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 15], 
     FrameTicks -> {{{{0, 
          FormBox["0", TraditionalForm]}, {
          NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
          FormBox[
           FractionBox["\[Pi]", "2"], TraditionalForm]}, {
          NCache[Pi, 3.141592653589793], 
          FormBox["\[Pi]", TraditionalForm]}, {
          NCache[Rational[3, 2] Pi, 4.71238898038469], 
          FormBox[
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
          NCache[2 Pi, 6.283185307179586], 
          FormBox[
           RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
          FormBox["0", TraditionalForm]}, {
          NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
          FormBox[
           FractionBox["\[Pi]", "2"], TraditionalForm]}, {
          NCache[Pi, 3.141592653589793], 
          FormBox["\[Pi]", TraditionalForm]}}, None}}, GridLinesStyle -> 
     Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "GridLinesInFront" -> True}, PlotRange -> 
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
        0, 6.283185307179586}}], PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, RotateLabel -> False, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
       FormBox[
        FrameBox[
         StyleBox[
          StyleBox[
           PaneBox[
            TagBox[
             GridBox[{{
                StyleBox[
                "\"Amplitude\"", {FontFamily -> "Arial"}, StripOnInput -> 
                 False]}, {
                GraphicsBox[{
                  
                  RasterBox[{{{0.6933906666666667, 0.3520201666666667, 
                   0.22081366666666666`}}, {{0.76275975, 0.43778849999999997`,
                    0.24676025}}, {{0.8305318333333334, 0.5565334166666667, 
                   0.27070483333333334`}}, {{0.8892701666666667, 
                   0.6799575833333333, 0.29063316666666666`}}, {{0.91843975, 
                   0.744143, 0.300414}}, {{0.9295889166666667, 
                   0.7691333333333333, 0.3041335}}, {{0.9241580833333333, 
                   0.7696170833333333, 0.30230225}}, {{0.8889619999999999, 
                   0.7470652499999999, 0.29091725}}, {{0.7996205833333333, 
                   0.6897487499999999, 0.2632103333333333}}, {{
                   0.6324764166666668, 0.5821762500000001, 
                   0.21707366666666666`}}, {{0.4818989999999998, 
                   0.48405749999999986`, 0.195561}}, {{0.3516674166666668, 
                   0.3984032500000001, 0.19010649999999998`}}}, {{
                    Rational[-15, 2], -175}, {
                    Rational[15, 2], 175}}], {Antialiasing -> False, 
                   AbsoluteThickness[0.1], 
                   Directive[
                    Opacity[0.3], 
                    GrayLevel[0]], 
                   LineBox[
                    NCache[{{
                    Rational[15, 2], -175}, {
                    Rational[-15, 2], -175}, {
                    Rational[-15, 2], 175}, {
                    Rational[15, 2], 175}, {
                    Rational[15, 2], -175}}, {{
                    7.5, -175}, {-7.5, -175}, {-7.5, 175}, {7.5, 175}, {
                    7.5, -175}}]]}, {
                   CapForm[None], {}}, 
                  StyleBox[{Antialiasing -> False, 
                    StyleBox[
                    LineBox[{{7.5, -175.}, {7.5, 175.}}], 
                    Directive[
                    AbsoluteThickness[0.2], 
                    Opacity[0.3], 
                    GrayLevel[0]], StripOnInput -> False], 
                    StyleBox[
                    StyleBox[{{
                    StyleBox[
                    LineBox[{{{7.5, -145.83333333333334`}, 
                    Offset[{4., 0}, {7.5, -145.83333333333334`}]}, {{
                    7.5, -116.66666666666667`}, 
                    Offset[{4., 0}, {7.5, -116.66666666666667`}]}, {{
                    7.5, -87.5}, 
                    Offset[{4., 0}, {7.5, -87.5}]}, {{
                    7.5, -58.333333333333336`}, 
                    Offset[{4., 0}, {7.5, -58.333333333333336`}]}, {{
                    7.5, -29.166666666666693`}, 
                    Offset[{4., 0}, {7.5, -29.166666666666693`}]}, {{7.5, 0.}, 
                    Offset[{4., 0}, {7.5, 0.}]}, {{7.5, 29.166666666666643`}, 
                    Offset[{4., 0}, {7.5, 29.166666666666643`}]}, {{7.5, 
                    58.333333333333336`}, 
                    Offset[{4., 0}, {7.5, 58.333333333333336`}]}, {{7.5, 
                    87.49999999999996}, 
                    Offset[{4., 0}, {7.5, 87.49999999999996}]}, {{7.5, 
                    116.66666666666663`}, 
                    Offset[{4., 0}, {7.5, 116.66666666666663`}]}, {{7.5, 
                    145.8333333333333}, 
                    Offset[{4., 0}, {7.5, 145.8333333333333}]}}], 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], StripOnInput -> False]}, 
                    StyleBox[
                    StyleBox[{{
                    StyleBox[{
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.05\"", 0.05, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -145.83333333333334`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.10\"", 0.1, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -116.66666666666667`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.15\"", 0.15, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -87.5}], {-1, 0.}, Automatic, {1, 
                    0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.20\"", 0.2, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -58.333333333333336`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.25\"", 0.25, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -29.166666666666693`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.30\"", 0.3, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 0.}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.35\"", 0.35, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 29.166666666666643`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.40\"", 0.4, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 58.333333333333336`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.45\"", 0.45, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 87.49999999999996}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.50\"", 0.5, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 116.66666666666663`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.55\"", 0.55, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 145.8333333333333}], {-1, 0.}, 
                    Automatic, {1, 0}]}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], {
                    Directive[
                    Opacity[1]]}, StripOnInput -> False]}, {}}, {
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], "GraphicsLabel", 
                    StripOnInput -> False]}, "GraphicsTicks", StripOnInput -> 
                    False], {
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]]}, StripOnInput -> False]}, "GraphicsAxes",
                    StripOnInput -> False]}, PlotRangePadding -> Scaled[0.02],
                  PlotRange -> All, Frame -> True, 
                 FrameTicks -> {{False, False}, {True, False}}, FrameStyle -> 
                 Opacity[0], FrameTicksStyle -> Opacity[0], 
                 ImageSize -> {Automatic, 350}, BaseStyle -> {}]}}, 
              GridBoxAlignment -> {"Columns" -> {{Center}}}, AutoDelete -> 
              False, GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              GridBoxSpacings -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"],
             Alignment -> Left, AppearanceElements -> None, ImageSizeAction -> 
            "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
          FontFamily -> "Arial"}, StripOnInput -> False], Background -> 
         Automatic, RoundingRadius -> 5, ContentPadding -> True, 
         FrameMargins -> {{5, 5}, {5, 5}}, FrameStyle -> Thickness[0.01], 
         StripOnInput -> False], TraditionalForm]}, "BarLegend", 
      DisplayFunction -> (#& ), 
      InterpretationFunction :> (RowBox[{"BarLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{"Blend", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.658579, 0.316091, 0.207507], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.4390526666666667, 0.21072733333333335`, 
                    0.13833800000000002`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.658579`", ",", "0.316091`", ",", "0.207507`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.658579, 0.316091, 0.207507]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.658579, 0.316091, 0.207507], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.06`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.742127, 0.402321, 0.239443], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.4947513333333333, 0.268214, 0.15962866666666667`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.742127`", ",", "0.402321`", ",", "0.239443`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.742127, 0.402321, 0.239443]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.742127, 0.402321, 0.239443], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.12`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.824658, 0.544191, 0.268712], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.549772, 0.362794, 0.17914133333333335`], FrameTicks -> 
                    None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.824658`", ",", "0.544191`", ",", "0.268712`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.824658, 0.544191, 0.268712]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.824658, 0.544191, 0.268712], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.18`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.895144, 0.6923, 0.292626], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.5967626666666668, 0.46153333333333335`, 0.195084], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.895144`", ",", "0.6923`", ",", "0.292626`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.895144, 0.6923, 0.292626]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.895144, 0.6923, 0.292626], Editable -> False, 
                    Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.24`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.926205, 0.761424, 0.30301], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.61747, 0.5076160000000001, 0.20200666666666667`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.926205`", ",", "0.761424`", ",", "0.30301`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.926205, 0.761424, 0.30301]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.926205, 0.761424, 0.30301], Editable -> False, 
                    Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.3`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.932006, 0.77464, 0.304936], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.6213373333333334, 0.5164266666666667, 
                    0.20329066666666668`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.932006`", ",", "0.77464`", ",", "0.304936`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.932006, 0.77464, 0.304936]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.932006, 0.77464, 0.304936], Editable -> False, 
                    Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.36`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.913171, 0.762585, 0.298615], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.6087806666666666, 0.50839, 0.19907666666666668`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.913171`", ",", "0.762585`", ",", "0.298615`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.913171, 0.762585, 0.298615]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.913171, 0.762585, 0.298615], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.42`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.816335, 0.700506, 0.267824], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.5442233333333334, 0.467004, 0.17854933333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.816335`", ",", "0.700506`", ",", "0.267824`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.816335, 0.700506, 0.267824]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.816335, 0.700506, 0.267824], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.48`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.615762, 0.571419, 0.21246], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.41050800000000004`, 0.380946, 0.14164000000000002`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.615762`", ",", "0.571419`", ",", "0.21246`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.615762, 0.571419, 0.21246]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.615762, 0.571419, 0.21246], Editable -> False, 
                    Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.54`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.437278, 0.454937, 0.189928], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.2915186666666667, 0.30329133333333336`, 
                    0.12661866666666668`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.437278`", ",", "0.454937`", ",", "0.189928`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.437278, 0.454937, 0.189928]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.437278, 0.454937, 0.189928], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.6`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.290517, 0.358022, 0.190234], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.19367800000000002`, 0.23868133333333336`, 
                    0.12682266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.290517`", ",", "0.358022`", ",", "0.190234`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.290517, 0.358022, 0.190234]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.290517, 0.358022, 0.190234], Editable -> False,
                     Selectable -> False]}], "}"}]}], "}"}], ",", "#1"}], 
                   "]"}], "&"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0", ",", "0.6`"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{"Automatic", ",", "20"}], "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendFunction", "\[Rule]", "\"Frame\""}], ",", 
           RowBox[{"LegendLabel", "\[Rule]", "\"Amplitude\""}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"LegendMargins", "\[Rule]", "5"}], ",", 
           RowBox[{"LegendMarkerSize", "\[Rule]", "350"}], ",", 
           RowBox[{"Charting`TickAnnotations", "\[Rule]", "None"}], ",", 
           RowBox[{"ScalingFunctions", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"Identity", ",", "Identity"}], "}"}]}], ",", 
           RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}]}], "]"}]& )], 
     TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8575380929832363`*^9, 3.857555226921636*^9, 3.857555844652402*^9, 
   3.8586733263494635`*^9, {3.858673686739008*^9, 3.8586736899705353`*^9}, 
   3.885372708230917*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"8f78786f-833e-4eb9-9b41-65321c430460"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{
      GraphicsComplexBox[CompressedData["
1:eJx0fXVYlT/YP4cukToHUOzuxnZTwe4O7MAWuwu7FTvBVsRuxQ5EMUBJSQHp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       "], {{{
          EdgeForm[], 
          RGBColor[
          0.6585790000000004, 0.3160910000000004, 0.20750700000000014`], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFmXmQFdUVxvsxw3uv+70eZXUBUTACsqgoCAgUSIIwEDShXKIiUi5oWTFE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             "]], 
            PolygonBox[CompressedData["
1:eJwllmlsV0UUxael/P+89/6vLFISFkUFqRSLolbBJSKKLIa4JBBjQI0LoAYh
qAhFLItUlhQRIwRw+eiG4gJlD4sgYAQpO5puQAzyQcBCK2KMv5Pz4Sb3vHPn
zsydO2fedc9OfPyV/BDCJ1gBNj8XwsetwdgC/F+iEF7PhPAa1j8NYSD2Jn5X
+Bj+eBLCWQZOzguhgtj52J0knEXMYGJriOme7zH3ayz87eDbsHr8q+B7kGsO
fAO4DlyE3wmrxz+MXUtsP+wI/lEshSvEjuE35BzbPhtCeRzCbNazhPU0YPvx
u2Jl+IPgN8JPjzz3AKwRv4Zv01qFsJX1H8CvI/4U8SvAtfjjielBbAUx38Mf
ZL42Ge9Je7vMnoaQexi2HT7h2zbG3gCfy7lmqt0U7AC5ysg5gvzb2POn8EMS
166I/EPxD2Kn4Z/kWznxD6c+C53NcPwX+dZC7hbyrQU/DT4dXKMLzL8ee5tc
9Qx4Ge5k5L32J34p/gHGdGStnbC3iD0Te+5O2B/4x3OubQfmn8FaBoIPMX4p
1gt+LTaT2Ij8z5PvXezufNfoSOQcyvUq/FOMH8R8N8LNJOeD+FvhF8F/xZoH
ED8QPJ79/Qe/Ef5exhyFG8e3UTn3mHptFHwX+JHgsa09RmO/xd4r8JqqY+9Z
ey/ELoEvEX8LY4ez313gSp0HsY9hy3X2kWutM2/MuWfUO8o5C/+RwhCa2oSw
mj20hb8r9VkuY8xCxt4Xe61ak9aWYlfjb8Juhd8HX89cM8i3MHbNVLtyvq0G
78AWt3INVctvYnOLiVmFv4JvO/J8p3S3RvOtOd97WMda1sTuTfX8d7F7Tr2n
NRTiN6XOpR7/Gr4j36ryfOeK8Keyx3nwGewc/DzwMvxSYg6DS9j/j1nf2UNw
3RLXrjN4P+u5SI6+1ONz4ivhLjFfN3AZ/EWdPeNLMt5DMX4PbD35SuB3k78n
eCO4Gv598p2RXhA/HTwbXKsc8FPAS4lvAN8Efg78IfhK6rNdB24Bn2N8ccZ7
rGT8T/A5+ErwXvzq1HdHNVyDvyl17/0L3oC/C7s+457fid+OfL3w+2DtVVvW
uyXrO76c/M2xe00124t/DfwX8I/CT4HvDd4BfkfrBXcj5xMZ3/Gu+PsS5y7G
fsY/yRyd1evYKfyHUmup7pDu0rDUWqk7r7t/AdwB3BP+PH535lvFfDeD1+lu
gyuz3kMZ+HTOuSewntHMV8GY7eAKcE/4izL8Emwi+T8Aj2hlzeojbUnc+1V8
m5v4Dusuaw7NNZd8uzN+E/pKK1JrqeaYlVojpZXq+R/wJyU+66F8+wd+W2xf
miptlSZLmweD/9Z5xa6laqxaz4m8dp3ZWfZWnriXT7KmaYk1X9qvmqq2m2Pn
Uo/8CW5OXTv1XAv+zMi9ph7+HX4n8SlrLQX/lbOGSkv1RuqtbMb6Zawx0poh
5Jid8RsxjtgHUmufNFvarTdMb5lihsK9EblXdGY6O90h3SXlbCH2V6wdflvs
BP4C4vtkfKfOg0cm1mrF/AaeFPns1BO1OWuQtKiamoyM/Obo7dEZ6aykqdJW
9eQa+GORe1GaJ+1bGfnuqIfVy1qD1nIZG0NtlmG9s76juqvSBGmDvtWBV6pn
CvwmbYh9Z3V39W1yYk2UNkqDpEUvYFML/EZUkWtL7F7TnrX3zdiVPPdkSeoz
0dlIg5rwxyR+e/Tmd8H/LPHe1dPq7Y+w0qw1RFryTOy7r2+N4C/B92T9j6F/
DWmgtFDfzsHPiHx3isA14BOJtU6aIG1YElnLpHHSuj2xtUkaJ62rjXw3panS
Vv2z6N9F/1gDyHdH7Lemtf4nUr/ReqtVk7HMtTt1b0vT9mg9sdeiN11v+0ux
x+ofSv9SOiOdlXp4gs4q9VuuGm5iLf8DFNdM5g==
             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.859901, 0.6182455000000001, 0.280669], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxNm3m4lcWRxs+959xz7rddjJqYKI4mmog6JnFXVFwTE3DJiMuTibtZxohs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             "]], 
            PolygonBox[CompressedData["
1:eJwlmHeUltURxl/2+/Zb3rYiYDkUC0aKRmNARGDpTQWjR0CPsR67CNI8sCB9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             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.9271718333333333, 0.7636266666666667, 0.303331], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFmgnY12O6x3/vf3n7/7a3CHEScgYXXqlkTWZQMVNCltQZhjhKtlGZvDH2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             "]], 
            PolygonBox[CompressedData["
1:eJwtmHm4j2Uax99zzu/3q3c7mBbJKEyTK47lqOwURYtz7CHXUMceouxbylJp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             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.9163101666666666, 0.7645941666666667, 0.2996685], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFmgmUluV1x9+Z+b6Z790GRaLBCMgqWMEtEpO0UREQNYCojSDiAgJaxEYR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             "]], 
            PolygonBox[CompressedData["
1:eJwtl3lwV9UVx1+S9/uFtwUJKEQFDBAIDkI0LCpt2RcdDQRR2ZdAALtQZQna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             "]]}]}, {
          EdgeForm[], 
          RGBColor[0.7160485, 0.6359625, 0.240142], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxFmXuUldV5xr+5nDPnO+d8Y9A4eAsXgWiQqDFpSwTR2KBCu+SqMwxEJiAR
YwJYtc3q6kr/M2YtQWOWTRpDGwPYeAU0XV1NY5aixCAibYxiI6mDCnbAu6mk
TZU+P56nyz++2fvs7/32fvd7fd53xi9bPX9VZ1EUD+hPl8bra0XxYz0LNT9Y
FkWfxs9rXFovip/quVV0r+n9IT3b9K5qFsUNWvt0uygW6/0/6fmGfm/R+KCe
NZovrIpirebzNV5Xeb1P37X0/SV6r2lxkQ7fqvUrOFc0n+0pijc0rtZzj9Yb
Iiqb3u/ayg/zptZ+0VEUszQ/Qd+eVzP9y1p7SPP7Nb9W7x7p8vwnGvfqm7c0
vqBxg8bNWj8g+sFOr5+jfW5te89vtX2XzeENHrdkfrXG74nmds0nVZ6fpj2f
z17sc2rb8/+WDN/usGz+QuvfEt3FOuuv9f7Wpu8/TwKZLpp5eo4RDYJZJvqr
tPdijW+L5pcdphnQ85ZIvlv3Ou/vFN0B/d6k8S49BzX/UWXet0QXF+i7y/Ts
07eHO6zPGzX/lGS1JDyj5yXR9Qc93nui1mu9pjlJd3lHZw6xn9a/rTvc3a37
i/9hfbePp9OyXq7nVJ2zWN/8WrSf07iyw3zAww0698s9trfHRLtNz1I9m7TH
77Tn1Z3WDeMc0ezXuF/vXtHalbrbF+FRey7SHgPso9/Devfl0KPfx7usr50N
8SGaUwqPS0J/i9a/qPm5Wt8Tfv632zyerOckPf2hmSWaXxZe+zeNQ13mG555
vyz7IANkcZnmv9L4jJ7/0LxPvJ6ksVO8r8pdoHkpcmM+VXtsER8rurz2cuT5
p/r2Yr3/WGm7eLfLtrZD8z49Lxbeczj2D4/Dhflc0TAfx+v931fec77s6zbN
n9V8puZv6sw3aqY/vrQ/HWlaxugbXf+53r9Yd5xYL5ondMYc7dEp25gnuo9q
bbrez9V8dO7+bM59qsM0k7Q+vjSvlb79Q803au3MyjJfGblf1baP4Cs3inZl
Yd9Z3fD6Us2fr+w7+NDXCtNcrWekblvBTg52mgYb2Bw/wKbm1D+0L2LeVxu2
x9PFz1WiPU32/HXZwUF9e76e10W7SjSvZYQPeBil8Vx9d4nm7cqyv1d7PNpl
Omiu1voPdN5KjZNK6/mHleMfexMDj41tjNO5U9re8wyNs3vN2yyNn9Pa+Xpe
7bCuJmj9scLjxIZjMnpkznt8mLiDj7/DHfXs1fwK7bta8y+0vbYq6+gX3WJv
79ZM8xutf6Lhc4ewbY1/o3GTQ9TR+FviXz2OvcTgt/Vco+eFwvb5mW7b6KHw
DJ9LcvZija/UvN+P9ZwluezX74e1PtB23CB+DLa95yKNk9v2BXziEp05Fbsk
vsZGsAVi/k8Sf94QzVt16+6IaG8Tr3+m+VR9/5Boz9GZD1SmWYwvFI6vY/C3
wr+Zv1n3Xsjhg5rn7Dmsbw7rrLna78Re779Ja/dWtptd4ndMh/fpjX0ejI2S
M8gdZ+nFq5V5nlD6PXSXF44TBxIf/qHy2sfxm8p7XNZ0zBhJbLyu0/y8Gt2c
Sw7NPqviF4djF+Qv9I3esN3nap4Tk88S39M1P1PjHQ3LF91/Ur8XaLy0dMyc
Hnps/jk9hwvbHbrgDPR5YsN6XlFZX6drj4bu/Eeaf1zz/ymdK8mZE2UvX9H8
PzvsZ2vi82vid68nJvEteWi8vjlH89+VzmXMyZXkq09l/p163iV+n5z4ONLp
HPFe4fg+JN3NLpyHybXo7Smt7eoxlgBXMJ9R88M78g1ywweQ3aYur0M/S3eZ
1eUYhj+SW5HNaMlhAVio8vcbu5yzeuT/E/RNXeP4yvTjNG7vMg18oswtmg9o
emXDPkb8L/XNJH3bbDkWfi3+8GTNPgjdkw3nQvLgYI9/Y+P3ldY/MYz8CA3v
x2ivz+rbsS3bDrxhP6sq66mh9V9p/z8Wn2fAWuX5XdrvN03r6Utamyu6q0T/
c4334oOi2dnhe2zOXRZVxhoX69t5ld//QPMf1k1DjMW2OfeobYi/VT2O1412
8gzxtXJuIkd167yx4JO2fR6Z4xcLdL+b685Ti5I3VsZXbo6/MK7NnByKrMnl
h0rjQ3DijoZliDw/Ay7V+yf0/qPcWfPjNE6rOy9yVrd+n6xxtGjGdTsvkM83
1H3Po3lEz4y6MfL5dc/55ra289HM0rgcfD6qdC7blHx2jfbfqHmXZD/SY7n1
gzFqjt3kWtY4C3u/sG4cCc6rN+13X9UeAw3ztLfD/jAYOaH/OxNnuBfyAiug
J/S1uDKOxt/wte3BYGCxPYkPxAnyCfpAF8hvR+zwheDziW3HNeLb3ZV52Rh+
yHHImTyC3ZNbhhNb2UfkR/P83GB77g5eJ9adVzffJyQuEZPIAfjNdYk5xLrb
E7uOlMZA4E30gD7I07satllk+LT4fEk8f7NleUyLrk+tHGf/uXSNRK3U23TO
R4/kzglt2yd2Skwnth+qHNdYB+PtrRxHzm4ZH1IfQUfMn5r5xqbx9oHKfgbu
IbZ9qcs0K6KH7YkhO2O3g8HC+Dz+25u1KZrvbtjHuOfrlfe6S+esF89bdfb3
Nc5sWD4XFLbnZakjBir7+KDG8T2uncBh5E1y5uH4G3ER/6U2ujH1Ebj6keRu
6jbmxNJ3SmPLM3qNubcFB45JrCa/dlTWUU3jb0tjTvDp70vnA+qYgdBTZ12W
euRsPXX2Bf+X3vux8ECNsK7h3HBfzTTPJP6s0fOXsRt8h7w4PzXv5ZX3eTR8
ck/iFffmu9WJXcjj0eTNs8MPOQr5P93wN+Scp5J38E/OqjXtU9vCJ7ayPLr4
q5btAbugLsd+kPE3Nb+p7tgBJr8ptooPPdxp/L+wYbonkkPRKzpdW5lmRtP5
5OHUHpMbxojolthNDD+udB5Eb+8lD30jPkUe2xQ75G7ckdiCPHY3PlzbHR/j
3tCTJ6kLwXzgPWh25dvZ8clZsSXuiz3tigzZB1sif4OxZnQbI+HzzeTNoZZx
J3HhZ9h4l/MT+p0vHhb0GLMTB/hNfMYe3+yyLL/ddK5/QXJ6pO1eyaNt2+pI
5LApeZy7sB/7EE+Gg83AeMSv/h7ngd93O25gV1t14Dbyr8Z/1LMdP9f4Uvow
9GOog6mHyRfvpy4+JfsNZH1j4gAxmbX+0GzOfckXYPWxDWPy4dSg4IM/aJun
+0vnCGpjcsnLLWNysDkyn5188V+l6+z3Sucn9IfuwMTguPn67tWW1w+0jG1W
x6fgB32iO+IN8Y68gyyXxqeId9j5Bt39Iw3nvBXx3aH4xYMt9wXuKW2PQ7E9
YtfnG+bnhvgwcj626fPXaVxYt42Qp8aV9r9mr2vGG4J7l7b87T7RP1C6f3Co
Zcx7QnDvDq0fr7Gme1+r8bd6/rXbdjcjuYfaD1ugT7Cuso+d2HL8G4ov0e/B
J8G0g7H7Pymsy6N1LXovnSfvLu1LixJrqZ++krrsleiX3AeP+1KDDaWfgXyo
bz5I3Yexg3nAPnObrhWv1F26Em+Ju0vTNyLnLW9bPpf0Gj+S8/CdrtR0A6kp
vp9cS98FemT3uM46JNr+puMZuiOmgV/BYOA8avkNqevxc/yOWDrSsg6pUb4X
Xm5PrLuz5rh3esv0+Cu+Oy/9CeLYkeASRu5OTMY+sJM5kfU0PdP1dLX8LXnm
SI/7ZWDbnU3Hjjl6v7ntXLGsMsZcFCyF7+JH8IpOjo9e1mgcnbqb/smKYE5q
9L7U6UXd/MHbvKb7R3+n/f89ufbXleW0IrLie36DlfDBF2Mn6yN/dI/fb43v
PxasDmantnsudj4t958dfe3J+s3BgeQR8uQzNdNiV/gAmPOYhrEF7/oTh4hv
7M8+yAMZD4c39A8P+PqlLfvjsYlv76d3N7dynrq0chydEWy2ODTEtGdrrk/o
y4G3wH1l+GEdzMMZ4CVsaUp0C/9gsOdjexcGI6PLgz2OM/2JmczB7ez3TM6i
XuUOS3OXkczpCZHryfnjGs4R+CA9mwnp2zyefHFF8ABYgL7joR6fzbn0G4f+
vydJf6PmfEx9vCo18ss1Y1/kf3nTd7yp7V7C/vQfOBc8DZbGP/ADenTwQg6g
vwTeIs+9K8GtbVr2xPX+9E/oo9C/wN9O1/udpW24p22+2B9cwX3HZt8nS9tz
vW07hE/89G2tn6n5KW33COgVfELjkuDJgWCQt7LnNek37ep2v4q+1e5un0OM
I3/RZ6L/9XS37X19Yg5nro/9Y/svxf5HImfyyPXph5D/7klfnf46fVBywPWp
q9iX3gjfoSew8o7UheTz09ruV9DzoM75ZGwNWx0M9sZX9kdf3A1bQO8b0tun
xz9QWlfTSuNd9qLu2Zn4Nin5fUP6CRc1LEMwOvZ5THyQO5IvsdtzxNsFWmsR
t9r2mQfbrtEuSPwHK9F/JA+Cge/NWfT+Fycf9UX2e3M/eKNv1hdcOVw4zqEH
Yh2+C9YEgxIb4A05gHHgDflT60yNPA9mZJ3+KL1XaLnPlPjscGI1PkudujWY
4V/a9oeftu3fU8Ljwy3bTrfWFzXtN/TtlsX3wb3LU7eCJS4s3U+5r+2z4QXc
Aw/cgX2xhTtiD/xPAF8lH+9OnUi9yBrYiXVq24HgKOpC8iyx6rj0ENZUzi1H
UnfUK8ejnsp64B2Y+0jqE2j60l8aqYy74Qfszf8NNtecV8FZRbAxOvwg+z+X
Wp37nlAZA51Yub8IBqPe5N7MuTt5EvyPnZyfOTn0xfQT6CuMDt4hr3HP/mB1
6howOdiGtYHIZFfp3EVfBxueGZwGtiZ339Z0LYo9/Kjpex9J/gVvfD2YY1Tl
/sixGv+27Zg+qe38ObnxIe+Tw/P2YA8wyM62c+1TGjeU7h3gzHuCU8hZ4Djw
HP/fIf6sSe6eG0xBTiTmEnu3tRzD4BF9fUfr92v+3fSReuMz81NnAIfJabBB
viRvEkuIKeSNcY0Pcfq4YLn3U8sTo0elR7SubcwKdj0bGQSDLtV4S+X8cWvl
vYiXxPzBpvvd91eOT73xzfMS8xYmB92Suvi1/N+W/9/ye1pwAngAGnLiQ8Hh
D+Z/nfTYiWF3pndEzw8sQW+O2hP//kh8/NOV70xdhd1tje0RPxYkhtzRtm2f
UpoHzoYP9hiVWIe870vsGlP5/9ZjK9sKPsf/NMgbYBfw8L7MiclHsV3yIzL5
WOIItnlR+iDsR/1Jj5e4e1HsFp9anhr/ptwR25hc2m9aLcd7ZE/MB4/hm+Ae
fJM4OzFxZl3kSZ5kndi7Nn3LJxL/ZiYG0kMaTCybEIw+MX2JPelNwMvCyBze
sNu+xIrl+RZ8B24CP/0fQvAxUQ==
             "]], 
            PolygonBox[CompressedData["
1:eJwtlnlsVVUQxm/fe33tfe/eRpGybxUqKAQBUdkEBZEiSSn7VmVTkb1C0ESM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             "]]}]}, {
          EdgeForm[], 
          RGBColor[
          0.35904773478797875`, 0.40327691214952854`, 0.19009111187001232`], 
          GraphicsGroupBox[{
            PolygonBox[CompressedData["
1:eJxNlt9ulFUUxc9MpzPzzczXC2ODFUUbjbVK1IS2FPWCVkqkGENr27uStKnY
2gAPgE9gMFETWo2KCbSlqImA+gT1hioajVxoMQYkEbyxUUOiYnD9unYiFyfn
zD7723/WXnufaZ88PHyomFK6qtWk9W+W0n4JKi0pfVVIaaE5pYclv6HL0+WU
Lkv2uvbFZt8/K/2HdH+n9jcbKS1J/ob2ea1x2ZlDJv1TWsPJ3/P7GZ2/le58
NaVvtA+VLUfnUJ7Sss7NNfs8FX7Zl0NnQvEc17k/ORb8tulc0Dcvyu+78rsu
279pHavaH/uu5HwGpdOp/U/ZOdfsbwaVwzbJ7tZ+Vt9flM8z2i9oH9Z9h+7G
ZON9+f2+4Ljnwjb2Xgib+EXelbzPx/n3wArMCsJ3p3wfVbxT2l8tpTSp/buC
Y0b/aclGZfMRnX+U7JLWQLJ/cu/T+WDRd8i553yl4Fyx0y15Nbedu+S3LL9v
69vJ3PhzxtfezPbu0b4WvsBqqmiMfpDNV+qO84j22aI5QV3Icb36v8/1iP8j
2XpO9nP8V1K6qTVSMZabS+bPbN11G5BuSXp91F17qcUx35D8p5p9PZ85ZnCn
Tq9J3id5U4sx5g6/Pck5kDv8QJ8apbr93qo5v7XA7b2GOXCv7N+RuS7U51Pp
fy79J4IL9MUOekGyHc3GBo5vKbluYMlvYjgf+VJveolvN2fOnbzh0mrFeuj8
LRtPNRvXLxrmxGrD/Qe34Cz8+rpgjuGfuhAD8T5Zsh5+2kuOszX8JeG5SWtY
8bXmjgO9cw1zApzBu1h3Lm9JvpyZ49PSf0e//5L8Wt14w0s4OZvb12npppr5
A4/u19qn83F9V5T8gOy/LN1KzXzd2uI7dB7IbONAYHsr+u2E5G3S2y58ruXm
XU/FPUK9iWMTXC0Yg97k+67QqdTd08wDcFmI+fCLbHVL52TNuHGH/LO6++Yx
+d8SnISbTYFJMbjD7KN+WxuOmfyoCfGAybaIgdzIk3yrNdeb76jjSNQd2dGI
4z7Z/7hhDlcU43TFtvYFly4EZx7MPP+qdeeJDrMQndXQuxQzgP7dFTMX/tPD
YLI7OcbusD+Ru5+YfxvcSsZzu9aesvuJGbsQMx+uwUWwOxO9sZS5d8EBPJBh
B0zKYR8/2FiMWtAr9E1XxLY7fGJ7Z9l2RqueuXCxKbe8mDuugeh1eoe+uRJ5
DsW7AIYzFffwWswzZgLvzFC8QXO3vQ/E2xkxz8X7dVN5jVc8Q/ojvo54Q3pj
77ztN/fMZuJGn7k3Fj1OHsi57w4eEP/Zunn8aMMz43zMyX+iB+nF9sz4lKV7
ve6cf637TVyK95GchmLmwYuVkrlBfGBJXuQyGniCPfERCzLu+uNNhCfUhFix
QW9jjznAeTVm1GLNMY9Gjj/XPR+vat9bNv8HAlty7A2csA1WR+JN+ZJZlJvb
GxyPGvGbuYPfDyT/JGYys5nZQAxDkdf+innGzm9ypEcmQudk5v5gxmzYDryY
u7wvcGgscgEbZhY93qQcD+fO58PMPifD5kzu9/il3G/dYNl1mgr8eqOHyBU5
9taiN4hrJfCcDp6uBFfhBbjNx38J+Hcs3jR4fCJy+SOzz73RD10xN4ivNWZ+
W7z/F4MD5Hk55gPvNbl2xzs5HhhiYzo4xPwF6+u5/18cjF7rCL73RI6DEcNI
zDbk6OEPX9zvCXxmwj7zB/zGoi8eb9g+b8Vo9EF3YAU3h+L9nQoc/wP1Bz4e

             "]], 
            PolygonBox[CompressedData["
1:eJwlk8lqlFEQhau70/fv+w9ZiCbGIaYRXBgncMJhkV7oQoNoi+7MIjgFSfIC
PoEgRDcqKi5iolFB0uIT6MoBQXQhLgQVJbrTpMEJ/cqzKDhVp+6tuqfq1ofH
m2NlM2tgHVg1NbsdzG5ho4VZBf8kCXXIM/ghM9tL3gliCXg+mr0qmfXCV/BX
RN31A/9qbvaX88vBTfKXwHVhh8E7ifWRX8Oapppj3D9F/vGK2fbErKcTI9YM
ylkKHsau4L+smt3n/mnue039I9xZgzuNvcG/Qc4IeC05O8htU+8Dtb6SPxHU
k+Gvh98F/xN/Dn8m6q1D3PcH/Bs7VlbNQD+Xc73VY5fAgX5n4Nr0/A68gdh7
6o/CbwRX6aEB/4JYCdxP7G1Jmq4Dr+b+g7Sylfd+hj9VqHfX0LjvJrYN7hw1
z9LfJ/gtiWLO7eF8D6nTvOEi9xXwg0EzqsNZIe2fU3MS/0Ku3ClsArySWAs8
T/+D4DL5A0Ez8lndxfbj78NyuCoaDCXS+Bfcs1y9+cyegr9H1XpCTj+5rVxa
+oxmwUmh2W2mtVBIE9fGa1bAB6K09Jn4bLqIHTLtQDe4HTXr3dRcAG8i5zF4
hHppp8yxa9oHvwrNBirSqBd8J2o3H2GtTD16r2vgv8HVUs3O3zxe6A/4X/AZ
+6xds//aBe1SmfNHE/0B/wsfM+2az3gWfC3XX3GNr+fq2Xtv0NP5VH/A/4L3
uAiuO4rznemg9rIorVxz1/5Lpl31HXuY6Q3+FtfgAXhx1Fu8J+9tMtVu+c74
7swV+luuqWvrM/XZ+s7ci9oB3wX/M/53/gGBZ3lL
             "]]}]}}, {{}, 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            LineBox[CompressedData["
1:eJwl0stOk1EUxfHd64e9ODCKRby00ZFV8SVIjBIHvoGdIBjbB9BHoAkwUBMv
A6tGwASt8BLAOzjAaKszFSdo9Hfi4J919t5r7dOTr61O71Y3FxF9nKtGLFUi
ckcjjh2JaKonab4eUUAOJRRxUr/A1+c/cP6ForpBJ8xf03e1iPcYYlqdmf+h
a7ibdsou0jy9xNNOfnd+wj4uqud4z+CZ81PkeDOzMlr6dfm3tEY3aI9OpH3u
yuiMzBVs83/FGJfVN3k/mpdxL72LdlPW/IJZw3kKJ9JbMYkxRqlv9yv+HXt2
sYf7cg/wUv8zz4B+oeftem7epBW5q85bfB8wxLr+iD7RP+18AyE7L7uAO3ij
d4iS/Cl6Hbf1y8iwKdtJtflvs4fqR3iMvN0F/Ezf0fw4vYbvaKt/0Bf4yztI
d6c3p9pvCLlvzstmK1jFbPp2+mer//8v/wDF1z7A
             "]]}, "0.5`"], Annotation[#, 0.5, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            LineBox[CompressedData["
1:eJwV00lsTWEYh/Ejpt5O0RaJxNCqtpeF0iJNJJJSMSWd6FzaUGzEuLCwsGWh
40qj5g5ou5QYW60hVNmilSBB0iKxMizK7yyePN/7f9/vO8M9N23vkdLD04Ig
mEJ+JAhqUBkfBNMxAw/igqCKq5EfGwQz+bmZh/Ia61pslM/iF/IB+W7rPdgk
n80j8kF5nXU9CuQtCUGwmVv5pX6MfJQj3Bueab3Ankb9DebOcTOaMKw/hGdm
1qjXh/eMR7JB5MpykCerCO81fA5ky1Ziney++h7uYkAddY3sxCDI4gwzd2RL
eRnScQqpSMMiLMFinMQq9znOrfaOcRtHZVmIOifeuY2yZBTKijBifZZf8Wt0
I89cD3fhu3N+YALfMIlMZ3VzD7pwEzdQZv46d+IKruEqMsxf5BL9Di7lS1zI
DZ67mC+oi3iba2/HVuzTm3Rv/fbf5j5eK0s0l8sJ/AkfUadfj1hEkI5i8x/0
4rHafBznhNZbodfnmtWyXq7hfq7kUv1Rc7fUVeod7uW0usX6IFfwYzNP8DS8
DoYxhDP65fol1s38xhnv8Bbz1Md5Pp/gWD7GET7KKZiLOUhGEg7hi7O+4jOW
Oz+K/fIpz9DA//gAv3dOpl5M+P1wBs6jPfwPhe+E/4TfE//lZTxmzzh+qVPV
vzmNO3kh/+R2e9usU6y3oCp8b+G7Qm347nBZXhL+7txkthFJ1gWYQKFecfgb
o0NdxuXht4Bd2In/XYh9vA==
             "]]}, "0.4`"], Annotation[#, 0.4, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            LineBox[CompressedData["
1:eJwV02loz3EcwPHfxAM7zdGGHJMjzGzY5h6phVwzRcqxYfHAyPzJbU8Ic5Vj
ubZpJTyY3KI8cKQUtZkHlHNE7jywB67X98F778/5/f3+3//+GaWrZpfHRVHU
xZ8O7aPoT3wUHU2IoiM4jA9qzWqTeG9iFFWhWv2jPE1cw135K6fzF56bFEWF
/Mzed+6m/o27c5zdkziB41hsdhF66V2Q15t7wz3lPTAlnI/D4kNYaHYBzqi1
5wTEYwnahb1QT46itp79AtPlvZCsn4JLzriMmWp9AnYGcpKd/eYHhRydxEPU
OvMy/Z9czgf0VnKDsy7gkbMeo0ytUG8d1iMH3e3s0KsTJ+GimYN8KbwPn0aW
OIVHmkszn8/pXMKluKZ3ha9isDgTiWiwl8XvzY7S68qn5DWIydfhufgTf0aJ
uDS8m7n1oc8PvX+mc5bLVyAPw3zmFL0R4g78FtPUisz1tV9rpzjcif4cLuPJ
PE9vKce4hd+FGdw232h3PDdxAce4n7n+SDWT4PwBarFw5+Fu5NW8D2vDu8gr
uFKeIV4j7obUcDdqG52ZId/AvblYbSi+6xeZ/8HXMUN8gwt4AiZiuLl6n2Gn
vabw/6LWyLvN7eDl4c65Gh31cs3nqeVzZ/mxcP/h+8NOz8+WT3Zeod4dM9lq
OWjV/xXeIXy/PEHvvDjCffE/tXu8x2wVdmOcs1q4jt9wbfg+eKrZV3iJTfa3
qb8Wt4q3olK+mbfzlvAb0nuKZjzBavUK9bE8h4txS/2u5//lMeqz1YpwU/4H
vzFLPt/MOT6LXd5ltNlcfhDuhfPRJvzOMRf/AboxhqM=
             "]]}, "0.3`"], Annotation[#, 0.3, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            
            LineBox[{2319, 2812, 2318, 2963, 2962, 2534, 3475, 2630, 3245, 
             3246, 2991, 2990, 2964, 2535, 3094, 2462, 2814, 2969, 3207, 2540,
              2849, 2932, 2931, 2883, 2884, 2637, 3483, 2636, 3518, 2659, 
             2777, 2776, 2956, 2957, 2903, 2902, 2631, 3481, 3482, 3480, 3517,
              3516, 2658, 2775, 2774, 2955, 2657, 2882, 2881, 2401, 2893, 
             2400, 3273, 3272, 2722, 3557, 2453, 3387, 2513, 3268, 3269, 3388,
              3389, 3270, 3271, 2523, 2418, 2526, 2417, 2522, 2533}], 
            LineBox[CompressedData["
1:eJwV01tMznEcx/G/S+dzbIphY+RQ5JTkGKMaS7OxyRZDSjnEnkhS2eIGW7gj
Uua0iU1pc4jNaU5zvOmOzUaxOU0SXv+Ld5/f5/M9/P5Pz/8Znl2Qkd8lCIJB
/kS6BkELonsFwXaa2y0ICmkMn+Oc3yMINmONcx7Noo09g2Cp8+/uQdCBdizh
F6NS7Tv/A98wTzYXFfLxZr/Kmu0fz9+mY2R93JXgvAJl8lEYjevmymlf9bH6
avk6DLCjSe9IWW+1OOdMjOCL9ZdgD67JPuttoF9oodlk/fF8jXMSZmEmYswm
0w80kUbTGjNnsInPxUPn53SCHQ+cd7hjJwpRzZ9Ui7U7I/x8/GP5E0TkEfuK
aBta1Ir4Xc6X9bby9bSNHqd7aWn4f9XzC9my+/xaep4/hwqz+1GGR3w5zdOT
irTwblkzXW0mhWbRDbLbnmcjXSVbiTz5EJ9nvSyTX46J6IOzqEMthqpXmT2K
Bnc14jROoRrD1CNqjfZt1p+P/uiHyUjAPT3t4XuDDmyQHdb/wtxLjMMNPpbe
pB36fyNG3zs+Tf6eptMj9IDaVM9eSSv5hXam8IvoMjo/9MhwXkCn2ZOIgbiE
i7iA6eaP2Xkct/QNDt8RpMoX0T+yTlS5Iyd8H3BQ7ZX+N3iNt5it3kn/4g8C
s/9oWfh9YQpfTkv0zQ+fCfOwze4CbMWW8B1VHxQ+a/h903OYZu6KXVdRj2d4
imJ5G1pxSN9uui78PdK76gX0Ds2n6XYn0DSaiiZ9d9zxk8bLP+EjJiPOc02i
UWpJeqL4GfxnrORnYWZYC997Wal9J+i+8Pllc/AfxxaXaQ==
             "]]}, "0.2`"], Annotation[#, 0.2, "Tooltip"]& ], 
         TagBox[
          TooltipBox[{
            Directive[
             GrayLevel[0], 
             Opacity[0.5], 
             CapForm["Butt"]], 
            
            LineBox[{2316, 2765, 2699, 2936, 2799, 2800, 2938, 2937, 2396, 
             3527, 3528, 3526, 3530, 3529, 2436, 2693, 2459, 3625, 2460, 2437,
              2747, 3614, 2422, 2947, 2423, 3615, 2743, 3023, 3090, 2525, 
             3626, 3027, 2428, 2527, 3616, 2427, 2529, 2530, 2454, 3209, 3210,
              3211, 3403, 3402, 2317}], 
            
            LineBox[{2520, 2759, 3619, 2450, 2951, 2451, 3620, 2760, 2807, 
             3579, 2757, 3317, 3318, 3319, 2950, 3316, 3315, 3314, 2756, 2668,
              3635, 2669, 2653, 3289, 3290, 3291, 2901, 2410, 2941, 3288, 
             3287, 3286, 2731, 3567, 2772, 2952, 2761, 2806, 2805, 2411, 2744,
              3643, 2745, 2715, 2930, 2716, 3552, 2717, 3553, 2656, 3513, 
             3515, 3514, 2624, 3157, 2623, 3158, 2877, 2879}], 
            LineBox[CompressedData["
1:eJwl08lLVWEYx/G3ZU4VJoG6KdKsoECwQYpsVFdB0CoraLJadHOZ4FgazZsG
7B/IRXNq0GzDptFrmhl5rWzQFqVm4yL6HFp8+b7P73nOc87h3Dt1U2zNrnEh
hAHkJoWwJCWEHJ6ZGsL18SHk8Q2excfl89NCOMGzUZAcwhnzDXpz1D3ql6gx
X8wlqJAf5UEewgbn9chEFq7J3tkxgPcok1W5Pm5nlV4HV/M2+VYc0ZvmGW7L
FjpnOBc4v3B+qD/RjknoVT9RP8Yj9KhXm52gN898u707OaHuxxtURjvlz8wu
4A4u5EO8z44G3DKzyJ6bfFA+7LoR5MlmIBfpOK13ACtdvwrLsALLsUPeym1o
QZldV3kuN3IT93Ozvdnu+dR8Qn1K3scnuUJeK/9o5gO+y8fwSt6LHM/QpP9X
LxkpSEMq8uVrMcVMs9kx+2Lqaufd3GfmdfRe9g1jVP8H/8Qn+SDqzcWiefyR
3zHzm9v5HhbbfZePmetGpno7X5G14DLqo3dDHS6p21BorpW3mL0QfQ/1RT6L
b/af51E+x/Ho94Ff0W+Uv3iur2h07WY79/NkdQbSo2+sLjW7kUfMd/FzeRe6
UaJXjHJ5pzqOpeoiJDlnRt9LL5uzEHePTlTK1vEefmuuwzmBPhyW1ZqtQw2m
u2++fK/8s9khPJDfR6leUcr//+E/L/eJBw==
             "]]}, "0.1`"], Annotation[#, 0.1, "Tooltip"]& ], {}, {}}}], {}}, {
      PointSize[Medium], 
      RGBColor[1, 0, 0], 
      PointBox[{1.5707963267948966`, 1.5707963267948963`}]}}, {
    DisplayFunction -> Identity, DisplayFunction -> Identity, 
     Ticks -> {Automatic, Automatic}, AxesOrigin -> {0., 0.}, 
     FrameTicks -> {{{{0, 
          FormBox["0", TraditionalForm]}, {
          NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
          FormBox[
           FractionBox["\[Pi]", "2"], TraditionalForm]}, {
          NCache[Pi, 3.141592653589793], 
          FormBox["\[Pi]", TraditionalForm]}, {
          NCache[Rational[3, 2] Pi, 4.71238898038469], 
          FormBox[
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
          NCache[2 Pi, 6.283185307179586], 
          FormBox[
           RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
          FormBox["0", TraditionalForm]}, {
          NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
          FormBox[
           FractionBox["\[Pi]", "2"], TraditionalForm]}, {
          NCache[Pi, 3.141592653589793], 
          FormBox["\[Pi]", TraditionalForm]}}, None}}, 
     GridLines -> {None, None}, AxesLabel -> {None, None}, FrameLabel -> {{
        FormBox[
         StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
         TraditionalForm], None}}, DisplayFunction -> Identity, AspectRatio -> 
     1, AxesLabel -> {None, None}, DisplayFunction :> Identity, Frame -> True,
      FrameLabel -> {{
        FormBox[
         StyleBox["\"\[Phi]\"", Large, StripOnInput -> False], 
         TraditionalForm], None}, {
        FormBox[
         StyleBox["\"\[CapitalTheta]\"", Large, StripOnInput -> False], 
         TraditionalForm], None}}, FrameStyle -> Directive[FontSize -> 15], 
     FrameTicks -> {{{{0, 
          FormBox["0", TraditionalForm]}, {
          NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
          FormBox[
           FractionBox["\[Pi]", "2"], TraditionalForm]}, {
          NCache[Pi, 3.141592653589793], 
          FormBox["\[Pi]", TraditionalForm]}, {
          NCache[Rational[3, 2] Pi, 4.71238898038469], 
          FormBox[
           FractionBox[
            RowBox[{"3", " ", "\[Pi]"}], "2"], TraditionalForm]}, {
          NCache[2 Pi, 6.283185307179586], 
          FormBox[
           RowBox[{"2", " ", "\[Pi]"}], TraditionalForm]}}, None}, {{{0, 
          FormBox["0", TraditionalForm]}, {
          NCache[Rational[1, 2] Pi, 1.5707963267948966`], 
          FormBox[
           FractionBox["\[Pi]", "2"], TraditionalForm]}, {
          NCache[Pi, 3.141592653589793], 
          FormBox["\[Pi]", TraditionalForm]}}, None}}, GridLinesStyle -> 
     Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "GridLinesInFront" -> True}, PlotRange -> 
     NCache[{{0, Pi}, {0, 2 Pi}}, {{0, 3.141592653589793}, {
        0, 6.283185307179586}}], PlotRangeClipping -> True, 
     PlotRangePadding -> {{
        Scaled[0.02], 
        Scaled[0.02]}, {
        Scaled[0.02], 
        Scaled[0.02]}}, RotateLabel -> False, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{
       FormBox[
        FrameBox[
         StyleBox[
          StyleBox[
           PaneBox[
            TagBox[
             GridBox[{{
                StyleBox[
                "\"Amplitude\"", {FontFamily -> "Arial"}, StripOnInput -> 
                 False]}, {
                GraphicsBox[{
                  
                  RasterBox[{{{0.6933906666666667, 0.3520201666666667, 
                   0.22081366666666666`}}, {{0.76275975, 0.43778849999999997`,
                    0.24676025}}, {{0.8305318333333334, 0.5565334166666667, 
                   0.27070483333333334`}}, {{0.8892701666666667, 
                   0.6799575833333333, 0.29063316666666666`}}, {{0.91843975, 
                   0.744143, 0.300414}}, {{0.9295889166666667, 
                   0.7691333333333333, 0.3041335}}, {{0.9241580833333333, 
                   0.7696170833333333, 0.30230225}}, {{0.8889619999999999, 
                   0.7470652499999999, 0.29091725}}, {{0.7996205833333333, 
                   0.6897487499999999, 0.2632103333333333}}, {{
                   0.6324764166666668, 0.5821762500000001, 
                   0.21707366666666666`}}, {{0.4818989999999998, 
                   0.48405749999999986`, 0.195561}}, {{0.3516674166666668, 
                   0.3984032500000001, 0.19010649999999998`}}}, {{
                    Rational[-15, 2], -175}, {
                    Rational[15, 2], 175}}], {Antialiasing -> False, 
                   AbsoluteThickness[0.1], 
                   Directive[
                    Opacity[0.3], 
                    GrayLevel[0]], 
                   LineBox[
                    NCache[{{
                    Rational[15, 2], -175}, {
                    Rational[-15, 2], -175}, {
                    Rational[-15, 2], 175}, {
                    Rational[15, 2], 175}, {
                    Rational[15, 2], -175}}, {{
                    7.5, -175}, {-7.5, -175}, {-7.5, 175}, {7.5, 175}, {
                    7.5, -175}}]]}, {
                   CapForm[None], {}}, 
                  StyleBox[{Antialiasing -> False, 
                    StyleBox[
                    LineBox[{{7.5, -175.}, {7.5, 175.}}], 
                    Directive[
                    AbsoluteThickness[0.2], 
                    Opacity[0.3], 
                    GrayLevel[0]], StripOnInput -> False], 
                    StyleBox[
                    StyleBox[{{
                    StyleBox[
                    LineBox[{{{7.5, -145.83333333333334`}, 
                    Offset[{4., 0}, {7.5, -145.83333333333334`}]}, {{
                    7.5, -116.66666666666667`}, 
                    Offset[{4., 0}, {7.5, -116.66666666666667`}]}, {{
                    7.5, -87.5}, 
                    Offset[{4., 0}, {7.5, -87.5}]}, {{
                    7.5, -58.333333333333336`}, 
                    Offset[{4., 0}, {7.5, -58.333333333333336`}]}, {{
                    7.5, -29.166666666666693`}, 
                    Offset[{4., 0}, {7.5, -29.166666666666693`}]}, {{7.5, 0.}, 
                    Offset[{4., 0}, {7.5, 0.}]}, {{7.5, 29.166666666666643`}, 
                    Offset[{4., 0}, {7.5, 29.166666666666643`}]}, {{7.5, 
                    58.333333333333336`}, 
                    Offset[{4., 0}, {7.5, 58.333333333333336`}]}, {{7.5, 
                    87.49999999999996}, 
                    Offset[{4., 0}, {7.5, 87.49999999999996}]}, {{7.5, 
                    116.66666666666663`}, 
                    Offset[{4., 0}, {7.5, 116.66666666666663`}]}, {{7.5, 
                    145.8333333333333}, 
                    Offset[{4., 0}, {7.5, 145.8333333333333}]}}], 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], StripOnInput -> False]}, 
                    StyleBox[
                    StyleBox[{{
                    StyleBox[{
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.05\"", 0.05, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -145.83333333333334`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.10\"", 0.1, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -116.66666666666667`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.15\"", 0.15, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -87.5}], {-1, 0.}, Automatic, {1, 
                    0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.20\"", 0.2, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -58.333333333333336`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.25\"", 0.25, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, -29.166666666666693`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.30\"", 0.3, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 0.}], {-1, 0.}, Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.35\"", 0.35, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 29.166666666666643`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.40\"", 0.4, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 58.333333333333336`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.45\"", 0.45, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 87.49999999999996}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.50\"", 0.5, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 116.66666666666663`}], {-1, 0.}, 
                    Automatic, {1, 0}], 
                    InsetBox[
                    FormBox[
                    TagBox[
                    InterpretationBox["\"0.55\"", 0.55, AutoDelete -> True], 
                    NumberForm[#, {
                    DirectedInfinity[1], 2}]& ], TraditionalForm], 
                    Offset[{7., 0.}, {7.5, 145.8333333333333}], {-1, 0.}, 
                    Automatic, {1, 0}]}, 
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]], {
                    Directive[
                    Opacity[1]]}, StripOnInput -> False]}, {}}, {
                    Directive[
                    Opacity[1]]}, StripOnInput -> False], "GraphicsLabel", 
                    StripOnInput -> False]}, "GraphicsTicks", StripOnInput -> 
                    False], {
                    Directive[
                    AbsoluteThickness[0.2], 
                    GrayLevel[0.4]]}, StripOnInput -> False]}, "GraphicsAxes",
                    StripOnInput -> False]}, PlotRangePadding -> Scaled[0.02],
                  PlotRange -> All, Frame -> True, 
                 FrameTicks -> {{False, False}, {True, False}}, FrameStyle -> 
                 Opacity[0], FrameTicksStyle -> Opacity[0], 
                 ImageSize -> {Automatic, 350}, BaseStyle -> {}]}}, 
              GridBoxAlignment -> {"Columns" -> {{Center}}}, AutoDelete -> 
              False, GridBoxItemSize -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
              GridBoxSpacings -> {
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], "Grid"],
             Alignment -> Left, AppearanceElements -> None, ImageSizeAction -> 
            "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
          FontFamily -> "Arial"}, StripOnInput -> False], Background -> 
         Automatic, RoundingRadius -> 5, ContentPadding -> True, 
         FrameMargins -> {{5, 5}, {5, 5}}, FrameStyle -> Thickness[0.01], 
         StripOnInput -> False], TraditionalForm]}, "BarLegend", 
      DisplayFunction -> (#& ), 
      InterpretationFunction :> (RowBox[{"BarLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{
                 RowBox[{"Blend", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0.`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.658579, 0.316091, 0.207507], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.4390526666666667, 0.21072733333333335`, 
                    0.13833800000000002`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.658579`", ",", "0.316091`", ",", "0.207507`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.658579, 0.316091, 0.207507]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.658579, 0.316091, 0.207507], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.06`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.742127, 0.402321, 0.239443], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.4947513333333333, 0.268214, 0.15962866666666667`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.742127`", ",", "0.402321`", ",", "0.239443`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.742127, 0.402321, 0.239443]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.742127, 0.402321, 0.239443], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.12`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.824658, 0.544191, 0.268712], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.549772, 0.362794, 0.17914133333333335`], FrameTicks -> 
                    None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.824658`", ",", "0.544191`", ",", "0.268712`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.824658, 0.544191, 0.268712]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.824658, 0.544191, 0.268712], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.18`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.895144, 0.6923, 0.292626], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.5967626666666668, 0.46153333333333335`, 0.195084], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.895144`", ",", "0.6923`", ",", "0.292626`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.895144, 0.6923, 0.292626]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.895144, 0.6923, 0.292626], Editable -> False, 
                    Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.24`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.926205, 0.761424, 0.30301], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.61747, 0.5076160000000001, 0.20200666666666667`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.926205`", ",", "0.761424`", ",", "0.30301`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.926205, 0.761424, 0.30301]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.926205, 0.761424, 0.30301], Editable -> False, 
                    Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.3`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.932006, 0.77464, 0.304936], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.6213373333333334, 0.5164266666666667, 
                    0.20329066666666668`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.932006`", ",", "0.77464`", ",", "0.304936`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.932006, 0.77464, 0.304936]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.932006, 0.77464, 0.304936], Editable -> False, 
                    Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.36`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.913171, 0.762585, 0.298615], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.6087806666666666, 0.50839, 0.19907666666666668`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.913171`", ",", "0.762585`", ",", "0.298615`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.913171, 0.762585, 0.298615]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.913171, 0.762585, 0.298615], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.42`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.816335, 0.700506, 0.267824], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.5442233333333334, 0.467004, 0.17854933333333334`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.816335`", ",", "0.700506`", ",", "0.267824`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.816335, 0.700506, 0.267824]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.816335, 0.700506, 0.267824], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.48`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.615762, 0.571419, 0.21246], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.41050800000000004`, 0.380946, 0.14164000000000002`], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.615762`", ",", "0.571419`", ",", "0.21246`"}], 
                    "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.615762, 0.571419, 0.21246]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.615762, 0.571419, 0.21246], Editable -> False, 
                    Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.54`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.437278, 0.454937, 0.189928], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.2915186666666667, 0.30329133333333336`, 
                    0.12661866666666668`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.437278`", ",", "0.454937`", ",", "0.189928`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.437278, 0.454937, 0.189928]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.437278, 0.454937, 0.189928], Editable -> False,
                     Selectable -> False]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0.6`", ",", 
                    InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.290517, 0.358022, 0.190234], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> RGBColor[
                    0.19367800000000002`, 0.23868133333333336`, 
                    0.12682266666666667`], FrameTicks -> None, 
                    PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.290517`", ",", "0.358022`", ",", "0.190234`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.290517, 0.358022, 0.190234]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.290517, 0.358022, 0.190234], Editable -> False,
                     Selectable -> False]}], "}"}]}], "}"}], ",", "#1"}], 
                   "]"}], "&"}], ",", 
               RowBox[{"{", 
                 RowBox[{"0", ",", "0.6`"}], "}"}]}], "}"}], ",", 
           RowBox[{"{", 
             RowBox[{"Automatic", ",", "20"}], "}"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendFunction", "\[Rule]", "\"Frame\""}], ",", 
           RowBox[{"LegendLabel", "\[Rule]", "\"Amplitude\""}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}], ",", 
           RowBox[{"LegendMargins", "\[Rule]", "5"}], ",", 
           RowBox[{"LegendMarkerSize", "\[Rule]", "350"}], ",", 
           RowBox[{"Charting`TickAnnotations", "\[Rule]", "None"}], ",", 
           RowBox[{"ScalingFunctions", "\[Rule]", 
             RowBox[{"{", 
               RowBox[{"Identity", ",", "Identity"}], "}"}]}], ",", 
           RowBox[{"Charting`TickSide", "\[Rule]", "Right"}], ",", 
           RowBox[{"ColorFunctionScaling", "\[Rule]", "False"}]}], "]"}]& )], 
     TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.8575380929832363`*^9, 3.857555226921636*^9, 3.857555844652402*^9, 
   3.8586733263494635`*^9, {3.858673686739008*^9, 3.8586736899705353`*^9}, 
   3.885372708713959*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"67fe5153-afdf-4f16-8ed5-fc833c2406ac"]
}, Open  ]],

Cell["Export pictures", "Text",
 CellChangeTimes->{{3.885372684592132*^9, 
  3.885372688181299*^9}},ExpressionUUID->"f5f2e4d5-ee59-4801-9fd5-\
2b09768a2c40"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ContourStandard.png\>\"", ",", 
   RowBox[{"Magnify", "[", 
    RowBox[{"A1", ",", "2"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.85604024058854*^9, 3.8560402634762216`*^9}, 
   3.857538169084893*^9, {3.8586737278908186`*^9, 3.858673732449833*^9}, {
   3.858673794537956*^9, 3.8586738136670513`*^9}, {3.885372575418531*^9, 
   3.8853725758037596`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"3bf8793f-6034-476d-86aa-b629d57ac55f"],

Cell[BoxData["\<\"ContourStandard.png\"\>"], "Output",
 CellChangeTimes->{3.8586738223060503`*^9, 3.8853727093372064`*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"309128c0-bedd-40e1-9170-6cdee4503d6d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<ContourExp.png\>\"", ",", 
   RowBox[{"Magnify", "[", 
    RowBox[{"A2", ",", "2"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.858673806864456*^9, 3.8586738185887327`*^9}, {
  3.8853725780244837`*^9, 3.885372580514825*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"8c380148-31df-42d9-bc51-8f9245b21395"],

Cell[BoxData["\<\"ContourExp.png\"\>"], "Output",
 CellChangeTimes->{
  3.8560402652586217`*^9, 3.857538183930501*^9, 3.857539611765145*^9, {
   3.8586738259796925`*^9, 3.8586738280892224`*^9}, 3.885372710271033*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"400a5d40-eb21-4fc6-b3b0-67695d1bb3ca"]
}, Open  ]]
},
WindowSize->{1584, 989},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
Magnification:>0.8 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (2019\:5e744\:67088\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 218, 4, 27, "Text",ExpressionUUID->"ba54befd-5267-4b10-b24e-cc013db7d42a"],
Cell[779, 26, 218, 3, 37, "Input",ExpressionUUID->"c260687a-9f97-4ac9-ae40-4d37c2ad8b0e"],
Cell[1000, 31, 373, 8, 27, "Text",ExpressionUUID->"98bb9d20-935a-4591-964f-00984404b645"],
Cell[1376, 41, 1503, 37, 162, "Input",ExpressionUUID->"4cdb6083-8012-498e-b42a-7ddbb80f5222"],
Cell[2882, 80, 212, 3, 37, "Input",ExpressionUUID->"741513fc-649c-4c07-b887-d4f5d55c6519"],
Cell[3097, 85, 159, 3, 27, "Text",ExpressionUUID->"5b6b856f-99dd-441e-bcde-83bdc2e582e2"],
Cell[3259, 90, 747, 15, 68, "Input",ExpressionUUID->"59c59ab9-491a-4f67-ae1f-f9a2e9e3d552"],
Cell[4009, 107, 608, 12, 37, "Input",ExpressionUUID->"dde21d8f-c6e3-4fcf-af67-bbef3c5639c8"],
Cell[4620, 121, 173, 3, 27, "Text",ExpressionUUID->"ec1dd697-75c4-41b3-bd18-f0e7dbf0cc29"],
Cell[4796, 126, 774, 21, 69, "Input",ExpressionUUID->"83f36caf-df55-43f6-85fe-e03a0936680f"],
Cell[5573, 149, 316, 6, 27, "Text",ExpressionUUID->"7f7f7123-e77c-4071-929d-f83728f04f95"],
Cell[5892, 157, 1629, 46, 98, "Input",ExpressionUUID->"ab212bb8-7557-470f-a731-ce9721bd8fc6"],
Cell[7524, 205, 389, 7, 27, "Text",ExpressionUUID->"ff150b9d-901c-48bf-8302-d8652e1571f1"],
Cell[7916, 214, 817, 15, 83, "Input",ExpressionUUID->"09586bc8-55b3-4a86-aff8-11db88efb0c0"],
Cell[CellGroupData[{
Cell[8758, 233, 311, 6, 22, "Input",ExpressionUUID->"4175c198-0d87-4c4c-8f1b-637205a36d06"],
Cell[9072, 241, 622412, 10721, 172, "Output",ExpressionUUID->"ee80faff-24c7-4dc1-a101-531e513614ab"]
}, Open  ]],
Cell[CellGroupData[{
Cell[631521, 10967, 314, 6, 22, "Input",ExpressionUUID->"3df78659-c97a-4904-9efa-b4f645d90e8f"],
Cell[631838, 10975, 656703, 11281, 172, "Output",ExpressionUUID->"f7e231f0-52a5-487f-9d3a-b0f0a4a4a8de"]
}, Open  ]],
Cell[1288556, 22259, 159, 3, 27, "Text",ExpressionUUID->"da65dd98-923c-495d-96d6-e6c689bcd886"],
Cell[CellGroupData[{
Cell[1288740, 22266, 183, 3, 37, "Input",ExpressionUUID->"04d11ffb-e181-424b-849e-f47779610bbc"],
Cell[1288926, 22271, 207, 3, 26, "Output",ExpressionUUID->"6b4819ea-79fa-4263-a72b-eb31d5c09907"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1289170, 22279, 521, 12, 37, "Input",ExpressionUUID->"c5e08390-72d8-4936-8900-aff6d62a80fe"],
Cell[1289694, 22293, 238, 3, 26, "Output",ExpressionUUID->"e7ea18ff-c200-4f51-8091-5dbcbf437032"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1289969, 22301, 1245, 33, 161, "Input",ExpressionUUID->"99fbf1dc-18c0-4731-b825-52231809247a"],
Cell[1291217, 22336, 289, 4, 26, "Output",ExpressionUUID->"c1632a5b-1e58-46f6-9bae-7b6f8f57defa"],
Cell[1291509, 22342, 289, 4, 26, "Output",ExpressionUUID->"98d25096-a0e6-44b4-877c-457b27b6d0af"],
Cell[1291801, 22348, 291, 4, 26, "Output",ExpressionUUID->"7438a8b6-8bf4-4eb7-844d-619b9fedb70a"],
Cell[1292095, 22354, 289, 4, 26, "Output",ExpressionUUID->"02d0bdd0-305d-4da9-be57-0f006a835439"],
Cell[1292387, 22360, 289, 4, 26, "Output",ExpressionUUID->"21ce9f8e-cbf7-443e-a0b4-b4691f83eb5b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1292713, 22369, 1196, 32, 161, "Input",ExpressionUUID->"b5af1eb5-f6af-4c0e-88a8-a8a4847b630c"],
Cell[1293912, 22403, 293, 4, 26, "Output",ExpressionUUID->"c8480ead-65c7-4130-81ff-57cdcc34b177"],
Cell[1294208, 22409, 293, 4, 26, "Output",ExpressionUUID->"640b11fe-c793-423a-b2ac-c9d8f7c936f7"],
Cell[1294504, 22415, 295, 4, 26, "Output",ExpressionUUID->"a9929e50-1e39-4d3c-aa10-999c841d4efd"],
Cell[1294802, 22421, 295, 4, 26, "Output",ExpressionUUID->"8f6fd515-c421-4755-a984-8a658e3d1f8a"],
Cell[1295100, 22427, 293, 4, 26, "Output",ExpressionUUID->"7e391f13-fe04-4e90-bb84-652838ec206a"]
}, Open  ]],
Cell[1295408, 22434, 172, 3, 27, "Text",ExpressionUUID->"50ef1062-a205-49ef-b643-6ce531162604"],
Cell[1295583, 22439, 2028, 50, 162, "Input",ExpressionUUID->"073cd551-3ef8-4ea2-a25f-40bf1948e6b7"],
Cell[1297614, 22491, 173, 2, 22, "Input",ExpressionUUID->"cb759437-5183-403c-a6d8-8cdf47152cb2"],
Cell[1297790, 22495, 1973, 54, 162, "Input",ExpressionUUID->"04939b76-9464-4ebc-b064-83673d207cce"],
Cell[1299766, 22551, 450, 6, 22, "Input",ExpressionUUID->"6b52f231-38ea-437c-b860-cd6868331e4c"],
Cell[CellGroupData[{
Cell[1300241, 22561, 1119, 29, 37, "Input",ExpressionUUID->"b9e1efd7-087e-4290-b201-7d464243e487"],
Cell[1301363, 22592, 2151581, 37551, 312, "Output",ExpressionUUID->"b7f6f7c9-4a6a-49a1-8626-c48171508c08"]
}, Open  ]],
Cell[3452959, 60146, 171, 3, 27, "Text",ExpressionUUID->"ca335946-84e5-41ce-81fe-4491ada97fed"],
Cell[3453133, 60151, 2282, 59, 116, "Input",ExpressionUUID->"57f50ca9-70d0-4e62-8ffd-e68c2745b735"],
Cell[3455418, 60212, 346, 5, 27, "Text",ExpressionUUID->"a5653a28-fb67-4c35-90d0-22e1e79e7d7f"],
Cell[CellGroupData[{
Cell[3455789, 60221, 7168, 167, 239, "Input",ExpressionUUID->"4ba73189-f638-4cf5-a5de-92294c10d05d"],
Cell[3462960, 60390, 192554, 3360, 319, "Output",ExpressionUUID->"8f78786f-833e-4eb9-9b41-65321c430460"],
Cell[3655517, 63752, 136753, 2405, 319, "Output",ExpressionUUID->"67fe5153-afdf-4f16-8ed5-fc833c2406ac"]
}, Open  ]],
Cell[3792285, 66160, 157, 3, 27, "Text",ExpressionUUID->"f5f2e4d5-ee59-4801-9fd5-2b09768a2c40"],
Cell[CellGroupData[{
Cell[3792467, 66167, 493, 9, 37, "Input",ExpressionUUID->"3bf8793f-6034-476d-86aa-b629d57ac55f"],
Cell[3792963, 66178, 201, 2, 26, "Output",ExpressionUUID->"309128c0-bedd-40e1-9170-6cdee4503d6d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3793201, 66185, 362, 7, 37, "Input",ExpressionUUID->"8c380148-31df-42d9-bc51-8f9245b21395"],
Cell[3793566, 66194, 295, 4, 82, "Output",ExpressionUUID->"400a5d40-eb21-4fc6-b3b0-67695d1bb3ca"]
}, Open  ]]
}
]
*)

